######################################################################
#
# 5115_utf8.1_by_letsj_RT_DBCS.t
#
# Copyright (c) 2018, 2019 INABA Hitoshi <ina@cpan.org> in a CPAN
######################################################################

use strict;
use FindBin;
use lib "$FindBin::Bin/../lib";

BEGIN {
    use vars qw(@test);
    @test = (
        ["\x20\x20",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x80"],
        ["\xE3\x80\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x20\x20"],

        ["\xA1\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x81"],
        ["\xE3\x80\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xA2"],

        ["\xA1\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x82"],
        ["\xE3\x80\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xA3"],

        ["\xA1\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x8C"],
        ["\xEF\xBC\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xA4"],

        ["\xA1\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x8E"],
        ["\xEF\xBC\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xA5"],

        ["\xA1\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xBB"],
        ["\xE3\x83\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xA6"],

        ["\xA1\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x9A"],
        ["\xEF\xBC\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xA7"],

        ["\xA1\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x9B"],
        ["\xEF\xBC\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xA8"],

        ["\xA1\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x9F"],
        ["\xEF\xBC\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xA9"],

        ["\xA1\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x81"],
        ["\xEF\xBC\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xAA"],

        ["\xA1\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x9B"],
        ["\xE3\x82\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xAB"],

        ["\xA1\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x9C"],
        ["\xE3\x82\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xAC"],

        ["\xA1\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB4"],
        ["\xC2\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xAD"],

        ["\xA1\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x80"],
        ["\xEF\xBD\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xAE"],

        ["\xA1\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA8"],
        ["\xC2\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xAF"],

        ["\xA1\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xBE"],
        ["\xEF\xBC\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xB0"],

        ["\xA1\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBF\xA3"],
        ["\xEF\xBF\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xB1"],

        ["\xA1\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xBF"],
        ["\xEF\xBC\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xB2"],

        ["\xA1\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xBD"],
        ["\xE3\x83\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xB3"],

        ["\xA1\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xBE"],
        ["\xE3\x83\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xB4"],

        ["\xA1\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x9D"],
        ["\xE3\x82\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xB5"],

        ["\xA1\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x9E"],
        ["\xE3\x82\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xB6"],

        ["\xA1\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x83"],
        ["\xE3\x80\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xB7"],

        ["\xA1\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x9D"],
        ["\xE4\xBB\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xB8"],

        ["\xA1\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x85"],
        ["\xE3\x80\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xB9"],

        ["\xA1\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x86"],
        ["\xE3\x80\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xBA"],

        ["\xA1\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x87"],
        ["\xE3\x80\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xBB"],

        ["\xA1\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xBC"],
        ["\xE3\x83\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xBC"],

        ["\xA1\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\x94"],
        ["\xE2\x80\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xBD"],

        ["\xA1\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\x90"],
        ["\xE2\x80\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xBE"],

        ["\xA1\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x8F"],
        ["\xEF\xBC\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xBF"],

        ["\x31\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xBC"],
        ["\xEF\xBC\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xA1"],

        ["\xA1\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x9C"],
        ["\xE3\x80\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xC1"],

        ["\x31\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\x96"],
        ["\xE2\x80\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xA2"],

        ["\xA1\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x9C"],
        ["\xEF\xBD\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xC3"],

        ["\xA1\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\xA6"],
        ["\xE2\x80\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xC4"],

        ["\xA1\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\xA5"],
        ["\xE2\x80\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xC5"],

        ["\xA1\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\x98"],
        ["\xE2\x80\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xC6"],

        ["\xA1\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\x99"],
        ["\xE2\x80\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xC7"],

        ["\xA1\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\x9C"],
        ["\xE2\x80\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xC8"],

        ["\xA1\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\x9D"],
        ["\xE2\x80\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xC9"],

        ["\xA1\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x88"],
        ["\xEF\xBC\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xCA"],

        ["\xA1\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x89"],
        ["\xEF\xBC\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xCB"],

        ["\xA1\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x94"],
        ["\xE3\x80\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xCC"],

        ["\xA1\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x95"],
        ["\xE3\x80\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xCD"],

        ["\xA1\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xBB"],
        ["\xEF\xBC\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xCE"],

        ["\xA1\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xBD"],
        ["\xEF\xBC\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xCF"],

        ["\xA1\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x9B"],
        ["\xEF\xBD\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xD0"],

        ["\xA1\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x9D"],
        ["\xEF\xBD\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xD1"],

        ["\xA1\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x88"],
        ["\xE3\x80\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xD2"],

        ["\xA1\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x89"],
        ["\xE3\x80\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xD3"],

        ["\xA1\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x8A"],
        ["\xE3\x80\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xD4"],

        ["\xA1\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x8B"],
        ["\xE3\x80\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xD5"],

        ["\xA1\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x8C"],
        ["\xE3\x80\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xD6"],

        ["\xA1\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x8D"],
        ["\xE3\x80\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xD7"],

        ["\xA1\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x8E"],
        ["\xE3\x80\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xD8"],

        ["\xA1\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x8F"],
        ["\xE3\x80\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xD9"],

        ["\xA1\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x90"],
        ["\xE3\x80\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xDA"],

        ["\xA1\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x91"],
        ["\xE3\x80\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xDB"],

        ["\xA1\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x8B"],
        ["\xEF\xBC\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xDC"],

        ["\x31\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x92"],
        ["\xE2\x88\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xA3"],

        ["\xA1\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB1"],
        ["\xC2\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xDE"],

        ["\xA1\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x97"],
        ["\xC3\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xDF"],

        ["\xA1\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB7"],
        ["\xC3\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xE0"],

        ["\xA1\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x9D"],
        ["\xEF\xBC\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xE1"],

        ["\xA1\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\xA0"],
        ["\xE2\x89\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xE2"],

        ["\xA1\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x9C"],
        ["\xEF\xBC\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xE3"],

        ["\xA1\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x9E"],
        ["\xEF\xBC\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xE4"],

        ["\xA1\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\xA6"],
        ["\xE2\x89\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xE5"],

        ["\xA1\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\xA7"],
        ["\xE2\x89\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xE6"],

        ["\xA1\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x9E"],
        ["\xE2\x88\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xE7"],

        ["\xA1\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xB4"],
        ["\xE2\x88\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xE8"],

        ["\xA1\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\x82"],
        ["\xE2\x99\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xE9"],

        ["\xA1\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\x80"],
        ["\xE2\x99\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xEA"],

        ["\xA1\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB0"],
        ["\xC2\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xEB"],

        ["\xA1\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\xB2"],
        ["\xE2\x80\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xEC"],

        ["\xA1\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\xB3"],
        ["\xE2\x80\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xED"],

        ["\xA1\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x84\x83"],
        ["\xE2\x84\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xEE"],

        ["\xA1\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBF\xA5"],
        ["\xEF\xBF\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xEF"],

        ["\xA1\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x84"],
        ["\xEF\xBC\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xF0"],

        ["\x31\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBF\xA0"],
        ["\xEF\xBF\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xA4"],

        ["\x31\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBF\xA1"],
        ["\xEF\xBF\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xA5"],

        ["\xA1\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x85"],
        ["\xEF\xBC\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xF3"],

        ["\xA1\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x83"],
        ["\xEF\xBC\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xF4"],

        ["\xA1\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x86"],
        ["\xEF\xBC\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xF5"],

        ["\xA1\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x8A"],
        ["\xEF\xBC\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xF6"],

        ["\xA1\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xA0"],
        ["\xEF\xBC\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xF7"],

        ["\xA1\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA7"],
        ["\xC2\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xF8"],

        ["\xA1\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x98\x86"],
        ["\xE2\x98\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xF9"],

        ["\xA1\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x98\x85"],
        ["\xE2\x98\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xFA"],

        ["\xA1\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x8B"],
        ["\xE2\x97\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xFB"],

        ["\xA1\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x8F"],
        ["\xE2\x97\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xFC"],

        ["\xA1\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x8E"],
        ["\xE2\x97\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xFD"],

        ["\xA1\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x87"],
        ["\xE2\x97\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xFE"],

        ["\xA2\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x86"],
        ["\xE2\x97\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xA1"],

        ["\xA2\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x96\xA1"],
        ["\xE2\x96\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xA2"],

        ["\xA2\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x96\xA0"],
        ["\xE2\x96\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xA3"],

        ["\xA2\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x96\xB3"],
        ["\xE2\x96\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xA4"],

        ["\xA2\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x96\xB2"],
        ["\xE2\x96\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xA5"],

        ["\xA2\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x96\xBD"],
        ["\xE2\x96\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xA6"],

        ["\xA2\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x96\xBC"],
        ["\xE2\x96\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xA7"],

        ["\xA2\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\xBB"],
        ["\xE2\x80\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xA8"],

        ["\xA2\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x92"],
        ["\xE3\x80\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xA9"],

        ["\xA2\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x86\x92"],
        ["\xE2\x86\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xAA"],

        ["\xA2\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x86\x90"],
        ["\xE2\x86\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xAB"],

        ["\xA2\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x86\x91"],
        ["\xE2\x86\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xAC"],

        ["\xA2\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x86\x93"],
        ["\xE2\x86\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xAD"],

        ["\xA2\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x93"],
        ["\xE3\x80\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xAE"],

        ["\xA2\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x88"],
        ["\xE2\x88\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xBA"],

        ["\xA2\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x8B"],
        ["\xE2\x88\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xBB"],

        ["\xA2\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\x86"],
        ["\xE2\x8A\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xBC"],

        ["\xA2\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\x87"],
        ["\xE2\x8A\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xBD"],

        ["\xA2\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\x82"],
        ["\xE2\x8A\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xBE"],

        ["\xA2\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\x83"],
        ["\xE2\x8A\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xBF"],

        ["\xA2\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xAA"],
        ["\xE2\x88\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xC0"],

        ["\xA2\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xA9"],
        ["\xE2\x88\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xC1"],

        ["\xA2\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xA7"],
        ["\xE2\x88\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xCA"],

        ["\xA2\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xA8"],
        ["\xE2\x88\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xCB"],

        ["\x31\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBF\xA2"],
        ["\xEF\xBF\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xA6"],

        ["\xA2\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x87\x92"],
        ["\xE2\x87\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xCD"],

        ["\xA2\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x87\x94"],
        ["\xE2\x87\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xCE"],

        ["\xA2\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x80"],
        ["\xE2\x88\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xCF"],

        ["\xA2\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x83"],
        ["\xE2\x88\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xD0"],

        ["\xA2\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xA0"],
        ["\xE2\x88\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xDC"],

        ["\xA2\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\xA5"],
        ["\xE2\x8A\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xDD"],

        ["\xA2\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8C\x92"],
        ["\xE2\x8C\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xDE"],

        ["\xA2\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x82"],
        ["\xE2\x88\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xDF"],

        ["\xA2\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x87"],
        ["\xE2\x88\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xE0"],

        ["\xA2\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\xA1"],
        ["\xE2\x89\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xE1"],

        ["\xA2\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\x92"],
        ["\xE2\x89\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xE2"],

        ["\xA2\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\xAA"],
        ["\xE2\x89\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xE3"],

        ["\xA2\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\xAB"],
        ["\xE2\x89\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xE4"],

        ["\xA2\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x9A"],
        ["\xE2\x88\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xE5"],

        ["\xA2\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xBD"],
        ["\xE2\x88\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xE6"],

        ["\xA2\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x9D"],
        ["\xE2\x88\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xE7"],

        ["\xA2\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xB5"],
        ["\xE2\x88\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xE8"],

        ["\xA2\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xAB"],
        ["\xE2\x88\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xE9"],

        ["\xA2\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xAC"],
        ["\xE2\x88\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xEA"],

        ["\xA2\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x84\xAB"],
        ["\xE2\x84\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xF2"],

        ["\xA2\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\xB0"],
        ["\xE2\x80\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xF3"],

        ["\xA2\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xAF"],
        ["\xE2\x99\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xF4"],

        ["\xA2\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xAD"],
        ["\xE2\x99\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xF5"],

        ["\xA2\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xAA"],
        ["\xE2\x99\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xF6"],

        ["\xA2\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\xA0"],
        ["\xE2\x80\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xF7"],

        ["\xA2\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\xA1"],
        ["\xE2\x80\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xF8"],

        ["\xA2\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB6"],
        ["\xC2\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xF9"],

        ["\xA2\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\xAF"],
        ["\xE2\x97\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xFE"],

        ["\xA3\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x90"],
        ["\xEF\xBC\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xB0"],

        ["\xA3\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x91"],
        ["\xEF\xBC\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xB1"],

        ["\xA3\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x92"],
        ["\xEF\xBC\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xB2"],

        ["\xA3\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x93"],
        ["\xEF\xBC\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xB3"],

        ["\xA3\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x94"],
        ["\xEF\xBC\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xB4"],

        ["\xA3\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x95"],
        ["\xEF\xBC\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xB5"],

        ["\xA3\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x96"],
        ["\xEF\xBC\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xB6"],

        ["\xA3\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x97"],
        ["\xEF\xBC\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xB7"],

        ["\xA3\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x98"],
        ["\xEF\xBC\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xB8"],

        ["\xA3\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x99"],
        ["\xEF\xBC\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xB9"],

        ["\xA3\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xA1"],
        ["\xEF\xBC\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xC1"],

        ["\xA3\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xA2"],
        ["\xEF\xBC\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xC2"],

        ["\xA3\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xA3"],
        ["\xEF\xBC\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xC3"],

        ["\xA3\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xA4"],
        ["\xEF\xBC\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xC4"],

        ["\xA3\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xA5"],
        ["\xEF\xBC\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xC5"],

        ["\xA3\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xA6"],
        ["\xEF\xBC\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xC6"],

        ["\xA3\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xA7"],
        ["\xEF\xBC\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xC7"],

        ["\xA3\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xA8"],
        ["\xEF\xBC\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xC8"],

        ["\xA3\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xA9"],
        ["\xEF\xBC\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xC9"],

        ["\xA3\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xAA"],
        ["\xEF\xBC\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xCA"],

        ["\xA3\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xAB"],
        ["\xEF\xBC\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xCB"],

        ["\xA3\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xAC"],
        ["\xEF\xBC\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xCC"],

        ["\xA3\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xAD"],
        ["\xEF\xBC\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xCD"],

        ["\xA3\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xAE"],
        ["\xEF\xBC\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xCE"],

        ["\xA3\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xAF"],
        ["\xEF\xBC\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xCF"],

        ["\xA3\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xB0"],
        ["\xEF\xBC\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xD0"],

        ["\xA3\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xB1"],
        ["\xEF\xBC\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xD1"],

        ["\xA3\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xB2"],
        ["\xEF\xBC\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xD2"],

        ["\xA3\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xB3"],
        ["\xEF\xBC\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xD3"],

        ["\xA3\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xB4"],
        ["\xEF\xBC\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xD4"],

        ["\xA3\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xB5"],
        ["\xEF\xBC\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xD5"],

        ["\xA3\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xB6"],
        ["\xEF\xBC\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xD6"],

        ["\xA3\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xB7"],
        ["\xEF\xBC\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xD7"],

        ["\xA3\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xB8"],
        ["\xEF\xBC\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xD8"],

        ["\xA3\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xB9"],
        ["\xEF\xBC\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xD9"],

        ["\xA3\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\xBA"],
        ["\xEF\xBC\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xDA"],

        ["\xA3\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x81"],
        ["\xEF\xBD\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xE1"],

        ["\xA3\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x82"],
        ["\xEF\xBD\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xE2"],

        ["\xA3\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x83"],
        ["\xEF\xBD\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xE3"],

        ["\xA3\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x84"],
        ["\xEF\xBD\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xE4"],

        ["\xA3\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x85"],
        ["\xEF\xBD\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xE5"],

        ["\xA3\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x86"],
        ["\xEF\xBD\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xE6"],

        ["\xA3\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x87"],
        ["\xEF\xBD\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xE7"],

        ["\xA3\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x88"],
        ["\xEF\xBD\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xE8"],

        ["\xA3\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x89"],
        ["\xEF\xBD\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xE9"],

        ["\xA3\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x8A"],
        ["\xEF\xBD\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xEA"],

        ["\xA3\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x8B"],
        ["\xEF\xBD\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xEB"],

        ["\xA3\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x8C"],
        ["\xEF\xBD\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xEC"],

        ["\xA3\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x8D"],
        ["\xEF\xBD\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xED"],

        ["\xA3\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x8E"],
        ["\xEF\xBD\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xEE"],

        ["\xA3\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x8F"],
        ["\xEF\xBD\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xEF"],

        ["\xA3\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x90"],
        ["\xEF\xBD\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xF0"],

        ["\xA3\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x91"],
        ["\xEF\xBD\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xF1"],

        ["\xA3\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x92"],
        ["\xEF\xBD\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xF2"],

        ["\xA3\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x93"],
        ["\xEF\xBD\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xF3"],

        ["\xA3\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x94"],
        ["\xEF\xBD\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xF4"],

        ["\xA3\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x95"],
        ["\xEF\xBD\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xF5"],

        ["\xA3\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x96"],
        ["\xEF\xBD\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xF6"],

        ["\xA3\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x97"],
        ["\xEF\xBD\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xF7"],

        ["\xA3\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x98"],
        ["\xEF\xBD\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xF8"],

        ["\xA3\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x99"],
        ["\xEF\xBD\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xF9"],

        ["\xA3\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x9A"],
        ["\xEF\xBD\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA3\xFA"],

        ["\xA4\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x81"],
        ["\xE3\x81\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xA1"],

        ["\xA4\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x82"],
        ["\xE3\x81\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xA2"],

        ["\xA4\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x83"],
        ["\xE3\x81\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xA3"],

        ["\xA4\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x84"],
        ["\xE3\x81\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xA4"],

        ["\xA4\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x85"],
        ["\xE3\x81\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xA5"],

        ["\xA4\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x86"],
        ["\xE3\x81\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xA6"],

        ["\xA4\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x87"],
        ["\xE3\x81\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xA7"],

        ["\xA4\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x88"],
        ["\xE3\x81\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xA8"],

        ["\xA4\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x89"],
        ["\xE3\x81\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xA9"],

        ["\xA4\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x8A"],
        ["\xE3\x81\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xAA"],

        ["\xA4\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x8B"],
        ["\xE3\x81\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xAB"],

        ["\xA4\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x8C"],
        ["\xE3\x81\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xAC"],

        ["\xA4\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x8D"],
        ["\xE3\x81\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xAD"],

        ["\xA4\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x8E"],
        ["\xE3\x81\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xAE"],

        ["\xA4\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x8F"],
        ["\xE3\x81\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xAF"],

        ["\xA4\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x90"],
        ["\xE3\x81\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xB0"],

        ["\xA4\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x91"],
        ["\xE3\x81\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xB1"],

        ["\xA4\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x92"],
        ["\xE3\x81\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xB2"],

        ["\xA4\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x93"],
        ["\xE3\x81\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xB3"],

        ["\xA4\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x94"],
        ["\xE3\x81\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xB4"],

        ["\xA4\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x95"],
        ["\xE3\x81\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xB5"],

        ["\xA4\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x96"],
        ["\xE3\x81\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xB6"],

        ["\xA4\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x97"],
        ["\xE3\x81\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xB7"],

        ["\xA4\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x98"],
        ["\xE3\x81\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xB8"],

        ["\xA4\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x99"],
        ["\xE3\x81\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xB9"],

        ["\xA4\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x9A"],
        ["\xE3\x81\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xBA"],

        ["\xA4\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x9B"],
        ["\xE3\x81\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xBB"],

        ["\xA4\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x9C"],
        ["\xE3\x81\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xBC"],

        ["\xA4\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x9D"],
        ["\xE3\x81\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xBD"],

        ["\xA4\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x9E"],
        ["\xE3\x81\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xBE"],

        ["\xA4\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x9F"],
        ["\xE3\x81\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xBF"],

        ["\xA4\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xA0"],
        ["\xE3\x81\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xC0"],

        ["\xA4\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xA1"],
        ["\xE3\x81\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xC1"],

        ["\xA4\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xA2"],
        ["\xE3\x81\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xC2"],

        ["\xA4\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xA3"],
        ["\xE3\x81\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xC3"],

        ["\xA4\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xA4"],
        ["\xE3\x81\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xC4"],

        ["\xA4\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xA5"],
        ["\xE3\x81\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xC5"],

        ["\xA4\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xA6"],
        ["\xE3\x81\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xC6"],

        ["\xA4\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xA7"],
        ["\xE3\x81\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xC7"],

        ["\xA4\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xA8"],
        ["\xE3\x81\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xC8"],

        ["\xA4\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xA9"],
        ["\xE3\x81\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xC9"],

        ["\xA4\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xAA"],
        ["\xE3\x81\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xCA"],

        ["\xA4\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xAB"],
        ["\xE3\x81\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xCB"],

        ["\xA4\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xAC"],
        ["\xE3\x81\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xCC"],

        ["\xA4\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xAD"],
        ["\xE3\x81\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xCD"],

        ["\xA4\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xAE"],
        ["\xE3\x81\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xCE"],

        ["\xA4\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xAF"],
        ["\xE3\x81\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xCF"],

        ["\xA4\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xB0"],
        ["\xE3\x81\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xD0"],

        ["\xA4\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xB1"],
        ["\xE3\x81\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xD1"],

        ["\xA4\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xB2"],
        ["\xE3\x81\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xD2"],

        ["\xA4\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xB3"],
        ["\xE3\x81\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xD3"],

        ["\xA4\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xB4"],
        ["\xE3\x81\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xD4"],

        ["\xA4\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xB5"],
        ["\xE3\x81\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xD5"],

        ["\xA4\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xB6"],
        ["\xE3\x81\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xD6"],

        ["\xA4\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xB7"],
        ["\xE3\x81\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xD7"],

        ["\xA4\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xB8"],
        ["\xE3\x81\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xD8"],

        ["\xA4\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xB9"],
        ["\xE3\x81\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xD9"],

        ["\xA4\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xBA"],
        ["\xE3\x81\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xDA"],

        ["\xA4\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xBB"],
        ["\xE3\x81\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xDB"],

        ["\xA4\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xBC"],
        ["\xE3\x81\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xDC"],

        ["\xA4\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xBD"],
        ["\xE3\x81\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xDD"],

        ["\xA4\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xBE"],
        ["\xE3\x81\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xDE"],

        ["\xA4\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\xBF"],
        ["\xE3\x81\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xDF"],

        ["\xA4\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x80"],
        ["\xE3\x82\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xE0"],

        ["\xA4\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x81"],
        ["\xE3\x82\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xE1"],

        ["\xA4\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x82"],
        ["\xE3\x82\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xE2"],

        ["\xA4\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x83"],
        ["\xE3\x82\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xE3"],

        ["\xA4\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x84"],
        ["\xE3\x82\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xE4"],

        ["\xA4\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x85"],
        ["\xE3\x82\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xE5"],

        ["\xA4\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x86"],
        ["\xE3\x82\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xE6"],

        ["\xA4\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x87"],
        ["\xE3\x82\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xE7"],

        ["\xA4\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x88"],
        ["\xE3\x82\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xE8"],

        ["\xA4\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x89"],
        ["\xE3\x82\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xE9"],

        ["\xA4\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x8A"],
        ["\xE3\x82\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xEA"],

        ["\xA4\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x8B"],
        ["\xE3\x82\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xEB"],

        ["\xA4\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x8C"],
        ["\xE3\x82\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xEC"],

        ["\xA4\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x8D"],
        ["\xE3\x82\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xED"],

        ["\xA4\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x8E"],
        ["\xE3\x82\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xEE"],

        ["\xA4\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x8F"],
        ["\xE3\x82\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xEF"],

        ["\xA4\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x90"],
        ["\xE3\x82\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xF0"],

        ["\xA4\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x91"],
        ["\xE3\x82\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xF1"],

        ["\xA4\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x92"],
        ["\xE3\x82\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xF2"],

        ["\xA4\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x93"],
        ["\xE3\x82\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA4\xF3"],

        ["\xA5\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xA1"],
        ["\xE3\x82\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xA1"],

        ["\xA5\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xA2"],
        ["\xE3\x82\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xA2"],

        ["\xA5\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xA3"],
        ["\xE3\x82\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xA3"],

        ["\xA5\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xA4"],
        ["\xE3\x82\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xA4"],

        ["\xA5\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xA5"],
        ["\xE3\x82\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xA5"],

        ["\xA5\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xA6"],
        ["\xE3\x82\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xA6"],

        ["\xA5\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xA7"],
        ["\xE3\x82\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xA7"],

        ["\xA5\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xA8"],
        ["\xE3\x82\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xA8"],

        ["\xA5\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xA9"],
        ["\xE3\x82\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xA9"],

        ["\xA5\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xAA"],
        ["\xE3\x82\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xAA"],

        ["\xA5\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xAB"],
        ["\xE3\x82\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xAB"],

        ["\xA5\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xAC"],
        ["\xE3\x82\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xAC"],

        ["\xA5\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xAD"],
        ["\xE3\x82\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xAD"],

        ["\xA5\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xAE"],
        ["\xE3\x82\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xAE"],

        ["\xA5\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xAF"],
        ["\xE3\x82\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xAF"],

        ["\xA5\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB0"],
        ["\xE3\x82\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xB0"],

        ["\xA5\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB1"],
        ["\xE3\x82\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xB1"],

        ["\xA5\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB2"],
        ["\xE3\x82\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xB2"],

        ["\xA5\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB3"],
        ["\xE3\x82\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xB3"],

        ["\xA5\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB4"],
        ["\xE3\x82\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xB4"],

        ["\xA5\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB5"],
        ["\xE3\x82\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xB5"],

        ["\xA5\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB6"],
        ["\xE3\x82\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xB6"],

        ["\xA5\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB7"],
        ["\xE3\x82\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xB7"],

        ["\xA5\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB8"],
        ["\xE3\x82\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xB8"],

        ["\xA5\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB9"],
        ["\xE3\x82\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xB9"],

        ["\xA5\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xBA"],
        ["\xE3\x82\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xBA"],

        ["\xA5\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xBB"],
        ["\xE3\x82\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xBB"],

        ["\xA5\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xBC"],
        ["\xE3\x82\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xBC"],

        ["\xA5\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xBD"],
        ["\xE3\x82\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xBD"],

        ["\xA5\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xBE"],
        ["\xE3\x82\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xBE"],

        ["\xA5\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xBF"],
        ["\xE3\x82\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xBF"],

        ["\xA5\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x80"],
        ["\xE3\x83\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xC0"],

        ["\xA5\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x81"],
        ["\xE3\x83\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xC1"],

        ["\xA5\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x82"],
        ["\xE3\x83\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xC2"],

        ["\xA5\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x83"],
        ["\xE3\x83\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xC3"],

        ["\xA5\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x84"],
        ["\xE3\x83\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xC4"],

        ["\xA5\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x85"],
        ["\xE3\x83\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xC5"],

        ["\xA5\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x86"],
        ["\xE3\x83\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xC6"],

        ["\xA5\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x87"],
        ["\xE3\x83\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xC7"],

        ["\xA5\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x88"],
        ["\xE3\x83\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xC8"],

        ["\xA5\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x89"],
        ["\xE3\x83\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xC9"],

        ["\xA5\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x8A"],
        ["\xE3\x83\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xCA"],

        ["\xA5\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x8B"],
        ["\xE3\x83\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xCB"],

        ["\xA5\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x8C"],
        ["\xE3\x83\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xCC"],

        ["\xA5\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x8D"],
        ["\xE3\x83\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xCD"],

        ["\xA5\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x8E"],
        ["\xE3\x83\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xCE"],

        ["\xA5\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x8F"],
        ["\xE3\x83\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xCF"],

        ["\xA5\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x90"],
        ["\xE3\x83\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xD0"],

        ["\xA5\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x91"],
        ["\xE3\x83\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xD1"],

        ["\xA5\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x92"],
        ["\xE3\x83\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xD2"],

        ["\xA5\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x93"],
        ["\xE3\x83\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xD3"],

        ["\xA5\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x94"],
        ["\xE3\x83\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xD4"],

        ["\xA5\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x95"],
        ["\xE3\x83\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xD5"],

        ["\xA5\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x96"],
        ["\xE3\x83\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xD6"],

        ["\xA5\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x97"],
        ["\xE3\x83\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xD7"],

        ["\xA5\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x98"],
        ["\xE3\x83\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xD8"],

        ["\xA5\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x99"],
        ["\xE3\x83\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xD9"],

        ["\xA5\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x9A"],
        ["\xE3\x83\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xDA"],

        ["\xA5\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x9B"],
        ["\xE3\x83\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xDB"],

        ["\xA5\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x9C"],
        ["\xE3\x83\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xDC"],

        ["\xA5\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x9D"],
        ["\xE3\x83\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xDD"],

        ["\xA5\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x9E"],
        ["\xE3\x83\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xDE"],

        ["\xA5\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x9F"],
        ["\xE3\x83\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xDF"],

        ["\xA5\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xA0"],
        ["\xE3\x83\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xE0"],

        ["\xA5\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xA1"],
        ["\xE3\x83\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xE1"],

        ["\xA5\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xA2"],
        ["\xE3\x83\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xE2"],

        ["\xA5\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xA3"],
        ["\xE3\x83\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xE3"],

        ["\xA5\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xA4"],
        ["\xE3\x83\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xE4"],

        ["\xA5\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xA5"],
        ["\xE3\x83\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xE5"],

        ["\xA5\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xA6"],
        ["\xE3\x83\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xE6"],

        ["\xA5\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xA7"],
        ["\xE3\x83\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xE7"],

        ["\xA5\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xA8"],
        ["\xE3\x83\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xE8"],

        ["\xA5\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xA9"],
        ["\xE3\x83\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xE9"],

        ["\xA5\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xAA"],
        ["\xE3\x83\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xEA"],

        ["\xA5\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xAB"],
        ["\xE3\x83\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xEB"],

        ["\xA5\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xAC"],
        ["\xE3\x83\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xEC"],

        ["\xA5\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xAD"],
        ["\xE3\x83\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xED"],

        ["\xA5\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xAE"],
        ["\xE3\x83\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xEE"],

        ["\xA5\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xAF"],
        ["\xE3\x83\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xEF"],

        ["\xA5\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xB0"],
        ["\xE3\x83\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xF0"],

        ["\xA5\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xB1"],
        ["\xE3\x83\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xF1"],

        ["\xA5\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xB2"],
        ["\xE3\x83\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xF2"],

        ["\xA5\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xB3"],
        ["\xE3\x83\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xF3"],

        ["\xA5\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xB4"],
        ["\xE3\x83\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xF4"],

        ["\xA5\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xB5"],
        ["\xE3\x83\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xF5"],

        ["\xA5\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xB6"],
        ["\xE3\x83\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA5\xF6"],

        ["\xA6\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x91"],
        ["\xCE\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xA1"],

        ["\xA6\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x92"],
        ["\xCE\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xA2"],

        ["\xA6\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x93"],
        ["\xCE\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xA3"],

        ["\xA6\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x94"],
        ["\xCE\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xA4"],

        ["\xA6\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x95"],
        ["\xCE\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xA5"],

        ["\xA6\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x96"],
        ["\xCE\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xA6"],

        ["\xA6\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x97"],
        ["\xCE\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xA7"],

        ["\xA6\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x98"],
        ["\xCE\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xA8"],

        ["\xA6\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x99"],
        ["\xCE\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xA9"],

        ["\xA6\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x9A"],
        ["\xCE\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xAA"],

        ["\xA6\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x9B"],
        ["\xCE\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xAB"],

        ["\xA6\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x9C"],
        ["\xCE\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xAC"],

        ["\xA6\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x9D"],
        ["\xCE\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xAD"],

        ["\xA6\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x9E"],
        ["\xCE\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xAE"],

        ["\xA6\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\x9F"],
        ["\xCE\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xAF"],

        ["\xA6\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA0"],
        ["\xCE\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xB0"],

        ["\xA6\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA1"],
        ["\xCE\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xB1"],

        ["\xA6\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA3"],
        ["\xCE\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xB2"],

        ["\xA6\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA4"],
        ["\xCE\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xB3"],

        ["\xA6\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA5"],
        ["\xCE\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xB4"],

        ["\xA6\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA6"],
        ["\xCE\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xB5"],

        ["\xA6\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA7"],
        ["\xCE\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xB6"],

        ["\xA6\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA8"],
        ["\xCE\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xB7"],

        ["\xA6\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xA9"],
        ["\xCE\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xB8"],

        ["\xA6\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB1"],
        ["\xCE\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xC1"],

        ["\xA6\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB2"],
        ["\xCE\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xC2"],

        ["\xA6\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB3"],
        ["\xCE\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xC3"],

        ["\xA6\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB4"],
        ["\xCE\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xC4"],

        ["\xA6\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB5"],
        ["\xCE\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xC5"],

        ["\xA6\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB6"],
        ["\xCE\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xC6"],

        ["\xA6\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB7"],
        ["\xCE\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xC7"],

        ["\xA6\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB8"],
        ["\xCE\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xC8"],

        ["\xA6\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xB9"],
        ["\xCE\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xC9"],

        ["\xA6\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBA"],
        ["\xCE\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xCA"],

        ["\xA6\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBB"],
        ["\xCE\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xCB"],

        ["\xA6\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBC"],
        ["\xCE\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xCC"],

        ["\xA6\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBD"],
        ["\xCE\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xCD"],

        ["\xA6\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBE"],
        ["\xCE\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xCE"],

        ["\xA6\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCE\xBF"],
        ["\xCE\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xCF"],

        ["\xA6\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x80"],
        ["\xCF\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xD0"],

        ["\xA6\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x81"],
        ["\xCF\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xD1"],

        ["\xA6\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x83"],
        ["\xCF\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xD2"],

        ["\xA6\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x84"],
        ["\xCF\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xD3"],

        ["\xA6\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x85"],
        ["\xCF\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xD4"],

        ["\xA6\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x86"],
        ["\xCF\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xD5"],

        ["\xA6\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x87"],
        ["\xCF\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xD6"],

        ["\xA6\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x88"],
        ["\xCF\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xD7"],

        ["\xA6\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x89"],
        ["\xCF\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\xD8"],

        ["\xA7\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x90"],
        ["\xD0\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xA1"],

        ["\xA7\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x91"],
        ["\xD0\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xA2"],

        ["\xA7\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x92"],
        ["\xD0\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xA3"],

        ["\xA7\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x93"],
        ["\xD0\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xA4"],

        ["\xA7\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x94"],
        ["\xD0\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xA5"],

        ["\xA7\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x95"],
        ["\xD0\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xA6"],

        ["\xA7\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x81"],
        ["\xD0\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xA7"],

        ["\xA7\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x96"],
        ["\xD0\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xA8"],

        ["\xA7\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x97"],
        ["\xD0\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xA9"],

        ["\xA7\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x98"],
        ["\xD0\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xAA"],

        ["\xA7\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x99"],
        ["\xD0\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xAB"],

        ["\xA7\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x9A"],
        ["\xD0\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xAC"],

        ["\xA7\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x9B"],
        ["\xD0\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xAD"],

        ["\xA7\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x9C"],
        ["\xD0\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xAE"],

        ["\xA7\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x9D"],
        ["\xD0\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xAF"],

        ["\xA7\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x9E"],
        ["\xD0\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xB0"],

        ["\xA7\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\x9F"],
        ["\xD0\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xB1"],

        ["\xA7\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA0"],
        ["\xD0\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xB2"],

        ["\xA7\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA1"],
        ["\xD0\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xB3"],

        ["\xA7\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA2"],
        ["\xD0\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xB4"],

        ["\xA7\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA3"],
        ["\xD0\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xB5"],

        ["\xA7\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA4"],
        ["\xD0\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xB6"],

        ["\xA7\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA5"],
        ["\xD0\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xB7"],

        ["\xA7\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA6"],
        ["\xD0\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xB8"],

        ["\xA7\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA7"],
        ["\xD0\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xB9"],

        ["\xA7\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA8"],
        ["\xD0\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xBA"],

        ["\xA7\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xA9"],
        ["\xD0\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xBB"],

        ["\xA7\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xAA"],
        ["\xD0\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xBC"],

        ["\xA7\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xAB"],
        ["\xD0\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xBD"],

        ["\xA7\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xAC"],
        ["\xD0\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xBE"],

        ["\xA7\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xAD"],
        ["\xD0\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xBF"],

        ["\xA7\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xAE"],
        ["\xD0\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xC0"],

        ["\xA7\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xAF"],
        ["\xD0\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xC1"],

        ["\xA7\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB0"],
        ["\xD0\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xD1"],

        ["\xA7\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB1"],
        ["\xD0\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xD2"],

        ["\xA7\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB2"],
        ["\xD0\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xD3"],

        ["\xA7\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB3"],
        ["\xD0\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xD4"],

        ["\xA7\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB4"],
        ["\xD0\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xD5"],

        ["\xA7\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB5"],
        ["\xD0\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xD6"],

        ["\xA7\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x91"],
        ["\xD1\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xD7"],

        ["\xA7\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB6"],
        ["\xD0\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xD8"],

        ["\xA7\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB7"],
        ["\xD0\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xD9"],

        ["\xA7\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB8"],
        ["\xD0\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xDA"],

        ["\xA7\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xB9"],
        ["\xD0\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xDB"],

        ["\xA7\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xBA"],
        ["\xD0\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xDC"],

        ["\xA7\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xBB"],
        ["\xD0\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xDD"],

        ["\xA7\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xBC"],
        ["\xD0\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xDE"],

        ["\xA7\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xBD"],
        ["\xD0\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xDF"],

        ["\xA7\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xBE"],
        ["\xD0\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xE0"],

        ["\xA7\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD0\xBF"],
        ["\xD0\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xE1"],

        ["\xA7\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x80"],
        ["\xD1\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xE2"],

        ["\xA7\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x81"],
        ["\xD1\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xE3"],

        ["\xA7\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x82"],
        ["\xD1\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xE4"],

        ["\xA7\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x83"],
        ["\xD1\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xE5"],

        ["\xA7\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x84"],
        ["\xD1\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xE6"],

        ["\xA7\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x85"],
        ["\xD1\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xE7"],

        ["\xA7\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x86"],
        ["\xD1\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xE8"],

        ["\xA7\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x87"],
        ["\xD1\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xE9"],

        ["\xA7\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x88"],
        ["\xD1\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xEA"],

        ["\xA7\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x89"],
        ["\xD1\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xEB"],

        ["\xA7\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x8A"],
        ["\xD1\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xEC"],

        ["\xA7\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x8B"],
        ["\xD1\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xED"],

        ["\xA7\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x8C"],
        ["\xD1\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xEE"],

        ["\xA7\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x8D"],
        ["\xD1\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xEF"],

        ["\xA7\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x8E"],
        ["\xD1\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xF0"],

        ["\xA7\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xD1\x8F"],
        ["\xD1\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA7\xF1"],

        ["\xA8\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x80"],
        ["\xE2\x94\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xA1"],

        ["\xA8\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x82"],
        ["\xE2\x94\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xA2"],

        ["\xA8\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x8C"],
        ["\xE2\x94\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xA3"],

        ["\xA8\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x90"],
        ["\xE2\x94\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xA4"],

        ["\xA8\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x98"],
        ["\xE2\x94\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xA5"],

        ["\xA8\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x94"],
        ["\xE2\x94\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xA6"],

        ["\xA8\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x9C"],
        ["\xE2\x94\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xA7"],

        ["\xA8\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xAC"],
        ["\xE2\x94\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xA8"],

        ["\xA8\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xA4"],
        ["\xE2\x94\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xA9"],

        ["\xA8\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xB4"],
        ["\xE2\x94\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xAA"],

        ["\xA8\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xBC"],
        ["\xE2\x94\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xAB"],

        ["\xA8\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x81"],
        ["\xE2\x94\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xAC"],

        ["\xA8\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x83"],
        ["\xE2\x94\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xAD"],

        ["\xA8\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x8F"],
        ["\xE2\x94\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xAE"],

        ["\xA8\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x93"],
        ["\xE2\x94\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xAF"],

        ["\xA8\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x9B"],
        ["\xE2\x94\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xB0"],

        ["\xA8\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x97"],
        ["\xE2\x94\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xB1"],

        ["\xA8\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xA3"],
        ["\xE2\x94\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xB2"],

        ["\xA8\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xB3"],
        ["\xE2\x94\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xB3"],

        ["\xA8\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xAB"],
        ["\xE2\x94\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xB4"],

        ["\xA8\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xBB"],
        ["\xE2\x94\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xB5"],

        ["\xA8\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x95\x8B"],
        ["\xE2\x95\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xB6"],

        ["\xA8\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xA0"],
        ["\xE2\x94\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xB7"],

        ["\xA8\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xAF"],
        ["\xE2\x94\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xB8"],

        ["\xA8\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xA8"],
        ["\xE2\x94\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xB9"],

        ["\xA8\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xB7"],
        ["\xE2\x94\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xBA"],

        ["\xA8\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xBF"],
        ["\xE2\x94\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xBB"],

        ["\xA8\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\x9D"],
        ["\xE2\x94\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xBC"],

        ["\xA8\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xB0"],
        ["\xE2\x94\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xBD"],

        ["\xA8\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xA5"],
        ["\xE2\x94\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xBE"],

        ["\xA8\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x94\xB8"],
        ["\xE2\x94\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xBF"],

        ["\xA8\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x95\x82"],
        ["\xE2\x95\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA8\xC0"],

        ["\x31\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xA0"],
        ["\xE2\x91\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xA7"],

        ["\x31\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xA1"],
        ["\xE2\x91\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xA8"],

        ["\x31\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xA2"],
        ["\xE2\x91\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xA9"],

        ["\x31\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xA3"],
        ["\xE2\x91\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xAA"],

        ["\x31\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xA4"],
        ["\xE2\x91\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xAB"],

        ["\x31\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xA5"],
        ["\xE2\x91\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xAC"],

        ["\x31\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xA6"],
        ["\xE2\x91\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xAD"],

        ["\x31\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xA7"],
        ["\xE2\x91\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xAE"],

        ["\x31\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xA8"],
        ["\xE2\x91\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xAF"],

        ["\x31\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xA9"],
        ["\xE2\x91\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xB0"],

        ["\x31\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xAA"],
        ["\xE2\x91\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xB1"],

        ["\x31\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xAB"],
        ["\xE2\x91\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xB2"],

        ["\x31\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xAC"],
        ["\xE2\x91\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xB3"],

        ["\x31\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xAD"],
        ["\xE2\x91\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xB4"],

        ["\x31\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xAE"],
        ["\xE2\x91\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xB5"],

        ["\x31\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xAF"],
        ["\xE2\x91\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xB6"],

        ["\x31\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xB0"],
        ["\xE2\x91\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xB7"],

        ["\x31\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xB1"],
        ["\xE2\x91\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xB8"],

        ["\x31\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xB2"],
        ["\xE2\x91\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xB9"],

        ["\x31\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x91\xB3"],
        ["\xE2\x91\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xBA"],

        ["\x31\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xA0"],
        ["\xE2\x85\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xBB"],

        ["\x31\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xA1"],
        ["\xE2\x85\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xBC"],

        ["\x31\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xA2"],
        ["\xE2\x85\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xBD"],

        ["\x31\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xA3"],
        ["\xE2\x85\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xBE"],

        ["\x31\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xA4"],
        ["\xE2\x85\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xBF"],

        ["\x31\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xA5"],
        ["\xE2\x85\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xC0"],

        ["\x31\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xA6"],
        ["\xE2\x85\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xC1"],

        ["\x31\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xA7"],
        ["\xE2\x85\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xC2"],

        ["\x31\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xA8"],
        ["\xE2\x85\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xC3"],

        ["\x31\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xA9"],
        ["\xE2\x85\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xC4"],

        ["\x31\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8D\x89"],
        ["\xE3\x8D\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xC5"],

        ["\x31\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C\x94"],
        ["\xE3\x8C\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xC6"],

        ["\x31\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C\xA2"],
        ["\xE3\x8C\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xC7"],

        ["\x31\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8D\x8D"],
        ["\xE3\x8D\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xC8"],

        ["\x31\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C\x98"],
        ["\xE3\x8C\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xC9"],

        ["\x31\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C\xA7"],
        ["\xE3\x8C\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xCA"],

        ["\x31\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C\x83"],
        ["\xE3\x8C\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xCB"],

        ["\x31\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C\xB6"],
        ["\xE3\x8C\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xCC"],

        ["\x31\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8D\x91"],
        ["\xE3\x8D\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xCD"],

        ["\x31\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8D\x97"],
        ["\xE3\x8D\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xCE"],

        ["\x31\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C\x8D"],
        ["\xE3\x8C\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xCF"],

        ["\x31\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C\xA6"],
        ["\xE3\x8C\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xD0"],

        ["\x31\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C\xA3"],
        ["\xE3\x8C\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xD1"],

        ["\x31\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C\xAB"],
        ["\xE3\x8C\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xD2"],

        ["\x31\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8D\x8A"],
        ["\xE3\x8D\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xD3"],

        ["\x31\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8C\xBB"],
        ["\xE3\x8C\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xD4"],

        ["\x31\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8E\x9C"],
        ["\xE3\x8E\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xD5"],

        ["\x31\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8E\x9D"],
        ["\xE3\x8E\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xD6"],

        ["\x31\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8E\x9E"],
        ["\xE3\x8E\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xD7"],

        ["\x31\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8E\x8E"],
        ["\xE3\x8E\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xD8"],

        ["\x31\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8E\x8F"],
        ["\xE3\x8E\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xD9"],

        ["\x31\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8F\x84"],
        ["\xE3\x8F\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xDA"],

        ["\x31\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8E\xA1"],
        ["\xE3\x8E\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xDB"],

        ["\x31\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8D\xBB"],
        ["\xE3\x8D\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xDC"],

        ["\x31\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x9D"],
        ["\xE3\x80\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xDD"],

        ["\x31\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x9F"],
        ["\xE3\x80\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xDE"],

        ["\xA2\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x84\x96"],
        ["\xE2\x84\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\x71"],

        ["\x31\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8F\x8D"],
        ["\xE3\x8F\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xDF"],

        ["\x31\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x84\xA1"],
        ["\xE2\x84\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xE0"],

        ["\x31\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xA4"],
        ["\xE3\x8A\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xE1"],

        ["\x31\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xA5"],
        ["\xE3\x8A\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xE2"],

        ["\x31\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xA6"],
        ["\xE3\x8A\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xE3"],

        ["\x31\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xA7"],
        ["\xE3\x8A\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xE4"],

        ["\x31\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xA8"],
        ["\xE3\x8A\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xE5"],

        ["\x31\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x88\xB1"],
        ["\xE3\x88\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xE6"],

        ["\x31\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x88\xB2"],
        ["\xE3\x88\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xE7"],

        ["\x31\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x88\xB9"],
        ["\xE3\x88\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xE8"],

        ["\x31\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8D\xBE"],
        ["\xE3\x8D\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xE9"],

        ["\x31\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8D\xBD"],
        ["\xE3\x8D\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xEA"],

        ["\x31\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8D\xBC"],
        ["\xE3\x8D\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xEB"],

        ["\x31\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xAE"],
        ["\xE2\x88\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xEC"],

        ["\x31\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x91"],
        ["\xE2\x88\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xED"],

        ["\x31\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x9F"],
        ["\xE2\x88\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xEE"],

        ["\x31\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\xBF"],
        ["\xE2\x8A\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xEF"],

        ["\xB0\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x9C"],
        ["\xE4\xBA\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xA1"],

        ["\xB0\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\x96"],
        ["\xE5\x94\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xA2"],

        ["\xB0\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x83"],
        ["\xE5\xA8\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xA3"],

        ["\xB0\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xBF"],
        ["\xE9\x98\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xA4"],

        ["\xB0\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\x80"],
        ["\xE5\x93\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xA5"],

        ["\xB0\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x9B"],
        ["\xE6\x84\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xA6"],

        ["\xB0\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xA8"],
        ["\xE6\x8C\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xA7"],

        ["\xB0\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xB6"],
        ["\xE5\xA7\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xA8"],

        ["\xB0\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xA2"],
        ["\xE9\x80\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xA9"],

        ["\xB0\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xB5"],
        ["\xE8\x91\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xAA"],

        ["\xB0\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x9C"],
        ["\xE8\x8C\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xAB"],

        ["\xB0\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x90"],
        ["\xE7\xA9\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xAC"],

        ["\xB0\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xAA"],
        ["\xE6\x82\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xAD"],

        ["\xB0\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xA1"],
        ["\xE6\x8F\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xAE"],

        ["\xB0\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xA5"],
        ["\xE6\xB8\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xAF"],

        ["\xB0\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xAD"],
        ["\xE6\x97\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xB0"],

        ["\xB0\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xA6"],
        ["\xE8\x91\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xB1"],

        ["\xB0\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xA6"],
        ["\xE8\x8A\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xB2"],

        ["\xB0\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xB5"],
        ["\xE9\xAF\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xB3"],

        ["\xB0\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x93"],
        ["\xE6\xA2\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xB4"],

        ["\xB0\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xA7"],
        ["\xE5\x9C\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xB5"],

        ["\xB0\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xA1"],
        ["\xE6\x96\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xB6"],

        ["\xB0\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xB1"],
        ["\xE6\x89\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xB7"],

        ["\xB0\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x9B"],
        ["\xE5\xAE\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xB8"],

        ["\xB0\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x90"],
        ["\xE5\xA7\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xB9"],

        ["\xB0\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\xBB"],
        ["\xE8\x99\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xBA"],

        ["\xB0\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xB4"],
        ["\xE9\xA3\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xBB"],

        ["\xB0\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xA2"],
        ["\xE7\xB5\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xBC"],

        ["\xB0\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xBE"],
        ["\xE7\xB6\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xBD"],

        ["\xB0\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x8E"],
        ["\xE9\xAE\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xBE"],

        ["\xB0\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x96"],
        ["\xE6\x88\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xBF"],

        ["\xB0\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x9F"],
        ["\xE7\xB2\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xC0"],

        ["\xB0\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xB7"],
        ["\xE8\xA2\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xC1"],

        ["\xB0\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x89"],
        ["\xE5\xAE\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xC2"],

        ["\xB0\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xB5"],
        ["\xE5\xBA\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xC3"],

        ["\xB0\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x89"],
        ["\xE6\x8C\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xC4"],

        ["\xB0\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x97"],
        ["\xE6\x9A\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xC5"],

        ["\xB0\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x88"],
        ["\xE6\xA1\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xC6"],

        ["\xB0\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x87"],
        ["\xE9\x97\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xC7"],

        ["\xB0\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\x8D"],
        ["\xE9\x9E\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xC8"],

        ["\xB0\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x8F"],
        ["\xE6\x9D\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xC9"],

        ["\xB0\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xA5"],
        ["\xE4\xBB\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xCA"],

        ["\xB0\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x8A"],
        ["\xE4\xBC\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xCB"],

        ["\xB0\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x8D"],
        ["\xE4\xBD\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xCC"],

        ["\xB0\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x9D"],
        ["\xE4\xBE\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xCD"],

        ["\xB0\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x89"],
        ["\xE5\x81\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xCE"],

        ["\xB0\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xB2"],
        ["\xE5\x9B\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xCF"],

        ["\xB0\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xB7"],
        ["\xE5\xA4\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xD0"],

        ["\xB0\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x94"],
        ["\xE5\xA7\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xD1"],

        ["\xB0\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x81"],
        ["\xE5\xA8\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xD2"],

        ["\xB0\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x89"],
        ["\xE5\xB0\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xD3"],

        ["\xB0\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x9F"],
        ["\xE6\x83\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xD4"],

        ["\xB0\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x8F"],
        ["\xE6\x84\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xD5"],

        ["\xB0\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xB0"],
        ["\xE6\x85\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xD6"],

        ["\xB0\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x93"],
        ["\xE6\x98\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xD7"],

        ["\xB0\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x85"],
        ["\xE6\xA4\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xD8"],

        ["\xB0\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xBA"],
        ["\xE7\x82\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xD9"],

        ["\xB0\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x8F"],
        ["\xE7\x95\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xDA"],

        ["\xB0\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xB0"],
        ["\xE7\x95\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xDB"],

        ["\xB0\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\xBB"],
        ["\xE7\xA7\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xDC"],

        ["\xB0\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xAD"],
        ["\xE7\xB6\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xDD"],

        ["\xB0\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xAF"],
        ["\xE7\xB7\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xDE"],

        ["\xB0\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x83"],
        ["\xE8\x83\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xDF"],

        ["\xB0\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x8E"],
        ["\xE8\x90\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xE0"],

        ["\xB0\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xA3"],
        ["\xE8\xA1\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xE1"],

        ["\xB0\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x82"],
        ["\xE8\xAC\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xE2"],

        ["\xB0\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x95"],
        ["\xE9\x81\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xE3"],

        ["\xB0\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xBA"],
        ["\xE9\x81\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xE4"],

        ["\xB0\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xBB"],
        ["\xE5\x8C\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xE5"],

        ["\xB0\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x95"],
        ["\xE4\xBA\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xE6"],

        ["\xB0\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xA5"],
        ["\xE4\xBA\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xE7"],

        ["\xB0\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x9F"],
        ["\xE5\x9F\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xE8"],

        ["\xB0\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xB2"],
        ["\xE8\x82\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xE9"],

        ["\xB0\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\x81"],
        ["\xE9\x83\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xEA"],

        ["\xB0\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xAF"],
        ["\xE7\xA3\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xEB"],

        ["\xB0\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x80"],
        ["\xE4\xB8\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xEC"],

        ["\xB0\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xB1"],
        ["\xE5\xA3\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xED"],

        ["\xB0\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xA2"],
        ["\xE6\xBA\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xEE"],

        ["\xB0\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xB8"],
        ["\xE9\x80\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xEF"],

        ["\xB0\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xB2"],
        ["\xE7\xA8\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xF0"],

        ["\xB0\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xA8"],
        ["\xE8\x8C\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xF1"],

        ["\xB0\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\x8B"],
        ["\xE8\x8A\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xF2"],

        ["\xB0\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xAF"],
        ["\xE9\xB0\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xF3"],

        ["\xB0\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x81"],
        ["\xE5\x85\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xF4"],

        ["\xB0\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xB0"],
        ["\xE5\x8D\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xF5"],

        ["\xB0\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xBD"],
        ["\xE5\x92\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xF6"],

        ["\xB0\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xA1"],
        ["\xE5\x93\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xF7"],

        ["\xB0\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xA0"],
        ["\xE5\x9B\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xF8"],

        ["\xB0\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xBB"],
        ["\xE5\xA7\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xF9"],

        ["\xB0\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x95"],
        ["\xE5\xBC\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xFA"],

        ["\xB0\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xB2"],
        ["\xE9\xA3\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xFB"],

        ["\xB0\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xAB"],
        ["\xE6\xB7\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xFC"],

        ["\xB0\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xA4"],
        ["\xE8\x83\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xFD"],

        ["\xB0\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xAD"],
        ["\xE8\x94\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\xFE"],

        ["\xB1\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xA2"],
        ["\xE9\x99\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xA1"],

        ["\xB1\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xB0"],
        ["\xE9\x99\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xA2"],

        ["\xB1\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xA0"],
        ["\xE9\x9A\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xA3"],

        ["\xB1\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\xBB"],
        ["\xE9\x9F\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xA4"],

        ["\xB1\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x8B"],
        ["\xE5\x90\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xA5"],

        ["\xB1\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xB3"],
        ["\xE5\x8F\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xA6"],

        ["\xB1\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x87"],
        ["\xE5\xAE\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xA7"],

        ["\xB1\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x8F"],
        ["\xE7\x83\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xA8"],

        ["\xB1\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xBD"],
        ["\xE7\xBE\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xA9"],

        ["\xB1\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\x82"],
        ["\xE8\xBF\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xAA"],

        ["\xB1\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xA8"],
        ["\xE9\x9B\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xAB"],

        ["\xB1\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xAF"],
        ["\xE5\x8D\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xAC"],

        ["\xB1\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x9C"],
        ["\xE9\xB5\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xAD"],

        ["\xB1\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xBA"],
        ["\xE7\xAA\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xAE"],

        ["\xB1\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x91"],
        ["\xE4\xB8\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xAF"],

        ["\xB1\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x93"],
        ["\xE7\xA2\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xB0"],

        ["\xB1\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xBC"],
        ["\xE8\x87\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xB1"],

        ["\xB1\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xA6"],
        ["\xE6\xB8\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xB2"],

        ["\xB1\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\x98"],
        ["\xE5\x98\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xB3"],

        ["\xB1\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\x84"],
        ["\xE5\x94\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xB4"],

        ["\xB1\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x9D"],
        ["\xE6\xAC\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xB5"],

        ["\xB1\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x9A"],
        ["\xE8\x94\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xB6"],

        ["\xB1\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xBB"],
        ["\xE9\xB0\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xB7"],

        ["\xB1\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xA5"],
        ["\xE5\xA7\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xB8"],

        ["\xB1\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xA9"],
        ["\xE5\x8E\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xB9"],

        ["\xB1\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xA6"],
        ["\xE6\xB5\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xBA"],

        ["\xB1\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\x9C"],
        ["\xE7\x93\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xBB"],

        ["\xB1\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x8F"],
        ["\xE9\x96\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xBC"],

        ["\xB1\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\x82"],
        ["\xE5\x99\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xBD"],

        ["\xB1\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x91"],
        ["\xE4\xBA\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xBE"],

        ["\xB1\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x8B"],
        ["\xE9\x81\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xBF"],

        ["\xB1\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xB2"],
        ["\xE9\x9B\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xC0"],

        ["\xB1\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x8F"],
        ["\xE8\x8D\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xC1"],

        ["\xB1\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x8C"],
        ["\xE9\xA4\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xC2"],

        ["\xB1\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xA1"],
        ["\xE5\x8F\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xC3"],

        ["\xB1\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\xB6"],
        ["\xE5\x96\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xC4"],

        ["\xB1\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\xB0"],
        ["\xE5\xAC\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xC5"],

        ["\xB1\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xB1"],
        ["\xE5\xBD\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xC6"],

        ["\xB1\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xA0"],
        ["\xE6\x98\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xC7"],

        ["\xB1\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xB3"],
        ["\xE6\x9B\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xC8"],

        ["\xB1\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x84"],
        ["\xE6\xA0\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xC9"],

        ["\xB1\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\xB8"],
        ["\xE6\xB0\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xCA"],

        ["\xB1\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xB3"],
        ["\xE6\xB3\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xCB"],

        ["\xB1\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xA9"],
        ["\xE6\xB4\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xCC"],

        ["\xB1\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x9B"],
        ["\xE7\x91\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xCD"],

        ["\xB1\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x88"],
        ["\xE7\x9B\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xCE"],

        ["\xB1\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x8E"],
        ["\xE7\xA9\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xCF"],

        ["\xB1\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xB4"],
        ["\xE9\xA0\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xD0"],

        ["\xB1\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xB1"],
        ["\xE8\x8B\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xD1"],

        ["\xB1\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x9B"],
        ["\xE8\xA1\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xD2"],

        ["\xB1\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xA0"],
        ["\xE8\xA9\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xD3"],

        ["\xB1\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xAD"],
        ["\xE9\x8B\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xD4"],

        ["\xB1\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\xB2"],
        ["\xE6\xB6\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xD5"],

        ["\xB1\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xAB"],
        ["\xE7\x96\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xD6"],

        ["\xB1\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x8A"],
        ["\xE7\x9B\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xD7"],

        ["\xB1\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x85"],
        ["\xE9\xA7\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xD8"],

        ["\xB1\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xA6"],
        ["\xE6\x82\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xD9"],

        ["\xB1\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x81"],
        ["\xE8\xAC\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xDA"],

        ["\xB1\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\x8A"],
        ["\xE8\xB6\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xDB"],

        ["\xB1\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xB2"],
        ["\xE9\x96\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xDC"],

        ["\xB1\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x8E"],
        ["\xE6\xA6\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xDD"],

        ["\xB1\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xAD"],
        ["\xE5\x8E\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xDE"],

        ["\xB1\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x86"],
        ["\xE5\x86\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xDF"],

        ["\xB1\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x92"],
        ["\xE5\x9C\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xE0"],

        ["\xB1\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xB0"],
        ["\xE5\xA0\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xE1"],

        ["\xB1\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x84"],
        ["\xE5\xA5\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xE2"],

        ["\xB1\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xB4"],
        ["\xE5\xAE\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xE3"],

        ["\xB1\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xB6"],
        ["\xE5\xBB\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xE4"],

        ["\xB1\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xA8"],
        ["\xE6\x80\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xE5"],

        ["\xB1\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xA9"],
        ["\xE6\x8E\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xE6"],

        ["\xB1\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xB4"],
        ["\xE6\x8F\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xE7"],

        ["\xB1\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xBF"],
        ["\xE6\xB2\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xE8"],

        ["\xB1\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x94"],
        ["\xE6\xBC\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xE9"],

        ["\xB1\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\x8E"],
        ["\xE7\x82\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xEA"],

        ["\xB1\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x94"],
        ["\xE7\x84\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xEB"],

        ["\xB1\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x99"],
        ["\xE7\x85\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xEC"],

        ["\xB1\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x95"],
        ["\xE7\x87\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xED"],

        ["\xB1\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xBF"],
        ["\xE7\x8C\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xEE"],

        ["\xB1\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x81"],
        ["\xE7\xB8\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xEF"],

        ["\xB1\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xB6"],
        ["\xE8\x89\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xF0"],

        ["\xB1\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x91"],
        ["\xE8\x8B\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xF1"],

        ["\xB1\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x97"],
        ["\xE8\x96\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xF2"],

        ["\xB1\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xA0"],
        ["\xE9\x81\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xF3"],

        ["\xB1\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x9B"],
        ["\xE9\x89\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xF4"],

        ["\xB1\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x9B"],
        ["\xE9\xB4\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xF5"],

        ["\xB1\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xA9"],
        ["\xE5\xA1\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xF6"],

        ["\xB1\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xBC"],
        ["\xE6\x96\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xF7"],

        ["\xB1\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x9A"],
        ["\xE6\xB1\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xF8"],

        ["\xB1\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xA5"],
        ["\xE7\x94\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xF9"],

        ["\xB1\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xB9"],
        ["\xE5\x87\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xFA"],

        ["\xB1\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xAE"],
        ["\xE5\xA4\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xFB"],

        ["\xB1\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xA5"],
        ["\xE5\xA5\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xFC"],

        ["\xB1\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x80"],
        ["\xE5\xBE\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xFD"],

        ["\xB1\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x9C"],
        ["\xE5\xBF\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\xFE"],

        ["\xB2\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\xBC"],
        ["\xE6\x8A\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xA1"],

        ["\xB2\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xBA"],
        ["\xE6\x97\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xA2"],

        ["\xB2\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xAA"],
        ["\xE6\xA8\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xA3"],

        ["\xB2\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xA7"],
        ["\xE6\xAC\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xA4"],

        ["\xB2\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xB4"],
        ["\xE6\xAE\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xA5"],

        ["\xB2\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x8B"],
        ["\xE7\x8E\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xA6"],

        ["\xB2\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x81"],
        ["\xE7\xBF\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xA7"],

        ["\xB2\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x96"],
        ["\xE8\xA5\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xA8"],

        ["\xB2\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\xAC"],
        ["\xE9\xB4\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xA9"],

        ["\xB2\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x8E"],
        ["\xE9\xB4\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xAA"],

        ["\xB2\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x84"],
        ["\xE9\xBB\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xAB"],

        ["\xB2\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xA1"],
        ["\xE5\xB2\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xAC"],

        ["\xB2\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x96"],
        ["\xE6\xB2\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xAD"],

        ["\xB2\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\xBB"],
        ["\xE8\x8D\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xAE"],

        ["\xB2\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x84"],
        ["\xE5\x84\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xAF"],

        ["\xB2\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x8B"],
        ["\xE5\xB1\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xB0"],

        ["\xB2\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xB6"],
        ["\xE6\x86\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xB1"],

        ["\xB2\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x86"],
        ["\xE8\x87\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xB2"],

        ["\xB2\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xB6"],
        ["\xE6\xA1\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xB3"],

        ["\xB2\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xA1"],
        ["\xE7\x89\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xB4"],

        ["\xB2\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x99"],
        ["\xE4\xB9\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xB5"],

        ["\xB2\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xBA"],
        ["\xE4\xBF\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xB6"],

        ["\xB2\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xB8"],
        ["\xE5\x8D\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xB7"],

        ["\xB2\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xA9"],
        ["\xE6\x81\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xB8"],

        ["\xB2\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xA9"],
        ["\xE6\xB8\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xB9"],

        ["\xB2\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x8F"],
        ["\xE7\xA9\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xBA"],

        ["\xB2\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\xB3"],
        ["\xE9\x9F\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xBB"],

        ["\xB2\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x8B"],
        ["\xE4\xB8\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xBC"],

        ["\xB2\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x96"],
        ["\xE5\x8C\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xBD"],

        ["\xB2\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xAE"],
        ["\xE4\xBB\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xBE"],

        ["\xB2\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x95"],
        ["\xE4\xBD\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xBF"],

        ["\xB2\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\xBD"],
        ["\xE4\xBC\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xC0"],

        ["\xB2\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\xA1"],
        ["\xE4\xBE\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xC1"],

        ["\xB2\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xB3"],
        ["\xE4\xBD\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xC2"],

        ["\xB2\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xA0"],
        ["\xE5\x8A\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xC3"],

        ["\xB2\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xAF"],
        ["\xE5\x8F\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xC4"],

        ["\xB2\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\x89"],
        ["\xE5\x98\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xC5"],

        ["\xB2\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x8F"],
        ["\xE5\xA4\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xC6"],

        ["\xB2\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\x81"],
        ["\xE5\xAB\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xC7"],

        ["\xB2\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xB6"],
        ["\xE5\xAE\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xC8"],

        ["\xB2\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xA1"],
        ["\xE5\xAF\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xC9"],

        ["\xB2\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x91"],
        ["\xE7\xA7\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xCA"],

        ["\xB2\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x87"],
        ["\xE6\x9A\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xCB"],

        ["\xB2\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x9C"],
        ["\xE6\x9E\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xCC"],

        ["\xB2\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xB6"],
        ["\xE6\x9E\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xCD"],

        ["\xB2\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x8C"],
        ["\xE6\xAD\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xCE"],

        ["\xB2\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xB3"],
        ["\xE6\xB2\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xCF"],

        ["\xB2\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xAB"],
        ["\xE7\x81\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xD0"],

        ["\xB2\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x82"],
        ["\xE7\x8F\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xD1"],

        ["\xB2\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x8D"],
        ["\xE7\xA6\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xD2"],

        ["\xB2\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xBE"],
        ["\xE7\xA6\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xD3"],

        ["\xB2\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xBC"],
        ["\xE7\xA8\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xD4"],

        ["\xB2\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x87"],
        ["\xE7\xAE\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xD5"],

        ["\xB2\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xB1"],
        ["\xE8\x8A\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xD6"],

        ["\xB2\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x9B"],
        ["\xE8\x8B\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xD7"],

        ["\xB2\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x84"],
        ["\xE8\x8C\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xD8"],

        ["\xB2\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\xB7"],
        ["\xE8\x8D\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xD9"],

        ["\xB2\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xAF"],
        ["\xE8\x8F\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xDA"],

        ["\xB2\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x93"],
        ["\xE8\x8F\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xDB"],

        ["\xB2\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xA6"],
        ["\xE8\x9D\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xDC"],

        ["\xB2\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xB2"],
        ["\xE8\xAA\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xDD"],

        ["\xB2\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xA9"],
        ["\xE5\x98\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xDE"],

        ["\xB2\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xA8"],
        ["\xE8\xB2\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xDF"],

        ["\xB2\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xA6"],
        ["\xE8\xBF\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xE0"],

        ["\xB2\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x8E"],
        ["\xE9\x81\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xE1"],

        ["\xB2\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x9E"],
        ["\xE9\x9C\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xE2"],

        ["\xB2\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x8A"],
        ["\xE8\x9A\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xE3"],

        ["\xB2\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x84"],
        ["\xE4\xBF\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xE4"],

        ["\xB2\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xA8"],
        ["\xE5\xB3\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xE5"],

        ["\xB2\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x91"],
        ["\xE6\x88\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xE6"],

        ["\xB2\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x99"],
        ["\xE7\x89\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xE7"],

        ["\xB2\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xBB"],
        ["\xE7\x94\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xE8"],

        ["\xB2\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xA5"],
        ["\xE8\x87\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xE9"],

        ["\xB2\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xBD"],
        ["\xE8\x8A\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xEA"],

        ["\xB2\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xBE"],
        ["\xE8\x9B\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xEB"],

        ["\xB2\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x80"],
        ["\xE8\xB3\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xEC"],

        ["\xB2\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x85"],
        ["\xE9\x9B\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xED"],

        ["\xB2\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x93"],
        ["\xE9\xA4\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xEE"],

        ["\xB2\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x95"],
        ["\xE9\xA7\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xEF"],

        ["\xB2\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x8B"],
        ["\xE4\xBB\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xF0"],

        ["\xB2\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x9A"],
        ["\xE4\xBC\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xF1"],

        ["\xB2\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xA3"],
        ["\xE8\xA7\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xF2"],

        ["\xB2\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x9E"],
        ["\xE5\x9B\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xF3"],

        ["\xB2\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x8A"],
        ["\xE5\xA1\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xF4"],

        ["\xB2\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x8A"],
        ["\xE5\xA3\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xF5"],

        ["\xB2\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xBB"],
        ["\xE5\xBB\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xF6"],

        ["\xB2\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xAB"],
        ["\xE5\xBF\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xF7"],

        ["\xB2\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xAA"],
        ["\xE6\x80\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xF8"],

        ["\xB2\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x94"],
        ["\xE6\x82\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xF9"],

        ["\xB2\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xA2"],
        ["\xE6\x81\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xFA"],

        ["\xB2\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x90"],
        ["\xE6\x87\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xFB"],

        ["\xB2\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x92"],
        ["\xE6\x88\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xFC"],

        ["\xB2\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x90"],
        ["\xE6\x8B\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xFD"],

        ["\xB2\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xB9"],
        ["\xE6\x94\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\xFE"],

        ["\xB3\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x81"],
        ["\xE9\xAD\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xA1"],

        ["\xB3\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xA6"],
        ["\xE6\x99\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xA2"],

        ["\xB3\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xB0"],
        ["\xE6\xA2\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xA3"],

        ["\xB3\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xB7"],
        ["\xE6\xB5\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xA4"],

        ["\xB3\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xB0"],
        ["\xE7\x81\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xA5"],

        ["\xB3\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x8C"],
        ["\xE7\x95\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xA6"],

        ["\xB3\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x86"],
        ["\xE7\x9A\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xA7"],

        ["\xB3\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xB5"],
        ["\xE7\xB5\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xA8"],

        ["\xB3\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xA5"],
        ["\xE8\x8A\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xA9"],

        ["\xB3\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xB9"],
        ["\xE8\x9F\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xAA"],

        ["\xB3\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x8B"],
        ["\xE9\x96\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xAB"],

        ["\xB3\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x8E"],
        ["\xE9\x9A\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xAC"],

        ["\xB3\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\x9D"],
        ["\xE8\xB2\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xAD"],

        ["\xB3\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xB1"],
        ["\xE5\x87\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xAE"],

        ["\xB3\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xBE"],
        ["\xE5\x8A\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xAF"],

        ["\xB3\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x96"],
        ["\xE5\xA4\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xB0"],

        ["\xB3\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xB3"],
        ["\xE5\x92\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xB1"],

        ["\xB3\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xB3"],
        ["\xE5\xAE\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xB2"],

        ["\xB3\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x96"],
        ["\xE5\xB4\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xB3"],

        ["\xB3\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xA8"],
        ["\xE6\x85\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xB4"],

        ["\xB3\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x82"],
        ["\xE6\xA6\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xB5"],

        ["\xB3\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\xAF"],
        ["\xE6\xB6\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xB6"],

        ["\xB3\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x8D"],
        ["\xE7\xA2\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xB7"],

        ["\xB3\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x8B"],
        ["\xE8\x93\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xB8"],

        ["\xB3\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x97"],
        ["\xE8\xA1\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xB9"],

        ["\xB3\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xB2"],
        ["\xE8\xA9\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xBA"],

        ["\xB3\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\xA7"],
        ["\xE9\x8E\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xBB"],

        ["\xB3\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA\xB8"],
        ["\xE9\xAA\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xBC"],

        ["\xB3\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xAC"],
        ["\xE6\xB5\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xBD"],

        ["\xB3\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\xA8"],
        ["\xE9\xA6\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xBE"],

        ["\xB3\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x99"],
        ["\xE8\x9B\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xBF"],

        ["\xB3\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\xA3"],
        ["\xE5\x9E\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xC0"],

        ["\xB3\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xBF"],
        ["\xE6\x9F\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xC1"],

        ["\xB3\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x8E"],
        ["\xE8\x9B\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xC2"],

        ["\xB3\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\x8E"],
        ["\xE9\x88\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xC3"],

        ["\xB3\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x83"],
        ["\xE5\x8A\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xC4"],

        ["\xB3\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x87"],
        ["\xE5\x9A\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xC5"],

        ["\xB3\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x84"],
        ["\xE5\x90\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xC6"],

        ["\xB3\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x93"],
        ["\xE5\xBB\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xC7"],

        ["\xB3\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xA1"],
        ["\xE6\x8B\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xC8"],

        ["\xB3\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xB9"],
        ["\xE6\x92\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xC9"],

        ["\xB3\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xBC"],
        ["\xE6\xA0\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xCA"],

        ["\xB3\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xB8"],
        ["\xE6\xA0\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xCB"],

        ["\xB3\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xBB"],
        ["\xE6\xAE\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xCC"],

        ["\xB3\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xB2"],
        ["\xE7\x8D\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xCD"],

        ["\xB3\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xBA"],
        ["\xE7\xA2\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xCE"],

        ["\xB3\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xAB"],
        ["\xE7\xA9\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xCF"],

        ["\xB3\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x9A"],
        ["\xE8\xA6\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xD0"],

        ["\xB3\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\x92"],
        ["\xE8\xA7\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xD1"],

        ["\xB3\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xAB"],
        ["\xE8\xB5\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xD2"],

        ["\xB3\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x83"],
        ["\xE8\xBC\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xD3"],

        ["\xB3\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\xAD"],
        ["\xE9\x83\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xD4"],

        ["\xB3\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xA3"],
        ["\xE9\x96\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xD5"],

        ["\xB3\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x94"],
        ["\xE9\x9A\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xD6"],

        ["\xB3\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xA9"],
        ["\xE9\x9D\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xD7"],

        ["\xB3\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xA6"],
        ["\xE5\xAD\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xD8"],

        ["\xB3\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xB3"],
        ["\xE5\xB2\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xD9"],

        ["\xB3\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xBD"],
        ["\xE6\xA5\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xDA"],

        ["\xB3\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x8D"],
        ["\xE9\xA1\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xDB"],

        ["\xB3\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x8E"],
        ["\xE9\xA1\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xDC"],

        ["\xB3\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x9B"],
        ["\xE6\x8E\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xDD"],

        ["\xB3\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xA0"],
        ["\xE7\xAC\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xDE"],

        ["\xB3\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xAB"],
        ["\xE6\xA8\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xDF"],

        ["\xB3\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\xBF"],
        ["\xE6\xA9\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xE0"],

        ["\xB3\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xB6"],
        ["\xE6\xA2\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xE1"],

        ["\xB3\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x8D"],
        ["\xE9\xB0\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xE2"],

        ["\xB3\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x9F"],
        ["\xE6\xBD\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xE3"],

        ["\xB3\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xB2"],
        ["\xE5\x89\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xE4"],

        ["\xB3\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x9D"],
        ["\xE5\x96\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xE5"],

        ["\xB3\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xB0"],
        ["\xE6\x81\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xE6"],

        ["\xB3\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xAC"],
        ["\xE6\x8B\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xE7"],

        ["\xB3\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xBB"],
        ["\xE6\xB4\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xE8"],

        ["\xB3\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x87"],
        ["\xE6\xB8\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xE9"],

        ["\xB3\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x91"],
        ["\xE6\xBB\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xEA"],

        ["\xB3\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x9B"],
        ["\xE8\x91\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xEB"],

        ["\xB3\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x90"],
        ["\xE8\xA4\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xEC"],

        ["\xB3\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x84"],
        ["\xE8\xBD\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xED"],

        ["\xB3\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x94"],
        ["\xE4\xB8\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xEE"],

        ["\xB3\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xB9"],
        ["\xE9\xB0\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xEF"],

        ["\xB3\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xB6"],
        ["\xE5\x8F\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xF0"],

        ["\xB3\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x9B"],
        ["\xE6\xA4\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xF1"],

        ["\xB3\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xBA"],
        ["\xE6\xA8\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xF2"],

        ["\xB3\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\x84"],
        ["\xE9\x9E\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xF3"],

        ["\xB3\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xAA"],
        ["\xE6\xA0\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xF4"],

        ["\xB3\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x9C"],
        ["\xE5\x85\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xF5"],

        ["\xB3\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x83"],
        ["\xE7\xAB\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xF6"],

        ["\xB3\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xB2"],
        ["\xE8\x92\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xF7"],

        ["\xB3\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x9C"],
        ["\xE9\x87\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xF8"],

        ["\xB3\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\x8C"],
        ["\xE9\x8E\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xF9"],

        ["\xB3\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\x9B"],
        ["\xE5\x99\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xFA"],

        ["\xB3\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\xA8"],
        ["\xE9\xB4\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xFB"],

        ["\xB3\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xA2"],
        ["\xE6\xA0\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xFC"],

        ["\xB3\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x85"],
        ["\xE8\x8C\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xFD"],

        ["\xB3\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\xB1"],
        ["\xE8\x90\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\xFE"],

        ["\xB4\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xA5"],
        ["\xE7\xB2\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xA1"],

        ["\xB4\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x88"],
        ["\xE5\x88\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xA2"],

        ["\xB4\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x85"],
        ["\xE8\x8B\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xA3"],

        ["\xB4\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xA6"],
        ["\xE7\x93\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xA4"],

        ["\xB4\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\xBE"],
        ["\xE4\xB9\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xA5"],

        ["\xB4\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x83"],
        ["\xE4\xBE\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xA6"],

        ["\xB4\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xA0"],
        ["\xE5\x86\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xA7"],

        ["\xB4\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x92"],
        ["\xE5\xAF\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xA8"],

        ["\xB4\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x8A"],
        ["\xE5\x88\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xA9"],

        ["\xB4\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x98"],
        ["\xE5\x8B\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xAA"],

        ["\xB4\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xA7"],
        ["\xE5\x8B\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xAB"],

        ["\xB4\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xBB"],
        ["\xE5\xB7\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xAC"],

        ["\xB4\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x9A"],
        ["\xE5\x96\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xAD"],

        ["\xB4\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xAA"],
        ["\xE5\xA0\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xAE"],

        ["\xB4\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xA6"],
        ["\xE5\xA7\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xAF"],

        ["\xB4\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x8C"],
        ["\xE5\xAE\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xB0"],

        ["\xB4\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x98"],
        ["\xE5\xAE\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xB1"],

        ["\xB4\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x9B"],
        ["\xE5\xAF\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xB2"],

        ["\xB4\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xB2"],
        ["\xE5\xB9\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xB3"],

        ["\xB4\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xB9"],
        ["\xE5\xB9\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xB4"],

        ["\xB4\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xA3"],
        ["\xE6\x82\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xB5"],

        ["\xB4\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x9F"],
        ["\xE6\x84\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xB6"],

        ["\xB4\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xA3"],
        ["\xE6\x85\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xB7"],

        ["\xB4\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xBE"],
        ["\xE6\x86\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xB8"],

        ["\xB4\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x9B"],
        ["\xE6\x8F\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xB9"],

        ["\xB4\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xA2"],
        ["\xE6\x95\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xBA"],

        ["\xB4\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x91"],
        ["\xE6\x9F\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xBB"],

        ["\xB4\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x93"],
        ["\xE6\xA1\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xBC"],

        ["\xB4\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xBA"],
        ["\xE6\xA3\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xBD"],

        ["\xB4\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xBE"],
        ["\xE6\xAC\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xBE"],

        ["\xB4\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x93"],
        ["\xE6\xAD\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xBF"],

        ["\xB4\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x97"],
        ["\xE6\xB1\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xC0"],

        ["\xB4\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xA2"],
        ["\xE6\xBC\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xC1"],

        ["\xB4\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x97"],
        ["\xE6\xBE\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xC2"],

        ["\xB4\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x85"],
        ["\xE6\xBD\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xC3"],

        ["\xB4\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xB0"],
        ["\xE7\x92\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xC4"],

        ["\xB4\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x98"],
        ["\xE7\x94\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xC5"],

        ["\xB4\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xA3"],
        ["\xE7\x9B\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xC6"],

        ["\xB4\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x8B"],
        ["\xE7\x9C\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xC7"],

        ["\xB4\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xBF"],
        ["\xE7\xAB\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xC8"],

        ["\xB4\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\xA1"],
        ["\xE7\xAE\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xC9"],

        ["\xB4\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xA1"],
        ["\xE7\xB0\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xCA"],

        ["\xB4\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xA9"],
        ["\xE7\xB7\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xCB"],

        ["\xB4\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBC\xB6"],
        ["\xE7\xBC\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xCC"],

        ["\xB4\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xB0"],
        ["\xE7\xBF\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xCD"],

        ["\xB4\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x9D"],
        ["\xE8\x82\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xCE"],

        ["\xB4\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xA6"],
        ["\xE8\x89\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xCF"],

        ["\xB4\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x9E"],
        ["\xE8\x8E\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xD0"],

        ["\xB4\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xB3"],
        ["\xE8\xA6\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xD1"],

        ["\xB4\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x8C"],
        ["\xE8\xAB\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xD2"],

        ["\xB4\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xAB"],
        ["\xE8\xB2\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xD3"],

        ["\xB4\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x84"],
        ["\xE9\x82\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xD4"],

        ["\xB4\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\x91"],
        ["\xE9\x91\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xD5"],

        ["\xB4\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x93"],
        ["\xE9\x96\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xD6"],

        ["\xB4\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x91"],
        ["\xE9\x96\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xD7"],

        ["\xB4\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xA2"],
        ["\xE9\x96\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xD8"],

        ["\xB4\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xA5"],
        ["\xE9\x99\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xD9"],

        ["\xB4\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\x93"],
        ["\xE9\x9F\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xDA"],

        ["\xB4\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\xA8"],
        ["\xE9\xA4\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xDB"],

        ["\xB4\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x98"],
        ["\xE8\x88\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xDC"],

        ["\xB4\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xB8"],
        ["\xE4\xB8\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xDD"],

        ["\xB4\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xAB"],
        ["\xE5\x90\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xDE"],

        ["\xB4\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xB8"],
        ["\xE5\xB2\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xDF"],

        ["\xB4\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x8C"],
        ["\xE5\xB7\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xE0"],

        ["\xB4\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xA9"],
        ["\xE7\x8E\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xE1"],

        ["\xB4\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x8C"],
        ["\xE7\x99\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xE2"],

        ["\xB4\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xBC"],
        ["\xE7\x9C\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xE3"],

        ["\xB4\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xA9"],
        ["\xE5\xB2\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xE4"],

        ["\xB4\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xAB"],
        ["\xE7\xBF\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xE5"],

        ["\xB4\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x8B"],
        ["\xE8\xB4\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xE6"],

        ["\xB4\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x81"],
        ["\xE9\x9B\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xE7"],

        ["\xB4\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x91"],
        ["\xE9\xA0\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xE8"],

        ["\xB4\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x94"],
        ["\xE9\xA1\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xE9"],

        ["\xB4\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x98"],
        ["\xE9\xA1\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xEA"],

        ["\xB4\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x81"],
        ["\xE4\xBC\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xEB"],

        ["\xB4\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x8E"],
        ["\xE4\xBC\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xEC"],

        ["\xB4\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xB1"],
        ["\xE5\x8D\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xED"],

        ["\xB4\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x9C"],
        ["\xE5\x96\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xEE"],

        ["\xB4\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xA8"],
        ["\xE5\x99\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xEF"],

        ["\xB4\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xBA"],
        ["\xE5\x9F\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xF0"],

        ["\xB4\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x87"],
        ["\xE5\xA5\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xF1"],

        ["\xB4\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\x89"],
        ["\xE5\xAC\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xF2"],

        ["\xB4\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x84"],
        ["\xE5\xAF\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xF3"],

        ["\xB4\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\x90"],
        ["\xE5\xB2\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xF4"],

        ["\xB4\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x8C"],
        ["\xE5\xB8\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xF5"],

        ["\xB4\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xBE"],
        ["\xE5\xB9\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xF6"],

        ["\xB4\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x8C"],
        ["\xE5\xBF\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xF7"],

        ["\xB4\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xAE"],
        ["\xE6\x8F\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xF8"],

        ["\xB4\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xBA"],
        ["\xE6\x9C\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xF9"],

        ["\xB4\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x97"],
        ["\xE6\x97\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xFA"],

        ["\xB4\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xA2"],
        ["\xE6\x97\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xFB"],

        ["\xB4\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x9F"],
        ["\xE6\x9C\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xFC"],

        ["\xB4\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x8B"],
        ["\xE6\xA3\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xFD"],

        ["\xB4\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x84"],
        ["\xE6\xA3\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\xFE"],

        ["\xB5\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x9F"],
        ["\xE6\xA9\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xA1"],

        ["\xB5\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xB0"],
        ["\xE5\xB8\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xA2"],

        ["\xB5\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x85"],
        ["\xE6\xAF\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xA3"],

        ["\xB5\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x97"],
        ["\xE6\xB0\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xA4"],

        ["\xB5\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xBD"],
        ["\xE6\xB1\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xA5"],

        ["\xB5\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xBF"],
        ["\xE7\x95\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xA6"],

        ["\xB5\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x88"],
        ["\xE7\xA5\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xA7"],

        ["\xB5\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xA3"],
        ["\xE5\xAD\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xA8"],

        ["\xB5\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x80"],
        ["\xE7\xA8\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xA9"],

        ["\xB5\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x80"],
        ["\xE7\xB4\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xAA"],

        ["\xB5\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xBD"],
        ["\xE5\xBE\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xAB"],

        ["\xB5\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x8F"],
        ["\xE8\xA6\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xAC"],

        ["\xB5\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x98"],
        ["\xE8\xA8\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xAD"],

        ["\xB5\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xB4"],
        ["\xE8\xB2\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xAE"],

        ["\xB5\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xB7"],
        ["\xE8\xB5\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xAF"],

        ["\xB5\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x8C"],
        ["\xE8\xBB\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xB0"],

        ["\xB5\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x9D"],
        ["\xE8\xBC\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xB1"],

        ["\xB5\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xA2"],
        ["\xE9\xA3\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xB2"],

        ["\xB5\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\x8E"],
        ["\xE9\xA8\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xB3"],

        ["\xB5\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xBC"],
        ["\xE9\xAC\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xB4"],

        ["\xB5\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x80"],
        ["\xE4\xBA\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xB5"],

        ["\xB5\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xBD"],
        ["\xE5\x81\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xB6"],

        ["\xB5\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x80"],
        ["\xE5\x84\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xB7"],

        ["\xB5\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x93"],
        ["\xE5\xA6\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xB8"],

        ["\xB5\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x9C"],
        ["\xE5\xAE\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xB9"],

        ["\xB5\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xAF"],
        ["\xE6\x88\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xBA"],

        ["\xB5\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x80"],
        ["\xE6\x8A\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xBB"],

        ["\xB5\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xAC"],
        ["\xE6\x93\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xBC"],

        ["\xB5\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xBA"],
        ["\xE6\xAC\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xBD"],

        ["\xB5\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xA0"],
        ["\xE7\x8A\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xBE"],

        ["\xB5\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x91"],
        ["\xE7\x96\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xBF"],

        ["\xB5\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x87"],
        ["\xE7\xA5\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xC0"],

        ["\xB5\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xA9"],
        ["\xE7\xBE\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xC1"],

        ["\xB5\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xBB"],
        ["\xE8\x9F\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xC2"],

        ["\xB5\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xBC"],
        ["\xE8\xAA\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xC3"],

        ["\xB5\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xB0"],
        ["\xE8\xAD\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xC4"],

        ["\xB5\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xAC"],
        ["\xE6\x8E\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xC5"],

        ["\xB5\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x8A"],
        ["\xE8\x8F\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xC6"],

        ["\xB5\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\xA0"],
        ["\xE9\x9E\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xC7"],

        ["\xB5\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x89"],
        ["\xE5\x90\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xC8"],

        ["\xB5\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x83"],
        ["\xE5\x90\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xC9"],

        ["\xB5\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\xAB"],
        ["\xE5\x96\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xCA"],

        ["\xB5\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x94"],
        ["\xE6\xA1\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xCB"],

        ["\xB5\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x98"],
        ["\xE6\xA9\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xCC"],

        ["\xB5\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xB0"],
        ["\xE8\xA9\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xCD"],

        ["\xB5\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\xA7"],
        ["\xE7\xA0\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xCE"],

        ["\xB5\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xB5"],
        ["\xE6\x9D\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xCF"],

        ["\xB5\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x8D"],
        ["\xE9\xBB\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xD0"],

        ["\xB5\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xB4"],
        ["\xE5\x8D\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xD1"],

        ["\xB5\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xA2"],
        ["\xE5\xAE\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xD2"],

        ["\xB5\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x9A"],
        ["\xE8\x84\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xD3"],

        ["\xB5\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x90"],
        ["\xE8\x99\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xD4"],

        ["\xB5\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x86"],
        ["\xE9\x80\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xD5"],

        ["\xB5\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x98"],
        ["\xE4\xB8\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xD6"],

        ["\xB5\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x85"],
        ["\xE4\xB9\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xD7"],

        ["\xB5\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x87"],
        ["\xE4\xBB\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xD8"],

        ["\xB5\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x91"],
        ["\xE4\xBC\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xD9"],

        ["\xB5\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x8A"],
        ["\xE5\x8F\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xDA"],

        ["\xB5\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xB8"],
        ["\xE5\x90\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xDB"],

        ["\xB5\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xAE"],
        ["\xE5\xAE\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xDC"],

        ["\xB5\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x93"],
        ["\xE5\xBC\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xDD"],

        ["\xB5\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xA5"],
        ["\xE6\x80\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xDE"],

        ["\xB5\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x91"],
        ["\xE6\x95\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xDF"],

        ["\xB5\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xBD"],
        ["\xE6\x9C\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xE0"],

        ["\xB5\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x82"],
        ["\xE6\xB1\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xE1"],

        ["\xB5\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xB2"],
        ["\xE6\xB1\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xE2"],

        ["\xB5\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xA3"],
        ["\xE6\xB3\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xE3"],

        ["\xB5\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xB8"],
        ["\xE7\x81\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xE4"],

        ["\xB5\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\x83"],
        ["\xE7\x90\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xE5"],

        ["\xB5\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xB6"],
        ["\xE7\xA9\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xE6"],

        ["\xB5\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xAE"],
        ["\xE7\xAA\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xE7"],

        ["\xB5\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x88"],
        ["\xE7\xAC\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xE8"],

        ["\xB5\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x9A"],
        ["\xE7\xB4\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xE9"],

        ["\xB5\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xBE"],
        ["\xE7\xB3\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xEA"],

        ["\xB5\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xA6"],
        ["\xE7\xB5\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xEB"],

        ["\xB5\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xA7"],
        ["\xE6\x97\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xEC"],

        ["\xB5\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x9B"],
        ["\xE7\x89\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xED"],

        ["\xB5\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xBB"],
        ["\xE5\x8E\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xEE"],

        ["\xB5\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x85"],
        ["\xE5\xB1\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xEF"],

        ["\xB5\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xA8"],
        ["\xE5\xB7\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xF0"],

        ["\xB5\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x92"],
        ["\xE6\x8B\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xF1"],

        ["\xB5\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xA0"],
        ["\xE6\x8B\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xF2"],

        ["\xB5\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x99"],
        ["\xE6\x8C\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xF3"],

        ["\xB5\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xA0"],
        ["\xE6\xB8\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xF4"],

        ["\xB5\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x9A"],
        ["\xE8\x99\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xF5"],

        ["\xB5\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xB1"],
        ["\xE8\xA8\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xF6"],

        ["\xB5\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x9D"],
        ["\xE8\xB7\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xF7"],

        ["\xB5\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xB8"],
        ["\xE9\x8B\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xF8"],

        ["\xB5\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x81"],
        ["\xE6\xBC\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xF9"],

        ["\xB5\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xA6"],
        ["\xE7\xA6\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xFA"],

        ["\xB5\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x9A"],
        ["\xE9\xAD\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xFB"],

        ["\xB5\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xA8"],
        ["\xE4\xBA\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xFC"],

        ["\xB5\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xAB"],
        ["\xE4\xBA\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xFD"],

        ["\xB5\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xAC"],
        ["\xE4\xBA\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\xFE"],

        ["\xB6\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x9B"],
        ["\xE4\xBE\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xA1"],

        ["\xB6\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\xA0"],
        ["\xE4\xBE\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xA2"],

        ["\xB6\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x91"],
        ["\xE5\x83\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xA3"],

        ["\xB6\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x87"],
        ["\xE5\x85\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xA4"],

        ["\xB6\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xB6"],
        ["\xE7\xAB\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xA5"],

        ["\xB6\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xB1"],
        ["\xE5\x85\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xA6"],

        ["\xB6\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xB6"],
        ["\xE5\x87\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xA7"],

        ["\xB6\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x94"],
        ["\xE5\x8D\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xA8"],

        ["\xB6\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xA1"],
        ["\xE5\x8C\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xA9"],

        ["\xB6\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xBF"],
        ["\xE5\x8D\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xAA"],

        ["\xB6\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xAB"],
        ["\xE5\x8F\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xAB"],

        ["\xB6\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\xAC"],
        ["\xE5\x96\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xAC"],

        ["\xB6\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x83"],
        ["\xE5\xA2\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xAD"],

        ["\xB6\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xA1"],
        ["\xE5\xB3\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xAE"],

        ["\xB6\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xB7"],
        ["\xE5\xBC\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xAF"],

        ["\xB6\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x8A"],
        ["\xE5\xBD\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xB0"],

        ["\xB6\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xAF"],
        ["\xE6\x80\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xB1"],

        ["\xB6\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x90"],
        ["\xE6\x81\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xB2"],

        ["\xB6\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xAD"],
        ["\xE6\x81\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xB3"],

        ["\xB6\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x9F"],
        ["\xE6\x8C\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xB4"],

        ["\xB6\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x99"],
        ["\xE6\x95\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xB5"],

        ["\xB6\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x8B"],
        ["\xE6\xA9\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xB6"],

        ["\xB6\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x81"],
        ["\xE6\xB3\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xB7"],

        ["\xB6\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x82"],
        ["\xE7\x8B\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xB8"],

        ["\xB6\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xAD"],
        ["\xE7\x8B\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xB9"],

        ["\xB6\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xAF"],
        ["\xE7\x9F\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xBA"],

        ["\xB6\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xB8"],
        ["\xE8\x83\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xBB"],

        ["\xB6\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x85"],
        ["\xE8\x84\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xBC"],

        ["\xB6\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x88"],
        ["\xE8\x88\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xBD"],

        ["\xB6\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x8E"],
        ["\xE8\x95\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xBE"],

        ["\xB6\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\xB7"],
        ["\xE9\x83\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xBF"],

        ["\xB6\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\xA1"],
        ["\xE9\x8F\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xC0"],

        ["\xB6\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\xBF"],
        ["\xE9\x9F\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xC1"],

        ["\xB6\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\x97"],
        ["\xE9\xA5\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xC2"],

        ["\xB6\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x9A"],
        ["\xE9\xA9\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xC3"],

        ["\xB6\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xB0"],
        ["\xE4\xBB\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xC4"],

        ["\xB6\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x9D"],
        ["\xE5\x87\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xC5"],

        ["\xB6\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xAD"],
        ["\xE5\xB0\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xC6"],

        ["\xB6\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x81"],
        ["\xE6\x9A\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xC7"],

        ["\xB6\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xAD"],
        ["\xE6\xA5\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xC8"],

        ["\xB6\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x80"],
        ["\xE5\xB1\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xC9"],

        ["\xB6\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xB2"],
        ["\xE6\x9B\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xCA"],

        ["\xB6\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xB5"],
        ["\xE6\xA5\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xCB"],

        ["\xB6\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x89"],
        ["\xE7\x8E\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xCC"],

        ["\xB6\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x90"],
        ["\xE6\xA1\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xCD"],

        ["\xB6\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x81"],
        ["\xE7\xB2\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xCE"],

        ["\xB6\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x85"],
        ["\xE5\x83\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xCF"],

        ["\xB6\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xA4"],
        ["\xE5\x8B\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xD0"],

        ["\xB6\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x87"],
        ["\xE5\x9D\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xD1"],

        ["\xB6\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xBE"],
        ["\xE5\xB7\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xD2"],

        ["\xB6\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xA6"],
        ["\xE9\x8C\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xD3"],

        ["\xB6\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xA4"],
        ["\xE6\x96\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xD4"],

        ["\xB6\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xA3"],
        ["\xE6\xAC\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xD5"],

        ["\xB6\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xBD"],
        ["\xE6\xAC\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xD6"],

        ["\xB6\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xB4"],
        ["\xE7\x90\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xD7"],

        ["\xB6\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x81"],
        ["\xE7\xA6\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xD8"],

        ["\xB6\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xBD"],
        ["\xE7\xA6\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xD9"],

        ["\xB6\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x8B"],
        ["\xE7\xAD\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xDA"],

        ["\xB6\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x8A"],
        ["\xE7\xB7\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xDB"],

        ["\xB6\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xB9"],
        ["\xE8\x8A\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xDC"],

        ["\xB6\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x8C"],
        ["\xE8\x8F\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xDD"],

        ["\xB6\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xBF"],
        ["\xE8\xA1\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xDE"],

        ["\xB6\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x9F"],
        ["\xE8\xA5\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xDF"],

        ["\xB6\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\xB9"],
        ["\xE8\xAC\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xE0"],

        ["\xB6\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\x91"],
        ["\xE8\xBF\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xE1"],

        ["\xB6\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x91"],
        ["\xE9\x87\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xE2"],

        ["\xB6\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x9F"],
        ["\xE5\x90\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xE3"],

        ["\xB6\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x80"],
        ["\xE9\x8A\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xE4"],

        ["\xB6\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x9D"],
        ["\xE4\xB9\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xE5"],

        ["\xB6\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xB6"],
        ["\xE5\x80\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xE6"],

        ["\xB6\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xA5"],
        ["\xE5\x8F\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xE7"],

        ["\xB6\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xBA"],
        ["\xE5\x8C\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xE8"],

        ["\xB6\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x97"],
        ["\xE7\x8B\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xE9"],

        ["\xB6\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x96"],
        ["\xE7\x8E\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xEA"],

        ["\xB6\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xA9"],
        ["\xE7\x9F\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xEB"],

        ["\xB6\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xA6"],
        ["\xE8\x8B\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xEC"],

        ["\xB6\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\xAF"],
        ["\xE8\xBA\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xED"],

        ["\xB6\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x86"],
        ["\xE9\xA7\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xEE"],

        ["\xB6\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x88"],
        ["\xE9\xA7\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xEF"],

        ["\xB6\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x92"],
        ["\xE9\xA7\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xF0"],

        ["\xB6\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xB7"],
        ["\xE5\x85\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xF1"],

        ["\xB6\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x9A"],
        ["\xE6\x84\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xF2"],

        ["\xB6\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x9E"],
        ["\xE8\x99\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xF3"],

        ["\xB6\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\xB0"],
        ["\xE5\x96\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xF4"],

        ["\xB6\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xBA"],
        ["\xE7\xA9\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xF5"],

        ["\xB6\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xB6"],
        ["\xE5\x81\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xF6"],

        ["\xB6\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x93"],
        ["\xE5\xAF\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xF7"],

        ["\xB6\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x87"],
        ["\xE9\x81\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xF8"],

        ["\xB6\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x85"],
        ["\xE9\x9A\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xF9"],

        ["\xB6\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xB2"],
        ["\xE4\xB8\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xFA"],

        ["\xB6\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x9B"],
        ["\xE6\xAB\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xFB"],

        ["\xB6\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xA7"],
        ["\xE9\x87\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xFC"],

        ["\xB6\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x91"],
        ["\xE5\xB1\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xFD"],

        ["\xB6\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x88"],
        ["\xE5\xB1\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\xFE"],

        ["\xB7\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x98"],
        ["\xE6\x8E\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xA1"],

        ["\xB7\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x9F"],
        ["\xE7\xAA\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xA2"],

        ["\xB7\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x93"],
        ["\xE6\xB2\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xA3"],

        ["\xB7\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xB4"],
        ["\xE9\x9D\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xA4"],

        ["\xB7\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\xA1"],
        ["\xE8\xBD\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xA5"],

        ["\xB7\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xAA"],
        ["\xE7\xAA\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xA6"],

        ["\xB7\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x8A"],
        ["\xE7\x86\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xA7"],

        ["\xB7\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x88"],
        ["\xE9\x9A\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xA8"],

        ["\xB7\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x82"],
        ["\xE7\xB2\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xA9"],

        ["\xB7\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x97"],
        ["\xE6\xA0\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xAA"],

        ["\xB7\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xB0"],
        ["\xE7\xB9\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xAB"],

        ["\xB7\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x91"],
        ["\xE6\xA1\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xAC"],

        ["\xB7\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\xAC"],
        ["\xE9\x8D\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xAD"],

        ["\xB7\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xB2"],
        ["\xE5\x8B\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xAE"],

        ["\xB7\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x9B"],
        ["\xE5\x90\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xAF"],

        ["\xB7\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xAB"],
        ["\xE8\x96\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xB0"],

        ["\xB7\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x93"],
        ["\xE8\xA8\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xB1"],

        ["\xB7\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xA4"],
        ["\xE7\xBE\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xB2"],

        ["\xB7\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x8D"],
        ["\xE8\xBB\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xB3"],

        ["\xB7\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\xA1"],
        ["\xE9\x83\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xB4"],

        ["\xB7\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xA6"],
        ["\xE5\x8D\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xB5"],

        ["\xB7\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\x88"],
        ["\xE8\xA2\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xB6"],

        ["\xB7\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x81"],
        ["\xE7\xA5\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xB7"],

        ["\xB7\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x82"],
        ["\xE4\xBF\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xB8"],

        ["\xB7\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xBE"],
        ["\xE5\x82\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xB9"],

        ["\xB7\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x91"],
        ["\xE5\x88\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xBA"],

        ["\xB7\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x84"],
        ["\xE5\x85\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xBB"],

        ["\xB7\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x93"],
        ["\xE5\x95\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xBC"],

        ["\xB7\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xAD"],
        ["\xE5\x9C\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xBD"],

        ["\xB7\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xAA"],
        ["\xE7\x8F\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xBE"],

        ["\xB7\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\x8B"],
        ["\xE5\x9E\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xBF"],

        ["\xB7\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x91"],
        ["\xE5\xA5\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xC0"],

        ["\xB7\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xA2"],
        ["\xE5\xBD\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xC1"],

        ["\xB7\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x84"],
        ["\xE5\xBE\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xC2"],

        ["\xB7\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xB5"],
        ["\xE6\x81\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xC3"],

        ["\xB7\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xB6"],
        ["\xE6\x85\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xC4"],

        ["\xB7\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xA7"],
        ["\xE6\x85\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xC5"],

        ["\xB7\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xA9"],
        ["\xE6\x86\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xC6"],

        ["\xB7\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xB2"],
        ["\xE6\x8E\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xC7"],

        ["\xB7\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xBA"],
        ["\xE6\x90\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xC8"],

        ["\xB7\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xAC"],
        ["\xE6\x95\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xC9"],

        ["\xB7\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xAF"],
        ["\xE6\x99\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xCA"],

        ["\xB7\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x82"],
        ["\xE6\xA1\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xCB"],

        ["\xB7\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x93"],
        ["\xE6\xB8\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xCC"],

        ["\xB7\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xA6"],
        ["\xE7\x95\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xCD"],

        ["\xB7\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xBD"],
        ["\xE7\xA8\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xCE"],

        ["\xB7\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xBB"],
        ["\xE7\xB3\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xCF"],

        ["\xB7\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x8C"],
        ["\xE7\xB5\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xD0"],

        ["\xB7\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x99"],
        ["\xE7\xB6\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xD1"],

        ["\xB7\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x8B"],
        ["\xE7\xB9\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xD2"],

        ["\xB7\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xAB"],
        ["\xE7\xBD\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xD3"],

        ["\xB7\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x8E"],
        ["\xE8\x8C\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xD4"],

        ["\xB7\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x8A"],
        ["\xE8\x8D\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xD5"],

        ["\xB7\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x8D"],
        ["\xE8\x9B\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xD6"],

        ["\xB7\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x88"],
        ["\xE8\xA8\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xD7"],

        ["\xB7\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xA3"],
        ["\xE8\xA9\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xD8"],

        ["\xB7\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xA6"],
        ["\xE8\xAD\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xD9"],

        ["\xB7\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\xBD"],
        ["\xE8\xBB\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xDA"],

        ["\xB7\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x9A"],
        ["\xE9\xA0\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xDB"],

        ["\xB7\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\x8F"],
        ["\xE9\xB6\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xDC"],

        ["\xB7\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xB8"],
        ["\xE8\x8A\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xDD"],

        ["\xB7\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\x8E"],
        ["\xE8\xBF\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xDE"],

        ["\xB7\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xA8"],
        ["\xE9\xAF\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xDF"],

        ["\xB7\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x87"],
        ["\xE5\x8A\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xE0"],

        ["\xB7\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x9F"],
        ["\xE6\x88\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xE1"],

        ["\xB7\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\x83"],
        ["\xE6\x92\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xE2"],

        ["\xB7\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x80"],
        ["\xE6\xBF\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xE3"],

        ["\xB7\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x99"],
        ["\xE9\x9A\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xE4"],

        ["\xB7\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x81"],
        ["\xE6\xA1\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xE5"],

        ["\xB7\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x91"],
        ["\xE5\x82\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xE6"],

        ["\xB7\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xA0"],
        ["\xE6\xAC\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xE7"],

        ["\xB7\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xBA"],
        ["\xE6\xB1\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xE8"],

        ["\xB7\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x94"],
        ["\xE6\xBD\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xE9"],

        ["\xB7\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xB4"],
        ["\xE7\xA9\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xEA"],

        ["\xB7\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x90"],
        ["\xE7\xB5\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xEB"],

        ["\xB7\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x80"],
        ["\xE8\xA1\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xEC"],

        ["\xB7\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xA3"],
        ["\xE8\xA8\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xED"],

        ["\xB7\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x88"],
        ["\xE6\x9C\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xEE"],

        ["\xB7\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xB6"],
        ["\xE4\xBB\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xEF"],

        ["\xB7\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xB9"],
        ["\xE5\x80\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xF0"],

        ["\xB7\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xA6"],
        ["\xE5\x80\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xF1"],

        ["\xB7\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xA5"],
        ["\xE5\x81\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xF2"],

        ["\xB7\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xBC"],
        ["\xE5\x85\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xF3"],

        ["\xB7\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xB8"],
        ["\xE5\x88\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xF4"],

        ["\xB7\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xA3"],
        ["\xE5\x89\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xF5"],

        ["\xB7\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\xA7"],
        ["\xE5\x96\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xF6"],

        ["\xB7\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x8F"],
        ["\xE5\x9C\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xF7"],

        ["\xB7\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x85"],
        ["\xE5\xA0\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xF8"],

        ["\xB7\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\x8C"],
        ["\xE5\xAB\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xF9"],

        ["\xB7\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xBA"],
        ["\xE5\xBB\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xFA"],

        ["\xB7\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xB2"],
        ["\xE6\x86\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xFB"],

        ["\xB7\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xB8"],
        ["\xE6\x87\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xFC"],

        ["\xB7\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xB3"],
        ["\xE6\x8B\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xFD"],

        ["\xB7\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xB2"],
        ["\xE6\x8D\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\xFE"],

        ["\xB8\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x9C"],
        ["\xE6\xA4\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xA1"],

        ["\xB8\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xA9"],
        ["\xE6\xA8\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xA2"],

        ["\xB8\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xBD"],
        ["\xE7\x89\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xA3"],

        ["\xB8\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xAC"],
        ["\xE7\x8A\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xA4"],

        ["\xB8\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xAE"],
        ["\xE7\x8C\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xA5"],

        ["\xB8\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\x94"],
        ["\xE7\xA0\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xA6"],

        ["\xB8\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\xAF"],
        ["\xE7\xA1\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xA7"],

        ["\xB8\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xB9"],
        ["\xE7\xB5\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xA8"],

        ["\xB8\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x8C"],
        ["\xE7\x9C\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xA9"],

        ["\xB8\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xA9"],
        ["\xE8\x82\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xAA"],

        ["\xB8\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x8B"],
        ["\xE8\xA6\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xAB"],

        ["\xB8\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x99"],
        ["\xE8\xAC\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xAC"],

        ["\xB8\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xA2"],
        ["\xE8\xB3\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xAD"],

        ["\xB8\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x92"],
        ["\xE8\xBB\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xAE"],

        ["\xB8\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xA3"],
        ["\xE9\x81\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xAF"],

        ["\xB8\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\xB5"],
        ["\xE9\x8D\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xB0"],

        ["\xB8\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xBA"],
        ["\xE9\x99\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xB1"],

        ["\xB8\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x95"],
        ["\xE9\xA1\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xB2"],

        ["\xB8\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\x93"],
        ["\xE9\xA8\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xB3"],

        ["\xB8\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB9\xB8"],
        ["\xE9\xB9\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xB4"],

        ["\xB8\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x83"],
        ["\xE5\x85\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xB5"],

        ["\xB8\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\x9F"],
        ["\xE5\x8E\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xB6"],

        ["\xB8\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xB3"],
        ["\xE5\x8E\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xB7"],

        ["\xB8\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xBB"],
        ["\xE5\xB9\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xB8"],

        ["\xB8\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xA6"],
        ["\xE5\xBC\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xB9"],

        ["\xB8\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x9B"],
        ["\xE6\xB8\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xBA"],

        ["\xB8\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\x90"],
        ["\xE6\xBA\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xBB"],

        ["\xB8\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x84"],
        ["\xE7\x8E\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xBC"],

        ["\xB8\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xBE"],
        ["\xE7\x8F\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xBD"],

        ["\xB8\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x83"],
        ["\xE7\xB5\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xBE"],

        ["\xB8\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xB7"],
        ["\xE8\x88\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xBF"],

        ["\xB8\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x80"],
        ["\xE8\xA8\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xC0"],

        ["\xB8\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xBA"],
        ["\xE8\xAB\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xC1"],

        ["\xB8\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x90"],
        ["\xE9\x99\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xC2"],

        ["\xB8\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x8E"],
        ["\xE4\xB9\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xC3"],

        ["\xB8\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x8B"],
        ["\xE5\x80\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xC4"],

        ["\xB8\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xA4"],
        ["\xE5\x8F\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xC5"],

        ["\xB8\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xBC"],
        ["\xE5\x91\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xC6"],

        ["\xB8\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xBA"],
        ["\xE5\x9B\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xC7"],

        ["\xB8\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x91"],
        ["\xE5\xA7\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xC8"],

        ["\xB8\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xA4"],
        ["\xE5\xAD\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xC9"],

        ["\xB8\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xB1"],
        ["\xE5\xB7\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xCA"],

        ["\xB8\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xAB"],
        ["\xE5\xBA\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xCB"],

        ["\xB8\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xA7"],
        ["\xE5\xBC\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xCC"],

        ["\xB8\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xB8"],
        ["\xE6\x88\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xCD"],

        ["\xB8\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x85"],
        ["\xE6\x95\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xCE"],

        ["\xB8\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xAF"],
        ["\xE6\x9E\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xCF"],

        ["\xB8\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x96"],
        ["\xE6\xB9\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xD0"],

        ["\xB8\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x90"],
        ["\xE7\x8B\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xD1"],

        ["\xB8\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x8A"],
        ["\xE7\xB3\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xD2"],

        ["\xB8\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xB4"],
        ["\xE8\xA2\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xD3"],

        ["\xB8\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xA1"],
        ["\xE8\x82\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xD4"],

        ["\xB8\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xA1"],
        ["\xE8\x83\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xD5"],

        ["\xB8\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xB0"],
        ["\xE8\x8F\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xD6"],

        ["\xB8\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x8E"],
        ["\xE8\x99\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xD7"],

        ["\xB8\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x87"],
        ["\xE8\xAA\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xD8"],

        ["\xB8\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\xA8"],
        ["\xE8\xB7\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xD9"],

        ["\xB8\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\xB7"],
        ["\xE9\x88\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xDA"],

        ["\xB8\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x87"],
        ["\xE9\x9B\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xDB"],

        ["\xB8\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\xA7"],
        ["\xE9\xA1\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xDC"],

        ["\xB8\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\x93"],
        ["\xE9\xBC\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xDD"],

        ["\xB8\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x94"],
        ["\xE4\xBA\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xDE"],

        ["\xB8\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x92"],
        ["\xE4\xBA\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xDF"],

        ["\xB8\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x8D"],
        ["\xE4\xBC\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xE0"],

        ["\xB8\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x88"],
        ["\xE5\x8D\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xE1"],

        ["\xB8\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x89"],
        ["\xE5\x91\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xE2"],

        ["\xB8\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xBE"],
        ["\xE5\x90\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xE3"],

        ["\xB8\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\xAF"],
        ["\xE5\xA8\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xE4"],

        ["\xB8\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x8C"],
        ["\xE5\xBE\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xE5"],

        ["\xB8\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xA1"],
        ["\xE5\xBE\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xE6"],

        ["\xB8\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x9F"],
        ["\xE6\x82\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xE7"],

        ["\xB8\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xA7"],
        ["\xE6\xA2\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xE8"],

        ["\xB8\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x8E"],
        ["\xE6\xAA\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xE9"],

        ["\xB8\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x9A"],
        ["\xE7\x91\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xEA"],

        ["\xB8\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x81"],
        ["\xE7\xA2\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xEB"],

        ["\xB8\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x9E"],
        ["\xE8\xAA\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xEC"],

        ["\xB8\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xA4"],
        ["\xE8\xAA\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xED"],

        ["\xB8\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xB7"],
        ["\xE8\xAD\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xEE"],

        ["\xB8\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\x90"],
        ["\xE9\x86\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xEF"],

        ["\xB8\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x9E"],
        ["\xE4\xB9\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xF0"],

        ["\xB8\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x89"],
        ["\xE9\xAF\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xF1"],

        ["\xB8\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xA4"],
        ["\xE4\xBA\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xF2"],

        ["\xB8\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xBC"],
        ["\xE4\xBD\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xF3"],

        ["\xB8\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\xAF"],
        ["\xE4\xBE\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xF4"],

        ["\xB8\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x99"],
        ["\xE5\x80\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xF5"],

        ["\xB8\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x96"],
        ["\xE5\x80\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xF6"],

        ["\xB8\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x89"],
        ["\xE5\x85\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xF7"],

        ["\xB8\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xAC"],
        ["\xE5\x85\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xF8"],

        ["\xB8\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x9F"],
        ["\xE5\x8A\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xF9"],

        ["\xB8\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xB9"],
        ["\xE5\x8A\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xFA"],

        ["\xB8\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xBE"],
        ["\xE5\x8B\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xFB"],

        ["\xB8\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\x9A"],
        ["\xE5\x8E\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xFC"],

        ["\xB8\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xA3"],
        ["\xE5\x8F\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xFD"],

        ["\xB8\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x91"],
        ["\xE5\x90\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\xFE"],

        ["\xB9\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x8E"],
        ["\xE5\x90\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xA1"],

        ["\xB9\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x89"],
        ["\xE5\x96\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xA2"],

        ["\xB9\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x91"],
        ["\xE5\x9D\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xA3"],

        ["\xB9\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\xA2"],
        ["\xE5\x9E\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xA4"],

        ["\xB9\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xBD"],
        ["\xE5\xA5\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xA5"],

        ["\xB9\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x94"],
        ["\xE5\xAD\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xA6"],

        ["\xB9\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x9D"],
        ["\xE5\xAD\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xA7"],

        ["\xB9\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x8F"],
        ["\xE5\xAE\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xA8"],

        ["\xB9\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xA5"],
        ["\xE5\xB7\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xA9"],

        ["\xB9\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xA7"],
        ["\xE5\xB7\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xAA"],

        ["\xB9\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xB7"],
        ["\xE5\xB7\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xAB"],

        ["\xB9\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xB8"],
        ["\xE5\xB9\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xAC"],

        ["\xB9\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\x83"],
        ["\xE5\xBA\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xAD"],

        ["\xB9\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\x9A"],
        ["\xE5\xBA\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xAE"],

        ["\xB9\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xB7"],
        ["\xE5\xBA\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xAF"],

        ["\xB9\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x98"],
        ["\xE5\xBC\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xB0"],

        ["\xB9\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x92"],
        ["\xE6\x81\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xB1"],

        ["\xB9\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x8C"],
        ["\xE6\x85\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xB2"],

        ["\xB9\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x97"],
        ["\xE6\x8A\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xB3"],

        ["\xB9\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x98"],
        ["\xE6\x8B\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xB4"],

        ["\xB9\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xA7"],
        ["\xE6\x8E\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xB5"],

        ["\xB9\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xBB"],
        ["\xE6\x94\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xB6"],

        ["\xB9\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x82"],
        ["\xE6\x98\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xB7"],

        ["\xB9\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x83"],
        ["\xE6\x99\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xB8"],

        ["\xB9\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xB4"],
        ["\xE6\x9B\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xB9"],

        ["\xB9\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xAD"],
        ["\xE6\x9D\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xBA"],

        ["\xB9\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xA1"],
        ["\xE6\xA0\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xBB"],

        ["\xB9\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x97"],
        ["\xE6\xA2\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xBC"],

        ["\xB9\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x8B"],
        ["\xE6\xA7\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xBD"],

        ["\xB9\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x9F"],
        ["\xE6\xB1\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xBE"],

        ["\xB9\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xAA"],
        ["\xE6\xB4\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xBF"],

        ["\xB9\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xA9"],
        ["\xE6\xB5\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xC0"],

        ["\xB9\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xAF"],
        ["\xE6\xB8\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xC1"],

        ["\xB9\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\x9D"],
        ["\xE6\xBA\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xC2"],

        ["\xB9\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xB2"],
        ["\xE7\x94\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xC3"],

        ["\xB9\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x87"],
        ["\xE7\x9A\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xC4"],

        ["\xB9\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\xAC"],
        ["\xE7\xA1\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xC5"],

        ["\xB9\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xBF"],
        ["\xE7\xA8\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xC6"],

        ["\xB9\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xA0"],
        ["\xE7\xB3\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xC7"],

        ["\xB9\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x85"],
        ["\xE7\xB4\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xC8"],

        ["\xB9\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x98"],
        ["\xE7\xB4\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xC9"],

        ["\xB9\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x9E"],
        ["\xE7\xB5\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xCA"],

        ["\xB9\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xB1"],
        ["\xE7\xB6\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xCB"],

        ["\xB9\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x95"],
        ["\xE8\x80\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xCC"],

        ["\xB9\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x83"],
        ["\xE8\x80\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xCD"],

        ["\xB9\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xAF"],
        ["\xE8\x82\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xCE"],

        ["\xB9\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xB1"],
        ["\xE8\x82\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xCF"],

        ["\xB9\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\x94"],
        ["\xE8\x85\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xD0"],

        ["\xB9\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x8F"],
        ["\xE8\x86\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xD1"],

        ["\xB9\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xAA"],
        ["\xE8\x88\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xD2"],

        ["\xB9\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x92"],
        ["\xE8\x8D\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xD3"],

        ["\xB9\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x8C"],
        ["\xE8\xA1\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xD4"],

        ["\xB9\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xA1"],
        ["\xE8\xA1\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xD5"],

        ["\xB9\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x9B"],
        ["\xE8\xAC\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xD6"],

        ["\xB9\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xA2"],
        ["\xE8\xB2\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xD7"],

        ["\xB9\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xBC"],
        ["\xE8\xB3\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xD8"],

        ["\xB9\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\x8A"],
        ["\xE9\x83\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xD9"],

        ["\xB9\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\xB5"],
        ["\xE9\x85\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xDA"],

        ["\xB9\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\xB1"],
        ["\xE9\x89\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xDB"],

        ["\xB9\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\xBF"],
        ["\xE7\xA0\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xDC"],

        ["\xB9\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xBC"],
        ["\xE9\x8B\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xDD"],

        ["\xB9\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xA4"],
        ["\xE9\x96\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xDE"],

        ["\xB9\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x8D"],
        ["\xE9\x99\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xDF"],

        ["\xB9\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x85"],
        ["\xE9\xA0\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xE0"],

        ["\xB9\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\x99"],
        ["\xE9\xA6\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xE1"],

        ["\xB9\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x98"],
        ["\xE9\xAB\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xE2"],

        ["\xB9\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\xBB"],
        ["\xE9\xB4\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xE3"],

        ["\xB9\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x9B"],
        ["\xE5\x89\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xE4"],

        ["\xB9\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xAB"],
        ["\xE5\x8A\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xE5"],

        ["\xB9\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xB7"],
        ["\xE5\x8F\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xE6"],

        ["\xB9\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x88"],
        ["\xE5\x90\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xE7"],

        ["\xB9\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x95"],
        ["\xE5\xA3\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xE8"],

        ["\xB9\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xB7"],
        ["\xE6\x8B\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xE9"],

        ["\xB9\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xA0"],
        ["\xE6\xBF\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xEA"],

        ["\xB9\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\xAA"],
        ["\xE8\xB1\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xEB"],

        ["\xB9\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x9F"],
        ["\xE8\xBD\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xEC"],

        ["\xB9\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xB9"],
        ["\xE9\xBA\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xED"],

        ["\xB9\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x8B"],
        ["\xE5\x85\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xEE"],

        ["\xB9\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xBB"],
        ["\xE5\x88\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xEF"],

        ["\xB9\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x8A"],
        ["\xE5\x91\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xF0"],

        ["\xB9\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xBD"],
        ["\xE5\x9B\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xF1"],

        ["\xB9\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x80"],
        ["\xE7\xA9\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xF2"],

        ["\xB9\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\xB7"],
        ["\xE9\x85\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xF3"],

        ["\xB9\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xA0"],
        ["\xE9\xB5\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xF4"],

        ["\xB9\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x92"],
        ["\xE9\xBB\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xF5"],

        ["\xB9\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\x84"],
        ["\xE7\x8D\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xF6"],

        ["\xB9\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x89"],
        ["\xE6\xBC\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xF7"],

        ["\xB9\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xB0"],
        ["\xE8\x85\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xF8"],

        ["\xB9\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x91"],
        ["\xE7\x94\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xF9"],

        ["\xB9\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xBD"],
        ["\xE5\xBF\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xFA"],

        ["\xB9\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x9A"],
        ["\xE6\x83\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xFB"],

        ["\xB9\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA\xA8"],
        ["\xE9\xAA\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xFC"],

        ["\xB9\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x9B"],
        ["\xE7\x8B\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xFD"],

        ["\xB9\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xBC"],
        ["\xE8\xBE\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\xFE"],

        ["\xBA\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xA4"],
        ["\xE6\xAD\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xA1"],

        ["\xBA\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x83"],
        ["\xE9\xA0\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xA2"],

        ["\xBA\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x8A"],
        ["\xE4\xBB\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xA3"],

        ["\xBA\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xB0"],
        ["\xE5\x9B\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xA4"],

        ["\xBA\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xA4"],
        ["\xE5\x9D\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xA5"],

        ["\xBA\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xBE"],
        ["\xE5\xA2\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xA6"],

        ["\xBA\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\x9A"],
        ["\xE5\xA9\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xA7"],

        ["\xBA\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xA8"],
        ["\xE6\x81\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xA8"],

        ["\xBA\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x87"],
        ["\xE6\x87\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xA9"],

        ["\xBA\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x8F"],
        ["\xE6\x98\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xAA"],

        ["\xBA\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x86"],
        ["\xE6\x98\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xAB"],

        ["\xBA\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xB9"],
        ["\xE6\xA0\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xAC"],

        ["\xBA\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xB1"],
        ["\xE6\xA2\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xAD"],

        ["\xBA\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xB7"],
        ["\xE6\xB7\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xAE"],

        ["\xBA\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x95"],
        ["\xE7\x97\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xAF"],

        ["\xBA\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xBA"],
        ["\xE7\xB4\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xB0"],

        ["\xBA\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xAE"],
        ["\xE8\x89\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xB1"],

        ["\xBA\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x82"],
        ["\xE9\xAD\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xB2"],

        ["\xBA\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x9B"],
        ["\xE4\xBA\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xB3"],

        ["\xBA\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x90"],
        ["\xE4\xBD\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xB4"],

        ["\xBA\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x89"],
        ["\xE5\x8F\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xB5"],

        ["\xBA\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\x86"],
        ["\xE5\x94\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xB6"],

        ["\xBA\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\xAF"],
        ["\xE5\xB5\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xB7"],

        ["\xBA\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xA6"],
        ["\xE5\xB7\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xB8"],

        ["\xBA\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xAE"],
        ["\xE5\xB7\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xB9"],

        ["\xBA\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xBB"],
        ["\xE6\x9F\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xBA"],

        ["\xBA\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x99"],
        ["\xE6\xB2\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xBB"],

        ["\xBA\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xB3"],
        ["\xE7\x91\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xBC"],

        ["\xBA\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\x82"],
        ["\xE7\xA0\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xBD"],

        ["\xBA\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x90"],
        ["\xE8\xA9\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xBE"],

        ["\xBA\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\x96"],
        ["\xE9\x8E\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xBF"],

        ["\xBA\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x9F"],
        ["\xE8\xA3\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xC0"],

        ["\xBA\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x90"],
        ["\xE5\x9D\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xC1"],

        ["\xBA\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xA7"],
        ["\xE5\xBA\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xC2"],

        ["\xBA\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xAB"],
        ["\xE6\x8C\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xC3"],

        ["\xBA\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xB5"],
        ["\xE5\x82\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xC4"],

        ["\xBA\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xAC"],
        ["\xE5\x82\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xC5"],

        ["\xBA\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x8D"],
        ["\xE5\x86\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xC6"],

        ["\xBA\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x80"],
        ["\xE6\x9C\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xC7"],

        ["\xBA\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\x89"],
        ["\xE5\x93\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xC8"],

        ["\xBA\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x9E"],
        ["\xE5\xA1\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xC9"],

        ["\xBA\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xBB"],
        ["\xE5\xA6\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xCA"],

        ["\xBA\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xB0"],
        ["\xE5\xAE\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xCB"],

        ["\xBA\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xA9"],
        ["\xE5\xBD\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xCC"],

        ["\xBA\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x8D"],
        ["\xE6\x89\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xCD"],

        ["\xBA\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xA1"],
        ["\xE6\x8E\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xCE"],

        ["\xBA\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xBD"],
        ["\xE6\xA0\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xCF"],

        ["\xBA\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xB3"],
        ["\xE6\xAD\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xD0"],

        ["\xBA\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x88"],
        ["\xE6\xB8\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xD1"],

        ["\xBA\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xBD"],
        ["\xE7\x81\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xD2"],

        ["\xBA\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x87"],
        ["\xE9\x87\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xD3"],

        ["\xBA\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\x80"],
        ["\xE7\x8A\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xD4"],

        ["\xBA\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\x95"],
        ["\xE7\xA0\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xD5"],

        ["\xBA\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\xA6"],
        ["\xE7\xA0\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xD6"],

        ["\xBA\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\xAD"],
        ["\xE7\xA5\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xD7"],

        ["\xBA\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x8E"],
        ["\xE6\x96\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xD8"],

        ["\xBA\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xB0"],
        ["\xE7\xB4\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xD9"],

        ["\xBA\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x9C"],
        ["\xE8\x8F\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xDA"],

        ["\xBA\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x81"],
        ["\xE8\xA3\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xDB"],

        ["\xBA\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x89"],
        ["\xE8\xBC\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xDC"],

        ["\xBA\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x9B"],
        ["\xE9\x9A\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xDD"],

        ["\xBA\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xA4"],
        ["\xE5\x89\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xDE"],

        ["\xBA\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xA8"],
        ["\xE5\x9C\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xDF"],

        ["\xBA\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x90"],
        ["\xE6\x9D\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xE0"],

        ["\xBA\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xAA"],
        ["\xE7\xBD\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xE1"],

        ["\xBA\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xA1"],
        ["\xE8\xB2\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xE2"],

        ["\xBA\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xB4"],
        ["\xE5\x86\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xE3"],

        ["\xBA\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x82"],
        ["\xE5\x9D\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xE4"],

        ["\xBA\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xAA"],
        ["\xE9\x98\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xE5"],

        ["\xBA\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xBA"],
        ["\xE5\xA0\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xE6"],

        ["\xBA\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x8A"],
        ["\xE6\xA6\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xE7"],

        ["\xBA\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xB4"],
        ["\xE8\x82\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xE8"],

        ["\xBA\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xB2"],
        ["\xE5\x92\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xE9"],

        ["\xBA\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x8E"],
        ["\xE5\xB4\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xEA"],

        ["\xBA\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xBC"],
        ["\xE5\x9F\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xEB"],

        ["\xBA\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x95"],
        ["\xE7\xA2\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xEC"],

        ["\xBA\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xBA"],
        ["\xE9\xB7\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xED"],

        ["\xBA\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x9C"],
        ["\xE4\xBD\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xEE"],

        ["\xBA\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x8A"],
        ["\xE5\x89\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xEF"],

        ["\xBA\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x8B"],
        ["\xE5\x92\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xF0"],

        ["\xBA\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xBE"],
        ["\xE6\x90\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xF1"],

        ["\xBA\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xA8"],
        ["\xE6\x98\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xF2"],

        ["\xBA\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x94"],
        ["\xE6\x9C\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xF3"],

        ["\xBA\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xB5"],
        ["\xE6\x9F\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xF4"],

        ["\xBA\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x84"],
        ["\xE7\xAA\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xF5"],

        ["\xBA\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x96"],
        ["\xE7\xAD\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xF6"],

        ["\xBA\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xA2"],
        ["\xE7\xB4\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xF7"],

        ["\xBA\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xAF"],
        ["\xE9\x8C\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xF8"],

        ["\xBA\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x9C"],
        ["\xE6\xA1\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xF9"],

        ["\xBA\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xAD"],
        ["\xE9\xAE\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xFA"],

        ["\xBA\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xB9"],
        ["\xE7\xAC\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xFB"],

        ["\xBA\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x99"],
        ["\xE5\x8C\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xFC"],

        ["\xBA\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x8A"],
        ["\xE5\x86\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xFD"],

        ["\xBA\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xB7"],
        ["\xE5\x88\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\xFE"],

        ["\xBB\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x9F"],
        ["\xE5\xAF\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xA1"],

        ["\xBB\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xB6"],
        ["\xE6\x8B\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xA2"],

        ["\xBB\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xAE"],
        ["\xE6\x92\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xA3"],

        ["\xBB\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xA6"],
        ["\xE6\x93\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xA4"],

        ["\xBB\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xAD"],
        ["\xE6\x9C\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xA5"],

        ["\xBB\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xBA"],
        ["\xE6\xAE\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xA6"],

        ["\xBB\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xA9"],
        ["\xE8\x96\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xA7"],

        ["\xBB\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x91"],
        ["\xE9\x9B\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xA8"],

        ["\xBB\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x90"],
        ["\xE7\x9A\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xA9"],

        ["\xBB\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x96"],
        ["\xE9\xAF\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xAA"],

        ["\xBB\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x8C"],
        ["\xE6\x8D\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xAB"],

        ["\xBB\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\x86"],
        ["\xE9\x8C\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xAC"],

        ["\xBB\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xAB"],
        ["\xE9\xAE\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xAD"],

        ["\xBB\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xBF"],
        ["\xE7\x9A\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xAE"],

        ["\xBB\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x92"],
        ["\xE6\x99\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xAF"],

        ["\xBB\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x89"],
        ["\xE4\xB8\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xB0"],

        ["\xBB\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x98"],
        ["\xE5\x82\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xB1"],

        ["\xBB\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x82"],
        ["\xE5\x8F\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xB2"],

        ["\xBB\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xB1"],
        ["\xE5\xB1\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xB3"],

        ["\xBB\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xA8"],
        ["\xE6\x83\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xB4"],

        ["\xBB\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\x92"],
        ["\xE6\x92\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xB5"],

        ["\xBB\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xA3"],
        ["\xE6\x95\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xB6"],

        ["\xBB\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x9F"],
        ["\xE6\xA1\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xB7"],

        ["\xBB\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xA6"],
        ["\xE7\x87\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xB8"],

        ["\xBB\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x8A"],
        ["\xE7\x8F\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xB9"],

        ["\xBB\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xA3"],
        ["\xE7\x94\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xBA"],

        ["\xBB\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x97"],
        ["\xE7\xAE\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xBB"],

        ["\xBB\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x82"],
        ["\xE7\xBA\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xBC"],

        ["\xBB\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x95"],
        ["\xE8\x9A\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xBD"],

        ["\xBB\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x83"],
        ["\xE8\xAE\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xBE"],

        ["\xBB\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x9B"],
        ["\xE8\xB3\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xBF"],

        ["\xBB\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\xB8"],
        ["\xE9\x85\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xC0"],

        ["\xBB\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x90"],
        ["\xE9\xA4\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xC1"],

        ["\xBB\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xAC"],
        ["\xE6\x96\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xC2"],

        ["\xBB\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xAB"],
        ["\xE6\x9A\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xC3"],

        ["\xBB\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x8B"],
        ["\xE6\xAE\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xC4"],

        ["\xBB\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x95"],
        ["\xE4\xBB\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xC5"],

        ["\xBB\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x94"],
        ["\xE4\xBB\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xC6"],

        ["\xBB\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\xBA"],
        ["\xE4\xBC\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xC7"],

        ["\xBB\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xBF"],
        ["\xE4\xBD\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xC8"],

        ["\xBB\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xBA"],
        ["\xE5\x88\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xC9"],

        ["\xBB\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xB8"],
        ["\xE5\x8F\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xCA"],

        ["\xBB\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xB2"],
        ["\xE5\x8F\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xCB"],

        ["\xBB\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\xA3"],
        ["\xE5\x97\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xCC"],

        ["\xBB\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x9B"],
        ["\xE5\x9B\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xCD"],

        ["\xBB\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xAB"],
        ["\xE5\xA3\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xCE"],

        ["\xBB\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x8B"],
        ["\xE5\xA7\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xCF"],

        ["\xBB\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x89"],
        ["\xE5\xA7\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xD0"],

        ["\xBB\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xBF"],
        ["\xE5\xA7\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xD1"],

        ["\xBB\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x90"],
        ["\xE5\xAD\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xD2"],

        ["\xBB\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x8D"],
        ["\xE5\xB1\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xD3"],

        ["\xBB\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x82"],
        ["\xE5\xB8\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xD4"],

        ["\xBB\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xAB"],
        ["\xE5\xB8\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xD5"],

        ["\xBB\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x97"],
        ["\xE5\xBF\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xD6"],

        ["\xBB\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x9D"],
        ["\xE6\x80\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xD7"],

        ["\xBB\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x87"],
        ["\xE6\x8C\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xD8"],

        ["\xBB\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xAF"],
        ["\xE6\x94\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xD9"],

        ["\xBB\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x9C"],
        ["\xE5\xAD\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xDA"],

        ["\xBB\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xAF"],
        ["\xE6\x96\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xDB"],

        ["\xBB\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xBD"],
        ["\xE6\x96\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xDC"],

        ["\xBB\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xA8"],
        ["\xE6\x97\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xDD"],

        ["\xBB\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x9D"],
        ["\xE6\x9E\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xDE"],

        ["\xBB\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xA2"],
        ["\xE6\xAD\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xDF"],

        ["\xBB\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xBB"],
        ["\xE6\xAD\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xE0"],

        ["\xBB\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x8F"],
        ["\xE6\xB0\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xE1"],

        ["\xBB\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\x85"],
        ["\xE7\x8D\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xE2"],

        ["\xBB\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x89"],
        ["\xE7\xA5\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xE3"],

        ["\xBB\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x81"],
        ["\xE7\xA7\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xE4"],

        ["\xBB\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xB8"],
        ["\xE7\xB3\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xE5"],

        ["\xBB\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x99"],
        ["\xE7\xB4\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xE6"],

        ["\xBB\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xAB"],
        ["\xE7\xB4\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xE7"],

        ["\xBB\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xA2"],
        ["\xE8\x82\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xE8"],

        ["\xBB\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x82"],
        ["\xE8\x84\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xE9"],

        ["\xBB\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xB3"],
        ["\xE8\x87\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xEA"],

        ["\xBB\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x96"],
        ["\xE8\xA6\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xEB"],

        ["\xBB\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x9E"],
        ["\xE8\xA9\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xEC"],

        ["\xBB\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xA9"],
        ["\xE8\xA9\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xED"],

        ["\xBB\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xA6"],
        ["\xE8\xA9\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xEE"],

        ["\xBB\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x8C"],
        ["\xE8\xAA\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xEF"],

        ["\xBB\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xAE"],
        ["\xE8\xAB\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xF0"],

        ["\xBB\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x87"],
        ["\xE8\xB3\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xF1"],

        ["\xBB\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x9C"],
        ["\xE8\xB3\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xF2"],

        ["\xBB\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x8C"],
        ["\xE9\x9B\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xF3"],

        ["\xBB\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xBC"],
        ["\xE9\xA3\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xF4"],

        ["\xBB\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xAF"],
        ["\xE6\xAD\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xF5"],

        ["\xBB\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x8B"],
        ["\xE4\xBA\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xF6"],

        ["\xBB\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\xBC"],
        ["\xE4\xBC\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xF7"],

        ["\xBB\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x8D"],
        ["\xE4\xBE\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xF8"],

        ["\xBB\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x90"],
        ["\xE5\x85\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xF9"],

        ["\xBB\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x97"],
        ["\xE5\xAD\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xFA"],

        ["\xBB\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xBA"],
        ["\xE5\xAF\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xFB"],

        ["\xBB\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x88"],
        ["\xE6\x85\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xFC"],

        ["\xBB\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x81"],
        ["\xE6\x8C\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xFD"],

        ["\xBB\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x82"],
        ["\xE6\x99\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\xFE"],

        ["\xBC\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xA1"],
        ["\xE6\xAC\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xA1"],

        ["\xBC\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x8B"],
        ["\xE6\xBB\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xA2"],

        ["\xBC\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xBB"],
        ["\xE6\xB2\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xA3"],

        ["\xBC\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xBE"],
        ["\xE7\x88\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xA4"],

        ["\xBC\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xBD"],
        ["\xE7\x92\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xA5"],

        ["\xBC\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x94"],
        ["\xE7\x97\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xA6"],

        ["\xBC\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x81"],
        ["\xE7\xA3\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xA7"],

        ["\xBC\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xBA"],
        ["\xE7\xA4\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xA8"],

        ["\xBC\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x8C"],
        ["\xE8\x80\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xA9"],

        ["\xBC\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xB3"],
        ["\xE8\x80\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xAA"],

        ["\xBC\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xAA"],
        ["\xE8\x87\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xAB"],

        ["\xBC\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x94"],
        ["\xE8\x92\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xAC"],

        ["\xBC\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\x9E"],
        ["\xE8\xBE\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xAD"],

        ["\xBC\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x90"],
        ["\xE6\xB1\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xAE"],

        ["\xBC\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB9\xBF"],
        ["\xE9\xB9\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xAF"],

        ["\xBC\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x8F"],
        ["\xE5\xBC\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xB0"],

        ["\xBC\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x98"],
        ["\xE8\xAD\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xB1"],

        ["\xBC\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\xAB"],
        ["\xE9\xB4\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xB2"],

        ["\xBC\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xBA"],
        ["\xE7\xAB\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xB3"],

        ["\xBC\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\xB8"],
        ["\xE8\xBB\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xB4"],

        ["\xBC\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x8D"],
        ["\xE5\xAE\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xB5"],

        ["\xBC\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xAB"],
        ["\xE9\x9B\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xB6"],

        ["\xBC\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x83"],
        ["\xE4\xB8\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xB7"],

        ["\xBC\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xB1"],
        ["\xE5\x8F\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xB8"],

        ["\xBC\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xB7"],
        ["\xE5\x9F\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xB9"],

        ["\xBC\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xB1"],
        ["\xE5\xA4\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xBA"],

        ["\xBC\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\x89"],
        ["\xE5\xAB\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xBB"],

        ["\xBC\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xA4"],
        ["\xE5\xAE\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xBC"],

        ["\xBC\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x89"],
        ["\xE6\x82\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xBD"],

        ["\xBC\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\xBF"],
        ["\xE6\xB9\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xBE"],

        ["\xBC\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x86"],
        ["\xE6\xBC\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xBF"],

        ["\xBC\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xBE"],
        ["\xE7\x96\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xC0"],

        ["\xBC\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xAA"],
        ["\xE8\xB3\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xC1"],

        ["\xBC\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x9F"],
        ["\xE5\xAE\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xC2"],

        ["\xBC\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x80"],
        ["\xE8\x94\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xC3"],

        ["\xBC\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\xA0"],
        ["\xE7\xAF\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xC4"],

        ["\xBC\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xB2"],
        ["\xE5\x81\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xC5"],

        ["\xBC\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xB4"],
        ["\xE6\x9F\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xC6"],

        ["\xBC\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\x9D"],
        ["\xE8\x8A\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xC7"],

        ["\xBC\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xA1"],
        ["\xE5\xB1\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xC8"],

        ["\xBC\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x8A"],
        ["\xE8\x95\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xC9"],

        ["\xBC\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x9E"],
        ["\xE7\xB8\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xCA"],

        ["\xBC\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x8E"],
        ["\xE8\x88\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xCB"],

        ["\xBC\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x99"],
        ["\xE5\x86\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xCC"],

        ["\xBC\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x84"],
        ["\xE5\xB0\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xCD"],

        ["\xBC\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xA8"],
        ["\xE6\x8D\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xCE"],

        ["\xBC\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xA6"],
        ["\xE8\xB5\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xCF"],

        ["\xBC\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x9C"],
        ["\xE6\x96\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xD0"],

        ["\xBC\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\xAE"],
        ["\xE7\x85\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xD1"],

        ["\xBC\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xBE"],
        ["\xE7\xA4\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xD2"],

        ["\xBC\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x97"],
        ["\xE7\xB4\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xD3"],

        ["\xBC\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x85"],
        ["\xE8\x80\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xD4"],

        ["\xBC\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x9D"],
        ["\xE8\xAC\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xD5"],

        ["\xBC\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x8A"],
        ["\xE8\xBB\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xD6"],

        ["\xBC\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xAE"],
        ["\xE9\x81\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xD7"],

        ["\xBC\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x87"],
        ["\xE8\x9B\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xD8"],

        ["\xBC\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\xAA"],
        ["\xE9\x82\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xD9"],

        ["\xBC\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x9F"],
        ["\xE5\x80\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xDA"],

        ["\xBC\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xBA"],
        ["\xE5\x8B\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xDB"],

        ["\xBC\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xBA"],
        ["\xE5\xB0\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xDC"],

        ["\xBC\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x93"],
        ["\xE6\x9D\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xDD"],

        ["\xBC\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xBC"],
        ["\xE7\x81\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xDE"],

        ["\xBC\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xB5"],
        ["\xE7\x88\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xDF"],

        ["\xBC\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x8C"],
        ["\xE9\x85\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xE0"],

        ["\xBC\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x88"],
        ["\xE9\x87\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xE1"],

        ["\xBC\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xAB"],
        ["\xE9\x8C\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xE2"],

        ["\xBC\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xA5"],
        ["\xE8\x8B\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xE3"],

        ["\xBC\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x82"],
        ["\xE5\xAF\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xE4"],

        ["\xBC\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xB1"],
        ["\xE5\xBC\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xE5"],

        ["\xBC\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xB9"],
        ["\xE6\x83\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xE6"],

        ["\xBC\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xBB"],
        ["\xE4\xB8\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xE7"],

        ["\xBC\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x96"],
        ["\xE5\x8F\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xE8"],

        ["\xBC\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x88"],
        ["\xE5\xAE\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xE9"],

        ["\xBC\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x8B"],
        ["\xE6\x89\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xEA"],

        ["\xBC\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xB1"],
        ["\xE6\x9C\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xEB"],

        ["\xBC\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x8A"],
        ["\xE6\xAE\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xEC"],

        ["\xBC\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xA9"],
        ["\xE7\x8B\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xED"],

        ["\xBC\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xA0"],
        ["\xE7\x8F\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xEE"],

        ["\xBC\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xAE"],
        ["\xE7\xA8\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xEF"],

        ["\xBC\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xAB"],
        ["\xE8\x85\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xF0"],

        ["\xBC\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\xA3"],
        ["\xE8\xB6\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xF1"],

        ["\xBC\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x92"],
        ["\xE9\x85\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xF2"],

        ["\xBC\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\x96"],
        ["\xE9\xA6\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xF3"],

        ["\xBC\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x92"],
        ["\xE5\x84\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xF4"],

        ["\xBC\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x97"],
        ["\xE5\x8F\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xF5"],

        ["\xBC\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xAA"],
        ["\xE5\x91\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xF6"],

        ["\xBC\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xBF"],
        ["\xE5\xAF\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xF7"],

        ["\xBC\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x88"],
        ["\xE6\x8E\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xF8"],

        ["\xBC\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xB9"],
        ["\xE6\xA8\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xF9"],

        ["\xBC\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xAC"],
        ["\xE7\xB6\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xFA"],

        ["\xBC\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x80"],
        ["\xE9\x9C\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xFB"],

        ["\xBC\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x9A"],
        ["\xE5\x9B\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xFC"],

        ["\xBC\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x8E"],
        ["\xE5\x8F\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xFD"],

        ["\xBC\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xA8"],
        ["\xE5\x91\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\xFE"],

        ["\xBD\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x97"],
        ["\xE5\xAE\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xA1"],

        ["\xBD\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xB1"],
        ["\xE5\xB0\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xA2"],

        ["\xBD\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x9E"],
        ["\xE5\xB7\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xA3"],

        ["\xBD\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xAE"],
        ["\xE4\xBF\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xA4"],

        ["\xBD\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x81"],
        ["\xE6\x84\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xA5"],

        ["\xBD\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xBE"],
        ["\xE6\x8B\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xA6"],

        ["\xBD\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xB2"],
        ["\xE6\xB4\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xA7"],

        ["\xBD\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x80"],
        ["\xE7\xA7\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xA8"],

        ["\xBD\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x8B"],
        ["\xE7\xA7\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xA9"],

        ["\xBD\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x82"],
        ["\xE7\xB5\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xAA"],

        ["\xBD\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x8D"],
        ["\xE7\xB9\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xAB"],

        ["\xBD\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x92"],
        ["\xE7\xBF\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xAC"],

        ["\xBD\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xAD"],
        ["\xE8\x87\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xAD"],

        ["\xBD\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x9F"],
        ["\xE8\x88\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xAE"],

        ["\xBD\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x90"],
        ["\xE8\x92\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xAF"],

        ["\xBD\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x86"],
        ["\xE8\xA1\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xB0"],

        ["\xBD\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xB2"],
        ["\xE8\xA5\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xB1"],

        ["\xBD\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x90"],
        ["\xE8\xAE\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xB2"],

        ["\xBD\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\xB4"],
        ["\xE8\xB9\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xB3"],

        ["\xBD\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xAF"],
        ["\xE8\xBC\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xB4"],

        ["\xBD\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xB1"],
        ["\xE9\x80\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xB5"],

        ["\xBD\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x8B"],
        ["\xE9\x85\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xB6"],

        ["\xBD\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\xAC"],
        ["\xE9\x85\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xB7"],

        ["\xBD\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x86"],
        ["\xE9\x9B\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xB8"],

        ["\xBD\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\x9C"],
        ["\xE9\x86\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xB9"],

        ["\xBD\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x80"],
        ["\xE4\xBB\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xBA"],

        ["\xBD\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x8F"],
        ["\xE4\xBD\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xBB"],

        ["\xBD\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x85"],
        ["\xE5\x85\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xBC"],

        ["\xBD\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x81"],
        ["\xE5\x8D\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xBD"],

        ["\xBD\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x93"],
        ["\xE5\xBE\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xBE"],

        ["\xBD\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x8E"],
        ["\xE6\x88\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xBF"],

        ["\xBD\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x94"],
        ["\xE6\x9F\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xC0"],

        ["\xBD\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x81"],
        ["\xE6\xB1\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xC1"],

        ["\xBD\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x8B"],
        ["\xE6\xB8\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xC2"],

        ["\xBD\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xA3"],
        ["\xE7\x8D\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xC3"],

        ["\xBD\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xA6"],
        ["\xE7\xB8\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xC4"],

        ["\xBD\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x8D"],
        ["\xE9\x87\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xC5"],

        ["\xBD\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x83"],
        ["\xE9\x8A\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xC6"],

        ["\xBD\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x94"],
        ["\xE5\x8F\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xC7"],

        ["\xBD\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x99"],
        ["\xE5\xA4\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xC8"],

        ["\xBD\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xBF"],
        ["\xE5\xAE\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xC9"],

        ["\xBD\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x91"],
        ["\xE6\xB7\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xCA"],

        ["\xBD\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x9D"],
        ["\xE7\xA5\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xCB"],

        ["\xBD\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xAE"],
        ["\xE7\xB8\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xCC"],

        ["\xBD\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x9B"],
        ["\xE7\xB2\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xCD"],

        ["\xBD\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xBE"],
        ["\xE5\xA1\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xCE"],

        ["\xBD\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x9F"],
        ["\xE7\x86\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xCF"],

        ["\xBD\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xBA"],
        ["\xE5\x87\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xD0"],

        ["\xBD\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x93"],
        ["\xE8\xA1\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xD1"],

        ["\xBD\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xB0"],
        ["\xE8\xBF\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xD2"],

        ["\xBD\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x8A"],
        ["\xE4\xBF\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xD3"],

        ["\xBD\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xBB"],
        ["\xE5\xB3\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xD4"],

        ["\xBD\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xA5"],
        ["\xE6\x98\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xD5"],

        ["\xBD\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xAC"],
        ["\xE7\x9E\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xD6"],

        ["\xBD\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xA3"],
        ["\xE7\xAB\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xD7"],

        ["\xBD\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x9C"],
        ["\xE8\x88\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xD8"],

        ["\xBD\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\xBF"],
        ["\xE9\xA7\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xD9"],

        ["\xBD\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x86"],
        ["\xE5\x87\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xDA"],

        ["\xBD\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xAA"],
        ["\xE5\xBE\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xDB"],

        ["\xBD\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xAC"],
        ["\xE6\x97\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xDC"],

        ["\xBD\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xAF"],
        ["\xE6\xA5\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xDD"],

        ["\xBD\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x89"],
        ["\xE6\xAE\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xDE"],

        ["\xBD\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xB3"],
        ["\xE6\xB7\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xDF"],

        ["\xBD\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\x96"],
        ["\xE6\xBA\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xE0"],

        ["\xBD\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xA4"],
        ["\xE6\xBD\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xE1"],

        ["\xBD\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xBE"],
        ["\xE7\x9B\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xE2"],

        ["\xBD\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x94"],
        ["\xE7\xB4\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xE3"],

        ["\xBD\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xA1"],
        ["\xE5\xB7\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xE4"],

        ["\xBD\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xB5"],
        ["\xE9\x81\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xE5"],

        ["\xBD\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\x87"],
        ["\xE9\x86\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xE6"],

        ["\xBD\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x86"],
        ["\xE9\xA0\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xE7"],

        ["\xBD\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xA6"],
        ["\xE5\x87\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xE8"],

        ["\xBD\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x9D"],
        ["\xE5\x88\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xE9"],

        ["\xBD\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x80"],
        ["\xE6\x89\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xEA"],

        ["\xBD\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x91"],
        ["\xE6\x9A\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xEB"],

        ["\xBD\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x99"],
        ["\xE6\x9B\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xEC"],

        ["\xBD\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x9A"],
        ["\xE6\xB8\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xED"],

        ["\xBD\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xB6"],
        ["\xE5\xBA\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xEE"],

        ["\xBD\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x92"],
        ["\xE7\xB7\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xEF"],

        ["\xBD\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xB2"],
        ["\xE7\xBD\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xF0"],

        ["\xBD\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xB8"],
        ["\xE6\x9B\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xF1"],

        ["\xBD\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xAF"],
        ["\xE8\x96\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xF2"],

        ["\xBD\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xB7"],
        ["\xE8\x97\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xF3"],

        ["\xBD\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xB8"],
        ["\xE8\xAB\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xF4"],

        ["\xBD\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xA9"],
        ["\xE5\x8A\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xF5"],

        ["\xBD\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x99"],
        ["\xE5\x8F\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xF6"],

        ["\xBD\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xB3"],
        ["\xE5\xA5\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xF7"],

        ["\xBD\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\x8F"],
        ["\xE5\xBA\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xF8"],

        ["\xBD\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x90"],
        ["\xE5\xBE\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xF9"],

        ["\xBD\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x95"],
        ["\xE6\x81\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xFA"],

        ["\xBD\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xA4"],
        ["\xE9\x8B\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xFB"],

        ["\xBD\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xA4"],
        ["\xE9\x99\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xFC"],

        ["\xBD\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xB7"],
        ["\xE5\x82\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xFD"],

        ["\xBD\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x9F"],
        ["\xE5\x84\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\xFE"],

        ["\xBE\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x9D"],
        ["\xE5\x8B\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xA1"],

        ["\xBE\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xA0"],
        ["\xE5\x8C\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xA2"],

        ["\xBE\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x87"],
        ["\xE5\x8D\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xA3"],

        ["\xBE\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xAC"],
        ["\xE5\x8F\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xA4"],

        ["\xBE\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xA8"],
        ["\xE5\x93\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xA5"],

        ["\xBE\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x86"],
        ["\xE5\x95\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xA6"],

        ["\xBE\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\xB1"],
        ["\xE5\x94\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xA7"],

        ["\xBE\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\x97"],
        ["\xE5\x98\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xA8"],

        ["\xBE\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xA8"],
        ["\xE5\xA5\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xA9"],

        ["\xBE\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xBE"],
        ["\xE5\xA6\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xAA"],

        ["\xBE\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\xBC"],
        ["\xE5\xA8\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xAB"],

        ["\xBE\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xB5"],
        ["\xE5\xAE\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xAC"],

        ["\xBE\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x86"],
        ["\xE5\xB0\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xAD"],

        ["\xBE\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x8F"],
        ["\xE5\xB0\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xAE"],

        ["\xBE\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x91"],
        ["\xE5\xB0\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xAF"],

        ["\xBE\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x9A"],
        ["\xE5\xB0\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xB0"],

        ["\xBE\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\x84"],
        ["\xE5\xBA\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xB1"],

        ["\xBE\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\x8A"],
        ["\xE5\xBA\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xB2"],

        ["\xBE\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xA0"],
        ["\xE5\xBB\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xB3"],

        ["\xBE\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xB0"],
        ["\xE5\xBD\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xB4"],

        ["\xBE\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xBF"],
        ["\xE6\x89\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xB5"],

        ["\xBE\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x84"],
        ["\xE6\x8A\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xB6"],

        ["\xBE\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x9B"],
        ["\xE6\x8B\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xB7"],

        ["\xBE\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x8C"],
        ["\xE6\x8E\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xB8"],

        ["\xBE\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xB7"],
        ["\xE6\x8D\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xB9"],

        ["\xBE\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x87"],
        ["\xE6\x98\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xBA"],

        ["\xBE\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x8C"],
        ["\xE6\x98\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xBB"],

        ["\xBE\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xAD"],
        ["\xE6\x98\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xBC"],

        ["\xBE\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xB6"],
        ["\xE6\x99\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xBD"],

        ["\xBE\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xBE"],
        ["\xE6\x9D\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xBE"],

        ["\xBE\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xA2"],
        ["\xE6\xA2\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xBF"],

        ["\xBE\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x9F"],
        ["\xE6\xA8\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xC0"],

        ["\xBE\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xB5"],
        ["\xE6\xA8\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xC1"],

        ["\xBE\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xBC"],
        ["\xE6\xB2\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xC2"],

        ["\xBE\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x88"],
        ["\xE6\xB6\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xC3"],

        ["\xBE\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x89"],
        ["\xE6\xB8\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xC4"],

        ["\xBE\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x98"],
        ["\xE6\xB9\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xC5"],

        ["\xBE\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\xBC"],
        ["\xE7\x84\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xC6"],

        ["\xBE\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\xA6"],
        ["\xE7\x84\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xC7"],

        ["\xBE\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\xA7"],
        ["\xE7\x85\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xC8"],

        ["\xBE\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x87"],
        ["\xE7\x97\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xC9"],

        ["\xBE\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x81"],
        ["\xE7\x9C\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xCA"],

        ["\xBE\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\x9D"],
        ["\xE7\xA1\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xCB"],

        ["\xBE\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\x81"],
        ["\xE7\xA4\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xCC"],

        ["\xBE\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\xA5"],
        ["\xE7\xA5\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xCD"],

        ["\xBE\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\xB0"],
        ["\xE7\xA7\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xCE"],

        ["\xBE\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xA0"],
        ["\xE7\xAB\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xCF"],

        ["\xBE\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x91"],
        ["\xE7\xAC\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xD0"],

        ["\xBE\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xA7"],
        ["\xE7\xB2\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xD1"],

        ["\xBE\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xB9"],
        ["\xE7\xB4\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xD2"],

        ["\xBE\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x96"],
        ["\xE8\x82\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xD3"],

        ["\xBE\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x96"],
        ["\xE8\x8F\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xD4"],

        ["\xBE\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x8B"],
        ["\xE8\x92\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xD5"],

        ["\xBE\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x89"],
        ["\xE8\x95\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xD6"],

        ["\xBE\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x9D"],
        ["\xE8\xA1\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xD7"],

        ["\xBE\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xB3"],
        ["\xE8\xA3\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xD8"],

        ["\xBE\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x9F"],
        ["\xE8\xA8\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xD9"],

        ["\xBE\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xBC"],
        ["\xE8\xA8\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xDA"],

        ["\xBE\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x94"],
        ["\xE8\xA9\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xDB"],

        ["\xBE\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xB3"],
        ["\xE8\xA9\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xDC"],

        ["\xBE\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\xA1"],
        ["\xE8\xB1\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xDD"],

        ["\xBE\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x9E"],
        ["\xE8\xB3\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xDE"],

        ["\xBE\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xA4"],
        ["\xE9\x86\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xDF"],

        ["\xBE\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\xA6"],
        ["\xE9\x89\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xE0"],

        ["\xBE\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\xBE"],
        ["\xE9\x8D\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xE1"],

        ["\xBE\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\x98"],
        ["\xE9\x90\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xE2"],

        ["\xBE\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x9C"],
        ["\xE9\x9A\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xE3"],

        ["\xBE\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\x98"],
        ["\xE9\x9E\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xE4"],

        ["\xBE\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x8A"],
        ["\xE4\xB8\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xE5"],

        ["\xBE\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x88"],
        ["\xE4\xB8\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xE6"],

        ["\xBE\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x9E"],
        ["\xE4\xB8\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xE7"],

        ["\xBE\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x97"],
        ["\xE4\xB9\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xE8"],

        ["\xBE\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x97"],
        ["\xE5\x86\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xE9"],

        ["\xBE\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xB0"],
        ["\xE5\x89\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xEA"],

        ["\xBE\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x8E"],
        ["\xE5\x9F\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xEB"],

        ["\xBE\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xB4"],
        ["\xE5\xA0\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xEC"],

        ["\xBE\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x8C"],
        ["\xE5\xA3\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xED"],

        ["\xBE\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\xA2"],
        ["\xE5\xAC\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xEE"],

        ["\xBE\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xB8"],
        ["\xE5\xB8\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xEF"],

        ["\xBE\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x85"],
        ["\xE6\x83\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xF0"],

        ["\xBE\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xBE"],
        ["\xE6\x93\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xF1"],

        ["\xBE\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xA1"],
        ["\xE6\x9D\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xF2"],

        ["\xBE\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x96"],
        ["\xE6\x9D\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xF3"],

        ["\xBE\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\x84"],
        ["\xE6\xB5\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xF4"],

        ["\xBE\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xB6"],
        ["\xE7\x8A\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xF5"],

        ["\xBE\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xB3"],
        ["\xE7\x95\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xF6"],

        ["\xBE\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xA3"],
        ["\xE7\xA9\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xF7"],

        ["\xBE\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xB8"],
        ["\xE8\x92\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xF8"],

        ["\xBE\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xB2"],
        ["\xE8\xAD\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xF9"],

        ["\xBE\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xB8"],
        ["\xE9\x86\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xFA"],

        ["\xBE\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xA0"],
        ["\xE9\x8C\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xFB"],

        ["\xBE\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xB1"],
        ["\xE5\x98\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xFC"],

        ["\xBE\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xB4"],
        ["\xE5\x9F\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xFD"],

        ["\xBE\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xBE"],
        ["\xE9\xA3\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\xFE"],

        ["\xBF\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xAD"],
        ["\xE6\x8B\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xA1"],

        ["\xBF\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x8D"],
        ["\xE6\xA4\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xA2"],

        ["\xBF\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x96"],
        ["\xE6\xAE\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xA3"],

        ["\xBF\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xAD"],
        ["\xE7\x87\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xA4"],

        ["\xBF\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x94"],
        ["\xE7\xB9\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xA5"],

        ["\xBF\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xB7"],
        ["\xE8\x81\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xA6"],

        ["\xBF\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xB2"],
        ["\xE8\x89\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xA7"],

        ["\xBF\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xA6"],
        ["\xE8\xA7\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xA8"],

        ["\xBF\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\x9F"],
        ["\xE9\xA3\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xA9"],

        ["\xBF\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x95"],
        ["\xE8\x9D\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xAA"],

        ["\xBF\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xB1"],
        ["\xE8\xBE\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xAB"],

        ["\xBF\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xBB"],
        ["\xE5\xB0\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xAC"],

        ["\xBF\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\xB8"],
        ["\xE4\xBC\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xAD"],

        ["\xBF\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xA1"],
        ["\xE4\xBF\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xAE"],

        ["\xBF\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\xB5"],
        ["\xE4\xBE\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xAF"],

        ["\xBF\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\x87"],
        ["\xE5\x94\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xB0"],

        ["\xBF\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\xA0"],
        ["\xE5\xA8\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xB1"],

        ["\xBF\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x9D"],
        ["\xE5\xAF\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xB2"],

        ["\xBF\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xA9"],
        ["\xE5\xAF\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xB3"],

        ["\xBF\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x83"],
        ["\xE5\xBF\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xB4"],

        ["\xBF\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x8E"],
        ["\xE6\x85\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xB5"],

        ["\xBF\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xAF"],
        ["\xE6\x8C\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xB6"],

        ["\xBF\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xB0"],
        ["\xE6\x96\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xB7"],

        ["\xBF\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x8B"],
        ["\xE6\x99\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xB8"],

        ["\xBF\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xAE"],
        ["\xE6\xA3\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xB9"],

        ["\xBF\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x9B"],
        ["\xE6\xA6\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xBA"],

        ["\xBF\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xB8"],
        ["\xE6\xB5\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xBB"],

        ["\xBF\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xB1"],
        ["\xE6\xB7\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xBC"],

        ["\xBF\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xB3"],
        ["\xE7\x94\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xBD"],

        ["\xBF\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xB9"],
        ["\xE7\x96\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xBE"],

        ["\xBF\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x9F"],
        ["\xE7\x9C\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xBF"],

        ["\xBF\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x9E"],
        ["\xE7\xA5\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xC0"],

        ["\xBF\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\xA6"],
        ["\xE7\xA7\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xC1"],

        ["\xBF\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xB3"],
        ["\xE7\xB4\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xC2"],

        ["\xBF\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xA3"],
        ["\xE8\x87\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xC3"],

        ["\xBF\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xAF"],
        ["\xE8\x8A\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xC4"],

        ["\xBF\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xAA"],
        ["\xE8\x96\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xC5"],

        ["\xBF\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xAA"],
        ["\xE8\xA6\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xC6"],

        ["\xBF\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xBA"],
        ["\xE8\xA8\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xC7"],

        ["\xBF\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\xAB"],
        ["\xE8\xBA\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xC8"],

        ["\xBF\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\x9B"],
        ["\xE8\xBE\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xC9"],

        ["\xBF\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xB2"],
        ["\xE9\x80\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xCA"],

        ["\xBF\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x9D"],
        ["\xE9\x87\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xCB"],

        ["\xBF\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x87"],
        ["\xE9\x9C\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xCC"],

        ["\xBF\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xBA"],
        ["\xE4\xBA\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xCD"],

        ["\xBF\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x81"],
        ["\xE4\xBB\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xCE"],

        ["\xBF\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x83"],
        ["\xE5\x88\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xCF"],

        ["\xBF\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xB5"],
        ["\xE5\xA1\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xD0"],

        ["\xBF\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xAC"],
        ["\xE5\xA3\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xD1"],

        ["\xBF\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x8B"],
        ["\xE5\xB0\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xD2"],

        ["\xBF\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x9A"],
        ["\xE7\x94\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xD3"],

        ["\xBF\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xBD"],
        ["\xE5\xB0\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xD4"],

        ["\xBF\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\x8E"],
        ["\xE8\x85\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xD5"],

        ["\xBF\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x8A"],
        ["\xE8\xA8\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xD6"],

        ["\xBF\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\x85"],
        ["\xE8\xBF\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xD7"],

        ["\xBF\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xA3"],
        ["\xE9\x99\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xD8"],

        ["\xBF\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xAD"],
        ["\xE9\x9D\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xD9"],

        ["\xBF\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xA5"],
        ["\xE7\xAC\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xDA"],

        ["\xBF\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x8F"],
        ["\xE8\xAB\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xDB"],

        ["\xBF\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x88"],
        ["\xE9\xA0\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xDC"],

        ["\xBF\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\xA2"],
        ["\xE9\x85\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xDD"],

        ["\xBF\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xB3"],
        ["\xE5\x9B\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xDE"],

        ["\xBF\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xA8"],
        ["\xE5\x8E\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xDF"],

        ["\xBF\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x97"],
        ["\xE9\x80\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xE0"],

        ["\xBF\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xB9"],
        ["\xE5\x90\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xE1"],

        ["\xBF\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\x82"],
        ["\xE5\x9E\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xE2"],

        ["\xBF\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xA5"],
        ["\xE5\xB8\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xE3"],

        ["\xBF\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xA8"],
        ["\xE6\x8E\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xE4"],

        ["\xBF\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\xB4"],
        ["\xE6\xB0\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xE5"],

        ["\xBF\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\x8A"],
        ["\xE7\x82\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xE6"],

        ["\xBF\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xA1"],
        ["\xE7\x9D\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xE7"],

        ["\xBF\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x8B"],
        ["\xE7\xB2\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xE8"],

        ["\xBF\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xA0"],
        ["\xE7\xBF\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xE9"],

        ["\xBF\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xB0"],
        ["\xE8\xA1\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xEA"],

        ["\xBF\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x82"],
        ["\xE9\x81\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xEB"],

        ["\xBF\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x94"],
        ["\xE9\x85\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xEC"],

        ["\xBF\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\x90"],
        ["\xE9\x8C\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xED"],

        ["\xBF\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\x98"],
        ["\xE9\x8C\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xEE"],

        ["\xBF\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x8F"],
        ["\xE9\x9A\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xEF"],

        ["\xBF\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x9E"],
        ["\xE7\x91\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xF0"],

        ["\xBF\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x84"],
        ["\xE9\xAB\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xF1"],

        ["\xBF\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x87"],
        ["\xE5\xB4\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xF2"],

        ["\xBF\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\xA9"],
        ["\xE5\xB5\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xF3"],

        ["\xBF\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xB0"],
        ["\xE6\x95\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xF4"],

        ["\xBF\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xA2"],
        ["\xE6\x9E\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xF5"],

        ["\xBF\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\xA8"],
        ["\xE8\xB6\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xF6"],

        ["\xBF\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x9B"],
        ["\xE9\x9B\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xF7"],

        ["\xBF\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xAE"],
        ["\xE6\x8D\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xF8"],

        ["\xBF\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x89"],
        ["\xE6\x9D\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xF9"],

        ["\xBF\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x99"],
        ["\xE6\xA4\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xFA"],

        ["\xBF\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x85"],
        ["\xE8\x8F\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xFB"],

        ["\xBF\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x97"],
        ["\xE9\xA0\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xFC"],

        ["\xBF\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x80"],
        ["\xE9\x9B\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xFD"],

        ["\xBF\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xBE"],
        ["\xE8\xA3\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\xFE"],

        ["\xC0\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x84"],
        ["\xE6\xBE\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xA1"],

        ["\xC0\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\xBA"],
        ["\xE6\x91\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xA2"],

        ["\xC0\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xB8"],
        ["\xE5\xAF\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xA3"],

        ["\xC0\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x96"],
        ["\xE4\xB8\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xA4"],

        ["\xC0\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\xAC"],
        ["\xE7\x80\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xA5"],

        ["\xC0\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x9D"],
        ["\xE7\x95\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xA6"],

        ["\xC0\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xAF"],
        ["\xE6\x98\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xA7"],

        ["\xC0\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x84"],
        ["\xE5\x87\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xA8"],

        ["\xC0\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xB6"],
        ["\xE5\x88\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xA9"],

        ["\xC0\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xA2"],
        ["\xE5\x8B\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xAA"],

        ["\xC0\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x93"],
        ["\xE5\xA7\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xAB"],

        ["\xC0\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x81"],
        ["\xE5\xBE\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xAC"],

        ["\xC0\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xA7"],
        ["\xE6\x80\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xAD"],

        ["\xC0\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x90"],
        ["\xE6\x88\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xAE"],

        ["\xC0\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xBF"],
        ["\xE6\x94\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xAF"],

        ["\xC0\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xB4"],
        ["\xE6\x95\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xB0"],

        ["\xC0\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x9F"],
        ["\xE6\x98\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xB1"],

        ["\xC0\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xB4"],
        ["\xE6\x99\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xB2"],

        ["\xC0\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xB2"],
        ["\xE6\xA3\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xB3"],

        ["\xC0\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x96"],
        ["\xE6\xA0\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xB4"],

        ["\xC0\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xA3"],
        ["\xE6\xAD\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xB5"],

        ["\xC0\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x85"],
        ["\xE6\xB8\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xB6"],

        ["\xC0\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xB2"],
        ["\xE7\x89\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xB7"],

        ["\xC0\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x9F"],
        ["\xE7\x94\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xB8"],

        ["\xC0\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x9B"],
        ["\xE7\x9B\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xB9"],

        ["\xC0\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xBE"],
        ["\xE7\xB2\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xBA"],

        ["\xC0\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\x96"],
        ["\xE8\x81\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xBB"],

        ["\xC0\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xB0"],
        ["\xE5\xA3\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xBC"],

        ["\xC0\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xBD"],
        ["\xE8\xA3\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xBD"],

        ["\xC0\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xBF"],
        ["\xE8\xA5\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xBE"],

        ["\xC0\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xA0"],
        ["\xE8\xAA\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xBF"],

        ["\xC0\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x93"],
        ["\xE8\xAA\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xC0"],

        ["\xC0\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x8B"],
        ["\xE8\xAB\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xC1"],

        ["\xC0\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x9D"],
        ["\xE9\x80\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xC2"],

        ["\xC0\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\x92"],
        ["\xE9\x86\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xC3"],

        ["\xC0\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x92"],
        ["\xE9\x9D\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xC4"],

        ["\xC0\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x99"],
        ["\xE9\x9D\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xC5"],

        ["\xC0\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x89"],
        ["\xE6\x96\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xC6"],

        ["\xC0\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x8E"],
        ["\xE7\xA8\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xC7"],

        ["\xC0\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x86"],
        ["\xE8\x84\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xC8"],

        ["\xC0\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xBB"],
        ["\xE9\x9A\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xC9"],

        ["\xC0\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xAD"],
        ["\xE5\xB8\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xCA"],

        ["\xC0\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x9C"],
        ["\xE6\x83\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xCB"],

        ["\xC0\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x9A"],
        ["\xE6\x88\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xCC"],

        ["\xC0\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xA5"],
        ["\xE6\x96\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xCD"],

        ["\xC0\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x94"],
        ["\xE6\x98\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xCE"],

        ["\xC0\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x90"],
        ["\xE6\x9E\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xCF"],

        ["\xC0\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xB3"],
        ["\xE7\x9F\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xD0"],

        ["\xC0\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x8D"],
        ["\xE7\xA9\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xD1"],

        ["\xC0\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x8D"],
        ["\xE7\xB1\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xD2"],

        ["\xC0\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xBE"],
        ["\xE7\xB8\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xD3"],

        ["\xC0\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x8A"],
        ["\xE8\x84\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xD4"],

        ["\xC0\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xAC"],
        ["\xE8\xB2\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xD5"],

        ["\xC0\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xA4"],
        ["\xE8\xB5\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xD6"],

        ["\xC0\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\xA1"],
        ["\xE8\xB7\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xD7"],

        ["\xC0\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\x9F"],
        ["\xE8\xB9\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xD8"],

        ["\xC0\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xA9"],
        ["\xE7\xA2\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xD9"],

        ["\xC0\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x87"],
        ["\xE5\x88\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xDA"],

        ["\xC0\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x99"],
        ["\xE6\x8B\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xDB"],

        ["\xC0\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xA5"],
        ["\xE6\x8E\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xDC"],

        ["\xC0\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\x82"],
        ["\xE6\x91\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xDD"],

        ["\xC0\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x98"],
        ["\xE6\x8A\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xDE"],

        ["\xC0\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xAD"],
        ["\xE8\xA8\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xDF"],

        ["\xC0\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x83"],
        ["\xE7\xAA\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xE0"],

        ["\xC0\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x80"],
        ["\xE7\xAF\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xE1"],

        ["\xC0\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xAC"],
        ["\xE8\xAA\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xE2"],

        ["\xC0\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xAA"],
        ["\xE9\x9B\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xE3"],

        ["\xC0\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xB6"],
        ["\xE7\xB5\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xE4"],

        ["\xC0\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x8C"],
        ["\xE8\x88\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xE5"],

        ["\xC0\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x89"],
        ["\xE8\x9D\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xE6"],

        ["\xC0\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x99"],
        ["\xE4\xBB\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xE7"],

        ["\xC0\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x88"],
        ["\xE5\x85\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xE8"],

        ["\xC0\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x83"],
        ["\xE5\x8D\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xE9"],

        ["\xC0\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xA0"],
        ["\xE5\x8D\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xEA"],

        ["\xC0\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xA3"],
        ["\xE5\xAE\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xEB"],

        ["\xC0\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x82"],
        ["\xE5\xB0\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xEC"],

        ["\xC0\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x96"],
        ["\xE5\xB0\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xED"],

        ["\xC0\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x9D"],
        ["\xE5\xB7\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xEE"],

        ["\xC0\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xA6"],
        ["\xE6\x88\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xEF"],

        ["\xC0\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x87"],
        ["\xE6\x89\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xF0"],

        ["\xC0\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xB0"],
        ["\xE6\x92\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xF1"],

        ["\xC0\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x93"],
        ["\xE6\xA0\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xF2"],

        ["\xC0\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xB4"],
        ["\xE6\xA0\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xF3"],

        ["\xC0\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x89"],
        ["\xE6\xB3\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xF4"],

        ["\xC0\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\x85"],
        ["\xE6\xB5\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xF5"],

        ["\xC0\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x97"],
        ["\xE6\xB4\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xF6"],

        ["\xC0\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x93"],
        ["\xE6\x9F\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xF7"],

        ["\xC0\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x9C"],
        ["\xE6\xBD\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xF8"],

        ["\xC0\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x8E"],
        ["\xE7\x85\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xF9"],

        ["\xC0\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\xBD"],
        ["\xE7\x85\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xFA"],

        ["\xC0\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x8B"],
        ["\xE6\x97\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xFB"],

        ["\xC0\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xBF"],
        ["\xE7\xA9\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xFC"],

        ["\xC0\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\xAD"],
        ["\xE7\xAE\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xFD"],

        ["\xC0\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x9A"],
        ["\xE7\xB7\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\xFE"],

        ["\xC1\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x8A"],
        ["\xE7\xB9\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xA1"],

        ["\xC1\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xA8"],
        ["\xE7\xBE\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xA2"],

        ["\xC1\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xBA"],
        ["\xE8\x85\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xA3"],

        ["\xC1\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x9B"],
        ["\xE8\x88\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xA4"],

        ["\xC1\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xB9"],
        ["\xE8\x88\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xA5"],

        ["\xC1\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xA6"],
        ["\xE8\x96\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xA6"],

        ["\xC1\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xAE"],
        ["\xE8\xA9\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xA7"],

        ["\xC1\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x8E"],
        ["\xE8\xB3\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xA8"],

        ["\xC1\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\xB5"],
        ["\xE8\xB7\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xA9"],

        ["\xC1\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xB8"],
        ["\xE9\x81\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xAA"],

        ["\xC1\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xB7"],
        ["\xE9\x81\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xAB"],

        ["\xC1\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\xAD"],
        ["\xE9\x8A\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xAC"],

        ["\xC1\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x91"],
        ["\xE9\x8A\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xAD"],

        ["\xC1\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x83"],
        ["\xE9\x96\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xAE"],

        ["\xC1\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xAE"],
        ["\xE9\xAE\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xAF"],

        ["\xC1\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x8D"],
        ["\xE5\x89\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xB0"],

        ["\xC1\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x84"],
        ["\xE5\x96\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xB1"],

        ["\xC1\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xB8"],
        ["\xE6\xBC\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xB2"],

        ["\xC1\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\xB6"],
        ["\xE7\x84\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xB3"],

        ["\xC1\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xA8"],
        ["\xE5\x85\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xB4"],

        ["\xC1\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x85"],
        ["\xE7\xA6\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xB5"],

        ["\xC1\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x95"],
        ["\xE7\xB9\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xB6"],

        ["\xC1\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xB3"],
        ["\xE8\x86\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xB7"],

        ["\xC1\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x8E"],
        ["\xE7\xB3\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xB8"],

        ["\xC1\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\x8C"],
        ["\xE5\x99\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xB9"],

        ["\xC1\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x91"],
        ["\xE5\xA1\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xBA"],

        ["\xC1\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xA8"],
        ["\xE5\xB2\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xBB"],

        ["\xC1\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xAA"],
        ["\xE6\x8E\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xBC"],

        ["\xC1\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xBE"],
        ["\xE6\x9B\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xBD"],

        ["\xC1\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xBD"],
        ["\xE6\x9B\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xBE"],

        ["\xC1\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x9A"],
        ["\xE6\xA5\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xBF"],

        ["\xC1\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x99"],
        ["\xE7\x8B\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xC0"],

        ["\xC1\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x8F"],
        ["\xE7\x96\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xC1"],

        ["\xC1\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x8E"],
        ["\xE7\x96\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xC2"],

        ["\xC1\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\x8E"],
        ["\xE7\xA4\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xC3"],

        ["\xC1\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x96"],
        ["\xE7\xA5\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xC4"],

        ["\xC1\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x9F"],
        ["\xE7\xA7\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xC5"],

        ["\xC1\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x97"],
        ["\xE7\xB2\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xC6"],

        ["\xC1\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xA0"],
        ["\xE7\xB4\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xC7"],

        ["\xC1\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x84"],
        ["\xE7\xB5\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xC8"],

        ["\xC1\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x87"],
        ["\xE8\x98\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xC9"],

        ["\xC1\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xB4"],
        ["\xE8\xA8\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xCA"],

        ["\xC1\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xBB"],
        ["\xE9\x98\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xCB"],

        ["\xC1\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xA1"],
        ["\xE9\x81\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xCC"],

        ["\xC1\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\xA0"],
        ["\xE9\xBC\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xCD"],

        ["\xC1\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xA7"],
        ["\xE5\x83\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xCE"],

        ["\xC1\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xB5"],
        ["\xE5\x89\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xCF"],

        ["\xC1\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x8C"],
        ["\xE5\x8F\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xD0"],

        ["\xC1\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xA2"],
        ["\xE5\x8F\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xD1"],

        ["\xC1\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x89"],
        ["\xE5\x80\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xD2"],

        ["\xC1\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\xAA"],
        ["\xE5\x96\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xD3"],

        ["\xC1\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xAE"],
        ["\xE5\xA3\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xD4"],

        ["\xC1\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x8F"],
        ["\xE5\xA5\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xD5"],

        ["\xC1\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xBD"],
        ["\xE7\x88\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xD6"],

        ["\xC1\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x8B"],
        ["\xE5\xAE\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xD7"],

        ["\xC1\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xA4"],
        ["\xE5\xB1\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xD8"],

        ["\xC1\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x9D"],
        ["\xE5\x8C\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xD9"],

        ["\xC1\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xA3"],
        ["\xE6\x83\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xDA"],

        ["\xC1\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xB3"],
        ["\xE6\x83\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xDB"],

        ["\xC1\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x9C"],
        ["\xE6\x8D\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xDC"],

        ["\xC1\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x83"],
        ["\xE6\x8E\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xDD"],

        ["\xC1\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xBF"],
        ["\xE6\x8C\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xDE"],

        ["\xC1\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xBB"],
        ["\xE6\x8E\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xDF"],

        ["\xC1\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x8D"],
        ["\xE6\x93\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xE0"],

        ["\xC1\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xA9"],
        ["\xE6\x97\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xE1"],

        ["\xC1\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xB9"],
        ["\xE6\x9B\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xE2"],

        ["\xC1\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xA3"],
        ["\xE5\xB7\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xE3"],

        ["\xC1\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x8D"],
        ["\xE6\xA7\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xE4"],

        ["\xC1\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xBD"],
        ["\xE6\xA7\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xE5"],

        ["\xC1\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x95"],
        ["\xE6\xBC\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xE6"],

        ["\xC1\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xA5"],
        ["\xE7\x87\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xE7"],

        ["\xC1\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x89"],
        ["\xE4\xBA\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xE8"],

        ["\xC1\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xA9"],
        ["\xE7\x97\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xE9"],

        ["\xC1\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xB8"],
        ["\xE7\x9B\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xEA"],

        ["\xC1\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x93"],
        ["\xE7\xAA\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xEB"],

        ["\xC1\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x9F"],
        ["\xE7\xB3\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xEC"],

        ["\xC1\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x8F"],
        ["\xE7\xB7\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xED"],

        ["\xC1\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x9C"],
        ["\xE7\xB6\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xEE"],

        ["\xC1\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xA1"],
        ["\xE8\x81\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xEF"],

        ["\xC1\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x89"],
        ["\xE8\x8D\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xF0"],

        ["\xC1\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x98"],
        ["\xE8\x8D\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xF1"],

        ["\xC1\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xAC"],
        ["\xE8\x91\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xF2"],

        ["\xC1\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xBC"],
        ["\xE8\x92\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xF3"],

        ["\xC1\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xBB"],
        ["\xE8\x97\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xF4"],

        ["\xC1\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x85"],
        ["\xE8\xA3\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xF5"],

        ["\xC1\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xB0"],
        ["\xE8\xB5\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xF6"],

        ["\xC1\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x81"],
        ["\xE9\x80\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xF7"],

        ["\xC1\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xAD"],
        ["\xE9\x81\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xF8"],

        ["\xC1\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\x97"],
        ["\xE9\x8E\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xF9"],

        ["\xC1\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x9C"],
        ["\xE9\x9C\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xFA"],

        ["\xC1\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\x92"],
        ["\xE9\xA8\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xFB"],

        ["\xC1\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x8F"],
        ["\xE5\x83\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xFC"],

        ["\xC1\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x97"],
        ["\xE5\xA2\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xFD"],

        ["\xC1\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x8E"],
        ["\xE6\x86\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\xFE"],

        ["\xC2\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x93"],
        ["\xE8\x87\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xA1"],

        ["\xC2\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xB5"],
        ["\xE8\x94\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xA2"],

        ["\xC2\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x88"],
        ["\xE8\xB4\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xA3"],

        ["\xC2\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xA0"],
        ["\xE9\x80\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xA4"],

        ["\xC2\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x83"],
        ["\xE4\xBF\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xA5"],

        ["\xC2\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xB4"],
        ["\xE5\x81\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xA6"],

        ["\xC2\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x87"],
        ["\xE5\x89\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xA7"],

        ["\xC2\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xB3"],
        ["\xE5\x8D\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xA8"],

        ["\xC2\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xAF"],
        ["\xE6\x81\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xA9"],

        ["\xC2\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x89"],
        ["\xE6\x8D\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xAA"],

        ["\xC2\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x9F"],
        ["\xE6\x9D\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xAB"],

        ["\xC2\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xAC"],
        ["\xE6\xB8\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xAC"],

        ["\xC2\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\xB3"],
        ["\xE8\xB6\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xAD"],

        ["\xC2\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x9F"],
        ["\xE9\x80\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xAE"],

        ["\xC2\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x97"],
        ["\xE4\xBF\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xAF"],

        ["\xC2\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x9E"],
        ["\xE5\xB1\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xB0"],

        ["\xC2\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x8A"],
        ["\xE8\xB3\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xB1"],

        ["\xC2\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x8F"],
        ["\xE6\x97\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xB2"],

        ["\xC2\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x9A"],
        ["\xE7\xB6\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xB3"],

        ["\xC2\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x92"],
        ["\xE5\x8D\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xB4"],

        ["\xC2\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\x96"],
        ["\xE8\xA2\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xB5"],

        ["\xC2\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xB6"],
        ["\xE5\x85\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xB6"],

        ["\xC2\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x83"],
        ["\xE6\x8F\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xB7"],

        ["\xC2\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x98"],
        ["\xE5\xAD\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xB8"],

        ["\xC2\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xAB"],
        ["\xE5\xAD\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xB9"],

        ["\xC2\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x8A"],
        ["\xE5\xB0\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xBA"],

        ["\xC2\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\x8D"],
        ["\xE6\x90\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xBB"],

        ["\xC2\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x91"],
        ["\xE6\x9D\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xBC"],

        ["\xC2\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x9C"],
        ["\xE9\x81\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xBD"],

        ["\xC2\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x96"],
        ["\xE4\xBB\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xBE"],

        ["\xC2\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x9A"],
        ["\xE5\xA4\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xBF"],

        ["\xC2\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xAA"],
        ["\xE5\xA4\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xC0"],

        ["\xC2\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xB0"],
        ["\xE6\xB1\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xC1"],

        ["\xC2\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x91"],
        ["\xE8\xA9\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xC2"],

        ["\xC2\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\xBE"],
        ["\xE5\x94\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xC3"],

        ["\xC2\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x95"],
        ["\xE5\xA0\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xC4"],

        ["\xC2\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xA5"],
        ["\xE5\xA6\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xC5"],

        ["\xC2\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xB0"],
        ["\xE6\x83\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xC6"],

        ["\xC2\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x93"],
        ["\xE6\x89\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xC7"],

        ["\xC2\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x81"],
        ["\xE6\x9F\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xC8"],

        ["\xC2\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xB5"],
        ["\xE8\x88\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xC9"],

        ["\xC2\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x95"],
        ["\xE6\xA5\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xCA"],

        ["\xC2\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x80"],
        ["\xE9\x99\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xCB"],

        ["\xC2\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x84"],
        ["\xE9\xA7\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xCC"],

        ["\xC2\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xA8"],
        ["\xE9\xA8\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xCD"],

        ["\xC2\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x93"],
        ["\xE4\xBD\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xCE"],

        ["\xC2\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x86"],
        ["\xE5\xA0\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xCF"],

        ["\xC2\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xBE"],
        ["\xE5\xAF\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xD0"],

        ["\xC2\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x90"],
        ["\xE8\x80\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xD1"],

        ["\xC2\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xB1"],
        ["\xE5\xB2\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xD2"],

        ["\xC2\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xAF"],
        ["\xE5\xB8\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xD3"],

        ["\xC2\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x85"],
        ["\xE5\xBE\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xD4"],

        ["\xC2\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xA0"],
        ["\xE6\x80\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xD5"],

        ["\xC2\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x8B"],
        ["\xE6\x85\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xD6"],

        ["\xC2\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xB4"],
        ["\xE6\x88\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xD7"],

        ["\xC2\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xBF"],
        ["\xE6\x9B\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xD8"],

        ["\xC2\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xB0"],
        ["\xE6\xB3\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xD9"],

        ["\xC2\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x9E"],
        ["\xE6\xBB\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xDA"],

        ["\xC2\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x8E"],
        ["\xE8\x83\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xDB"],

        ["\xC2\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xBF"],
        ["\xE8\x85\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xDC"],

        ["\xC2\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x94"],
        ["\xE8\x8B\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xDD"],

        ["\xC2\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\x8B"],
        ["\xE8\xA2\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xDE"],

        ["\xC2\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xB8"],
        ["\xE8\xB2\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xDF"],

        ["\xC2\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x80"],
        ["\xE9\x80\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xE0"],

        ["\xC2\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xAE"],
        ["\xE9\x80\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xE1"],

        ["\xC2\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x8A"],
        ["\xE9\x9A\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xE2"],

        ["\xC2\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x9B"],
        ["\xE9\xBB\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xE3"],

        ["\xC2\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x9B"],
        ["\xE9\xAF\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xE4"],

        ["\xC2\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xA3"],
        ["\xE4\xBB\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xE5"],

        ["\xC2\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xB0"],
        ["\xE5\x8F\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xE6"],

        ["\xC2\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xA7"],
        ["\xE5\xA4\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xE7"],

        ["\xC2\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xAC"],
        ["\xE7\xAC\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xE8"],

        ["\xC2\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\x8D"],
        ["\xE9\x86\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xE9"],

        ["\xC2\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x8C"],
        ["\xE9\xA1\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xEA"],

        ["\xC2\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xB9"],
        ["\xE9\xB7\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xEB"],

        ["\xC2\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x9D"],
        ["\xE6\xBB\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xEC"],

        ["\xC2\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\xA7"],
        ["\xE7\x80\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xED"],

        ["\xC2\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x93"],
        ["\xE5\x8D\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xEE"],

        ["\xC2\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x84"],
        ["\xE5\x95\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xEF"],

        ["\xC2\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x85"],
        ["\xE5\xAE\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xF0"],

        ["\xC2\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x98"],
        ["\xE6\x89\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xF1"],

        ["\xC2\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x9E"],
        ["\xE6\x8A\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xF2"],

        ["\xC2\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x93"],
        ["\xE6\x8B\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xF3"],

        ["\xC2\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xA2"],
        ["\xE6\xB2\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xF4"],

        ["\xC2\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xAF"],
        ["\xE6\xBF\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xF5"],

        ["\xC2\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xA2"],
        ["\xE7\x90\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xF6"],

        ["\xC2\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x97"],
        ["\xE8\xA8\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xF7"],

        ["\xC2\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\xB8"],
        ["\xE9\x90\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xF8"],

        ["\xC2\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x81"],
        ["\xE6\xBF\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xF9"],

        ["\xC2\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xBE"],
        ["\xE8\xAB\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xFA"],

        ["\xC2\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xB8"],
        ["\xE8\x8C\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xFB"],

        ["\xC2\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xA7"],
        ["\xE5\x87\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xFC"],

        ["\xC2\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xB8"],
        ["\xE8\x9B\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xFD"],

        ["\xC2\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xAA"],
        ["\xE5\x8F\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\xFE"],

        ["\xC3\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xA9"],
        ["\xE5\x8F\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xA1"],

        ["\xC3\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x86"],
        ["\xE4\xBD\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xA2"],

        ["\xC3\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x94"],
        ["\xE9\x81\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xA3"],

        ["\xC3\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xB0"],
        ["\xE8\xBE\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xA4"],

        ["\xC3\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xAA"],
        ["\xE5\xA5\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xA5"],

        ["\xC3\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xB1"],
        ["\xE8\x84\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xA6"],

        ["\xC3\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xBD"],
        ["\xE5\xB7\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xA7"],

        ["\xC3\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xAA"],
        ["\xE7\xAB\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xA8"],

        ["\xC3\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xBF"],
        ["\xE8\xBE\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xA9"],

        ["\xC3\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x9A"],
        ["\xE6\xA3\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xAA"],

        ["\xC3\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB0\xB7"],
        ["\xE8\xB0\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xAB"],

        ["\xC3\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xB8"],
        ["\xE7\x8B\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xAC"],

        ["\xC3\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x88"],
        ["\xE9\xB1\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xAD"],

        ["\xC3\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xBD"],
        ["\xE6\xA8\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xAE"],

        ["\xC3\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xB0"],
        ["\xE8\xAA\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xAF"],

        ["\xC3\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xB9"],
        ["\xE4\xB8\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xB0"],

        ["\xC3\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x98"],
        ["\xE5\x8D\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xB1"],

        ["\xC3\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\x86"],
        ["\xE5\x98\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xB2"],

        ["\xC3\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xA6"],
        ["\xE5\x9D\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xB3"],

        ["\xC3\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x85"],
        ["\xE6\x8B\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xB4"],

        ["\xC3\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xA2"],
        ["\xE6\x8E\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xB5"],

        ["\xC3\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xA6"],
        ["\xE6\x97\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xB6"],

        ["\xC3\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x8E"],
        ["\xE6\xAD\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xB7"],

        ["\xC3\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xA1"],
        ["\xE6\xB7\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xB8"],

        ["\xC3\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x9B"],
        ["\xE6\xB9\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xB9"],

        ["\xC3\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xAD"],
        ["\xE7\x82\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xBA"],

        ["\xC3\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xAD"],
        ["\xE7\x9F\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xBB"],

        ["\xC3\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xAF"],
        ["\xE7\xAB\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xBC"],

        ["\xC3\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\xAA"],
        ["\xE7\xAE\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xBD"],

        ["\xC3\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xBB"],
        ["\xE7\xB6\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xBE"],

        ["\xC3\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xBD"],
        ["\xE8\x80\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xBF"],

        ["\xC3\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x86"],
        ["\xE8\x83\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xC0"],

        ["\xC3\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x8B"],
        ["\xE8\x9B\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xC1"],

        ["\xC3\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x95"],
        ["\xE8\xAA\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xC2"],

        ["\xC3\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\x9B"],
        ["\xE9\x8D\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xC3"],

        ["\xC3\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xA3"],
        ["\xE5\x9B\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xC4"],

        ["\xC3\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x87"],
        ["\xE5\xA3\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xC5"],

        ["\xC3\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xBE"],
        ["\xE5\xBC\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xC6"],

        ["\xC3\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xAD"],
        ["\xE6\x96\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xC7"],

        ["\xC3\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x96"],
        ["\xE6\x9A\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xC8"],

        ["\xC3\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x80"],
        ["\xE6\xAA\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xC9"],

        ["\xC3\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xB5"],
        ["\xE6\xAE\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xCA"],

        ["\xC3\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xB7"],
        ["\xE7\x94\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xCB"],

        ["\xC3\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x87"],
        ["\xE8\xAB\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xCC"],

        ["\xC3\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xA4"],
        ["\xE5\x80\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xCD"],

        ["\xC3\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xA5"],
        ["\xE7\x9F\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xCE"],

        ["\xC3\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xB0"],
        ["\xE5\x9C\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xCF"],

        ["\xC3\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x9B"],
        ["\xE5\xBC\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xD0"],

        ["\xC3\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xA5"],
        ["\xE6\x81\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xD1"],

        ["\xC3\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xBA"],
        ["\xE6\x99\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xD2"],

        ["\xC3\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xA0"],
        ["\xE6\xB1\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xD3"],

        ["\xC3\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xB4"],
        ["\xE7\x97\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xD4"],

        ["\xC3\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x9A"],
        ["\xE7\xA8\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xD5"],

        ["\xC3\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xAE"],
        ["\xE7\xBD\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xD6"],

        ["\xC3\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xB4"],
        ["\xE8\x87\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xD7"],

        ["\xC3\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x98"],
        ["\xE8\x9C\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xD8"],

        ["\xC3\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x85"],
        ["\xE9\x81\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xD9"],

        ["\xC3\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\xB3"],
        ["\xE9\xA6\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xDA"],

        ["\xC3\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x89"],
        ["\xE7\xAF\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xDB"],

        ["\xC3\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x9C"],
        ["\xE7\x95\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xDC"],

        ["\xC3\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xB9"],
        ["\xE7\xAB\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xDD"],

        ["\xC3\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x91"],
        ["\xE7\xAD\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xDE"],

        ["\xC3\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x84"],
        ["\xE8\x93\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xDF"],

        ["\xC3\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x90"],
        ["\xE9\x80\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xE0"],

        ["\xC3\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\xA9"],
        ["\xE7\xA7\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xE1"],

        ["\xC3\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x92"],
        ["\xE7\xAA\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xE2"],

        ["\xC3\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xB6"],
        ["\xE8\x8C\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xE3"],

        ["\xC3\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\xA1"],
        ["\xE5\xAB\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xE4"],

        ["\xC3\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\x80"],
        ["\xE7\x9D\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xE5"],

        ["\xC3\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xAD"],
        ["\xE4\xB8\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xE6"],

        ["\xC3\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xB2"],
        ["\xE4\xBB\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xE7"],

        ["\xC3\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x99"],
        ["\xE5\xAE\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xE8"],

        ["\xC3\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xA0"],
        ["\xE5\xBF\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xE9"],

        ["\xC3\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\xBD"],
        ["\xE6\x8A\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xEA"],

        ["\xC3\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xBC"],
        ["\xE6\x98\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xEB"],

        ["\xC3\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xB1"],
        ["\xE6\x9F\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xEC"],

        ["\xC3\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xA8"],
        ["\xE6\xB3\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xED"],

        ["\xC3\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\xAB"],
        ["\xE8\x99\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xEE"],

        ["\xC3\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xB7"],
        ["\xE8\xA1\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xEF"],

        ["\xC3\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xBB"],
        ["\xE8\xA8\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xF0"],

        ["\xC3\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x8E"],
        ["\xE9\x85\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xF1"],

        ["\xC3\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xB3"],
        ["\xE9\x8B\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xF2"],

        ["\xC3\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x90"],
        ["\xE9\xA7\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xF3"],

        ["\xC3\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x97"],
        ["\xE6\xA8\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xF4"],

        ["\xC3\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\xA6"],
        ["\xE7\x80\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xF5"],

        ["\xC3\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xAA"],
        ["\xE7\x8C\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xF6"],

        ["\xC3\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xA7"],
        ["\xE8\x8B\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xF7"],

        ["\xC3\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x97"],
        ["\xE8\x91\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xF8"],

        ["\xC3\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xAF"],
        ["\xE8\xB2\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xF9"],

        ["\xC3\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x81"],
        ["\xE4\xB8\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xFA"],

        ["\xC3\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x86"],
        ["\xE5\x85\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xFB"],

        ["\xC3\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x8B"],
        ["\xE5\x87\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xFC"],

        ["\xC3\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x8B"],
        ["\xE5\x96\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xFD"],

        ["\xC3\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xB5"],
        ["\xE5\xAF\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\xFE"],

        ["\xC4\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x96"],
        ["\xE5\xB8\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xA1"],

        ["\xC4\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xB3"],
        ["\xE5\xB8\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xA2"],

        ["\xC4\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\x81"],
        ["\xE5\xBA\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xA3"],

        ["\xC4\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x94"],
        ["\xE5\xBC\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xA4"],

        ["\xC4\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xB5"],
        ["\xE5\xBC\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xA5"],

        ["\xC4\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xAB"],
        ["\xE5\xBD\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xA6"],

        ["\xC4\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xB4"],
        ["\xE5\xBE\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xA7"],

        ["\xC4\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xB2"],
        ["\xE6\x87\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xA8"],

        ["\xC4\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x91"],
        ["\xE6\x8C\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xA9"],

        ["\xC4\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xA2"],
        ["\xE6\x9A\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xAA"],

        ["\xC4\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x9D"],
        ["\xE6\x9C\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xAB"],

        ["\xC4\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xAE"],
        ["\xE6\xBD\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xAC"],

        ["\xC4\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x92"],
        ["\xE7\x89\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xAD"],

        ["\xC4\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xBA"],
        ["\xE7\x94\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xAE"],

        ["\xC4\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xBA"],
        ["\xE7\x9C\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xAF"],

        ["\xC4\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xB4"],
        ["\xE8\x81\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xB0"],

        ["\xC4\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xB9"],
        ["\xE8\x84\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xB1"],

        ["\xC4\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xB8"],
        ["\xE8\x85\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xB2"],

        ["\xC4\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xB6"],
        ["\xE8\x9D\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xB3"],

        ["\xC4\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xBF"],
        ["\xE8\xAA\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xB4"],

        ["\xC4\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x9C"],
        ["\xE8\xAB\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xB5"],

        ["\xC4\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\x85"],
        ["\xE8\xB6\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xB6"],

        ["\xC4\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\xB3"],
        ["\xE8\xB7\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xB7"],

        ["\xC4\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x9A"],
        ["\xE9\x8A\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xB8"],

        ["\xC4\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x95\xB7"],
        ["\xE9\x95\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xB9"],

        ["\xC4\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x82"],
        ["\xE9\xA0\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xBA"],

        ["\xC4\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3\xA5"],
        ["\xE9\xB3\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xBB"],

        ["\xC4\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x85"],
        ["\xE5\x8B\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xBC"],

        ["\xC4\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x97"],
        ["\xE6\x8D\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xBD"],

        ["\xC4\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xB4"],
        ["\xE7\x9B\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xBE"],

        ["\xC4\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x95"],
        ["\xE6\x9C\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xBF"],

        ["\xC4\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x88"],
        ["\xE6\xB2\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xC0"],

        ["\xC4\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x8D"],
        ["\xE7\x8F\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xC1"],

        ["\xC4\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x83"],
        ["\xE8\xB3\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xC2"],

        ["\xC4\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\xAE"],
        ["\xE9\x8E\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xC3"],

        ["\xC4\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xB3"],
        ["\xE9\x99\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xC4"],

        ["\xC4\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xA5"],
        ["\xE6\xB4\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xC5"],

        ["\xC4\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x9C"],
        ["\xE5\xA2\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xC6"],

        ["\xC4\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x8E"],
        ["\xE6\xA4\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xC7"],

        ["\xC4\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x8C"],
        ["\xE6\xA7\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xC8"],

        ["\xC4\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xBD"],
        ["\xE8\xBF\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xC9"],

        ["\xC4\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\x9A"],
        ["\xE9\x8E\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xCA"],

        ["\xC4\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x9B"],
        ["\xE7\x97\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xCB"],

        ["\xC4\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x9A"],
        ["\xE9\x80\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xCC"],

        ["\xC4\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x9A"],
        ["\xE5\xA1\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xCD"],

        ["\xC4\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x82"],
        ["\xE6\xA0\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xCE"],

        ["\xC4\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xB4"],
        ["\xE6\x8E\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xCF"],

        ["\xC4\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xBB"],
        ["\xE6\xA7\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xD0"],

        ["\xC4\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x83"],
        ["\xE4\xBD\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xD1"],

        ["\xC4\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xAC"],
        ["\xE6\xBC\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xD2"],

        ["\xC4\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x98"],
        ["\xE6\x9F\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xD3"],

        ["\xC4\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xBB"],
        ["\xE8\xBE\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xD4"],

        ["\xC4\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xA6"],
        ["\xE8\x94\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xD5"],

        ["\xC4\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xB4"],
        ["\xE7\xB6\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xD6"],

        ["\xC4\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\x94"],
        ["\xE9\x8D\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xD7"],

        ["\xC4\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xBF"],
        ["\xE6\xA4\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xD8"],

        ["\xC4\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xB0"],
        ["\xE6\xBD\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xD9"],

        ["\xC4\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xAA"],
        ["\xE5\x9D\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xDA"],

        ["\xC4\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xB7"],
        ["\xE5\xA3\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xDB"],

        ["\xC4\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\xAC"],
        ["\xE5\xAC\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xDC"],

        ["\xC4\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xAC"],
        ["\xE7\xB4\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xDD"],

        ["\xC4\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xAA"],
        ["\xE7\x88\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xDE"],

        ["\xC4\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x8A"],
        ["\xE5\x90\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xDF"],

        ["\xC4\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xA3"],
        ["\xE9\x87\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xE0"],

        ["\xC4\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xB4"],
        ["\xE9\xB6\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xE1"],

        ["\xC4\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xAD"],
        ["\xE4\xBA\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xE2"],

        ["\xC4\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x8E"],
        ["\xE4\xBD\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xE3"],

        ["\xC4\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x9C"],
        ["\xE5\x81\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xE4"],

        ["\xC4\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xB5"],
        ["\xE5\x81\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xE5"],

        ["\xC4\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x83"],
        ["\xE5\x89\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xE6"],

        ["\xC4\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\x9E"],
        ["\xE8\xB2\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xE7"],

        ["\xC4\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x88"],
        ["\xE5\x91\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xE8"],

        ["\xC4\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xA4"],
        ["\xE5\xA0\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xE9"],

        ["\xC4\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x9A"],
        ["\xE5\xAE\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xEA"],

        ["\xC4\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x9D"],
        ["\xE5\xB8\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xEB"],

        ["\xC4\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\x95"],
        ["\xE5\xBA\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xEC"],

        ["\xC4\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xAD"],
        ["\xE5\xBA\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xED"],

        ["\xC4\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xB7"],
        ["\xE5\xBB\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xEE"],

        ["\xC4\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x9F"],
        ["\xE5\xBC\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xEF"],

        ["\xC4\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x8C"],
        ["\xE6\x82\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xF0"],

        ["\xC4\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\xB5"],
        ["\xE6\x8A\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xF1"],

        ["\xC4\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xBA"],
        ["\xE6\x8C\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xF2"],

        ["\xC4\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x90"],
        ["\xE6\x8F\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xF3"],

        ["\xC4\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xAF"],
        ["\xE6\xA2\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xF4"],

        ["\xC4\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x80"],
        ["\xE6\xB1\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xF5"],

        ["\xC4\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x87"],
        ["\xE7\xA2\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xF6"],

        ["\xC4\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x8E"],
        ["\xE7\xA6\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xF7"],

        ["\xC4\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x8B"],
        ["\xE7\xA8\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xF8"],

        ["\xC4\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xA0"],
        ["\xE7\xB7\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xF9"],

        ["\xC4\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x87"],
        ["\xE8\x89\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xFA"],

        ["\xC4\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x82"],
        ["\xE8\xA8\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xFB"],

        ["\xC4\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xA6"],
        ["\xE8\xAB\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xFC"],

        ["\xC4\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\x84"],
        ["\xE8\xB9\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xFD"],

        ["\xC4\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x93"],
        ["\xE9\x80\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\xFE"],

        ["\xC5\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\xB8"],
        ["\xE9\x82\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xA1"],

        ["\xC5\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\xAD"],
        ["\xE9\x84\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xA2"],

        ["\xC5\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x98"],
        ["\xE9\x87\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xA3"],

        ["\xC5\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\x8E"],
        ["\xE9\xBC\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xA4"],

        ["\xC5\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xA5"],
        ["\xE6\xB3\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xA5"],

        ["\xC5\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\x98"],
        ["\xE6\x91\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xA6"],

        ["\xC5\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xA2"],
        ["\xE6\x93\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xA7"],

        ["\xC5\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xB5"],
        ["\xE6\x95\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xA8"],

        ["\xC5\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\xB4"],
        ["\xE6\xBB\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xA9"],

        ["\xC5\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x84"],
        ["\xE7\x9A\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xAA"],

        ["\xC5\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x9B"],
        ["\xE7\xAC\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xAB"],

        ["\xC5\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xA9"],
        ["\xE9\x81\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xAC"],

        ["\xC5\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\x91"],
        ["\xE9\x8F\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xAD"],

        ["\xC5\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xBA"],
        ["\xE6\xBA\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xAE"],

        ["\xC5\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xB2"],
        ["\xE5\x93\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xAF"],

        ["\xC5\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xB9"],
        ["\xE5\xBE\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xB0"],

        ["\xC5\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xA4"],
        ["\xE6\x92\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xB1"],

        ["\xC5\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x8D"],
        ["\xE8\xBD\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xB2"],

        ["\xC5\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xAD"],
        ["\xE8\xBF\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xB3"],

        ["\xC5\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x84"],
        ["\xE9\x89\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xB4"],

        ["\xC5\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xB8"],
        ["\xE5\x85\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xB5"],

        ["\xC5\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xAB"],
        ["\xE5\xA1\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xB6"],

        ["\xC5\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xA9"],
        ["\xE5\xA4\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xB7"],

        ["\xC5\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x95"],
        ["\xE5\xB1\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xB8"],

        ["\xC5\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\x97"],
        ["\xE5\xBA\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xB9"],

        ["\xC5\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xBB"],
        ["\xE6\xB7\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xBA"],

        ["\xC5\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x8F"],
        ["\xE7\xBA\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xBB"],

        ["\xC5\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x9C"],
        ["\xE7\x94\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xBC"],

        ["\xC5\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xBC"],
        ["\xE8\xB2\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xBD"],

        ["\xC5\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\xA2"],
        ["\xE8\xBB\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xBE"],

        ["\xC5\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x9B"],
        ["\xE9\xA1\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xBF"],

        ["\xC5\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xB9"],
        ["\xE7\x82\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xC0"],

        ["\xC5\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x9D"],
        ["\xE4\xBC\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xC1"],

        ["\xC5\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xBF"],
        ["\xE6\xAE\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xC2"],

        ["\xC5\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xB1"],
        ["\xE6\xBE\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xC3"],

        ["\xC5\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xB0"],
        ["\xE7\x94\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xC4"],

        ["\xC5\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xBB"],
        ["\xE9\x9B\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xC5"],

        ["\xC5\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x8E"],
        ["\xE5\x85\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xC6"],

        ["\xC5\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x90"],
        ["\xE5\x90\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xC7"],

        ["\xC5\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xB5"],
        ["\xE5\xA0\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xC8"],

        ["\xC5\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x97"],
        ["\xE5\xA1\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xC9"],

        ["\xC5\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xAC"],
        ["\xE5\xA6\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xCA"],

        ["\xC5\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xA0"],
        ["\xE5\xB1\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xCB"],

        ["\xC5\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x92"],
        ["\xE5\xBE\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xCC"],

        ["\xC5\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x97"],
        ["\xE6\x96\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xCD"],

        ["\xC5\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x9C"],
        ["\xE6\x9D\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xCE"],

        ["\xC5\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xA1"],
        ["\xE6\xB8\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xCF"],

        ["\xC5\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xBB"],
        ["\xE7\x99\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xD0"],

        ["\xC5\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x9F"],
        ["\xE8\x8F\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xD1"],

        ["\xC5\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xAD"],
        ["\xE8\xB3\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xD2"],

        ["\xC5\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x94"],
        ["\xE9\x80\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xD3"],

        ["\xC5\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\xBD"],
        ["\xE9\x83\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xD4"],

        ["\xC5\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\x8D"],
        ["\xE9\x8D\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xD5"],

        ["\xC5\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\xA5"],
        ["\xE7\xA0\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xD6"],

        ["\xC5\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\xBA"],
        ["\xE7\xA0\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xD7"],

        ["\xC5\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xAA"],
        ["\xE5\x8A\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xD8"],

        ["\xC5\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xA6"],
        ["\xE5\xBA\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xD9"],

        ["\xC5\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x9F"],
        ["\xE5\x9C\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xDA"],

        ["\xC5\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xB4"],
        ["\xE5\xA5\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xDB"],

        ["\xC5\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x92"],
        ["\xE6\x80\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xDC"],

        ["\xC5\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x92"],
        ["\xE5\x80\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xDD"],

        ["\xC5\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x9A"],
        ["\xE5\x85\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xDE"],

        ["\xC5\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xAC"],
        ["\xE5\x86\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xDF"],

        ["\xC5\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x8D"],
        ["\xE5\x87\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xE0"],

        ["\xC5\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x80"],
        ["\xE5\x88\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xE1"],

        ["\xC5\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\x90"],
        ["\xE5\x94\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xE2"],

        ["\xC5\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x94"],
        ["\xE5\xA1\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xE3"],

        ["\xC5\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x98"],
        ["\xE5\xA1\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xE4"],

        ["\xC5\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x97"],
        ["\xE5\xA5\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xE5"],

        ["\xC5\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x95"],
        ["\xE5\xAE\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xE6"],

        ["\xC5\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xB6"],
        ["\xE5\xB3\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xE7"],

        ["\xC5\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x8B"],
        ["\xE5\xB6\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xE8"],

        ["\xC5\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xBC"],
        ["\xE6\x82\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xE9"],

        ["\xC5\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x95"],
        ["\xE6\x8A\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xEA"],

        ["\xC5\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xAD"],
        ["\xE6\x90\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xEB"],

        ["\xC5\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xB1"],
        ["\xE6\x9D\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xEC"],

        ["\xC5\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x83"],
        ["\xE6\xA1\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xED"],

        ["\xC5\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xBC"],
        ["\xE6\xA2\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xEE"],

        ["\xC5\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x9F"],
        ["\xE6\xA3\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xEF"],

        ["\xC5\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x97"],
        ["\xE7\x9B\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xF0"],

        ["\xC5\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x98"],
        ["\xE6\xB7\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xF1"],

        ["\xC5\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\xAF"],
        ["\xE6\xB9\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xF2"],

        ["\xC5\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x9B"],
        ["\xE6\xB6\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xF3"],

        ["\xC5\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xAF"],
        ["\xE7\x81\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xF4"],

        ["\xC5\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x88"],
        ["\xE7\x87\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xF5"],

        ["\xC5\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x93"],
        ["\xE5\xBD\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xF6"],

        ["\xC5\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x98"],
        ["\xE7\x97\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xF7"],

        ["\xC5\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\xB7"],
        ["\xE7\xA5\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xF8"],

        ["\xC5\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x89"],
        ["\xE7\xAD\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xF9"],

        ["\xC5\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x94"],
        ["\xE7\xAD\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xFA"],

        ["\xC5\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x92"],
        ["\xE7\xAD\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xFB"],

        ["\xC5\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x96"],
        ["\xE7\xB3\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xFC"],

        ["\xC5\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xB1"],
        ["\xE7\xB5\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xFD"],

        ["\xC5\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xB0"],
        ["\xE5\x88\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\xFE"],

        ["\xC6\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xA3"],
        ["\xE8\x91\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xA1"],

        ["\xC6\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xA9"],
        ["\xE8\x95\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xA2"],

        ["\xC6\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xA4"],
        ["\xE8\x97\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xA3"],

        ["\xC6\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x8E"],
        ["\xE8\xA8\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xA4"],

        ["\xC6\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x84"],
        ["\xE8\xAC\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xA5"],

        ["\xC6\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x86"],
        ["\xE8\xB1\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xA6"],

        ["\xC6\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\x8F"],
        ["\xE8\xB8\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xA7"],

        ["\xC6\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x83"],
        ["\xE9\x80\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xA8"],

        ["\xC6\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x8F"],
        ["\xE9\x80\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xA9"],

        ["\xC6\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\x99"],
        ["\xE9\x90\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xAA"],

        ["\xC6\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xB6"],
        ["\xE9\x99\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xAB"],

        ["\xC6\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xAD"],
        ["\xE9\xA0\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xAC"],

        ["\xC6\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xB0"],
        ["\xE9\xA8\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xAD"],

        ["\xC6\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x98"],
        ["\xE9\x97\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xAE"],

        ["\xC6\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x8D"],
        ["\xE5\x83\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xAF"],

        ["\xC6\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x95"],
        ["\xE5\x8B\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xB0"],

        ["\xC6\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x8C"],
        ["\xE5\x90\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xB1"],

        ["\xC6\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x82"],
        ["\xE5\xA0\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xB2"],

        ["\xC6\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x8E"],
        ["\xE5\xB0\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xB3"],

        ["\xC6\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xA7"],
        ["\xE6\x86\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xB4"],

        ["\xC6\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\x9E"],
        ["\xE6\x92\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xB5"],

        ["\xC6\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x9E"],
        ["\xE6\xB4\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xB6"],

        ["\xC6\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xB3"],
        ["\xE7\x9E\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xB7"],

        ["\xC6\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xA5"],
        ["\xE7\xAB\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xB8"],

        ["\xC6\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xB4"],
        ["\xE8\x83\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xB9"],

        ["\xC6\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x84"],
        ["\xE8\x90\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xBA"],

        ["\xC6\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x93"],
        ["\xE9\x81\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xBB"],

        ["\xC6\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x85"],
        ["\xE9\x8A\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xBC"],

        ["\xC6\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xA0"],
        ["\xE5\xB3\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xBD"],

        ["\xC6\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x87"],
        ["\xE9\xB4\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xBE"],

        ["\xC6\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xBF"],
        ["\xE5\x8C\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xBF"],

        ["\xC6\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x97"],
        ["\xE5\xBE\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xC0"],

        ["\xC6\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xB3"],
        ["\xE5\xBE\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xC1"],

        ["\xC6\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x9C"],
        ["\xE6\xB6\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xC2"],

        ["\xC6\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xB9"],
        ["\xE7\x89\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xC3"],

        ["\xC6\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xA3"],
        ["\xE7\x9D\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xC4"],

        ["\xC6\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xBF"],
        ["\xE7\xA6\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xC5"],

        ["\xC6\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\xA4"],
        ["\xE7\xAF\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xC6"],

        ["\xC6\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x92"],
        ["\xE6\xAF\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xC7"],

        ["\xC6\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xAC"],
        ["\xE7\x8B\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xC8"],

        ["\xC6\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xAD"],
        ["\xE8\xAA\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xC9"],

        ["\xC6\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x83"],
        ["\xE6\xA0\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xCA"],

        ["\xC6\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\xA1"],
        ["\xE6\xA9\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xCB"],

        ["\xC6\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xB8"],
        ["\xE5\x87\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xCC"],

        ["\xC6\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x81"],
        ["\xE7\xAA\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xCD"],

        ["\xC6\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xB4"],
        ["\xE6\xA4\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xCE"],

        ["\xC6\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x8A"],
        ["\xE5\xB1\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xCF"],

        ["\xC6\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3\xB6"],
        ["\xE9\xB3\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xD0"],

        ["\xC6\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xAB"],
        ["\xE8\x8B\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xD1"],

        ["\xC6\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x85"],
        ["\xE5\xAF\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xD2"],

        ["\xC6\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x89"],
        ["\xE9\x85\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xD3"],

        ["\xC6\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x9E"],
        ["\xE7\x80\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xD4"],

        ["\xC6\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xB8"],
        ["\xE5\x99\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xD5"],

        ["\xC6\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xAF"],
        ["\xE5\xB1\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xD6"],

        ["\xC6\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x87"],
        ["\xE6\x83\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xD7"],

        ["\xC6\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xA6"],
        ["\xE6\x95\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xD8"],

        ["\xC6\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x8C"],
        ["\xE6\xB2\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xD9"],

        ["\xC6\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x9A"],
        ["\xE8\xB1\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xDA"],

        ["\xC6\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x81"],
        ["\xE9\x81\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xDB"],

        ["\xC6\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x93"],
        ["\xE9\xA0\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xDC"],

        ["\xC6\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x91"],
        ["\xE5\x91\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xDD"],

        ["\xC6\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x87"],
        ["\xE6\x9B\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xDE"],

        ["\xC6\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\x8D"],
        ["\xE9\x88\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xDF"],

        ["\xC6\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x88"],
        ["\xE5\xA5\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xE0"],

        ["\xC6\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\xA3"],
        ["\xE9\x82\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xE1"],

        ["\xC6\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x85"],
        ["\xE5\x86\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xE2"],

        ["\xC6\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x8D"],
        ["\xE4\xB9\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xE3"],

        ["\xC6\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xAA"],
        ["\xE5\x87\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xE4"],

        ["\xC6\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x99"],
        ["\xE8\x96\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xE5"],

        ["\xC6\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x8E"],
        ["\xE8\xAC\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xE6"],

        ["\xC6\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\x98"],
        ["\xE7\x81\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xE7"],

        ["\xC6\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xBA"],
        ["\xE6\x8D\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xE8"],

        ["\xC6\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\x8B"],
        ["\xE9\x8D\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xE9"],

        ["\xC6\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xA2"],
        ["\xE6\xA5\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xEA"],

        ["\xC6\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\xB4"],
        ["\xE9\xA6\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xEB"],

        ["\xC6\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x84"],
        ["\xE7\xB8\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xEC"],

        ["\xC6\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xB7"],
        ["\xE7\x95\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xED"],

        ["\xC6\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x97"],
        ["\xE5\x8D\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xEE"],

        ["\xC6\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xA0"],
        ["\xE6\xA5\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xEF"],

        ["\xC6\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x9F"],
        ["\xE8\xBB\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xF0"],

        ["\xC6\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xA3"],
        ["\xE9\x9B\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xF1"],

        ["\xC6\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x9D"],
        ["\xE6\xB1\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xF2"],

        ["\xC6\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x8C"],
        ["\xE4\xBA\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xF3"],

        ["\xC6\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xBC"],
        ["\xE5\xB0\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xF4"],

        ["\xC6\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x90"],
        ["\xE5\xBC\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xF5"],

        ["\xC6\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xA9"],
        ["\xE8\xBF\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xF6"],

        ["\xC6\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x82"],
        ["\xE5\x8C\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xF7"],

        ["\xC6\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x91"],
        ["\xE8\xB3\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xF8"],

        ["\xC6\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x89"],
        ["\xE8\x82\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xF9"],

        ["\xC6\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\xB9"],
        ["\xE8\x99\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xFA"],

        ["\xC6\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xBF"],
        ["\xE5\xBB\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xFB"],

        ["\xC6\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xA5"],
        ["\xE6\x97\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xFC"],

        ["\xC6\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\xB3"],
        ["\xE4\xB9\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xFD"],

        ["\xC6\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xA5"],
        ["\xE5\x85\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\xFE"],

        ["\xC7\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x82"],
        ["\xE5\xA6\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xA1"],

        ["\xC7\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xBF"],
        ["\xE5\xB0\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xA2"],

        ["\xC7\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\xAE"],
        ["\xE9\x9F\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xA3"],

        ["\xC7\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xBB"],
        ["\xE4\xBB\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xA4"],

        ["\xC7\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x8A"],
        ["\xE5\xA6\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xA5"],

        ["\xC7\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x8D"],
        ["\xE5\xBF\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xA6"],

        ["\xC7\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x8D"],
        ["\xE8\xAA\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xA7"],

        ["\xC7\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xA1"],
        ["\xE6\xBF\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xA8"],

        ["\xC7\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xB0"],
        ["\xE7\xA6\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xA9"],

        ["\xC7\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\xA2"],
        ["\xE7\xA5\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xAA"],

        ["\xC7\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xA7"],
        ["\xE5\xAF\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xAB"],

        ["\xC7\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xB1"],
        ["\xE8\x91\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xAC"],

        ["\xC7\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xAB"],
        ["\xE7\x8C\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xAD"],

        ["\xC7\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\xB1"],
        ["\xE7\x86\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xAE"],

        ["\xC7\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xB4"],
        ["\xE5\xB9\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xAF"],

        ["\xC7\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xB5"],
        ["\xE5\xBF\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xB0"],

        ["\xC7\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xBB"],
        ["\xE6\x8D\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xB1"],

        ["\xC7\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\x9A"],
        ["\xE6\x92\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xB2"],

        ["\xC7\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x83"],
        ["\xE7\x87\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xB3"],

        ["\xC7\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x98"],
        ["\xE7\xB2\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xB4"],

        ["\xC7\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x83"],
        ["\xE4\xB9\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xB5"],

        ["\xC7\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xBC"],
        ["\xE5\xBB\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xB6"],

        ["\xC7\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x8B"],
        ["\xE4\xB9\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xB7"],

        ["\xC7\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x9C"],
        ["\xE5\x9F\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xB8"],

        ["\xC7\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xA2"],
        ["\xE5\x9A\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xB9"],

        ["\xC7\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xA9"],
        ["\xE6\x82\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xBA"],

        ["\xC7\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x83"],
        ["\xE6\xBF\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xBB"],

        ["\xC7\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x8D"],
        ["\xE7\xB4\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xBC"],

        ["\xC7\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xBD"],
        ["\xE8\x83\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xBD"],

        ["\xC7\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xB3"],
        ["\xE8\x84\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xBE"],

        ["\xC7\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xBF"],
        ["\xE8\x86\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xBF"],

        ["\xC7\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xB2"],
        ["\xE8\xBE\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xC0"],

        ["\xC7\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x97"],
        ["\xE8\xA6\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xC1"],

        ["\xC7\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xA4"],
        ["\xE8\x9A\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xC2"],

        ["\xC7\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xB4"],
        ["\xE5\xB7\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xC3"],

        ["\xC7\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x8A"],
        ["\xE6\x8A\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xC4"],

        ["\xC7\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xAD"],
        ["\xE6\x92\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xC5"],

        ["\xC7\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x87"],
        ["\xE8\xA6\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xC6"],

        ["\xC7\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xB7"],
        ["\xE6\x9D\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xC7"],

        ["\xC7\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xA2"],
        ["\xE6\xB3\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xC8"],

        ["\xC7\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xBE"],
        ["\xE6\xB4\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xC9"],

        ["\xC7\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xB6"],
        ["\xE7\x90\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xCA"],

        ["\xC7\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\xB4"],
        ["\xE7\xA0\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xCB"],

        ["\xC7\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\x86"],
        ["\xE5\xA9\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xCC"],

        ["\xC7\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xB5"],
        ["\xE7\xBD\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xCD"],

        ["\xC7\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xAD"],
        ["\xE8\x8A\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xCE"],

        ["\xC7\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\xAC"],
        ["\xE9\xA6\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xCF"],

        ["\xC7\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xB3"],
        ["\xE4\xBF\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xD0"],

        ["\xC7\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x83"],
        ["\xE5\xBB\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xD1"],

        ["\xC7\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x9D"],
        ["\xE6\x8B\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xD2"],

        ["\xC7\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x92"],
        ["\xE6\x8E\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xD3"],

        ["\xC7\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x97"],
        ["\xE6\x95\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xD4"],

        ["\xC7\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xAF"],
        ["\xE6\x9D\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xD5"],

        ["\xC7\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x83"],
        ["\xE7\x9B\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xD6"],

        ["\xC7\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x8C"],
        ["\xE7\x89\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xD7"],

        ["\xC7\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x8C"],
        ["\xE8\x83\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xD8"],

        ["\xC7\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xBA"],
        ["\xE8\x82\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xD9"],

        ["\xC7\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xA9"],
        ["\xE8\xBC\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xDA"],

        ["\xC7\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x8D"],
        ["\xE9\x85\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xDB"],

        ["\xC7\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x8D"],
        ["\xE5\x80\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xDC"],

        ["\xC7\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xB9"],
        ["\xE5\x9F\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xDD"],

        ["\xC7\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\x92"],
        ["\xE5\xAA\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xDE"],

        ["\xC7\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x85"],
        ["\xE6\xA2\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xDF"],

        ["\xC7\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xB3"],
        ["\xE6\xA5\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xE0"],

        ["\xC7\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\xA4"],
        ["\xE7\x85\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xE1"],

        ["\xC7\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xBD"],
        ["\xE7\x8B\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xE2"],

        ["\xC7\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xB7"],
        ["\xE8\xB2\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xE3"],

        ["\xC7\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xB2"],
        ["\xE5\xA3\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xE4"],

        ["\xC7\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xA0"],
        ["\xE8\xB3\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xE5"],

        ["\xC7\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xAA"],
        ["\xE9\x99\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xE6"],

        ["\xC7\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x99"],
        ["\xE9\x80\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xE7"],

        ["\xC7\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xBF"],
        ["\xE8\x9D\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xE8"],

        ["\xC7\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\xA4"],
        ["\xE7\xA7\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xE9"],

        ["\xC7\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xA7"],
        ["\xE7\x9F\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xEA"],

        ["\xC7\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\xA9"],
        ["\xE8\x90\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xEB"],

        ["\xC7\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\xAF"],
        ["\xE4\xBC\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xEC"],

        ["\xC7\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xA5"],
        ["\xE5\x89\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xED"],

        ["\xC7\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x9A"],
        ["\xE5\x8D\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xEE"],

        ["\xC7\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x8D"],
        ["\xE6\x8B\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xEF"],

        ["\xC7\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x8F"],
        ["\xE6\x9F\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xF0"],

        ["\xC7\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x8A"],
        ["\xE6\xB3\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xF1"],

        ["\xC7\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xBD"],
        ["\xE7\x99\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xF2"],

        ["\xC7\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x94"],
        ["\xE7\xAE\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xF3"],

        ["\xC7\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x95"],
        ["\xE7\xB2\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xF4"],

        ["\xC7\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xB6"],
        ["\xE8\x88\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xF5"],

        ["\xC7\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x84"],
        ["\xE8\x96\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xF6"],

        ["\xC7\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xAB"],
        ["\xE8\xBF\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xF7"],

        ["\xC7\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x9D"],
        ["\xE6\x9B\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xF8"],

        ["\xC7\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xA0"],
        ["\xE6\xBC\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xF9"],

        ["\xC7\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\x86"],
        ["\xE7\x88\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xFA"],

        ["\xC7\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x9B"],
        ["\xE7\xB8\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xFB"],

        ["\xC7\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\xAB"],
        ["\xE8\x8E\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xFC"],

        ["\xC7\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x81"],
        ["\xE9\xA7\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xFD"],

        ["\xC7\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xA6"],
        ["\xE9\xBA\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\xFE"],

        ["\xC8\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xBD"],
        ["\xE5\x87\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xA1"],

        ["\xC8\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\xB1"],
        ["\xE7\xAE\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xA2"],

        ["\xC8\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\xB2"],
        ["\xE7\xA1\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xA3"],

        ["\xC8\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\xB8"],
        ["\xE7\xAE\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xA4"],

        ["\xC8\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x87"],
        ["\xE8\x82\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xA5"],

        ["\xC8\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x88"],
        ["\xE7\xAD\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xA6"],

        ["\xC8\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xA8"],
        ["\xE6\xAB\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xA7"],

        ["\xC8\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xA1"],
        ["\xE5\xB9\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xA8"],

        ["\xC8\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x8C"],
        ["\xE8\x82\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xA9"],

        ["\xC8\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x91"],
        ["\xE7\x95\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xAA"],

        ["\xC8\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xA0"],
        ["\xE7\x95\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xAB"],

        ["\xC8\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xAB"],
        ["\xE5\x85\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xAC"],

        ["\xC8\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\xA2"],
        ["\xE9\x89\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xAD"],

        ["\xC8\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\x8C"],
        ["\xE6\xBA\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xAE"],

        ["\xC8\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xBA"],
        ["\xE7\x99\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xAF"],

        ["\xC8\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\x97"],
        ["\xE9\x86\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xB0"],

        ["\xC8\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xAA"],
        ["\xE9\xAB\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xB1"],

        ["\xC8\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x90"],
        ["\xE4\xBC\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xB2"],

        ["\xC8\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xB0"],
        ["\xE7\xBD\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xB3"],

        ["\xC8\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x9C"],
        ["\xE6\x8A\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xB4"],

        ["\xC8\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x8F"],
        ["\xE7\xAD\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xB5"],

        ["\xC8\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xA5"],
        ["\xE9\x96\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xB6"],

        ["\xC8\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3\xA9"],
        ["\xE9\xB3\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xB7"],

        ["\xC8\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xBA"],
        ["\xE5\x99\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xB8"],

        ["\xC8\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x99"],
        ["\xE5\xA1\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xB9"],

        ["\xC8\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xA4"],
        ["\xE8\x9B\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xBA"],

        ["\xC8\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xBC"],
        ["\xE9\x9A\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xBB"],

        ["\xC8\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\xB4"],
        ["\xE4\xBC\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xBC"],

        ["\xC8\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xA4"],
        ["\xE5\x88\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xBD"],

        ["\xC8\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x8A"],
        ["\xE5\x8D\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xBE"],

        ["\xC8\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x8D"],
        ["\xE5\x8F\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xBF"],

        ["\xC8\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x9B"],
        ["\xE5\x8F\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xC0"],

        ["\xC8\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x86"],
        ["\xE5\xB8\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xC1"],

        ["\xC8\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xAC"],
        ["\xE6\x90\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xC2"],

        ["\xC8\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x91"],
        ["\xE6\x96\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xC3"],

        ["\xC8\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xBF"],
        ["\xE6\x9D\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xC4"],

        ["\xC8\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\xBE"],
        ["\xE6\xB0\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xC5"],

        ["\xC8\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x8E"],
        ["\xE6\xB1\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xC6"],

        ["\xC8\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x88"],
        ["\xE7\x89\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xC7"],

        ["\xC8\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xAF"],
        ["\xE7\x8A\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xC8"],

        ["\xC8\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xAD"],
        ["\xE7\x8F\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xC9"],

        ["\xC8\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x94"],
        ["\xE7\x95\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xCA"],

        ["\xC8\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x81"],
        ["\xE7\xB9\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xCB"],

        ["\xC8\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xAC"],
        ["\xE8\x88\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xCC"],

        ["\xC8\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xA9"],
        ["\xE8\x97\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xCD"],

        ["\xC8\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xA9"],
        ["\xE8\xB2\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xCE"],

        ["\xC8\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x84"],
        ["\xE7\xAF\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xCF"],

        ["\xC8\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x86"],
        ["\xE9\x87\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xD0"],

        ["\xC8\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\xA9"],
        ["\xE7\x85\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xD1"],

        ["\xC8\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x92"],
        ["\xE9\xA0\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xD2"],

        ["\xC8\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xAF"],
        ["\xE9\xA3\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xD3"],

        ["\xC8\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xBD"],
        ["\xE6\x8C\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xD4"],

        ["\xC8\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xA9"],
        ["\xE6\x99\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xD5"],

        ["\xC8\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xAA"],
        ["\xE7\x95\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xD6"],

        ["\xC8\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xA4"],
        ["\xE7\x9B\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xD7"],

        ["\xC8\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x90"],
        ["\xE7\xA3\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xD8"],

        ["\xC8\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x83"],
        ["\xE8\x95\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xD9"],

        ["\xC8\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xAE"],
        ["\xE8\x9B\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xDA"],

        ["\xC8\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xAA"],
        ["\xE5\x8C\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xDB"],

        ["\xC8\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x91"],
        ["\xE5\x8D\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xDC"],

        ["\xC8\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xA6"],
        ["\xE5\x90\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xDD"],

        ["\xC8\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x83"],
        ["\xE5\xA6\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xDE"],

        ["\xC8\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\x87"],
        ["\xE5\xBA\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xDF"],

        ["\xC8\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xBC"],
        ["\xE5\xBD\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xE0"],

        ["\xC8\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xB2"],
        ["\xE6\x82\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xE1"],

        ["\xC8\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x89"],
        ["\xE6\x89\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xE2"],

        ["\xC8\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xB9"],
        ["\xE6\x89\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xE3"],

        ["\xC8\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\xAB"],
        ["\xE6\x8A\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xE4"],

        ["\xC8\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x90"],
        ["\xE6\x96\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xE5"],

        ["\xC8\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x94"],
        ["\xE6\xAF\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xE6"],

        ["\xC8\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x8C"],
        ["\xE6\xB3\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xE7"],

        ["\xC8\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xB2"],
        ["\xE7\x96\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xE8"],

        ["\xC8\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xAE"],
        ["\xE7\x9A\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xE9"],

        ["\xC8\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x91"],
        ["\xE7\xA2\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xEA"],

        ["\xC8\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x98"],
        ["\xE7\xA7\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xEB"],

        ["\xC8\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x8B"],
        ["\xE7\xB7\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xEC"],

        ["\xC8\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xB7"],
        ["\xE7\xBD\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xED"],

        ["\xC8\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xA5"],
        ["\xE8\x82\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xEE"],

        ["\xC8\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xAB"],
        ["\xE8\xA2\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xEF"],

        ["\xC8\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xB9"],
        ["\xE8\xAA\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xF0"],

        ["\xC8\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xBB"],
        ["\xE8\xB2\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xF1"],

        ["\xC8\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xBF"],
        ["\xE9\x81\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xF2"],

        ["\xC8\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x9E"],
        ["\xE9\x9D\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xF3"],

        ["\xC8\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\x9B"],
        ["\xE9\xA3\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xF4"],

        ["\xC8\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x8B"],
        ["\xE6\xA8\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xF5"],

        ["\xC8\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xB8"],
        ["\xE7\xB0\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xF6"],

        ["\xC8\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x99"],
        ["\xE5\x82\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xF7"],

        ["\xC8\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xBE"],
        ["\xE5\xB0\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xF8"],

        ["\xC8\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xAE"],
        ["\xE5\xBE\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xF9"],

        ["\xC8\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x87"],
        ["\xE6\x9E\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xFA"],

        ["\xC8\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x98"],
        ["\xE6\xAF\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xFB"],

        ["\xC8\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xB5"],
        ["\xE7\x90\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xFC"],

        ["\xC8\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x89"],
        ["\xE7\x9C\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xFD"],

        ["\xC8\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x8E"],
        ["\xE7\xBE\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\xFE"],

        ["\xC9\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\xBB"],
        ["\xE9\xBC\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xA1"],

        ["\xC9\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x8A"],
        ["\xE6\x9F\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xA2"],

        ["\xC9\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x97"],
        ["\xE7\xA8\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xA3"],

        ["\xC9\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xB9"],
        ["\xE5\x8C\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xA4"],

        ["\xC9\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x8B"],
        ["\xE7\x96\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xA5"],

        ["\xC9\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xAD"],
        ["\xE9\xAB\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xA6"],

        ["\xC9\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xA6"],
        ["\xE5\xBD\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xA7"],

        ["\xC9\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x9D"],
        ["\xE8\x86\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xA8"],

        ["\xC9\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xB1"],
        ["\xE8\x8F\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xA9"],

        ["\xC9\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x98"],
        ["\xE8\x82\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xAA"],

        ["\xC9\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xBC"],
        ["\xE5\xBC\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xAB"],

        ["\xC9\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x85"],
        ["\xE5\xBF\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xAC"],

        ["\xC9\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xA2"],
        ["\xE7\x95\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xAD"],

        ["\xC9\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x86"],
        ["\xE7\xAD\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xAE"],

        ["\xC9\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xBC"],
        ["\xE9\x80\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xAF"],

        ["\xC9\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xA7"],
        ["\xE6\xA1\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xB0"],

        ["\xC9\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xAB"],
        ["\xE5\xA7\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xB1"],

        ["\xC9\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\x9B"],
        ["\xE5\xAA\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xB2"],

        ["\xC9\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x90"],
        ["\xE7\xB4\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xB3"],

        ["\xC9\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xBE"],
        ["\xE7\x99\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xB4"],

        ["\xC9\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\xAC"],
        ["\xE8\xAC\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xB5"],

        ["\xC9\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xB5"],
        ["\xE4\xBF\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xB6"],

        ["\xC9\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xAA"],
        ["\xE5\xBD\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xB7"],

        ["\xC9\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x99"],
        ["\xE6\xA8\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xB8"],

        ["\xC9\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\xB7"],
        ["\xE6\xB0\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xB9"],

        ["\xC9\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x82"],
        ["\xE6\xBC\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xBA"],

        ["\xC9\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xA2"],
        ["\xE7\x93\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xBB"],

        ["\xC9\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\xA8"],
        ["\xE7\xA5\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xBC"],

        ["\xC9\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xA8"],
        ["\xE8\xA1\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xBD"],

        ["\xC9\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x95"],
        ["\xE8\xA9\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xBE"],

        ["\xC9\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\xB9"],
        ["\xE8\xB1\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xBF"],

        ["\xC9\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x9F"],
        ["\xE5\xBB\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xC0"],

        ["\xC9\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x8F"],
        ["\xE6\x8F\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xC1"],

        ["\xC9\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x85"],
        ["\xE7\x97\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xC2"],

        ["\xC9\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x92"],
        ["\xE7\xA7\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xC3"],

        ["\xC9\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x97"],
        ["\xE8\x8B\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xC4"],

        ["\xC9\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xA8"],
        ["\xE9\x8C\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xC5"],

        ["\xC9\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xB2"],
        ["\xE9\x8B\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xC6"],

        ["\xC9\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x9C"],
        ["\xE8\x92\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xC7"],

        ["\xC9\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xAD"],
        ["\xE8\x9B\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xC8"],

        ["\xC9\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xAD"],
        ["\xE9\xB0\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xC9"],

        ["\xC9\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\x81"],
        ["\xE5\x93\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xCA"],

        ["\xC9\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xAC"],
        ["\xE5\xBD\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xCB"],

        ["\xC9\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x8C"],
        ["\xE6\x96\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xCC"],

        ["\xC9\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\x9C"],
        ["\xE6\xB5\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xCD"],

        ["\xC9\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x95"],
        ["\xE7\x80\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xCE"],

        ["\xC9\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xA7"],
        ["\xE8\xB2\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xCF"],

        ["\xC9\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x93"],
        ["\xE8\xB3\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xD0"],

        ["\xC9\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xBB"],
        ["\xE9\xA0\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xD1"],

        ["\xC9\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x8F"],
        ["\xE6\x95\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xD2"],

        ["\xC9\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xB6"],
        ["\xE7\x93\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xD3"],

        ["\xC9\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x8D"],
        ["\xE4\xB8\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xD4"],

        ["\xC9\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x98"],
        ["\xE4\xBB\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xD5"],

        ["\xC9\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xA0"],
        ["\xE5\x9F\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xD6"],

        ["\xC9\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xAB"],
        ["\xE5\xA4\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xD7"],

        ["\xC9\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\xA6"],
        ["\xE5\xA9\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xD8"],

        ["\xC9\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x8C"],
        ["\xE5\xAF\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xD9"],

        ["\xC9\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xA8"],
        ["\xE5\x86\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xDA"],

        ["\xC9\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x83"],
        ["\xE5\xB8\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xDB"],

        ["\xC9\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\x9C"],
        ["\xE5\xBA\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xDC"],

        ["\xC9\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x96"],
        ["\xE6\x80\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xDD"],

        ["\xC9\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xB6"],
        ["\xE6\x89\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xDE"],

        ["\xC9\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xB7"],
        ["\xE6\x95\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xDF"],

        ["\xC9\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xA7"],
        ["\xE6\x96\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xE0"],

        ["\xC9\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xAE"],
        ["\xE6\x99\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xE1"],

        ["\xC9\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xAE"],
        ["\xE6\xB5\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xE2"],

        ["\xC9\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xB6"],
        ["\xE7\x88\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xE3"],

        ["\xC9\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xA6"],
        ["\xE7\xAC\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xE4"],

        ["\xC9\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\x90"],
        ["\xE8\x85\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xE5"],

        ["\xC9\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x9A"],
        ["\xE8\x86\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xE6"],

        ["\xC9\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\x99"],
        ["\xE8\x8A\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xE7"],

        ["\xC9\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x9C"],
        ["\xE8\xAD\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xE8"],

        ["\xC9\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xA0"],
        ["\xE8\xB2\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xE9"],

        ["\xC9\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xA6"],
        ["\xE8\xB3\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xEA"],

        ["\xC9\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xB4"],
        ["\xE8\xB5\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xEB"],

        ["\xC9\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\x9C"],
        ["\xE9\x98\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xEC"],

        ["\xC9\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x84"],
        ["\xE9\x99\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xED"],

        ["\xC9\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\xAE"],
        ["\xE4\xBE\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xEE"],

        ["\xC9\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xAB"],
        ["\xE6\x92\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xEF"],

        ["\xC9\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xA6"],
        ["\xE6\xAD\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xF0"],

        ["\xC9\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x9E"],
        ["\xE8\x88\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xF1"],

        ["\xC9\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xA1"],
        ["\xE8\x91\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xF2"],

        ["\xC9\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xAA"],
        ["\xE8\x95\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xF3"],

        ["\xC9\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\xA8"],
        ["\xE9\x83\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xF4"],

        ["\xC9\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x81"],
        ["\xE5\xB0\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xF5"],

        ["\xC9\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x93"],
        ["\xE6\xA5\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xF6"],

        ["\xC9\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA2\xA8"],
        ["\xE9\xA2\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xF7"],

        ["\xC9\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xBA"],
        ["\xE8\x91\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xF8"],

        ["\xC9\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x97"],
        ["\xE8\x95\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xF9"],

        ["\xC9\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x8F"],
        ["\xE4\xBC\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xFA"],

        ["\xC9\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xAF"],
        ["\xE5\x89\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xFB"],

        ["\xC9\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xA9"],
        ["\xE5\xBE\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xFC"],

        ["\xC9\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x85"],
        ["\xE5\xB9\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xFD"],

        ["\xC9\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x8D"],
        ["\xE6\x9C\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\xFE"],

        ["\xCA\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x8F"],
        ["\xE7\xA6\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xA1"],

        ["\xCA\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xB9"],
        ["\xE8\x85\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xA2"],

        ["\xCA\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x87"],
        ["\xE8\xA4\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xA3"],

        ["\xCA\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x86"],
        ["\xE8\xA6\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xA4"],

        ["\xCA\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xB5"],
        ["\xE6\xB7\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xA5"],

        ["\xCA\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x97"],
        ["\xE5\xBC\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xA6"],

        ["\xCA\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x95"],
        ["\xE6\x89\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xA7"],

        ["\xCA\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xB8"],
        ["\xE6\xB2\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xA8"],

        ["\xCA\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x8F"],
        ["\xE4\xBB\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xA9"],

        ["\xCA\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xA9"],
        ["\xE7\x89\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xAA"],

        ["\xCA\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x92"],
        ["\xE9\xAE\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xAB"],

        ["\xCA\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x86"],
        ["\xE5\x88\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xAC"],

        ["\xCA\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xBB"],
        ["\xE5\x90\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xAD"],

        ["\xCA\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xB4"],
        ["\xE5\x99\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xAE"],

        ["\xCA\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xB3"],
        ["\xE5\xA2\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xAF"],

        ["\xCA\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xA4"],
        ["\xE6\x86\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xB0"],

        ["\xCA\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xAE"],
        ["\xE6\x89\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xB1"],

        ["\xCA\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x9A"],
        ["\xE7\x84\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xB2"],

        ["\xCA\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xAE"],
        ["\xE5\xA5\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xB3"],

        ["\xCA\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x89"],
        ["\xE7\xB2\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xB4"],

        ["\xCA\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x9E"],
        ["\xE7\xB3\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xB5"],

        ["\xCA\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x9B"],
        ["\xE7\xB4\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xB6"],

        ["\xCA\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xB0"],
        ["\xE9\x9B\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xB7"],

        ["\xCA\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x87"],
        ["\xE6\x96\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xB8"],

        ["\xCA\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\x9E"],
        ["\xE8\x81\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xB9"],

        ["\xCA\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x99"],
        ["\xE4\xB8\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xBA"],

        ["\xCA\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xB5"],
        ["\xE4\xBD\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xBB"],

        ["\xCA\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xB5"],
        ["\xE5\x85\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xBC"],

        ["\xCA\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x80"],
        ["\xE5\xA1\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xBD"],

        ["\xCA\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xA3"],
        ["\xE5\xB9\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xBE"],

        ["\xCA\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xB3"],
        ["\xE5\xB9\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xBF"],

        ["\xCA\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x8A"],
        ["\xE5\xBC\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xC0"],

        ["\xCA\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x84"],
        ["\xE6\x9F\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xC1"],

        ["\xCA\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xA6"],
        ["\xE4\xB8\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xC2"],

        ["\xCA\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xBD"],
        ["\xE8\x94\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xC3"],

        ["\xCA\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x89"],
        ["\xE9\x96\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xC4"],

        ["\xCA\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x9B"],
        ["\xE9\x99\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xC5"],

        ["\xCA\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xB3"],
        ["\xE7\xB1\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xC6"],

        ["\xCA\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x81"],
        ["\xE9\xA0\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xC7"],

        ["\xCA\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xBB"],
        ["\xE5\x83\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xC8"],

        ["\xCA\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x81"],
        ["\xE5\xA3\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xC9"],

        ["\xCA\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x96"],
        ["\xE7\x99\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xCA"],

        ["\xCA\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xA7"],
        ["\xE7\xA2\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xCB"],

        ["\xCA\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xA5"],
        ["\xE5\x88\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xCC"],

        ["\xCA\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xA5"],
        ["\xE7\x9E\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xCD"],

        ["\xCA\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x91"],
        ["\xE8\x94\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xCE"],

        ["\xCA\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x86"],
        ["\xE7\xAE\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xCF"],

        ["\xCA\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x8F"],
        ["\xE5\x81\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xD0"],

        ["\xCA\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x89"],
        ["\xE5\xA4\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xD1"],

        ["\xCA\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x87"],
        ["\xE7\x89\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xD2"],

        ["\xCA\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x87"],
        ["\xE7\xAF\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xD3"],

        ["\xCA\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xA8"],
        ["\xE7\xB7\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xD4"],

        ["\xCA\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xBA"],
        ["\xE8\xBE\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xD5"],

        ["\xCA\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\x94"],
        ["\xE8\xBF\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xD6"],

        ["\xCA\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x8D"],
        ["\xE9\x81\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xD7"],

        ["\xCA\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\xBF"],
        ["\xE4\xBE\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xD8"],

        ["\xCA\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x89"],
        ["\xE5\x8B\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xD9"],

        ["\xCA\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\xA9"],
        ["\xE5\xA8\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xDA"],

        ["\xCA\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x81"],
        ["\xE5\xBC\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xDB"],

        ["\xCA\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\xAD"],
        ["\xE9\x9E\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xDC"],

        ["\xCA\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x9D"],
        ["\xE4\xBF\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xDD"],

        ["\xCA\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x97"],
        ["\xE8\x88\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xDE"],

        ["\xCA\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xAA"],
        ["\xE9\x8B\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xDF"],

        ["\xCA\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x83"],
        ["\xE5\x9C\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xE0"],

        ["\xCA\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x95"],
        ["\xE6\x8D\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xE1"],

        ["\xCA\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xA9"],
        ["\xE6\xAD\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xE2"],

        ["\xCA\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xAB"],
        ["\xE7\x94\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xE3"],

        ["\xCA\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x9C"],
        ["\xE8\xA3\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xE4"],

        ["\xCA\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x94"],
        ["\xE8\xBC\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xE5"],

        ["\xCA\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x82"],
        ["\xE7\xA9\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xE6"],

        ["\xCA\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x9F"],
        ["\xE5\x8B\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xE7"],

        ["\xCA\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x93"],
        ["\xE5\xA2\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xE8"],

        ["\xCA\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x95"],
        ["\xE6\x85\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xE9"],

        ["\xCA\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x8A"],
        ["\xE6\x88\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xEA"],

        ["\xCA\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xAE"],
        ["\xE6\x9A\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xEB"],

        ["\xCA\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x8D"],
        ["\xE6\xAF\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xEC"],

        ["\xCA\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xBF"],
        ["\xE7\xB0\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xED"],

        ["\xCA\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xA9"],
        ["\xE8\x8F\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xEE"],

        ["\xCA\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xA3"],
        ["\xE5\x80\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xEF"],

        ["\xCA\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xB8"],
        ["\xE4\xBF\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xF0"],

        ["\xCA\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x85"],
        ["\xE5\x8C\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xF1"],

        ["\xCA\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x86"],
        ["\xE5\x91\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xF2"],

        ["\xCA\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xB1"],
        ["\xE5\xA0\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xF3"],

        ["\xCA\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x89"],
        ["\xE5\xA5\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xF4"],

        ["\xCA\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x9D"],
        ["\xE5\xAE\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xF5"],

        ["\xCA\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xB0"],
        ["\xE5\xB3\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xF6"],

        ["\xCA\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xAF"],
        ["\xE5\xB3\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xF7"],

        ["\xCA\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\xA9"],
        ["\xE5\xB4\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xF8"],

        ["\xCA\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\x96"],
        ["\xE5\xBA\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xF9"],

        ["\xCA\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\xB1"],
        ["\xE6\x8A\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xFA"],

        ["\xCA\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xA7"],
        ["\xE6\x8D\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xFB"],

        ["\xCA\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xBE"],
        ["\xE6\x94\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xFC"],

        ["\xCA\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xB9"],
        ["\xE6\x96\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xFD"],

        ["\xCA\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x8B"],
        ["\xE6\x9C\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\xFE"],

        ["\xCB\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x95"],
        ["\xE6\xB3\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xA1"],

        ["\xCB\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xA1"],
        ["\xE6\xB3\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xA2"],

        ["\xCB\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\xB9"],
        ["\xE7\x83\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xA3"],

        ["\xCB\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\xB2"],
        ["\xE7\xA0\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xA4"],

        ["\xCB\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xAB"],
        ["\xE7\xB8\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xA5"],

        ["\xCB\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x9E"],
        ["\xE8\x83\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xA6"],

        ["\xCB\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xB3"],
        ["\xE8\x8A\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xA7"],

        ["\xCB\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x8C"],
        ["\xE8\x90\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xA8"],

        ["\xCB\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xAC"],
        ["\xE8\x93\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xA9"],

        ["\xCB\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x82"],
        ["\xE8\x9C\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xAA"],

        ["\xCB\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x92"],
        ["\xE8\xA4\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xAB"],

        ["\xCB\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xAA"],
        ["\xE8\xA8\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xAC"],

        ["\xCB\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x8A"],
        ["\xE8\xB1\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xAD"],

        ["\xCB\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\xA6"],
        ["\xE9\x82\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xAE"],

        ["\xCB\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\x92"],
        ["\xE9\x8B\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xAF"],

        ["\xCB\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xBD"],
        ["\xE9\xA3\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xB0"],

        ["\xCB\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3\xB3"],
        ["\xE9\xB3\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xB1"],

        ["\xCB\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xAC"],
        ["\xE9\xB5\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xB2"],

        ["\xCB\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x8F"],
        ["\xE4\xB9\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xB3"],

        ["\xCB\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xA1"],
        ["\xE4\xBA\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xB4"],

        ["\xCB\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x8D"],
        ["\xE5\x82\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xB5"],

        ["\xCB\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x96"],
        ["\xE5\x89\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xB6"],

        ["\xCB\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x8A"],
        ["\xE5\x9D\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xB7"],

        ["\xCB\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xA8"],
        ["\xE5\xA6\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xB8"],

        ["\xCB\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xBD"],
        ["\xE5\xB8\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xB9"],

        ["\xCB\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x98"],
        ["\xE5\xBF\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xBA"],

        ["\xCB\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x99"],
        ["\xE5\xBF\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xBB"],

        ["\xCB\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xBF"],
        ["\xE6\x88\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xBC"],

        ["\xCB\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xB4"],
        ["\xE6\x9A\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xBD"],

        ["\xCB\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x9B"],
        ["\xE6\x9C\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xBE"],

        ["\xCB\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x90"],
        ["\xE6\x9F\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xBF"],

        ["\xCB\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x92"],
        ["\xE6\xA3\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xC0"],

        ["\xCB\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x92"],
        ["\xE5\x86\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xC1"],

        ["\xCB\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xA1"],
        ["\xE7\xB4\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xC2"],

        ["\xCB\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xAA"],
        ["\xE8\x82\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xC3"],

        ["\xCB\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xA8"],
        ["\xE8\x86\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xC4"],

        ["\xCB\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x80"],
        ["\xE8\xAC\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xC5"],

        ["\xCB\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\x8C"],
        ["\xE8\xB2\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xC6"],

        ["\xCB\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xBF"],
        ["\xE8\xB2\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xC7"],

        ["\xCB\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\xBE"],
        ["\xE9\x89\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xC8"],

        ["\xCB\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xB2"],
        ["\xE9\x98\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xC9"],

        ["\xCB\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xA0"],
        ["\xE5\x90\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xCA"],

        ["\xCB\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xAC"],
        ["\xE9\xA0\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xCB"],

        ["\xCB\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x97"],
        ["\xE5\x8C\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xCC"],

        ["\xCB\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x95"],
        ["\xE5\x83\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xCD"],

        ["\xCB\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x9C"],
        ["\xE5\x8D\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xCE"],

        ["\xCB\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xA8"],
        ["\xE5\xA2\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xCF"],

        ["\xCB\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xB2"],
        ["\xE6\x92\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xD0"],

        ["\xCB\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xB4"],
        ["\xE6\x9C\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xD1"],

        ["\xCB\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xA7"],
        ["\xE7\x89\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xD2"],

        ["\xCB\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xA6"],
        ["\xE7\x9D\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xD3"],

        ["\xCB\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x86"],
        ["\xE7\xA9\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xD4"],

        ["\xCB\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xA6"],
        ["\xE9\x87\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xD5"],

        ["\xCB\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x83"],
        ["\xE5\x8B\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xD6"],

        ["\xCB\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xA1"],
        ["\xE6\xB2\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xD7"],

        ["\xCB\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x86"],
        ["\xE6\xAE\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xD8"],

        ["\xCB\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x80"],
        ["\xE5\xA0\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xD9"],

        ["\xCB\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x8C"],
        ["\xE5\xB9\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xDA"],

        ["\xCB\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x94"],
        ["\xE5\xA5\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xDB"],

        ["\xCB\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xAC"],
        ["\xE6\x9C\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xDC"],

        ["\xCB\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xBB"],
        ["\xE7\xBF\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xDD"],

        ["\xCB\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xA1"],
        ["\xE5\x87\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xDE"],

        ["\xCB\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x86"],
        ["\xE7\x9B\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xDF"],

        ["\xCB\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\xA9"],
        ["\xE6\x91\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xE0"],

        ["\xCB\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xA8"],
        ["\xE7\xA3\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xE1"],

        ["\xCB\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x94"],
        ["\xE9\xAD\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xE2"],

        ["\xCB\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xBB"],
        ["\xE9\xBA\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xE3"],

        ["\xCB\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x8B"],
        ["\xE5\x9F\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xE4"],

        ["\xCB\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xB9"],
        ["\xE5\xA6\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xE5"],

        ["\xCB\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xA7"],
        ["\xE6\x98\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xE6"],

        ["\xCB\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x9A"],
        ["\xE6\x9E\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xE7"],

        ["\xCB\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x8E"],
        ["\xE6\xAF\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xE8"],

        ["\xCB\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xA9"],
        ["\xE5\x93\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xE9"],

        ["\xCB\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x99"],
        ["\xE6\xA7\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xEA"],

        ["\xCB\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x95"],
        ["\xE5\xB9\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xEB"],

        ["\xCB\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x9C"],
        ["\xE8\x86\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xEC"],

        ["\xCB\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x95"],
        ["\xE6\x9E\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xED"],

        ["\xCB\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xAA"],
        ["\xE9\xAE\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xEE"],

        ["\xCB\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xBE"],
        ["\xE6\x9F\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xEF"],

        ["\xCB\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x92"],
        ["\xE9\xB1\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xF0"],

        ["\xCB\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x9D"],
        ["\xE6\xA1\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xF1"],

        ["\xCB\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xA6"],
        ["\xE4\xBA\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xF2"],

        ["\xCB\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xA3"],
        ["\xE4\xBF\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xF3"],

        ["\xCB\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x88"],
        ["\xE5\x8F\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xF4"],

        ["\xCB\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\xB9"],
        ["\xE6\x8A\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xF5"],

        ["\xCB\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xAB"],
        ["\xE6\x9C\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xF6"],

        ["\xCB\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xAB"],
        ["\xE6\xB2\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xF7"],

        ["\xCB\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\x84"],
        ["\xE8\xBF\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xF8"],

        ["\xCB\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\xAD"],
        ["\xE4\xBE\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xF9"],

        ["\xCB\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xAD"],
        ["\xE7\xB9\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xFA"],

        ["\xCB\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xBF"],
        ["\xE9\xBA\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xFB"],

        ["\xCB\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x87"],
        ["\xE4\xB8\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xFC"],

        ["\xCB\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xA2"],
        ["\xE6\x85\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xFD"],

        ["\xCB\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\x80"],
        ["\xE6\xBA\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\xFE"],

        ["\xCC\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xAB"],
        ["\xE6\xBC\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xA1"],

        ["\xCC\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x93"],
        ["\xE8\x94\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xA2"],

        ["\xCC\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xB3"],
        ["\xE5\x91\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xA3"],

        ["\xCC\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xAA"],
        ["\xE6\x9C\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xA4"],

        ["\xCC\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x85"],
        ["\xE9\xAD\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xA5"],

        ["\xCC\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xB3"],
        ["\xE5\xB7\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xA6"],

        ["\xCC\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x95"],
        ["\xE7\xAE\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xA7"],

        ["\xCC\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xAC"],
        ["\xE5\xB2\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xA8"],

        ["\xCC\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x86"],
        ["\xE5\xAF\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xA9"],

        ["\xCC\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x9C"],
        ["\xE8\x9C\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xAA"],

        ["\xCC\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x8A"],
        ["\xE6\xB9\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xAB"],

        ["\xCC\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x91"],
        ["\xE8\x93\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xAC"],

        ["\xCC\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x94"],
        ["\xE7\xA8\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xAD"],

        ["\xCC\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x88"],
        ["\xE8\x84\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xAE"],

        ["\xCC\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x99"],
        ["\xE5\xA6\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xAF"],

        ["\xCC\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x8D"],
        ["\xE7\xB2\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xB0"],

        ["\xCC\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x91"],
        ["\xE6\xB0\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xB1"],

        ["\xCC\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xA0"],
        ["\xE7\x9C\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xB2"],

        ["\xCC\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x99"],
        ["\xE5\x8B\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xB3"],

        ["\xCC\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xA2"],
        ["\xE5\xA4\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xB4"],

        ["\xCC\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\xA1"],
        ["\xE7\x84\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xB5"],

        ["\xCC\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x9F"],
        ["\xE7\x89\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xB6"],

        ["\xCC\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\x9B"],
        ["\xE7\x9F\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xB7"],

        ["\xCC\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\xA7"],
        ["\xE9\x9C\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xB8"],

        ["\xCC\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xA1"],
        ["\xE9\xB5\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xB9"],

        ["\xCC\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x8B"],
        ["\xE6\xA4\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xBA"],

        ["\xCC\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\xBF"],
        ["\xE5\xA9\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xBB"],

        ["\xCC\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x98"],
        ["\xE5\xA8\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xBC"],

        ["\xCC\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xA5"],
        ["\xE5\x86\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xBD"],

        ["\xCC\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x8D"],
        ["\xE5\x90\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xBE"],

        ["\xCC\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xBD"],
        ["\xE5\x91\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xBF"],

        ["\xCC\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x8E"],
        ["\xE6\x98\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xC0"],

        ["\xCC\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x9F"],
        ["\xE7\x9B\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xC1"],

        ["\xCC\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xB7"],
        ["\xE8\xBF\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xC2"],

        ["\xCC\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x98"],
        ["\xE9\x8A\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xC3"],

        ["\xCC\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3\xB4"],
        ["\xE9\xB3\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xC4"],

        ["\xCC\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xAA"],
        ["\xE5\xA7\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xC5"],

        ["\xCC\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x9D"],
        ["\xE7\x89\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xC6"],

        ["\xCC\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x85"],
        ["\xE6\xBB\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xC7"],

        ["\xCC\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x8D"],
        ["\xE5\x85\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xC8"],

        ["\xCC\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x89"],
        ["\xE6\xA3\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xC9"],

        ["\xCC\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xBF"],
        ["\xE7\xB6\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xCA"],

        ["\xCC\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xAC"],
        ["\xE7\xB7\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xCB"],

        ["\xCC\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xA2"],
        ["\xE9\x9D\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xCC"],

        ["\xCC\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xBA"],
        ["\xE9\xBA\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xCD"],

        ["\xCC\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\xB8"],
        ["\xE6\x91\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xCE"],

        ["\xCC\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xA1"],
        ["\xE6\xA8\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xCF"],

        ["\xCC\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x82"],
        ["\xE8\x8C\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xD0"],

        ["\xCC\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x84"],
        ["\xE5\xA6\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xD1"],

        ["\xCC\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x9F"],
        ["\xE5\xAD\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xD2"],

        ["\xCC\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x9B"],
        ["\xE6\xAF\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xD3"],

        ["\xCC\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\x9B"],
        ["\xE7\x8C\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xD4"],

        ["\xCC\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xB2"],
        ["\xE7\x9B\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xD5"],

        ["\xCC\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xB2"],
        ["\xE7\xB6\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xD6"],

        ["\xCC\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x97"],
        ["\xE8\x80\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xD7"],

        ["\xCC\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x99"],
        ["\xE8\x92\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xD8"],

        ["\xCC\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\xB2"],
        ["\xE5\x84\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xD9"],

        ["\xCC\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xA8"],
        ["\xE6\x9C\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xDA"],

        ["\xCC\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x99"],
        ["\xE9\xBB\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xDB"],

        ["\xCC\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xAE"],
        ["\xE7\x9B\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xDC"],

        ["\xCC\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xA2"],
        ["\xE6\x9D\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xDD"],

        ["\xCC\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xBF"],
        ["\xE5\x8B\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xDE"],

        ["\xCC\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x85"],
        ["\xE9\xA4\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xDF"],

        ["\xCC\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xA4"],
        ["\xE5\xB0\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xE0"],

        ["\xCC\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xBB"],
        ["\xE6\x88\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xE1"],

        ["\xCC\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xBE"],
        ["\xE7\xB1\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xE2"],

        ["\xCC\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xB0"],
        ["\xE8\xB2\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xE3"],

        ["\xCC\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x8F"],
        ["\xE5\x95\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xE4"],

        ["\xCC\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xB6"],
        ["\xE6\x82\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xE5"],

        ["\xCC\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x8B"],
        ["\xE7\xB4\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xE6"],

        ["\xCC\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x80"],
        ["\xE9\x96\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xE7"],

        ["\xCC\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x81"],
        ["\xE5\x8C\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xE8"],

        ["\xCC\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x9F"],
        ["\xE4\xB9\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xE9"],

        ["\xCC\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xB6"],
        ["\xE5\x86\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xEA"],

        ["\xCC\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x9C"],
        ["\xE5\xA4\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xEB"],

        ["\xCC\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xBA"],
        ["\xE7\x88\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xEC"],

        ["\xCC\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xB6"],
        ["\xE8\x80\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xED"],

        ["\xCC\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x8E"],
        ["\xE9\x87\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xEE"],

        ["\xCC\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xA5"],
        ["\xE5\xBC\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xEF"],

        ["\xCC\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xA2"],
        ["\xE7\x9F\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xF0"],

        ["\xCC\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\x84"],
        ["\xE5\x8E\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xF1"],

        ["\xCC\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xB9"],
        ["\xE5\xBD\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xF2"],

        ["\xCC\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x84"],
        ["\xE7\xB4\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xF3"],

        ["\xCC\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xAC"],
        ["\xE8\x96\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xF4"],

        ["\xCC\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xB3"],
        ["\xE8\xA8\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xF5"],

        ["\xCC\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\x8D"],
        ["\xE8\xBA\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xF6"],

        ["\xCC\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x96"],
        ["\xE9\x9D\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xF7"],

        ["\xCC\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xB3"],
        ["\xE6\x9F\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xF8"],

        ["\xCC\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xAE"],
        ["\xE8\x96\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xF9"],

        ["\xCC\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\x93"],
        ["\xE9\x91\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xFA"],

        ["\xCC\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x89"],
        ["\xE6\x84\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xFB"],

        ["\xCC\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x88"],
        ["\xE6\x84\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xFC"],

        ["\xCC\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xB9"],
        ["\xE6\xB2\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xFD"],

        ["\xCC\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x92"],
        ["\xE7\x99\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\xFE"],

        ["\xCD\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xAD"],
        ["\xE8\xAB\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xA1"],

        ["\xCD\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xB8"],
        ["\xE8\xBC\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xA2"],

        ["\xCD\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\xAF"],
        ["\xE5\x94\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xA3"],

        ["\xCD\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x91"],
        ["\xE4\xBD\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xA4"],

        ["\xCD\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\xAA"],
        ["\xE5\x84\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xA5"],

        ["\xCD\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x87"],
        ["\xE5\x8B\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xA6"],

        ["\xCD\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x8B"],
        ["\xE5\x8F\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xA7"],

        ["\xCD\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xA5"],
        ["\xE5\xAE\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xA8"],

        ["\xCD\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xBD"],
        ["\xE5\xB9\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xA9"],

        ["\xCD\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xA0"],
        ["\xE6\x82\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xAA"],

        ["\xCD\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x82"],
        ["\xE6\x86\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xAB"],

        ["\xCD\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x96"],
        ["\xE6\x8F\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xAC"],

        ["\xCD\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x89"],
        ["\xE6\x9C\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xAD"],

        ["\xCD\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x9A"],
        ["\xE6\x9F\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xAE"],

        ["\xCD\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\xA7"],
        ["\xE6\xB9\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xAF"],

        ["\xCD\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x8C"],
        ["\xE6\xB6\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xB0"],

        ["\xCD\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xB6"],
        ["\xE7\x8C\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xB1"],

        ["\xCD\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xB7"],
        ["\xE7\x8C\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xB2"],

        ["\xCD\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xB1"],
        ["\xE7\x94\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xB3"],

        ["\xCD\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x90"],
        ["\xE7\xA5\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xB4"],

        ["\xCD\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x95"],
        ["\xE8\xA3\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xB5"],

        ["\xCD\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x98"],
        ["\xE8\xAA\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xB6"],

        ["\xCD\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x8A"],
        ["\xE9\x81\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xB7"],

        ["\xCD\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x91"],
        ["\xE9\x82\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xB8"],

        ["\xCD\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\xB5"],
        ["\xE9\x83\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xB9"],

        ["\xCD\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x84"],
        ["\xE9\x9B\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xBA"],

        ["\xCD\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\x8D"],
        ["\xE8\x9E\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xBB"],

        ["\xCD\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x95"],
        ["\xE5\xA4\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xBC"],

        ["\xCD\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x88"],
        ["\xE4\xBA\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xBD"],

        ["\xCD\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x99"],
        ["\xE4\xBD\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xBE"],

        ["\xCD\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x8E"],
        ["\xE4\xB8\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xBF"],

        ["\xCD\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x89"],
        ["\xE8\xAA\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xC0"],

        ["\xCD\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xBF"],
        ["\xE8\xBC\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xC1"],

        ["\xCD\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x90"],
        ["\xE9\xA0\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xC2"],

        ["\xCD\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xAD"],
        ["\xE5\x82\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xC3"],

        ["\xCD\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xBC"],
        ["\xE5\xB9\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xC4"],

        ["\xCD\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x96"],
        ["\xE5\xA6\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xC5"],

        ["\xCD\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xB9"],
        ["\xE5\xAE\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xC6"],

        ["\xCD\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xB8"],
        ["\xE5\xBA\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xC7"],

        ["\xCD\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x9A"],
        ["\xE6\x8F\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xC8"],

        ["\xCD\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xBA"],
        ["\xE6\x8F\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xC9"],

        ["\xCD\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x81"],
        ["\xE6\x93\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xCA"],

        ["\xCD\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x9C"],
        ["\xE6\x9B\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xCB"],

        ["\xCD\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x8A"],
        ["\xE6\xA5\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xCC"],

        ["\xCD\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x98"],
        ["\xE6\xA7\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xCD"],

        ["\xCD\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x8B"],
        ["\xE6\xB4\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xCE"],

        ["\xCD\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xB6"],
        ["\xE6\xBA\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xCF"],

        ["\xCD\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x94"],
        ["\xE7\x86\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xD0"],

        ["\xCD\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xA8"],
        ["\xE7\x94\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xD1"],

        ["\xCD\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xAF"],
        ["\xE7\xAA\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xD2"],

        ["\xCD\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x8A"],
        ["\xE7\xBE\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xD3"],

        ["\xCD\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x80"],
        ["\xE8\x80\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xD4"],

        ["\xCD\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x89"],
        ["\xE8\x91\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xD5"],

        ["\xCD\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x89"],
        ["\xE8\x93\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xD6"],

        ["\xCD\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x81"],
        ["\xE8\xA6\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xD7"],

        ["\xCD\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\xA1"],
        ["\xE8\xAC\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xD8"],

        ["\xCD\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\x8A"],
        ["\xE8\xB8\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xD9"],

        ["\xCD\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xA5"],
        ["\xE9\x81\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xDA"],

        ["\xCD\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xBD"],
        ["\xE9\x99\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xDB"],

        ["\xCD\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x8A"],
        ["\xE9\xA4\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xDC"],

        ["\xCD\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xBE"],
        ["\xE6\x85\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xDD"],

        ["\xCD\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x91"],
        ["\xE6\x8A\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xDE"],

        ["\xCD\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xB2"],
        ["\xE6\xAC\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xDF"],

        ["\xCD\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x83"],
        ["\xE6\xB2\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xE0"],

        ["\xCD\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xB4"],
        ["\xE6\xB5\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xE1"],

        ["\xCD\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x8C"],
        ["\xE7\xBF\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xE2"],

        ["\xCD\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xBC"],
        ["\xE7\xBF\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xE3"],

        ["\xCD\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x80"],
        ["\xE6\xB7\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xE4"],

        ["\xCD\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x85"],
        ["\xE7\xBE\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xE5"],

        ["\xCD\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xBA"],
        ["\xE8\x9E\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xE6"],

        ["\xCD\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xB8"],
        ["\xE8\xA3\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xE7"],

        ["\xCD\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xA5"],
        ["\xE6\x9D\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xE8"],

        ["\xCD\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\xB1"],
        ["\xE8\x8E\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xE9"],

        ["\xCD\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xBC"],
        ["\xE9\xA0\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xEA"],

        ["\xCD\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xB7"],
        ["\xE9\x9B\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xEB"],

        ["\xCD\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x9B"],
        ["\xE6\xB4\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xEC"],

        ["\xCD\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xA1"],
        ["\xE7\xB5\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xED"],

        ["\xCD\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\xBD"],
        ["\xE8\x90\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xEE"],

        ["\xCD\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\xAA"],
        ["\xE9\x85\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xEF"],

        ["\xCD\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\xB1"],
        ["\xE4\xB9\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xF0"],

        ["\xCD\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xB5"],
        ["\xE5\x8D\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xF1"],

        ["\xCD\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\x90"],
        ["\xE5\xB5\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xF2"],

        ["\xCD\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x84"],
        ["\xE6\xAC\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xF3"],

        ["\xCD\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xAB"],
        ["\xE6\xBF\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xF4"],

        ["\xCD\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x8D"],
        ["\xE8\x97\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xF5"],

        ["\xCD\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xAD"],
        ["\xE8\x98\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xF6"],

        ["\xCD\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xA7"],
        ["\xE8\xA6\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xF7"],

        ["\xCD\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xA9"],
        ["\xE5\x88\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xF8"],

        ["\xCD\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x8F"],
        ["\xE5\x90\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xF9"],

        ["\xCD\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xA5"],
        ["\xE5\xB1\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xFA"],

        ["\xCD\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x8E"],
        ["\xE6\x9D\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xFB"],

        ["\xCD\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xA8"],
        ["\xE6\xA2\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xFC"],

        ["\xCD\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\x86"],
        ["\xE7\x90\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xFD"],

        ["\xCD\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x83"],
        ["\xE7\x92\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\xFE"],

        ["\xCE\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xA2"],
        ["\xE7\x97\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xA1"],

        ["\xCE\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x8F"],
        ["\xE8\xA3\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xA2"],

        ["\xCE\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xA1"],
        ["\xE8\xA3\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xA3"],

        ["\xCE\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x8C"],
        ["\xE9\x87\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xA4"],

        ["\xCE\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xA2"],
        ["\xE9\x9B\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xA5"],

        ["\xCE\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xB8"],
        ["\xE9\x99\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xA6"],

        ["\xCE\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x8B"],
        ["\xE5\xBE\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xA7"],

        ["\xCE\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x87"],
        ["\xE7\x8E\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xA8"],

        ["\xCE\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x8B"],
        ["\xE7\xAB\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xA9"],

        ["\xCE\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x8E"],
        ["\xE8\x91\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xAA"],

        ["\xCE\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xA0"],
        ["\xE6\x8E\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xAB"],

        ["\xCE\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xA5"],
        ["\xE7\x95\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xAC"],

        ["\xCE\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x89"],
        ["\xE5\x8A\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xAD"],

        ["\xCE\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\x81"],
        ["\xE6\xB5\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xAE"],

        ["\xCE\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\x9C"],
        ["\xE6\xBA\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xAF"],

        ["\xCE\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\x89"],
        ["\xE7\x90\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xB0"],

        ["\xCE\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x99"],
        ["\xE7\x95\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xB1"],

        ["\xCE\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\xAB"],
        ["\xE7\xA1\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xB2"],

        ["\xCE\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x92"],
        ["\xE7\xB2\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xB3"],

        ["\xCE\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x86"],
        ["\xE9\x9A\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xB4"],

        ["\xCE\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x9C"],
        ["\xE7\xAB\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xB5"],

        ["\xCE\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE\x8D"],
        ["\xE9\xBE\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xB6"],

        ["\xCE\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\xB6"],
        ["\xE4\xBE\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xB7"],

        ["\xCE\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xAE"],
        ["\xE6\x85\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xB8"],

        ["\xCE\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x85"],
        ["\xE6\x97\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xB9"],

        ["\xCE\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x9C"],
        ["\xE8\x99\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xBA"],

        ["\xCE\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x86"],
        ["\xE4\xBA\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xBB"],

        ["\xCE\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xAE"],
        ["\xE4\xBA\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xBC"],

        ["\xCE\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x9A"],
        ["\xE5\x83\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xBD"],

        ["\xCE\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xA1"],
        ["\xE4\xB8\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xBE"],

        ["\xCE\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x8C"],
        ["\xE5\x87\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xBF"],

        ["\xCE\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xAE"],
        ["\xE5\xAF\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xC0"],

        ["\xCE\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x99"],
        ["\xE6\x96\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xC1"],

        ["\xCE\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x81"],
        ["\xE6\xA2\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xC2"],

        ["\xCE\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\xBC"],
        ["\xE6\xB6\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xC3"],

        ["\xCE\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\x9F"],
        ["\xE7\x8C\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xC4"],

        ["\xCE\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x82"],
        ["\xE7\x99\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xC5"],

        ["\xCE\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xAD"],
        ["\xE7\x9E\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xC6"],

        ["\xCE\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x9C"],
        ["\xE7\xA8\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xC7"],

        ["\xCE\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xA7"],
        ["\xE7\xB3\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xC8"],

        ["\xCE\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xAF"],
        ["\xE8\x89\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xC9"],

        ["\xCE\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x92"],
        ["\xE8\xAB\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xCA"],

        ["\xCE\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xBC"],
        ["\xE9\x81\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xCB"],

        ["\xCE\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x8F"],
        ["\xE9\x87\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xCC"],

        ["\xCE\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xB5"],
        ["\xE9\x99\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xCD"],

        ["\xCE\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x98"],
        ["\xE9\xA0\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xCE"],

        ["\xCE\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x9B"],
        ["\xE5\x8A\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xCF"],

        ["\xCE\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x91"],
        ["\xE7\xB7\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xD0"],

        ["\xCE\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xAB"],
        ["\xE5\x80\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xD1"],

        ["\xCE\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\x98"],
        ["\xE5\x8E\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xD2"],

        ["\xCE\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x97"],
        ["\xE6\x9E\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xD3"],

        ["\xCE\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x8B"],
        ["\xE6\xB7\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xD4"],

        ["\xCE\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x90"],
        ["\xE7\x87\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xD5"],

        ["\xCE\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xB3"],
        ["\xE7\x90\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xD6"],

        ["\xCE\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xA8"],
        ["\xE8\x87\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xD7"],

        ["\xCE\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xAA"],
        ["\xE8\xBC\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xD8"],

        ["\xCE\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xA3"],
        ["\xE9\x9A\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xD9"],

        ["\xCE\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x97"],
        ["\xE9\xB1\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xDA"],

        ["\xCE\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x9F"],
        ["\xE9\xBA\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xDB"],

        ["\xCE\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xA0"],
        ["\xE7\x91\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xDC"],

        ["\xCE\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x81"],
        ["\xE5\xA1\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xDD"],

        ["\xCE\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x99"],
        ["\xE6\xB6\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xDE"],

        ["\xCE\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xAF"],
        ["\xE7\xB4\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xDF"],

        ["\xCE\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x9E"],
        ["\xE9\xA1\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xE0"],

        ["\xCE\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xA4"],
        ["\xE4\xBB\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xE1"],

        ["\xCE\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\xB6"],
        ["\xE4\xBC\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xE2"],

        ["\xCE\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x8B"],
        ["\xE4\xBE\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xE3"],

        ["\xCE\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xB7"],
        ["\xE5\x86\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xE4"],

        ["\xCE\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xB1"],
        ["\xE5\x8A\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xE5"],

        ["\xCE\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xBA"],
        ["\xE5\xB6\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xE6"],

        ["\xCE\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x9C"],
        ["\xE6\x80\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xE7"],

        ["\xCE\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xB2"],
        ["\xE7\x8E\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xE8"],

        ["\xCE\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xBC"],
        ["\xE7\xA4\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xE9"],

        ["\xCE\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x93"],
        ["\xE8\x8B\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xEA"],

        ["\xCE\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\xB4"],
        ["\xE9\x88\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xEB"],

        ["\xCE\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xB7"],
        ["\xE9\x9A\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xEC"],

        ["\xCE\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xB6"],
        ["\xE9\x9B\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xED"],

        ["\xCE\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x8A"],
        ["\xE9\x9C\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xEE"],

        ["\xCE\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x97"],
        ["\xE9\xBA\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xEF"],

        ["\xCE\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xA2"],
        ["\xE9\xBD\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xF0"],

        ["\xCE\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xA6"],
        ["\xE6\x9A\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xF1"],

        ["\xCE\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xB4"],
        ["\xE6\xAD\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xF2"],

        ["\xCE\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x97"],
        ["\xE5\x88\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xF3"],

        ["\xCE\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xA3"],
        ["\xE5\x8A\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xF4"],

        ["\xCE\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x88"],
        ["\xE7\x83\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xF5"],

        ["\xCE\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x82"],
        ["\xE8\xA3\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xF6"],

        ["\xCE\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x89"],
        ["\xE5\xBB\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xF7"],

        ["\xCE\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x8B"],
        ["\xE6\x81\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xF8"],

        ["\xCE\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x90"],
        ["\xE6\x86\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xF9"],

        ["\xCE\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xA3"],
        ["\xE6\xBC\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xFA"],

        ["\xCE\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x89"],
        ["\xE7\x85\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xFB"],

        ["\xCE\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xBE"],
        ["\xE7\xB0\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xFC"],

        ["\xCE\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xB4"],
        ["\xE7\xB7\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xFD"],

        ["\xCE\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xAF"],
        ["\xE8\x81\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\xFE"],

        ["\xCF\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xAE"],
        ["\xE8\x93\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xA1"],

        ["\xCF\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xA3"],
        ["\xE9\x80\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xA2"],

        ["\xCF\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xAC"],
        ["\xE9\x8C\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xA3"],

        ["\xCF\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x82"],
        ["\xE5\x91\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xA4"],

        ["\xCF\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xAF"],
        ["\xE9\xAD\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xA5"],

        ["\xCF\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x93"],
        ["\xE6\xAB\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xA6"],

        ["\xCF\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\x89"],
        ["\xE7\x82\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xA7"],

        ["\xCF\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x82"],
        ["\xE8\xB3\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xA8"],

        ["\xCF\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\xAF"],
        ["\xE8\xB7\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xA9"],

        ["\xCF\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\xB2"],
        ["\xE9\x9C\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xAA"],

        ["\xCF\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xB4"],
        ["\xE5\x8A\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xAB"],

        ["\xCF\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\x81"],
        ["\xE5\xA9\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xAC"],

        ["\xCF\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x8A"],
        ["\xE5\xBB\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xAD"],

        ["\xCF\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x84"],
        ["\xE5\xBC\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xAE"],

        ["\xCF\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x97"],
        ["\xE6\x9C\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xAF"],

        ["\xCF\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xBC"],
        ["\xE6\xA5\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xB0"],

        ["\xCF\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x94"],
        ["\xE6\xA6\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xB1"],

        ["\xCF\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xAA"],
        ["\xE6\xB5\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xB2"],

        ["\xCF\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x8F"],
        ["\xE6\xBC\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xB3"],

        ["\xCF\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xA2"],
        ["\xE7\x89\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xB4"],

        ["\xCF\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xBC"],
        ["\xE7\x8B\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xB5"],

        ["\xCF\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\xAD"],
        ["\xE7\xAF\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xB6"],

        ["\xCF\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x81"],
        ["\xE8\x80\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xB7"],

        ["\xCF\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xBE"],
        ["\xE8\x81\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xB8"],

        ["\xCF\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x8B"],
        ["\xE8\x9D\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xB9"],

        ["\xCF\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\x8E"],
        ["\xE9\x83\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xBA"],

        ["\xCF\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xAD"],
        ["\xE5\x85\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xBB"],

        ["\xCF\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x93"],
        ["\xE9\xBA\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xBC"],

        ["\xCF\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x84"],
        ["\xE7\xA6\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xBD"],

        ["\xCF\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x8B"],
        ["\xE8\x82\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xBE"],

        ["\xCF\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xB2"],
        ["\xE9\x8C\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xBF"],

        ["\xCF\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x96"],
        ["\xE8\xAB\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xC0"],

        ["\xCF\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xAD"],
        ["\xE5\x80\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xC1"],

        ["\xCF\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x8C"],
        ["\xE5\x92\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xC2"],

        ["\xCF\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xB1"],
        ["\xE8\xA9\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xC3"],

        ["\xCF\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xAA"],
        ["\xE6\xAD\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xC4"],

        ["\xCF\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x84"],
        ["\xE8\xB3\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xC5"],

        ["\xCF\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x87"],
        ["\xE8\x84\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xC6"],

        ["\xCF\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x91"],
        ["\xE6\x83\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xC7"],

        ["\xCF\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xA0"],
        ["\xE6\x9E\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xC8"],

        ["\xCF\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xB2"],
        ["\xE9\xB7\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xC9"],

        ["\xCF\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x99"],
        ["\xE4\xBA\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xCA"],

        ["\xCF\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x98"],
        ["\xE4\xBA\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xCB"],

        ["\xCF\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x90"],
        ["\xE9\xB0\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xCC"],

        ["\xCF\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xAB"],
        ["\xE8\xA9\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xCD"],

        ["\xCF\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x81"],
        ["\xE8\x97\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xCE"],

        ["\xCF\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xA8"],
        ["\xE8\x95\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xCF"],

        ["\xCF\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x80"],
        ["\xE6\xA4\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xD0"],

        ["\xCF\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\xBE"],
        ["\xE6\xB9\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xD1"],

        ["\xCF\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x97"],
        ["\xE7\xA2\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xD2"],

        ["\xCF\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\x95"],
        ["\xE8\x85\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\xD3"],

        ["\xD0\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x8C"],
        ["\xE5\xBC\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xA1"],

        ["\xD0\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x90"],
        ["\xE4\xB8\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xA2"],

        ["\xD0\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x95"],
        ["\xE4\xB8\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xA3"],

        ["\xD0\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xAA"],
        ["\xE4\xB8\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xA4"],

        ["\xD0\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xB1"],
        ["\xE4\xB8\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xA5"],

        ["\xD0\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xB6"],
        ["\xE4\xB8\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xA6"],

        ["\xD0\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xBC"],
        ["\xE4\xB8\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xA7"],

        ["\xD0\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xBF"],
        ["\xE4\xB8\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xA8"],

        ["\xD0\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x82"],
        ["\xE4\xB9\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xA9"],

        ["\xD0\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x96"],
        ["\xE4\xB9\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xAA"],

        ["\xD0\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x98"],
        ["\xE4\xB9\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xAB"],

        ["\xD0\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x82"],
        ["\xE4\xBA\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xAC"],

        ["\xD0\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x85"],
        ["\xE4\xBA\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xAD"],

        ["\xD0\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\xAB"],
        ["\xE8\xB1\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xAE"],

        ["\xD0\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x8A"],
        ["\xE4\xBA\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xAF"],

        ["\xD0\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x92"],
        ["\xE8\x88\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xB0"],

        ["\xD0\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x8D"],
        ["\xE5\xBC\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xB1"],

        ["\xD0\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x8E"],
        ["\xE4\xBA\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xB2"],

        ["\xD0\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x9E"],
        ["\xE4\xBA\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xB3"],

        ["\xD0\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x9F"],
        ["\xE4\xBA\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xB4"],

        ["\xD0\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xA0"],
        ["\xE4\xBA\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xB5"],

        ["\xD0\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xA2"],
        ["\xE4\xBA\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xB6"],

        ["\xD0\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xB0"],
        ["\xE4\xBA\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xB7"],

        ["\xD0\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xB3"],
        ["\xE4\xBA\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xB8"],

        ["\xD0\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xB6"],
        ["\xE4\xBA\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xB9"],

        ["\xD0\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x8E"],
        ["\xE4\xBB\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xBA"],

        ["\xD0\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x8D"],
        ["\xE4\xBB\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xBB"],

        ["\xD0\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x84"],
        ["\xE4\xBB\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xBC"],

        ["\xD0\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x86"],
        ["\xE4\xBB\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xBD"],

        ["\xD0\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x82"],
        ["\xE4\xBB\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xBE"],

        ["\xD0\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x97"],
        ["\xE4\xBB\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xBF"],

        ["\xD0\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x9E"],
        ["\xE4\xBB\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xC0"],

        ["\xD0\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xAD"],
        ["\xE4\xBB\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xC1"],

        ["\xD0\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x9F"],
        ["\xE4\xBB\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xC2"],

        ["\xD0\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xB7"],
        ["\xE4\xBB\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xC3"],

        ["\xD0\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x89"],
        ["\xE4\xBC\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xC4"],

        ["\xD0\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x9A"],
        ["\xE4\xBD\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xC5"],

        ["\xD0\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\xB0"],
        ["\xE4\xBC\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xC6"],

        ["\xD0\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x9B"],
        ["\xE4\xBD\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xC7"],

        ["\xD0\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x9D"],
        ["\xE4\xBD\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xC8"],

        ["\xD0\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x97"],
        ["\xE4\xBD\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xC9"],

        ["\xD0\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x87"],
        ["\xE4\xBD\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xCA"],

        ["\xD0\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xB6"],
        ["\xE4\xBD\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xCB"],

        ["\xD0\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x88"],
        ["\xE4\xBE\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xCC"],

        ["\xD0\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x8F"],
        ["\xE4\xBE\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xCD"],

        ["\xD0\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x98"],
        ["\xE4\xBE\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xCE"],

        ["\xD0\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xBB"],
        ["\xE4\xBD\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xCF"],

        ["\xD0\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xA9"],
        ["\xE4\xBD\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xD0"],

        ["\xD0\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xB0"],
        ["\xE4\xBD\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xD1"],

        ["\xD0\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x91"],
        ["\xE4\xBE\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xD2"],

        ["\xD0\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xAF"],
        ["\xE4\xBD\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xD3"],

        ["\xD0\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x86"],
        ["\xE4\xBE\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xD4"],

        ["\xD0\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x96"],
        ["\xE4\xBE\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xD5"],

        ["\xD0\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x98"],
        ["\xE5\x84\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xD6"],

        ["\xD0\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x94"],
        ["\xE4\xBF\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xD7"],

        ["\xD0\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x9F"],
        ["\xE4\xBF\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xD8"],

        ["\xD0\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x8E"],
        ["\xE4\xBF\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xD9"],

        ["\xD0\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x98"],
        ["\xE4\xBF\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xDA"],

        ["\xD0\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x9B"],
        ["\xE4\xBF\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xDB"],

        ["\xD0\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x91"],
        ["\xE4\xBF\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xDC"],

        ["\xD0\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x9A"],
        ["\xE4\xBF\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xDD"],

        ["\xD0\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x90"],
        ["\xE4\xBF\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xDE"],

        ["\xD0\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xA4"],
        ["\xE4\xBF\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xDF"],

        ["\xD0\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xA5"],
        ["\xE4\xBF\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xE0"],

        ["\xD0\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x9A"],
        ["\xE5\x80\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xE1"],

        ["\xD0\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xA8"],
        ["\xE5\x80\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xE2"],

        ["\xD0\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x94"],
        ["\xE5\x80\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xE3"],

        ["\xD0\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xAA"],
        ["\xE5\x80\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xE4"],

        ["\xD0\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xA5"],
        ["\xE5\x80\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xE5"],

        ["\xD0\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x85"],
        ["\xE5\x80\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xE6"],

        ["\xD0\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x9C"],
        ["\xE4\xBC\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xE7"],

        ["\xD0\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xB6"],
        ["\xE4\xBF\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xE8"],

        ["\xD0\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xA1"],
        ["\xE5\x80\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xE9"],

        ["\xD0\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xA9"],
        ["\xE5\x80\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xEA"],

        ["\xD0\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xAC"],
        ["\xE5\x80\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xEB"],

        ["\xD0\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xBE"],
        ["\xE4\xBF\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xEC"],

        ["\xD0\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xAF"],
        ["\xE4\xBF\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xED"],

        ["\xD0\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x91"],
        ["\xE5\x80\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xEE"],

        ["\xD0\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x86"],
        ["\xE5\x80\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xEF"],

        ["\xD0\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x83"],
        ["\xE5\x81\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xF0"],

        ["\xD0\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x87"],
        ["\xE5\x81\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xF1"],

        ["\xD0\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x83"],
        ["\xE6\x9C\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xF2"],

        ["\xD0\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x95"],
        ["\xE5\x81\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xF3"],

        ["\xD0\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x90"],
        ["\xE5\x81\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xF4"],

        ["\xD0\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x88"],
        ["\xE5\x81\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xF5"],

        ["\xD0\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x9A"],
        ["\xE5\x81\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xF6"],

        ["\xD0\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x96"],
        ["\xE5\x81\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xF7"],

        ["\xD0\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xAC"],
        ["\xE5\x81\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xF8"],

        ["\xD0\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xB8"],
        ["\xE5\x81\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xF9"],

        ["\xD0\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x80"],
        ["\xE5\x82\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xFA"],

        ["\xD0\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x9A"],
        ["\xE5\x82\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xFB"],

        ["\xD0\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x85"],
        ["\xE5\x82\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xFC"],

        ["\xD0\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xB4"],
        ["\xE5\x82\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xFD"],

        ["\xD0\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xB2"],
        ["\xE5\x82\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\xFE"],

        ["\xD1\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x89"],
        ["\xE5\x83\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xA1"],

        ["\xD1\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x8A"],
        ["\xE5\x83\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xA2"],

        ["\xD1\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xB3"],
        ["\xE5\x82\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xA3"],

        ["\xD1\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x82"],
        ["\xE5\x83\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xA4"],

        ["\xD1\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x96"],
        ["\xE5\x83\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xA5"],

        ["\xD1\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x9E"],
        ["\xE5\x83\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xA6"],

        ["\xD1\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xA5"],
        ["\xE5\x83\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xA7"],

        ["\xD1\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xAD"],
        ["\xE5\x83\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xA8"],

        ["\xD1\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xA3"],
        ["\xE5\x83\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xA9"],

        ["\xD1\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xAE"],
        ["\xE5\x83\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xAA"],

        ["\xD1\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xB9"],
        ["\xE5\x83\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xAB"],

        ["\xD1\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xB5"],
        ["\xE5\x83\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xAC"],

        ["\xD1\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x89"],
        ["\xE5\x84\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xAD"],

        ["\xD1\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x81"],
        ["\xE5\x84\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xAE"],

        ["\xD1\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x82"],
        ["\xE5\x84\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xAF"],

        ["\xD1\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x96"],
        ["\xE5\x84\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xB0"],

        ["\xD1\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x95"],
        ["\xE5\x84\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xB1"],

        ["\xD1\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x94"],
        ["\xE5\x84\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xB2"],

        ["\xD1\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x9A"],
        ["\xE5\x84\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xB3"],

        ["\xD1\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\xA1"],
        ["\xE5\x84\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xB4"],

        ["\xD1\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\xBA"],
        ["\xE5\x84\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xB5"],

        ["\xD1\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\xB7"],
        ["\xE5\x84\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xB6"],

        ["\xD1\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\xBC"],
        ["\xE5\x84\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xB7"],

        ["\xD1\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\xBB"],
        ["\xE5\x84\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xB8"],

        ["\xD1\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\xBF"],
        ["\xE5\x84\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xB9"],

        ["\xD1\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x80"],
        ["\xE5\x85\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xBA"],

        ["\xD1\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x92"],
        ["\xE5\x85\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xBB"],

        ["\xD1\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x8C"],
        ["\xE5\x85\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xBC"],

        ["\xD1\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x94"],
        ["\xE5\x85\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xBD"],

        ["\xD1\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xA2"],
        ["\xE5\x85\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xBE"],

        ["\xD1\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xB8"],
        ["\xE7\xAB\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xBF"],

        ["\xD1\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xA9"],
        ["\xE5\x85\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xC0"],

        ["\xD1\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xAA"],
        ["\xE5\x85\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xC1"],

        ["\xD1\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xAE"],
        ["\xE5\x85\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xC2"],

        ["\xD1\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x80"],
        ["\xE5\x86\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xC3"],

        ["\xD1\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x82"],
        ["\xE5\x86\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xC4"],

        ["\xD1\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x98"],
        ["\xE5\x9B\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xC5"],

        ["\xD1\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x8C"],
        ["\xE5\x86\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xC6"],

        ["\xD1\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x89"],
        ["\xE5\x86\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xC7"],

        ["\xD1\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x8F"],
        ["\xE5\x86\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xC8"],

        ["\xD1\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x91"],
        ["\xE5\x86\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xC9"],

        ["\xD1\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x93"],
        ["\xE5\x86\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xCA"],

        ["\xD1\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x95"],
        ["\xE5\x86\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xCB"],

        ["\xD1\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x96"],
        ["\xE5\x86\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xCC"],

        ["\xD1\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xA4"],
        ["\xE5\x86\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xCD"],

        ["\xD1\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xA6"],
        ["\xE5\x86\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xCE"],

        ["\xD1\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xA2"],
        ["\xE5\x86\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xCF"],

        ["\xD1\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xA9"],
        ["\xE5\x86\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xD0"],

        ["\xD1\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xAA"],
        ["\xE5\x86\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xD1"],

        ["\xD1\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xAB"],
        ["\xE5\x86\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xD2"],

        ["\xD1\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xB3"],
        ["\xE5\x86\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xD3"],

        ["\xD1\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xB1"],
        ["\xE5\x86\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xD4"],

        ["\xD1\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xB2"],
        ["\xE5\x86\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xD5"],

        ["\xD1\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xB0"],
        ["\xE5\x86\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xD6"],

        ["\xD1\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xB5"],
        ["\xE5\x86\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xD7"],

        ["\xD1\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xBD"],
        ["\xE5\x86\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xD8"],

        ["\xD1\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x85"],
        ["\xE5\x87\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xD9"],

        ["\xD1\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x89"],
        ["\xE5\x87\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xDA"],

        ["\xD1\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x9B"],
        ["\xE5\x87\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xDB"],

        ["\xD1\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xA0"],
        ["\xE5\x87\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xDC"],

        ["\xD1\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x95"],
        ["\xE8\x99\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xDD"],

        ["\xD1\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xA9"],
        ["\xE5\x87\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xDE"],

        ["\xD1\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xAD"],
        ["\xE5\x87\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xDF"],

        ["\xD1\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xB0"],
        ["\xE5\x87\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xE0"],

        ["\xD1\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xB5"],
        ["\xE5\x87\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xE1"],

        ["\xD1\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xBE"],
        ["\xE5\x87\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xE2"],

        ["\xD1\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x84"],
        ["\xE5\x88\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xE3"],

        ["\xD1\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x8B"],
        ["\xE5\x88\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xE4"],

        ["\xD1\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x94"],
        ["\xE5\x88\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xE5"],

        ["\xD1\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x8E"],
        ["\xE5\x88\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xE6"],

        ["\xD1\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xA7"],
        ["\xE5\x88\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xE7"],

        ["\xD1\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xAA"],
        ["\xE5\x88\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xE8"],

        ["\xD1\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xAE"],
        ["\xE5\x88\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xE9"],

        ["\xD1\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xB3"],
        ["\xE5\x88\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xEA"],

        ["\xD1\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\xB9"],
        ["\xE5\x88\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xEB"],

        ["\xD1\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x8F"],
        ["\xE5\x89\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xEC"],

        ["\xD1\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x84"],
        ["\xE5\x89\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xED"],

        ["\xD1\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x8B"],
        ["\xE5\x89\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xEE"],

        ["\xD1\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x8C"],
        ["\xE5\x89\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xEF"],

        ["\xD1\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x9E"],
        ["\xE5\x89\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xF0"],

        ["\xD1\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x94"],
        ["\xE5\x89\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xF1"],

        ["\xD1\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xAA"],
        ["\xE5\x89\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xF2"],

        ["\xD1\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xB4"],
        ["\xE5\x89\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xF3"],

        ["\xD1\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xA9"],
        ["\xE5\x89\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xF4"],

        ["\xD1\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xB3"],
        ["\xE5\x89\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xF5"],

        ["\xD1\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xBF"],
        ["\xE5\x89\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xF6"],

        ["\xD1\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xBD"],
        ["\xE5\x89\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xF7"],

        ["\xD1\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x8D"],
        ["\xE5\x8A\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xF8"],

        ["\xD1\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x94"],
        ["\xE5\x8A\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xF9"],

        ["\xD1\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x92"],
        ["\xE5\x8A\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xFA"],

        ["\xD1\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xB1"],
        ["\xE5\x89\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xFB"],

        ["\xD1\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x88"],
        ["\xE5\x8A\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xFC"],

        ["\xD1\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x91"],
        ["\xE5\x8A\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xFD"],

        ["\xD1\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xA8"],
        ["\xE8\xBE\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\xFE"],

        ["\xD2\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xA7"],
        ["\xE8\xBE\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xA1"],

        ["\xD2\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xAC"],
        ["\xE5\x8A\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xA2"],

        ["\xD2\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xAD"],
        ["\xE5\x8A\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xA3"],

        ["\xD2\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xBC"],
        ["\xE5\x8A\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xA4"],

        ["\xD2\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xB5"],
        ["\xE5\x8A\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xA5"],

        ["\xD2\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x81"],
        ["\xE5\x8B\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xA6"],

        ["\xD2\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x8D"],
        ["\xE5\x8B\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xA7"],

        ["\xD2\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x97"],
        ["\xE5\x8B\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xA8"],

        ["\xD2\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x9E"],
        ["\xE5\x8B\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xA9"],

        ["\xD2\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xA3"],
        ["\xE5\x8B\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xAA"],

        ["\xD2\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xA6"],
        ["\xE5\x8B\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xAB"],

        ["\xD2\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xAD"],
        ["\xE9\xA3\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xAC"],

        ["\xD2\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xA0"],
        ["\xE5\x8B\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xAD"],

        ["\xD2\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xB3"],
        ["\xE5\x8B\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xAE"],

        ["\xD2\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xB5"],
        ["\xE5\x8B\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xAF"],

        ["\xD2\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xB8"],
        ["\xE5\x8B\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xB0"],

        ["\xD2\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xB9"],
        ["\xE5\x8B\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xB1"],

        ["\xD2\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x86"],
        ["\xE5\x8C\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xB2"],

        ["\xD2\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x88"],
        ["\xE5\x8C\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xB3"],

        ["\xD2\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xB8"],
        ["\xE7\x94\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xB4"],

        ["\xD2\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x8D"],
        ["\xE5\x8C\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xB5"],

        ["\xD2\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x90"],
        ["\xE5\x8C\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xB6"],

        ["\xD2\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x8F"],
        ["\xE5\x8C\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xB7"],

        ["\xD2\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x95"],
        ["\xE5\x8C\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xB8"],

        ["\xD2\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x9A"],
        ["\xE5\x8C\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xB9"],

        ["\xD2\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xA3"],
        ["\xE5\x8C\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xBA"],

        ["\xD2\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xAF"],
        ["\xE5\x8C\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xBB"],

        ["\xD2\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xB1"],
        ["\xE5\x8C\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xBC"],

        ["\xD2\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xB3"],
        ["\xE5\x8C\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xBD"],

        ["\xD2\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xB8"],
        ["\xE5\x8C\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xBE"],

        ["\xD2\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x80"],
        ["\xE5\x8D\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xBF"],

        ["\xD2\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x86"],
        ["\xE5\x8D\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xC0"],

        ["\xD2\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x85"],
        ["\xE5\x8D\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xC1"],

        ["\xD2\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x97"],
        ["\xE4\xB8\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xC2"],

        ["\xD2\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x89"],
        ["\xE5\x8D\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xC3"],

        ["\xD2\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x8D"],
        ["\xE5\x8D\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xC4"],

        ["\xD2\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x96"],
        ["\xE5\x87\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xC5"],

        ["\xD2\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x9E"],
        ["\xE5\x8D\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xC6"],

        ["\xD2\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xA9"],
        ["\xE5\x8D\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xC7"],

        ["\xD2\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xAE"],
        ["\xE5\x8D\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xC8"],

        ["\xD2\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x98"],
        ["\xE5\xA4\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xC9"],

        ["\xD2\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xBB"],
        ["\xE5\x8D\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xCA"],

        ["\xD2\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xB7"],
        ["\xE5\x8D\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xCB"],

        ["\xD2\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\x82"],
        ["\xE5\x8E\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xCC"],

        ["\xD2\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\x96"],
        ["\xE5\x8E\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xCD"],

        ["\xD2\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xA0"],
        ["\xE5\x8E\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xCE"],

        ["\xD2\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xA6"],
        ["\xE5\x8E\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xCF"],

        ["\xD2\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xA5"],
        ["\xE5\x8E\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xD0"],

        ["\xD2\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xAE"],
        ["\xE5\x8E\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xD1"],

        ["\xD2\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xB0"],
        ["\xE5\x8E\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xD2"],

        ["\xD2\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xB6"],
        ["\xE5\x8E\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xD3"],

        ["\xD2\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x83"],
        ["\xE5\x8F\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xD4"],

        ["\xD2\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x92"],
        ["\xE7\xB0\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xD5"],

        ["\xD2\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x99"],
        ["\xE9\x9B\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xD6"],

        ["\xD2\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x9F"],
        ["\xE5\x8F\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xD7"],

        ["\xD2\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xBC"],
        ["\xE6\x9B\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xD8"],

        ["\xD2\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xAE"],
        ["\xE7\x87\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xD9"],

        ["\xD2\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xAE"],
        ["\xE5\x8F\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xDA"],

        ["\xD2\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xA8"],
        ["\xE5\x8F\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xDB"],

        ["\xD2\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xAD"],
        ["\xE5\x8F\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xDC"],

        ["\xD2\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xBA"],
        ["\xE5\x8F\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xDD"],

        ["\xD2\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x81"],
        ["\xE5\x90\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xDE"],

        ["\xD2\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xBD"],
        ["\xE5\x90\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xDF"],

        ["\xD2\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x80"],
        ["\xE5\x91\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xE0"],

        ["\xD2\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xAC"],
        ["\xE5\x90\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xE1"],

        ["\xD2\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xAD"],
        ["\xE5\x90\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xE2"],

        ["\xD2\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xBC"],
        ["\xE5\x90\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xE3"],

        ["\xD2\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xAE"],
        ["\xE5\x90\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xE4"],

        ["\xD2\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xB6"],
        ["\xE5\x90\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xE5"],

        ["\xD2\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xA9"],
        ["\xE5\x90\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xE6"],

        ["\xD2\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x9D"],
        ["\xE5\x90\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xE7"],

        ["\xD2\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x8E"],
        ["\xE5\x91\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xE8"],

        ["\xD2\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x8F"],
        ["\xE5\x92\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xE9"],

        ["\xD2\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xB5"],
        ["\xE5\x91\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xEA"],

        ["\xD2\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x8E"],
        ["\xE5\x92\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xEB"],

        ["\xD2\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x9F"],
        ["\xE5\x91\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xEC"],

        ["\xD2\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xB1"],
        ["\xE5\x91\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xED"],

        ["\xD2\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xB7"],
        ["\xE5\x91\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xEE"],

        ["\xD2\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xB0"],
        ["\xE5\x91\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xEF"],

        ["\xD2\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x92"],
        ["\xE5\x92\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xF0"],

        ["\xD2\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xBB"],
        ["\xE5\x91\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xF1"],

        ["\xD2\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x80"],
        ["\xE5\x92\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xF2"],

        ["\xD2\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xB6"],
        ["\xE5\x91\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xF3"],

        ["\xD2\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x84"],
        ["\xE5\x92\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xF4"],

        ["\xD2\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x90"],
        ["\xE5\x92\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xF5"],

        ["\xD2\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x86"],
        ["\xE5\x92\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xF6"],

        ["\xD2\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\x87"],
        ["\xE5\x93\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xF7"],

        ["\xD2\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xA2"],
        ["\xE5\x92\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xF8"],

        ["\xD2\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xB8"],
        ["\xE5\x92\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xF9"],

        ["\xD2\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xA5"],
        ["\xE5\x92\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xFA"],

        ["\xD2\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xAC"],
        ["\xE5\x92\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xFB"],

        ["\xD2\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\x84"],
        ["\xE5\x93\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xFC"],

        ["\xD2\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\x88"],
        ["\xE5\x93\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xFD"],

        ["\xD2\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xA8"],
        ["\xE5\x92\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\xFE"],

        ["\xD3\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xAB"],
        ["\xE5\x92\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xA1"],

        ["\xD3\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\x82"],
        ["\xE5\x93\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xA2"],

        ["\xD3\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xA4"],
        ["\xE5\x92\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xA3"],

        ["\xD3\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xBE"],
        ["\xE5\x92\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xA4"],

        ["\xD3\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xBC"],
        ["\xE5\x92\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xA5"],

        ["\xD3\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\x98"],
        ["\xE5\x93\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xA6"],

        ["\xD3\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xA5"],
        ["\xE5\x93\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xA7"],

        ["\xD3\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xA6"],
        ["\xE5\x93\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xA8"],

        ["\xD3\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\x8F"],
        ["\xE5\x94\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xA9"],

        ["\xD3\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\x94"],
        ["\xE5\x94\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xAA"],

        ["\xD3\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xBD"],
        ["\xE5\x93\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xAB"],

        ["\xD3\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xAE"],
        ["\xE5\x93\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xAC"],

        ["\xD3\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xAD"],
        ["\xE5\x93\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xAD"],

        ["\xD3\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xBA"],
        ["\xE5\x93\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xAE"],

        ["\xD3\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xA2"],
        ["\xE5\x93\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xAF"],

        ["\xD3\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\xB9"],
        ["\xE5\x94\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xB0"],

        ["\xD3\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x80"],
        ["\xE5\x95\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xB1"],

        ["\xD3\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\xA3"],
        ["\xE5\x95\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xB2"],

        ["\xD3\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x8C"],
        ["\xE5\x95\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xB3"],

        ["\xD3\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\xAE"],
        ["\xE5\x94\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xB4"],

        ["\xD3\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x9C"],
        ["\xE5\x95\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xB5"],

        ["\xD3\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x85"],
        ["\xE5\x95\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xB6"],

        ["\xD3\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x96"],
        ["\xE5\x95\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xB7"],

        ["\xD3\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x97"],
        ["\xE5\x95\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xB8"],

        ["\xD3\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\xB8"],
        ["\xE5\x94\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xB9"],

        ["\xD3\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\xB3"],
        ["\xE5\x94\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xBA"],

        ["\xD3\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x9D"],
        ["\xE5\x95\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xBB"],

        ["\xD3\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x99"],
        ["\xE5\x96\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xBC"],

        ["\xD3\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x80"],
        ["\xE5\x96\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xBD"],

        ["\xD3\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xAF"],
        ["\xE5\x92\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xBE"],

        ["\xD3\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x8A"],
        ["\xE5\x96\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xBF"],

        ["\xD3\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x9F"],
        ["\xE5\x96\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xC0"],

        ["\xD3\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\xBB"],
        ["\xE5\x95\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xC1"],

        ["\xD3\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\xBE"],
        ["\xE5\x95\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xC2"],

        ["\xD3\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x98"],
        ["\xE5\x96\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xC3"],

        ["\xD3\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x9E"],
        ["\xE5\x96\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xC4"],

        ["\xD3\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\xAE"],
        ["\xE5\x96\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xC5"],

        ["\xD3\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\xBC"],
        ["\xE5\x95\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xC6"],

        ["\xD3\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x83"],
        ["\xE5\x96\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xC7"],

        ["\xD3\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\xA9"],
        ["\xE5\x96\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xC8"],

        ["\xD3\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x87"],
        ["\xE5\x96\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xC9"],

        ["\xD3\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\xA8"],
        ["\xE5\x96\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xCA"],

        ["\xD3\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x9A"],
        ["\xE5\x97\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xCB"],

        ["\xD3\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x85"],
        ["\xE5\x97\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xCC"],

        ["\xD3\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x9F"],
        ["\xE5\x97\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xCD"],

        ["\xD3\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x84"],
        ["\xE5\x97\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xCE"],

        ["\xD3\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x9C"],
        ["\xE5\x97\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xCF"],

        ["\xD3\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\xA4"],
        ["\xE5\x97\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xD0"],

        ["\xD3\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x94"],
        ["\xE5\x97\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xD1"],

        ["\xD3\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\x94"],
        ["\xE5\x98\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xD2"],

        ["\xD3\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\xB7"],
        ["\xE5\x97\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xD3"],

        ["\xD3\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\x96"],
        ["\xE5\x98\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xD4"],

        ["\xD3\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\xBE"],
        ["\xE5\x97\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xD5"],

        ["\xD3\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\xBD"],
        ["\xE5\x97\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xD6"],

        ["\xD3\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\x9B"],
        ["\xE5\x98\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xD7"],

        ["\xD3\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\xB9"],
        ["\xE5\x97\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xD8"],

        ["\xD3\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\x8E"],
        ["\xE5\x99\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xD9"],

        ["\xD3\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\x90"],
        ["\xE5\x99\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xDA"],

        ["\xD3\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x9F"],
        ["\xE7\x87\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xDB"],

        ["\xD3\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xB4"],
        ["\xE5\x98\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xDC"],

        ["\xD3\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xB6"],
        ["\xE5\x98\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xDD"],

        ["\xD3\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xB2"],
        ["\xE5\x98\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xDE"],

        ["\xD3\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xB8"],
        ["\xE5\x98\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xDF"],

        ["\xD3\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xAB"],
        ["\xE5\x99\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xE0"],

        ["\xD3\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xA4"],
        ["\xE5\x99\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xE1"],

        ["\xD3\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xAF"],
        ["\xE5\x98\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xE2"],

        ["\xD3\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xAC"],
        ["\xE5\x99\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xE3"],

        ["\xD3\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xAA"],
        ["\xE5\x99\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xE4"],

        ["\xD3\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x86"],
        ["\xE5\x9A\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xE5"],

        ["\xD3\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x80"],
        ["\xE5\x9A\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xE6"],

        ["\xD3\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x8A"],
        ["\xE5\x9A\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xE7"],

        ["\xD3\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xA0"],
        ["\xE5\x9A\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xE8"],

        ["\xD3\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x94"],
        ["\xE5\x9A\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xE9"],

        ["\xD3\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x8F"],
        ["\xE5\x9A\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xEA"],

        ["\xD3\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xA5"],
        ["\xE5\x9A\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xEB"],

        ["\xD3\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xAE"],
        ["\xE5\x9A\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xEC"],

        ["\xD3\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xB6"],
        ["\xE5\x9A\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xED"],

        ["\xD3\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xB4"],
        ["\xE5\x9A\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xEE"],

        ["\xD3\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x82"],
        ["\xE5\x9B\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xEF"],

        ["\xD3\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xBC"],
        ["\xE5\x9A\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xF0"],

        ["\xD3\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x81"],
        ["\xE5\x9B\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xF1"],

        ["\xD3\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x83"],
        ["\xE5\x9B\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xF2"],

        ["\xD3\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x80"],
        ["\xE5\x9B\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xF3"],

        ["\xD3\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x88"],
        ["\xE5\x9B\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xF4"],

        ["\xD3\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x8E"],
        ["\xE5\x9B\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xF5"],

        ["\xD3\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x91"],
        ["\xE5\x9B\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xF6"],

        ["\xD3\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x93"],
        ["\xE5\x9B\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xF7"],

        ["\xD3\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x97"],
        ["\xE5\x9B\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xF8"],

        ["\xD3\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xAE"],
        ["\xE5\x9B\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xF9"],

        ["\xD3\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xB9"],
        ["\xE5\x9B\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xFA"],

        ["\xD3\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x80"],
        ["\xE5\x9C\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xFB"],

        ["\xD3\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xBF"],
        ["\xE5\x9B\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xFC"],

        ["\xD3\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x84"],
        ["\xE5\x9C\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xFD"],

        ["\xD3\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x89"],
        ["\xE5\x9C\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\xFE"],

        ["\xD4\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x88"],
        ["\xE5\x9C\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xA1"],

        ["\xD4\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x8B"],
        ["\xE5\x9C\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xA2"],

        ["\xD4\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x8D"],
        ["\xE5\x9C\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xA3"],

        ["\xD4\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x93"],
        ["\xE5\x9C\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xA4"],

        ["\xD4\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x98"],
        ["\xE5\x9C\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xA5"],

        ["\xD4\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x96"],
        ["\xE5\x9C\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xA6"],

        ["\xD4\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x87"],
        ["\xE5\x97\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xA7"],

        ["\xD4\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x9C"],
        ["\xE5\x9C\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xA8"],

        ["\xD4\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xA6"],
        ["\xE5\x9C\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xA9"],

        ["\xD4\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xB7"],
        ["\xE5\x9C\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xAA"],

        ["\xD4\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xB8"],
        ["\xE5\x9C\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xAB"],

        ["\xD4\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x8E"],
        ["\xE5\x9D\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xAC"],

        ["\xD4\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xBB"],
        ["\xE5\x9C\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xAD"],

        ["\xD4\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x80"],
        ["\xE5\x9D\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xAE"],

        ["\xD4\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x8F"],
        ["\xE5\x9D\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xAF"],

        ["\xD4\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xA9"],
        ["\xE5\x9D\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xB0"],

        ["\xD4\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x80"],
        ["\xE5\x9F\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xB1"],

        ["\xD4\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\x88"],
        ["\xE5\x9E\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xB2"],

        ["\xD4\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xA1"],
        ["\xE5\x9D\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xB3"],

        ["\xD4\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xBF"],
        ["\xE5\x9D\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xB4"],

        ["\xD4\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\x89"],
        ["\xE5\x9E\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xB5"],

        ["\xD4\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\x93"],
        ["\xE5\x9E\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xB6"],

        ["\xD4\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\xA0"],
        ["\xE5\x9E\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xB7"],

        ["\xD4\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\xB3"],
        ["\xE5\x9E\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xB8"],

        ["\xD4\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\xA4"],
        ["\xE5\x9E\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xB9"],

        ["\xD4\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\xAA"],
        ["\xE5\x9E\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xBA"],

        ["\xD4\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\xB0"],
        ["\xE5\x9E\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xBB"],

        ["\xD4\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x83"],
        ["\xE5\x9F\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xBC"],

        ["\xD4\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x86"],
        ["\xE5\x9F\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xBD"],

        ["\xD4\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x94"],
        ["\xE5\x9F\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xBE"],

        ["\xD4\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x92"],
        ["\xE5\x9F\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xBF"],

        ["\xD4\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x93"],
        ["\xE5\x9F\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xC0"],

        ["\xD4\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x8A"],
        ["\xE5\xA0\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xC1"],

        ["\xD4\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x96"],
        ["\xE5\x9F\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xC2"],

        ["\xD4\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xA3"],
        ["\xE5\x9F\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xC3"],

        ["\xD4\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x8B"],
        ["\xE5\xA0\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xC4"],

        ["\xD4\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x99"],
        ["\xE5\xA0\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xC5"],

        ["\xD4\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x9D"],
        ["\xE5\xA0\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xC6"],

        ["\xD4\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xB2"],
        ["\xE5\xA1\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xC7"],

        ["\xD4\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xA1"],
        ["\xE5\xA0\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xC8"],

        ["\xD4\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xA2"],
        ["\xE5\xA1\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xC9"],

        ["\xD4\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x8B"],
        ["\xE5\xA1\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xCA"],

        ["\xD4\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xB0"],
        ["\xE5\xA1\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xCB"],

        ["\xD4\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x80"],
        ["\xE6\xAF\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xCC"],

        ["\xD4\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x92"],
        ["\xE5\xA1\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xCD"],

        ["\xD4\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xBD"],
        ["\xE5\xA0\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xCE"],

        ["\xD4\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xB9"],
        ["\xE5\xA1\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xCF"],

        ["\xD4\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x85"],
        ["\xE5\xA2\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xD0"],

        ["\xD4\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xB9"],
        ["\xE5\xA2\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xD1"],

        ["\xD4\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x9F"],
        ["\xE5\xA2\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xD2"],

        ["\xD4\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xAB"],
        ["\xE5\xA2\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xD3"],

        ["\xD4\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xBA"],
        ["\xE5\xA2\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xD4"],

        ["\xD4\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x9E"],
        ["\xE5\xA3\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xD5"],

        ["\xD4\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xBB"],
        ["\xE5\xA2\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xD6"],

        ["\xD4\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xB8"],
        ["\xE5\xA2\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xD7"],

        ["\xD4\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xAE"],
        ["\xE5\xA2\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xD8"],

        ["\xD4\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x85"],
        ["\xE5\xA3\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xD9"],

        ["\xD4\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x93"],
        ["\xE5\xA3\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xDA"],

        ["\xD4\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x91"],
        ["\xE5\xA3\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xDB"],

        ["\xD4\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x97"],
        ["\xE5\xA3\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xDC"],

        ["\xD4\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x99"],
        ["\xE5\xA3\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xDD"],

        ["\xD4\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x98"],
        ["\xE5\xA3\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xDE"],

        ["\xD4\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xA5"],
        ["\xE5\xA3\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xDF"],

        ["\xD4\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x9C"],
        ["\xE5\xA3\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xE0"],

        ["\xD4\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xA4"],
        ["\xE5\xA3\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xE1"],

        ["\xD4\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x9F"],
        ["\xE5\xA3\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xE2"],

        ["\xD4\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xAF"],
        ["\xE5\xA3\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xE3"],

        ["\xD4\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xBA"],
        ["\xE5\xA3\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xE4"],

        ["\xD4\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xB9"],
        ["\xE5\xA3\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xE5"],

        ["\xD4\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xBB"],
        ["\xE5\xA3\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xE6"],

        ["\xD4\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xBC"],
        ["\xE5\xA3\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xE7"],

        ["\xD4\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xBD"],
        ["\xE5\xA3\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xE8"],

        ["\xD4\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x82"],
        ["\xE5\xA4\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xE9"],

        ["\xD4\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x8A"],
        ["\xE5\xA4\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xEA"],

        ["\xD4\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x90"],
        ["\xE5\xA4\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xEB"],

        ["\xD4\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x9B"],
        ["\xE5\xA4\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xEC"],

        ["\xD4\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xA6"],
        ["\xE6\xA2\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xED"],

        ["\xD4\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xA5"],
        ["\xE5\xA4\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xEE"],

        ["\xD4\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xAC"],
        ["\xE5\xA4\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xEF"],

        ["\xD4\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xAD"],
        ["\xE5\xA4\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xF0"],

        ["\xD4\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xB2"],
        ["\xE5\xA4\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xF1"],

        ["\xD4\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xB8"],
        ["\xE5\xA4\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xF2"],

        ["\xD4\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xBE"],
        ["\xE5\xA4\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xF3"],

        ["\xD4\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x92"],
        ["\xE7\xAB\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xF4"],

        ["\xD4\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x95"],
        ["\xE5\xA5\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xF5"],

        ["\xD4\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x90"],
        ["\xE5\xA5\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xF6"],

        ["\xD4\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x8E"],
        ["\xE5\xA5\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xF7"],

        ["\xD4\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x9A"],
        ["\xE5\xA5\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xF8"],

        ["\xD4\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x98"],
        ["\xE5\xA5\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xF9"],

        ["\xD4\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xA2"],
        ["\xE5\xA5\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xFA"],

        ["\xD4\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xA0"],
        ["\xE5\xA5\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xFB"],

        ["\xD4\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xA7"],
        ["\xE5\xA5\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xFC"],

        ["\xD4\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xAC"],
        ["\xE5\xA5\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xFD"],

        ["\xD4\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xA9"],
        ["\xE5\xA5\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\xFE"],

        ["\xD5\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xB8"],
        ["\xE5\xA5\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xA1"],

        ["\xD5\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x81"],
        ["\xE5\xA6\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xA2"],

        ["\xD5\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x9D"],
        ["\xE5\xA6\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xA3"],

        ["\xD5\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x9E"],
        ["\xE4\xBD\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xA4"],

        ["\xD5\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\xAB"],
        ["\xE4\xBE\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xA5"],

        ["\xD5\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xA3"],
        ["\xE5\xA6\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xA6"],

        ["\xD5\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xB2"],
        ["\xE5\xA6\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xA7"],

        ["\xD5\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x86"],
        ["\xE5\xA7\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xA8"],

        ["\xD5\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xA8"],
        ["\xE5\xA7\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xA9"],

        ["\xD5\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x9C"],
        ["\xE5\xA7\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xAA"],

        ["\xD5\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x8D"],
        ["\xE5\xA6\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xAB"],

        ["\xD5\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x99"],
        ["\xE5\xA7\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xAC"],

        ["\xD5\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x9A"],
        ["\xE5\xA7\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xAD"],

        ["\xD5\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\xA5"],
        ["\xE5\xA8\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xAE"],

        ["\xD5\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x9F"],
        ["\xE5\xA8\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xAF"],

        ["\xD5\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x91"],
        ["\xE5\xA8\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xB0"],

        ["\xD5\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x9C"],
        ["\xE5\xA8\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xB1"],

        ["\xD5\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x89"],
        ["\xE5\xA8\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xB2"],

        ["\xD5\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x9A"],
        ["\xE5\xA8\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xB3"],

        ["\xD5\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\x80"],
        ["\xE5\xA9\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xB4"],

        ["\xD5\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\xAC"],
        ["\xE5\xA9\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xB5"],

        ["\xD5\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\x89"],
        ["\xE5\xA9\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xB6"],

        ["\xD5\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\xB5"],
        ["\xE5\xA8\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xB7"],

        ["\xD5\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\xB6"],
        ["\xE5\xA8\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xB8"],

        ["\xD5\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\xA2"],
        ["\xE5\xA9\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xB9"],

        ["\xD5\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\xAA"],
        ["\xE5\xA9\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xBA"],

        ["\xD5\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\x9A"],
        ["\xE5\xAA\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xBB"],

        ["\xD5\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\xBC"],
        ["\xE5\xAA\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xBC"],

        ["\xD5\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\xBE"],
        ["\xE5\xAA\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xBD"],

        ["\xD5\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\x8B"],
        ["\xE5\xAB\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xBE"],

        ["\xD5\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\x82"],
        ["\xE5\xAB\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xBF"],

        ["\xD5\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\xBD"],
        ["\xE5\xAA\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xC0"],

        ["\xD5\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\xA3"],
        ["\xE5\xAB\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xC1"],

        ["\xD5\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\x97"],
        ["\xE5\xAB\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xC2"],

        ["\xD5\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\xA6"],
        ["\xE5\xAB\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xC3"],

        ["\xD5\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\xA9"],
        ["\xE5\xAB\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xC4"],

        ["\xD5\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\x96"],
        ["\xE5\xAB\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xC5"],

        ["\xD5\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\xBA"],
        ["\xE5\xAB\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xC6"],

        ["\xD5\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\xBB"],
        ["\xE5\xAB\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xC7"],

        ["\xD5\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\x8C"],
        ["\xE5\xAC\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xC8"],

        ["\xD5\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\x8B"],
        ["\xE5\xAC\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xC9"],

        ["\xD5\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\x96"],
        ["\xE5\xAC\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xCA"],

        ["\xD5\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\xB2"],
        ["\xE5\xAC\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xCB"],

        ["\xD5\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\x90"],
        ["\xE5\xAB\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xCC"],

        ["\xD5\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\xAA"],
        ["\xE5\xAC\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xCD"],

        ["\xD5\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\xB6"],
        ["\xE5\xAC\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xCE"],

        ["\xD5\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\xBE"],
        ["\xE5\xAC\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xCF"],

        ["\xD5\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x83"],
        ["\xE5\xAD\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xD0"],

        ["\xD5\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x85"],
        ["\xE5\xAD\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xD1"],

        ["\xD5\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x80"],
        ["\xE5\xAD\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xD2"],

        ["\xD5\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x91"],
        ["\xE5\xAD\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xD3"],

        ["\xD5\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x95"],
        ["\xE5\xAD\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xD4"],

        ["\xD5\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x9A"],
        ["\xE5\xAD\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xD5"],

        ["\xD5\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x9B"],
        ["\xE5\xAD\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xD6"],

        ["\xD5\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xA5"],
        ["\xE5\xAD\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xD7"],

        ["\xD5\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xA9"],
        ["\xE5\xAD\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xD8"],

        ["\xD5\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xB0"],
        ["\xE5\xAD\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xD9"],

        ["\xD5\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xB3"],
        ["\xE5\xAD\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xDA"],

        ["\xD5\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xB5"],
        ["\xE5\xAD\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xDB"],

        ["\xD5\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xB8"],
        ["\xE5\xAD\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xDC"],

        ["\xD5\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x88"],
        ["\xE6\x96\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xDD"],

        ["\xD5\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xBA"],
        ["\xE5\xAD\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xDE"],

        ["\xD5\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x80"],
        ["\xE5\xAE\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xDF"],

        ["\xD5\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x83"],
        ["\xE5\xAE\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xE0"],

        ["\xD5\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xA6"],
        ["\xE5\xAE\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xE1"],

        ["\xD5\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xB8"],
        ["\xE5\xAE\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xE2"],

        ["\xD5\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x83"],
        ["\xE5\xAF\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xE3"],

        ["\xD5\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x87"],
        ["\xE5\xAF\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xE4"],

        ["\xD5\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x89"],
        ["\xE5\xAF\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xE5"],

        ["\xD5\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x94"],
        ["\xE5\xAF\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xE6"],

        ["\xD5\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x90"],
        ["\xE5\xAF\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xE7"],

        ["\xD5\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xA4"],
        ["\xE5\xAF\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xE8"],

        ["\xD5\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xA6"],
        ["\xE5\xAF\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xE9"],

        ["\xD5\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xA2"],
        ["\xE5\xAF\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xEA"],

        ["\xD5\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x9E"],
        ["\xE5\xAF\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xEB"],

        ["\xD5\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xA5"],
        ["\xE5\xAF\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xEC"],

        ["\xD5\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xAB"],
        ["\xE5\xAF\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xED"],

        ["\xD5\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xB0"],
        ["\xE5\xAF\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xEE"],

        ["\xD5\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xB6"],
        ["\xE5\xAF\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xEF"],

        ["\xD5\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xB3"],
        ["\xE5\xAF\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xF0"],

        ["\xD5\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x85"],
        ["\xE5\xB0\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xF1"],

        ["\xD5\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x87"],
        ["\xE5\xB0\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xF2"],

        ["\xD5\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x88"],
        ["\xE5\xB0\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xF3"],

        ["\xD5\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x8D"],
        ["\xE5\xB0\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xF4"],

        ["\xD5\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x93"],
        ["\xE5\xB0\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xF5"],

        ["\xD5\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xA0"],
        ["\xE5\xB0\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xF6"],

        ["\xD5\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xA2"],
        ["\xE5\xB0\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xF7"],

        ["\xD5\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xA8"],
        ["\xE5\xB0\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xF8"],

        ["\xD5\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xB8"],
        ["\xE5\xB0\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xF9"],

        ["\xD5\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xB9"],
        ["\xE5\xB0\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xFA"],

        ["\xD5\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x81"],
        ["\xE5\xB1\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xFB"],

        ["\xD5\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x86"],
        ["\xE5\xB1\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xFC"],

        ["\xD5\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x8E"],
        ["\xE5\xB1\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xFD"],

        ["\xD5\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x93"],
        ["\xE5\xB1\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\xFE"],

        ["\xD6\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x90"],
        ["\xE5\xB1\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xA1"],

        ["\xD6\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x8F"],
        ["\xE5\xB1\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xA2"],

        ["\xD6\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xB1"],
        ["\xE5\xAD\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xA3"],

        ["\xD6\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xAC"],
        ["\xE5\xB1\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xA4"],

        ["\xD6\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xAE"],
        ["\xE5\xB1\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xA5"],

        ["\xD6\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\xA2"],
        ["\xE4\xB9\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xA6"],

        ["\xD6\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xB6"],
        ["\xE5\xB1\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xA7"],

        ["\xD6\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xB9"],
        ["\xE5\xB1\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xA8"],

        ["\xD6\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\x8C"],
        ["\xE5\xB2\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xA9"],

        ["\xD6\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\x91"],
        ["\xE5\xB2\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xAA"],

        ["\xD6\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\x94"],
        ["\xE5\xB2\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xAB"],

        ["\xD6\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x9B"],
        ["\xE5\xA6\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xAC"],

        ["\xD6\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xAB"],
        ["\xE5\xB2\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xAD"],

        ["\xD6\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xBB"],
        ["\xE5\xB2\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xAE"],

        ["\xD6\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xB6"],
        ["\xE5\xB2\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xAF"],

        ["\xD6\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xBC"],
        ["\xE5\xB2\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xB0"],

        ["\xD6\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xB7"],
        ["\xE5\xB2\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xB1"],

        ["\xD6\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\x85"],
        ["\xE5\xB3\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xB2"],

        ["\xD6\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xBE"],
        ["\xE5\xB2\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xB3"],

        ["\xD6\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\x87"],
        ["\xE5\xB3\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xB4"],

        ["\xD6\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\x99"],
        ["\xE5\xB3\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xB5"],

        ["\xD6\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xA9"],
        ["\xE5\xB3\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xB6"],

        ["\xD6\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xBD"],
        ["\xE5\xB3\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xB7"],

        ["\xD6\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xBA"],
        ["\xE5\xB3\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xB8"],

        ["\xD6\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xAD"],
        ["\xE5\xB3\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xB9"],

        ["\xD6\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x8C"],
        ["\xE5\xB6\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xBA"],

        ["\xD6\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xAA"],
        ["\xE5\xB3\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xBB"],

        ["\xD6\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x8B"],
        ["\xE5\xB4\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xBC"],

        ["\xD6\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x95"],
        ["\xE5\xB4\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xBD"],

        ["\xD6\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x97"],
        ["\xE5\xB4\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xBE"],

        ["\xD6\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\x9C"],
        ["\xE5\xB5\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xBF"],

        ["\xD6\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x9F"],
        ["\xE5\xB4\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xC0"],

        ["\xD6\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x9B"],
        ["\xE5\xB4\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xC1"],

        ["\xD6\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x91"],
        ["\xE5\xB4\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xC2"],

        ["\xD6\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x94"],
        ["\xE5\xB4\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xC3"],

        ["\xD6\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\xA2"],
        ["\xE5\xB4\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xC4"],

        ["\xD6\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x9A"],
        ["\xE5\xB4\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xC5"],

        ["\xD6\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x99"],
        ["\xE5\xB4\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xC6"],

        ["\xD6\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x98"],
        ["\xE5\xB4\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xC7"],

        ["\xD6\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\x8C"],
        ["\xE5\xB5\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xC8"],

        ["\xD6\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\x92"],
        ["\xE5\xB5\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xC9"],

        ["\xD6\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\x8E"],
        ["\xE5\xB5\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xCA"],

        ["\xD6\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\x8B"],
        ["\xE5\xB5\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xCB"],

        ["\xD6\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\xAC"],
        ["\xE5\xB5\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xCC"],

        ["\xD6\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\xB3"],
        ["\xE5\xB5\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xCD"],

        ["\xD6\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\xB6"],
        ["\xE5\xB5\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xCE"],

        ["\xD6\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x87"],
        ["\xE5\xB6\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xCF"],

        ["\xD6\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x84"],
        ["\xE5\xB6\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xD0"],

        ["\xD6\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x82"],
        ["\xE5\xB6\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xD1"],

        ["\xD6\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xA2"],
        ["\xE5\xB6\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xD2"],

        ["\xD6\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x9D"],
        ["\xE5\xB6\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xD3"],

        ["\xD6\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xAC"],
        ["\xE5\xB6\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xD4"],

        ["\xD6\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xAE"],
        ["\xE5\xB6\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xD5"],

        ["\xD6\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xBD"],
        ["\xE5\xB6\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xD6"],

        ["\xD6\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x90"],
        ["\xE5\xB6\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xD7"],

        ["\xD6\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xB7"],
        ["\xE5\xB6\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xD8"],

        ["\xD6\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xBC"],
        ["\xE5\xB6\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xD9"],

        ["\xD6\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x89"],
        ["\xE5\xB7\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xDA"],

        ["\xD6\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x8D"],
        ["\xE5\xB7\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xDB"],

        ["\xD6\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x93"],
        ["\xE5\xB7\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xDC"],

        ["\xD6\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x92"],
        ["\xE5\xB7\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xDD"],

        ["\xD6\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x96"],
        ["\xE5\xB7\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xDE"],

        ["\xD6\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x9B"],
        ["\xE5\xB7\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xDF"],

        ["\xD6\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xAB"],
        ["\xE5\xB7\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xE0"],

        ["\xD6\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xB2"],
        ["\xE5\xB7\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xE1"],

        ["\xD6\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xB5"],
        ["\xE5\xB7\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xE2"],

        ["\xD6\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x8B"],
        ["\xE5\xB8\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xE3"],

        ["\xD6\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x9A"],
        ["\xE5\xB8\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xE4"],

        ["\xD6\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x99"],
        ["\xE5\xB8\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xE5"],

        ["\xD6\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x91"],
        ["\xE5\xB8\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xE6"],

        ["\xD6\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x9B"],
        ["\xE5\xB8\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xE7"],

        ["\xD6\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xB6"],
        ["\xE5\xB8\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xE8"],

        ["\xD6\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xB7"],
        ["\xE5\xB8\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xE9"],

        ["\xD6\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x84"],
        ["\xE5\xB9\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xEA"],

        ["\xD6\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x83"],
        ["\xE5\xB9\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xEB"],

        ["\xD6\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x80"],
        ["\xE5\xB9\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xEC"],

        ["\xD6\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x8E"],
        ["\xE5\xB9\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xED"],

        ["\xD6\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x97"],
        ["\xE5\xB9\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xEE"],

        ["\xD6\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x94"],
        ["\xE5\xB9\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xEF"],

        ["\xD6\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x9F"],
        ["\xE5\xB9\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xF0"],

        ["\xD6\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xA2"],
        ["\xE5\xB9\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xF1"],

        ["\xD6\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xA4"],
        ["\xE5\xB9\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xF2"],

        ["\xD6\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x87"],
        ["\xE5\xB9\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xF3"],

        ["\xD6\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xB5"],
        ["\xE5\xB9\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xF4"],

        ["\xD6\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xB6"],
        ["\xE5\xB9\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xF5"],

        ["\xD6\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xBA"],
        ["\xE5\xB9\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xF6"],

        ["\xD6\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xBC"],
        ["\xE9\xBA\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xF7"],

        ["\xD6\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xBF"],
        ["\xE5\xB9\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xF8"],

        ["\xD6\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xA0"],
        ["\xE5\xBA\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xF9"],

        ["\xD6\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x81"],
        ["\xE5\xBB\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xFA"],

        ["\xD6\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x82"],
        ["\xE5\xBB\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xFB"],

        ["\xD6\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x88"],
        ["\xE5\xBB\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xFC"],

        ["\xD6\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x90"],
        ["\xE5\xBB\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xFD"],

        ["\xD6\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x8F"],
        ["\xE5\xBB\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\xFE"],

        ["\xD7\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x96"],
        ["\xE5\xBB\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xA1"],

        ["\xD7\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xA3"],
        ["\xE5\xBB\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xA2"],

        ["\xD7\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x9D"],
        ["\xE5\xBB\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xA3"],

        ["\xD7\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x9A"],
        ["\xE5\xBB\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xA4"],

        ["\xD7\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x9B"],
        ["\xE5\xBB\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xA5"],

        ["\xD7\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xA2"],
        ["\xE5\xBB\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xA6"],

        ["\xD7\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xA1"],
        ["\xE5\xBB\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xA7"],

        ["\xD7\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xA8"],
        ["\xE5\xBB\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xA8"],

        ["\xD7\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xA9"],
        ["\xE5\xBB\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xA9"],

        ["\xD7\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xAC"],
        ["\xE5\xBB\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xAA"],

        ["\xD7\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xB1"],
        ["\xE5\xBB\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xAB"],

        ["\xD7\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xB3"],
        ["\xE5\xBB\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xAC"],

        ["\xD7\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xB0"],
        ["\xE5\xBB\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xAD"],

        ["\xD7\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xB4"],
        ["\xE5\xBB\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xAE"],

        ["\xD7\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xB8"],
        ["\xE5\xBB\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xAF"],

        ["\xD7\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xBE"],
        ["\xE5\xBB\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xB0"],

        ["\xD7\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x83"],
        ["\xE5\xBC\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xB1"],

        ["\xD7\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x89"],
        ["\xE5\xBC\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xB2"],

        ["\xD7\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x9D"],
        ["\xE5\xBD\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xB3"],

        ["\xD7\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x9C"],
        ["\xE5\xBD\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xB4"],

        ["\xD7\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x8B"],
        ["\xE5\xBC\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xB5"],

        ["\xD7\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x91"],
        ["\xE5\xBC\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xB6"],

        ["\xD7\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x96"],
        ["\xE5\xBC\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xB7"],

        ["\xD7\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xA9"],
        ["\xE5\xBC\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xB8"],

        ["\xD7\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xAD"],
        ["\xE5\xBC\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xB9"],

        ["\xD7\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xB8"],
        ["\xE5\xBC\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xBA"],

        ["\xD7\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x88"],
        ["\xE5\xBD\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xBC"],

        ["\xD7\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x8C"],
        ["\xE5\xBD\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xBD"],

        ["\xD7\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x8E"],
        ["\xE5\xBD\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xBE"],

        ["\xD7\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xAF"],
        ["\xE5\xBC\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xBF"],

        ["\xD7\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x91"],
        ["\xE5\xBD\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xC0"],

        ["\xD7\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x96"],
        ["\xE5\xBD\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xC1"],

        ["\xD7\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x97"],
        ["\xE5\xBD\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xC2"],

        ["\xD7\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x99"],
        ["\xE5\xBD\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xC3"],

        ["\xD7\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xA1"],
        ["\xE5\xBD\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xC4"],

        ["\xD7\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xAD"],
        ["\xE5\xBD\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xC5"],

        ["\xD7\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xB3"],
        ["\xE5\xBD\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xC6"],

        ["\xD7\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xB7"],
        ["\xE5\xBD\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xC7"],

        ["\xD7\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x83"],
        ["\xE5\xBE\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xC8"],

        ["\xD7\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x82"],
        ["\xE5\xBE\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xC9"],

        ["\xD7\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xBF"],
        ["\xE5\xBD\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xCA"],

        ["\xD7\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x8A"],
        ["\xE5\xBE\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xCB"],

        ["\xD7\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x88"],
        ["\xE5\xBE\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xCC"],

        ["\xD7\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x91"],
        ["\xE5\xBE\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xCD"],

        ["\xD7\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x87"],
        ["\xE5\xBE\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xCE"],

        ["\xD7\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x9E"],
        ["\xE5\xBE\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xCF"],

        ["\xD7\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x99"],
        ["\xE5\xBE\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xD0"],

        ["\xD7\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x98"],
        ["\xE5\xBE\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xD1"],

        ["\xD7\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xA0"],
        ["\xE5\xBE\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xD2"],

        ["\xD7\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xA8"],
        ["\xE5\xBE\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xD3"],

        ["\xD7\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xAD"],
        ["\xE5\xBE\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xD4"],

        ["\xD7\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xBC"],
        ["\xE5\xBE\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xD5"],

        ["\xD7\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x96"],
        ["\xE5\xBF\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xD6"],

        ["\xD7\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xBB"],
        ["\xE5\xBF\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xD7"],

        ["\xD7\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xA4"],
        ["\xE5\xBF\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xD8"],

        ["\xD7\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xB8"],
        ["\xE5\xBF\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xD9"],

        ["\xD7\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xB1"],
        ["\xE5\xBF\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xDA"],

        ["\xD7\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x9D"],
        ["\xE5\xBF\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xDB"],

        ["\xD7\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xB3"],
        ["\xE6\x82\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xDC"],

        ["\xD7\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xBF"],
        ["\xE5\xBF\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xDD"],

        ["\xD7\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xA1"],
        ["\xE6\x80\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xDE"],

        ["\xD7\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xA0"],
        ["\xE6\x81\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xDF"],

        ["\xD7\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x99"],
        ["\xE6\x80\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xE0"],

        ["\xD7\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x90"],
        ["\xE6\x80\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xE1"],

        ["\xD7\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xA9"],
        ["\xE6\x80\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xE2"],

        ["\xD7\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x8E"],
        ["\xE6\x80\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xE3"],

        ["\xD7\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xB1"],
        ["\xE6\x80\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xE4"],

        ["\xD7\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x9B"],
        ["\xE6\x80\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xE5"],

        ["\xD7\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x95"],
        ["\xE6\x80\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xE6"],

        ["\xD7\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xAB"],
        ["\xE6\x80\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xE7"],

        ["\xD7\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xA6"],
        ["\xE6\x80\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xE8"],

        ["\xD7\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x8F"],
        ["\xE6\x80\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xE9"],

        ["\xD7\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xBA"],
        ["\xE6\x80\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xEA"],

        ["\xD7\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x9A"],
        ["\xE6\x81\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xEB"],

        ["\xD7\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x81"],
        ["\xE6\x81\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xEC"],

        ["\xD7\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xAA"],
        ["\xE6\x81\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xED"],

        ["\xD7\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xB7"],
        ["\xE6\x81\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xEE"],

        ["\xD7\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x9F"],
        ["\xE6\x81\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xEF"],

        ["\xD7\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x8A"],
        ["\xE6\x81\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xF0"],

        ["\xD7\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x86"],
        ["\xE6\x81\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xF1"],

        ["\xD7\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x8D"],
        ["\xE6\x81\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xF2"],

        ["\xD7\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xA3"],
        ["\xE6\x81\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xF3"],

        ["\xD7\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x83"],
        ["\xE6\x81\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xF4"],

        ["\xD7\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xA4"],
        ["\xE6\x81\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xF5"],

        ["\xD7\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x82"],
        ["\xE6\x81\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xF6"],

        ["\xD7\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xAC"],
        ["\xE6\x81\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xF7"],

        ["\xD7\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xAB"],
        ["\xE6\x81\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xF8"],

        ["\xD7\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x99"],
        ["\xE6\x81\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xF9"],

        ["\xD7\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x81"],
        ["\xE6\x82\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xFA"],

        ["\xD7\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x8D"],
        ["\xE6\x82\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xFB"],

        ["\xD7\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xA7"],
        ["\xE6\x83\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xFC"],

        ["\xD7\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x83"],
        ["\xE6\x82\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xFD"],

        ["\xD7\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x9A"],
        ["\xE6\x82\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xFE"],

        ["\xD8\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x84"],
        ["\xE6\x82\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xA1"],

        ["\xD8\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x9B"],
        ["\xE6\x82\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xA2"],

        ["\xD8\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x96"],
        ["\xE6\x82\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xA3"],

        ["\xD8\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x97"],
        ["\xE6\x82\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xA4"],

        ["\xD8\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x92"],
        ["\xE6\x82\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xA5"],

        ["\xD8\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xA7"],
        ["\xE6\x82\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xA6"],

        ["\xD8\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x8B"],
        ["\xE6\x82\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xA7"],

        ["\xD8\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xA1"],
        ["\xE6\x83\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xA8"],

        ["\xD8\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xB8"],
        ["\xE6\x82\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xA9"],

        ["\xD8\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xA0"],
        ["\xE6\x83\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xAA"],

        ["\xD8\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x93"],
        ["\xE6\x83\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xAB"],

        ["\xD8\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xB4"],
        ["\xE6\x82\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xAC"],

        ["\xD8\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xB0"],
        ["\xE5\xBF\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xAD"],

        ["\xD8\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xBD"],
        ["\xE6\x82\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xAE"],

        ["\xD8\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x86"],
        ["\xE6\x83\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xAF"],

        ["\xD8\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xB5"],
        ["\xE6\x82\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xB0"],

        ["\xD8\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x98"],
        ["\xE6\x83\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xB1"],

        ["\xD8\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x8D"],
        ["\xE6\x85\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xB2"],

        ["\xD8\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x95"],
        ["\xE6\x84\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xB3"],

        ["\xD8\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x86"],
        ["\xE6\x84\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xB4"],

        ["\xD8\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xB6"],
        ["\xE6\x83\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xB5"],

        ["\xD8\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xB7"],
        ["\xE6\x83\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xB6"],

        ["\xD8\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x80"],
        ["\xE6\x84\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xB7"],

        ["\xD8\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xB4"],
        ["\xE6\x83\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xB8"],

        ["\xD8\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xBA"],
        ["\xE6\x83\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xB9"],

        ["\xD8\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x83"],
        ["\xE6\x84\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xBA"],

        ["\xD8\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xA1"],
        ["\xE6\x84\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xBB"],

        ["\xD8\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xBB"],
        ["\xE6\x83\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xBC"],

        ["\xD8\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xB1"],
        ["\xE6\x83\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xBD"],

        ["\xD8\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x8D"],
        ["\xE6\x84\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xBE"],

        ["\xD8\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x8E"],
        ["\xE6\x84\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xBF"],

        ["\xD8\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x87"],
        ["\xE6\x85\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xC0"],

        ["\xD8\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xBE"],
        ["\xE6\x84\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xC1"],

        ["\xD8\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xA8"],
        ["\xE6\x84\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xC2"],

        ["\xD8\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xA7"],
        ["\xE6\x84\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xC3"],

        ["\xD8\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x8A"],
        ["\xE6\x85\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xC4"],

        ["\xD8\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xBF"],
        ["\xE6\x84\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xC5"],

        ["\xD8\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xBC"],
        ["\xE6\x84\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xC6"],

        ["\xD8\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xAC"],
        ["\xE6\x84\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xC7"],

        ["\xD8\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xB4"],
        ["\xE6\x84\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xC8"],

        ["\xD8\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xBD"],
        ["\xE6\x84\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xC9"],

        ["\xD8\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x82"],
        ["\xE6\x85\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xCA"],

        ["\xD8\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x84"],
        ["\xE6\x85\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xCB"],

        ["\xD8\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xB3"],
        ["\xE6\x85\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xCC"],

        ["\xD8\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xB7"],
        ["\xE6\x85\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xCD"],

        ["\xD8\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x98"],
        ["\xE6\x85\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xCE"],

        ["\xD8\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x99"],
        ["\xE6\x85\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xCF"],

        ["\xD8\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x9A"],
        ["\xE6\x85\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xD0"],

        ["\xD8\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xAB"],
        ["\xE6\x85\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xD1"],

        ["\xD8\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xB4"],
        ["\xE6\x85\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xD2"],

        ["\xD8\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xAF"],
        ["\xE6\x85\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xD3"],

        ["\xD8\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xA5"],
        ["\xE6\x85\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xD4"],

        ["\xD8\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xB1"],
        ["\xE6\x85\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xD5"],

        ["\xD8\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x9F"],
        ["\xE6\x85\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xD6"],

        ["\xD8\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x9D"],
        ["\xE6\x85\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xD7"],

        ["\xD8\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x93"],
        ["\xE6\x85\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xD8"],

        ["\xD8\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xB5"],
        ["\xE6\x85\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xD9"],

        ["\xD8\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x99"],
        ["\xE6\x86\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xDA"],

        ["\xD8\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x96"],
        ["\xE6\x86\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xDB"],

        ["\xD8\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x87"],
        ["\xE6\x86\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xDC"],

        ["\xD8\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xAC"],
        ["\xE6\x86\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xDD"],

        ["\xD8\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x94"],
        ["\xE6\x86\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xDE"],

        ["\xD8\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x9A"],
        ["\xE6\x86\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xDF"],

        ["\xD8\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x8A"],
        ["\xE6\x86\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xE0"],

        ["\xD8\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x91"],
        ["\xE6\x86\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xE1"],

        ["\xD8\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xAB"],
        ["\xE6\x86\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xE2"],

        ["\xD8\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xAE"],
        ["\xE6\x86\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xE3"],

        ["\xD8\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x8C"],
        ["\xE6\x87\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xE4"],

        ["\xD8\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x8A"],
        ["\xE6\x87\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xE5"],

        ["\xD8\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x89"],
        ["\xE6\x87\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xE6"],

        ["\xD8\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xB7"],
        ["\xE6\x87\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xE7"],

        ["\xD8\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x88"],
        ["\xE6\x87\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xE8"],

        ["\xD8\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x83"],
        ["\xE6\x87\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xE9"],

        ["\xD8\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x86"],
        ["\xE6\x87\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xEA"],

        ["\xD8\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xBA"],
        ["\xE6\x86\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xEB"],

        ["\xD8\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x8B"],
        ["\xE6\x87\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xEC"],

        ["\xD8\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xB9"],
        ["\xE7\xBD\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xED"],

        ["\xD8\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x8D"],
        ["\xE6\x87\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xEE"],

        ["\xD8\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xA6"],
        ["\xE6\x87\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xEF"],

        ["\xD8\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xA3"],
        ["\xE6\x87\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xF0"],

        ["\xD8\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xB6"],
        ["\xE6\x87\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xF1"],

        ["\xD8\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xBA"],
        ["\xE6\x87\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xF2"],

        ["\xD8\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xB4"],
        ["\xE6\x87\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xF3"],

        ["\xD8\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xBF"],
        ["\xE6\x87\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xF4"],

        ["\xD8\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xBD"],
        ["\xE6\x87\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xF5"],

        ["\xD8\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xBC"],
        ["\xE6\x87\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xF6"],

        ["\xD8\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xBE"],
        ["\xE6\x87\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xF7"],

        ["\xD8\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x80"],
        ["\xE6\x88\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xF8"],

        ["\xD8\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x88"],
        ["\xE6\x88\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xF9"],

        ["\xD8\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x89"],
        ["\xE6\x88\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xFA"],

        ["\xD8\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x8D"],
        ["\xE6\x88\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xFB"],

        ["\xD8\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x8C"],
        ["\xE6\x88\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xFC"],

        ["\xD8\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x94"],
        ["\xE6\x88\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xFD"],

        ["\xD8\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x9B"],
        ["\xE6\x88\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\xFE"],

        ["\xD9\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x9E"],
        ["\xE6\x88\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xA1"],

        ["\xD9\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xA1"],
        ["\xE6\x88\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xA2"],

        ["\xD9\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xAA"],
        ["\xE6\x88\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xA3"],

        ["\xD9\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xAE"],
        ["\xE6\x88\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xA4"],

        ["\xD9\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xB0"],
        ["\xE6\x88\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xA5"],

        ["\xD9\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xB2"],
        ["\xE6\x88\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xA6"],

        ["\xD9\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xB3"],
        ["\xE6\x88\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xA7"],

        ["\xD9\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x81"],
        ["\xE6\x89\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xA8"],

        ["\xD9\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x8E"],
        ["\xE6\x89\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xA9"],

        ["\xD9\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x9E"],
        ["\xE6\x89\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xAA"],

        ["\xD9\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xA3"],
        ["\xE6\x89\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xAB"],

        ["\xD9\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x9B"],
        ["\xE6\x89\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xAC"],

        ["\xD9\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xA0"],
        ["\xE6\x89\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xAD"],

        ["\xD9\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xA8"],
        ["\xE6\x89\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xAE"],

        ["\xD9\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xBC"],
        ["\xE6\x89\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xAF"],

        ["\xD9\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x82"],
        ["\xE6\x8A\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xB0"],

        ["\xD9\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x89"],
        ["\xE6\x8A\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xB1"],

        ["\xD9\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xBE"],
        ["\xE6\x89\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xB2"],

        ["\xD9\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x92"],
        ["\xE6\x8A\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xB3"],

        ["\xD9\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x93"],
        ["\xE6\x8A\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xB4"],

        ["\xD9\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x96"],
        ["\xE6\x8A\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xB5"],

        ["\xD9\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x94"],
        ["\xE6\x8B\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xB6"],

        ["\xD9\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x83"],
        ["\xE6\x8A\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xB7"],

        ["\xD9\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x94"],
        ["\xE6\x8A\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xB8"],

        ["\xD9\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x97"],
        ["\xE6\x8B\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xB9"],

        ["\xD9\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x91"],
        ["\xE6\x8B\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xBA"],

        ["\xD9\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\xBB"],
        ["\xE6\x8A\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xBB"],

        ["\xD9\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x8F"],
        ["\xE6\x8B\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xBC"],

        ["\xD9\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xBF"],
        ["\xE6\x8B\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xBD"],

        ["\xD9\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x86"],
        ["\xE6\x8B\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xBE"],

        ["\xD9\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x94"],
        ["\xE6\x93\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xBF"],

        ["\xD9\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x88"],
        ["\xE6\x8B\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xC0"],

        ["\xD9\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x9C"],
        ["\xE6\x8B\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xC1"],

        ["\xD9\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x8C"],
        ["\xE6\x8B\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xC2"],

        ["\xD9\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x8A"],
        ["\xE6\x8B\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xC3"],

        ["\xD9\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x82"],
        ["\xE6\x8B\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xC4"],

        ["\xD9\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x87"],
        ["\xE6\x8B\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xC5"],

        ["\xD9\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x9B"],
        ["\xE6\x8A\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xC6"],

        ["\xD9\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x89"],
        ["\xE6\x8B\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xC7"],

        ["\xD9\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x8C"],
        ["\xE6\x8C\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xC8"],

        ["\xD9\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xAE"],
        ["\xE6\x8B\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xC9"],

        ["\xD9\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xB1"],
        ["\xE6\x8B\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xCA"],

        ["\xD9\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xA7"],
        ["\xE6\x8C\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xCB"],

        ["\xD9\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x82"],
        ["\xE6\x8C\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xCC"],

        ["\xD9\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x88"],
        ["\xE6\x8C\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xCD"],

        ["\xD9\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xAF"],
        ["\xE6\x8B\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xCE"],

        ["\xD9\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xB5"],
        ["\xE6\x8B\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xCF"],

        ["\xD9\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x90"],
        ["\xE6\x8D\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xD0"],

        ["\xD9\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xBE"],
        ["\xE6\x8C\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xD1"],

        ["\xD9\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x8D"],
        ["\xE6\x8D\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xD2"],

        ["\xD9\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\x9C"],
        ["\xE6\x90\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xD3"],

        ["\xD9\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x8F"],
        ["\xE6\x8D\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xD4"],

        ["\xD9\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x96"],
        ["\xE6\x8E\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xD5"],

        ["\xD9\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x8E"],
        ["\xE6\x8E\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xD6"],

        ["\xD9\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x80"],
        ["\xE6\x8E\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xD7"],

        ["\xD9\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xAB"],
        ["\xE6\x8E\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xD8"],

        ["\xD9\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xB6"],
        ["\xE6\x8D\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xD9"],

        ["\xD9\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xA3"],
        ["\xE6\x8E\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xDA"],

        ["\xD9\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x8F"],
        ["\xE6\x8E\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xDB"],

        ["\xD9\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x89"],
        ["\xE6\x8E\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xDC"],

        ["\xD9\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x9F"],
        ["\xE6\x8E\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xDD"],

        ["\xD9\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xB5"],
        ["\xE6\x8E\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xDE"],

        ["\xD9\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xAB"],
        ["\xE6\x8D\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xDF"],

        ["\xD9\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xA9"],
        ["\xE6\x8D\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xE0"],

        ["\xD9\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xBE"],
        ["\xE6\x8E\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xE1"],

        ["\xD9\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xA9"],
        ["\xE6\x8F\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xE2"],

        ["\xD9\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x80"],
        ["\xE6\x8F\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xE3"],

        ["\xD9\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x86"],
        ["\xE6\x8F\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xE4"],

        ["\xD9\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xA3"],
        ["\xE6\x8F\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xE5"],

        ["\xD9\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x89"],
        ["\xE6\x8F\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xE6"],

        ["\xD9\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x92"],
        ["\xE6\x8F\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xE7"],

        ["\xD9\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xB6"],
        ["\xE6\x8F\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xE8"],

        ["\xD9\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x84"],
        ["\xE6\x8F\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xE9"],

        ["\xD9\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\x96"],
        ["\xE6\x90\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xEA"],

        ["\xD9\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xB4"],
        ["\xE6\x90\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xEB"],

        ["\xD9\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\x86"],
        ["\xE6\x90\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xEC"],

        ["\xD9\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\x93"],
        ["\xE6\x90\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xED"],

        ["\xD9\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xA6"],
        ["\xE6\x90\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xEE"],

        ["\xD9\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xB6"],
        ["\xE6\x90\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xEF"],

        ["\xD9\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\x9D"],
        ["\xE6\x94\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xF0"],

        ["\xD9\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\x97"],
        ["\xE6\x90\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xF1"],

        ["\xD9\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xA8"],
        ["\xE6\x90\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xF2"],

        ["\xD9\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\x8F"],
        ["\xE6\x90\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xF3"],

        ["\xD9\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\xA7"],
        ["\xE6\x91\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xF4"],

        ["\xD9\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\xAF"],
        ["\xE6\x91\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xF5"],

        ["\xD9\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\xB6"],
        ["\xE6\x91\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xF6"],

        ["\xD9\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\x8E"],
        ["\xE6\x91\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xF7"],

        ["\xD9\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xAA"],
        ["\xE6\x94\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xF8"],

        ["\xD9\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\x95"],
        ["\xE6\x92\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xF9"],

        ["\xD9\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\x93"],
        ["\xE6\x92\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xFA"],

        ["\xD9\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xA5"],
        ["\xE6\x92\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xFB"],

        ["\xD9\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xA9"],
        ["\xE6\x92\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xFC"],

        ["\xD9\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\x88"],
        ["\xE6\x92\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xFD"],

        ["\xD9\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xBC"],
        ["\xE6\x92\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\xFE"],

        ["\xDA\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x9A"],
        ["\xE6\x93\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xA1"],

        ["\xDA\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x92"],
        ["\xE6\x93\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xA2"],

        ["\xDA\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x85"],
        ["\xE6\x93\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xA3"],

        ["\xDA\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x87"],
        ["\xE6\x93\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xA4"],

        ["\xDA\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xBB"],
        ["\xE6\x92\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xA5"],

        ["\xDA\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x98"],
        ["\xE6\x93\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xA6"],

        ["\xDA\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x82"],
        ["\xE6\x93\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xA7"],

        ["\xDA\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xB1"],
        ["\xE6\x93\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xA8"],

        ["\xDA\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xA7"],
        ["\xE6\x93\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xA9"],

        ["\xDA\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x89"],
        ["\xE8\x88\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xAA"],

        ["\xDA\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xA0"],
        ["\xE6\x93\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xAB"],

        ["\xDA\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xA1"],
        ["\xE6\x93\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xAC"],

        ["\xDA\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\xAC"],
        ["\xE6\x8A\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xAD"],

        ["\xDA\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xA3"],
        ["\xE6\x93\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xAE"],

        ["\xDA\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xAF"],
        ["\xE6\x93\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xAF"],

        ["\xDA\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xAC"],
        ["\xE6\x94\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xB0"],

        ["\xDA\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xB6"],
        ["\xE6\x93\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xB1"],

        ["\xDA\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xB4"],
        ["\xE6\x93\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xB2"],

        ["\xDA\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xB2"],
        ["\xE6\x93\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xB3"],

        ["\xDA\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xBA"],
        ["\xE6\x93\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xB4"],

        ["\xDA\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\x80"],
        ["\xE6\x94\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xB5"],

        ["\xDA\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xBD"],
        ["\xE6\x93\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xB6"],

        ["\xDA\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\x98"],
        ["\xE6\x94\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xB7"],

        ["\xDA\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\x9C"],
        ["\xE6\x94\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xB8"],

        ["\xDA\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\x85"],
        ["\xE6\x94\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xB9"],

        ["\xDA\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xA4"],
        ["\xE6\x94\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xBA"],

        ["\xDA\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xA3"],
        ["\xE6\x94\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xBB"],

        ["\xDA\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xAB"],
        ["\xE6\x94\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xBC"],

        ["\xDA\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xB4"],
        ["\xE6\x94\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xBD"],

        ["\xDA\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xB5"],
        ["\xE6\x94\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xBE"],

        ["\xDA\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xB7"],
        ["\xE6\x94\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xBF"],

        ["\xDA\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xB6"],
        ["\xE6\x94\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xC0"],

        ["\xDA\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xB8"],
        ["\xE6\x94\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xC1"],

        ["\xDA\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x8B"],
        ["\xE7\x95\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xC2"],

        ["\xDA\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x88"],
        ["\xE6\x95\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xC3"],

        ["\xDA\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x96"],
        ["\xE6\x95\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xC4"],

        ["\xDA\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x95"],
        ["\xE6\x95\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xC5"],

        ["\xDA\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x8D"],
        ["\xE6\x95\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xC6"],

        ["\xDA\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x98"],
        ["\xE6\x95\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xC7"],

        ["\xDA\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x9E"],
        ["\xE6\x95\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xC8"],

        ["\xDA\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x9D"],
        ["\xE6\x95\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xC9"],

        ["\xDA\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xB2"],
        ["\xE6\x95\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xCA"],

        ["\xDA\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xB8"],
        ["\xE6\x95\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xCB"],

        ["\xDA\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x82"],
        ["\xE6\x96\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xCC"],

        ["\xDA\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x83"],
        ["\xE6\x96\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xCD"],

        ["\xDA\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x8A"],
        ["\xE8\xAE\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xCE"],

        ["\xDA\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x9B"],
        ["\xE6\x96\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xCF"],

        ["\xDA\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x9F"],
        ["\xE6\x96\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xD0"],

        ["\xDA\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xAB"],
        ["\xE6\x96\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xD1"],

        ["\xDA\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xB7"],
        ["\xE6\x96\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xD2"],

        ["\xDA\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x83"],
        ["\xE6\x97\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xD3"],

        ["\xDA\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x86"],
        ["\xE6\x97\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xD4"],

        ["\xDA\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x81"],
        ["\xE6\x97\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xD5"],

        ["\xDA\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x84"],
        ["\xE6\x97\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xD6"],

        ["\xDA\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x8C"],
        ["\xE6\x97\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xD7"],

        ["\xDA\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x92"],
        ["\xE6\x97\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xD8"],

        ["\xDA\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x9B"],
        ["\xE6\x97\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xD9"],

        ["\xDA\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x99"],
        ["\xE6\x97\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xDA"],

        ["\xDA\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xA0"],
        ["\xE6\x97\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xDB"],

        ["\xDA\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xA1"],
        ["\xE6\x97\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xDC"],

        ["\xDA\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xB1"],
        ["\xE6\x97\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xDD"],

        ["\xDA\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xB2"],
        ["\xE6\x9D\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xDE"],

        ["\xDA\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x8A"],
        ["\xE6\x98\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xDF"],

        ["\xDA\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x83"],
        ["\xE6\x98\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xE0"],

        ["\xDA\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xBB"],
        ["\xE6\x97\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xE1"],

        ["\xDA\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xB3"],
        ["\xE6\x9D\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xE2"],

        ["\xDA\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xB5"],
        ["\xE6\x98\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xE3"],

        ["\xDA\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xB6"],
        ["\xE6\x98\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xE4"],

        ["\xDA\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xB4"],
        ["\xE6\x98\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xE5"],

        ["\xDA\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x9C"],
        ["\xE6\x98\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xE6"],

        ["\xDA\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x8F"],
        ["\xE6\x99\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xE7"],

        ["\xDA\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x84"],
        ["\xE6\x99\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xE8"],

        ["\xDA\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x89"],
        ["\xE6\x99\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xE9"],

        ["\xDA\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x81"],
        ["\xE6\x99\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xEA"],

        ["\xDA\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x9E"],
        ["\xE6\x99\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xEB"],

        ["\xDA\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x9D"],
        ["\xE6\x99\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xEC"],

        ["\xDA\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xA4"],
        ["\xE6\x99\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xED"],

        ["\xDA\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xA7"],
        ["\xE6\x99\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xEE"],

        ["\xDA\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xA8"],
        ["\xE6\x99\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xEF"],

        ["\xDA\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x9F"],
        ["\xE6\x99\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xF0"],

        ["\xDA\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xA2"],
        ["\xE6\x99\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xF1"],

        ["\xDA\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xB0"],
        ["\xE6\x99\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xF2"],

        ["\xDA\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x83"],
        ["\xE6\x9A\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xF3"],

        ["\xDA\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x88"],
        ["\xE6\x9A\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xF4"],

        ["\xDA\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x8E"],
        ["\xE6\x9A\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xF5"],

        ["\xDA\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x89"],
        ["\xE6\x9A\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xF6"],

        ["\xDA\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x84"],
        ["\xE6\x9A\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xF7"],

        ["\xDA\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x98"],
        ["\xE6\x9A\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xF8"],

        ["\xDA\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x9D"],
        ["\xE6\x9A\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xF9"],

        ["\xDA\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x81"],
        ["\xE6\x9B\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xFA"],

        ["\xDA\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xB9"],
        ["\xE6\x9A\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xFB"],

        ["\xDA\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x89"],
        ["\xE6\x9B\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xFC"],

        ["\xDA\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xBE"],
        ["\xE6\x9A\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xFD"],

        ["\xDA\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xBC"],
        ["\xE6\x9A\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\xFE"],

        ["\xDB\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x84"],
        ["\xE6\x9B\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xA1"],

        ["\xDB\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xB8"],
        ["\xE6\x9A\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xA2"],

        ["\xDB\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x96"],
        ["\xE6\x9B\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xA3"],

        ["\xDB\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x9A"],
        ["\xE6\x9B\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xA4"],

        ["\xDB\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xA0"],
        ["\xE6\x9B\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xA5"],

        ["\xDB\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xBF"],
        ["\xE6\x98\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xA6"],

        ["\xDB\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xA6"],
        ["\xE6\x9B\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xA7"],

        ["\xDB\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xA9"],
        ["\xE6\x9B\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xA8"],

        ["\xDB\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xB0"],
        ["\xE6\x9B\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xA9"],

        ["\xDB\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xB5"],
        ["\xE6\x9B\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xAA"],

        ["\xDB\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xB7"],
        ["\xE6\x9B\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xAB"],

        ["\xDB\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x8F"],
        ["\xE6\x9C\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xAC"],

        ["\xDB\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x96"],
        ["\xE6\x9C\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xAD"],

        ["\xDB\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x9E"],
        ["\xE6\x9C\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xAE"],

        ["\xDB\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xA6"],
        ["\xE6\x9C\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xAF"],

        ["\xDB\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xA7"],
        ["\xE6\x9C\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xB0"],

        ["\xDB\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\xB8"],
        ["\xE9\x9C\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xB1"],

        ["\xDB\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xAE"],
        ["\xE6\x9C\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xB2"],

        ["\xDB\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xBF"],
        ["\xE6\x9C\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xB3"],

        ["\xDB\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xB6"],
        ["\xE6\x9C\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xB4"],

        ["\xDB\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x81"],
        ["\xE6\x9D\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xB5"],

        ["\xDB\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xB8"],
        ["\xE6\x9C\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xB6"],

        ["\xDB\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xB7"],
        ["\xE6\x9C\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xB7"],

        ["\xDB\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x86"],
        ["\xE6\x9D\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xB8"],

        ["\xDB\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x9E"],
        ["\xE6\x9D\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xB9"],

        ["\xDB\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xA0"],
        ["\xE6\x9D\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xBA"],

        ["\xDB\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x99"],
        ["\xE6\x9D\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xBB"],

        ["\xDB\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xA3"],
        ["\xE6\x9D\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xBC"],

        ["\xDB\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xA4"],
        ["\xE6\x9D\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xBD"],

        ["\xDB\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x89"],
        ["\xE6\x9E\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xBE"],

        ["\xDB\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xB0"],
        ["\xE6\x9D\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xBF"],

        ["\xDB\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xA9"],
        ["\xE6\x9E\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xC0"],

        ["\xDB\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xBC"],
        ["\xE6\x9D\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xC1"],

        ["\xDB\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xAA"],
        ["\xE6\x9D\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xC2"],

        ["\xDB\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x8C"],
        ["\xE6\x9E\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xC3"],

        ["\xDB\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x8B"],
        ["\xE6\x9E\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xC4"],

        ["\xDB\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xA6"],
        ["\xE6\x9E\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xC5"],

        ["\xDB\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xA1"],
        ["\xE6\x9E\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xC6"],

        ["\xDB\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x85"],
        ["\xE6\x9E\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xC7"],

        ["\xDB\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xB7"],
        ["\xE6\x9E\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xC8"],

        ["\xDB\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xAF"],
        ["\xE6\x9F\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xC9"],

        ["\xDB\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xB4"],
        ["\xE6\x9E\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xCA"],

        ["\xDB\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xAC"],
        ["\xE6\x9F\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xCB"],

        ["\xDB\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xB3"],
        ["\xE6\x9E\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xCC"],

        ["\xDB\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xA9"],
        ["\xE6\x9F\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xCD"],

        ["\xDB\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xB8"],
        ["\xE6\x9E\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xCE"],

        ["\xDB\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xA4"],
        ["\xE6\x9F\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xCF"],

        ["\xDB\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x9E"],
        ["\xE6\x9F\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xD0"],

        ["\xDB\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x9D"],
        ["\xE6\x9F\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xD1"],

        ["\xDB\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xA2"],
        ["\xE6\x9F\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xD2"],

        ["\xDB\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xAE"],
        ["\xE6\x9F\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xD3"],

        ["\xDB\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xB9"],
        ["\xE6\x9E\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xD4"],

        ["\xDB\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x8E"],
        ["\xE6\x9F\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xD5"],

        ["\xDB\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x86"],
        ["\xE6\x9F\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xD6"],

        ["\xDB\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xA7"],
        ["\xE6\x9F\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xD7"],

        ["\xDB\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x9C"],
        ["\xE6\xAA\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xD8"],

        ["\xDB\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x9E"],
        ["\xE6\xA0\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xD9"],

        ["\xDB\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x86"],
        ["\xE6\xA1\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xDA"],

        ["\xDB\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xA9"],
        ["\xE6\xA0\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xDB"],

        ["\xDB\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x80"],
        ["\xE6\xA1\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xDC"],

        ["\xDB\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x8D"],
        ["\xE6\xA1\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xDD"],

        ["\xDB\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xB2"],
        ["\xE6\xA0\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xDE"],

        ["\xDB\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x8E"],
        ["\xE6\xA1\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xDF"],

        ["\xDB\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xB3"],
        ["\xE6\xA2\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xE0"],

        ["\xDB\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xAB"],
        ["\xE6\xA0\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xE1"],

        ["\xDB\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x99"],
        ["\xE6\xA1\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xE2"],

        ["\xDB\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xA3"],
        ["\xE6\xA1\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xE3"],

        ["\xDB\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xB7"],
        ["\xE6\xA1\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xE4"],

        ["\xDB\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xBF"],
        ["\xE6\xA1\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xE5"],

        ["\xDB\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x9F"],
        ["\xE6\xA2\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xE6"],

        ["\xDB\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x8F"],
        ["\xE6\xA2\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xE7"],

        ["\xDB\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xAD"],
        ["\xE6\xA2\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xE8"],

        ["\xDB\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x94"],
        ["\xE6\xA2\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xE9"],

        ["\xDB\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x9D"],
        ["\xE6\xA2\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xEA"],

        ["\xDB\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x9B"],
        ["\xE6\xA2\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xEB"],

        ["\xDB\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x83"],
        ["\xE6\xA2\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xEC"],

        ["\xDB\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xAE"],
        ["\xE6\xAA\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xED"],

        ["\xDB\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xB9"],
        ["\xE6\xA2\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xEE"],

        ["\xDB\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xB4"],
        ["\xE6\xA1\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xEF"],

        ["\xDB\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xB5"],
        ["\xE6\xA2\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xF0"],

        ["\xDB\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xA0"],
        ["\xE6\xA2\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xF1"],

        ["\xDB\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xBA"],
        ["\xE6\xA2\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xF2"],

        ["\xDB\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x8F"],
        ["\xE6\xA4\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xF3"],

        ["\xDB\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x8D"],
        ["\xE6\xA2\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xF4"],

        ["\xDB\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xBE"],
        ["\xE6\xA1\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xF5"],

        ["\xDB\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x81"],
        ["\xE6\xA4\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xF6"],

        ["\xDB\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x8A"],
        ["\xE6\xA3\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xF7"],

        ["\xDB\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x88"],
        ["\xE6\xA4\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xF8"],

        ["\xDB\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x98"],
        ["\xE6\xA3\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xF9"],

        ["\xDB\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xA2"],
        ["\xE6\xA4\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xFA"],

        ["\xDB\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xA6"],
        ["\xE6\xA4\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xFB"],

        ["\xDB\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xA1"],
        ["\xE6\xA3\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xFC"],

        ["\xDB\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x8C"],
        ["\xE6\xA4\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xFD"],

        ["\xDB\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x8D"],
        ["\xE6\xA3\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\xFE"],

        ["\xDC\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x94"],
        ["\xE6\xA3\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xA1"],

        ["\xDC\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xA7"],
        ["\xE6\xA3\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xA2"],

        ["\xDC\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x95"],
        ["\xE6\xA3\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xA3"],

        ["\xDC\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xB6"],
        ["\xE6\xA4\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xA4"],

        ["\xDC\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x92"],
        ["\xE6\xA4\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xA5"],

        ["\xDC\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x84"],
        ["\xE6\xA4\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xA6"],

        ["\xDC\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x97"],
        ["\xE6\xA3\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xA7"],

        ["\xDC\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xA3"],
        ["\xE6\xA3\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xA8"],

        ["\xDC\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xA5"],
        ["\xE6\xA4\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xA9"],

        ["\xDC\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xB9"],
        ["\xE6\xA3\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xAA"],

        ["\xDC\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xA0"],
        ["\xE6\xA3\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xAB"],

        ["\xDC\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xAF"],
        ["\xE6\xA3\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xAC"],

        ["\xDC\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xA8"],
        ["\xE6\xA4\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xAD"],

        ["\xDC\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xAA"],
        ["\xE6\xA4\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xAE"],

        ["\xDC\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x9A"],
        ["\xE6\xA4\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xAF"],

        ["\xDC\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xA3"],
        ["\xE6\xA4\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xB0"],

        ["\xDC\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xA1"],
        ["\xE6\xA4\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xB1"],

        ["\xDC\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x86"],
        ["\xE6\xA3\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xB2"],

        ["\xDC\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xB9"],
        ["\xE6\xA5\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xB3"],

        ["\xDC\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xB7"],
        ["\xE6\xA5\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xB4"],

        ["\xDC\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x9C"],
        ["\xE6\xA5\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xB5"],

        ["\xDC\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xB8"],
        ["\xE6\xA5\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xB6"],

        ["\xDC\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xAB"],
        ["\xE6\xA5\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xB7"],

        ["\xDC\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x94"],
        ["\xE6\xA5\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xB8"],

        ["\xDC\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xBE"],
        ["\xE6\xA5\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xB9"],

        ["\xDC\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xAE"],
        ["\xE6\xA5\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xBA"],

        ["\xDC\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xB9"],
        ["\xE6\xA4\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xBB"],

        ["\xDC\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xB4"],
        ["\xE6\xA5\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xBC"],

        ["\xDC\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xBD"],
        ["\xE6\xA4\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xBD"],

        ["\xDC\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x99"],
        ["\xE6\xA5\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xBE"],

        ["\xDC\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xB0"],
        ["\xE6\xA4\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xBF"],

        ["\xDC\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xA1"],
        ["\xE6\xA5\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xC0"],

        ["\xDC\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x9E"],
        ["\xE6\xA5\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xC1"],

        ["\xDC\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x9D"],
        ["\xE6\xA5\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xC2"],

        ["\xDC\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x81"],
        ["\xE6\xA6\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xC3"],

        ["\xDC\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xAA"],
        ["\xE6\xA5\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xC4"],

        ["\xDC\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xB2"],
        ["\xE6\xA6\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xC5"],

        ["\xDC\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xAE"],
        ["\xE6\xA6\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xC6"],

        ["\xDC\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x90"],
        ["\xE6\xA7\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xC7"],

        ["\xDC\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xBF"],
        ["\xE6\xA6\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xC8"],

        ["\xDC\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x81"],
        ["\xE6\xA7\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xC9"],

        ["\xDC\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x93"],
        ["\xE6\xA7\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xCA"],

        ["\xDC\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xBE"],
        ["\xE6\xA6\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xCB"],

        ["\xDC\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x8E"],
        ["\xE6\xA7\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xCC"],

        ["\xDC\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xA8"],
        ["\xE5\xAF\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xCD"],

        ["\xDC\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x8A"],
        ["\xE6\xA7\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xCE"],

        ["\xDC\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x9D"],
        ["\xE6\xA7\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xCF"],

        ["\xDC\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xBB"],
        ["\xE6\xA6\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xD0"],

        ["\xDC\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x83"],
        ["\xE6\xA7\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xD1"],

        ["\xDC\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xA7"],
        ["\xE6\xA6\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xD2"],

        ["\xDC\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xAE"],
        ["\xE6\xA8\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xD3"],

        ["\xDC\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x91"],
        ["\xE6\xA6\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xD4"],

        ["\xDC\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xA0"],
        ["\xE6\xA6\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xD5"],

        ["\xDC\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x9C"],
        ["\xE6\xA6\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xD6"],

        ["\xDC\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x95"],
        ["\xE6\xA6\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xD7"],

        ["\xDC\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xB4"],
        ["\xE6\xA6\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xD8"],

        ["\xDC\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x9E"],
        ["\xE6\xA7\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xD9"],

        ["\xDC\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xA8"],
        ["\xE6\xA7\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xDA"],

        ["\xDC\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x82"],
        ["\xE6\xA8\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xDB"],

        ["\xDC\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x9B"],
        ["\xE6\xA8\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xDC"],

        ["\xDC\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xBF"],
        ["\xE6\xA7\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xDD"],

        ["\xDC\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x8A"],
        ["\xE6\xAC\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xDE"],

        ["\xDC\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xB9"],
        ["\xE6\xA7\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xDF"],

        ["\xDC\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xB2"],
        ["\xE6\xA7\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xE0"],

        ["\xDC\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xA7"],
        ["\xE6\xA7\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xE1"],

        ["\xDC\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x85"],
        ["\xE6\xA8\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xE2"],

        ["\xDC\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xB1"],
        ["\xE6\xA6\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xE3"],

        ["\xDC\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x9E"],
        ["\xE6\xA8\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xE4"],

        ["\xDC\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xAD"],
        ["\xE6\xA7\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xE5"],

        ["\xDC\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x94"],
        ["\xE6\xA8\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xE6"],

        ["\xDC\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xAB"],
        ["\xE6\xA7\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xE7"],

        ["\xDC\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x8A"],
        ["\xE6\xA8\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xE8"],

        ["\xDC\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x92"],
        ["\xE6\xA8\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xE9"],

        ["\xDC\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x81"],
        ["\xE6\xAB\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xEA"],

        ["\xDC\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xA3"],
        ["\xE6\xA8\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xEB"],

        ["\xDC\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x93"],
        ["\xE6\xA8\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xEC"],

        ["\xDC\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x84"],
        ["\xE6\xA9\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xED"],

        ["\xDC\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x8C"],
        ["\xE6\xA8\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xEE"],

        ["\xDC\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\xB2"],
        ["\xE6\xA9\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xEF"],

        ["\xDC\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xB6"],
        ["\xE6\xA8\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xF0"],

        ["\xDC\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\xB8"],
        ["\xE6\xA9\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xF1"],

        ["\xDC\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x87"],
        ["\xE6\xA9\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xF2"],

        ["\xDC\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\xA2"],
        ["\xE6\xA9\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xF3"],

        ["\xDC\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x99"],
        ["\xE6\xA9\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xF4"],

        ["\xDC\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\xA6"],
        ["\xE6\xA9\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xF5"],

        ["\xDC\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x88"],
        ["\xE6\xA9\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xF6"],

        ["\xDC\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xB8"],
        ["\xE6\xA8\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xF7"],

        ["\xDC\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xA2"],
        ["\xE6\xA8\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xF8"],

        ["\xDC\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x90"],
        ["\xE6\xAA\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xF9"],

        ["\xDC\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x8D"],
        ["\xE6\xAA\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xFA"],

        ["\xDC\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xA0"],
        ["\xE6\xAA\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xFB"],

        ["\xDC\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x84"],
        ["\xE6\xAA\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xFC"],

        ["\xDC\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xA2"],
        ["\xE6\xAA\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xFD"],

        ["\xDC\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xA3"],
        ["\xE6\xAA\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\xFE"],

        ["\xDD\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x97"],
        ["\xE6\xAA\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xA1"],

        ["\xDD\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x97"],
        ["\xE8\x98\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xA2"],

        ["\xDD\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xBB"],
        ["\xE6\xAA\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xA3"],

        ["\xDD\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x83"],
        ["\xE6\xAB\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xA4"],

        ["\xDD\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x82"],
        ["\xE6\xAB\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xA5"],

        ["\xDD\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xB8"],
        ["\xE6\xAA\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xA6"],

        ["\xDD\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xB3"],
        ["\xE6\xAA\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xA7"],

        ["\xDD\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xAC"],
        ["\xE6\xAA\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xA8"],

        ["\xDD\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x9E"],
        ["\xE6\xAB\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xA9"],

        ["\xDD\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x91"],
        ["\xE6\xAB\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xAA"],

        ["\xDD\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x9F"],
        ["\xE6\xAB\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xAB"],

        ["\xDD\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xAA"],
        ["\xE6\xAA\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xAC"],

        ["\xDD\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x9A"],
        ["\xE6\xAB\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xAD"],

        ["\xDD\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xAA"],
        ["\xE6\xAB\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xAE"],

        ["\xDD\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xBB"],
        ["\xE6\xAB\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xAF"],

        ["\xDD\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x85"],
        ["\xE6\xAC\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xB0"],

        ["\xDD\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x96"],
        ["\xE8\x98\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xB1"],

        ["\xDD\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xBA"],
        ["\xE6\xAB\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xB2"],

        ["\xDD\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x92"],
        ["\xE6\xAC\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xB3"],

        ["\xDD\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x96"],
        ["\xE6\xAC\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xB4"],

        ["\xDD\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xB1"],
        ["\xE9\xAC\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xB5"],

        ["\xDD\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x9F"],
        ["\xE6\xAC\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xB6"],

        ["\xDD\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xB8"],
        ["\xE6\xAC\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xB7"],

        ["\xDD\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xB7"],
        ["\xE6\xAC\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xB8"],

        ["\xDD\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x9C"],
        ["\xE7\x9B\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xB9"],

        ["\xDD\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xB9"],
        ["\xE6\xAC\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xBA"],

        ["\xDD\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xAE"],
        ["\xE9\xA3\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xBB"],

        ["\xDD\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x87"],
        ["\xE6\xAD\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xBC"],

        ["\xDD\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x83"],
        ["\xE6\xAD\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xBD"],

        ["\xDD\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x89"],
        ["\xE6\xAD\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xBE"],

        ["\xDD\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x90"],
        ["\xE6\xAD\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xBF"],

        ["\xDD\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x99"],
        ["\xE6\xAD\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xC0"],

        ["\xDD\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x94"],
        ["\xE6\xAD\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xC1"],

        ["\xDD\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x9B"],
        ["\xE6\xAD\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xC2"],

        ["\xDD\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x9F"],
        ["\xE6\xAD\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xC3"],

        ["\xDD\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xA1"],
        ["\xE6\xAD\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xC4"],

        ["\xDD\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xB8"],
        ["\xE6\xAD\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xC5"],

        ["\xDD\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xB9"],
        ["\xE6\xAD\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xC6"],

        ["\xDD\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xBF"],
        ["\xE6\xAD\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xC7"],

        ["\xDD\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x80"],
        ["\xE6\xAE\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xC8"],

        ["\xDD\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x84"],
        ["\xE6\xAE\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xC9"],

        ["\xDD\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x83"],
        ["\xE6\xAE\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xCA"],

        ["\xDD\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x8D"],
        ["\xE6\xAE\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xCB"],

        ["\xDD\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x98"],
        ["\xE6\xAE\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xCC"],

        ["\xDD\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x95"],
        ["\xE6\xAE\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xCD"],

        ["\xDD\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x9E"],
        ["\xE6\xAE\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xCE"],

        ["\xDD\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xA4"],
        ["\xE6\xAE\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xCF"],

        ["\xDD\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xAA"],
        ["\xE6\xAE\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xD0"],

        ["\xDD\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xAB"],
        ["\xE6\xAE\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xD1"],

        ["\xDD\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xAF"],
        ["\xE6\xAE\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xD2"],

        ["\xDD\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xB2"],
        ["\xE6\xAE\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xD3"],

        ["\xDD\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xB1"],
        ["\xE6\xAE\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xD4"],

        ["\xDD\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xB3"],
        ["\xE6\xAE\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xD5"],

        ["\xDD\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xB7"],
        ["\xE6\xAE\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xD6"],

        ["\xDD\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xBC"],
        ["\xE6\xAE\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xD7"],

        ["\xDD\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x86"],
        ["\xE6\xAF\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xD8"],

        ["\xDD\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x8B"],
        ["\xE6\xAF\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xD9"],

        ["\xDD\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x93"],
        ["\xE6\xAF\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xDA"],

        ["\xDD\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x9F"],
        ["\xE6\xAF\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xDB"],

        ["\xDD\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\xAC"],
        ["\xE6\xAF\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xDC"],

        ["\xDD\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\xAB"],
        ["\xE6\xAF\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xDD"],

        ["\xDD\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\xB3"],
        ["\xE6\xAF\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xDE"],

        ["\xDD\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\xAF"],
        ["\xE6\xAF\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xDF"],

        ["\xDD\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xBE"],
        ["\xE9\xBA\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xE0"],

        ["\xDD\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x88"],
        ["\xE6\xB0\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xE1"],

        ["\xDD\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x93"],
        ["\xE6\xB0\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xE2"],

        ["\xDD\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x94"],
        ["\xE6\xB0\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xE3"],

        ["\xDD\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x9B"],
        ["\xE6\xB0\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xE4"],

        ["\xDD\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\xA4"],
        ["\xE6\xB0\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xE5"],

        ["\xDD\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\xA3"],
        ["\xE6\xB0\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xE6"],

        ["\xDD\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x9E"],
        ["\xE6\xB1\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xE7"],

        ["\xDD\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x95"],
        ["\xE6\xB1\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xE8"],

        ["\xDD\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xA2"],
        ["\xE6\xB1\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xE9"],

        ["\xDD\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xAA"],
        ["\xE6\xB1\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xEA"],

        ["\xDD\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x82"],
        ["\xE6\xB2\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xEB"],

        ["\xDD\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x8D"],
        ["\xE6\xB2\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xEC"],

        ["\xDD\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x9A"],
        ["\xE6\xB2\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xED"],

        ["\xDD\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x81"],
        ["\xE6\xB2\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xEE"],

        ["\xDD\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x9B"],
        ["\xE6\xB2\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xEF"],

        ["\xDD\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xBE"],
        ["\xE6\xB1\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xF0"],

        ["\xDD\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xA8"],
        ["\xE6\xB1\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xF1"],

        ["\xDD\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xB3"],
        ["\xE6\xB1\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xF2"],

        ["\xDD\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x92"],
        ["\xE6\xB2\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xF3"],

        ["\xDD\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x90"],
        ["\xE6\xB2\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xF4"],

        ["\xDD\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x84"],
        ["\xE6\xB3\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xF5"],

        ["\xDD\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xB1"],
        ["\xE6\xB3\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xF6"],

        ["\xDD\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x93"],
        ["\xE6\xB3\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xF7"],

        ["\xDD\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xBD"],
        ["\xE6\xB2\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xF8"],

        ["\xDD\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x97"],
        ["\xE6\xB3\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xF9"],

        ["\xDD\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x85"],
        ["\xE6\xB3\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xFA"],

        ["\xDD\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x9D"],
        ["\xE6\xB3\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xFB"],

        ["\xDD\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xAE"],
        ["\xE6\xB2\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xFC"],

        ["\xDD\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xB1"],
        ["\xE6\xB2\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xFD"],

        ["\xDD\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xBE"],
        ["\xE6\xB2\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\xFE"],

        ["\xDE\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xBA"],
        ["\xE6\xB2\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xA1"],

        ["\xDE\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x9B"],
        ["\xE6\xB3\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xA2"],

        ["\xDE\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xAF"],
        ["\xE6\xB3\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xA3"],

        ["\xDE\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x99"],
        ["\xE6\xB3\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xA4"],

        ["\xDE\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xAA"],
        ["\xE6\xB3\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xA5"],

        ["\xDE\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x9F"],
        ["\xE6\xB4\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xA6"],

        ["\xDE\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x8D"],
        ["\xE8\xA1\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xA7"],

        ["\xDE\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xB6"],
        ["\xE6\xB4\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xA8"],

        ["\xDE\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xAB"],
        ["\xE6\xB4\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xA9"],

        ["\xDE\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xBD"],
        ["\xE6\xB4\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xAA"],

        ["\xDE\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xB8"],
        ["\xE6\xB4\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xAB"],

        ["\xDE\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x99"],
        ["\xE6\xB4\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xAC"],

        ["\xDE\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xB5"],
        ["\xE6\xB4\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xAD"],

        ["\xDE\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xB3"],
        ["\xE6\xB4\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xAE"],

        ["\xDE\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x92"],
        ["\xE6\xB4\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xAF"],

        ["\xDE\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x8C"],
        ["\xE6\xB4\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xB0"],

        ["\xDE\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xA3"],
        ["\xE6\xB5\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xB1"],

        ["\xDE\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x93"],
        ["\xE6\xB6\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xB2"],

        ["\xDE\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xA4"],
        ["\xE6\xB5\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xB3"],

        ["\xDE\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\x9A"],
        ["\xE6\xB5\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xB4"],

        ["\xDE\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xB9"],
        ["\xE6\xB5\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xB5"],

        ["\xDE\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\x99"],
        ["\xE6\xB5\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xB6"],

        ["\xDE\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x8E"],
        ["\xE6\xB6\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xB7"],

        ["\xDE\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x95"],
        ["\xE6\xB6\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xB8"],

        ["\xDE\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xA4"],
        ["\xE6\xBF\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xB9"],

        ["\xDE\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x85"],
        ["\xE6\xB6\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xBA"],

        ["\xDE\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xB9"],
        ["\xE6\xB7\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xBB"],

        ["\xDE\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x95"],
        ["\xE6\xB8\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xBC"],

        ["\xDE\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x8A"],
        ["\xE6\xB8\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xBD"],

        ["\xDE\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\xB5"],
        ["\xE6\xB6\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xBE"],

        ["\xDE\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x87"],
        ["\xE6\xB7\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xBF"],

        ["\xDE\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xA6"],
        ["\xE6\xB7\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xC0"],

        ["\xDE\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\xB8"],
        ["\xE6\xB6\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xC1"],

        ["\xDE\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x86"],
        ["\xE6\xB7\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xC2"],

        ["\xDE\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xAC"],
        ["\xE6\xB7\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xC3"],

        ["\xDE\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x9E"],
        ["\xE6\xB7\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xC4"],

        ["\xDE\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x8C"],
        ["\xE6\xB7\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xC5"],

        ["\xDE\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xA8"],
        ["\xE6\xB7\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xC6"],

        ["\xDE\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x92"],
        ["\xE6\xB7\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xC7"],

        ["\xDE\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x85"],
        ["\xE6\xB7\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xC8"],

        ["\xDE\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xBA"],
        ["\xE6\xB7\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xC9"],

        ["\xDE\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x99"],
        ["\xE6\xB7\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xCA"],

        ["\xDE\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xA4"],
        ["\xE6\xB7\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xCB"],

        ["\xDE\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x95"],
        ["\xE6\xB7\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xCC"],

        ["\xDE\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xAA"],
        ["\xE6\xB7\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xCD"],

        ["\xDE\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xAE"],
        ["\xE6\xB7\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xCE"],

        ["\xDE\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xAD"],
        ["\xE6\xB8\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xCF"],

        ["\xDE\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\xAE"],
        ["\xE6\xB9\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xD0"],

        ["\xDE\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xAE"],
        ["\xE6\xB8\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xD1"],

        ["\xDE\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x99"],
        ["\xE6\xB8\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xD2"],

        ["\xDE\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\xB2"],
        ["\xE6\xB9\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xD3"],

        ["\xDE\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x9F"],
        ["\xE6\xB9\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xD4"],

        ["\xDE\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xBE"],
        ["\xE6\xB8\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xD5"],

        ["\xDE\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xA3"],
        ["\xE6\xB8\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xD6"],

        ["\xDE\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\xAB"],
        ["\xE6\xB9\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xD7"],

        ["\xDE\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xAB"],
        ["\xE6\xB8\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xD8"],

        ["\xDE\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\xB6"],
        ["\xE6\xB9\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xD9"],

        ["\xDE\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x8D"],
        ["\xE6\xB9\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xDA"],

        ["\xDE\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x9F"],
        ["\xE6\xB8\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xDB"],

        ["\xDE\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x83"],
        ["\xE6\xB9\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xDC"],

        ["\xDE\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xBA"],
        ["\xE6\xB8\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xDD"],

        ["\xDE\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x8E"],
        ["\xE6\xB9\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xDE"],

        ["\xDE\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xA4"],
        ["\xE6\xB8\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xDF"],

        ["\xDE\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\xBF"],
        ["\xE6\xBB\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xE0"],

        ["\xDE\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x9D"],
        ["\xE6\xB8\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xE1"],

        ["\xDE\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xB8"],
        ["\xE6\xB8\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xE2"],

        ["\xDE\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\x82"],
        ["\xE6\xBA\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xE3"],

        ["\xDE\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xAA"],
        ["\xE6\xBA\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xE4"],

        ["\xDE\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\x98"],
        ["\xE6\xBA\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xE5"],

        ["\xDE\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x89"],
        ["\xE6\xBB\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xE6"],

        ["\xDE\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xB7"],
        ["\xE6\xBA\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xE7"],

        ["\xDE\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x93"],
        ["\xE6\xBB\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xE8"],

        ["\xDE\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xBD"],
        ["\xE6\xBA\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xE9"],

        ["\xDE\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xAF"],
        ["\xE6\xBA\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xEA"],

        ["\xDE\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x84"],
        ["\xE6\xBB\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xEB"],

        ["\xDE\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xB2"],
        ["\xE6\xBA\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xEC"],

        ["\xDE\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x94"],
        ["\xE6\xBB\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xED"],

        ["\xDE\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x95"],
        ["\xE6\xBB\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xEE"],

        ["\xDE\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\x8F"],
        ["\xE6\xBA\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xEF"],

        ["\xDE\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xA5"],
        ["\xE6\xBA\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xF0"],

        ["\xDE\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x82"],
        ["\xE6\xBB\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xF1"],

        ["\xDE\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\x9F"],
        ["\xE6\xBA\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xF2"],

        ["\xDE\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x81"],
        ["\xE6\xBD\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xF3"],

        ["\xDE\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x91"],
        ["\xE6\xBC\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xF4"],

        ["\xDE\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\x8C"],
        ["\xE7\x81\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xF5"],

        ["\xDE\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\xAC"],
        ["\xE6\xBB\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xF6"],

        ["\xDE\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\xB8"],
        ["\xE6\xBB\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xF7"],

        ["\xDE\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\xBE"],
        ["\xE6\xBB\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xF8"],

        ["\xDE\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xBF"],
        ["\xE6\xBC\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xF9"],

        ["\xDE\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\xB2"],
        ["\xE6\xBB\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xFA"],

        ["\xDE\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xB1"],
        ["\xE6\xBC\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xFB"],

        ["\xDE\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\xAF"],
        ["\xE6\xBB\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xFC"],

        ["\xDE\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xB2"],
        ["\xE6\xBC\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xFD"],

        ["\xDE\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x8C"],
        ["\xE6\xBB\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\xFE"],

        ["\xDF\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xBE"],
        ["\xE6\xBC\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xA1"],

        ["\xDF\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x93"],
        ["\xE6\xBC\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xA2"],

        ["\xDF\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\xB7"],
        ["\xE6\xBB\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xA3"],

        ["\xDF\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x86"],
        ["\xE6\xBE\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xA4"],

        ["\xDF\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xBA"],
        ["\xE6\xBD\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xA5"],

        ["\xDF\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xB8"],
        ["\xE6\xBD\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xA6"],

        ["\xDF\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x81"],
        ["\xE6\xBE\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xA7"],

        ["\xDF\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x80"],
        ["\xE6\xBE\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xA8"],

        ["\xDF\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xAF"],
        ["\xE6\xBD\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xA9"],

        ["\xDF\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x9B"],
        ["\xE6\xBD\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xAA"],

        ["\xDF\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xB3"],
        ["\xE6\xBF\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xAB"],

        ["\xDF\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xAD"],
        ["\xE6\xBD\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xAC"],

        ["\xDF\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x82"],
        ["\xE6\xBE\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xAD"],

        ["\xDF\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xBC"],
        ["\xE6\xBD\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xAE"],

        ["\xDF\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x98"],
        ["\xE6\xBD\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xAF"],

        ["\xDF\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x8E"],
        ["\xE6\xBE\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xB0"],

        ["\xDF\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x91"],
        ["\xE6\xBE\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xB1"],

        ["\xDF\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x82"],
        ["\xE6\xBF\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xB2"],

        ["\xDF\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xA6"],
        ["\xE6\xBD\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xB3"],

        ["\xDF\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xB3"],
        ["\xE6\xBE\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xB4"],

        ["\xDF\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xA3"],
        ["\xE6\xBE\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xB5"],

        ["\xDF\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xA1"],
        ["\xE6\xBE\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xB6"],

        ["\xDF\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xA4"],
        ["\xE6\xBE\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xB7"],

        ["\xDF\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xB9"],
        ["\xE6\xBE\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xB8"],

        ["\xDF\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x86"],
        ["\xE6\xBF\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xB9"],

        ["\xDF\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xAA"],
        ["\xE6\xBE\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xBA"],

        ["\xDF\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x9F"],
        ["\xE6\xBF\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xBB"],

        ["\xDF\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x95"],
        ["\xE6\xBF\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xBC"],

        ["\xDF\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xAC"],
        ["\xE6\xBF\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xBD"],

        ["\xDF\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x94"],
        ["\xE6\xBF\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xBE"],

        ["\xDF\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x98"],
        ["\xE6\xBF\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xBF"],

        ["\xDF\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xB1"],
        ["\xE6\xBF\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xC0"],

        ["\xDF\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xAE"],
        ["\xE6\xBF\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xC1"],

        ["\xDF\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x9B"],
        ["\xE6\xBF\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xC2"],

        ["\xDF\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x89"],
        ["\xE7\x80\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xC3"],

        ["\xDF\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x8B"],
        ["\xE7\x80\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xC4"],

        ["\xDF\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xBA"],
        ["\xE6\xBF\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xC5"],

        ["\xDF\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x91"],
        ["\xE7\x80\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xC6"],

        ["\xDF\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x81"],
        ["\xE7\x80\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xC7"],

        ["\xDF\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x8F"],
        ["\xE7\x80\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xC8"],

        ["\xDF\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xBE"],
        ["\xE6\xBF\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xC9"],

        ["\xDF\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x9B"],
        ["\xE7\x80\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xCA"],

        ["\xDF\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x9A"],
        ["\xE7\x80\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xCB"],

        ["\xDF\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xB4"],
        ["\xE6\xBD\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xCC"],

        ["\xDF\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x9D"],
        ["\xE7\x80\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xCD"],

        ["\xDF\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x98"],
        ["\xE7\x80\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xCE"],

        ["\xDF\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x9F"],
        ["\xE7\x80\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xCF"],

        ["\xDF\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\xB0"],
        ["\xE7\x80\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xD0"],

        ["\xDF\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\xBE"],
        ["\xE7\x80\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xD1"],

        ["\xDF\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\xB2"],
        ["\xE7\x80\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xD2"],

        ["\xDF\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\x91"],
        ["\xE7\x81\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xD3"],

        ["\xDF\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xA3"],
        ["\xE7\x81\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xD4"],

        ["\xDF\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\x99"],
        ["\xE7\x82\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xD5"],

        ["\xDF\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\x92"],
        ["\xE7\x82\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xD6"],

        ["\xDF\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xAF"],
        ["\xE7\x82\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xD7"],

        ["\xDF\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\xB1"],
        ["\xE7\x83\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xD8"],

        ["\xDF\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xAC"],
        ["\xE7\x82\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xD9"],

        ["\xDF\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xB8"],
        ["\xE7\x82\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xDA"],

        ["\xDF\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xB3"],
        ["\xE7\x82\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xDB"],

        ["\xDF\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xAE"],
        ["\xE7\x82\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xDC"],

        ["\xDF\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x9F"],
        ["\xE7\x83\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xDD"],

        ["\xDF\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x8B"],
        ["\xE7\x83\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xDE"],

        ["\xDF\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x9D"],
        ["\xE7\x83\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xDF"],

        ["\xDF\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x99"],
        ["\xE7\x83\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xE0"],

        ["\xDF\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x89"],
        ["\xE7\x84\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xE1"],

        ["\xDF\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\xBD"],
        ["\xE7\x83\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xE2"],

        ["\xDF\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x9C"],
        ["\xE7\x84\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xE3"],

        ["\xDF\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x99"],
        ["\xE7\x84\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xE4"],

        ["\xDF\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\xA5"],
        ["\xE7\x85\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xE5"],

        ["\xDF\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x95"],
        ["\xE7\x85\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xE6"],

        ["\xDF\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x88"],
        ["\xE7\x86\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xE7"],

        ["\xDF\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\xA6"],
        ["\xE7\x85\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xE8"],

        ["\xDF\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\xA2"],
        ["\xE7\x85\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xE9"],

        ["\xDF\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x8C"],
        ["\xE7\x85\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xEA"],

        ["\xDF\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x96"],
        ["\xE7\x85\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xEB"],

        ["\xDF\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\xAC"],
        ["\xE7\x85\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xEC"],

        ["\xDF\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x8F"],
        ["\xE7\x86\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xED"],

        ["\xDF\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xBB"],
        ["\xE7\x87\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xEE"],

        ["\xDF\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x84"],
        ["\xE7\x86\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xEF"],

        ["\xDF\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x95"],
        ["\xE7\x86\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xF0"],

        ["\xDF\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\xA8"],
        ["\xE7\x86\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xF1"],

        ["\xDF\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\xAC"],
        ["\xE7\x86\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xF2"],

        ["\xDF\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x97"],
        ["\xE7\x87\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xF3"],

        ["\xDF\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\xB9"],
        ["\xE7\x86\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xF4"],

        ["\xDF\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\xBE"],
        ["\xE7\x86\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xF5"],

        ["\xDF\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x92"],
        ["\xE7\x87\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xF6"],

        ["\xDF\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x89"],
        ["\xE7\x87\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xF7"],

        ["\xDF\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x94"],
        ["\xE7\x87\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xF8"],

        ["\xDF\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x8E"],
        ["\xE7\x87\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xF9"],

        ["\xDF\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xA0"],
        ["\xE7\x87\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xFA"],

        ["\xDF\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xAC"],
        ["\xE7\x87\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xFB"],

        ["\xDF\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xA7"],
        ["\xE7\x87\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xFC"],

        ["\xDF\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xB5"],
        ["\xE7\x87\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xFD"],

        ["\xDF\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xBC"],
        ["\xE7\x87\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\xFE"],

        ["\xE0\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xB9"],
        ["\xE7\x87\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xA1"],

        ["\xE0\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xBF"],
        ["\xE7\x87\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xA2"],

        ["\xE0\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\x8D"],
        ["\xE7\x88\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xA3"],

        ["\xE0\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\x90"],
        ["\xE7\x88\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xA4"],

        ["\xE0\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\x9B"],
        ["\xE7\x88\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xA5"],

        ["\xE0\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xA8"],
        ["\xE7\x88\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xA6"],

        ["\xE0\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xAD"],
        ["\xE7\x88\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xA7"],

        ["\xE0\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xAC"],
        ["\xE7\x88\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xA8"],

        ["\xE0\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xB0"],
        ["\xE7\x88\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xA9"],

        ["\xE0\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xB2"],
        ["\xE7\x88\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xAA"],

        ["\xE0\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xBB"],
        ["\xE7\x88\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xAB"],

        ["\xE0\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xBC"],
        ["\xE7\x88\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xAC"],

        ["\xE0\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xBF"],
        ["\xE7\x88\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xAD"],

        ["\xE0\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x80"],
        ["\xE7\x89\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xAE"],

        ["\xE0\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x86"],
        ["\xE7\x89\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xAF"],

        ["\xE0\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x8B"],
        ["\xE7\x89\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xB0"],

        ["\xE0\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x98"],
        ["\xE7\x89\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xB1"],

        ["\xE0\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xB4"],
        ["\xE7\x89\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xB2"],

        ["\xE0\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xBE"],
        ["\xE7\x89\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xB3"],

        ["\xE0\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\x82"],
        ["\xE7\x8A\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xB4"],

        ["\xE0\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\x81"],
        ["\xE7\x8A\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xB5"],

        ["\xE0\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\x87"],
        ["\xE7\x8A\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xB6"],

        ["\xE0\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\x92"],
        ["\xE7\x8A\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xB7"],

        ["\xE0\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\x96"],
        ["\xE7\x8A\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xB8"],

        ["\xE0\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xA2"],
        ["\xE7\x8A\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xB9"],

        ["\xE0\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xA7"],
        ["\xE7\x8A\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xBA"],

        ["\xE0\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xB9"],
        ["\xE7\x8A\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xBB"],

        ["\xE0\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xB2"],
        ["\xE7\x8A\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xBC"],

        ["\xE0\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x83"],
        ["\xE7\x8B\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xBD"],

        ["\xE0\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x86"],
        ["\xE7\x8B\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xBE"],

        ["\xE0\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x84"],
        ["\xE7\x8B\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xBF"],

        ["\xE0\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x8E"],
        ["\xE7\x8B\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xC0"],

        ["\xE0\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x92"],
        ["\xE7\x8B\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xC1"],

        ["\xE0\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xA2"],
        ["\xE7\x8B\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xC2"],

        ["\xE0\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xA0"],
        ["\xE7\x8B\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xC3"],

        ["\xE0\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xA1"],
        ["\xE7\x8B\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xC4"],

        ["\xE0\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xB9"],
        ["\xE7\x8B\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xC5"],

        ["\xE0\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xB7"],
        ["\xE7\x8B\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xC6"],

        ["\xE0\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x8F"],
        ["\xE5\x80\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xC7"],

        ["\xE0\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\x97"],
        ["\xE7\x8C\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xC8"],

        ["\xE0\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\x8A"],
        ["\xE7\x8C\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xC9"],

        ["\xE0\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\x9C"],
        ["\xE7\x8C\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xCA"],

        ["\xE0\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\x96"],
        ["\xE7\x8C\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xCB"],

        ["\xE0\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\x9D"],
        ["\xE7\x8C\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xCC"],

        ["\xE0\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xB4"],
        ["\xE7\x8C\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xCD"],

        ["\xE0\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xAF"],
        ["\xE7\x8C\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xCE"],

        ["\xE0\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xA9"],
        ["\xE7\x8C\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xCF"],

        ["\xE0\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xA5"],
        ["\xE7\x8C\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xD0"],

        ["\xE0\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xBE"],
        ["\xE7\x8C\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xD1"],

        ["\xE0\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\x8E"],
        ["\xE7\x8D\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xD2"],

        ["\xE0\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\x8F"],
        ["\xE7\x8D\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xD3"],

        ["\xE0\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x98"],
        ["\xE9\xBB\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xD4"],

        ["\xE0\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\x97"],
        ["\xE7\x8D\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xD5"],

        ["\xE0\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xAA"],
        ["\xE7\x8D\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xD6"],

        ["\xE0\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xA8"],
        ["\xE7\x8D\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xD7"],

        ["\xE0\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xB0"],
        ["\xE7\x8D\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xD8"],

        ["\xE0\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xB8"],
        ["\xE7\x8D\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xD9"],

        ["\xE0\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xB5"],
        ["\xE7\x8D\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xDA"],

        ["\xE0\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xBB"],
        ["\xE7\x8D\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xDB"],

        ["\xE0\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xBA"],
        ["\xE7\x8D\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xDC"],

        ["\xE0\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x88"],
        ["\xE7\x8F\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xDD"],

        ["\xE0\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xB3"],
        ["\xE7\x8E\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xDE"],

        ["\xE0\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x8E"],
        ["\xE7\x8F\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xDF"],

        ["\xE0\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xBB"],
        ["\xE7\x8E\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xE0"],

        ["\xE0\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x80"],
        ["\xE7\x8F\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xE1"],

        ["\xE0\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xA5"],
        ["\xE7\x8F\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xE2"],

        ["\xE0\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xAE"],
        ["\xE7\x8F\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xE3"],

        ["\xE0\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x9E"],
        ["\xE7\x8F\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xE4"],

        ["\xE0\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xA2"],
        ["\xE7\x92\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xE5"],

        ["\xE0\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\x85"],
        ["\xE7\x90\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xE6"],

        ["\xE0\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xAF"],
        ["\xE7\x91\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xE7"],

        ["\xE0\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xA5"],
        ["\xE7\x90\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xE8"],

        ["\xE0\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xB8"],
        ["\xE7\x8F\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xE9"],

        ["\xE0\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xB2"],
        ["\xE7\x90\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xEA"],

        ["\xE0\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xBA"],
        ["\xE7\x90\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xEB"],

        ["\xE0\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x95"],
        ["\xE7\x91\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xEC"],

        ["\xE0\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xBF"],
        ["\xE7\x90\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xED"],

        ["\xE0\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x9F"],
        ["\xE7\x91\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xEE"],

        ["\xE0\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x99"],
        ["\xE7\x91\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xEF"],

        ["\xE0\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x81"],
        ["\xE7\x91\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xF0"],

        ["\xE0\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x9C"],
        ["\xE7\x91\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xF1"],

        ["\xE0\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xA9"],
        ["\xE7\x91\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xF2"],

        ["\xE0\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xB0"],
        ["\xE7\x91\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xF3"],

        ["\xE0\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xA3"],
        ["\xE7\x91\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xF4"],

        ["\xE0\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xAA"],
        ["\xE7\x91\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xF5"],

        ["\xE0\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xB6"],
        ["\xE7\x91\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xF6"],

        ["\xE0\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xBE"],
        ["\xE7\x91\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xF7"],

        ["\xE0\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x8B"],
        ["\xE7\x92\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xF8"],

        ["\xE0\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x9E"],
        ["\xE7\x92\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xF9"],

        ["\xE0\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xA7"],
        ["\xE7\x92\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xFA"],

        ["\xE0\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\x8A"],
        ["\xE7\x93\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xFB"],

        ["\xE0\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\x8F"],
        ["\xE7\x93\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xFC"],

        ["\xE0\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\x94"],
        ["\xE7\x93\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xFD"],

        ["\xE0\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xB1"],
        ["\xE7\x8F\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\xFE"],

        ["\xE1\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xA0"],
        ["\xE7\x93\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xA1"],

        ["\xE1\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xA3"],
        ["\xE7\x93\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xA2"],

        ["\xE1\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xA7"],
        ["\xE7\x93\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xA3"],

        ["\xE1\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xA9"],
        ["\xE7\x93\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xA4"],

        ["\xE1\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xAE"],
        ["\xE7\x93\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xA5"],

        ["\xE1\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xB2"],
        ["\xE7\x93\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xA6"],

        ["\xE1\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xB0"],
        ["\xE7\x93\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xA7"],

        ["\xE1\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xB1"],
        ["\xE7\x93\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xA8"],

        ["\xE1\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xB8"],
        ["\xE7\x93\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xA9"],

        ["\xE1\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xB7"],
        ["\xE7\x93\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xAA"],

        ["\xE1\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x84"],
        ["\xE7\x94\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xAB"],

        ["\xE1\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x83"],
        ["\xE7\x94\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xAC"],

        ["\xE1\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x85"],
        ["\xE7\x94\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xAD"],

        ["\xE1\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x8C"],
        ["\xE7\x94\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xAE"],

        ["\xE1\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x8E"],
        ["\xE7\x94\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xAF"],

        ["\xE1\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x8D"],
        ["\xE7\x94\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xB0"],

        ["\xE1\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x95"],
        ["\xE7\x94\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xB1"],

        ["\xE1\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x93"],
        ["\xE7\x94\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xB2"],

        ["\xE1\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x9E"],
        ["\xE7\x94\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xB3"],

        ["\xE1\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xA6"],
        ["\xE7\x94\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xB4"],

        ["\xE1\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xAC"],
        ["\xE7\x94\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xB5"],

        ["\xE1\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xBC"],
        ["\xE7\x94\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xB6"],

        ["\xE1\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x84"],
        ["\xE7\x95\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xB7"],

        ["\xE1\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x8D"],
        ["\xE7\x95\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xB8"],

        ["\xE1\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x8A"],
        ["\xE7\x95\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xB9"],

        ["\xE1\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x89"],
        ["\xE7\x95\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xBA"],

        ["\xE1\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x9B"],
        ["\xE7\x95\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xBB"],

        ["\xE1\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x86"],
        ["\xE7\x95\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xBC"],

        ["\xE1\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x9A"],
        ["\xE7\x95\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xBD"],

        ["\xE1\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xA9"],
        ["\xE7\x95\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xBE"],

        ["\xE1\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xA4"],
        ["\xE7\x95\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xBF"],

        ["\xE1\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xA7"],
        ["\xE7\x95\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xC0"],

        ["\xE1\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xAB"],
        ["\xE7\x95\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xC1"],

        ["\xE1\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xAD"],
        ["\xE7\x95\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xC2"],

        ["\xE1\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xB8"],
        ["\xE7\x95\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xC3"],

        ["\xE1\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xB6"],
        ["\xE7\x95\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xC4"],

        ["\xE1\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x86"],
        ["\xE7\x96\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xC5"],

        ["\xE1\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x87"],
        ["\xE7\x96\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xC6"],

        ["\xE1\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xB4"],
        ["\xE7\x95\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xC7"],

        ["\xE1\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x8A"],
        ["\xE7\x96\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xC8"],

        ["\xE1\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x89"],
        ["\xE7\x96\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xC9"],

        ["\xE1\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x82"],
        ["\xE7\x96\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xCA"],

        ["\xE1\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x94"],
        ["\xE7\x96\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xCB"],

        ["\xE1\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x9A"],
        ["\xE7\x96\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xCC"],

        ["\xE1\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x9D"],
        ["\xE7\x96\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xCD"],

        ["\xE1\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xA5"],
        ["\xE7\x96\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xCE"],

        ["\xE1\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xA3"],
        ["\xE7\x96\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xCF"],

        ["\xE1\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x82"],
        ["\xE7\x97\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xD0"],

        ["\xE1\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xB3"],
        ["\xE7\x96\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xD1"],

        ["\xE1\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x83"],
        ["\xE7\x97\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xD2"],

        ["\xE1\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xB5"],
        ["\xE7\x96\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xD3"],

        ["\xE1\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xBD"],
        ["\xE7\x96\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xD4"],

        ["\xE1\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xB8"],
        ["\xE7\x96\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xD5"],

        ["\xE1\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xBC"],
        ["\xE7\x96\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xD6"],

        ["\xE1\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xB1"],
        ["\xE7\x96\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xD7"],

        ["\xE1\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x8D"],
        ["\xE7\x97\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xD8"],

        ["\xE1\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x8A"],
        ["\xE7\x97\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xD9"],

        ["\xE1\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x92"],
        ["\xE7\x97\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xDA"],

        ["\xE1\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x99"],
        ["\xE7\x97\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xDB"],

        ["\xE1\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xA3"],
        ["\xE7\x97\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xDC"],

        ["\xE1\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x9E"],
        ["\xE7\x97\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xDD"],

        ["\xE1\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xBE"],
        ["\xE7\x97\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xDE"],

        ["\xE1\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xBF"],
        ["\xE7\x97\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xDF"],

        ["\xE1\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xBC"],
        ["\xE7\x97\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xE0"],

        ["\xE1\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x81"],
        ["\xE7\x98\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xE1"],

        ["\xE1\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xB0"],
        ["\xE7\x97\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xE2"],

        ["\xE1\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xBA"],
        ["\xE7\x97\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xE3"],

        ["\xE1\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xB2"],
        ["\xE7\x97\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xE4"],

        ["\xE1\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xB3"],
        ["\xE7\x97\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xE5"],

        ["\xE1\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x8B"],
        ["\xE7\x98\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xE6"],

        ["\xE1\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x8D"],
        ["\xE7\x98\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xE7"],

        ["\xE1\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x89"],
        ["\xE7\x98\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xE8"],

        ["\xE1\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x9F"],
        ["\xE7\x98\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xE9"],

        ["\xE1\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xA7"],
        ["\xE7\x98\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xEA"],

        ["\xE1\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xA0"],
        ["\xE7\x98\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xEB"],

        ["\xE1\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xA1"],
        ["\xE7\x98\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xEC"],

        ["\xE1\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xA2"],
        ["\xE7\x98\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xED"],

        ["\xE1\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xA4"],
        ["\xE7\x98\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xEE"],

        ["\xE1\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xB4"],
        ["\xE7\x98\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xEF"],

        ["\xE1\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xB0"],
        ["\xE7\x98\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xF0"],

        ["\xE1\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xBB"],
        ["\xE7\x98\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xF1"],

        ["\xE1\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x87"],
        ["\xE7\x99\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xF2"],

        ["\xE1\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x88"],
        ["\xE7\x99\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xF3"],

        ["\xE1\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x86"],
        ["\xE7\x99\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xF4"],

        ["\xE1\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x9C"],
        ["\xE7\x99\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xF5"],

        ["\xE1\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x98"],
        ["\xE7\x99\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xF6"],

        ["\xE1\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xA1"],
        ["\xE7\x99\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xF7"],

        ["\xE1\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xA2"],
        ["\xE7\x99\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xF8"],

        ["\xE1\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xA8"],
        ["\xE7\x99\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xF9"],

        ["\xE1\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xA9"],
        ["\xE7\x99\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xFA"],

        ["\xE1\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xAA"],
        ["\xE7\x99\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xFB"],

        ["\xE1\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xA7"],
        ["\xE7\x99\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xFC"],

        ["\xE1\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xAC"],
        ["\xE7\x99\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xFD"],

        ["\xE1\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xB0"],
        ["\xE7\x99\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\xFE"],

        ["\xE2\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xB2"],
        ["\xE7\x99\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xA1"],

        ["\xE2\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xB6"],
        ["\xE7\x99\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xA2"],

        ["\xE2\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xB8"],
        ["\xE7\x99\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xA3"],

        ["\xE2\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xBC"],
        ["\xE7\x99\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xA4"],

        ["\xE2\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x80"],
        ["\xE7\x9A\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xA5"],

        ["\xE2\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x83"],
        ["\xE7\x9A\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xA6"],

        ["\xE2\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x88"],
        ["\xE7\x9A\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xA7"],

        ["\xE2\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x8B"],
        ["\xE7\x9A\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xA8"],

        ["\xE2\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x8E"],
        ["\xE7\x9A\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xA9"],

        ["\xE2\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x96"],
        ["\xE7\x9A\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xAA"],

        ["\xE2\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x93"],
        ["\xE7\x9A\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xAB"],

        ["\xE2\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x99"],
        ["\xE7\x9A\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xAC"],

        ["\xE2\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x9A"],
        ["\xE7\x9A\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xAD"],

        ["\xE2\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xB0"],
        ["\xE7\x9A\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xAE"],

        ["\xE2\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xB4"],
        ["\xE7\x9A\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xAF"],

        ["\xE2\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xB8"],
        ["\xE7\x9A\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xB0"],

        ["\xE2\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xB9"],
        ["\xE7\x9A\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xB1"],

        ["\xE2\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xBA"],
        ["\xE7\x9A\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xB2"],

        ["\xE2\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x82"],
        ["\xE7\x9B\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xB3"],

        ["\xE2\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x8D"],
        ["\xE7\x9B\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xB4"],

        ["\xE2\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x96"],
        ["\xE7\x9B\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xB5"],

        ["\xE2\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x92"],
        ["\xE7\x9B\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xB6"],

        ["\xE2\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x9E"],
        ["\xE7\x9B\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xB7"],

        ["\xE2\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xA1"],
        ["\xE7\x9B\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xB8"],

        ["\xE2\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xA5"],
        ["\xE7\x9B\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xB9"],

        ["\xE2\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xA7"],
        ["\xE7\x9B\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xBA"],

        ["\xE2\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xAA"],
        ["\xE7\x9B\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xBB"],

        ["\xE2\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xAF"],
        ["\xE8\x98\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xBC"],

        ["\xE2\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xBB"],
        ["\xE7\x9B\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xBD"],

        ["\xE2\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x88"],
        ["\xE7\x9C\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xBE"],

        ["\xE2\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x87"],
        ["\xE7\x9C\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xBF"],

        ["\xE2\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x84"],
        ["\xE7\x9C\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xC0"],

        ["\xE2\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xA9"],
        ["\xE7\x9C\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xC1"],

        ["\xE2\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xA4"],
        ["\xE7\x9C\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xC2"],

        ["\xE2\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x9E"],
        ["\xE7\x9C\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xC3"],

        ["\xE2\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xA5"],
        ["\xE7\x9C\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xC4"],

        ["\xE2\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xA6"],
        ["\xE7\x9C\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xC5"],

        ["\xE2\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x9B"],
        ["\xE7\x9C\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xC6"],

        ["\xE2\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xB7"],
        ["\xE7\x9C\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xC7"],

        ["\xE2\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xB8"],
        ["\xE7\x9C\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xC8"],

        ["\xE2\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\x87"],
        ["\xE7\x9D\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xC9"],

        ["\xE2\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\x9A"],
        ["\xE7\x9D\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xCA"],

        ["\xE2\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xA8"],
        ["\xE7\x9D\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xCB"],

        ["\xE2\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xAB"],
        ["\xE7\x9D\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xCC"],

        ["\xE2\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\x9B"],
        ["\xE7\x9D\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xCD"],

        ["\xE2\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xA5"],
        ["\xE7\x9D\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xCE"],

        ["\xE2\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xBF"],
        ["\xE7\x9D\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xCF"],

        ["\xE2\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xBE"],
        ["\xE7\x9D\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xD0"],

        ["\xE2\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xB9"],
        ["\xE7\x9D\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xD1"],

        ["\xE2\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\x8E"],
        ["\xE7\x9E\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xD2"],

        ["\xE2\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\x8B"],
        ["\xE7\x9E\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xD3"],

        ["\xE2\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\x91"],
        ["\xE7\x9E\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xD4"],

        ["\xE2\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xA0"],
        ["\xE7\x9E\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xD5"],

        ["\xE2\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\x9E"],
        ["\xE7\x9E\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xD6"],

        ["\xE2\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xB0"],
        ["\xE7\x9E\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xD7"],

        ["\xE2\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xB6"],
        ["\xE7\x9E\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xD8"],

        ["\xE2\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xB9"],
        ["\xE7\x9E\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xD9"],

        ["\xE2\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xBF"],
        ["\xE7\x9E\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xDA"],

        ["\xE2\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xBC"],
        ["\xE7\x9E\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xDB"],

        ["\xE2\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xBD"],
        ["\xE7\x9E\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xDC"],

        ["\xE2\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xBB"],
        ["\xE7\x9E\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xDD"],

        ["\xE2\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\x87"],
        ["\xE7\x9F\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xDE"],

        ["\xE2\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\x8D"],
        ["\xE7\x9F\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xDF"],

        ["\xE2\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\x97"],
        ["\xE7\x9F\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xE0"],

        ["\xE2\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\x9A"],
        ["\xE7\x9F\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xE1"],

        ["\xE2\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\x9C"],
        ["\xE7\x9F\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xE2"],

        ["\xE2\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xA3"],
        ["\xE7\x9F\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xE3"],

        ["\xE2\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xAE"],
        ["\xE7\x9F\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xE4"],

        ["\xE2\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xBC"],
        ["\xE7\x9F\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xE5"],

        ["\xE2\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\x8C"],
        ["\xE7\xA0\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xE6"],

        ["\xE2\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\x92"],
        ["\xE7\xA0\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xE7"],

        ["\xE2\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xA6"],
        ["\xE7\xA4\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xE8"],

        ["\xE2\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\xA0"],
        ["\xE7\xA0\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xE9"],

        ["\xE2\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xAA"],
        ["\xE7\xA4\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xEA"],

        ["\xE2\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\x85"],
        ["\xE7\xA1\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xEB"],

        ["\xE2\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x8E"],
        ["\xE7\xA2\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xEC"],

        ["\xE2\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\xB4"],
        ["\xE7\xA1\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xED"],

        ["\xE2\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x86"],
        ["\xE7\xA2\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xEE"],

        ["\xE2\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\xBC"],
        ["\xE7\xA1\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xEF"],

        ["\xE2\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x9A"],
        ["\xE7\xA2\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xF0"],

        ["\xE2\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x8C"],
        ["\xE7\xA2\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xF1"],

        ["\xE2\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xA3"],
        ["\xE7\xA2\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xF2"],

        ["\xE2\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xB5"],
        ["\xE7\xA2\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xF3"],

        ["\xE2\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xAA"],
        ["\xE7\xA2\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xF4"],

        ["\xE2\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xAF"],
        ["\xE7\xA2\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xF5"],

        ["\xE2\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x91"],
        ["\xE7\xA3\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xF6"],

        ["\xE2\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x86"],
        ["\xE7\xA3\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xF7"],

        ["\xE2\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x8B"],
        ["\xE7\xA3\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xF8"],

        ["\xE2\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x94"],
        ["\xE7\xA3\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xF9"],

        ["\xE2\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xBE"],
        ["\xE7\xA2\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xFA"],

        ["\xE2\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xBC"],
        ["\xE7\xA2\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xFB"],

        ["\xE2\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x85"],
        ["\xE7\xA3\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xFC"],

        ["\xE2\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x8A"],
        ["\xE7\xA3\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xFD"],

        ["\xE2\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xAC"],
        ["\xE7\xA3\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\xFE"],

        ["\xE3\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xA7"],
        ["\xE7\xA3\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xA1"],

        ["\xE3\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x9A"],
        ["\xE7\xA3\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xA2"],

        ["\xE3\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xBD"],
        ["\xE7\xA3\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xA3"],

        ["\xE3\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xB4"],
        ["\xE7\xA3\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xA4"],

        ["\xE3\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\x87"],
        ["\xE7\xA4\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xA5"],

        ["\xE3\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\x92"],
        ["\xE7\xA4\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xA6"],

        ["\xE3\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\x91"],
        ["\xE7\xA4\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xA7"],

        ["\xE3\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\x99"],
        ["\xE7\xA4\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xA8"],

        ["\xE3\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xAC"],
        ["\xE7\xA4\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xA9"],

        ["\xE3\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xAB"],
        ["\xE7\xA4\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xAA"],

        ["\xE3\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x80"],
        ["\xE7\xA5\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xAB"],

        ["\xE3\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\xA0"],
        ["\xE7\xA5\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xAC"],

        ["\xE3\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x97"],
        ["\xE7\xA5\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xAD"],

        ["\xE3\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x9F"],
        ["\xE7\xA5\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xAE"],

        ["\xE3\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x9A"],
        ["\xE7\xA5\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xAF"],

        ["\xE3\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x95"],
        ["\xE7\xA5\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xB0"],

        ["\xE3\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x93"],
        ["\xE7\xA5\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xB1"],

        ["\xE3\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\xBA"],
        ["\xE7\xA5\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xB2"],

        ["\xE3\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\xBF"],
        ["\xE7\xA5\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xB3"],

        ["\xE3\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x8A"],
        ["\xE7\xA6\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xB4"],

        ["\xE3\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x9D"],
        ["\xE7\xA6\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xB5"],

        ["\xE3\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xA7"],
        ["\xE7\xA6\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xB6"],

        ["\xE3\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x8B"],
        ["\xE9\xBD\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xB7"],

        ["\xE3\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xAA"],
        ["\xE7\xA6\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xB8"],

        ["\xE3\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xAE"],
        ["\xE7\xA6\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xB9"],

        ["\xE3\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xB3"],
        ["\xE7\xA6\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xBA"],

        ["\xE3\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xB9"],
        ["\xE7\xA6\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xBB"],

        ["\xE3\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xBA"],
        ["\xE7\xA6\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xBC"],

        ["\xE3\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x89"],
        ["\xE7\xA7\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xBD"],

        ["\xE3\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x95"],
        ["\xE7\xA7\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xBE"],

        ["\xE3\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\xA7"],
        ["\xE7\xA7\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xBF"],

        ["\xE3\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\xAC"],
        ["\xE7\xA7\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xC0"],

        ["\xE3\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\xA1"],
        ["\xE7\xA7\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xC1"],

        ["\xE3\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\xA3"],
        ["\xE7\xA7\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xC2"],

        ["\xE3\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x88"],
        ["\xE7\xA8\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xC3"],

        ["\xE3\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x8D"],
        ["\xE7\xA8\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xC4"],

        ["\xE3\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x98"],
        ["\xE7\xA8\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xC5"],

        ["\xE3\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x99"],
        ["\xE7\xA8\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xC6"],

        ["\xE3\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xA0"],
        ["\xE7\xA8\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xC7"],

        ["\xE3\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x9F"],
        ["\xE7\xA8\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xC8"],

        ["\xE3\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x80"],
        ["\xE7\xA6\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xC9"],

        ["\xE3\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xB1"],
        ["\xE7\xA8\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xCA"],

        ["\xE3\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xBB"],
        ["\xE7\xA8\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xCB"],

        ["\xE3\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xBE"],
        ["\xE7\xA8\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xCC"],

        ["\xE3\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xB7"],
        ["\xE7\xA8\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xCD"],

        ["\xE3\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x83"],
        ["\xE7\xA9\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xCE"],

        ["\xE3\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x97"],
        ["\xE7\xA9\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xCF"],

        ["\xE3\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x89"],
        ["\xE7\xA9\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xD0"],

        ["\xE3\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xA1"],
        ["\xE7\xA9\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xD1"],

        ["\xE3\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xA2"],
        ["\xE7\xA9\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xD2"],

        ["\xE3\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xA9"],
        ["\xE7\xA9\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xD3"],

        ["\xE3\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE\x9D"],
        ["\xE9\xBE\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xD4"],

        ["\xE3\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xB0"],
        ["\xE7\xA9\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xD5"],

        ["\xE3\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xB9"],
        ["\xE7\xA9\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xD6"],

        ["\xE3\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xBD"],
        ["\xE7\xA9\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xD7"],

        ["\xE3\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x88"],
        ["\xE7\xAA\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xD8"],

        ["\xE3\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x97"],
        ["\xE7\xAA\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xD9"],

        ["\xE3\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x95"],
        ["\xE7\xAA\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xDA"],

        ["\xE3\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x98"],
        ["\xE7\xAA\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xDB"],

        ["\xE3\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x96"],
        ["\xE7\xAA\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xDC"],

        ["\xE3\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xA9"],
        ["\xE7\xAA\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xDD"],

        ["\xE3\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x88"],
        ["\xE7\xAB\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xDE"],

        ["\xE3\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xB0"],
        ["\xE7\xAA\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xDF"],

        ["\xE3\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xB6"],
        ["\xE7\xAA\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xE0"],

        ["\xE3\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x85"],
        ["\xE7\xAB\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xE1"],

        ["\xE3\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x84"],
        ["\xE7\xAB\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xE2"],

        ["\xE3\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xBF"],
        ["\xE7\xAA\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xE3"],

        ["\xE3\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x83"],
        ["\xE9\x82\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xE4"],

        ["\xE3\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x87"],
        ["\xE7\xAB\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xE5"],

        ["\xE3\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x8A"],
        ["\xE7\xAB\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xE6"],

        ["\xE3\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x8D"],
        ["\xE7\xAB\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xE7"],

        ["\xE3\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x8F"],
        ["\xE7\xAB\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xE8"],

        ["\xE3\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x95"],
        ["\xE7\xAB\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xE9"],

        ["\xE3\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x93"],
        ["\xE7\xAB\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xEA"],

        ["\xE3\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x99"],
        ["\xE7\xAB\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xEB"],

        ["\xE3\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x9A"],
        ["\xE7\xAB\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xEC"],

        ["\xE3\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x9D"],
        ["\xE7\xAB\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xED"],

        ["\xE3\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xA1"],
        ["\xE7\xAB\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xEE"],

        ["\xE3\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xA2"],
        ["\xE7\xAB\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xEF"],

        ["\xE3\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xA6"],
        ["\xE7\xAB\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xF0"],

        ["\xE3\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xAD"],
        ["\xE7\xAB\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xF1"],

        ["\xE3\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xB0"],
        ["\xE7\xAB\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xF2"],

        ["\xE3\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x82"],
        ["\xE7\xAC\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xF3"],

        ["\xE3\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x8F"],
        ["\xE7\xAC\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xF4"],

        ["\xE3\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x8A"],
        ["\xE7\xAC\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xF5"],

        ["\xE3\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x86"],
        ["\xE7\xAC\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xF6"],

        ["\xE3\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xB3"],
        ["\xE7\xAC\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xF7"],

        ["\xE3\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x98"],
        ["\xE7\xAC\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xF8"],

        ["\xE3\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x99"],
        ["\xE7\xAC\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xF9"],

        ["\xE3\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x9E"],
        ["\xE7\xAC\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xFA"],

        ["\xE3\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xB5"],
        ["\xE7\xAC\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xFB"],

        ["\xE3\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xA8"],
        ["\xE7\xAC\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xFC"],

        ["\xE3\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xB6"],
        ["\xE7\xAC\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xFD"],

        ["\xE3\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x90"],
        ["\xE7\xAD\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\xFE"],

        ["\xE4\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xBA"],
        ["\xE7\xAD\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xA1"],

        ["\xE4\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x84"],
        ["\xE7\xAC\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xA2"],

        ["\xE4\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x8D"],
        ["\xE7\xAD\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xA3"],

        ["\xE4\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x8B"],
        ["\xE7\xAC\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xA4"],

        ["\xE4\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x8C"],
        ["\xE7\xAD\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xA5"],

        ["\xE4\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x85"],
        ["\xE7\xAD\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xA6"],

        ["\xE4\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xB5"],
        ["\xE7\xAD\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xA7"],

        ["\xE4\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xA5"],
        ["\xE7\xAD\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xA8"],

        ["\xE4\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xB4"],
        ["\xE7\xAD\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xA9"],

        ["\xE4\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xA7"],
        ["\xE7\xAD\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xAA"],

        ["\xE4\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xB0"],
        ["\xE7\xAD\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xAB"],

        ["\xE4\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xB1"],
        ["\xE7\xAD\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xAC"],

        ["\xE4\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xAC"],
        ["\xE7\xAD\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xAD"],

        ["\xE4\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xAE"],
        ["\xE7\xAD\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xAE"],

        ["\xE4\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x9D"],
        ["\xE7\xAE\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xAF"],

        ["\xE4\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x98"],
        ["\xE7\xAE\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xB0"],

        ["\xE4\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x9F"],
        ["\xE7\xAE\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xB1"],

        ["\xE4\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x8D"],
        ["\xE7\xAE\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xB2"],

        ["\xE4\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x9C"],
        ["\xE7\xAE\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xB3"],

        ["\xE4\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x9A"],
        ["\xE7\xAE\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xB4"],

        ["\xE4\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x8B"],
        ["\xE7\xAE\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xB5"],

        ["\xE4\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x92"],
        ["\xE7\xAE\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xB6"],

        ["\xE4\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x8F"],
        ["\xE7\xAE\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xB7"],

        ["\xE4\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x9D"],
        ["\xE7\xAD\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8"],

        ["\xE4\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x99"],
        ["\xE7\xAE\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9"],

        ["\xE4\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x8B"],
        ["\xE7\xAF\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA"],

        ["\xE4\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x81"],
        ["\xE7\xAF\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB"],

        ["\xE4\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x8C"],
        ["\xE7\xAF\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC"],

        ["\xE4\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x8F"],
        ["\xE7\xAF\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD"],

        ["\xE4\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\xB4"],
        ["\xE7\xAE\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE"],

        ["\xE4\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x86"],
        ["\xE7\xAF\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF"],

        ["\xE4\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x9D"],
        ["\xE7\xAF\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xC0"],

        ["\xE4\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\xA9"],
        ["\xE7\xAF\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xC1"],

        ["\xE4\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x91"],
        ["\xE7\xB0\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xC2"],

        ["\xE4\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x94"],
        ["\xE7\xB0\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xC3"],

        ["\xE4\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\xA6"],
        ["\xE7\xAF\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xC4"],

        ["\xE4\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\xA5"],
        ["\xE7\xAF\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xC5"],

        ["\xE4\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xA0"],
        ["\xE7\xB1\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xC6"],

        ["\xE4\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x80"],
        ["\xE7\xB0\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xC7"],

        ["\xE4\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x87"],
        ["\xE7\xB0\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xC8"],

        ["\xE4\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x93"],
        ["\xE7\xB0\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xC9"],

        ["\xE4\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\xB3"],
        ["\xE7\xAF\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xCA"],

        ["\xE4\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\xB7"],
        ["\xE7\xAF\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xCB"],

        ["\xE4\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x97"],
        ["\xE7\xB0\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xCC"],

        ["\xE4\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x8D"],
        ["\xE7\xB0\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xCD"],

        ["\xE4\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\xB6"],
        ["\xE7\xAF\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xCE"],

        ["\xE4\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xA3"],
        ["\xE7\xB0\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xCF"],

        ["\xE4\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xA7"],
        ["\xE7\xB0\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xD0"],

        ["\xE4\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xAA"],
        ["\xE7\xB0\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xD1"],

        ["\xE4\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x9F"],
        ["\xE7\xB0\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xD2"],

        ["\xE4\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xB7"],
        ["\xE7\xB0\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xD3"],

        ["\xE4\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xAB"],
        ["\xE7\xB0\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xD4"],

        ["\xE4\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xBD"],
        ["\xE7\xB0\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xD5"],

        ["\xE4\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x8C"],
        ["\xE7\xB1\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xD6"],

        ["\xE4\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x83"],
        ["\xE7\xB1\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xD7"],

        ["\xE4\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x94"],
        ["\xE7\xB1\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xD8"],

        ["\xE4\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x8F"],
        ["\xE7\xB1\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xD9"],

        ["\xE4\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x80"],
        ["\xE7\xB1\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xDA"],

        ["\xE4\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x90"],
        ["\xE7\xB1\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xDB"],

        ["\xE4\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x98"],
        ["\xE7\xB1\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xDC"],

        ["\xE4\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x9F"],
        ["\xE7\xB1\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xDD"],

        ["\xE4\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xA4"],
        ["\xE7\xB1\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xDE"],

        ["\xE4\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x96"],
        ["\xE7\xB1\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xDF"],

        ["\xE4\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xA5"],
        ["\xE7\xB1\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xE0"],

        ["\xE4\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xAC"],
        ["\xE7\xB1\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xE1"],

        ["\xE4\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xB5"],
        ["\xE7\xB1\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xE2"],

        ["\xE4\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x83"],
        ["\xE7\xB2\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xE3"],

        ["\xE4\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x90"],
        ["\xE7\xB2\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xE4"],

        ["\xE4\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xA4"],
        ["\xE7\xB2\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xE5"],

        ["\xE4\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xAD"],
        ["\xE7\xB2\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xE6"],

        ["\xE4\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xA2"],
        ["\xE7\xB2\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xE7"],

        ["\xE4\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xAB"],
        ["\xE7\xB2\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xE8"],

        ["\xE4\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xA1"],
        ["\xE7\xB2\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xE9"],

        ["\xE4\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xA8"],
        ["\xE7\xB2\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xEA"],

        ["\xE4\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xB3"],
        ["\xE7\xB2\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xEB"],

        ["\xE4\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xB2"],
        ["\xE7\xB2\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xEC"],

        ["\xE4\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xB1"],
        ["\xE7\xB2\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xED"],

        ["\xE4\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xAE"],
        ["\xE7\xB2\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xEE"],

        ["\xE4\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xB9"],
        ["\xE7\xB2\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xEF"],

        ["\xE4\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xBD"],
        ["\xE7\xB2\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xF0"],

        ["\xE4\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x80"],
        ["\xE7\xB3\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xF1"],

        ["\xE4\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x85"],
        ["\xE7\xB3\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xF2"],

        ["\xE4\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x82"],
        ["\xE7\xB3\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xF3"],

        ["\xE4\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x98"],
        ["\xE7\xB3\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xF4"],

        ["\xE4\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x92"],
        ["\xE7\xB3\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xF5"],

        ["\xE4\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x9C"],
        ["\xE7\xB3\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xF6"],

        ["\xE4\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xA2"],
        ["\xE7\xB3\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xF7"],

        ["\xE4\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xBB"],
        ["\xE9\xAC\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xF8"],

        ["\xE4\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xAF"],
        ["\xE7\xB3\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xF9"],

        ["\xE4\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xB2"],
        ["\xE7\xB3\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xFA"],

        ["\xE4\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xB4"],
        ["\xE7\xB3\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xFB"],

        ["\xE4\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xB6"],
        ["\xE7\xB3\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xFC"],

        ["\xE4\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xBA"],
        ["\xE7\xB3\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xFD"],

        ["\xE4\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x86"],
        ["\xE7\xB4\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\xFE"],

        ["\xE5\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x82"],
        ["\xE7\xB4\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1"],

        ["\xE5\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x9C"],
        ["\xE7\xB4\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2"],

        ["\xE5\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x95"],
        ["\xE7\xB4\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3"],

        ["\xE5\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x8A"],
        ["\xE7\xB4\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4"],

        ["\xE5\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x85"],
        ["\xE7\xB5\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5"],

        ["\xE5\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x8B"],
        ["\xE7\xB5\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6"],

        ["\xE5\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xAE"],
        ["\xE7\xB4\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7"],

        ["\xE5\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xB2"],
        ["\xE7\xB4\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8"],

        ["\xE5\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xBF"],
        ["\xE7\xB4\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9"],

        ["\xE5\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xB5"],
        ["\xE7\xB4\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA"],

        ["\xE5\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x86"],
        ["\xE7\xB5\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB"],

        ["\xE5\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xB3"],
        ["\xE7\xB5\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC"],

        ["\xE5\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x96"],
        ["\xE7\xB5\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD"],

        ["\xE5\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x8E"],
        ["\xE7\xB5\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE"],

        ["\xE5\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xB2"],
        ["\xE7\xB5\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF"],

        ["\xE5\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xA8"],
        ["\xE7\xB5\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0"],

        ["\xE5\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xAE"],
        ["\xE7\xB5\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1"],

        ["\xE5\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x8F"],
        ["\xE7\xB5\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2"],

        ["\xE5\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xA3"],
        ["\xE7\xB5\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3"],

        ["\xE5\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x93"],
        ["\xE7\xB6\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4"],

        ["\xE5\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x89"],
        ["\xE7\xB6\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5"],

        ["\xE5\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x9B"],
        ["\xE7\xB5\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6"],

        ["\xE5\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x8F"],
        ["\xE7\xB6\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7"],

        ["\xE5\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xBD"],
        ["\xE7\xB5\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8"],

        ["\xE5\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x9B"],
        ["\xE7\xB6\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9"],

        ["\xE5\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xBA"],
        ["\xE7\xB6\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA"],

        ["\xE5\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xAE"],
        ["\xE7\xB6\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB"],

        ["\xE5\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xA3"],
        ["\xE7\xB6\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC"],

        ["\xE5\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xB5"],
        ["\xE7\xB6\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD"],

        ["\xE5\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x87"],
        ["\xE7\xB7\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE"],

        ["\xE5\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xBD"],
        ["\xE7\xB6\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF"],

        ["\xE5\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xAB"],
        ["\xE7\xB6\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xC0"],

        ["\xE5\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xBD"],
        ["\xE7\xB8\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xC1"],

        ["\xE5\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xA2"],
        ["\xE7\xB6\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xC2"],

        ["\xE5\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xAF"],
        ["\xE7\xB6\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xC3"],

        ["\xE5\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x9C"],
        ["\xE7\xB7\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xC4"],

        ["\xE5\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xB8"],
        ["\xE7\xB6\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xC5"],

        ["\xE5\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x9F"],
        ["\xE7\xB6\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xC6"],

        ["\xE5\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xB0"],
        ["\xE7\xB6\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xC7"],

        ["\xE5\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x98"],
        ["\xE7\xB7\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xC8"],

        ["\xE5\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x9D"],
        ["\xE7\xB7\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xC9"],

        ["\xE5\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xA4"],
        ["\xE7\xB7\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xCA"],

        ["\xE5\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x9E"],
        ["\xE7\xB7\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xCB"],

        ["\xE5\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xBB"],
        ["\xE7\xB7\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xCC"],

        ["\xE5\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xB2"],
        ["\xE7\xB7\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xCD"],

        ["\xE5\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xA1"],
        ["\xE7\xB7\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xCE"],

        ["\xE5\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x85"],
        ["\xE7\xB8\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xCF"],

        ["\xE5\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x8A"],
        ["\xE7\xB8\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xD0"],

        ["\xE5\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xA3"],
        ["\xE7\xB8\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xD1"],

        ["\xE5\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xA1"],
        ["\xE7\xB8\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xD2"],

        ["\xE5\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x92"],
        ["\xE7\xB8\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xD3"],

        ["\xE5\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xB1"],
        ["\xE7\xB8\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xD4"],

        ["\xE5\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x9F"],
        ["\xE7\xB8\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xD5"],

        ["\xE5\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x89"],
        ["\xE7\xB8\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xD6"],

        ["\xE5\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x8B"],
        ["\xE7\xB8\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xD7"],

        ["\xE5\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xA2"],
        ["\xE7\xB8\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xD8"],

        ["\xE5\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x86"],
        ["\xE7\xB9\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xD9"],

        ["\xE5\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xA6"],
        ["\xE7\xB9\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xDA"],

        ["\xE5\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xBB"],
        ["\xE7\xB8\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xDB"],

        ["\xE5\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xB5"],
        ["\xE7\xB8\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xDC"],

        ["\xE5\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xB9"],
        ["\xE7\xB8\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xDD"],

        ["\xE5\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x83"],
        ["\xE7\xB9\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xDE"],

        ["\xE5\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xB7"],
        ["\xE7\xB8\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xDF"],

        ["\xE5\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xB2"],
        ["\xE7\xB8\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xE0"],

        ["\xE5\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xBA"],
        ["\xE7\xB8\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xE1"],

        ["\xE5\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xA7"],
        ["\xE7\xB9\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xE2"],

        ["\xE5\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x9D"],
        ["\xE7\xB9\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xE3"],

        ["\xE5\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x96"],
        ["\xE7\xB9\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xE4"],

        ["\xE5\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x9E"],
        ["\xE7\xB9\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xE5"],

        ["\xE5\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x99"],
        ["\xE7\xB9\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xE6"],

        ["\xE5\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x9A"],
        ["\xE7\xB9\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xE7"],

        ["\xE5\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xB9"],
        ["\xE7\xB9\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xE8"],

        ["\xE5\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xAA"],
        ["\xE7\xB9\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xE9"],

        ["\xE5\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xA9"],
        ["\xE7\xB9\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xEA"],

        ["\xE5\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xBC"],
        ["\xE7\xB9\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xEB"],

        ["\xE5\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xBB"],
        ["\xE7\xB9\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xEC"],

        ["\xE5\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x83"],
        ["\xE7\xBA\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xED"],

        ["\xE5\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x95"],
        ["\xE7\xB7\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xEE"],

        ["\xE5\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xBD"],
        ["\xE7\xB9\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xEF"],

        ["\xE5\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xAE"],
        ["\xE8\xBE\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xF0"],

        ["\xE5\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xBF"],
        ["\xE7\xB9\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xF1"],

        ["\xE5\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x88"],
        ["\xE7\xBA\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xF2"],

        ["\xE5\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x89"],
        ["\xE7\xBA\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xF3"],

        ["\xE5\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x8C"],
        ["\xE7\xBA\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xF4"],

        ["\xE5\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x92"],
        ["\xE7\xBA\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xF5"],

        ["\xE5\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x90"],
        ["\xE7\xBA\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xF6"],

        ["\xE5\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x93"],
        ["\xE7\xBA\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xF7"],

        ["\xE5\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x94"],
        ["\xE7\xBA\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xF8"],

        ["\xE5\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x96"],
        ["\xE7\xBA\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xF9"],

        ["\xE5\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x8E"],
        ["\xE7\xBA\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xFA"],

        ["\xE5\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x9B"],
        ["\xE7\xBA\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xFB"],

        ["\xE5\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x9C"],
        ["\xE7\xBA\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xFC"],

        ["\xE5\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBC\xB8"],
        ["\xE7\xBC\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xFD"],

        ["\xE5\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBC\xBA"],
        ["\xE7\xBC\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\xFE"],

        ["\xE6\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x85"],
        ["\xE7\xBD\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1"],

        ["\xE6\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x8C"],
        ["\xE7\xBD\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2"],

        ["\xE6\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x8D"],
        ["\xE7\xBD\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3"],

        ["\xE6\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x8E"],
        ["\xE7\xBD\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4"],

        ["\xE6\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x90"],
        ["\xE7\xBD\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5"],

        ["\xE6\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x91"],
        ["\xE7\xBD\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6"],

        ["\xE6\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x95"],
        ["\xE7\xBD\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7"],

        ["\xE6\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x94"],
        ["\xE7\xBD\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8"],

        ["\xE6\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x98"],
        ["\xE7\xBD\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9"],

        ["\xE6\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x9F"],
        ["\xE7\xBD\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA"],

        ["\xE6\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xA0"],
        ["\xE7\xBD\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB"],

        ["\xE6\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xA8"],
        ["\xE7\xBD\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC"],

        ["\xE6\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xA9"],
        ["\xE7\xBD\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD"],

        ["\xE6\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xA7"],
        ["\xE7\xBD\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE"],

        ["\xE6\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xB8"],
        ["\xE7\xBD\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF"],

        ["\xE6\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x82"],
        ["\xE7\xBE\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0"],

        ["\xE6\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x86"],
        ["\xE7\xBE\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1"],

        ["\xE6\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x83"],
        ["\xE7\xBE\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2"],

        ["\xE6\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x88"],
        ["\xE7\xBE\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3"],

        ["\xE6\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x87"],
        ["\xE7\xBE\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4"],

        ["\xE6\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x8C"],
        ["\xE7\xBE\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5"],

        ["\xE6\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x94"],
        ["\xE7\xBE\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6"],

        ["\xE6\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x9E"],
        ["\xE7\xBE\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7"],

        ["\xE6\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x9D"],
        ["\xE7\xBE\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8"],

        ["\xE6\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x9A"],
        ["\xE7\xBE\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9"],

        ["\xE6\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xA3"],
        ["\xE7\xBE\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA"],

        ["\xE6\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xAF"],
        ["\xE7\xBE\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB"],

        ["\xE6\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xB2"],
        ["\xE7\xBE\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC"],

        ["\xE6\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xB9"],
        ["\xE7\xBE\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD"],

        ["\xE6\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xAE"],
        ["\xE7\xBE\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE"],

        ["\xE6\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xB6"],
        ["\xE7\xBE\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF"],

        ["\xE6\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xB8"],
        ["\xE7\xBE\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xC0"],

        ["\xE6\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xB1"],
        ["\xE8\xAD\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xC1"],

        ["\xE6\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x85"],
        ["\xE7\xBF\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xC2"],

        ["\xE6\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x86"],
        ["\xE7\xBF\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xC3"],

        ["\xE6\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x8A"],
        ["\xE7\xBF\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xC4"],

        ["\xE6\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x95"],
        ["\xE7\xBF\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xC5"],

        ["\xE6\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x94"],
        ["\xE7\xBF\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xC6"],

        ["\xE6\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xA1"],
        ["\xE7\xBF\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xC7"],

        ["\xE6\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xA6"],
        ["\xE7\xBF\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xC8"],

        ["\xE6\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xA9"],
        ["\xE7\xBF\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xC9"],

        ["\xE6\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xB3"],
        ["\xE7\xBF\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xCA"],

        ["\xE6\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xB9"],
        ["\xE7\xBF\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xCB"],

        ["\xE6\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\x9C"],
        ["\xE9\xA3\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xCC"],

        ["\xE6\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x86"],
        ["\xE8\x80\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xCD"],

        ["\xE6\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x84"],
        ["\xE8\x80\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xCE"],

        ["\xE6\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x8B"],
        ["\xE8\x80\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xCF"],

        ["\xE6\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x92"],
        ["\xE8\x80\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xD0"],

        ["\xE6\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x98"],
        ["\xE8\x80\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xD1"],

        ["\xE6\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x99"],
        ["\xE8\x80\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xD2"],

        ["\xE6\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x9C"],
        ["\xE8\x80\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xD3"],

        ["\xE6\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xA1"],
        ["\xE8\x80\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xD4"],

        ["\xE6\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xA8"],
        ["\xE8\x80\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xD5"],

        ["\xE6\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xBF"],
        ["\xE8\x80\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xD6"],

        ["\xE6\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xBB"],
        ["\xE8\x80\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xD7"],

        ["\xE6\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\x8A"],
        ["\xE8\x81\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xD8"],

        ["\xE6\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\x86"],
        ["\xE8\x81\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xD9"],

        ["\xE6\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\x92"],
        ["\xE8\x81\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xDA"],

        ["\xE6\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\x98"],
        ["\xE8\x81\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xDB"],

        ["\xE6\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\x9A"],
        ["\xE8\x81\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xDC"],

        ["\xE6\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\x9F"],
        ["\xE8\x81\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xDD"],

        ["\xE6\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xA2"],
        ["\xE8\x81\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xDE"],

        ["\xE6\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xA8"],
        ["\xE8\x81\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xDF"],

        ["\xE6\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xB3"],
        ["\xE8\x81\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xE0"],

        ["\xE6\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xB2"],
        ["\xE8\x81\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xE1"],

        ["\xE6\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xB0"],
        ["\xE8\x81\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xE2"],

        ["\xE6\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xB6"],
        ["\xE8\x81\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xE3"],

        ["\xE6\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xB9"],
        ["\xE8\x81\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xE4"],

        ["\xE6\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xBD"],
        ["\xE8\x81\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xE5"],

        ["\xE6\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xBF"],
        ["\xE8\x81\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xE6"],

        ["\xE6\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x84"],
        ["\xE8\x82\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xE7"],

        ["\xE6\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x86"],
        ["\xE8\x82\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xE8"],

        ["\xE6\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x85"],
        ["\xE8\x82\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xE9"],

        ["\xE6\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x9B"],
        ["\xE8\x82\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xEA"],

        ["\xE6\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x93"],
        ["\xE8\x82\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xEB"],

        ["\xE6\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x9A"],
        ["\xE8\x82\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xEC"],

        ["\xE6\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xAD"],
        ["\xE8\x82\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xED"],

        ["\xE6\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x90"],
        ["\xE5\x86\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xEE"],

        ["\xE6\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xAC"],
        ["\xE8\x82\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xEF"],

        ["\xE6\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x9B"],
        ["\xE8\x83\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xF0"],

        ["\xE6\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xA5"],
        ["\xE8\x83\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xF1"],

        ["\xE6\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x99"],
        ["\xE8\x83\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xF2"],

        ["\xE6\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x9D"],
        ["\xE8\x83\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xF3"],

        ["\xE6\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x84"],
        ["\xE8\x83\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xF4"],

        ["\xE6\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x9A"],
        ["\xE8\x83\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xF5"],

        ["\xE6\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x96"],
        ["\xE8\x83\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xF6"],

        ["\xE6\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x89"],
        ["\xE8\x84\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xF7"],

        ["\xE6\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xAF"],
        ["\xE8\x83\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xF8"],

        ["\xE6\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xB1"],
        ["\xE8\x83\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xF9"],

        ["\xE6\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x9B"],
        ["\xE8\x84\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xFA"],

        ["\xE6\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xA9"],
        ["\xE8\x84\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xFB"],

        ["\xE6\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xA3"],
        ["\xE8\x84\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xFC"],

        ["\xE6\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xAF"],
        ["\xE8\x84\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xFD"],

        ["\xE6\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\x8B"],
        ["\xE8\x85\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\xFE"],

        ["\xE7\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x8B"],
        ["\xE9\x9A\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1"],

        ["\xE7\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\x86"],
        ["\xE8\x85\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2"],

        ["\xE7\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xBE"],
        ["\xE8\x84\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3"],

        ["\xE7\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\x93"],
        ["\xE8\x85\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4"],

        ["\xE7\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\x91"],
        ["\xE8\x85\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5"],

        ["\xE7\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xBC"],
        ["\xE8\x83\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6"],

        ["\xE7\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xB1"],
        ["\xE8\x85\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7"],

        ["\xE7\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xAE"],
        ["\xE8\x85\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8"],

        ["\xE7\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xA5"],
        ["\xE8\x85\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9"],

        ["\xE7\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xA6"],
        ["\xE8\x85\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA"],

        ["\xE7\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xB4"],
        ["\xE8\x85\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB"],

        ["\xE7\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x83"],
        ["\xE8\x86\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC"],

        ["\xE7\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x88"],
        ["\xE8\x86\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD"],

        ["\xE7\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x8A"],
        ["\xE8\x86\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE"],

        ["\xE7\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x80"],
        ["\xE8\x86\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF"],

        ["\xE7\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x82"],
        ["\xE8\x86\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0"],

        ["\xE7\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xA0"],
        ["\xE8\x86\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1"],

        ["\xE7\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x95"],
        ["\xE8\x86\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2"],

        ["\xE7\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xA4"],
        ["\xE8\x86\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3"],

        ["\xE7\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xA3"],
        ["\xE8\x86\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4"],

        ["\xE7\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\x9F"],
        ["\xE8\x85\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5"],

        ["\xE7\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x93"],
        ["\xE8\x86\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6"],

        ["\xE7\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xA9"],
        ["\xE8\x86\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7"],

        ["\xE7\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xB0"],
        ["\xE8\x86\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8"],

        ["\xE7\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xB5"],
        ["\xE8\x86\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9"],

        ["\xE7\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xBE"],
        ["\xE8\x86\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA"],

        ["\xE7\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xB8"],
        ["\xE8\x86\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xBB"],

        ["\xE7\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xBD"],
        ["\xE8\x86\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xBC"],

        ["\xE7\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x80"],
        ["\xE8\x87\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD"],

        ["\xE7\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x82"],
        ["\xE8\x87\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE"],

        ["\xE7\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xBA"],
        ["\xE8\x86\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF"],

        ["\xE7\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x89"],
        ["\xE8\x87\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xC0"],

        ["\xE7\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x8D"],
        ["\xE8\x87\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xC1"],

        ["\xE7\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x91"],
        ["\xE8\x87\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xC2"],

        ["\xE7\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x99"],
        ["\xE8\x87\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xC3"],

        ["\xE7\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x98"],
        ["\xE8\x87\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xC4"],

        ["\xE7\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x88"],
        ["\xE8\x87\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xC5"],

        ["\xE7\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x9A"],
        ["\xE8\x87\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xC6"],

        ["\xE7\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x9F"],
        ["\xE8\x87\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xC7"],

        ["\xE7\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xA0"],
        ["\xE8\x87\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xC8"],

        ["\xE7\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xA7"],
        ["\xE8\x87\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xC9"],

        ["\xE7\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xBA"],
        ["\xE8\x87\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xCA"],

        ["\xE7\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xBB"],
        ["\xE8\x87\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xCB"],

        ["\xE7\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xBE"],
        ["\xE8\x87\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xCC"],

        ["\xE7\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x81"],
        ["\xE8\x88\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xCD"],

        ["\xE7\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x82"],
        ["\xE8\x88\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xCE"],

        ["\xE7\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x85"],
        ["\xE8\x88\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xCF"],

        ["\xE7\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x87"],
        ["\xE8\x88\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xD0"],

        ["\xE7\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x8A"],
        ["\xE8\x88\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xD1"],

        ["\xE7\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x8D"],
        ["\xE8\x88\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xD2"],

        ["\xE7\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x90"],
        ["\xE8\x88\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xD3"],

        ["\xE7\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x96"],
        ["\xE8\x88\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xD4"],

        ["\xE7\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xA9"],
        ["\xE8\x88\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xD5"],

        ["\xE7\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xAB"],
        ["\xE8\x88\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xD6"],

        ["\xE7\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xB8"],
        ["\xE8\x88\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xD7"],

        ["\xE7\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xB3"],
        ["\xE8\x88\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xD8"],

        ["\xE7\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x80"],
        ["\xE8\x89\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xD9"],

        ["\xE7\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x99"],
        ["\xE8\x89\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xDA"],

        ["\xE7\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x98"],
        ["\xE8\x89\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xDB"],

        ["\xE7\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x9D"],
        ["\xE8\x89\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xDC"],

        ["\xE7\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x9A"],
        ["\xE8\x89\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xDD"],

        ["\xE7\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x9F"],
        ["\xE8\x89\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xDE"],

        ["\xE7\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xA4"],
        ["\xE8\x89\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xDF"],

        ["\xE7\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xA2"],
        ["\xE8\x89\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xE0"],

        ["\xE7\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xA8"],
        ["\xE8\x89\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xE1"],

        ["\xE7\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xAA"],
        ["\xE8\x89\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xE2"],

        ["\xE7\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xAB"],
        ["\xE8\x89\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xE3"],

        ["\xE7\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xAE"],
        ["\xE8\x88\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xE4"],

        ["\xE7\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xB1"],
        ["\xE8\x89\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xE5"],

        ["\xE7\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xB7"],
        ["\xE8\x89\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xE6"],

        ["\xE7\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xB8"],
        ["\xE8\x89\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xE7"],

        ["\xE7\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xBE"],
        ["\xE8\x89\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xE8"],

        ["\xE7\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\x8D"],
        ["\xE8\x8A\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xE9"],

        ["\xE7\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\x92"],
        ["\xE8\x8A\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xEA"],

        ["\xE7\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xAB"],
        ["\xE8\x8A\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xEB"],

        ["\xE7\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\x9F"],
        ["\xE8\x8A\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xEC"],

        ["\xE7\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xBB"],
        ["\xE8\x8A\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xED"],

        ["\xE7\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xAC"],
        ["\xE8\x8A\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xEE"],

        ["\xE7\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xA1"],
        ["\xE8\x8B\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xEF"],

        ["\xE7\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xA3"],
        ["\xE8\x8B\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xF0"],

        ["\xE7\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x9F"],
        ["\xE8\x8B\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xF1"],

        ["\xE7\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x92"],
        ["\xE8\x8B\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xF2"],

        ["\xE7\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xB4"],
        ["\xE8\x8B\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xF3"],

        ["\xE7\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xB3"],
        ["\xE8\x8B\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xF4"],

        ["\xE7\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xBA"],
        ["\xE8\x8B\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xF5"],

        ["\xE7\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x93"],
        ["\xE8\x8E\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xF6"],

        ["\xE7\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x83"],
        ["\xE8\x8C\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xF7"],

        ["\xE7\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xBB"],
        ["\xE8\x8B\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xF8"],

        ["\xE7\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xB9"],
        ["\xE8\x8B\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xF9"],

        ["\xE7\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x9E"],
        ["\xE8\x8B\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xFA"],

        ["\xE7\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x86"],
        ["\xE8\x8C\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xFB"],

        ["\xE7\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x9C"],
        ["\xE8\x8B\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xFC"],

        ["\xE7\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x89"],
        ["\xE8\x8C\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xFD"],

        ["\xE7\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x99"],
        ["\xE8\x8B\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\xFE"],

        ["\xE8\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xB5"],
        ["\xE8\x8C\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1"],

        ["\xE8\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xB4"],
        ["\xE8\x8C\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2"],

        ["\xE8\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x96"],
        ["\xE8\x8C\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3"],

        ["\xE8\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xB2"],
        ["\xE8\x8C\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4"],

        ["\xE8\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xB1"],
        ["\xE8\x8C\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5"],

        ["\xE8\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x80"],
        ["\xE8\x8D\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6"],

        ["\xE8\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xB9"],
        ["\xE8\x8C\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7"],

        ["\xE8\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x90"],
        ["\xE8\x8D\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8"],

        ["\xE8\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x85"],
        ["\xE8\x8D\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9"],

        ["\xE8\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xAF"],
        ["\xE8\x8C\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA"],

        ["\xE8\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xAB"],
        ["\xE8\x8C\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB"],

        ["\xE8\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x97"],
        ["\xE8\x8C\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC"],

        ["\xE8\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x98"],
        ["\xE8\x8C\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD"],

        ["\xE8\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x85"],
        ["\xE8\x8E\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE"],

        ["\xE8\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x9A"],
        ["\xE8\x8E\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xAF"],

        ["\xE8\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\xAA"],
        ["\xE8\x8E\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xB0"],

        ["\xE8\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x9F"],
        ["\xE8\x8E\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1"],

        ["\xE8\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\xA2"],
        ["\xE8\x8E\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2"],

        ["\xE8\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x96"],
        ["\xE8\x8E\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3"],

        ["\xE8\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xA3"],
        ["\xE8\x8C\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4"],

        ["\xE8\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x8E"],
        ["\xE8\x8E\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5"],

        ["\xE8\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x87"],
        ["\xE8\x8E\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6"],

        ["\xE8\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x8A"],
        ["\xE8\x8E\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7"],

        ["\xE8\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\xBC"],
        ["\xE8\x8D\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8"],

        ["\xE8\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\xB5"],
        ["\xE8\x8E\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9"],

        ["\xE8\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\xB3"],
        ["\xE8\x8D\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA"],

        ["\xE8\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\xB5"],
        ["\xE8\x8D\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB"],

        ["\xE8\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\xA0"],
        ["\xE8\x8E\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC"],

        ["\xE8\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x89"],
        ["\xE8\x8E\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD"],

        ["\xE8\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\xA8"],
        ["\xE8\x8E\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE"],

        ["\xE8\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xB4"],
        ["\xE8\x8F\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF"],

        ["\xE8\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x93"],
        ["\xE8\x90\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xC0"],

        ["\xE8\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xAB"],
        ["\xE8\x8F\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xC1"],

        ["\xE8\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x8E"],
        ["\xE8\x8F\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xC2"],

        ["\xE8\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xBD"],
        ["\xE8\x8F\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xC3"],

        ["\xE8\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x83"],
        ["\xE8\x90\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xC4"],

        ["\xE8\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x98"],
        ["\xE8\x8F\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xC5"],

        ["\xE8\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x8B"],
        ["\xE8\x90\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xC6"],

        ["\xE8\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x81"],
        ["\xE8\x8F\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xC7"],

        ["\xE8\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xB7"],
        ["\xE8\x8F\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xC8"],

        ["\xE8\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x87"],
        ["\xE8\x90\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xC9"],

        ["\xE8\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xA0"],
        ["\xE8\x8F\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xCA"],

        ["\xE8\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xB2"],
        ["\xE8\x8F\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xCB"],

        ["\xE8\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x8D"],
        ["\xE8\x90\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xCC"],

        ["\xE8\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\xA2"],
        ["\xE8\x90\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xCD"],

        ["\xE8\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\xA0"],
        ["\xE8\x90\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xCE"],

        ["\xE8\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\xBD"],
        ["\xE8\x8E\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xCF"],

        ["\xE8\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\xB8"],
        ["\xE8\x90\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xD0"],

        ["\xE8\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x86"],
        ["\xE8\x94\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xD1"],

        ["\xE8\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xBB"],
        ["\xE8\x8F\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xD2"],

        ["\xE8\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xAD"],
        ["\xE8\x91\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xD3"],

        ["\xE8\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\xAA"],
        ["\xE8\x90\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xD4"],

        ["\xE8\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\xBC"],
        ["\xE8\x90\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xD5"],

        ["\xE8\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x9A"],
        ["\xE8\x95\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xD6"],

        ["\xE8\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x84"],
        ["\xE8\x92\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xD7"],

        ["\xE8\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xB7"],
        ["\xE8\x91\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xD8"],

        ["\xE8\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xAB"],
        ["\xE8\x91\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xD9"],

        ["\xE8\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xAD"],
        ["\xE8\x92\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xDA"],

        ["\xE8\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xAE"],
        ["\xE8\x91\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xDB"],

        ["\xE8\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x82"],
        ["\xE8\x92\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xDC"],

        ["\xE8\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xA9"],
        ["\xE8\x91\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xDD"],

        ["\xE8\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x86"],
        ["\xE8\x91\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xDE"],

        ["\xE8\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\xAC"],
        ["\xE8\x90\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xDF"],

        ["\xE8\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xAF"],
        ["\xE8\x91\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xE0"],

        ["\xE8\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xB9"],
        ["\xE8\x91\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xE1"],

        ["\xE8\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\xB5"],
        ["\xE8\x90\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xE2"],

        ["\xE8\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x8A"],
        ["\xE8\x93\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xE3"],

        ["\xE8\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xA2"],
        ["\xE8\x91\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xE4"],

        ["\xE8\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xB9"],
        ["\xE8\x92\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xE5"],

        ["\xE8\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xBF"],
        ["\xE8\x92\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xE6"],

        ["\xE8\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x9F"],
        ["\xE8\x92\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xE7"],

        ["\xE8\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x99"],
        ["\xE8\x93\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xE8"],

        ["\xE8\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x8D"],
        ["\xE8\x93\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xE9"],

        ["\xE8\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xBB"],
        ["\xE8\x92\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xEA"],

        ["\xE8\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x9A"],
        ["\xE8\x93\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xEB"],

        ["\xE8\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x90"],
        ["\xE8\x93\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xEC"],

        ["\xE8\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x81"],
        ["\xE8\x93\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xED"],

        ["\xE8\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x86"],
        ["\xE8\x93\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xEE"],

        ["\xE8\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x96"],
        ["\xE8\x93\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xEF"],

        ["\xE8\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xA1"],
        ["\xE8\x92\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xF0"],

        ["\xE8\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xA1"],
        ["\xE8\x94\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xF1"],

        ["\xE8\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xBF"],
        ["\xE8\x93\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xF2"],

        ["\xE8\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xB4"],
        ["\xE8\x93\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xF3"],

        ["\xE8\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x97"],
        ["\xE8\x94\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xF4"],

        ["\xE8\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x98"],
        ["\xE8\x94\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xF5"],

        ["\xE8\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xAC"],
        ["\xE8\x94\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xF6"],

        ["\xE8\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x9F"],
        ["\xE8\x94\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xF7"],

        ["\xE8\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x95"],
        ["\xE8\x94\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xF8"],

        ["\xE8\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x94"],
        ["\xE8\x94\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xF9"],

        ["\xE8\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xBC"],
        ["\xE8\x93\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xFA"],

        ["\xE8\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x80"],
        ["\xE8\x95\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xFB"],

        ["\xE8\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xA3"],
        ["\xE8\x95\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xFC"],

        ["\xE8\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x98"],
        ["\xE8\x95\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xFD"],

        ["\xE8\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x88"],
        ["\xE8\x95\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\xFE"],

        ["\xE9\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x81"],
        ["\xE8\x95\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1"],

        ["\xE9\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x82"],
        ["\xE8\x98\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xA2"],

        ["\xE9\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x8B"],
        ["\xE8\x95\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3"],

        ["\xE9\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x95"],
        ["\xE8\x95\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4"],

        ["\xE9\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x80"],
        ["\xE8\x96\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5"],

        ["\xE9\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xA4"],
        ["\xE8\x96\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6"],

        ["\xE9\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x88"],
        ["\xE8\x96\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7"],

        ["\xE9\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x91"],
        ["\xE8\x96\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8"],

        ["\xE9\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x8A"],
        ["\xE8\x96\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9"],

        ["\xE9\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xA8"],
        ["\xE8\x96\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA"],

        ["\xE9\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xAD"],
        ["\xE8\x95\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB"],

        ["\xE9\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x94"],
        ["\xE8\x96\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC"],

        ["\xE9\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x9B"],
        ["\xE8\x96\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD"],

        ["\xE9\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xAA"],
        ["\xE8\x97\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE"],

        ["\xE9\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x87"],
        ["\xE8\x96\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF"],

        ["\xE9\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x9C"],
        ["\xE8\x96\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0"],

        ["\xE9\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xB7"],
        ["\xE8\x95\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1"],

        ["\xE9\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xBE"],
        ["\xE8\x95\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xB2"],

        ["\xE9\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x90"],
        ["\xE8\x96\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3"],

        ["\xE9\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x89"],
        ["\xE8\x97\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4"],

        ["\xE9\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xBA"],
        ["\xE8\x96\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5"],

        ["\xE9\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x8F"],
        ["\xE8\x97\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6"],

        ["\xE9\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xB9"],
        ["\xE8\x96\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7"],

        ["\xE9\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x90"],
        ["\xE8\x97\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8"],

        ["\xE9\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x95"],
        ["\xE8\x97\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xB9"],

        ["\xE9\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x9D"],
        ["\xE8\x97\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA"],

        ["\xE9\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xA5"],
        ["\xE8\x97\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB"],

        ["\xE9\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x9C"],
        ["\xE8\x97\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC"],

        ["\xE9\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xB9"],
        ["\xE8\x97\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD"],

        ["\xE9\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x8A"],
        ["\xE8\x98\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE"],

        ["\xE9\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x93"],
        ["\xE8\x98\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xBF"],

        ["\xE9\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x8B"],
        ["\xE8\x98\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xC0"],

        ["\xE9\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xBE"],
        ["\xE8\x97\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xC1"],

        ["\xE9\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xBA"],
        ["\xE8\x97\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xC2"],

        ["\xE9\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x86"],
        ["\xE8\x98\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xC3"],

        ["\xE9\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xA2"],
        ["\xE8\x98\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xC4"],

        ["\xE9\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x9A"],
        ["\xE8\x98\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xC5"],

        ["\xE9\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xB0"],
        ["\xE8\x98\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xC6"],

        ["\xE9\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xBF"],
        ["\xE8\x98\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xC7"],

        ["\xE9\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x8D"],
        ["\xE8\x99\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xC8"],

        ["\xE9\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x95"],
        ["\xE4\xB9\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xC9"],

        ["\xE9\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x94"],
        ["\xE8\x99\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xCA"],

        ["\xE9\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x9F"],
        ["\xE8\x99\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xCB"],

        ["\xE9\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\xA7"],
        ["\xE8\x99\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xCC"],

        ["\xE9\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\xB1"],
        ["\xE8\x99\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xCD"],

        ["\xE9\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x93"],
        ["\xE8\x9A\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xCE"],

        ["\xE9\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xA3"],
        ["\xE8\x9A\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xCF"],

        ["\xE9\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xA9"],
        ["\xE8\x9A\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xD0"],

        ["\xE9\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xAA"],
        ["\xE8\x9A\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xD1"],

        ["\xE9\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x8B"],
        ["\xE8\x9A\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xD2"],

        ["\xE9\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x8C"],
        ["\xE8\x9A\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xD3"],

        ["\xE9\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xB6"],
        ["\xE8\x9A\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xD4"],

        ["\xE9\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xAF"],
        ["\xE8\x9A\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xD5"],

        ["\xE9\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x84"],
        ["\xE8\x9B\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xD6"],

        ["\xE9\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x86"],
        ["\xE8\x9B\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xD7"],

        ["\xE9\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xB0"],
        ["\xE8\x9A\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xD8"],

        ["\xE9\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x89"],
        ["\xE8\x9B\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xD9"],

        ["\xE9\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xA3"],
        ["\xE8\xA0\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xDA"],

        ["\xE9\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xAB"],
        ["\xE8\x9A\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xDB"],

        ["\xE9\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x94"],
        ["\xE8\x9B\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xDC"],

        ["\xE9\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x9E"],
        ["\xE8\x9B\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xDD"],

        ["\xE9\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xA9"],
        ["\xE8\x9B\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xDE"],

        ["\xE9\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xAC"],
        ["\xE8\x9B\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xDF"],

        ["\xE9\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x9F"],
        ["\xE8\x9B\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xE0"],

        ["\xE9\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x9B"],
        ["\xE8\x9B\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xE1"],

        ["\xE9\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xAF"],
        ["\xE8\x9B\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xE2"],

        ["\xE9\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x92"],
        ["\xE8\x9C\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xE3"],

        ["\xE9\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x86"],
        ["\xE8\x9C\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xE4"],

        ["\xE9\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x88"],
        ["\xE8\x9C\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xE5"],

        ["\xE9\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x80"],
        ["\xE8\x9C\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xE6"],

        ["\xE9\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x83"],
        ["\xE8\x9C\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xE7"],

        ["\xE9\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xBB"],
        ["\xE8\x9B\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xE8"],

        ["\xE9\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x91"],
        ["\xE8\x9C\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xE9"],

        ["\xE9\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x89"],
        ["\xE8\x9C\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xEA"],

        ["\xE9\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x8D"],
        ["\xE8\x9C\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xEB"],

        ["\xE9\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xB9"],
        ["\xE8\x9B\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xEC"],

        ["\xE9\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x8A"],
        ["\xE8\x9C\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xED"],

        ["\xE9\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\xB4"],
        ["\xE8\x9C\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xEE"],

        ["\xE9\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\xBF"],
        ["\xE8\x9C\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xEF"],

        ["\xE9\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\xB7"],
        ["\xE8\x9C\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xF0"],

        ["\xE9\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\xBB"],
        ["\xE8\x9C\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xF1"],

        ["\xE9\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\xA5"],
        ["\xE8\x9C\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xF2"],

        ["\xE9\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\xA9"],
        ["\xE8\x9C\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xF3"],

        ["\xE9\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x9A"],
        ["\xE8\x9C\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xF4"],

        ["\xE9\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xA0"],
        ["\xE8\x9D\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xF5"],

        ["\xE9\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x9F"],
        ["\xE8\x9D\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xF6"],

        ["\xE9\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xB8"],
        ["\xE8\x9D\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xF7"],

        ["\xE9\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x8C"],
        ["\xE8\x9D\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xF8"],

        ["\xE9\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x8E"],
        ["\xE8\x9D\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xF9"],

        ["\xE9\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xB4"],
        ["\xE8\x9D\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xFA"],

        ["\xE9\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x97"],
        ["\xE8\x9D\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xFB"],

        ["\xE9\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xA8"],
        ["\xE8\x9D\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xFC"],

        ["\xE9\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xAE"],
        ["\xE8\x9D\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xFD"],

        ["\xE9\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x99"],
        ["\xE8\x9D\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\xFE"],

        ["\xEA\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x93"],
        ["\xE8\x9D\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xA1"],

        ["\xEA\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xA3"],
        ["\xE8\x9D\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xA2"],

        ["\xEA\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xAA"],
        ["\xE8\x9D\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xA3"],

        ["\xEA\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x85"],
        ["\xE8\xA0\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xA4"],

        ["\xEA\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xA2"],
        ["\xE8\x9E\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xA5"],

        ["\xEA\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\x9F"],
        ["\xE8\x9E\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xA6"],

        ["\xEA\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\x82"],
        ["\xE8\x9E\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xA7"],

        ["\xEA\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xAF"],
        ["\xE8\x9E\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xA8"],

        ["\xEA\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\x8B"],
        ["\xE8\x9F\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xA9"],

        ["\xEA\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xBD"],
        ["\xE8\x9E\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xAA"],

        ["\xEA\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\x80"],
        ["\xE8\x9F\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xAB"],

        ["\xEA\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\x90"],
        ["\xE8\x9F\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xAC"],

        ["\xEA\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x96"],
        ["\xE9\x9B\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xAD"],

        ["\xEA\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xAB"],
        ["\xE8\x9E\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xAE"],

        ["\xEA\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\x84"],
        ["\xE8\x9F\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xAF"],

        ["\xEA\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xB3"],
        ["\xE8\x9E\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xB0"],

        ["\xEA\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\x87"],
        ["\xE8\x9F\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xB1"],

        ["\xEA\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\x86"],
        ["\xE8\x9F\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xB2"],

        ["\xEA\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xBB"],
        ["\xE8\x9E\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xB3"],

        ["\xEA\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xAF"],
        ["\xE8\x9F\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xB4"],

        ["\xEA\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xB2"],
        ["\xE8\x9F\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xB5"],

        ["\xEA\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xA0"],
        ["\xE8\x9F\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xB6"],

        ["\xEA\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x8F"],
        ["\xE8\xA0\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xB7"],

        ["\xEA\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x8D"],
        ["\xE8\xA0\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xB8"],

        ["\xEA\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xBE"],
        ["\xE8\x9F\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xB9"],

        ["\xEA\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xB6"],
        ["\xE8\x9F\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xBA"],

        ["\xEA\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xB7"],
        ["\xE8\x9F\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xBB"],

        ["\xEA\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x8E"],
        ["\xE8\xA0\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xBC"],

        ["\xEA\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\x92"],
        ["\xE8\x9F\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xBD"],

        ["\xEA\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x91"],
        ["\xE8\xA0\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xBE"],

        ["\xEA\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x96"],
        ["\xE8\xA0\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xBF"],

        ["\xEA\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x95"],
        ["\xE8\xA0\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xC0"],

        ["\xEA\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xA2"],
        ["\xE8\xA0\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xC1"],

        ["\xEA\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xA1"],
        ["\xE8\xA0\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xC2"],

        ["\xEA\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xB1"],
        ["\xE8\xA0\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xC3"],

        ["\xEA\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xB6"],
        ["\xE8\xA0\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xC4"],

        ["\xEA\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xB9"],
        ["\xE8\xA0\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xC5"],

        ["\xEA\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xA7"],
        ["\xE8\xA0\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xC6"],

        ["\xEA\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xBB"],
        ["\xE8\xA0\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xC7"],

        ["\xEA\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x84"],
        ["\xE8\xA1\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xC8"],

        ["\xEA\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x82"],
        ["\xE8\xA1\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xC9"],

        ["\xEA\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x92"],
        ["\xE8\xA1\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xCA"],

        ["\xEA\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x99"],
        ["\xE8\xA1\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xCB"],

        ["\xEA\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x9E"],
        ["\xE8\xA1\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xCC"],

        ["\xEA\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xA2"],
        ["\xE8\xA1\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xCD"],

        ["\xEA\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xAB"],
        ["\xE8\xA1\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xCE"],

        ["\xEA\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\x81"],
        ["\xE8\xA2\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xCF"],

        ["\xEA\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xBE"],
        ["\xE8\xA1\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xD0"],

        ["\xEA\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\x9E"],
        ["\xE8\xA2\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xD1"],

        ["\xEA\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xB5"],
        ["\xE8\xA1\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xD2"],

        ["\xEA\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xBD"],
        ["\xE8\xA1\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xD3"],

        ["\xEA\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xB5"],
        ["\xE8\xA2\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xD4"],

        ["\xEA\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xB2"],
        ["\xE8\xA1\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xD5"],

        ["\xEA\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\x82"],
        ["\xE8\xA2\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xD6"],

        ["\xEA\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\x97"],
        ["\xE8\xA2\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xD7"],

        ["\xEA\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\x92"],
        ["\xE8\xA2\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xD8"],

        ["\xEA\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xAE"],
        ["\xE8\xA2\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xD9"],

        ["\xEA\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\x99"],
        ["\xE8\xA2\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xDA"],

        ["\xEA\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xA2"],
        ["\xE8\xA2\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xDB"],

        ["\xEA\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\x8D"],
        ["\xE8\xA2\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xDC"],

        ["\xEA\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xA4"],
        ["\xE8\xA2\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xDD"],

        ["\xEA\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xB0"],
        ["\xE8\xA2\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xDE"],

        ["\xEA\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xBF"],
        ["\xE8\xA2\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xDF"],

        ["\xEA\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xB1"],
        ["\xE8\xA2\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xE0"],

        ["\xEA\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x83"],
        ["\xE8\xA3\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xE1"],

        ["\xEA\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x84"],
        ["\xE8\xA3\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xE2"],

        ["\xEA\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x94"],
        ["\xE8\xA3\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xE3"],

        ["\xEA\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x98"],
        ["\xE8\xA3\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xE4"],

        ["\xEA\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x99"],
        ["\xE8\xA3\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xE5"],

        ["\xEA\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x9D"],
        ["\xE8\xA3\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xE6"],

        ["\xEA\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xB9"],
        ["\xE8\xA3\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xE7"],

        ["\xEA\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x82"],
        ["\xE8\xA4\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xE8"],

        ["\xEA\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xBC"],
        ["\xE8\xA3\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xE9"],

        ["\xEA\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xB4"],
        ["\xE8\xA3\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xEA"],

        ["\xEA\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xA8"],
        ["\xE8\xA3\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xEB"],

        ["\xEA\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xB2"],
        ["\xE8\xA3\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xEC"],

        ["\xEA\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x84"],
        ["\xE8\xA4\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xED"],

        ["\xEA\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x8C"],
        ["\xE8\xA4\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xEE"],

        ["\xEA\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x8A"],
        ["\xE8\xA4\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xEF"],

        ["\xEA\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x93"],
        ["\xE8\xA4\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xF0"],

        ["\xEA\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x83"],
        ["\xE8\xA5\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xF1"],

        ["\xEA\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x9E"],
        ["\xE8\xA4\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xF2"],

        ["\xEA\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\xA5"],
        ["\xE8\xA4\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xF3"],

        ["\xEA\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\xAA"],
        ["\xE8\xA4\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xF4"],

        ["\xEA\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\xAB"],
        ["\xE8\xA4\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xF5"],

        ["\xEA\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x81"],
        ["\xE8\xA5\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xF6"],

        ["\xEA\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x84"],
        ["\xE8\xA5\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xF7"],

        ["\xEA\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\xBB"],
        ["\xE8\xA4\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xF8"],

        ["\xEA\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\xB6"],
        ["\xE8\xA4\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xF9"],

        ["\xEA\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\xB8"],
        ["\xE8\xA4\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xFA"],

        ["\xEA\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x8C"],
        ["\xE8\xA5\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xFB"],

        ["\xEA\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x9D"],
        ["\xE8\xA4\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xFC"],

        ["\xEA\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xA0"],
        ["\xE8\xA5\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xFD"],

        ["\xEA\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x9E"],
        ["\xE8\xA5\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\xFE"],

        ["\xEB\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xA6"],
        ["\xE8\xA5\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xA1"],

        ["\xEB\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xA4"],
        ["\xE8\xA5\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xA2"],

        ["\xEB\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xAD"],
        ["\xE8\xA5\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xA3"],

        ["\xEB\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xAA"],
        ["\xE8\xA5\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xA4"],

        ["\xEB\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xAF"],
        ["\xE8\xA5\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xA5"],

        ["\xEB\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xB4"],
        ["\xE8\xA5\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xA6"],

        ["\xEB\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xB7"],
        ["\xE8\xA5\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xA7"],

        ["\xEB\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xBE"],
        ["\xE8\xA5\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xA8"],

        ["\xEB\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x83"],
        ["\xE8\xA6\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xA9"],

        ["\xEB\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x88"],
        ["\xE8\xA6\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xAA"],

        ["\xEB\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x8A"],
        ["\xE8\xA6\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xAB"],

        ["\xEB\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x93"],
        ["\xE8\xA6\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xAC"],

        ["\xEB\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x98"],
        ["\xE8\xA6\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xAD"],

        ["\xEB\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xA1"],
        ["\xE8\xA6\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xAE"],

        ["\xEB\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xA9"],
        ["\xE8\xA6\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xAF"],

        ["\xEB\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xA6"],
        ["\xE8\xA6\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xB0"],

        ["\xEB\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xAC"],
        ["\xE8\xA6\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xB1"],

        ["\xEB\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xAF"],
        ["\xE8\xA6\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xB2"],

        ["\xEB\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xB2"],
        ["\xE8\xA6\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xB3"],

        ["\xEB\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xBA"],
        ["\xE8\xA6\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xB4"],

        ["\xEB\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xBD"],
        ["\xE8\xA6\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xB5"],

        ["\xEB\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xBF"],
        ["\xE8\xA6\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xB6"],

        ["\xEB\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\x80"],
        ["\xE8\xA7\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xB7"],

        ["\xEB\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\x9A"],
        ["\xE8\xA7\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xB8"],

        ["\xEB\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\x9C"],
        ["\xE8\xA7\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xB9"],

        ["\xEB\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\x9D"],
        ["\xE8\xA7\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xBA"],

        ["\xEB\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xA7"],
        ["\xE8\xA7\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xBB"],

        ["\xEB\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xB4"],
        ["\xE8\xA7\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xBC"],

        ["\xEB\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xB8"],
        ["\xE8\xA7\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xBD"],

        ["\xEB\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x83"],
        ["\xE8\xA8\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xBE"],

        ["\xEB\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x96"],
        ["\xE8\xA8\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xBF"],

        ["\xEB\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x90"],
        ["\xE8\xA8\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xC0"],

        ["\xEB\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x8C"],
        ["\xE8\xA8\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xC1"],

        ["\xEB\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x9B"],
        ["\xE8\xA8\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xC2"],

        ["\xEB\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x9D"],
        ["\xE8\xA8\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xC3"],

        ["\xEB\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xA5"],
        ["\xE8\xA8\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xC4"],

        ["\xEB\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xB6"],
        ["\xE8\xA8\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xC5"],

        ["\xEB\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x81"],
        ["\xE8\xA9\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xC6"],

        ["\xEB\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x9B"],
        ["\xE8\xA9\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xC7"],

        ["\xEB\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x92"],
        ["\xE8\xA9\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xC8"],

        ["\xEB\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x86"],
        ["\xE8\xA9\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xC9"],

        ["\xEB\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x88"],
        ["\xE8\xA9\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xCA"],

        ["\xEB\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xBC"],
        ["\xE8\xA9\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xCB"],

        ["\xEB\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xAD"],
        ["\xE8\xA9\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xCC"],

        ["\xEB\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xAC"],
        ["\xE8\xA9\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xCD"],

        ["\xEB\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xA2"],
        ["\xE8\xA9\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xCE"],

        ["\xEB\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x85"],
        ["\xE8\xAA\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xCF"],

        ["\xEB\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x82"],
        ["\xE8\xAA\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xD0"],

        ["\xEB\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x84"],
        ["\xE8\xAA\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xD1"],

        ["\xEB\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xA8"],
        ["\xE8\xAA\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xD2"],

        ["\xEB\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xA1"],
        ["\xE8\xAA\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xD3"],

        ["\xEB\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x91"],
        ["\xE8\xAA\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xD4"],

        ["\xEB\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xA5"],
        ["\xE8\xAA\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xD5"],

        ["\xEB\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xA6"],
        ["\xE8\xAA\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xD6"],

        ["\xEB\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x9A"],
        ["\xE8\xAA\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xD7"],

        ["\xEB\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xA3"],
        ["\xE8\xAA\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xD8"],

        ["\xEB\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x84"],
        ["\xE8\xAB\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xD9"],

        ["\xEB\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x8D"],
        ["\xE8\xAB\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xDA"],

        ["\xEB\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x82"],
        ["\xE8\xAB\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xDB"],

        ["\xEB\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x9A"],
        ["\xE8\xAB\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xDC"],

        ["\xEB\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xAB"],
        ["\xE8\xAB\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xDD"],

        ["\xEB\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xB3"],
        ["\xE8\xAB\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xDE"],

        ["\xEB\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xA7"],
        ["\xE8\xAB\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xDF"],

        ["\xEB\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xA4"],
        ["\xE8\xAB\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xE0"],

        ["\xEB\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xB1"],
        ["\xE8\xAB\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xE1"],

        ["\xEB\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x94"],
        ["\xE8\xAC\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xE2"],

        ["\xEB\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xA0"],
        ["\xE8\xAB\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xE3"],

        ["\xEB\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xA2"],
        ["\xE8\xAB\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xE4"],

        ["\xEB\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xB7"],
        ["\xE8\xAB\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xE5"],

        ["\xEB\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x9E"],
        ["\xE8\xAB\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xE6"],

        ["\xEB\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x9B"],
        ["\xE8\xAB\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xE7"],

        ["\xEB\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x8C"],
        ["\xE8\xAC\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xE8"],

        ["\xEB\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x87"],
        ["\xE8\xAC\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xE9"],

        ["\xEB\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x9A"],
        ["\xE8\xAC\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xEA"],

        ["\xEB\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xA1"],
        ["\xE8\xAB\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xEB"],

        ["\xEB\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x96"],
        ["\xE8\xAC\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xEC"],

        ["\xEB\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x90"],
        ["\xE8\xAC\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xED"],

        ["\xEB\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x97"],
        ["\xE8\xAC\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xEE"],

        ["\xEB\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\xA0"],
        ["\xE8\xAC\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xEF"],

        ["\xEB\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\xB3"],
        ["\xE8\xAC\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xF0"],

        ["\xEB\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\xAB"],
        ["\xE9\x9E\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xF1"],

        ["\xEB\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\xA6"],
        ["\xE8\xAC\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xF2"],

        ["\xEB\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\xAB"],
        ["\xE8\xAC\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xF3"],

        ["\xEB\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\xBE"],
        ["\xE8\xAC\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xF4"],

        ["\xEB\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\xA8"],
        ["\xE8\xAC\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xF5"],

        ["\xEB\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x81"],
        ["\xE8\xAD\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xF6"],

        ["\xEB\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x8C"],
        ["\xE8\xAD\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xF7"],

        ["\xEB\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x8F"],
        ["\xE8\xAD\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xF8"],

        ["\xEB\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x8E"],
        ["\xE8\xAD\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xF9"],

        ["\xEB\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x89"],
        ["\xE8\xAD\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xFA"],

        ["\xEB\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x96"],
        ["\xE8\xAD\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xFB"],

        ["\xEB\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x9B"],
        ["\xE8\xAD\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xFC"],

        ["\xEB\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x9A"],
        ["\xE8\xAD\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xFD"],

        ["\xEB\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xAB"],
        ["\xE8\xAD\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\xFE"],

        ["\xEC\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x9F"],
        ["\xE8\xAD\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xA1"],

        ["\xEC\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xAC"],
        ["\xE8\xAD\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xA2"],

        ["\xEC\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xAF"],
        ["\xE8\xAD\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xA3"],

        ["\xEC\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xB4"],
        ["\xE8\xAD\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xA4"],

        ["\xEC\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xBD"],
        ["\xE8\xAD\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xA5"],

        ["\xEC\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x80"],
        ["\xE8\xAE\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xA6"],

        ["\xEC\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x8C"],
        ["\xE8\xAE\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xA7"],

        ["\xEC\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x8E"],
        ["\xE8\xAE\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xA8"],

        ["\xEC\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x92"],
        ["\xE8\xAE\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xA9"],

        ["\xEC\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x93"],
        ["\xE8\xAE\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xAA"],

        ["\xEC\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x96"],
        ["\xE8\xAE\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xAB"],

        ["\xEC\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x99"],
        ["\xE8\xAE\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xAC"],

        ["\xEC\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x9A"],
        ["\xE8\xAE\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xAD"],

        ["\xEC\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB0\xBA"],
        ["\xE8\xB0\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xAE"],

        ["\xEC\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x81"],
        ["\xE8\xB1\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xAF"],

        ["\xEC\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB0\xBF"],
        ["\xE8\xB0\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xB0"],

        ["\xEC\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x88"],
        ["\xE8\xB1\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xB1"],

        ["\xEC\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x8C"],
        ["\xE8\xB1\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xB2"],

        ["\xEC\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x8E"],
        ["\xE8\xB1\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xB3"],

        ["\xEC\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x90"],
        ["\xE8\xB1\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xB4"],

        ["\xEC\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x95"],
        ["\xE8\xB1\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xB5"],

        ["\xEC\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\xA2"],
        ["\xE8\xB1\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xB6"],

        ["\xEC\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\xAC"],
        ["\xE8\xB1\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xB7"],

        ["\xEC\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\xB8"],
        ["\xE8\xB1\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xB8"],

        ["\xEC\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\xBA"],
        ["\xE8\xB1\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xB9"],

        ["\xEC\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\x82"],
        ["\xE8\xB2\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xBA"],

        ["\xEC\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\x89"],
        ["\xE8\xB2\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xBB"],

        ["\xEC\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\x85"],
        ["\xE8\xB2\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xBC"],

        ["\xEC\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\x8A"],
        ["\xE8\xB2\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xBD"],

        ["\xEC\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\x8D"],
        ["\xE8\xB2\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xBE"],

        ["\xEC\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\x8E"],
        ["\xE8\xB2\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xBF"],

        ["\xEC\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\x94"],
        ["\xE8\xB2\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xC0"],

        ["\xEC\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\xBC"],
        ["\xE8\xB1\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xC1"],

        ["\xEC\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\x98"],
        ["\xE8\xB2\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xC2"],

        ["\xEC\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x9D"],
        ["\xE6\x88\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xC3"],

        ["\xEC\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xAD"],
        ["\xE8\xB2\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xC4"],

        ["\xEC\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xAA"],
        ["\xE8\xB2\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xC5"],

        ["\xEC\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xBD"],
        ["\xE8\xB2\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xC6"],

        ["\xEC\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xB2"],
        ["\xE8\xB2\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xC7"],

        ["\xEC\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xB3"],
        ["\xE8\xB2\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xC8"],

        ["\xEC\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xAE"],
        ["\xE8\xB2\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xC9"],

        ["\xEC\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xB6"],
        ["\xE8\xB2\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xCA"],

        ["\xEC\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x88"],
        ["\xE8\xB3\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xCB"],

        ["\xEC\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x81"],
        ["\xE8\xB3\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xCC"],

        ["\xEC\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xA4"],
        ["\xE8\xB3\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xCD"],

        ["\xEC\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xA3"],
        ["\xE8\xB3\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xCE"],

        ["\xEC\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x9A"],
        ["\xE8\xB3\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xCF"],

        ["\xEC\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xBD"],
        ["\xE8\xB3\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xD0"],

        ["\xEC\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xBA"],
        ["\xE8\xB3\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xD1"],

        ["\xEC\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xBB"],
        ["\xE8\xB3\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xD2"],

        ["\xEC\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x84"],
        ["\xE8\xB4\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xD3"],

        ["\xEC\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x85"],
        ["\xE8\xB4\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xD4"],

        ["\xEC\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x8A"],
        ["\xE8\xB4\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xD5"],

        ["\xEC\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x87"],
        ["\xE8\xB4\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xD6"],

        ["\xEC\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x8F"],
        ["\xE8\xB4\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xD7"],

        ["\xEC\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x8D"],
        ["\xE8\xB4\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xD8"],

        ["\xEC\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x90"],
        ["\xE8\xB4\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xD9"],

        ["\xEC\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x8E"],
        ["\xE9\xBD\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xDA"],

        ["\xEC\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x93"],
        ["\xE8\xB4\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xDB"],

        ["\xEC\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x8D"],
        ["\xE8\xB3\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xDC"],

        ["\xEC\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x94"],
        ["\xE8\xB4\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xDD"],

        ["\xEC\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x96"],
        ["\xE8\xB4\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xDE"],

        ["\xEC\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xA7"],
        ["\xE8\xB5\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xDF"],

        ["\xEC\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xAD"],
        ["\xE8\xB5\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xE0"],

        ["\xEC\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xB1"],
        ["\xE8\xB5\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xE1"],

        ["\xEC\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xB3"],
        ["\xE8\xB5\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xE2"],

        ["\xEC\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\x81"],
        ["\xE8\xB6\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xE3"],

        ["\xEC\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\x99"],
        ["\xE8\xB6\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xE4"],

        ["\xEC\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x82"],
        ["\xE8\xB7\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xE5"],

        ["\xEC\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\xBE"],
        ["\xE8\xB6\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xE6"],

        ["\xEC\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\xBA"],
        ["\xE8\xB6\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xE7"],

        ["\xEC\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x8F"],
        ["\xE8\xB7\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xE8"],

        ["\xEC\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x9A"],
        ["\xE8\xB7\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xE9"],

        ["\xEC\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x96"],
        ["\xE8\xB7\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xEA"],

        ["\xEC\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x8C"],
        ["\xE8\xB7\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xEB"],

        ["\xEC\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x9B"],
        ["\xE8\xB7\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xEC"],

        ["\xEC\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x8B"],
        ["\xE8\xB7\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xED"],

        ["\xEC\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\xAA"],
        ["\xE8\xB7\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xEE"],

        ["\xEC\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\xAB"],
        ["\xE8\xB7\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xEF"],

        ["\xEC\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x9F"],
        ["\xE8\xB7\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xF0"],

        ["\xEC\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\xA3"],
        ["\xE8\xB7\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xF1"],

        ["\xEC\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\xBC"],
        ["\xE8\xB7\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xF2"],

        ["\xEC\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\x88"],
        ["\xE8\xB8\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xF3"],

        ["\xEC\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\x89"],
        ["\xE8\xB8\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xF4"],

        ["\xEC\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\xBF"],
        ["\xE8\xB7\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xF5"],

        ["\xEC\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\x9D"],
        ["\xE8\xB8\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xF6"],

        ["\xEC\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\x9E"],
        ["\xE8\xB8\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xF7"],

        ["\xEC\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\x90"],
        ["\xE8\xB8\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xF8"],

        ["\xEC\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\x9F"],
        ["\xE8\xB8\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xF9"],

        ["\xEC\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\x82"],
        ["\xE8\xB9\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xFA"],

        ["\xEC\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\xB5"],
        ["\xE8\xB8\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xFB"],

        ["\xEC\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\xB0"],
        ["\xE8\xB8\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xFC"],

        ["\xEC\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\xB4"],
        ["\xE8\xB8\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xFD"],

        ["\xEC\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\x8A"],
        ["\xE8\xB9\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\xFE"],

        ["\xED\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\x87"],
        ["\xE8\xB9\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xA1"],

        ["\xED\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\x89"],
        ["\xE8\xB9\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xA2"],

        ["\xED\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\x8C"],
        ["\xE8\xB9\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xA3"],

        ["\xED\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\x90"],
        ["\xE8\xB9\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xA4"],

        ["\xED\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\x88"],
        ["\xE8\xB9\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xA5"],

        ["\xED\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\x99"],
        ["\xE8\xB9\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xA6"],

        ["\xED\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\xA4"],
        ["\xE8\xB9\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xA7"],

        ["\xED\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\xA0"],
        ["\xE8\xB9\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xA8"],

        ["\xED\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\xAA"],
        ["\xE8\xB8\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xA9"],

        ["\xED\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\xA3"],
        ["\xE8\xB9\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xAA"],

        ["\xED\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\x95"],
        ["\xE8\xB9\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xAB"],

        ["\xED\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\xB6"],
        ["\xE8\xB9\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xAC"],

        ["\xED\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\xB2"],
        ["\xE8\xB9\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xAD"],

        ["\xED\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\xBC"],
        ["\xE8\xB9\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xAE"],

        ["\xED\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\x81"],
        ["\xE8\xBA\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xAF"],

        ["\xED\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\x87"],
        ["\xE8\xBA\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xB0"],

        ["\xED\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\x85"],
        ["\xE8\xBA\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xB1"],

        ["\xED\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\x84"],
        ["\xE8\xBA\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xB2"],

        ["\xED\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\x8B"],
        ["\xE8\xBA\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xB3"],

        ["\xED\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\x8A"],
        ["\xE8\xBA\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xB4"],

        ["\xED\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\x93"],
        ["\xE8\xBA\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xB5"],

        ["\xED\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\x91"],
        ["\xE8\xBA\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xB6"],

        ["\xED\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\x94"],
        ["\xE8\xBA\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xB7"],

        ["\xED\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\x99"],
        ["\xE8\xBA\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xB8"],

        ["\xED\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\xAA"],
        ["\xE8\xBA\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xB9"],

        ["\xED\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\xA1"],
        ["\xE8\xBA\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xBA"],

        ["\xED\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\xAC"],
        ["\xE8\xBA\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xBB"],

        ["\xED\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\xB0"],
        ["\xE8\xBA\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xBC"],

        ["\xED\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x86"],
        ["\xE8\xBB\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xBD"],

        ["\xED\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\xB1"],
        ["\xE8\xBA\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xBE"],

        ["\xED\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA\xBE"],
        ["\xE8\xBA\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xBF"],

        ["\xED\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x85"],
        ["\xE8\xBB\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xC0"],

        ["\xED\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x88"],
        ["\xE8\xBB\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xC1"],

        ["\xED\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x8B"],
        ["\xE8\xBB\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xC2"],

        ["\xED\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x9B"],
        ["\xE8\xBB\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xC3"],

        ["\xED\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\xA3"],
        ["\xE8\xBB\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xC4"],

        ["\xED\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\xBC"],
        ["\xE8\xBB\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xC5"],

        ["\xED\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\xBB"],
        ["\xE8\xBB\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xC6"],

        ["\xED\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\xAB"],
        ["\xE8\xBB\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xC7"],

        ["\xED\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\xBE"],
        ["\xE8\xBB\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xC8"],

        ["\xED\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x8A"],
        ["\xE8\xBC\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xC9"],

        ["\xED\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x85"],
        ["\xE8\xBC\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xCA"],

        ["\xED\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x95"],
        ["\xE8\xBC\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xCB"],

        ["\xED\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x92"],
        ["\xE8\xBC\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xCC"],

        ["\xED\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x99"],
        ["\xE8\xBC\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xCD"],

        ["\xED\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x93"],
        ["\xE8\xBC\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xCE"],

        ["\xED\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x9C"],
        ["\xE8\xBC\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xCF"],

        ["\xED\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x9F"],
        ["\xE8\xBC\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xD0"],

        ["\xED\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x9B"],
        ["\xE8\xBC\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xD1"],

        ["\xED\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x8C"],
        ["\xE8\xBC\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xD2"],

        ["\xED\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xA6"],
        ["\xE8\xBC\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xD3"],

        ["\xED\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xB3"],
        ["\xE8\xBC\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xD4"],

        ["\xED\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xBB"],
        ["\xE8\xBC\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xD5"],

        ["\xED\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xB9"],
        ["\xE8\xBC\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xD6"],

        ["\xED\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x85"],
        ["\xE8\xBD\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xD7"],

        ["\xED\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x82"],
        ["\xE8\xBD\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xD8"],

        ["\xED\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xBE"],
        ["\xE8\xBC\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xD9"],

        ["\xED\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x8C"],
        ["\xE8\xBD\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xDA"],

        ["\xED\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x89"],
        ["\xE8\xBD\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xDB"],

        ["\xED\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x86"],
        ["\xE8\xBD\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xDC"],

        ["\xED\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x8E"],
        ["\xE8\xBD\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xDD"],

        ["\xED\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x97"],
        ["\xE8\xBD\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xDE"],

        ["\xED\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x9C"],
        ["\xE8\xBD\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xDF"],

        ["\xED\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\xA2"],
        ["\xE8\xBD\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xE0"],

        ["\xED\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\xA3"],
        ["\xE8\xBD\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xE1"],

        ["\xED\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\xA4"],
        ["\xE8\xBD\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xE2"],

        ["\xED\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\x9C"],
        ["\xE8\xBE\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xE3"],

        ["\xED\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\x9F"],
        ["\xE8\xBE\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xE4"],

        ["\xED\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xA3"],
        ["\xE8\xBE\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xE5"],

        ["\xED\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xAD"],
        ["\xE8\xBE\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xE6"],

        ["\xED\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xAF"],
        ["\xE8\xBE\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xE7"],

        ["\xED\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xB7"],
        ["\xE8\xBE\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xE8"],

        ["\xED\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\x9A"],
        ["\xE8\xBF\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xE9"],

        ["\xED\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xA5"],
        ["\xE8\xBF\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xEA"],

        ["\xED\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xA2"],
        ["\xE8\xBF\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xEB"],

        ["\xED\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xAA"],
        ["\xE8\xBF\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xEC"],

        ["\xED\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xAF"],
        ["\xE8\xBF\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xED"],

        ["\xED\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x87"],
        ["\xE9\x82\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xEE"],

        ["\xED\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xB4"],
        ["\xE8\xBF\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xEF"],

        ["\xED\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x85"],
        ["\xE9\x80\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xF0"],

        ["\xED\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xB9"],
        ["\xE8\xBF\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xF1"],

        ["\xED\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xBA"],
        ["\xE8\xBF\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xF2"],

        ["\xED\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x91"],
        ["\xE9\x80\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xF3"],

        ["\xED\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x95"],
        ["\xE9\x80\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xF4"],

        ["\xED\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xA1"],
        ["\xE9\x80\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xF5"],

        ["\xED\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x8D"],
        ["\xE9\x80\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xF6"],

        ["\xED\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x9E"],
        ["\xE9\x80\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xF7"],

        ["\xED\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x96"],
        ["\xE9\x80\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xF8"],

        ["\xED\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x8B"],
        ["\xE9\x80\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xF9"],

        ["\xED\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xA7"],
        ["\xE9\x80\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xFA"],

        ["\xED\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xB6"],
        ["\xE9\x80\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xFB"],

        ["\xED\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xB5"],
        ["\xE9\x80\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xFC"],

        ["\xED\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xB9"],
        ["\xE9\x80\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xFD"],

        ["\xED\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xB8"],
        ["\xE8\xBF\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\xFE"],

        ["\xEE\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x8F"],
        ["\xE9\x81\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xA1"],

        ["\xEE\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x90"],
        ["\xE9\x81\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xA2"],

        ["\xEE\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x91"],
        ["\xE9\x81\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xA3"],

        ["\xEE\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x92"],
        ["\xE9\x81\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xA4"],

        ["\xEE\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x8E"],
        ["\xE9\x80\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xA5"],

        ["\xEE\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x89"],
        ["\xE9\x81\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xA6"],

        ["\xEE\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xBE"],
        ["\xE9\x80\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xA7"],

        ["\xEE\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x96"],
        ["\xE9\x81\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xA8"],

        ["\xEE\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x98"],
        ["\xE9\x81\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xA9"],

        ["\xEE\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x9E"],
        ["\xE9\x81\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xAA"],

        ["\xEE\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xA8"],
        ["\xE9\x81\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xAB"],

        ["\xEE\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xAF"],
        ["\xE9\x81\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xAC"],

        ["\xEE\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xB6"],
        ["\xE9\x81\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xAD"],

        ["\xEE\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xA8"],
        ["\xE9\x9A\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xAE"],

        ["\xEE\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xB2"],
        ["\xE9\x81\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xAF"],

        ["\xEE\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x82"],
        ["\xE9\x82\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xB0"],

        ["\xEE\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xBD"],
        ["\xE9\x81\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xB1"],

        ["\xEE\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x81"],
        ["\xE9\x82\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xB2"],

        ["\xEE\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x80"],
        ["\xE9\x82\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xB3"],

        ["\xEE\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x8A"],
        ["\xE9\x82\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xB4"],

        ["\xEE\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x89"],
        ["\xE9\x82\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xB5"],

        ["\xEE\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x8F"],
        ["\xE9\x82\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xB6"],

        ["\xEE\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\xA8"],
        ["\xE9\x82\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xB7"],

        ["\xEE\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\xAF"],
        ["\xE9\x82\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xB8"],

        ["\xEE\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\xB1"],
        ["\xE9\x82\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xB9"],

        ["\xEE\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\xB5"],
        ["\xE9\x82\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xBA"],

        ["\xEE\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\xA2"],
        ["\xE9\x83\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xBB"],

        ["\xEE\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\xA4"],
        ["\xE9\x83\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xBC"],

        ["\xEE\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x88"],
        ["\xE6\x89\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xBD"],

        ["\xEE\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\x9B"],
        ["\xE9\x83\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xBE"],

        ["\xEE\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\x82"],
        ["\xE9\x84\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xBF"],

        ["\xEE\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\x92"],
        ["\xE9\x84\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xC0"],

        ["\xEE\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\x99"],
        ["\xE9\x84\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xC1"],

        ["\xEE\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\xB2"],
        ["\xE9\x84\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xC2"],

        ["\xEE\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\xB0"],
        ["\xE9\x84\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xC3"],

        ["\xEE\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x8A"],
        ["\xE9\x85\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xC4"],

        ["\xEE\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x96"],
        ["\xE9\x85\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xC5"],

        ["\xEE\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x98"],
        ["\xE9\x85\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xC6"],

        ["\xEE\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\xA3"],
        ["\xE9\x85\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xC7"],

        ["\xEE\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\xA5"],
        ["\xE9\x85\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xC8"],

        ["\xEE\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\xA9"],
        ["\xE9\x85\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xC9"],

        ["\xEE\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\xB3"],
        ["\xE9\x85\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xCA"],

        ["\xEE\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\xB2"],
        ["\xE9\x85\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xCB"],

        ["\xEE\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\x8B"],
        ["\xE9\x86\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xCC"],

        ["\xEE\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\x89"],
        ["\xE9\x86\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xCD"],

        ["\xEE\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\x82"],
        ["\xE9\x86\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xCE"],

        ["\xEE\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xA2"],
        ["\xE9\x86\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xCF"],

        ["\xEE\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xAB"],
        ["\xE9\x86\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xD0"],

        ["\xEE\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xAF"],
        ["\xE9\x86\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xD1"],

        ["\xEE\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xAA"],
        ["\xE9\x86\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xD2"],

        ["\xEE\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xB5"],
        ["\xE9\x86\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xD3"],

        ["\xEE\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xB4"],
        ["\xE9\x86\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xD4"],

        ["\xEE\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xBA"],
        ["\xE9\x86\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xD5"],

        ["\xEE\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x80"],
        ["\xE9\x87\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xD6"],

        ["\xEE\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x81"],
        ["\xE9\x87\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xD7"],

        ["\xEE\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x89"],
        ["\xE9\x87\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xD8"],

        ["\xEE\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x8B"],
        ["\xE9\x87\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xD9"],

        ["\xEE\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x90"],
        ["\xE9\x87\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xDA"],

        ["\xEE\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x96"],
        ["\xE9\x87\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xDB"],

        ["\xEE\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x9F"],
        ["\xE9\x87\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xDC"],

        ["\xEE\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xA1"],
        ["\xE9\x87\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xDD"],

        ["\xEE\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x9B"],
        ["\xE9\x87\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xDE"],

        ["\xEE\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xBC"],
        ["\xE9\x87\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xDF"],

        ["\xEE\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xB5"],
        ["\xE9\x87\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xE0"],

        ["\xEE\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xB6"],
        ["\xE9\x87\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xE1"],

        ["\xEE\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\x9E"],
        ["\xE9\x88\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xE2"],

        ["\xEE\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xBF"],
        ["\xE9\x87\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xE3"],

        ["\xEE\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\x94"],
        ["\xE9\x88\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xE4"],

        ["\xEE\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\xAC"],
        ["\xE9\x88\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xE5"],

        ["\xEE\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\x95"],
        ["\xE9\x88\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xE6"],

        ["\xEE\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\x91"],
        ["\xE9\x88\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xE7"],

        ["\xEE\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x9E"],
        ["\xE9\x89\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xE8"],

        ["\xEE\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x97"],
        ["\xE9\x89\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xE9"],

        ["\xEE\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x85"],
        ["\xE9\x89\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xEA"],

        ["\xEE\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x89"],
        ["\xE9\x89\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xEB"],

        ["\xEE\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\xA4"],
        ["\xE9\x89\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xEC"],

        ["\xEE\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x88"],
        ["\xE9\x89\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xED"],

        ["\xEE\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x95"],
        ["\xE9\x8A\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xEE"],

        ["\xEE\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\xBF"],
        ["\xE9\x88\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xEF"],

        ["\xEE\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x8B"],
        ["\xE9\x89\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xF0"],

        ["\xEE\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x90"],
        ["\xE9\x89\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xF1"],

        ["\xEE\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x9C"],
        ["\xE9\x8A\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xF2"],

        ["\xEE\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x96"],
        ["\xE9\x8A\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xF3"],

        ["\xEE\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x93"],
        ["\xE9\x8A\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xF4"],

        ["\xEE\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x9B"],
        ["\xE9\x8A\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xF5"],

        ["\xEE\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x9A"],
        ["\xE9\x89\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xF6"],

        ["\xEE\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\x8F"],
        ["\xE9\x8B\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xF7"],

        ["\xEE\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\xB9"],
        ["\xE9\x8A\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xF8"],

        ["\xEE\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\xB7"],
        ["\xE9\x8A\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xF9"],

        ["\xEE\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xA9"],
        ["\xE9\x8B\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xFA"],

        ["\xEE\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\x8F"],
        ["\xE9\x8C\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xFB"],

        ["\xEE\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xBA"],
        ["\xE9\x8B\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xFC"],

        ["\xEE\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\x84"],
        ["\xE9\x8D\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xFD"],

        ["\xEE\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xAE"],
        ["\xE9\x8C\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEE\xFE"],

        ["\xEF\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\x99"],
        ["\xE9\x8C\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xA1"],

        ["\xEF\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xA2"],
        ["\xE9\x8C\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xA2"],

        ["\xEF\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\x9A"],
        ["\xE9\x8C\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xA3"],

        ["\xEF\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xA3"],
        ["\xE9\x8C\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xA4"],

        ["\xEF\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xBA"],
        ["\xE9\x8C\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xA5"],

        ["\xEF\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xB5"],
        ["\xE9\x8C\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xA6"],

        ["\xEF\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xBB"],
        ["\xE9\x8C\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xA7"],

        ["\xEF\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\x9C"],
        ["\xE9\x8D\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8"],

        ["\xEF\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\xA0"],
        ["\xE9\x8D\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9"],

        ["\xEF\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\xBC"],
        ["\xE9\x8D\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xAA"],

        ["\xEF\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\xAE"],
        ["\xE9\x8D\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xAB"],

        ["\xEF\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\x96"],
        ["\xE9\x8D\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xAC"],

        ["\xEF\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\xB0"],
        ["\xE9\x8E\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xAD"],

        ["\xEF\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\xAC"],
        ["\xE9\x8E\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xAE"],

        ["\xEF\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\xAD"],
        ["\xE9\x8E\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xAF"],

        ["\xEF\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\x94"],
        ["\xE9\x8E\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xB0"],

        ["\xEF\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\xB9"],
        ["\xE9\x8E\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xB1"],

        ["\xEF\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\x96"],
        ["\xE9\x8F\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xB2"],

        ["\xEF\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\x97"],
        ["\xE9\x8F\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xB3"],

        ["\xEF\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\xA8"],
        ["\xE9\x8F\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xB4"],

        ["\xEF\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\xA5"],
        ["\xE9\x8F\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xB5"],

        ["\xEF\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\x98"],
        ["\xE9\x8F\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xB6"],

        ["\xEF\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\x83"],
        ["\xE9\x8F\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xB7"],

        ["\xEF\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\x9D"],
        ["\xE9\x8F\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xB8"],

        ["\xEF\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\x90"],
        ["\xE9\x8F\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xB9"],

        ["\xEF\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\x88"],
        ["\xE9\x8F\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xBA"],

        ["\xEF\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\xA4"],
        ["\xE9\x8F\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xBB"],

        ["\xEF\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\x9A"],
        ["\xE9\x90\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC"],

        ["\xEF\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\x94"],
        ["\xE9\x90\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD"],

        ["\xEF\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\x93"],
        ["\xE9\x90\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xBE"],

        ["\xEF\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\x83"],
        ["\xE9\x90\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xBF"],

        ["\xEF\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\x87"],
        ["\xE9\x90\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xC0"],

        ["\xEF\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\x90"],
        ["\xE9\x90\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xC1"],

        ["\xEF\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\xB6"],
        ["\xE9\x90\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xC2"],

        ["\xEF\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\xAB"],
        ["\xE9\x90\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xC3"],

        ["\xEF\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\xB5"],
        ["\xE9\x90\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xC4"],

        ["\xEF\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\xA1"],
        ["\xE9\x90\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xC5"],

        ["\xEF\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\xBA"],
        ["\xE9\x90\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xC6"],

        ["\xEF\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\x81"],
        ["\xE9\x91\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xC7"],

        ["\xEF\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\x92"],
        ["\xE9\x91\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xC8"],

        ["\xEF\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\x84"],
        ["\xE9\x91\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xC9"],

        ["\xEF\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\x9B"],
        ["\xE9\x91\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xCA"],

        ["\xEF\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xA0"],
        ["\xE9\x91\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xCB"],

        ["\xEF\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xA2"],
        ["\xE9\x91\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xCC"],

        ["\xEF\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\x9E"],
        ["\xE9\x91\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xCD"],

        ["\xEF\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xAA"],
        ["\xE9\x91\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xCE"],

        ["\xEF\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\xA9"],
        ["\xE9\x88\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xCF"],

        ["\xEF\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xB0"],
        ["\xE9\x91\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xD0"],

        ["\xEF\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xB5"],
        ["\xE9\x91\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xD1"],

        ["\xEF\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xB7"],
        ["\xE9\x91\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xD2"],

        ["\xEF\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xBD"],
        ["\xE9\x91\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xD3"],

        ["\xEF\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\x9A"],
        ["\xE9\x91\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xD4"],

        ["\xEF\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xBC"],
        ["\xE9\x91\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xD5"],

        ["\xEF\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xBE"],
        ["\xE9\x91\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xD6"],

        ["\xEF\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x92\x81"],
        ["\xE9\x92\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xD7"],

        ["\xEF\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xBF"],
        ["\xE9\x91\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xD8"],

        ["\xEF\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x82"],
        ["\xE9\x96\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xD9"],

        ["\xEF\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x87"],
        ["\xE9\x96\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xDA"],

        ["\xEF\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x8A"],
        ["\xE9\x96\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xDB"],

        ["\xEF\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x94"],
        ["\xE9\x96\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xDC"],

        ["\xEF\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x96"],
        ["\xE9\x96\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xDD"],

        ["\xEF\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x98"],
        ["\xE9\x96\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xDE"],

        ["\xEF\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x99"],
        ["\xE9\x96\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xDF"],

        ["\xEF\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xA0"],
        ["\xE9\x96\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xE0"],

        ["\xEF\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xA8"],
        ["\xE9\x96\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xE1"],

        ["\xEF\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xA7"],
        ["\xE9\x96\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xE2"],

        ["\xEF\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xAD"],
        ["\xE9\x96\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xE3"],

        ["\xEF\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xBC"],
        ["\xE9\x96\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xE4"],

        ["\xEF\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xBB"],
        ["\xE9\x96\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xE5"],

        ["\xEF\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xB9"],
        ["\xE9\x96\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xE6"],

        ["\xEF\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xBE"],
        ["\xE9\x96\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xE7"],

        ["\xEF\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x8A"],
        ["\xE9\x97\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xE8"],

        ["\xEF\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xB6"],
        ["\xE6\xBF\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xE9"],

        ["\xEF\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x83"],
        ["\xE9\x97\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xEA"],

        ["\xEF\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x8D"],
        ["\xE9\x97\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xEB"],

        ["\xEF\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x8C"],
        ["\xE9\x97\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xEC"],

        ["\xEF\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x95"],
        ["\xE9\x97\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xED"],

        ["\xEF\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x94"],
        ["\xE9\x97\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xEE"],

        ["\xEF\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x96"],
        ["\xE9\x97\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xEF"],

        ["\xEF\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x9C"],
        ["\xE9\x97\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xF0"],

        ["\xEF\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\xA1"],
        ["\xE9\x97\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xF1"],

        ["\xEF\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\xA5"],
        ["\xE9\x97\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xF2"],

        ["\xEF\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\xA2"],
        ["\xE9\x97\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xF3"],

        ["\xEF\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xA1"],
        ["\xE9\x98\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xF4"],

        ["\xEF\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xA8"],
        ["\xE9\x98\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xF5"],

        ["\xEF\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xAE"],
        ["\xE9\x98\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xF6"],

        ["\xEF\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xAF"],
        ["\xE9\x98\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xF7"],

        ["\xEF\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x82"],
        ["\xE9\x99\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xF8"],

        ["\xEF\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x8C"],
        ["\xE9\x99\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xF9"],

        ["\xEF\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x8F"],
        ["\xE9\x99\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xFA"],

        ["\xEF\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x8B"],
        ["\xE9\x99\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xFB"],

        ["\xEF\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xB7"],
        ["\xE9\x99\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xFC"],

        ["\xEF\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x9C"],
        ["\xE9\x99\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xFD"],

        ["\xEF\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x9E"],
        ["\xE9\x99\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEF\xFE"],

        ["\xF0\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x9D"],
        ["\xE9\x99\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1"],

        ["\xF0\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x9F"],
        ["\xE9\x99\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2"],

        ["\xF0\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xA6"],
        ["\xE9\x99\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3"],

        ["\xF0\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xB2"],
        ["\xE9\x99\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4"],

        ["\xF0\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\xAC"],
        ["\xE9\x99\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5"],

        ["\xF0\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x8D"],
        ["\xE9\x9A\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6"],

        ["\xF0\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x98"],
        ["\xE9\x9A\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7"],

        ["\xF0\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x95"],
        ["\xE9\x9A\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xA8"],

        ["\xF0\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x97"],
        ["\xE9\x9A\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9"],

        ["\xF0\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xAA"],
        ["\xE9\x9A\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA"],

        ["\xF0\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xA7"],
        ["\xE9\x9A\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xAB"],

        ["\xF0\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xB1"],
        ["\xE9\x9A\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xAC"],

        ["\xF0\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xB2"],
        ["\xE9\x9A\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xAD"],

        ["\xF0\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xB0"],
        ["\xE9\x9A\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xAE"],

        ["\xF0\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xB4"],
        ["\xE9\x9A\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xAF"],

        ["\xF0\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xB6"],
        ["\xE9\x9A\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xB0"],

        ["\xF0\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xB8"],
        ["\xE9\x9A\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xB1"],

        ["\xF0\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xB9"],
        ["\xE9\x9A\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xB2"],

        ["\xF0\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x8E"],
        ["\xE9\x9B\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xB3"],

        ["\xF0\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x8B"],
        ["\xE9\x9B\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xB4"],

        ["\xF0\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x89"],
        ["\xE9\x9B\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xB5"],

        ["\xF0\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x8D"],
        ["\xE9\x9B\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xB6"],

        ["\xF0\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x8D"],
        ["\xE8\xA5\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xB7"],

        ["\xF0\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x9C"],
        ["\xE9\x9B\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xB8"],

        ["\xF0\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x8D"],
        ["\xE9\x9C\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xB9"],

        ["\xF0\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x95"],
        ["\xE9\x9B\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xBA"],

        ["\xF0\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xB9"],
        ["\xE9\x9B\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xBB"],

        ["\xF0\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x84"],
        ["\xE9\x9C\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xBC"],

        ["\xF0\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x86"],
        ["\xE9\x9C\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xBD"],

        ["\xF0\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x88"],
        ["\xE9\x9C\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xBE"],

        ["\xF0\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x93"],
        ["\xE9\x9C\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xBF"],

        ["\xF0\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x8E"],
        ["\xE9\x9C\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xC0"],

        ["\xF0\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x91"],
        ["\xE9\x9C\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xC1"],

        ["\xF0\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x8F"],
        ["\xE9\x9C\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xC2"],

        ["\xF0\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x96"],
        ["\xE9\x9C\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xC3"],

        ["\xF0\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\x99"],
        ["\xE9\x9C\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xC4"],

        ["\xF0\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\xA4"],
        ["\xE9\x9C\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xC5"],

        ["\xF0\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\xAA"],
        ["\xE9\x9C\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xC6"],

        ["\xF0\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\xB0"],
        ["\xE9\x9C\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xC7"],

        ["\xF0\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\xB9"],
        ["\xE9\x9C\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xC8"],

        ["\xF0\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\xBD"],
        ["\xE9\x9C\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xC9"],

        ["\xF0\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\xBE"],
        ["\xE9\x9C\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xCA"],

        ["\xF0\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x84"],
        ["\xE9\x9D\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xCB"],

        ["\xF0\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x86"],
        ["\xE9\x9D\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xCC"],

        ["\xF0\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x88"],
        ["\xE9\x9D\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xCD"],

        ["\xF0\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x82"],
        ["\xE9\x9D\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xCE"],

        ["\xF0\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x89"],
        ["\xE9\x9D\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xCF"],

        ["\xF0\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x9C"],
        ["\xE9\x9D\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xD0"],

        ["\xF0\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xA0"],
        ["\xE9\x9D\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xD1"],

        ["\xF0\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xA4"],
        ["\xE9\x9D\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xD2"],

        ["\xF0\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xA6"],
        ["\xE9\x9D\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xD3"],

        ["\xF0\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xA8"],
        ["\xE9\x9D\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xD4"],

        ["\xF0\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x92"],
        ["\xE5\x8B\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xD5"],

        ["\xF0\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xAB"],
        ["\xE9\x9D\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xD6"],

        ["\xF0\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xB1"],
        ["\xE9\x9D\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xD7"],

        ["\xF0\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xB9"],
        ["\xE9\x9D\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xD8"],

        ["\xF0\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\x85"],
        ["\xE9\x9E\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xD9"],

        ["\xF0\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xBC"],
        ["\xE9\x9D\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xDA"],

        ["\xF0\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\x81"],
        ["\xE9\x9E\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xDB"],

        ["\xF0\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xBA"],
        ["\xE9\x9D\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xDC"],

        ["\xF0\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\x86"],
        ["\xE9\x9E\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xDD"],

        ["\xF0\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\x8B"],
        ["\xE9\x9E\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xDE"],

        ["\xF0\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\x8F"],
        ["\xE9\x9E\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xDF"],

        ["\xF0\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\x90"],
        ["\xE9\x9E\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xE0"],

        ["\xF0\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\x9C"],
        ["\xE9\x9E\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xE1"],

        ["\xF0\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\xA8"],
        ["\xE9\x9E\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xE2"],

        ["\xF0\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\xA6"],
        ["\xE9\x9E\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xE3"],

        ["\xF0\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\xA3"],
        ["\xE9\x9E\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xE4"],

        ["\xF0\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\xB3"],
        ["\xE9\x9E\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xE5"],

        ["\xF0\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\xB4"],
        ["\xE9\x9E\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xE6"],

        ["\xF0\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\x83"],
        ["\xE9\x9F\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xE7"],

        ["\xF0\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\x86"],
        ["\xE9\x9F\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xE8"],

        ["\xF0\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\x88"],
        ["\xE9\x9F\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xE9"],

        ["\xF0\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\x8B"],
        ["\xE9\x9F\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xEA"],

        ["\xF0\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\x9C"],
        ["\xE9\x9F\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xEB"],

        ["\xF0\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\xAD"],
        ["\xE9\x9F\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xEC"],

        ["\xF0\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x8F"],
        ["\xE9\xBD\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xED"],

        ["\xF0\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\xB2"],
        ["\xE9\x9F\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xEE"],

        ["\xF0\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x9F"],
        ["\xE7\xAB\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xEF"],

        ["\xF0\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\xB6"],
        ["\xE9\x9F\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xF0"],

        ["\xF0\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\xB5"],
        ["\xE9\x9F\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xF1"],

        ["\xF0\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x8F"],
        ["\xE9\xA0\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xF2"],

        ["\xF0\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x8C"],
        ["\xE9\xA0\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xF3"],

        ["\xF0\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xB8"],
        ["\xE9\xA0\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xF4"],

        ["\xF0\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xA4"],
        ["\xE9\xA0\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xF5"],

        ["\xF0\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xA1"],
        ["\xE9\xA0\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xF6"],

        ["\xF0\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xB7"],
        ["\xE9\xA0\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xF7"],

        ["\xF0\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xBD"],
        ["\xE9\xA0\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xF8"],

        ["\xF0\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x86"],
        ["\xE9\xA1\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xF9"],

        ["\xF0\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x8F"],
        ["\xE9\xA1\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xFA"],

        ["\xF0\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x8B"],
        ["\xE9\xA1\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xFB"],

        ["\xF0\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\xAB"],
        ["\xE9\xA1\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xFC"],

        ["\xF0\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\xAF"],
        ["\xE9\xA1\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xFD"],

        ["\xF0\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\xB0"],
        ["\xE9\xA1\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF0\xFE"],

        ["\xF1\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\xB1"],
        ["\xE9\xA1\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xA1"],

        ["\xF1\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\xB4"],
        ["\xE9\xA1\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xA2"],

        ["\xF1\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\xB3"],
        ["\xE9\xA1\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xA3"],

        ["\xF1\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA2\xAA"],
        ["\xE9\xA2\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xA4"],

        ["\xF1\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA2\xAF"],
        ["\xE9\xA2\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xA5"],

        ["\xF1\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA2\xB1"],
        ["\xE9\xA2\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xA6"],

        ["\xF1\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA2\xB6"],
        ["\xE9\xA2\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xA7"],

        ["\xF1\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\x84"],
        ["\xE9\xA3\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xA8"],

        ["\xF1\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\x83"],
        ["\xE9\xA3\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xA9"],

        ["\xF1\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\x86"],
        ["\xE9\xA3\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xAA"],

        ["\xF1\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xA9"],
        ["\xE9\xA3\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xAB"],

        ["\xF1\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xAB"],
        ["\xE9\xA3\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xAC"],

        ["\xF1\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x83"],
        ["\xE9\xA4\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xAD"],

        ["\xF1\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x89"],
        ["\xE9\xA4\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xAE"],

        ["\xF1\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x92"],
        ["\xE9\xA4\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xAF"],

        ["\xF1\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x94"],
        ["\xE9\xA4\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xB0"],

        ["\xF1\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x98"],
        ["\xE9\xA4\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xB1"],

        ["\xF1\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\xA1"],
        ["\xE9\xA4\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xB2"],

        ["\xF1\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x9D"],
        ["\xE9\xA4\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xB3"],

        ["\xF1\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x9E"],
        ["\xE9\xA4\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xB4"],

        ["\xF1\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\xA4"],
        ["\xE9\xA4\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xB5"],

        ["\xF1\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\xA0"],
        ["\xE9\xA4\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xB6"],

        ["\xF1\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\xAC"],
        ["\xE9\xA4\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xB7"],

        ["\xF1\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\xAE"],
        ["\xE9\xA4\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xB8"],

        ["\xF1\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\xBD"],
        ["\xE9\xA4\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xB9"],

        ["\xF1\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\xBE"],
        ["\xE9\xA4\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xBA"],

        ["\xF1\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\x82"],
        ["\xE9\xA5\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xBB"],

        ["\xF1\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\x89"],
        ["\xE9\xA5\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xBC"],

        ["\xF1\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\x85"],
        ["\xE9\xA5\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xBD"],

        ["\xF1\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\x90"],
        ["\xE9\xA5\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xBE"],

        ["\xF1\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\x8B"],
        ["\xE9\xA5\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xBF"],

        ["\xF1\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\x91"],
        ["\xE9\xA5\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xC0"],

        ["\xF1\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\x92"],
        ["\xE9\xA5\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xC1"],

        ["\xF1\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\x8C"],
        ["\xE9\xA5\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xC2"],

        ["\xF1\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\x95"],
        ["\xE9\xA5\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xC3"],

        ["\xF1\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\x97"],
        ["\xE9\xA6\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xC4"],

        ["\xF1\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\x98"],
        ["\xE9\xA6\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xC5"],

        ["\xF1\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\xA5"],
        ["\xE9\xA6\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xC6"],

        ["\xF1\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\xAD"],
        ["\xE9\xA6\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xC7"],

        ["\xF1\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\xAE"],
        ["\xE9\xA6\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xC8"],

        ["\xF1\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\xBC"],
        ["\xE9\xA6\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xC9"],

        ["\xF1\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x9F"],
        ["\xE9\xA7\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xCA"],

        ["\xF1\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x9B"],
        ["\xE9\xA7\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xCB"],

        ["\xF1\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x9D"],
        ["\xE9\xA7\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xCC"],

        ["\xF1\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x98"],
        ["\xE9\xA7\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xCD"],

        ["\xF1\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\x91"],
        ["\xE9\xA7\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xCE"],

        ["\xF1\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\xAD"],
        ["\xE9\xA7\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xCF"],

        ["\xF1\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\xAE"],
        ["\xE9\xA7\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xD0"],

        ["\xF1\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\xB1"],
        ["\xE9\xA7\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xD1"],

        ["\xF1\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\xB2"],
        ["\xE9\xA7\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xD2"],

        ["\xF1\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\xBB"],
        ["\xE9\xA7\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xD3"],

        ["\xF1\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\xB8"],
        ["\xE9\xA7\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xD4"],

        ["\xF1\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\x81"],
        ["\xE9\xA8\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xD5"],

        ["\xF1\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\x8F"],
        ["\xE9\xA8\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xD6"],

        ["\xF1\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\x85"],
        ["\xE9\xA8\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xD7"],

        ["\xF1\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\xA2"],
        ["\xE9\xA7\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xD8"],

        ["\xF1\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\x99"],
        ["\xE9\xA8\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xD9"],

        ["\xF1\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xAB"],
        ["\xE9\xA8\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xDA"],

        ["\xF1\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xB7"],
        ["\xE9\xA8\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xDB"],

        ["\xF1\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x85"],
        ["\xE9\xA9\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xDC"],

        ["\xF1\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x82"],
        ["\xE9\xA9\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xDD"],

        ["\xF1\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x80"],
        ["\xE9\xA9\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xDE"],

        ["\xF1\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x83"],
        ["\xE9\xA9\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xDF"],

        ["\xF1\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xBE"],
        ["\xE9\xA8\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xE0"],

        ["\xF1\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x95"],
        ["\xE9\xA9\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xE1"],

        ["\xF1\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x8D"],
        ["\xE9\xA9\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xE2"],

        ["\xF1\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x9B"],
        ["\xE9\xA9\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xE3"],

        ["\xF1\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x97"],
        ["\xE9\xA9\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xE4"],

        ["\xF1\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x9F"],
        ["\xE9\xA9\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xE5"],

        ["\xF1\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\xA2"],
        ["\xE9\xA9\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xE6"],

        ["\xF1\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\xA5"],
        ["\xE9\xA9\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xE7"],

        ["\xF1\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\xA4"],
        ["\xE9\xA9\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xE8"],

        ["\xF1\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\xA9"],
        ["\xE9\xA9\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xE9"],

        ["\xF1\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\xAB"],
        ["\xE9\xA9\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xEA"],

        ["\xF1\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\xAA"],
        ["\xE9\xA9\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xEB"],

        ["\xF1\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA\xAD"],
        ["\xE9\xAA\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xEC"],

        ["\xF1\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA\xB0"],
        ["\xE9\xAA\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xED"],

        ["\xF1\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA\xBC"],
        ["\xE9\xAA\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xEE"],

        ["\xF1\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x80"],
        ["\xE9\xAB\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xEF"],

        ["\xF1\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x8F"],
        ["\xE9\xAB\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xF0"],

        ["\xF1\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x91"],
        ["\xE9\xAB\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xF1"],

        ["\xF1\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x93"],
        ["\xE9\xAB\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xF2"],

        ["\xF1\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x94"],
        ["\xE9\xAB\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xF3"],

        ["\xF1\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x9E"],
        ["\xE9\xAB\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xF4"],

        ["\xF1\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x9F"],
        ["\xE9\xAB\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xF5"],

        ["\xF1\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xA2"],
        ["\xE9\xAB\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xF6"],

        ["\xF1\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xA3"],
        ["\xE9\xAB\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xF7"],

        ["\xF1\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xA6"],
        ["\xE9\xAB\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xF8"],

        ["\xF1\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xAF"],
        ["\xE9\xAB\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xF9"],

        ["\xF1\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xAB"],
        ["\xE9\xAB\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xFA"],

        ["\xF1\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xAE"],
        ["\xE9\xAB\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xFB"],

        ["\xF1\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xB4"],
        ["\xE9\xAB\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xFC"],

        ["\xF1\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xB1"],
        ["\xE9\xAB\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xFD"],

        ["\xF1\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xB7"],
        ["\xE9\xAB\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF1\xFE"],

        ["\xF2\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xBB"],
        ["\xE9\xAB\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xA1"],

        ["\xF2\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x86"],
        ["\xE9\xAC\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xA2"],

        ["\xF2\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x98"],
        ["\xE9\xAC\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xA3"],

        ["\xF2\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x9A"],
        ["\xE9\xAC\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xA4"],

        ["\xF2\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x9F"],
        ["\xE9\xAC\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xA5"],

        ["\xF2\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xA2"],
        ["\xE9\xAC\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xA6"],

        ["\xF2\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xA3"],
        ["\xE9\xAC\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xA7"],

        ["\xF2\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xA5"],
        ["\xE9\xAC\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xA8"],

        ["\xF2\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xA7"],
        ["\xE9\xAC\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xA9"],

        ["\xF2\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xA8"],
        ["\xE9\xAC\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xAA"],

        ["\xF2\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xA9"],
        ["\xE9\xAC\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xAB"],

        ["\xF2\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xAA"],
        ["\xE9\xAC\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xAC"],

        ["\xF2\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xAE"],
        ["\xE9\xAC\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xAD"],

        ["\xF2\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xAF"],
        ["\xE9\xAC\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xAE"],

        ["\xF2\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xB2"],
        ["\xE9\xAC\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xAF"],

        ["\xF2\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x84"],
        ["\xE9\xAD\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xB0"],

        ["\xF2\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x83"],
        ["\xE9\xAD\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xB1"],

        ["\xF2\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x8F"],
        ["\xE9\xAD\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xB2"],

        ["\xF2\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x8D"],
        ["\xE9\xAD\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xB3"],

        ["\xF2\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x8E"],
        ["\xE9\xAD\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xB4"],

        ["\xF2\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x91"],
        ["\xE9\xAD\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xB5"],

        ["\xF2\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x98"],
        ["\xE9\xAD\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xB6"],

        ["\xF2\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xB4"],
        ["\xE9\xAD\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xB7"],

        ["\xF2\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x93"],
        ["\xE9\xAE\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xB8"],

        ["\xF2\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x83"],
        ["\xE9\xAE\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xB9"],

        ["\xF2\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x91"],
        ["\xE9\xAE\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xBA"],

        ["\xF2\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x96"],
        ["\xE9\xAE\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xBB"],

        ["\xF2\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x97"],
        ["\xE9\xAE\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xBC"],

        ["\xF2\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x9F"],
        ["\xE9\xAE\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xBD"],

        ["\xF2\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xA0"],
        ["\xE9\xAE\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xBE"],

        ["\xF2\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xA8"],
        ["\xE9\xAE\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xBF"],

        ["\xF2\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xB4"],
        ["\xE9\xAE\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xC0"],

        ["\xF2\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x80"],
        ["\xE9\xAF\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xC1"],

        ["\xF2\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x8A"],
        ["\xE9\xAF\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xC2"],

        ["\xF2\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xB9"],
        ["\xE9\xAE\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xC3"],

        ["\xF2\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x86"],
        ["\xE9\xAF\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xC4"],

        ["\xF2\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x8F"],
        ["\xE9\xAF\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xC5"],

        ["\xF2\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x91"],
        ["\xE9\xAF\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xC6"],

        ["\xF2\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x92"],
        ["\xE9\xAF\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xC7"],

        ["\xF2\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xA3"],
        ["\xE9\xAF\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xC8"],

        ["\xF2\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xA2"],
        ["\xE9\xAF\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xC9"],

        ["\xF2\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xA4"],
        ["\xE9\xAF\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xCA"],

        ["\xF2\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x94"],
        ["\xE9\xAF\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xCB"],

        ["\xF2\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xA1"],
        ["\xE9\xAF\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xCC"],

        ["\xF2\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xBA"],
        ["\xE9\xB0\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xCD"],

        ["\xF2\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xB2"],
        ["\xE9\xAF\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xCE"],

        ["\xF2\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xB1"],
        ["\xE9\xAF\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xCF"],

        ["\xF2\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xB0"],
        ["\xE9\xAF\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xD0"],

        ["\xF2\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x95"],
        ["\xE9\xB0\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xD1"],

        ["\xF2\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x94"],
        ["\xE9\xB0\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xD2"],

        ["\xF2\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x89"],
        ["\xE9\xB0\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xD3"],

        ["\xF2\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x93"],
        ["\xE9\xB0\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xD4"],

        ["\xF2\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x8C"],
        ["\xE9\xB0\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xD5"],

        ["\xF2\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x86"],
        ["\xE9\xB0\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xD6"],

        ["\xF2\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x88"],
        ["\xE9\xB0\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xD7"],

        ["\xF2\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x92"],
        ["\xE9\xB0\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xD8"],

        ["\xF2\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x8A"],
        ["\xE9\xB0\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xD9"],

        ["\xF2\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x84"],
        ["\xE9\xB0\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xDA"],

        ["\xF2\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xAE"],
        ["\xE9\xB0\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xDB"],

        ["\xF2\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x9B"],
        ["\xE9\xB0\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xDC"],

        ["\xF2\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xA5"],
        ["\xE9\xB0\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xDD"],

        ["\xF2\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xA4"],
        ["\xE9\xB0\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xDE"],

        ["\xF2\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xA1"],
        ["\xE9\xB0\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xDF"],

        ["\xF2\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xB0"],
        ["\xE9\xB0\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xE0"],

        ["\xF2\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x87"],
        ["\xE9\xB1\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xE1"],

        ["\xF2\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xB2"],
        ["\xE9\xB0\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xE2"],

        ["\xF2\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x86"],
        ["\xE9\xB1\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xE3"],

        ["\xF2\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xBE"],
        ["\xE9\xB0\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xE4"],

        ["\xF2\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x9A"],
        ["\xE9\xB1\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xE5"],

        ["\xF2\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xA0"],
        ["\xE9\xB1\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xE6"],

        ["\xF2\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xA7"],
        ["\xE9\xB1\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xE7"],

        ["\xF2\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xB6"],
        ["\xE9\xB1\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xE8"],

        ["\xF2\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xB8"],
        ["\xE9\xB1\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xE9"],

        ["\xF2\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3\xA7"],
        ["\xE9\xB3\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xEA"],

        ["\xF2\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3\xAC"],
        ["\xE9\xB3\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xEB"],

        ["\xF2\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3\xB0"],
        ["\xE9\xB3\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xEC"],

        ["\xF2\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x89"],
        ["\xE9\xB4\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xED"],

        ["\xF2\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x88"],
        ["\xE9\xB4\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xEE"],

        ["\xF2\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3\xAB"],
        ["\xE9\xB3\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xEF"],

        ["\xF2\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x83"],
        ["\xE9\xB4\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xF0"],

        ["\xF2\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x86"],
        ["\xE9\xB4\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xF1"],

        ["\xF2\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\xAA"],
        ["\xE9\xB4\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xF2"],

        ["\xF2\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\xA6"],
        ["\xE9\xB4\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xF3"],

        ["\xF2\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xAF"],
        ["\xE9\xB6\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xF4"],

        ["\xF2\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\xA3"],
        ["\xE9\xB4\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xF5"],

        ["\xF2\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x9F"],
        ["\xE9\xB4\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xF6"],

        ["\xF2\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x84"],
        ["\xE9\xB5\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xF7"],

        ["\xF2\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x95"],
        ["\xE9\xB4\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xF8"],

        ["\xF2\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x92"],
        ["\xE9\xB4\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xF9"],

        ["\xF2\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x81"],
        ["\xE9\xB5\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xFA"],

        ["\xF2\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\xBF"],
        ["\xE9\xB4\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xFB"],

        ["\xF2\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\xBE"],
        ["\xE9\xB4\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xFC"],

        ["\xF2\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x86"],
        ["\xE9\xB5\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xFD"],

        ["\xF2\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x88"],
        ["\xE9\xB5\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF2\xFE"],

        ["\xF3\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x9D"],
        ["\xE9\xB5\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xA1"],

        ["\xF3\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x9E"],
        ["\xE9\xB5\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xA2"],

        ["\xF3\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xA4"],
        ["\xE9\xB5\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xA3"],

        ["\xF3\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x91"],
        ["\xE9\xB5\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xA4"],

        ["\xF3\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x90"],
        ["\xE9\xB5\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xA5"],

        ["\xF3\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x99"],
        ["\xE9\xB5\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xA6"],

        ["\xF3\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xB2"],
        ["\xE9\xB5\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xA7"],

        ["\xF3\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\x89"],
        ["\xE9\xB6\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xA8"],

        ["\xF3\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\x87"],
        ["\xE9\xB6\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xA9"],

        ["\xF3\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xAB"],
        ["\xE9\xB6\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xAA"],

        ["\xF3\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xAF"],
        ["\xE9\xB5\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xAB"],

        ["\xF3\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xBA"],
        ["\xE9\xB5\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xAC"],

        ["\xF3\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\x9A"],
        ["\xE9\xB6\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xAD"],

        ["\xF3\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xA4"],
        ["\xE9\xB6\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xAE"],

        ["\xF3\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xA9"],
        ["\xE9\xB6\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xAF"],

        ["\xF3\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xB2"],
        ["\xE9\xB6\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0"],

        ["\xF3\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x84"],
        ["\xE9\xB7\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1"],

        ["\xF3\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x81"],
        ["\xE9\xB7\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2"],

        ["\xF3\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xBB"],
        ["\xE9\xB6\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3"],

        ["\xF3\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xB8"],
        ["\xE9\xB6\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4"],

        ["\xF3\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xBA"],
        ["\xE9\xB6\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5"],

        ["\xF3\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x86"],
        ["\xE9\xB7\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xB6"],

        ["\xF3\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x8F"],
        ["\xE9\xB7\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xB7"],

        ["\xF3\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x82"],
        ["\xE9\xB7\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xB8"],

        ["\xF3\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x99"],
        ["\xE9\xB7\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xB9"],

        ["\xF3\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x93"],
        ["\xE9\xB7\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xBA"],

        ["\xF3\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xB8"],
        ["\xE9\xB7\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xBB"],

        ["\xF3\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xA6"],
        ["\xE9\xB7\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xBC"],

        ["\xF3\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xAD"],
        ["\xE9\xB7\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xBD"],

        ["\xF3\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xAF"],
        ["\xE9\xB7\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xBE"],

        ["\xF3\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xBD"],
        ["\xE9\xB7\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xBF"],

        ["\xF3\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8\x9A"],
        ["\xE9\xB8\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xC0"],

        ["\xF3\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8\x9B"],
        ["\xE9\xB8\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xC1"],

        ["\xF3\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8\x9E"],
        ["\xE9\xB8\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xC2"],

        ["\xF3\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB9\xB5"],
        ["\xE9\xB9\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xC3"],

        ["\xF3\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB9\xB9"],
        ["\xE9\xB9\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xC4"],

        ["\xF3\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB9\xBD"],
        ["\xE9\xB9\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xC5"],

        ["\xF3\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x81"],
        ["\xE9\xBA\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xC6"],

        ["\xF3\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x88"],
        ["\xE9\xBA\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xC7"],

        ["\xF3\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x8B"],
        ["\xE9\xBA\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xC8"],

        ["\xF3\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x8C"],
        ["\xE9\xBA\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xC9"],

        ["\xF3\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x92"],
        ["\xE9\xBA\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xCA"],

        ["\xF3\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x95"],
        ["\xE9\xBA\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xCB"],

        ["\xF3\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x91"],
        ["\xE9\xBA\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xCC"],

        ["\xF3\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x9D"],
        ["\xE9\xBA\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xCD"],

        ["\xF3\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xA5"],
        ["\xE9\xBA\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xCE"],

        ["\xF3\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xA9"],
        ["\xE9\xBA\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xCF"],

        ["\xF3\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xB8"],
        ["\xE9\xBA\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xD0"],

        ["\xF3\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xAA"],
        ["\xE9\xBA\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xD1"],

        ["\xF3\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xAD"],
        ["\xE9\xBA\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xD2"],

        ["\xF3\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xA1"],
        ["\xE9\x9D\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xD3"],

        ["\xF3\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x8C"],
        ["\xE9\xBB\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xD4"],

        ["\xF3\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x8E"],
        ["\xE9\xBB\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xD5"],

        ["\xF3\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x8F"],
        ["\xE9\xBB\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xD6"],

        ["\xF3\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x90"],
        ["\xE9\xBB\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xD7"],

        ["\xF3\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x94"],
        ["\xE9\xBB\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xD8"],

        ["\xF3\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x9C"],
        ["\xE9\xBB\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xD9"],

        ["\xF3\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x9E"],
        ["\xE9\xBB\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xDA"],

        ["\xF3\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x9D"],
        ["\xE9\xBB\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xDB"],

        ["\xF3\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xA0"],
        ["\xE9\xBB\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xDC"],

        ["\xF3\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xA5"],
        ["\xE9\xBB\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xDD"],

        ["\xF3\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xA8"],
        ["\xE9\xBB\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xDE"],

        ["\xF3\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xAF"],
        ["\xE9\xBB\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xDF"],

        ["\xF3\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xB4"],
        ["\xE9\xBB\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xE0"],

        ["\xF3\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xB6"],
        ["\xE9\xBB\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xE1"],

        ["\xF3\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xB7"],
        ["\xE9\xBB\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xE2"],

        ["\xF3\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xB9"],
        ["\xE9\xBB\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xE3"],

        ["\xF3\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xBB"],
        ["\xE9\xBB\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xE4"],

        ["\xF3\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xBC"],
        ["\xE9\xBB\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xE5"],

        ["\xF3\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xBD"],
        ["\xE9\xBB\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xE6"],

        ["\xF3\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\x87"],
        ["\xE9\xBC\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xE7"],

        ["\xF3\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\x88"],
        ["\xE9\xBC\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xE8"],

        ["\xF3\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xB7"],
        ["\xE7\x9A\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xE9"],

        ["\xF3\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\x95"],
        ["\xE9\xBC\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xEA"],

        ["\xF3\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\xA1"],
        ["\xE9\xBC\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xEB"],

        ["\xF3\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\xAC"],
        ["\xE9\xBC\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xEC"],

        ["\xF3\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\xBE"],
        ["\xE9\xBC\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xED"],

        ["\xF3\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x8A"],
        ["\xE9\xBD\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xEE"],

        ["\xF3\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x92"],
        ["\xE9\xBD\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xEF"],

        ["\xF3\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x94"],
        ["\xE9\xBD\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xF0"],

        ["\xF3\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xA3"],
        ["\xE9\xBD\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xF1"],

        ["\xF3\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x9F"],
        ["\xE9\xBD\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xF2"],

        ["\xF3\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xA0"],
        ["\xE9\xBD\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xF3"],

        ["\xF3\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xA1"],
        ["\xE9\xBD\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xF4"],

        ["\xF3\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xA6"],
        ["\xE9\xBD\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xF5"],

        ["\xF3\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xA7"],
        ["\xE9\xBD\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xF6"],

        ["\xF3\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xAC"],
        ["\xE9\xBD\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xF7"],

        ["\xF3\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xAA"],
        ["\xE9\xBD\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xF8"],

        ["\xF3\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xB7"],
        ["\xE9\xBD\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xF9"],

        ["\xF3\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xB2"],
        ["\xE9\xBD\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xFA"],

        ["\xF3\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xB6"],
        ["\xE9\xBD\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xFB"],

        ["\xF3\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE\x95"],
        ["\xE9\xBE\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xFC"],

        ["\xF3\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE\x9C"],
        ["\xE9\xBE\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xFD"],

        ["\xF3\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE\xA0"],
        ["\xE9\xBE\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF3\xFE"],

        ["\xF4\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xAF"],
        ["\xE5\xA0\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF4\xA1"],

        ["\xF4\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x87"],
        ["\xE6\xA7\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF4\xA2"],

        ["\xF4\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x99"],
        ["\xE9\x81\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF4\xA3"],

        ["\xF4\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xA4"],
        ["\xE7\x91\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF4\xA4"],

        ["\xF4\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x9C"],
        ["\xE5\x87\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF4\xA5"],

        ["\xF4\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x99"],
        ["\xE7\x86\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xF4\xA6"],

        ["\x31\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xB0"],
        ["\xE2\x85\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xF0"],

        ["\x31\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xB1"],
        ["\xE2\x85\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xF1"],

        ["\x31\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xB2"],
        ["\xE2\x85\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xF2"],

        ["\x31\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xB3"],
        ["\xE2\x85\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xF3"],

        ["\x31\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xB4"],
        ["\xE2\x85\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xF4"],

        ["\x31\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xB5"],
        ["\xE2\x85\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xF5"],

        ["\x31\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xB6"],
        ["\xE2\x85\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xF6"],

        ["\x31\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xB7"],
        ["\xE2\x85\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xF7"],

        ["\x31\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xB8"],
        ["\xE2\x85\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xF8"],

        ["\x31\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xB9"],
        ["\xE2\x85\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xF9"],

        ["\x31\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBF\xA4"],
        ["\xEF\xBF\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xFA"],

        ["\x31\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x87"],
        ["\xEF\xBC\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xFB"],

        ["\x31\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x82"],
        ["\xEF\xBC\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xFC"],

        ["\xD4\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x8A"],
        ["\xE7\xBA\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x63"],

        ["\xDC\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x9C"],
        ["\xE8\xA4\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x5F"],

        ["\xE4\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\x88"],
        ["\xE9\x8D\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x69"],

        ["\xE3\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x88"],
        ["\xE9\x8A\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x78"],

        ["\xD9\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x9C"],
        ["\xE8\x93\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x21"],

        ["\xB1\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x89"],
        ["\xE4\xBF\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x3B"],

        ["\x31\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xBB"],
        ["\xE7\x82\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xFD"],

        ["\xC2\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xB1"],
        ["\xE6\x98\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x2D"],

        ["\xC3\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x88"],
        ["\xE6\xA3\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x7C"],

        ["\xE4\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xB9"],
        ["\xE9\x8B\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x50"],

        ["\xC2\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xBB"],
        ["\xE6\x9B\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x3F"],

        ["\xBC\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x85"],
        ["\xE5\xBD\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x74"],

        ["\xB0\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xA8"],
        ["\xE4\xB8\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x29"],

        ["\xB0\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xA1"],
        ["\xE4\xBB\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x48"],

        ["\x31\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xBC"],
        ["\xE4\xBB\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x31\xFE"],

        ["\xB0\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x80"],
        ["\xE4\xBC\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x52"],

        ["\xB0\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x83"],
        ["\xE4\xBC\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x54"],

        ["\xB0\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\xB9"],
        ["\xE4\xBC\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x63"],

        ["\xB0\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x96"],
        ["\xE4\xBD\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x6E"],

        ["\xB1\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x92"],
        ["\xE4\xBE\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x27"],

        ["\xB1\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x8A"],
        ["\xE4\xBE\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x23"],

        ["\xB1\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x9A"],
        ["\xE4\xBE\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x2C"],

        ["\xB1\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x94"],
        ["\xE4\xBE\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x29"],

        ["\xB1\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x8D"],
        ["\xE4\xBF\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x3E"],

        ["\xB1\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x80"],
        ["\xE5\x81\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x5F"],

        ["\xB1\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xA2"],
        ["\xE5\x80\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x58"],

        ["\xB1\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xBF"],
        ["\xE4\xBF\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x48"],

        ["\xB1\x57",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x9E"],
        ["\xE5\x80\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x57"],

        ["\xB1\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x86"],
        ["\xE5\x81\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x63"],

        ["\xB1\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xB0"],
        ["\xE5\x81\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x74"],

        ["\xB1\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x82"],
        ["\xE5\x81\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x61"],

        ["\xB2\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x94"],
        ["\xE5\x82\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x23"],

        ["\x32\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xB4"],
        ["\xE5\x83\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xA1"],

        ["\xB2\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x98"],
        ["\xE5\x83\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x3B"],

        ["\xB2\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x8A"],
        ["\xE5\x85\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x66"],

        ["\xB2\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xA4"],
        ["\xE5\x85\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x6D"],

        ["\xB2\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x9D"],
        ["\xE5\x86\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x75"],

        ["\xB2\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xBE"],
        ["\xE5\x86\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x7C"],

        ["\x32\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xAC"],
        ["\xE5\x87\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xA2"],

        ["\xB3\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x95"],
        ["\xE5\x88\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x35"],

        ["\xB3\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x9C"],
        ["\xE5\x8A\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x58"],

        ["\xB3\x5B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xA6"],
        ["\xE5\x8A\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x5B"],

        ["\xB3\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x80"],
        ["\xE5\x8B\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x65"],

        ["\xB3\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x9B"],
        ["\xE5\x8B\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x6E"],

        ["\xB3\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x80"],
        ["\xE5\x8C\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x7B"],

        ["\x32\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x87"],
        ["\xE5\x8C\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xA3"],

        ["\x32\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xA4"],
        ["\xE5\x8C\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xA4"],

        ["\xB4\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xB2"],
        ["\xE5\x8D\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x40"],

        ["\xB4\x47",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\x93"],
        ["\xE5\x8E\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x47"],

        ["\xB4\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xB2"],
        ["\xE5\x8E\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x50"],

        ["\xB4\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x9D"],
        ["\xE5\x8F\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x5E"],

        ["\x32\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x8E"],
        ["\xEF\xA8\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xA5"],

        ["\xB5\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x9C"],
        ["\xE5\x92\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x2A"],

        ["\x32\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x8A"],
        ["\xE5\x92\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xA6"],

        ["\xB5\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xA9"],
        ["\xE5\x92\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x2F"],

        ["\xB5\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xBF"],
        ["\xE5\x93\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x44"],

        ["\xB5\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x86"],
        ["\xE5\x96\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x68"],

        ["\x32\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x99"],
        ["\xE5\x9D\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xA7"],

        ["\xB7\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xA5"],
        ["\xE5\x9D\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x42"],

        ["\xB7\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\xAC"],
        ["\xE5\x9E\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x64"],

        ["\xB7\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x88"],
        ["\xE5\x9F\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x68"],

        ["\xB7\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x87"],
        ["\xE5\x9F\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x67"],

        ["\x32\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x8F"],
        ["\xEF\xA8\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xA8"],

        ["\x32\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x90"],
        ["\xEF\xA8\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xA9"],

        ["\x32\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x9E"],
        ["\xE5\xA2\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xAA"],

        ["\xB8\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xB2"],
        ["\xE5\xA2\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x4E"],

        ["\xB8\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x8B"],
        ["\xE5\xA4\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x61"],

        ["\xB8\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x93"],
        ["\xE5\xA5\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x75"],

        ["\xB8\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x9B"],
        ["\xE5\xA5\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x77"],

        ["\xB8\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x9D"],
        ["\xE5\xA5\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x78"],

        ["\xB8\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xA3"],
        ["\xE5\xA5\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x7C"],

        ["\xB9\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xA4"],
        ["\xE5\xA6\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x2F"],

        ["\xB9\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xBA"],
        ["\xE5\xA6\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x37"],

        ["\xBA\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x96"],
        ["\xE5\xAD\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x3E"],

        ["\xBA\x5B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x80"],
        ["\xE5\xAF\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x5B"],

        ["\xCD\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xAF"],
        ["\xE7\x94\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x2A"],

        ["\xBA\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x98"],
        ["\xE5\xAF\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x61"],

        ["\x32\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xAC"],
        ["\xE5\xAF\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xAB"],

        ["\xBA\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x9E"],
        ["\xE5\xB0\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x6B"],

        ["\xBB\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xA6"],
        ["\xE5\xB2\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x33"],

        ["\xBB\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xBA"],
        ["\xE5\xB2\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x38"],

        ["\x32\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xB5"],
        ["\xE5\xB3\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xAC"],

        ["\xBB\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\xA7"],
        ["\xE5\xB4\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x4A"],

        ["\x32\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\x93"],
        ["\xE5\xB5\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xAD"],

        ["\x32\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x91"],
        ["\xEF\xA8\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xAE"],

        ["\xBB\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\x82"],
        ["\xE5\xB5\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x50"],

        ["\xBB\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\xAD"],
        ["\xE5\xB5\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x5E"],

        ["\xBB\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xB8"],
        ["\xE5\xB6\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x74"],

        ["\xBB\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xB9"],
        ["\xE5\xB6\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x75"],

        ["\xBB\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x90"],
        ["\xE5\xB7\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x79"],

        ["\xBC\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xA1"],
        ["\xE5\xBC\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x64"],

        ["\xBC\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xB4"],
        ["\xE5\xBC\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x6D"],

        ["\xBC\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xA7"],
        ["\xE5\xBD\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x7E"],

        ["\x32\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xB7"],
        ["\xE5\xBE\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xAF"],

        ["\xBD\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x9E"],
        ["\xE5\xBF\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x42"],

        ["\xBD\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x9D"],
        ["\xE6\x81\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x67"],

        ["\x32\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x85"],
        ["\xE6\x82\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xB0"],

        ["\xBD\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x8A"],
        ["\xE6\x82\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x70"],

        ["\xBE\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x9E"],
        ["\xE6\x83\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x30"],

        ["\xBE\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x95"],
        ["\xE6\x83\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x2C"],

        ["\x32\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xA0"],
        ["\xE6\x84\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xB1"],

        ["\xBE\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xB2"],
        ["\xE6\x83\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x33"],

        ["\xBE\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x91"],
        ["\xE6\x84\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x3D"],

        ["\xBE\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xB7"],
        ["\xE6\x84\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x4D"],

        ["\xBE\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xB0"],
        ["\xE6\x84\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x49"],

        ["\xBE\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x98"],
        ["\xE6\x86\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x64"],

        ["\xBF\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x93"],
        ["\xE6\x88\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x28"],

        ["\xBF\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\xA6"],
        ["\xE6\x8A\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x49"],

        ["\xC0\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xB5"],
        ["\xE6\x8F\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x44"],

        ["\xC0\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\xA0"],
        ["\xE6\x91\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x64"],

        ["\xC0\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\x9D"],
        ["\xE6\x92\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x74"],

        ["\xC1\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x8E"],
        ["\xE6\x93\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x26"],

        ["\x32\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x8E"],
        ["\xE6\x95\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xB2"],

        ["\xC1\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x80"],
        ["\xE6\x98\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x75"],

        ["\xC1\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x95"],
        ["\xE6\x98\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x7C"],

        ["\x32\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xBB"],
        ["\xE6\x98\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xB3"],

        ["\xC1\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x89"],
        ["\xE6\x98\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x78"],

        ["\xC2\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xAE"],
        ["\xE6\x98\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x2B"],

        ["\xC2\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x9E"],
        ["\xE6\x98\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x21"],

        ["\xC2\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xA4"],
        ["\xE6\x98\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x25"],

        ["\x32\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xA5"],
        ["\xE6\x99\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xB4"],

        ["\xC2\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x97"],
        ["\xE6\x99\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x38"],

        ["\xC2\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x99"],
        ["\xE6\x99\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x3A"],

        ["\x32\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x92"],
        ["\xEF\xA8\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xB5"],

        ["\xC2\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xB3"],
        ["\xE6\x99\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x44"],

        ["\xC2\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x99"],
        ["\xE6\x9A\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x52"],

        ["\xC2\x57",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xA0"],
        ["\xE6\x9A\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x57"],

        ["\xC2\x5B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xB2"],
        ["\xE6\x9A\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x5B"],

        ["\xC2\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xBF"],
        ["\xE6\x9A\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x5E"],

        ["\xC2\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xBA"],
        ["\xE6\x9B\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x6D"],

        ["\xC2\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x8E"],
        ["\xE6\x9C\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x70"],

        ["\x32\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA4\xA9"],
        ["\xEF\xA4\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xB6"],

        ["\xC3\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xA6"],
        ["\xE6\x9D\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x21"],

        ["\xC3\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xBB"],
        ["\xE6\x9E\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x35"],

        ["\xC3\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x92"],
        ["\xE6\xA1\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x49"],

        ["\xC3\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x80"],
        ["\xE6\x9F\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x39"],

        ["\x32\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x81"],
        ["\xE6\xA0\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xB7"],

        ["\xC3\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x84"],
        ["\xE6\xA1\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x58"],

        ["\xC3\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x8F"],
        ["\xE6\xA3\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x7E"],

        ["\x32\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x93"],
        ["\xEF\xA8\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xB8"],

        ["\xC4\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xA8"],
        ["\xE6\xA5\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x4C"],

        ["\x32\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x94"],
        ["\xEF\xA8\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xB9"],

        ["\xC4\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x98"],
        ["\xE6\xA6\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x59"],

        ["\xC4\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xA2"],
        ["\xE6\xA7\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x6A"],

        ["\xC4\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xB0"],
        ["\xE6\xA8\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x7D"],

        ["\x32\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\xAB"],
        ["\xE6\xA9\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xBA"],

        ["\xC5\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x86"],
        ["\xE6\xA9\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x27"],

        ["\xC5\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\xB3"],
        ["\xE6\xA9\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x35"],

        ["\xC5\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\xBE"],
        ["\xE6\xA9\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x36"],

        ["\x32\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xA2"],
        ["\xE6\xAB\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xBB"],

        ["\xC5\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xA4"],
        ["\xE6\xAB\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x55"],

        ["\xC6\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x96"],
        ["\xE6\xAF\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x38"],

        ["\xC6\x57",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\xBF"],
        ["\xE6\xB0\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x57"],

        ["\xC6\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x9C"],
        ["\xE6\xB1\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x60"],

        ["\xC6\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x86"],
        ["\xE6\xB2\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x6A"],

        ["\xC6\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xAF"],
        ["\xE6\xB1\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x63"],

        ["\xC7\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x9A"],
        ["\xE6\xB3\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x21"],

        ["\xC7\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x84"],
        ["\xE6\xB4\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x2B"],

        ["\xC7\x47",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x87"],
        ["\xE6\xB6\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x47"],

        ["\xC7\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xAF"],
        ["\xE6\xB5\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x43"],

        ["\xC7\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x96"],
        ["\xE6\xB6\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x4B"],

        ["\xC7\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\xAC"],
        ["\xE6\xB6\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x4F"],

        ["\xC7\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x8F"],
        ["\xE6\xB7\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x59"],

        ["\x32\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xB8"],
        ["\xE6\xB7\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xBC"],

        ["\x32\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xB2"],
        ["\xE6\xB7\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xBD"],

        ["\xC7\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xBC"],
        ["\xE6\xB7\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x66"],

        ["\xC7\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xB9"],
        ["\xE6\xB8\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x6E"],

        ["\xC7\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x9C"],
        ["\xE6\xB9\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x7C"],

        ["\xC7\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xA7"],
        ["\xE6\xB8\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x6B"],

        ["\xC7\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xBC"],
        ["\xE6\xB8\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x70"],

        ["\xC8\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xBF"],
        ["\xE6\xBA\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x31"],

        ["\xC8\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x88"],
        ["\xE6\xBE\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x65"],

        ["\xC8\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xB5"],
        ["\xE6\xBE\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x78"],

        ["\xC9\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xB5"],
        ["\xE6\xBF\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x26"],

        ["\xC9\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x85"],
        ["\xE7\x80\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x2B"],

        ["\xC9\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x87"],
        ["\xE7\x80\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x2D"],

        ["\x32\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\xA8"],
        ["\xE7\x80\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xBE"],

        ["\xC9\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\x85"],
        ["\xE7\x82\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x4A"],

        ["\xC9\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xAB"],
        ["\xE7\x82\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x53"],

        ["\xC9\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x8F"],
        ["\xE7\x84\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x69"],

        ["\xC9\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x84"],
        ["\xE7\x84\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x63"],

        ["\xC9\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x9C"],
        ["\xE7\x85\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x7C"],

        ["\xC9\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x86"],
        ["\xE7\x85\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x74"],

        ["\xC9\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x87"],
        ["\xE7\x85\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x75"],

        ["\x32\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x95"],
        ["\xEF\xA8\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xBF"],

        ["\xCA\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x81"],
        ["\xE7\x87\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x33"],

        ["\xCA\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\xBE"],
        ["\xE7\x87\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x3D"],

        ["\xCA\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xB1"],
        ["\xE7\x8A\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x6F"],

        ["\xCA\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xBE"],
        ["\xE7\x8A\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x71"],

        ["\xCB\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xA4"],
        ["\xE7\x8C\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x2E"],

        ["\x32\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x96"],
        ["\xEF\xA8\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xC0"],

        ["\xCB\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xB7"],
        ["\xE7\x8D\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x4A"],

        ["\xCB\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xBD"],
        ["\xE7\x8E\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x66"],

        ["\xCB\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x89"],
        ["\xE7\x8F\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x6A"],

        ["\xCB\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x96"],
        ["\xE7\x8F\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x70"],

        ["\xCB\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xA3"],
        ["\xE7\x8F\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x74"],

        ["\xCB\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x92"],
        ["\xE7\x8F\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x6E"],

        ["\xCC\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\x87"],
        ["\xE7\x90\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x25"],

        ["\xCB\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xB5"],
        ["\xE7\x8F\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x79"],

        ["\xCC\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xA6"],
        ["\xE7\x90\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x2B"],

        ["\xCC\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xAA"],
        ["\xE7\x90\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x2E"],

        ["\xCC\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xA9"],
        ["\xE7\x90\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x2D"],

        ["\xCC\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xAE"],
        ["\xE7\x90\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x32"],

        ["\xCC\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xA2"],
        ["\xE7\x91\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x42"],

        ["\xCC\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x89"],
        ["\xE7\x92\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x50"],

        ["\xCC\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x9F"],
        ["\xE7\x92\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x59"],

        ["\x32\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x81"],
        ["\xE7\x94\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xC1"],

        ["\xCD\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xAF"],
        ["\xE7\x95\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x3B"],

        ["\x32\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x82"],
        ["\xE7\x9A\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xC2"],

        ["\xCE\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x9C"],
        ["\xE7\x9A\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x3B"],

        ["\x32\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x9E"],
        ["\xE7\x9A\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xC3"],

        ["\xCE\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x9B"],
        ["\xE7\x9A\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x3A"],

        ["\xCE\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xA6"],
        ["\xE7\x9A\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x43"],

        ["\x32\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x97"],
        ["\xEF\xA8\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xC4"],

        ["\xCE\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\x86"],
        ["\xE7\x9D\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x72"],

        ["\xB3\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xAF"],
        ["\xE5\x8A\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x5D"],

        ["\xCF\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\xA1"],
        ["\xE7\xA0\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x55"],

        ["\xCF\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\x8E"],
        ["\xE7\xA1\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x62"],

        ["\xCF\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\xA4"],
        ["\xE7\xA1\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x69"],

        ["\xCF\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\xBA"],
        ["\xE7\xA1\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x6D"],

        ["\x32\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xB0"],
        ["\xE7\xA4\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xC5"],

        ["\x32\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x98"],
        ["\xEF\xA8\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xC6"],

        ["\x32\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x99"],
        ["\xEF\xA8\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xC7"],

        ["\x32\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x9A"],
        ["\xEF\xA8\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xC8"],

        ["\xD0\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x94"],
        ["\xE7\xA6\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x65"],

        ["\x32\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x9B"],
        ["\xEF\xA8\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xC9"],

        ["\xD0\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x9B"],
        ["\xE7\xA6\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x69"],

        ["\xD1\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x91"],
        ["\xE7\xAB\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x68"],

        ["\x32\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xA7"],
        ["\xE7\xAB\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xCA"],

        ["\x32\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x9C"],
        ["\xEF\xA8\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xCB"],

        ["\xD1\x6C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xAB"],
        ["\xE7\xAB\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x6C"],

        ["\xD2\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x9E"],
        ["\xE7\xAE\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x3B"],

        ["\x32\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x9D"],
        ["\xEF\xA8\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xCC"],

        ["\xD3\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x88"],
        ["\xE7\xB5\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x61"],

        ["\xD3\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x9C"],
        ["\xE7\xB5\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x68"],

        ["\xD4\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xB7"],
        ["\xE7\xB6\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x27"],

        ["\x32\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xA0"],
        ["\xE7\xB6\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xCD"],

        ["\x32\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x96"],
        ["\xE7\xB7\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xCE"],

        ["\xD4\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x92"],
        ["\xE7\xB9\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x54"],

        ["\xD4\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x87"],
        ["\xE7\xBD\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x72"],

        ["\xD5\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xA1"],
        ["\xE7\xBE\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x2E"],

        ["\x32\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x9E"],
        ["\xEF\xA8\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xCF"],

        ["\xD7\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x81"],
        ["\xE8\x8C\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x5E"],

        ["\x32\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\xA2"],
        ["\xE8\x8D\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xD0"],

        ["\xD8\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\xBF"],
        ["\xE8\x8D\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x22"],

        ["\xD8\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x87"],
        ["\xE8\x8F\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x37"],

        ["\xD8\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xB6"],
        ["\xE8\x8F\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x41"],

        ["\xD8\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x88"],
        ["\xE8\x91\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x51"],

        ["\xD8\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xB4"],
        ["\xE8\x92\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x74"],

        ["\xD9\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x93"],
        ["\xE8\x95\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x46"],

        ["\xD9\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x99"],
        ["\xE8\x95\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x48"],

        ["\xD9\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xAB"],
        ["\xE8\x95\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x51"],

        ["\x32\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\x9F"],
        ["\xEF\xA8\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xD1"],

        ["\x32\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xB0"],
        ["\xE8\x96\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xD2"],

        ["\x32\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xA0"],
        ["\xEF\xA8\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xD3"],

        ["\x32\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xA1"],
        ["\xEF\xA8\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xD4"],

        ["\x32\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x87"],
        ["\xE8\xA0\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xD5"],

        ["\xDC\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xB5"],
        ["\xE8\xA3\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x53"],

        ["\xDD\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x92"],
        ["\xE8\xA8\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x48"],

        ["\xDD\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xB7"],
        ["\xE8\xA8\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x54"],

        ["\xDD\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xB9"],
        ["\xE8\xA9\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x6A"],

        ["\xDD\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xA7"],
        ["\xE8\xAA\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x7A"],

        ["\xDE\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xBE"],
        ["\xE8\xAA\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x24"],

        ["\xDE\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x9F"],
        ["\xE8\xAB\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x30"],

        ["\x32\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xA2"],
        ["\xEF\xA8\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xD6"],

        ["\xDE\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xB6"],
        ["\xE8\xAB\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x35"],

        ["\xDE\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x93"],
        ["\xE8\xAD\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x4B"],

        ["\x32\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xBF"],
        ["\xE8\xAD\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xD7"],

        ["\xDF\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xB0"],
        ["\xE8\xB3\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x39"],

        ["\x32\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xB4"],
        ["\xE8\xB3\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xD8"],

        ["\xDF\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x92"],
        ["\xE8\xB4\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x43"],

        ["\x32\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xB6"],
        ["\xE8\xB5\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xD9"],

        ["\x32\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xA3"],
        ["\xEF\xA8\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xDA"],

        ["\xE0\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x8F"],
        ["\xE8\xBB\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\x59"],

        ["\x32\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xA4"],
        ["\xEF\xA8\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xDB"],

        ["\x32\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xA5"],
        ["\xEF\xA8\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xDC"],

        ["\xE1\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\xA7"],
        ["\xE9\x81\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\x62"],

        ["\x32\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\x9E"],
        ["\xE9\x83\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xDD"],

        ["\x32\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xA6"],
        ["\xEF\xA8\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xDE"],

        ["\x32\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\x95"],
        ["\xE9\x84\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xDF"],

        ["\xE2\x47",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\xA7"],
        ["\xE9\x84\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x47"],

        ["\xE3\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x9A"],
        ["\xE9\x87\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x28"],

        ["\xE3\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x97"],
        ["\xE9\x87\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x26"],

        ["\xE3\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\x9E"],
        ["\xE9\x87\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x29"],

        ["\xE3\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xAD"],
        ["\xE9\x87\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x2F"],

        ["\xE3\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xAE"],
        ["\xE9\x87\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x30"],

        ["\xE3\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xA4"],
        ["\xE9\x87\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x2A"],

        ["\xE3\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xA5"],
        ["\xE9\x87\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x2B"],

        ["\xE3\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\x86"],
        ["\xE9\x88\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x3C"],

        ["\xE3\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\x90"],
        ["\xE9\x88\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x41"],

        ["\xE3\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\x8A"],
        ["\xE9\x88\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x3F"],

        ["\xE3\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\xBA"],
        ["\xE9\x88\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x55"],

        ["\xE3\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x80"],
        ["\xE9\x89\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x58"],

        ["\xE3\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\xBC"],
        ["\xE9\x88\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x56"],

        ["\xE3\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x8E"],
        ["\xE9\x89\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x5F"],

        ["\xE3\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x99"],
        ["\xE9\x89\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x63"],

        ["\xE3\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x91"],
        ["\xE9\x89\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x61"],

        ["\xE3\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\xB9"],
        ["\xE9\x88\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x54"],

        ["\xE3\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\xA7"],
        ["\xE9\x89\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x69"],

        ["\xE4\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\xA7"],
        ["\xE9\x8A\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x26"],

        ["\xE3\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\xB7"],
        ["\xE9\x89\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x71"],

        ["\xE3\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\xB8"],
        ["\xE9\x89\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x72"],

        ["\xE4\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xA7"],
        ["\xE9\x8B\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x4B"],

        ["\xE4\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\x97"],
        ["\xE9\x8B\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x41"],

        ["\xE4\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\x99"],
        ["\xE9\x8B\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x43"],

        ["\xE4\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\x90"],
        ["\xE9\x8B\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x3E"],

        ["\x32\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xA7"],
        ["\xEF\xA8\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xE0"],

        ["\xE4\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\x95"],
        ["\xE9\x8B\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x40"],

        ["\xE4\x47",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xA0"],
        ["\xE9\x8B\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x47"],

        ["\xE4\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\x93"],
        ["\xE9\x8B\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x3F"],

        ["\xE4\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xA5"],
        ["\xE9\x8C\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x60"],

        ["\xE4\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\xA1"],
        ["\xE9\x8C\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x5E"],

        ["\xE4\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xBB"],
        ["\xE9\x8B\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x51"],

        ["\x32\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xA8"],
        ["\xEF\xA8\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xE1"],

        ["\xE4\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\x9E"],
        ["\xE9\x8C\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x5C"],

        ["\xE4\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\xBF"],
        ["\xE9\x8B\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x52"],

        ["\xE4\x5B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\x9D"],
        ["\xE9\x8C\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x5B"],

        ["\xE4\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\x82"],
        ["\xE9\x8C\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x54"],

        ["\xE4\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\xB0"],
        ["\xE9\x8D\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x7A"],

        ["\xE4\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\x97"],
        ["\xE9\x8D\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x6F"],

        ["\xE5\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\xA4"],
        ["\xE9\x8E\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\x33"],

        ["\xE5\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\x86"],
        ["\xE9\x8F\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\x3F"],

        ["\xE5\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\x9E"],
        ["\xE9\x8F\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\x49"],

        ["\xE5\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\xB8"],
        ["\xE9\x8F\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\x50"],

        ["\xE5\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\xB1"],
        ["\xE9\x90\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\x62"],

        ["\xE5\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\x85"],
        ["\xE9\x91\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\x6A"],

        ["\xE5\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\x88"],
        ["\xE9\x91\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\x6B"],

        ["\x32\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x92"],
        ["\xE9\x96\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xE2"],

        ["\x32\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA7\x9C"],
        ["\xEF\xA7\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xE3"],

        ["\x32\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xA9"],
        ["\xEF\xA8\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xE4"],

        ["\xE6\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x9D"],
        ["\xE9\x9A\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x68"],

        ["\xE6\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xAF"],
        ["\xE9\x9A\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x6F"],

        ["\xE7\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\xB3"],
        ["\xE9\x9C\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x2C"],

        ["\x32\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9C\xBB"],
        ["\xE9\x9C\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xE5"],

        ["\xE7\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x83"],
        ["\xE9\x9D\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x2E"],

        ["\x32\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x8D"],
        ["\xE9\x9D\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xE6"],

        ["\xE7\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x8F"],
        ["\xE9\x9D\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x31"],

        ["\x32\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x91"],
        ["\xE9\x9D\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xE7"],

        ["\xE7\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x95"],
        ["\xE9\x9D\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x32"],

        ["\xE8\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x97"],
        ["\xE9\xA1\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\x31"],

        ["\xE8\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\xA5"],
        ["\xE9\xA1\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\x36"],

        ["\x32\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xAA"],
        ["\xEF\xA8\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xE8"],

        ["\x32\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xAB"],
        ["\xEF\xA8\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xE9"],

        ["\xE8\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\xA7"],
        ["\xE9\xA4\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\x5D"],

        ["\x32\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xAC"],
        ["\xEF\xA8\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xEA"],

        ["\x32\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\x9E"],
        ["\xE9\xA6\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xEB"],

        ["\xE9\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x8E"],
        ["\xE9\xA9\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x51"],

        ["\x32\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x99"],
        ["\xE9\xAB\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xEC"],

        ["\xE9\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x9C"],
        ["\xE9\xAB\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x6D"],

        ["\xEA\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xB5"],
        ["\xE9\xAD\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x4D"],

        ["\x32\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xB2"],
        ["\xE9\xAD\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xED"],

        ["\xEA\x5B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x8F"],
        ["\xE9\xAE\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x5B"],

        ["\xEA\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xB1"],
        ["\xE9\xAE\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x66"],

        ["\xEA\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xBB"],
        ["\xE9\xAE\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x6A"],

        ["\xEB\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x80"],
        ["\xE9\xB0\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x25"],

        ["\xEB\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xB0"],
        ["\xE9\xB5\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x7B"],

        ["\xEB\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xAB"],
        ["\xE9\xB5\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x7A"],

        ["\x32\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xAD"],
        ["\xEF\xA8\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xEE"],

        ["\xEC\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8\x99"],
        ["\xE9\xB8\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x56"],

        ["\x32\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x91"],
        ["\xE9\xBB\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xEF"],

        ["\x32\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\x95"],
        ["\xE2\x80\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xF0"],

        ["\xA1\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xA5"],
        ["\xE2\x88\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xC2"],

        ["\xA1\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC\x8D"],
        ["\xEF\xBC\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xDD"],

        ["\xA1\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA2"],
        ["\xC2\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xF1"],

        ["\xA1\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA3"],
        ["\xC2\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA1\xF2"],

        ["\x32\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\xB3"],
        ["\xE3\x80\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xF1"],

        ["\x32\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\xB4"],
        ["\xE3\x80\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xF2"],

        ["\x32\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\xB5"],
        ["\xE3\x80\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xF3"],

        ["\x32\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\xBB"],
        ["\xE3\x80\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xF4"],

        ["\x32\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\xBC"],
        ["\xE3\x80\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xF5"],

        ["\x32\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xBF"],
        ["\xE3\x83\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xF6"],

        ["\x32\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x9F"],
        ["\xE3\x82\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xF7"],

        ["\x32\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\x84"],
        ["\xE2\x8A\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xF8"],

        ["\x32\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\x85"],
        ["\xE2\x8A\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xF9"],

        ["\x32\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\x8A"],
        ["\xE2\x8A\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xFA"],

        ["\x32\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\x8B"],
        ["\xE2\x8A\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xFB"],

        ["\x32\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x89"],
        ["\xE2\x88\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xFC"],

        ["\x32\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x85"],
        ["\xE2\x88\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xFD"],

        ["\x32\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8C\x85"],
        ["\xE2\x8C\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x32\xFE"],

        ["\x33\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8C\x86"],
        ["\xE2\x8C\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xA1"],

        ["\xA2\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xAC"],
        ["\xC2\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\xCC"],

        ["\x33\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\x95"],
        ["\xE2\x8A\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xA2"],

        ["\x33\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\x96"],
        ["\xE2\x8A\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xA3"],

        ["\x33\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8A\x97"],
        ["\xE2\x8A\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xA4"],

        ["\x33\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\xA6"],
        ["\xE2\x88\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xA5"],

        ["\x33\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\x9F"],
        ["\xEF\xBD\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xA6"],

        ["\x33\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD\xA0"],
        ["\xEF\xBD\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xA7"],

        ["\x33\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x98"],
        ["\xE3\x80\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xA8"],

        ["\x33\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x99"],
        ["\xE3\x80\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xA9"],

        ["\x33\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x96"],
        ["\xE3\x80\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xAA"],

        ["\x33\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\x97"],
        ["\xE3\x80\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xAB"],

        ["\x33\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\xA2"],
        ["\xE2\x89\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xAC"],

        ["\x33\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\x83"],
        ["\xE2\x89\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xAD"],

        ["\x33\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\x85"],
        ["\xE2\x89\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xAE"],

        ["\x33\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\x88"],
        ["\xE2\x89\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xAF"],

        ["\x33\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\xB6"],
        ["\xE2\x89\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xB0"],

        ["\x33\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x89\xB7"],
        ["\xE2\x89\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xB1"],

        ["\x33\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x86\x94"],
        ["\xE2\x86\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xB2"],

        ["\x33\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xAE"],
        ["\xE2\x99\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xB3"],

        ["\x33\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xAB"],
        ["\xE2\x99\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xB4"],

        ["\x33\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xAC"],
        ["\xE2\x99\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xB5"],

        ["\x33\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xA9"],
        ["\xE2\x99\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xB6"],

        ["\x33\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x96\xB7"],
        ["\xE2\x96\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xB7"],

        ["\x33\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x96\xB6"],
        ["\xE2\x96\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xB8"],

        ["\x33\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x81"],
        ["\xE2\x97\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xB9"],

        ["\x33\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x80"],
        ["\xE2\x97\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xBA"],

        ["\x33\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x86\x97"],
        ["\xE2\x86\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xBB"],

        ["\x33\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x86\x98"],
        ["\xE2\x86\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xBC"],

        ["\x33\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x86\x96"],
        ["\xE2\x86\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xBD"],

        ["\x33\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x86\x99"],
        ["\xE2\x86\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xBE"],

        ["\x33\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x87\x84"],
        ["\xE2\x87\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xBF"],

        ["\x33\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x87\xA8"],
        ["\xE2\x87\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xC0"],

        ["\x33\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x87\xA6"],
        ["\xE2\x87\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xC1"],

        ["\x33\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x87\xA7"],
        ["\xE2\x87\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xC2"],

        ["\x33\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x87\xA9"],
        ["\xE2\x87\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xC3"],

        ["\x33\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA4\xB4"],
        ["\xE2\xA4\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xC4"],

        ["\x33\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA4\xB5"],
        ["\xE2\xA4\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xC5"],

        ["\x33\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA6\xBF"],
        ["\xE2\xA6\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xC6"],

        ["\x33\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x89"],
        ["\xE2\x97\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xC7"],

        ["\x33\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\xBD"],
        ["\xE3\x80\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xC8"],

        ["\x33\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB9\x86"],
        ["\xEF\xB9\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xC9"],

        ["\x33\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xB9\x85"],
        ["\xEF\xB9\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xCA"],

        ["\x33\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\xA6"],
        ["\xE2\x97\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xCB"],

        ["\x33\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\xA2"],
        ["\xE2\x80\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xCC"],

        ["\x33\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x88\x93"],
        ["\xE2\x88\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xCD"],

        ["\x33\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x84\xB5"],
        ["\xE2\x84\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xCE"],

        ["\x33\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x84\x8F"],
        ["\xE2\x84\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xCF"],

        ["\x33\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8F\x8B"],
        ["\xE3\x8F\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xD0"],

        ["\x33\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x84\x93"],
        ["\xE2\x84\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xD1"],

        ["\x33\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x84\xA7"],
        ["\xE2\x84\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xD2"],

        ["\x33\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xA0"],
        ["\xE3\x82\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xD3"],

        ["\x33\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\x93"],
        ["\xE2\x80\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xD4"],

        ["\x33\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA7\xBA"],
        ["\xE2\xA7\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xD5"],

        ["\x33\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\xA7\xBB"],
        ["\xE2\xA7\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xD6"],

        ["\x33\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x94"],
        ["\xE3\x82\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xD7"],

        ["\x33\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x95"],
        ["\xE3\x82\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xD8"],

        ["\x33\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\x96"],
        ["\xE3\x82\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xD9"],

        ["\x33\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x8B\xE3\x82\x9A"],
        ["\xE3\x81\x8B\xE3\x82\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xDA"],

        ["\x33\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x8D\xE3\x82\x9A"],
        ["\xE3\x81\x8D\xE3\x82\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xDB"],

        ["\x33\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x8F\xE3\x82\x9A"],
        ["\xE3\x81\x8F\xE3\x82\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xDC"],

        ["\x33\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x91\xE3\x82\x9A"],
        ["\xE3\x81\x91\xE3\x82\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xDD"],

        ["\x33\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x81\x93\xE3\x82\x9A"],
        ["\xE3\x81\x93\xE3\x82\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xDE"],

        ["\x33\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xAB\xE3\x82\x9A"],
        ["\xE3\x82\xAB\xE3\x82\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xDF"],

        ["\x33\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xAD\xE3\x82\x9A"],
        ["\xE3\x82\xAD\xE3\x82\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xE0"],

        ["\x33\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xAF\xE3\x82\x9A"],
        ["\xE3\x82\xAF\xE3\x82\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xE1"],

        ["\x33\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB1\xE3\x82\x9A"],
        ["\xE3\x82\xB1\xE3\x82\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xE2"],

        ["\x33\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xB3\xE3\x82\x9A"],
        ["\xE3\x82\xB3\xE3\x82\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xE3"],

        ["\x33\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x82\xBB\xE3\x82\x9A"],
        ["\xE3\x82\xBB\xE3\x82\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xE4"],

        ["\x33\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x84\xE3\x82\x9A"],
        ["\xE3\x83\x84\xE3\x82\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xE5"],

        ["\x33\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\x88\xE3\x82\x9A"],
        ["\xE3\x83\x88\xE3\x82\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xE6"],

        ["\x33\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xA4"],
        ["\xE2\x99\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xE7"],

        ["\x33\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xA0"],
        ["\xE2\x99\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xE8"],

        ["\x33\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xA2"],
        ["\xE2\x99\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xE9"],

        ["\x33\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xA6"],
        ["\xE2\x99\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xEA"],

        ["\x33\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xA1"],
        ["\xE2\x99\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xEB"],

        ["\x33\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xA5"],
        ["\xE2\x99\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xEC"],

        ["\x33\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xA7"],
        ["\xE2\x99\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xED"],

        ["\x33\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xA3"],
        ["\xE2\x99\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xEE"],

        ["\xA6\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCF\x82"],
        ["\xCF\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA6\x78"],

        ["\x33\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xB5"],
        ["\xE2\x93\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xEF"],

        ["\x33\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xB6"],
        ["\xE2\x93\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xF0"],

        ["\x33\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xB7"],
        ["\xE2\x93\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xF1"],

        ["\x33\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xB8"],
        ["\xE2\x93\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xF2"],

        ["\x33\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xB9"],
        ["\xE2\x93\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xF3"],

        ["\x33\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xBA"],
        ["\xE2\x93\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xF4"],

        ["\x33\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xBB"],
        ["\xE2\x93\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xF5"],

        ["\x33\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xBC"],
        ["\xE2\x93\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xF6"],

        ["\x33\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xBD"],
        ["\xE2\x93\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xF7"],

        ["\x33\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xBE"],
        ["\xE2\x93\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xF8"],

        ["\x33\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x98\x96"],
        ["\xE2\x98\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xF9"],

        ["\x33\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x98\x97"],
        ["\xE2\x98\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xFA"],

        ["\x33\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x80\xA0"],
        ["\xE3\x80\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xFB"],

        ["\x33\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x98\x8E"],
        ["\xE2\x98\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xFC"],

        ["\x33\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x98\x80"],
        ["\xE2\x98\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xFD"],

        ["\x33\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x98\x81"],
        ["\xE2\x98\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x33\xFE"],

        ["\x34\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x98\x82"],
        ["\xE2\x98\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xA1"],

        ["\x34\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x98\x83"],
        ["\xE2\x98\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xA2"],

        ["\x34\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x99\xA8"],
        ["\xE2\x99\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xA3"],

        ["\x34\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x96\xB1"],
        ["\xE2\x96\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xA4"],

        ["\x34\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xB0"],
        ["\xE3\x87\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xA5"],

        ["\x34\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xB1"],
        ["\xE3\x87\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xA6"],

        ["\x34\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xB2"],
        ["\xE3\x87\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xA7"],

        ["\x34\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xB3"],
        ["\xE3\x87\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xA8"],

        ["\x34\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xB4"],
        ["\xE3\x87\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xA9"],

        ["\x34\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xB5"],
        ["\xE3\x87\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xAA"],

        ["\x34\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xB6"],
        ["\xE3\x87\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xAB"],

        ["\x34\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xB7"],
        ["\xE3\x87\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xAC"],

        ["\x34\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xB8"],
        ["\xE3\x87\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xAD"],

        ["\x34\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xB9"],
        ["\xE3\x87\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xAE"],

        ["\x34\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xB7\xE3\x82\x9A"],
        ["\xE3\x87\xB7\xE3\x82\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xAF"],

        ["\x34\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xBA"],
        ["\xE3\x87\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xB0"],

        ["\x34\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xBB"],
        ["\xE3\x87\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xB1"],

        ["\x34\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xBC"],
        ["\xE3\x87\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xB2"],

        ["\x34\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xBD"],
        ["\xE3\x87\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xB3"],

        ["\x34\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xBE"],
        ["\xE3\x87\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xB4"],

        ["\x34\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x87\xBF"],
        ["\xE3\x87\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xB5"],

        ["\x34\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8E\xBE"],
        ["\xE2\x8E\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xB6"],

        ["\x34\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8E\xBF"],
        ["\xE2\x8E\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xB7"],

        ["\x34\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x80"],
        ["\xE2\x8F\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xB8"],

        ["\x34\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x81"],
        ["\xE2\x8F\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xB9"],

        ["\x34\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x82"],
        ["\xE2\x8F\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xBA"],

        ["\x34\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x83"],
        ["\xE2\x8F\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xBB"],

        ["\x34\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x84"],
        ["\xE2\x8F\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xBC"],

        ["\x34\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x85"],
        ["\xE2\x8F\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xBD"],

        ["\x34\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x86"],
        ["\xE2\x8F\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xBE"],

        ["\x34\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x87"],
        ["\xE2\x8F\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xBF"],

        ["\x34\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x88"],
        ["\xE2\x8F\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xC0"],

        ["\x34\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x89"],
        ["\xE2\x8F\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xC1"],

        ["\x34\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x8A"],
        ["\xE2\x8F\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xC2"],

        ["\x34\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x8B"],
        ["\xE2\x8F\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xC3"],

        ["\x34\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x8C"],
        ["\xE2\x8F\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xC4"],

        ["\x34\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xB7"],
        ["\xE3\x83\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xC5"],

        ["\x34\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xB8"],
        ["\xE3\x83\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xC6"],

        ["\x34\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xB9"],
        ["\xE3\x83\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xC7"],

        ["\x34\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x83\xBA"],
        ["\xE3\x83\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xC8"],

        ["\x34\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8B\x9A"],
        ["\xE2\x8B\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xC9"],

        ["\x34\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8B\x9B"],
        ["\xE2\x8B\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xCA"],

        ["\x34\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\x93"],
        ["\xE2\x85\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xCB"],

        ["\x34\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\x94"],
        ["\xE2\x85\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xCC"],

        ["\x34\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\x95"],
        ["\xE2\x85\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xCD"],

        ["\x34\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x9C\x93"],
        ["\xE2\x9C\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xCE"],

        ["\x34\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8C\x98"],
        ["\xE2\x8C\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xCF"],

        ["\x34\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x90\xA3"],
        ["\xE2\x90\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xD0"],

        ["\x34\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x8F\x8E"],
        ["\xE2\x8F\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xD1"],

        ["\x34\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x91"],
        ["\xE3\x89\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xD2"],

        ["\x34\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x92"],
        ["\xE3\x89\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xD3"],

        ["\x34\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x93"],
        ["\xE3\x89\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xD4"],

        ["\x34\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x94"],
        ["\xE3\x89\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xD5"],

        ["\x34\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x95"],
        ["\xE3\x89\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xD6"],

        ["\x34\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x96"],
        ["\xE3\x89\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xD7"],

        ["\x34\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x97"],
        ["\xE3\x89\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xD8"],

        ["\x34\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x98"],
        ["\xE3\x89\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xD9"],

        ["\x34\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x99"],
        ["\xE3\x89\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xDA"],

        ["\x34\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x9A"],
        ["\xE3\x89\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xDB"],

        ["\x34\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x9B"],
        ["\xE3\x89\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xDC"],

        ["\x34\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x9C"],
        ["\xE3\x89\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xDD"],

        ["\x34\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x9D"],
        ["\xE3\x89\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xDE"],

        ["\x34\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x9E"],
        ["\xE3\x89\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xDF"],

        ["\x34\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x89\x9F"],
        ["\xE3\x89\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xE0"],

        ["\x34\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xB1"],
        ["\xE3\x8A\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xE1"],

        ["\x34\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xB2"],
        ["\xE3\x8A\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xE2"],

        ["\x34\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xB3"],
        ["\xE3\x8A\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xE3"],

        ["\x34\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xB4"],
        ["\xE3\x8A\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xE4"],

        ["\x34\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xB5"],
        ["\xE3\x8A\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xE5"],

        ["\x34\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xB6"],
        ["\xE3\x8A\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xE6"],

        ["\x34\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xB7"],
        ["\xE3\x8A\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xE7"],

        ["\x34\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xB8"],
        ["\xE3\x8A\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xE8"],

        ["\x34\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xB9"],
        ["\xE3\x8A\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xE9"],

        ["\x34\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xBA"],
        ["\xE3\x8A\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xEA"],

        ["\x34\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xBB"],
        ["\xE3\x8A\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xEB"],

        ["\x34\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xBC"],
        ["\xE3\x8A\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xEC"],

        ["\x34\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xBD"],
        ["\xE3\x8A\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xED"],

        ["\x34\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xBE"],
        ["\xE3\x8A\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xEE"],

        ["\x34\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8A\xBF"],
        ["\xE3\x8A\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xEF"],

        ["\x34\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x90"],
        ["\xE2\x97\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xF0"],

        ["\x34\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x91"],
        ["\xE2\x97\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xF1"],

        ["\x34\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x92"],
        ["\xE2\x97\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xF2"],

        ["\x34\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x97\x93"],
        ["\xE2\x97\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xF3"],

        ["\x34\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\xBC"],
        ["\xE2\x80\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xF4"],

        ["\x34\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x81\x87"],
        ["\xE2\x81\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xF5"],

        ["\x34\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x81\x88"],
        ["\xE2\x81\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xF6"],

        ["\x34\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x81\x89"],
        ["\xE2\x81\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xF7"],

        ["\xAA\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x8D"],
        ["\xC7\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x26"],

        ["\xAB\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x8E"],
        ["\xC7\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x26"],

        ["\xAB\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x90"],
        ["\xC7\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x43"],

        ["\x34\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB8\xBE"],
        ["\xE1\xB8\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xF8"],

        ["\x34\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xB8\xBF"],
        ["\xE1\xB8\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xF9"],

        ["\x34\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB8"],
        ["\xC7\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xFA"],

        ["\x34\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xB9"],
        ["\xC7\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xFB"],

        ["\xAA\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x91"],
        ["\xC7\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x55"],

        ["\xAB\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x92"],
        ["\xC7\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x55"],

        ["\xAB\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x94"],
        ["\xC7\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x67"],

        ["\xAB\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x96"],
        ["\xC7\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x70"],

        ["\xAB\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x98"],
        ["\xC7\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x6D"],

        ["\xAB\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x9A"],
        ["\xC7\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x6F"],

        ["\xAB\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x9C"],
        ["\xC7\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x6E"],

        ["\x34\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x82\xAC"],
        ["\xE2\x82\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xFC"],

        ["\x34\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA0"],
        ["\xC2\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xFD"],

        ["\xA2\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA1"],
        ["\xC2\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\x42"],

        ["\xA2\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA4"],
        ["\xC2\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\x70"],

        ["\xA2\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA6"],
        ["\xC2\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\x43"],

        ["\xA2\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xA9"],
        ["\xC2\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\x6D"],

        ["\xA2\x6C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xAA"],
        ["\xC2\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\x6C"],

        ["\x34\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xAB"],
        ["\xC2\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x34\xFE"],

        ["\x35\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xAD"],
        ["\xC2\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xA1"],

        ["\xA2\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xAE"],
        ["\xC2\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\x6E"],

        ["\xA2\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xAF"],
        ["\xC2\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\x34"],

        ["\x35\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB2"],
        ["\xC2\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xA2"],

        ["\x35\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB3"],
        ["\xC2\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xA3"],

        ["\x35\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB7"],
        ["\xC2\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xA4"],

        ["\xA2\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB8"],
        ["\xC2\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\x31"],

        ["\x35\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xB9"],
        ["\xC2\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xA5"],

        ["\xA2\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xBA"],
        ["\xC2\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\x6B"],

        ["\x35\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xBB"],
        ["\xC2\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xA6"],

        ["\x35\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xBC"],
        ["\xC2\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xA7"],

        ["\x35\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xBD"],
        ["\xC2\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xA8"],

        ["\x35\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xBE"],
        ["\xC2\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xA9"],

        ["\xA2\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC2\xBF"],
        ["\xC2\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\x44"],

        ["\xAA\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x80"],
        ["\xC3\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x22"],

        ["\xAA\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x81"],
        ["\xC3\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x21"],

        ["\xAA\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x82"],
        ["\xC3\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x24"],

        ["\xAA\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x83"],
        ["\xC3\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x2A"],

        ["\xAA\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x84"],
        ["\xC3\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x23"],

        ["\xAA\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x85"],
        ["\xC3\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x29"],

        ["\xA9\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x86"],
        ["\xC3\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA9\x21"],

        ["\xAA\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x87"],
        ["\xC3\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x2E"],

        ["\xAA\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x88"],
        ["\xC3\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x32"],

        ["\xAA\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x89"],
        ["\xC3\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x31"],

        ["\xAA\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x8A"],
        ["\xC3\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x34"],

        ["\xAA\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x8B"],
        ["\xC3\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x33"],

        ["\xAA\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x8C"],
        ["\xC3\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x40"],

        ["\xAA\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x8D"],
        ["\xC3\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x3F"],

        ["\xAA\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x8E"],
        ["\xC3\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x42"],

        ["\xAA\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x8F"],
        ["\xC3\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x41"],

        ["\x35\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x90"],
        ["\xC3\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xAA"],

        ["\xAA\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x91"],
        ["\xC3\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x50"],

        ["\xAA\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x92"],
        ["\xC3\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x52"],

        ["\xAA\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x93"],
        ["\xC3\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x51"],

        ["\xAA\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x94"],
        ["\xC3\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x54"],

        ["\xAA\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x95"],
        ["\xC3\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x58"],

        ["\xAA\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x96"],
        ["\xC3\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x53"],

        ["\xA9\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x98"],
        ["\xC3\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA9\x2C"],

        ["\xAA\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x99"],
        ["\xC3\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x63"],

        ["\xAA\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x9A"],
        ["\xC3\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x62"],

        ["\xAA\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x9B"],
        ["\xC3\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x65"],

        ["\xAA\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x9C"],
        ["\xC3\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x64"],

        ["\xAA\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x9D"],
        ["\xC3\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x72"],

        ["\xA9\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x9E"],
        ["\xC3\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA9\x30"],

        ["\xA9\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\x9F"],
        ["\xC3\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA9\x4E"],

        ["\xAB\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA0"],
        ["\xC3\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x22"],

        ["\xAB\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA1"],
        ["\xC3\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x21"],

        ["\xAB\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA2"],
        ["\xC3\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x24"],

        ["\xAB\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA3"],
        ["\xC3\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x2A"],

        ["\xAB\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA4"],
        ["\xC3\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x23"],

        ["\xAB\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA5"],
        ["\xC3\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x29"],

        ["\xA9\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA6"],
        ["\xC3\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA9\x41"],

        ["\xAB\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA7"],
        ["\xC3\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x2E"],

        ["\xAB\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA8"],
        ["\xC3\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x32"],

        ["\xAB\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA9"],
        ["\xC3\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x31"],

        ["\xAB\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xAA"],
        ["\xC3\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x34"],

        ["\xAB\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xAB"],
        ["\xC3\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x33"],

        ["\xAB\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xAC"],
        ["\xC3\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x40"],

        ["\xAB\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xAD"],
        ["\xC3\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x3F"],

        ["\xAB\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xAE"],
        ["\xC3\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x42"],

        ["\xAB\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xAF"],
        ["\xC3\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x41"],

        ["\xA9\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB0"],
        ["\xC3\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA9\x43"],

        ["\xAB\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB1"],
        ["\xC3\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x50"],

        ["\xAB\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB2"],
        ["\xC3\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x52"],

        ["\xAB\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB3"],
        ["\xC3\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x51"],

        ["\xAB\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB4"],
        ["\xC3\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x54"],

        ["\xAB\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB5"],
        ["\xC3\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x58"],

        ["\xAB\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB6"],
        ["\xC3\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x53"],

        ["\xA9\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB8"],
        ["\xC3\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA9\x4C"],

        ["\xAB\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xB9"],
        ["\xC3\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x63"],

        ["\xAB\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xBA"],
        ["\xC3\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x62"],

        ["\xAB\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xBB"],
        ["\xC3\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x65"],

        ["\xAB\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xBC"],
        ["\xC3\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x64"],

        ["\xAB\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xBD"],
        ["\xC3\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x72"],

        ["\xA9\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xBE"],
        ["\xC3\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA9\x50"],

        ["\xAB\x73",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xBF"],
        ["\xC3\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x73"],

        ["\xAA\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x80"],
        ["\xC4\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x27"],

        ["\xAA\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xAA"],
        ["\xC4\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x45"],

        ["\xAA\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xAA"],
        ["\xC5\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x69"],

        ["\xAA\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x92"],
        ["\xC4\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x37"],

        ["\xAA\x57",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x8C"],
        ["\xC5\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x57"],

        ["\xAB\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x81"],
        ["\xC4\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x27"],

        ["\xAB\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xAB"],
        ["\xC4\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x45"],

        ["\xAB\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xAB"],
        ["\xC5\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x69"],

        ["\xAB\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x93"],
        ["\xC4\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x37"],

        ["\xAB\x57",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x8D"],
        ["\xC5\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x57"],

        ["\xAA\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x84"],
        ["\xC4\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x28"],

        ["\xA2\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x98"],
        ["\xCB\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\x2F"],

        ["\xA9\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x81"],
        ["\xC5\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA9\x28"],

        ["\xAA\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xBD"],
        ["\xC4\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x4B"],

        ["\xAA\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x9A"],
        ["\xC5\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x5C"],

        ["\xAA\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA0"],
        ["\xC5\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x5E"],

        ["\xAA\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x9E"],
        ["\xC5\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x5F"],

        ["\xAA\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA4"],
        ["\xC5\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x60"],

        ["\xAA\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB9"],
        ["\xC5\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x75"],

        ["\xAA\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xBD"],
        ["\xC5\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x76"],

        ["\xAA\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xBB"],
        ["\xC5\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x77"],

        ["\xAB\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x85"],
        ["\xC4\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x28"],

        ["\xA2\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x9B"],
        ["\xCB\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\x35"],

        ["\xA9\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x82"],
        ["\xC5\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA9\x48"],

        ["\xAB\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xBE"],
        ["\xC4\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x4B"],

        ["\xAB\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x9B"],
        ["\xC5\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x5C"],

        ["\xA2\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x87"],
        ["\xCB\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\x30"],

        ["\xAB\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA1"],
        ["\xC5\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x5E"],

        ["\xAB\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x9F"],
        ["\xC5\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x5F"],

        ["\xAB\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA5"],
        ["\xC5\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x60"],

        ["\xAB\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xBA"],
        ["\xC5\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x75"],

        ["\xA2\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x9D"],
        ["\xCB\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\x33"],

        ["\xAB\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xBE"],
        ["\xC5\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x76"],

        ["\xAB\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xBC"],
        ["\xC5\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x77"],

        ["\xAA\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x94"],
        ["\xC5\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x59"],

        ["\xAA\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x82"],
        ["\xC4\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x25"],

        ["\xAA\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB9"],
        ["\xC4\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x4A"],

        ["\xAA\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x86"],
        ["\xC4\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x2B"],

        ["\xAA\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x8C"],
        ["\xC4\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x2D"],

        ["\xAA\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x98"],
        ["\xC4\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x38"],

        ["\xAA\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x9A"],
        ["\xC4\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x35"],

        ["\xAA\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x8E"],
        ["\xC4\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x30"],

        ["\xAA\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x83"],
        ["\xC5\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x4D"],

        ["\xAA\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x87"],
        ["\xC5\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x4E"],

        ["\xAA\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x90"],
        ["\xC5\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x56"],

        ["\xAA\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x98"],
        ["\xC5\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x5A"],

        ["\xAA\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xAE"],
        ["\xC5\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x6B"],

        ["\xAA\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB0"],
        ["\xC5\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x68"],

        ["\xAA\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA2"],
        ["\xC5\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x61"],

        ["\xAB\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x95"],
        ["\xC5\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x59"],

        ["\xAB\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x83"],
        ["\xC4\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x25"],

        ["\xAB\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xBA"],
        ["\xC4\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x4A"],

        ["\xAB\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x87"],
        ["\xC4\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x2B"],

        ["\xAB\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x8D"],
        ["\xC4\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x2D"],

        ["\xAB\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x99"],
        ["\xC4\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x38"],

        ["\xAB\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x9B"],
        ["\xC4\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x35"],

        ["\xAB\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x8F"],
        ["\xC4\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x30"],

        ["\xA9\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x91"],
        ["\xC4\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA9\x42"],

        ["\xAB\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x84"],
        ["\xC5\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x4D"],

        ["\xAB\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x88"],
        ["\xC5\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x4E"],

        ["\xAB\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x91"],
        ["\xC5\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x56"],

        ["\xAB\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x99"],
        ["\xC5\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x5A"],

        ["\xAB\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xAF"],
        ["\xC5\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x6B"],

        ["\xAB\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xB1"],
        ["\xC5\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x68"],

        ["\xAB\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xA3"],
        ["\xC5\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x61"],

        ["\xA2\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x99"],
        ["\xCB\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA2\x32"],

        ["\xAA\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x88"],
        ["\xC4\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x2C"],

        ["\xAA\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x9C"],
        ["\xC4\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x3A"],

        ["\xAA\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA4"],
        ["\xC4\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x3E"],

        ["\xAA\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB4"],
        ["\xC4\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x48"],

        ["\xAA\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x9C"],
        ["\xC5\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x5D"],

        ["\xAA\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xAC"],
        ["\xC5\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAA\x66"],

        ["\xAB\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x89"],
        ["\xC4\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x2C"],

        ["\xAB\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\x9D"],
        ["\xC4\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x3A"],

        ["\xAB\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA5"],
        ["\xC4\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x3E"],

        ["\xAB\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xB5"],
        ["\xC4\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x48"],

        ["\xAB\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x9D"],
        ["\xC5\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x5D"],

        ["\xAB\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\xAD"],
        ["\xC5\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xAB\x66"],

        ["\x35\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB1"],
        ["\xC9\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xAB"],

        ["\x35\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x8B"],
        ["\xCA\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xAC"],

        ["\x35\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xBE"],
        ["\xC9\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xAD"],

        ["\x35\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x83"],
        ["\xCA\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xAE"],

        ["\x35\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x92"],
        ["\xCA\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xAF"],

        ["\x35\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xAC"],
        ["\xC9\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xB0"],

        ["\x35\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xAE"],
        ["\xC9\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xB1"],

        ["\x35\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB9"],
        ["\xC9\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xB2"],

        ["\x35\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x88"],
        ["\xCA\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xB3"],

        ["\x35\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x96"],
        ["\xC9\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xB4"],

        ["\x35\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB3"],
        ["\xC9\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xB5"],

        ["\x35\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xBD"],
        ["\xC9\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xB6"],

        ["\x35\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x82"],
        ["\xCA\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xB7"],

        ["\x35\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x90"],
        ["\xCA\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xB8"],

        ["\x35\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xBB"],
        ["\xC9\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xB9"],

        ["\x35\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xAD"],
        ["\xC9\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xBA"],

        ["\x35\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x9F"],
        ["\xC9\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xBB"],

        ["\x35\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB2"],
        ["\xC9\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xBC"],

        ["\x35\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x9D"],
        ["\xCA\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xBD"],

        ["\x35\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x8E"],
        ["\xCA\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xBE"],

        ["\x35\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA1"],
        ["\xC9\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xBF"],

        ["\xA9\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x8B"],
        ["\xC5\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA9\x4B"],

        ["\x35\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB0"],
        ["\xC9\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xC0"],

        ["\x35\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x81"],
        ["\xCA\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xC1"],

        ["\xA9\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC4\xA7"],
        ["\xC4\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA9\x44"],

        ["\x35\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x95"],
        ["\xCA\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xC2"],

        ["\x35\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x94"],
        ["\xCA\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xC3"],

        ["\x35\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA6"],
        ["\xC9\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xC4"],

        ["\x35\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x98"],
        ["\xCA\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xC5"],

        ["\x35\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\x82"],
        ["\xC7\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xC6"],

        ["\x35\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x93"],
        ["\xC9\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xC7"],

        ["\x35\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x97"],
        ["\xC9\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xC8"],

        ["\x35\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x84"],
        ["\xCA\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xC9"],

        ["\x35\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA0"],
        ["\xC9\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xCA"],

        ["\x35\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC6\x93"],
        ["\xC6\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xCB"],

        ["\xA9\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x93"],
        ["\xC5\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA9\x4D"],

        ["\xA9\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC5\x92"],
        ["\xC5\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xA9\x2D"],

        ["\x35\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA8"],
        ["\xC9\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xCC"],

        ["\x35\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x89"],
        ["\xCA\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xCD"],

        ["\x35\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x98"],
        ["\xC9\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xCE"],

        ["\x35\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xB5"],
        ["\xC9\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xCF"],

        ["\x35\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x99"],
        ["\xC9\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xD0"],

        ["\x35\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x9C"],
        ["\xC9\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xD1"],

        ["\x35\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x9E"],
        ["\xC9\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xD2"],

        ["\x35\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x90"],
        ["\xC9\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xD3"],

        ["\x35\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xAF"],
        ["\xC9\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xD4"],

        ["\x35\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x8A"],
        ["\xCA\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xD5"],

        ["\x35\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA4"],
        ["\xC9\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xD6"],

        ["\x35\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x8C"],
        ["\xCA\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xD7"],

        ["\x35\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x94"],
        ["\xC9\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xD8"],

        ["\x35\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x91"],
        ["\xC9\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xD9"],

        ["\x35\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x92"],
        ["\xC9\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xDA"],

        ["\x35\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x8D"],
        ["\xCA\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xDB"],

        ["\x35\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA5"],
        ["\xC9\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xDC"],

        ["\x35\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA2"],
        ["\xCA\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xDD"],

        ["\x35\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\xA1"],
        ["\xCA\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xDE"],

        ["\x35\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x95"],
        ["\xC9\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xDF"],

        ["\x35\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x91"],
        ["\xCA\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xE0"],

        ["\x35\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xBA"],
        ["\xC9\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xE1"],

        ["\x35\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\xA7"],
        ["\xC9\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xE2"],

        ["\x35\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x9A"],
        ["\xC9\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xE3"],

        ["\x35\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC3\xA6\xCC\x80"],
        ["\xC3\xA6\xCC\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xE4"],

        ["\x35\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC7\xBD"],
        ["\xC7\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xE5"],

        ["\x35\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xBD\xB0"],
        ["\xE1\xBD\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xE6"],

        ["\x35\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xBD\xB1"],
        ["\xE1\xBD\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xE7"],

        ["\x35\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x94\xCC\x80"],
        ["\xC9\x94\xCC\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xE8"],

        ["\x35\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x94\xCC\x81"],
        ["\xC9\x94\xCC\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xE9"],

        ["\x35\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x8C\xCC\x80"],
        ["\xCA\x8C\xCC\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xEA"],

        ["\x35\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCA\x8C\xCC\x81"],
        ["\xCA\x8C\xCC\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xEB"],

        ["\x35\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x99\xCC\x80"],
        ["\xC9\x99\xCC\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xEC"],

        ["\x35\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x99\xCC\x81"],
        ["\xC9\x99\xCC\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xED"],

        ["\x35\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x9A\xCC\x80"],
        ["\xC9\x9A\xCC\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xEE"],

        ["\x35\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xC9\x9A\xCC\x81"],
        ["\xC9\x9A\xCC\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xEF"],

        ["\x35\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xBD\xB2"],
        ["\xE1\xBD\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xF0"],

        ["\x35\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE1\xBD\xB3"],
        ["\xE1\xBD\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xF1"],

        ["\x35\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCD\xA1"],
        ["\xCD\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xF2"],

        ["\x35\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x88"],
        ["\xCB\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xF3"],

        ["\x35\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x8C"],
        ["\xCB\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xF4"],

        ["\x35\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x90"],
        ["\xCB\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xF5"],

        ["\x35\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x91"],
        ["\xCB\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xF6"],

        ["\x35\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x86"],
        ["\xCC\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xF7"],

        ["\x35\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x80\xBF"],
        ["\xE2\x80\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xF8"],

        ["\x35\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x8B"],
        ["\xCC\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xF9"],

        ["\x35\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x81"],
        ["\xCC\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xFA"],

        ["\x35\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x84"],
        ["\xCC\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xFB"],

        ["\x35\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x80"],
        ["\xCC\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xFC"],

        ["\x35\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x8F"],
        ["\xCC\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xFD"],

        ["\x35\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x8C"],
        ["\xCC\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x35\xFE"],

        ["\x36\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x82"],
        ["\xCC\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xA1"],

        ["\x36\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA5"],
        ["\xCB\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xA2"],

        ["\x36\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA6"],
        ["\xCB\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xA3"],

        ["\x36\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA7"],
        ["\xCB\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xA4"],

        ["\x36\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA8"],
        ["\xCB\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xA5"],

        ["\x36\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA9"],
        ["\xCB\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xA6"],

        ["\x36\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA9\xCB\xA5"],
        ["\xCB\xA9\xCB\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xA7"],

        ["\x36\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\xA5\xCB\xA9"],
        ["\xCB\xA5\xCB\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xA8"],

        ["\x36\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA5"],
        ["\xCC\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xA9"],

        ["\x36\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xAC"],
        ["\xCC\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xAA"],

        ["\x36\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB9"],
        ["\xCC\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xAB"],

        ["\x36\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x9C"],
        ["\xCC\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xAC"],

        ["\x36\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x9F"],
        ["\xCC\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xAD"],

        ["\x36\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA0"],
        ["\xCC\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xAE"],

        ["\x36\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x88"],
        ["\xCC\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xAF"],

        ["\x36\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xBD"],
        ["\xCC\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xB0"],

        ["\x36\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA9"],
        ["\xCC\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xB1"],

        ["\x36\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xAF"],
        ["\xCC\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xB2"],

        ["\x36\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCB\x9E"],
        ["\xCB\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xB3"],

        ["\x36\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xA4"],
        ["\xCC\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xB4"],

        ["\x36\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB0"],
        ["\xCC\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xB5"],

        ["\x36\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xBC"],
        ["\xCC\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xB6"],

        ["\x36\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xB4"],
        ["\xCC\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xB7"],

        ["\x36\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x9D"],
        ["\xCC\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xB8"],

        ["\x36\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x9E"],
        ["\xCC\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xB9"],

        ["\x36\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x98"],
        ["\xCC\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xBA"],

        ["\x36\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x99"],
        ["\xCC\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xBB"],

        ["\x36\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xAA"],
        ["\xCC\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xBC"],

        ["\x36\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xBA"],
        ["\xCC\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xBD"],

        ["\x36\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\xBB"],
        ["\xCC\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xBE"],

        ["\x36\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x83"],
        ["\xCC\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xBF"],

        ["\x36\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xCC\x9A"],
        ["\xCC\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xC0"],

        ["\x36\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D\xB6"],
        ["\xE2\x9D\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xC1"],

        ["\x36\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D\xB7"],
        ["\xE2\x9D\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xC2"],

        ["\x36\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D\xB8"],
        ["\xE2\x9D\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xC3"],

        ["\x36\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D\xB9"],
        ["\xE2\x9D\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xC4"],

        ["\x36\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D\xBA"],
        ["\xE2\x9D\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xC5"],

        ["\x36\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D\xBB"],
        ["\xE2\x9D\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xC6"],

        ["\x36\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D\xBC"],
        ["\xE2\x9D\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xC7"],

        ["\x36\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D\xBD"],
        ["\xE2\x9D\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xC8"],

        ["\x36\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D\xBE"],
        ["\xE2\x9D\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xC9"],

        ["\x36\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D\xBF"],
        ["\xE2\x9D\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xCA"],

        ["\x36\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xAB"],
        ["\xE2\x93\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xCB"],

        ["\x36\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xAC"],
        ["\xE2\x93\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xCC"],

        ["\x36\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xAD"],
        ["\xE2\x93\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xCD"],

        ["\x36\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xAE"],
        ["\xE2\x93\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xCE"],

        ["\x36\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xAF"],
        ["\xE2\x93\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xCF"],

        ["\x36\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xB0"],
        ["\xE2\x93\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xD0"],

        ["\x36\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xB1"],
        ["\xE2\x93\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xD1"],

        ["\x36\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xB2"],
        ["\xE2\x93\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xD2"],

        ["\x36\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xB3"],
        ["\xE2\x93\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xD3"],

        ["\x36\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xB4"],
        ["\xE2\x93\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xD4"],

        ["\x36\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xBA"],
        ["\xE2\x85\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xD5"],

        ["\x36\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xBB"],
        ["\xE2\x85\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xD6"],

        ["\x36\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x90"],
        ["\xE2\x93\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xD7"],

        ["\x36\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x91"],
        ["\xE2\x93\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xD8"],

        ["\x36\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x92"],
        ["\xE2\x93\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xD9"],

        ["\x36\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x93"],
        ["\xE2\x93\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xDA"],

        ["\x36\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x94"],
        ["\xE2\x93\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xDB"],

        ["\x36\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x95"],
        ["\xE2\x93\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xDC"],

        ["\x36\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x96"],
        ["\xE2\x93\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xDD"],

        ["\x36\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x97"],
        ["\xE2\x93\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xDE"],

        ["\x36\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x98"],
        ["\xE2\x93\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xDF"],

        ["\x36\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x99"],
        ["\xE2\x93\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xE0"],

        ["\x36\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x9A"],
        ["\xE2\x93\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xE1"],

        ["\x36\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x9B"],
        ["\xE2\x93\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xE2"],

        ["\x36\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x9C"],
        ["\xE2\x93\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xE3"],

        ["\x36\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x9D"],
        ["\xE2\x93\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xE4"],

        ["\x36\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x9E"],
        ["\xE2\x93\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xE5"],

        ["\x36\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\x9F"],
        ["\xE2\x93\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xE6"],

        ["\x36\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xA0"],
        ["\xE2\x93\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xE7"],

        ["\x36\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xA1"],
        ["\xE2\x93\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xE8"],

        ["\x36\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xA2"],
        ["\xE2\x93\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xE9"],

        ["\x36\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xA3"],
        ["\xE2\x93\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xEA"],

        ["\x36\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xA4"],
        ["\xE2\x93\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xEB"],

        ["\x36\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xA5"],
        ["\xE2\x93\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xEC"],

        ["\x36\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xA6"],
        ["\xE2\x93\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xED"],

        ["\x36\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xA7"],
        ["\xE2\x93\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xEE"],

        ["\x36\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xA8"],
        ["\xE2\x93\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xEF"],

        ["\x36\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x93\xA9"],
        ["\xE2\x93\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xF0"],

        ["\x36\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x90"],
        ["\xE3\x8B\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xF1"],

        ["\x36\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x91"],
        ["\xE3\x8B\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xF2"],

        ["\x36\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x92"],
        ["\xE3\x8B\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xF3"],

        ["\x36\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x93"],
        ["\xE3\x8B\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xF4"],

        ["\x36\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x94"],
        ["\xE3\x8B\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xF5"],

        ["\x36\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x95"],
        ["\xE3\x8B\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xF6"],

        ["\x36\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x96"],
        ["\xE3\x8B\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xF7"],

        ["\x36\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x97"],
        ["\xE3\x8B\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xF8"],

        ["\x36\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x98"],
        ["\xE3\x8B\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xF9"],

        ["\x36\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x99"],
        ["\xE3\x8B\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xFA"],

        ["\x36\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x9A"],
        ["\xE3\x8B\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xFB"],

        ["\x36\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x9B"],
        ["\xE3\x8B\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xFC"],

        ["\x36\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x9C"],
        ["\xE3\x8B\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xFD"],

        ["\x36\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x9D"],
        ["\xE3\x8B\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x36\xFE"],

        ["\x37\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x9E"],
        ["\xE3\x8B\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xA1"],

        ["\x37\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\x9F"],
        ["\xE3\x8B\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xA2"],

        ["\x37\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\xA0"],
        ["\xE3\x8B\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xA3"],

        ["\x37\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\xA1"],
        ["\xE3\x8B\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xA4"],

        ["\x37\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\xA2"],
        ["\xE3\x8B\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xA5"],

        ["\x37\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\xA3"],
        ["\xE3\x8B\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xA6"],

        ["\x37\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\xBA"],
        ["\xE3\x8B\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xA7"],

        ["\x37\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\xA9"],
        ["\xE3\x8B\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xA8"],

        ["\x37\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\xA5"],
        ["\xE3\x8B\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xA9"],

        ["\x37\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\xAD"],
        ["\xE3\x8B\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xAA"],

        ["\x37\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x8B\xAC"],
        ["\xE3\x8B\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xAB"],

        ["\x37\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x81\x91"],
        ["\xE2\x81\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xAC"],

        ["\x37\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x81\x82"],
        ["\xE2\x81\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xAD"],

        ["\x37\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xAA"],
        ["\xE2\x85\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xAE"],

        ["\x37\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x85\xAB"],
        ["\xE2\x85\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xAF"],

        ["\x37\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x9D\x96"],
        ["\xE2\x9D\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xB0"],

        ["\x37\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE2\x98\x9E"],
        ["\xE2\x98\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xB1"],

        ["\x37\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xB1"],
        ["\xE4\xBF\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xB2"],

        ["\x37\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x80\x8B"],
        ["\xF0\xA0\x80\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xB3"],

        ["\x37\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x90\x82"],
        ["\xE3\x90\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xB4"],

        ["\xB0\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xAF"],
        ["\xE4\xB8\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x2C"],

        ["\xB0\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xB0"],
        ["\xE4\xB8\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x2D"],

        ["\xB0\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x8D"],
        ["\xE4\xBA\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x3D"],

        ["\xB0\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xBD"],
        ["\xE4\xBB\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x4F"],

        ["\xB0\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xBF"],
        ["\xE4\xBB\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x51"],

        ["\xB0\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x8B"],
        ["\xE4\xBC\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x56"],

        ["\xB0\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xA0"],
        ["\xE4\xBD\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x5F"],

        ["\xB0\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x88"],
        ["\xE4\xBD\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x68"],

        ["\xB0\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x89"],
        ["\xE4\xBD\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x69"],

        ["\xB0\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x9F"],
        ["\xE4\xBD\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x70"],

        ["\xB0\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xAA"],
        ["\xE4\xBD\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x72"],

        ["\xB0\x73",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xAC"],
        ["\xE4\xBD\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x73"],

        ["\xB0\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xBE"],
        ["\xE4\xBD\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x7B"],

        ["\xB1\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x97"],
        ["\xE4\xBE\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x2A"],

        ["\x37\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xB0"],
        ["\xEF\xA8\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xB5"],

        ["\xB1\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xA0"],
        ["\xE4\xBF\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x42"],

        ["\xB1\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x81"],
        ["\xE5\x80\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x4A"],

        ["\x37\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x82"],
        ["\xE5\x80\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xB6"],

        ["\xB1\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x8E"],
        ["\xE5\x80\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x4F"],

        ["\xB1\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x98"],
        ["\xE5\x80\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x53"],

        ["\xB1\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xA7"],
        ["\xE5\x80\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x59"],

        ["\xB1\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xAE"],
        ["\xE5\x80\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x5A"],

        ["\xB1\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\xBB"],
        ["\xE5\x80\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x76"],

        ["\xB1\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x81"],
        ["\xE5\x81\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x60"],

        ["\xB2\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x8C"],
        ["\xE5\x83\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x36"],

        ["\xB2\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xB2"],
        ["\xE5\x83\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x51"],

        ["\xB2\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x90"],
        ["\xE5\x83\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x38"],

        ["\xB2\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xA6"],
        ["\xE5\x83\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x41"],

        ["\x37\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xB1"],
        ["\xEF\xA8\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xB7"],

        ["\xB2\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x86"],
        ["\xE5\x84\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x4A"],

        ["\xB2\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x83"],
        ["\xE5\x84\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x49"],

        ["\xB2\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x8B"],
        ["\xE5\x84\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x4D"],

        ["\xB2\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x9E"],
        ["\xE5\x84\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x58"],

        ["\xB2\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\xB5"],
        ["\xE5\x84\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x62"],

        ["\x37\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xB2"],
        ["\xEF\xA8\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xB8"],

        ["\xB2\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x95"],
        ["\xE5\x85\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x69"],

        ["\xB2\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\x97"],
        ["\xE5\x85\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x6A"],

        ["\x37\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x92\xB5"],
        ["\xE3\x92\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xB9"],

        ["\x37\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x83"],
        ["\xE5\x87\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xBA"],

        ["\x37\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x8A"],
        ["\xE5\x87\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xBB"],

        ["\xB3\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\x9E"],
        ["\xE5\x87\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x28"],

        ["\xB3\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xA2"],
        ["\xE5\x87\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x29"],

        ["\xB3\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xAE"],
        ["\xE5\x87\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x2B"],

        ["\xB3\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x81"],
        ["\xE5\x88\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x30"],

        ["\x37\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x93\x9B"],
        ["\xE3\x93\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xBC"],

        ["\xB3\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x93"],
        ["\xE5\x88\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x34"],

        ["\xB3\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x89"],
        ["\xE5\x89\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x3F"],

        ["\xB3\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x97"],
        ["\xE5\x89\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x41"],

        ["\xB3\x47",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xA1"],
        ["\xE5\x89\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x47"],

        ["\xB3\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x93"],
        ["\xE5\x8A\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x52"],

        ["\xB3\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x88"],
        ["\xE5\x8B\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x68"],

        ["\x37\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xB3"],
        ["\xEF\xA8\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xBD"],

        ["\xB3\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x8C"],
        ["\xE5\x8B\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x69"],

        ["\x37\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x90"],
        ["\xE5\x8B\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xBE"],

        ["\xB3\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x96"],
        ["\xE5\x8B\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x6D"],

        ["\x37\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xB4"],
        ["\xEF\xA8\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xBF"],

        ["\xB3\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xB0"],
        ["\xE5\x8B\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x76"],

        ["\x37\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xBB"],
        ["\xE5\x8B\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xC0"],

        ["\xB4\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x9C"],
        ["\xE5\x8C\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x26"],

        ["\x37\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xB5"],
        ["\xEF\xA8\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xC1"],

        ["\xB4\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xA1"],
        ["\xE5\x8D\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x3B"],

        ["\xB4\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xA3"],
        ["\xE5\x8D\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x3C"],

        ["\x37\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xBD"],
        ["\xE5\x8D\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xC2"],

        ["\xB4\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\x9D"],
        ["\xE5\x8E\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x4A"],

        ["\x37\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x92"],
        ["\xE5\x90\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xC3"],

        ["\xB4\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xA7"],
        ["\xE5\x90\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x68"],

        ["\xB4\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x8D"],
        ["\xE5\x91\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x72"],

        ["\xB4\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xAB"],
        ["\xE5\x91\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x7A"],

        ["\xB4\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xB4"],
        ["\xE5\x91\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x7D"],

        ["\xB4\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xBF"],
        ["\xE5\x91\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x7E"],

        ["\xB5\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x88"],
        ["\xE5\x92\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x24"],

        ["\xB5\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x96"],
        ["\xE5\x92\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x29"],

        ["\xB5\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xA1"],
        ["\xE5\x92\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x2C"],

        ["\xB5\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\x86"],
        ["\xE5\x93\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x39"],

        ["\xB5\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\x8E"],
        ["\xE5\x94\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x4C"],

        ["\xB5\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\xAB"],
        ["\xE5\x94\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x4F"],

        ["\xB5\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\xB5"],
        ["\xE5\x94\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x51"],

        ["\xB5\x5B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x90"],
        ["\xE5\x95\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x5B"],

        ["\xB5\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x9E"],
        ["\xE5\x95\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x60"],

        ["\xB5\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x81"],
        ["\xE5\x96\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x66"],

        ["\xB5\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x8E"],
        ["\xE5\x96\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x6A"],

        ["\x37\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xB6"],
        ["\xEF\xA8\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xC4"],

        ["\xB5\x73",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\xAD"],
        ["\xE5\x96\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x73"],

        ["\xB5\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x8E"],
        ["\xE5\x97\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x7C"],

        ["\x37\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xB7"],
        ["\xEF\xA8\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xC5"],

        ["\xB6\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\x88"],
        ["\xE5\x98\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x2B"],

        ["\xB6\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\x8E"],
        ["\xE5\x98\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x2E"],

        ["\xB6\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xBB"],
        ["\xE5\x98\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x3A"],

        ["\xB6\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\x89"],
        ["\xE5\x99\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x43"],

        ["\x37\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xB6"],
        ["\xE5\x99\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xC6"],

        ["\xB6\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xA6"],
        ["\xE5\x99\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x4D"],

        ["\x37\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xB8"],
        ["\xEF\xA8\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xC7"],

        ["\xB6\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xAF"],
        ["\xE5\x99\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x50"],

        ["\xB6\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xB1"],
        ["\xE5\x99\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x51"],

        ["\xB6\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xB2"],
        ["\xE5\x99\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x52"],

        ["\xB6\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x99"],
        ["\xE5\x9A\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x5A"],

        ["\xB6\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x9E"],
        ["\xE5\x9A\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x5D"],

        ["\xB6\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xA9"],
        ["\xE5\x9A\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x62"],

        ["\xB6\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xAC"],
        ["\xE5\x9A\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x64"],

        ["\xB6\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xB3"],
        ["\xE5\x9A\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x67"],

        ["\xB6\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x89"],
        ["\xE5\x9B\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x6B"],

        ["\xB6\x6C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x8A"],
        ["\xE5\x9B\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x6C"],

        ["\xB7\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x8A"],
        ["\xE5\x9C\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x26"],

        ["\x37\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x88\xBD"],
        ["\xF0\xA1\x88\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xC8"],

        ["\x37\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xA1"],
        ["\xE5\x9C\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xC9"],

        ["\xB7\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xAF"],
        ["\xE5\x9C\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x36"],

        ["\xB7\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xB3"],
        ["\xE5\x9C\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x37"],

        ["\xB7\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xB4"],
        ["\xE5\x9C\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x38"],

        ["\xB7\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xB0"],
        ["\xE5\x9D\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x49"],

        ["\xB7\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xB7"],
        ["\xE5\x9D\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x4E"],

        ["\xB7\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xBC"],
        ["\xE5\x9D\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x52"],

        ["\xB7\x5B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\x9C"],
        ["\xE5\x9E\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x5B"],

        ["\x37\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x8C\x9B"],
        ["\xF0\xA1\x8C\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xCA"],

        ["\xB7\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\xB8"],
        ["\xE5\x9E\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x65"],

        ["\xB7\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x8F"],
        ["\xE5\x9F\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x6A"],

        ["\xB7\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xA4"],
        ["\xE5\x9F\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x6E"],

        ["\xB7\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xAD"],
        ["\xE5\x9F\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x72"],

        ["\xB7\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xB5"],
        ["\xE5\x9F\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x74"],

        ["\xB7\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xB6"],
        ["\xE5\x9F\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x75"],

        ["\xB7\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xBF"],
        ["\xE5\x9F\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x79"],

        ["\xB7\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x89"],
        ["\xE5\xA0\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x7D"],

        ["\xB8\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xA1"],
        ["\xE5\xA1\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x34"],

        ["\xB8\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xA4"],
        ["\xE5\xA1\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x35"],

        ["\x37\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xB9"],
        ["\xEF\xA8\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xCB"],

        ["\xB8\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xBC"],
        ["\xE5\xA1\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x39"],

        ["\xB8\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x89"],
        ["\xE5\xA2\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x3F"],

        ["\x37\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xBA"],
        ["\xEF\xA8\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xCC"],

        ["\xB8\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xA9"],
        ["\xE5\xA2\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x4C"],

        ["\x37\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x91\xAE"],
        ["\xF0\xA1\x91\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xCD"],

        ["\xB8\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x92"],
        ["\xE5\xA3\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x56"],

        ["\xB8\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x8E"],
        ["\xE5\xA3\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x54"],

        ["\xB8\x57",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x94"],
        ["\xE5\xA3\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x57"],

        ["\xB8\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x9A"],
        ["\xE5\xA3\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x59"],

        ["\x37\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xA0"],
        ["\xE5\xA3\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xCE"],

        ["\xB8\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xA9"],
        ["\xE5\xA3\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x5D"],

        ["\xB8\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x8C"],
        ["\xE5\xA4\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x62"],

        ["\xB8\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x81"],
        ["\xE8\x99\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x66"],

        ["\xB8\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xAD"],
        ["\xE5\xA5\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x7E"],

        ["\xB9\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x8B"],
        ["\xE5\xA6\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x28"],

        ["\xB9\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x92"],
        ["\xE5\xA6\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x2B"],

        ["\xB9\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x83"],
        ["\xE5\xA7\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x3A"],

        ["\xB9\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x92"],
        ["\xE5\xA7\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x3F"],

        ["\xB9\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x9D"],
        ["\xE5\xA7\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x40"],

        ["\xB9\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x93"],
        ["\xE5\xA8\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x52"],

        ["\xB9\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\xA3"],
        ["\xE5\xA8\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x54"],

        ["\xB9\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\xA7"],
        ["\xE5\xA9\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x65"],

        ["\xB9\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\xAD"],
        ["\xE5\xA9\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x66"],

        ["\xB9\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\xB7"],
        ["\xE5\xA9\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x67"],

        ["\xB9\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\xBE"],
        ["\xE5\xA9\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x6A"],

        ["\x37\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\x84"],
        ["\xE5\xAA\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xCF"],

        ["\xB9\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\x9E"],
        ["\xE5\xAA\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x71"],

        ["\xB9\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\xA7"],
        ["\xE5\xAA\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x75"],

        ["\xBA\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\x84"],
        ["\xE5\xAB\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x21"],

        ["\x37\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xA2\xBD"],
        ["\xF0\xA1\xA2\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xD0"],

        ["\xBA\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\x99"],
        ["\xE5\xAC\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x33"],

        ["\xBA\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\xA5"],
        ["\xE5\xAC\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x37"],

        ["\x37\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x9D"],
        ["\xE5\x89\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xD1"],

        ["\x37\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xAE\x9F"],
        ["\xF0\xA0\xAE\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xD2"],

        ["\xBA\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x81"],
        ["\xE5\xAD\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x3A"],

        ["\xBA\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xBD"],
        ["\xE5\xAD\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x44"],

        ["\xBA\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x93"],
        ["\xE5\xAE\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x4E"],

        ["\x37\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x92"],
        ["\xE5\xB0\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xD3"],

        ["\xBA\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xA3"],
        ["\xE5\xB0\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x6D"],

        ["\xBA\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xAB"],
        ["\xE5\xB0\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x70"],

        ["\x37\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x9E\x8D"],
        ["\xE3\x9E\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xD4"],

        ["\xBA\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xA2"],
        ["\xE5\xB1\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x7A"],

        ["\x37\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xBB"],
        ["\xEF\xA8\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xD5"],

        ["\x37\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xBC"],
        ["\xEF\xA8\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xD6"],

        ["\x37\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x9A\xB4"],
        ["\xF0\xA1\x9A\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xD7"],

        ["\xBB\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xBA"],
        ["\xE5\xB1\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x25"],

        ["\xBB\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\x8F"],
        ["\xE5\xB2\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x2C"],

        ["\xBB\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\x9F"],
        ["\xE5\xB2\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x2F"],

        ["\xBB\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xA3"],
        ["\xE5\xB2\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x32"],

        ["\xBB\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xAA"],
        ["\xE5\xB2\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x34"],

        ["\xBB\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\x8B"],
        ["\xE5\xB3\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x3A"],

        ["\x37\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\x90"],
        ["\xE5\xB3\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xD8"],

        ["\xBB\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\x92"],
        ["\xE5\xB3\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x3B"],

        ["\xBB\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\xB4"],
        ["\xE5\xB3\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x41"],

        ["\x37\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB8\xB4"],
        ["\xF0\xA1\xB8\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xD9"],

        ["\x37\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x9F\xA2"],
        ["\xE3\x9F\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xDA"],

        ["\xBB\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x8D"],
        ["\xE5\xB4\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x44"],

        ["\xBB\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\x86"],
        ["\xE5\xB5\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x52"],

        ["\x37\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\x87"],
        ["\xE5\xB5\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xDB"],

        ["\xBB\x57",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\x8A"],
        ["\xE5\xB5\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x57"],

        ["\xBB\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x81"],
        ["\xE5\xB6\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x64"],

        ["\xBB\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xA0"],
        ["\xE5\xB6\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x6F"],

        ["\x37\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xA4"],
        ["\xE5\xB6\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xDC"],

        ["\xBB\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xA7"],
        ["\xE5\xB6\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x70"],

        ["\xBB\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x8B"],
        ["\xE5\xB7\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x78"],

        ["\x37\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\x9E"],
        ["\xE5\x90\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xDD"],

        ["\xD7\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x81"],
        ["\xE5\xBD\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\xBB"],

        ["\x37\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\x93"],
        ["\xE5\x99\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xDE"],

        ["\x37\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xA2"],
        ["\xE5\xB7\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xDF"],

        ["\xBC\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x94"],
        ["\xE5\xB8\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x28"],

        ["\xBC\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x98"],
        ["\xE5\xB8\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x2A"],

        ["\xBC\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x98"],
        ["\xE5\xB9\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x37"],

        ["\xBC\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x9E"],
        ["\xE5\xB9\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x3A"],

        ["\xBC\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xBE"],
        ["\xE5\xBA\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x4E"],

        ["\x37\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA4\xA8"],
        ["\xEF\xA4\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xE0"],

        ["\xBC\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x8B"],
        ["\xE5\xBB\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x52"],

        ["\x37\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xB9"],
        ["\xE5\xBB\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xE1"],

        ["\x37\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x80"],
        ["\xE5\xBC\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xE2"],

        ["\xBC\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x82"],
        ["\xE5\xBC\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x5C"],

        ["\xBC\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x87"],
        ["\xE5\xBC\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x5E"],

        ["\xBC\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x9D"],
        ["\xE5\xBC\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x63"],

        ["\xBC\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xA3"],
        ["\xE5\xBC\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x66"],

        ["\xBC\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xB6"],
        ["\xE5\xBC\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x6E"],

        ["\xBC\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\xBD"],
        ["\xE5\xBC\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x70"],

        ["\xBC\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x80"],
        ["\xE5\xBD\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x72"],

        ["\xBC\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x94"],
        ["\xE5\xBD\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x78"],

        ["\xBC\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x98"],
        ["\xE5\xBD\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x79"],

        ["\xBC\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xA4"],
        ["\xE5\xBD\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x7D"],

        ["\xBD\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xBD"],
        ["\xE5\xBD\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x27"],

        ["\xBD\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x89"],
        ["\xE5\xBE\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x29"],

        ["\xBD\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x9C"],
        ["\xE5\xBE\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x2D"],

        ["\xBD\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xA7"],
        ["\xE5\xBE\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x30"],

        ["\xBD\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xAF"],
        ["\xE5\xBE\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x34"],

        ["\x37\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xB5"],
        ["\xE5\xBE\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xE3"],

        ["\xBD\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x89"],
        ["\xE5\xBF\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x3B"],

        ["\xBD\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xA1"],
        ["\xE5\xBF\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x43"],

        ["\xBD\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xA9"],
        ["\xE5\xBF\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x46"],

        ["\xBD\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x8D"],
        ["\xE6\x80\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x53"],

        ["\xBD\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x94"],
        ["\xE6\x80\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x55"],

        ["\xBD\x57",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x98"],
        ["\xE6\x80\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x57"],

        ["\xBD\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xB3"],
        ["\xE6\x80\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x5C"],

        ["\xBD\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xB5"],
        ["\xE6\x80\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x5D"],

        ["\xBD\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x87"],
        ["\xE6\x81\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x5F"],

        ["\x37\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xBD"],
        ["\xEF\xA8\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xE4"],

        ["\xBD\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x9D"],
        ["\xE6\x82\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x76"],

        ["\xBD\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x9E"],
        ["\xE6\x82\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x77"],

        ["\xBE\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x8B"],
        ["\xE6\x83\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x28"],

        ["\xBE\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x94"],
        ["\xE6\x83\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x2B"],

        ["\xBE\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x9D"],
        ["\xE6\x83\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x2F"],

        ["\xBE\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xB8"],
        ["\xE6\x83\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x35"],

        ["\xBE\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x9C"],
        ["\xE6\x84\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x44"],

        ["\xBE\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xAB"],
        ["\xE6\x84\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x48"],

        ["\x37\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xBE"],
        ["\xEF\xA8\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xE5"],

        ["\xBE\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x8D"],
        ["\xE6\x86\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x60"],

        ["\x37\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8\xBF"],
        ["\xEF\xA8\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xE6"],

        ["\xBE\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xBC"],
        ["\xE6\x86\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x6F"],

        ["\xBE\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xB9"],
        ["\xE6\x86\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x6E"],

        ["\x37\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x80"],
        ["\xEF\xA9\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xE7"],

        ["\xBF\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xA2"],
        ["\xE6\x88\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x2C"],

        ["\x37\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xBE"],
        ["\xE6\x88\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xE8"],

        ["\xBF\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x83"],
        ["\xE6\x89\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x34"],

        ["\xBF\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x96"],
        ["\xE6\x89\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x3C"],

        ["\xBF\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x9A"],
        ["\xE6\x89\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x3D"],

        ["\xBF\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xAF"],
        ["\xE6\x89\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x41"],

        ["\x37\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x85"],
        ["\xE6\x8A\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xE9"],

        ["\xBF\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x84"],
        ["\xE6\x8B\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x51"],

        ["\xBF\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x96"],
        ["\xE6\x8B\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x54"],

        ["\xBF\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xBC"],
        ["\xE6\x8B\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x59"],

        ["\xBF\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x8A"],
        ["\xE6\x8C\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x5D"],

        ["\xBF\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x98"],
        ["\xE6\x8C\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x63"],

        ["\xBF\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xB9"],
        ["\xE6\x8C\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x69"],

        ["\xBF\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x83"],
        ["\xE6\x8D\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x6D"],

        ["\xBF\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xA5"],
        ["\xE6\x8D\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x78"],

        ["\xC0\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xBC"],
        ["\xE6\x8D\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x22"],

        ["\xC0\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xA5"],
        ["\xE6\x8F\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x3F"],

        ["\x37\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xAD"],
        ["\xE6\x8F\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xEA"],

        ["\xC0\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\x90"],
        ["\xE6\x90\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x49"],

        ["\xC0\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\x94"],
        ["\xE6\x90\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x4B"],

        ["\xC0\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xA2"],
        ["\xE6\x90\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x4F"],

        ["\x37\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\xB9"],
        ["\xE6\x91\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xEB"],

        ["\xC0\x5B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\x91"],
        ["\xE6\x91\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x5B"],

        ["\xC0\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\xAD"],
        ["\xE6\x91\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x67"],

        ["\xC0\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xBE"],
        ["\xE6\x92\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x7D"],

        ["\xC0\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\xBF"],
        ["\xE6\x92\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x7E"],

        ["\xC1\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x84"],
        ["\xE6\x93\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x21"],

        ["\xC1\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x8A"],
        ["\xE6\x93\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x23"],

        ["\xC1\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x90"],
        ["\xE6\x93\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x27"],

        ["\xC1\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xB7"],
        ["\xE6\x93\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x32"],

        ["\xC1\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xBB"],
        ["\xE6\x93\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x33"],

        ["\xC1\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xA2"],
        ["\xE6\x94\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x42"],

        ["\xC1\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xA9"],
        ["\xE6\x94\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x44"],

        ["\x37\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x81"],
        ["\xEF\xA9\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xEC"],

        ["\xC1\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xA7"],
        ["\xE6\x95\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x52"],

        ["\xC1\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x9D"],
        ["\xE6\x96\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x5C"],

        ["\x37\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x82"],
        ["\xEF\xA9\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xED"],

        ["\x37\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xBA"],
        ["\xE6\x98\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xEE"],

        ["\xC2\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xA2"],
        ["\xE6\x98\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x23"],

        ["\xC2\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xAB"],
        ["\xE6\x98\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x29"],

        ["\xC2\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xB0"],
        ["\xE6\x98\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x2C"],

        ["\xC2\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xB3"],
        ["\xE6\x98\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x2E"],

        ["\x37\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x88"],
        ["\xE6\x99\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xEF"],

        ["\xC2\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x8C"],
        ["\xE6\x99\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x35"],

        ["\x37\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x87\x84"],
        ["\xF0\xA3\x87\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xF0"],

        ["\x37\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x9A"],
        ["\xE6\x99\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xF1"],

        ["\xC2\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xA1"],
        ["\xE6\x99\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x3E"],

        ["\xC2\x47",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xB7"],
        ["\xE6\x99\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x47"],

        ["\xC2\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xB8"],
        ["\xE6\x99\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x48"],

        ["\xC2\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x8D"],
        ["\xE6\x9A\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x4F"],

        ["\x37\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x83"],
        ["\xEF\xA9\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xF2"],

        ["\xC2\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xBB"],
        ["\xE6\x9A\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x5D"],

        ["\x37\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x86"],
        ["\xE6\x9B\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xF3"],

        ["\xC2\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x88"],
        ["\xE6\x9B\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x62"],

        ["\x37\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAC\xA2"],
        ["\xE3\xAC\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xF4"],

        ["\xC2\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\x9B"],
        ["\xE6\x9B\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x67"],

        ["\xC2\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xA8"],
        ["\xE6\x9B\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x69"],

        ["\xC2\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x93"],
        ["\xE6\x9C\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x71"],

        ["\xC2\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\xB3"],
        ["\xE6\x9C\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x76"],

        ["\xC2\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x87"],
        ["\xE6\x9D\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x79"],

        ["\xC2\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x88"],
        ["\xE6\x9D\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x7A"],

        ["\xC3\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xBB"],
        ["\xE6\x9D\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x26"],

        ["\xC3\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x81"],
        ["\xE6\x9E\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x27"],

        ["\xC3\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x93"],
        ["\xE6\x9E\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x2C"],

        ["\xC3\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x98"],
        ["\xE6\x9E\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x2E"],

        ["\xC3\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x9B"],
        ["\xE6\x9E\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x30"],

        ["\xC3\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xB9"],
        ["\xE6\x9F\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x38"],

        ["\xC3\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x97"],
        ["\xE6\x9F\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x40"],

        ["\x37\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xBC"],
        ["\xE6\x9F\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xF5"],

        ["\xC3\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x9D"],
        ["\xE6\xA0\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x4C"],

        ["\xC3\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xAC"],
        ["\xE6\xA0\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x50"],

        ["\xC3\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xB1"],
        ["\xE6\xA0\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x54"],

        ["\xC3\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x9B"],
        ["\xE6\xA1\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x5F"],

        ["\xC3\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xB2"],
        ["\xE6\xA1\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x65"],

        ["\xC3\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xB5"],
        ["\xE6\xA1\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x66"],

        ["\x37\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x84"],
        ["\xEF\xA9\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xF6"],

        ["\xC3\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xA3"],
        ["\xE6\xA2\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x74"],

        ["\xC3\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xA5"],
        ["\xE6\xA2\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x75"],

        ["\xC3\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xB2"],
        ["\xE6\xA2\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x79"],

        ["\xC4\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x90"],
        ["\xE6\xA3\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x21"],

        ["\xC4\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xA8"],
        ["\xE6\xA3\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x29"],

        ["\xC4\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xAD"],
        ["\xE6\xA3\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x2D"],

        ["\xC4\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xB0"],
        ["\xE6\xA3\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x2E"],

        ["\xC4\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xB1"],
        ["\xE6\xA3\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x2F"],

        ["\xC4\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xBC"],
        ["\xE6\xA3\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x33"],

        ["\xC4\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x8A"],
        ["\xE6\xA4\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x37"],

        ["\xC4\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x89"],
        ["\xE6\xA5\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x44"],

        ["\x37\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x97\x84"],
        ["\xF0\xA3\x97\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xF7"],

        ["\xC4\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xB5"],
        ["\xE6\xA4\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x3F"],

        ["\xC4\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x82"],
        ["\xE6\xA5\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x42"],

        ["\xC4\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x97"],
        ["\xE6\xA5\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x46"],

        ["\xC4\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xA3"],
        ["\xE6\xA5\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x48"],

        ["\xC4\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xA4"],
        ["\xE6\xA5\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x49"],

        ["\xC4\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x80"],
        ["\xE6\xA6\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x55"],

        ["\xC4\x5B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xA5"],
        ["\xE6\xA6\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x5B"],

        ["\xC4\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xAD"],
        ["\xE6\xA6\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x5F"],

        ["\x37\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x8F"],
        ["\xE6\xA7\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xF8"],

        ["\x37\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAE\xB6"],
        ["\xE3\xAE\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xF9"],

        ["\x37\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAF\x83"],
        ["\xE3\xAF\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xFA"],

        ["\x37\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xA9"],
        ["\xE6\xA7\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xFB"],

        ["\x37\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xAA"],
        ["\xE6\xA7\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xFC"],

        ["\xC4\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xB5"],
        ["\xE6\xA7\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x70"],

        ["\x37\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xB6"],
        ["\xE6\xA7\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xFD"],

        ["\xC4\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x8F"],
        ["\xE6\xA8\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x75"],

        ["\xC4\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x95"],
        ["\xE6\xA8\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x77"],

        ["\x37\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x9C\xBF"],
        ["\xF0\xA3\x9C\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x37\xFE"],

        ["\xC5\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xBB"],
        ["\xE6\xA8\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x23"],

        ["\xC5\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xBE"],
        ["\xE6\xA8\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x24"],

        ["\xC5\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x85"],
        ["\xE6\xA9\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x26"],

        ["\xC5\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x90"],
        ["\xE6\xA9\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x2B"],

        ["\xC5\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x96"],
        ["\xE6\xA9\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x2F"],

        ["\xC5\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x9B"],
        ["\xE6\xA9\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x30"],

        ["\x38\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x9D\xA3"],
        ["\xF0\xA3\x9D\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xA1"],

        ["\xC5\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x89"],
        ["\xE6\xAA\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x3B"],

        ["\x38\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x94"],
        ["\xE6\xAA\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xA2"],

        ["\xC5\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x9D"],
        ["\xE6\xAA\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x3F"],

        ["\xC5\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x9E"],
        ["\xE6\xAA\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x40"],

        ["\xC5\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xA5"],
        ["\xE6\xAA\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x42"],

        ["\xC5\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xA7"],
        ["\xE6\xAB\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x56"],

        ["\x38\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB0\x8F"],
        ["\xE3\xB0\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xA3"],

        ["\x38\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA4\x9D"],
        ["\xEF\xA4\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xA4"],

        ["\xC5\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x9B"],
        ["\xE6\xAC\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x66"],

        ["\xC5\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x9E"],
        ["\xE6\xAC\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x67"],

        ["\xC5\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xAC"],
        ["\xE6\xAC\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x6B"],

        ["\xC5\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xB5"],
        ["\xE6\xAC\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x6D"],

        ["\xC5\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x86"],
        ["\xE6\xAD\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x71"],

        ["\xC5\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x96"],
        ["\xE6\xAD\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x75"],

        ["\xC5\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xA0"],
        ["\xE6\xAD\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x78"],

        ["\x38\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xA5"],
        ["\xE6\xAD\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xA5"],

        ["\xC5\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xA7"],
        ["\xE6\xAD\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x79"],

        ["\x38\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xB7"],
        ["\xE6\xAD\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xA6"],

        ["\xC6\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x82"],
        ["\xE6\xAE\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x22"],

        ["\xC6\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xA9"],
        ["\xE6\xAE\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x2B"],

        ["\xC6\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xAD"],
        ["\xE6\xAE\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x2D"],

        ["\x38\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA5\xB0"],
        ["\xEF\xA5\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xA7"],

        ["\x38\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x8F"],
        ["\xE6\xAF\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xA8"],

        ["\x38\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x97"],
        ["\xE6\xAF\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xA9"],

        ["\xC6\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\xBF"],
        ["\xE6\xAF\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x42"],

        ["\xC6\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x85"],
        ["\xE6\xB0\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x45"],

        ["\xC6\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x90"],
        ["\xE6\xB0\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x49"],

        ["\xC6\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\xB3"],
        ["\xE6\xB0\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x52"],

        ["\xC6\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x99"],
        ["\xE6\xB1\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x5E"],

        ["\x38\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xAA"],
        ["\xE6\xB2\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xAA"],

        ["\xC6\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xB4"],
        ["\xE6\xB1\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x64"],

        ["\xC6\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xB6"],
        ["\xE6\xB1\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x65"],

        ["\xC6\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x85"],
        ["\xE6\xB2\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x69"],

        ["\xC6\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x98"],
        ["\xE6\xB2\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x70"],

        ["\xC6\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x9C"],
        ["\xE6\xB2\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x71"],

        ["\x38\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xBB"],
        ["\xE6\xB3\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xAB"],

        ["\xC6\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x86"],
        ["\xE6\xB3\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x77"],

        ["\xC6\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x94"],
        ["\xE6\xB3\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x7D"],

        ["\xC7\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xA0"],
        ["\xE6\xB3\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x23"],

        ["\xC7\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xAB"],
        ["\xE6\xB3\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x26"],

        ["\xC7\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xAE"],
        ["\xE6\xB3\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x28"],

        ["\x38\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xB3\xBE"],
        ["\xF0\xA3\xB3\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xAC"],

        ["\xC7\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x8E"],
        ["\xE6\xB4\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x2E"],

        ["\xC7\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xAE"],
        ["\xE6\xB4\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x37"],

        ["\xC7\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xB1"],
        ["\xE6\xB4\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x39"],

        ["\xC7\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xB9"],
        ["\xE6\xB4\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x3A"],

        ["\xC7\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xBF"],
        ["\xE6\xB4\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x3C"],

        ["\x38\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\x98"],
        ["\xE6\xB5\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xAD"],

        ["\xC7\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xA5"],
        ["\xE6\xB5\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x41"],

        ["\x38\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x85"],
        ["\xEF\xA9\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xAE"],

        ["\xC7\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x82"],
        ["\xE6\xB6\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x46"],

        ["\x38\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x89"],
        ["\xE6\xB6\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xAF"],

        ["\xC7\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x94"],
        ["\xE6\xB6\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x4A"],

        ["\xC7\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\xAA"],
        ["\xE6\xB6\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x4E"],

        ["\xC7\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\xBF"],
        ["\xE6\xB6\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x54"],

        ["\xC7\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x84"],
        ["\xE6\xB7\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x55"],

        ["\xC7\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x96"],
        ["\xE6\xB7\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x5A"],

        ["\x38\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x9A"],
        ["\xE6\xB7\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xB0"],

        ["\xC7\x5B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x9B"],
        ["\xE6\xB7\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x5B"],

        ["\xC7\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x9D"],
        ["\xE6\xB7\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x5C"],

        ["\x38\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x86"],
        ["\xEF\xA9\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xB1"],

        ["\x38\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xB4"],
        ["\xE6\xB8\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xB2"],

        ["\xC7\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x84"],
        ["\xE6\xB9\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x71"],

        ["\xC7\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x9E"],
        ["\xE6\xB9\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x7E"],

        ["\x38\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xAB"],
        ["\xE6\xBA\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xB3"],

        ["\xC8\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xB1"],
        ["\xE6\xBA\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x2E"],

        ["\xC8\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x81"],
        ["\xE6\xBB\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x33"],

        ["\xC8\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x87"],
        ["\xE6\xBB\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x35"],

        ["\xC8\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x8E"],
        ["\xE6\xBB\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x39"],

        ["\x38\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x90"],
        ["\xE6\xBC\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xB4"],

        ["\xC8\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x9A"],
        ["\xE6\xBC\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x48"],

        ["\x38\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x87"],
        ["\xEF\xA9\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xB5"],

        ["\xC8\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xAA"],
        ["\xE6\xBC\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x4C"],

        ["\xC8\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xAF"],
        ["\xE6\xBC\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x4D"],

        ["\xC8\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xB3"],
        ["\xE6\xBC\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x4F"],

        ["\xC8\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x91"],
        ["\xE6\xBD\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x55"],

        ["\xC8\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x99"],
        ["\xE6\xBD\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x59"],

        ["\xC8\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x9E"],
        ["\xE6\xBD\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x5C"],

        ["\xC8\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xA1"],
        ["\xE6\xBD\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x5D"],

        ["\xC8\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xA2"],
        ["\xE6\xBD\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x5E"],

        ["\xC8\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xBE"],
        ["\xE6\xBD\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x62"],

        ["\xC8\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x8C"],
        ["\xE6\xBE\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x67"],

        ["\xC8\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x8D"],
        ["\xE6\xBE\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x68"],

        ["\xC8\x6C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x94"],
        ["\xE6\xBE\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x6C"],

        ["\xC8\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xA0"],
        ["\xE6\xBE\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x70"],

        ["\xC8\x73",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xA7"],
        ["\xE6\xBE\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x73"],

        ["\xC8\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xB6"],
        ["\xE6\xBE\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x79"],

        ["\xC8\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xBC"],
        ["\xE6\xBE\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x7A"],

        ["\xC8\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x87"],
        ["\xE6\xBF\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x7C"],

        ["\xC8\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x8A"],
        ["\xE6\xBF\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x7E"],

        ["\xC9\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xB9"],
        ["\xE6\xBF\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x27"],

        ["\xC9\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xB0"],
        ["\xE6\xBF\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x25"],

        ["\xC9\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x86"],
        ["\xE7\x80\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x2C"],

        ["\xC9\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\x8A"],
        ["\xE7\x81\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x3B"],

        ["\xC9\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\x9D"],
        ["\xE7\x81\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x3F"],

        ["\xC9\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\x9E"],
        ["\xE7\x81\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x40"],

        ["\xC9\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\x8E"],
        ["\xE7\x81\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x41"],

        ["\xC9\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xA4"],
        ["\xE7\x81\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x42"],

        ["\xC9\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xB5"],
        ["\xE7\x81\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x46"],

        ["\xC9\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xA4"],
        ["\xE7\x82\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x52"],

        ["\xC9\x57",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xB7"],
        ["\xE7\x82\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x57"],

        ["\xC9\x5B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x94"],
        ["\xE7\x83\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x5B"],

        ["\xC9\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x98"],
        ["\xE7\x83\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x5E"],

        ["\xC9\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\xA4"],
        ["\xE7\x83\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x60"],

        ["\xC9\x6C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\xAB"],
        ["\xE7\x84\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x6C"],

        ["\xC9\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x9E"],
        ["\xE7\x84\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x6A"],

        ["\xC9\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\xA0"],
        ["\xE7\x84\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x6B"],

        ["\x38\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\xAE"],
        ["\xE7\x84\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xB6"],

        ["\xC9\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\xB0"],
        ["\xE7\x84\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x6F"],

        ["\x38\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x91"],
        ["\xE7\x85\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xB7"],

        ["\x38\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x88"],
        ["\xEF\xA9\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xB8"],

        ["\xC9\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x92"],
        ["\xE7\x85\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x79"],

        ["\xC9\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\xA0"],
        ["\xE7\x85\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x7E"],

        ["\xCA\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\xA8"],
        ["\xE7\x85\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x21"],

        ["\xCA\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x85"],
        ["\xE7\x86\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x24"],

        ["\xCA\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x87"],
        ["\xE7\x86\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x25"],

        ["\xCA\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x92"],
        ["\xE7\x86\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x27"],

        ["\xCA\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\xBA"],
        ["\xE7\x86\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x30"],

        ["\xCA\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x84"],
        ["\xE7\x87\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x34"],

        ["\xCA\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\x80"],
        ["\xE7\x88\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x3E"],

        ["\x38\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\x95"],
        ["\xE7\x88\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xB9"],

        ["\xCA\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x95"],
        ["\xE7\x89\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x55"],

        ["\xCA\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x96"],
        ["\xE7\x89\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x56"],

        ["\x38\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB8\xBF"],
        ["\xE3\xB8\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xBA"],

        ["\xCA\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\x8D"],
        ["\xE7\x8A\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x68"],

        ["\xCA\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\x9B"],
        ["\xE7\x8A\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x6B"],

        ["\x38\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x80"],
        ["\xE7\x8B\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xBB"],

        ["\xCA\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xBB"],
        ["\xE7\x8B\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x7E"],

        ["\x38\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\x9F\xB1"],
        ["\xF0\xA4\x9F\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xBC"],

        ["\xCB\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xA7"],
        ["\xE7\x8C\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x2F"],

        ["\xCB\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xA8"],
        ["\xE7\x8C\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x30"],

        ["\xCB\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\x90"],
        ["\xE7\x8D\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x3A"],

        ["\xCB\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xA6"],
        ["\xE7\x8D\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x42"],

        ["\xCB\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xBC"],
        ["\xE7\x8D\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x4C"],

        ["\xCB\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x95"],
        ["\xE7\x8E\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x55"],

        ["\xCB\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x9F"],
        ["\xE7\x8E\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x5A"],

        ["\xCB\x5B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xA0"],
        ["\xE7\x8E\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x5B"],

        ["\xCB\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xA2"],
        ["\xE7\x8E\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x5C"],

        ["\xCB\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xA6"],
        ["\xE7\x8E\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x5E"],

        ["\xCB\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xAB"],
        ["\xE7\x8E\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x60"],

        ["\xCB\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x8F"],
        ["\xE7\x8F\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x6D"],

        ["\xCB\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x99"],
        ["\xE7\x8F\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x71"],

        ["\xCB\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xA9"],
        ["\xE7\x8F\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x77"],

        ["\xCC\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\x8A"],
        ["\xE7\x90\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x26"],

        ["\xCC\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\x9A"],
        ["\xE7\x90\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x28"],

        ["\xCC\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\x9B"],
        ["\xE7\x90\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x29"],

        ["\x38\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x8A"],
        ["\xEF\xA9\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xBD"],

        ["\xCC\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xA8"],
        ["\xE7\x90\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x2C"],

        ["\xCC\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xAB"],
        ["\xE7\x90\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x2F"],

        ["\xCC\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xAC"],
        ["\xE7\x90\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x30"],

        ["\xCC\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xAF"],
        ["\xE7\x90\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x33"],

        ["\xCC\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xB0"],
        ["\xE7\x90\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x34"],

        ["\xCC\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x84"],
        ["\xE7\x91\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x39"],

        ["\xCC\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x86"],
        ["\xE7\x91\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x3A"],

        ["\xCC\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x87"],
        ["\xE7\x91\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x3B"],

        ["\xCC\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x8B"],
        ["\xE7\x91\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x3C"],

        ["\xCC\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x97"],
        ["\xE7\x91\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x40"],

        ["\xCC\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xAB"],
        ["\xE7\x91\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x46"],

        ["\xCC\x47",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xAD"],
        ["\xE7\x91\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x47"],

        ["\xCC\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x86"],
        ["\xE7\x92\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x4E"],

        ["\xCC\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x87"],
        ["\xE7\x92\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x4F"],

        ["\xCC\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x98"],
        ["\xE7\x92\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x55"],

        ["\xCC\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x9C"],
        ["\xE7\x92\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x58"],

        ["\xCC\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xA3"],
        ["\xE7\x92\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x5C"],

        ["\xCC\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x90"],
        ["\xE7\x92\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x52"],

        ["\xCC\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xA6"],
        ["\xE7\x92\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x5D"],

        ["\xCC\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xA8"],
        ["\xE7\x92\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x5E"],

        ["\xCC\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xA9"],
        ["\xE7\x92\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x5F"],

        ["\xCC\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xB5"],
        ["\xE7\x92\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x66"],

        ["\xCC\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xBF"],
        ["\xE7\x92\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x69"],

        ["\xCC\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\x88"],
        ["\xE7\x93\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x6A"],

        ["\xCC\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\x89"],
        ["\xE7\x93\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x6B"],

        ["\xCC\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\x9A"],
        ["\xE7\x93\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x70"],

        ["\xCC\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xBF"],
        ["\xE7\x93\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x7D"],

        ["\xCD\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\x97"],
        ["\xE7\x94\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x23"],

        ["\xCD\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xB9"],
        ["\xE7\x95\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x3D"],

        ["\xCD\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x92"],
        ["\xE7\x96\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x46"],

        ["\x38\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBD\xB2"],
        ["\xE3\xBD\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xBE"],

        ["\xCD\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x8E"],
        ["\xE7\x97\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x55"],

        ["\xCD\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xA4"],
        ["\xE7\x97\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x5C"],

        ["\xCD\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x80"],
        ["\xE7\x98\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x63"],

        ["\xCD\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x82"],
        ["\xE7\x98\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x64"],

        ["\xCD\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x88"],
        ["\xE7\x98\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x68"],

        ["\xCD\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x95"],
        ["\xE7\x98\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x6E"],

        ["\xCD\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x96"],
        ["\xE7\x98\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x6F"],

        ["\xCD\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x99"],
        ["\xE7\x98\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x70"],

        ["\xCD\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x9E"],
        ["\xE7\x98\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x74"],

        ["\xCD\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xAD"],
        ["\xE7\x98\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x79"],

        ["\xCD\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xB5"],
        ["\xE7\x98\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x7C"],

        ["\xCE\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x83"],
        ["\xE7\x99\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x26"],

        ["\xCE\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x8B"],
        ["\xE7\x99\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x2A"],

        ["\xCE\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xA4"],
        ["\xE7\x99\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x2E"],

        ["\xCE\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xA5"],
        ["\xE7\x99\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x2F"],

        ["\xCE\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xAD"],
        ["\xE7\x99\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x30"],

        ["\xCE\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xAF"],
        ["\xE7\x99\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x32"],

        ["\xCE\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xB1"],
        ["\xE7\x99\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x33"],

        ["\xCE\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x81"],
        ["\xE7\x9A\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x35"],

        ["\xCE\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x9D"],
        ["\xE7\x9A\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x3C"],

        ["\xCE\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xAA"],
        ["\xE7\x9A\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x46"],

        ["\x38\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xB6"],
        ["\xE7\x9A\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xBF"],

        ["\xCE\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x85"],
        ["\xE7\x9B\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x4A"],

        ["\xCE\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x8C"],
        ["\xE7\x9B\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x4D"],

        ["\xCE\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x8E"],
        ["\xE7\x9B\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x4E"],

        ["\xCE\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x94"],
        ["\xE7\x9B\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x4F"],

        ["\xCE\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xA6"],
        ["\xE7\x9B\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x52"],

        ["\xCE\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xB1"],
        ["\xE7\x9B\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x56"],

        ["\xCE\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xBC"],
        ["\xE7\x9B\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x59"],

        ["\xCE\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x8A"],
        ["\xE7\x9C\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x5C"],

        ["\xCE\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x99"],
        ["\xE7\x9C\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x62"],

        ["\xCE\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xB4"],
        ["\xE7\x9C\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x6A"],

        ["\xCE\x6C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xB6"],
        ["\xE7\x9C\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x6C"],

        ["\xCE\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\x8D"],
        ["\xE7\x9D\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x74"],

        ["\xCE\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\x8E"],
        ["\xE7\x9D\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x75"],

        ["\xCE\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\x9C"],
        ["\xE7\x9D\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x7A"],

        ["\xCE\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\x9F"],
        ["\xE7\x9D\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x7C"],

        ["\xCE\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xA2"],
        ["\xE7\x9D\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x7E"],

        ["\xCF\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xBA"],
        ["\xE7\x9D\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x29"],

        ["\xCF\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\x80"],
        ["\xE7\x9E\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x2B"],

        ["\xCF\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\x94"],
        ["\xE7\x9E\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x2F"],

        ["\xCF\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xAA"],
        ["\xE7\x9E\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x36"],

        ["\xCF\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xA0"],
        ["\xE7\x9F\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x44"],

        ["\xCF\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\xAD"],
        ["\xE7\xA0\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x58"],

        ["\x38\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x92\x8E"],
        ["\xF0\xA5\x92\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xC0"],

        ["\xCF\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\x83"],
        ["\xE7\xA1\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x5D"],

        ["\x38\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\x8F"],
        ["\xE7\xA1\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xC1"],

        ["\x38\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\x91"],
        ["\xE7\xA1\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xC2"],

        ["\xCF\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\xA8"],
        ["\xE7\xA1\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x6A"],

        ["\xCF\x6C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\xAE"],
        ["\xE7\xA1\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x6C"],

        ["\x38\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x8B"],
        ["\xEF\xA9\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xC3"],

        ["\xCF\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xB0"],
        ["\xE7\xA2\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x7B"],

        ["\x38\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x94\x8E"],
        ["\xF0\xA5\x94\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xC4"],

        ["\xCF\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xAD"],
        ["\xE7\xA2\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x7A"],

        ["\xD0\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xA4"],
        ["\xE7\xA3\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x2D"],

        ["\xD0\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xB2"],
        ["\xE7\xA3\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x34"],

        ["\xD0\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\x80"],
        ["\xE7\xA4\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x36"],

        ["\xD0\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xB7"],
        ["\xE7\xA3\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x38"],

        ["\xD0\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\x9C"],
        ["\xE7\xA4\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x40"],

        ["\x38\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xAE"],
        ["\xE7\xA4\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xC5"],

        ["\xD0\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xB1"],
        ["\xE7\xA4\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x48"],

        ["\xD0\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xB4"],
        ["\xE7\xA4\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x49"],

        ["\x38\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x8C"],
        ["\xEF\xA9\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xC6"],

        ["\x38\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x8D"],
        ["\xEF\xA9\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xC7"],

        ["\xD0\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x85"],
        ["\xE7\xA5\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x4F"],

        ["\xD0\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x86"],
        ["\xE7\xA5\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x50"],

        ["\x38\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x8E"],
        ["\xEF\xA9\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xC8"],

        ["\x38\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x8F"],
        ["\xEF\xA9\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xC9"],

        ["\x38\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x90"],
        ["\xEF\xA9\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xCA"],

        ["\xD0\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x9C"],
        ["\xE7\xA5\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x58"],

        ["\x38\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x91"],
        ["\xEF\xA9\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xCB"],

        ["\xD0\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\xB9"],
        ["\xE7\xA5\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x5D"],

        ["\x38\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x92"],
        ["\xEF\xA9\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xCC"],

        ["\x38\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x93"],
        ["\xEF\xA9\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xCD"],

        ["\xD0\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x98"],
        ["\xE7\xA6\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x68"],

        ["\xD0\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xB1"],
        ["\xE7\xA6\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x70"],

        ["\xD0\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xB8"],
        ["\xE7\xA6\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x72"],

        ["\xD0\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x88"],
        ["\xE7\xA7\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x77"],

        ["\xD0\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x8A"],
        ["\xE7\xA7\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x78"],

        ["\x38\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x9D\xB1"],
        ["\xF0\xA5\x9D\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xCE"],

        ["\xD0\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x94"],
        ["\xE7\xA7\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x7A"],

        ["\xD0\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x9E"],
        ["\xE7\xA7\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x7E"],

        ["\xD1\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\xAB"],
        ["\xE7\xA7\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x25"],

        ["\xD1\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\xAD"],
        ["\xE7\xA7\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x26"],

        ["\xD1\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x83"],
        ["\xE7\xA8\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x2B"],

        ["\x38\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x94"],
        ["\xEF\xA9\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xCF"],

        ["\xD1\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xB9"],
        ["\xE7\xA8\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x3D"],

        ["\xD1\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x9D"],
        ["\xE7\xA9\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x48"],

        ["\xD1\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xAD"],
        ["\xE7\xA9\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x4E"],

        ["\x38\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x95"],
        ["\xEF\xA9\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xD0"],

        ["\xD1\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x85"],
        ["\xE7\xAA\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x54"],

        ["\xD1\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xA0"],
        ["\xE7\xAA\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x5C"],

        ["\x38\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xA7\x84"],
        ["\xF0\xA5\xA7\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xD1"],

        ["\xD1\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xB3"],
        ["\xE7\xAA\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x5F"],

        ["\xD1\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xBB"],
        ["\xE7\xAA\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x62"],

        ["\xD1\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x8E"],
        ["\xE7\xAB\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x67"],

        ["\xD1\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xBD"],
        ["\xE7\xAB\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x71"],

        ["\x38\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x92"],
        ["\xE7\xAC\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xD2"],

        ["\xD1\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xAD"],
        ["\xE7\xAC\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x7B"],

        ["\x38\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xBB"],
        ["\xE7\xAC\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xD3"],

        ["\xD2\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x87"],
        ["\xE7\xAD\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x27"],

        ["\xD2\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x8E"],
        ["\xE7\xAD\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x28"],

        ["\xD2\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xA0"],
        ["\xE7\xAD\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x2A"],

        ["\xD2\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xAD"],
        ["\xE7\xAD\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x2F"],

        ["\xD2\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xAF"],
        ["\xE7\xAD\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x30"],

        ["\xD2\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xB2"],
        ["\xE7\xAD\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x31"],

        ["\x38\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x96"],
        ["\xEF\xA9\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xD4"],

        ["\xD2\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x97"],
        ["\xE7\xAF\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x4E"],

        ["\xD2\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x99"],
        ["\xE7\xAF\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x4F"],

        ["\xD2\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x81"],
        ["\xE7\xB0\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x5C"],

        ["\xD2\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xB1"],
        ["\xE7\xB0\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x6D"],

        ["\x38\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x9E"],
        ["\xE7\xB0\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xD5"],

        ["\xD2\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xA0"],
        ["\xE7\xB0\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x68"],

        ["\xD2\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xB3"],
        ["\xE7\xB0\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x6E"],

        ["\xD2\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xB6"],
        ["\xE7\xB0\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x70"],

        ["\x38\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x89\xA4"],
        ["\xE4\x89\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xD6"],

        ["\x38\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xB6\xA1"],
        ["\xF0\xA5\xB6\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xD7"],

        ["\xD2\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x99"],
        ["\xE7\xB1\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x79"],

        ["\xD3\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xAD"],
        ["\xE7\xB1\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x25"],

        ["\xD3\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xB9"],
        ["\xE7\xB1\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x29"],

        ["\xD3\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x8F"],
        ["\xE7\xB2\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x2E"],

        ["\xD3\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\x94"],
        ["\xE7\xB2\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x2F"],

        ["\xD3\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xA0"],
        ["\xE7\xB2\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x31"],

        ["\xD3\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xBC"],
        ["\xE7\xB2\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x38"],

        ["\xD3\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x95"],
        ["\xE7\xB3\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x42"],

        ["\xD3\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x99"],
        ["\xE7\xB3\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x44"],

        ["\xD3\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x9D"],
        ["\xE7\xB3\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x46"],

        ["\xD3\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x87"],
        ["\xE7\xB4\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x4C"],

        ["\xD3\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x88"],
        ["\xE7\xB4\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x4D"],

        ["\xD3\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x93"],
        ["\xE7\xB4\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x52"],

        ["\xD3\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x9D"],
        ["\xE7\xB4\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x54"],

        ["\xD3\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xA3"],
        ["\xE7\xB4\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x56"],

        ["\xD3\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xB1"],
        ["\xE7\xB4\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x5A"],

        ["\xD3\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x81"],
        ["\xE7\xB5\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x5F"],

        ["\xD3\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x93"],
        ["\xE7\xB5\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x64"],

        ["\xD3\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xBA"],
        ["\xE7\xB5\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x6F"],

        ["\xD3\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x83"],
        ["\xE7\xB6\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x74"],

        ["\xD3\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x8B"],
        ["\xE7\xB6\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x78"],

        ["\xD4\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xA6"],
        ["\xE7\xB6\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x22"],

        ["\xD4\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x82"],
        ["\xE7\xB7\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x29"],

        ["\xD4\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x8C"],
        ["\xE7\xB7\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x2E"],

        ["\x38\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xA3"],
        ["\xE7\xB7\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xD8"],

        ["\x38\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x97"],
        ["\xEF\xA9\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xD9"],

        ["\xD4\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xA8"],
        ["\xE7\xB8\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x48"],

        ["\xD4\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x88"],
        ["\xE7\xB8\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x3F"],

        ["\xD4\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x91"],
        ["\xE7\xB8\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x41"],

        ["\xD4\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x95"],
        ["\xE7\xB8\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x42"],

        ["\x38\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x99"],
        ["\xEF\xA9\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xDA"],

        ["\xD4\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x87"],
        ["\xE7\xB9\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x51"],

        ["\xD4\x57",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xA1"],
        ["\xE7\xB9\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x57"],

        ["\xD4\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x8D"],
        ["\xE7\xBA\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x64"],

        ["\x38\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x9A"],
        ["\xEF\xA9\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xDB"],

        ["\xD5\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x91"],
        ["\xE7\xBE\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x2A"],

        ["\xD5\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x97"],
        ["\xE7\xBE\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x2C"],

        ["\xD5\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xBF"],
        ["\xE7\xBE\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x35"],

        ["\xD5\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x8E"],
        ["\xE7\xBF\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x39"],

        ["\xD5\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x9B"],
        ["\xE7\xBF\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x3B"],

        ["\xD5\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x9F"],
        ["\xE7\xBF\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x3C"],

        ["\xD5\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xAC"],
        ["\xE7\xBF\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x40"],

        ["\xD5\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xAE"],
        ["\xE7\xBF\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x41"],

        ["\xD5\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xBA"],
        ["\xE7\xBF\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x44"],

        ["\x38\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x9B"],
        ["\xEF\xA9\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xDC"],

        ["\xD5\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x94"],
        ["\xE8\x80\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x50"],

        ["\xD5\x57",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xA6"],
        ["\xE8\x80\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x57"],

        ["\xD5\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xB5"],
        ["\xE8\x80\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x5C"],

        ["\xD5\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xB7"],
        ["\xE8\x80\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x5D"],

        ["\xD5\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xBC"],
        ["\xE8\x80\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x60"],

        ["\x38\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x8A"],
        ["\xE8\x83\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xDD"],

        ["\xD5\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x97"],
        ["\xE8\x83\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x7A"],

        ["\xD5\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xA0"],
        ["\xE8\x83\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x7C"],

        ["\xD6\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xB3"],
        ["\xE8\x83\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x23"],

        ["\xD6\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x98"],
        ["\xE8\x84\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x2C"],

        ["\xD6\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\x8A"],
        ["\xE8\x85\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x39"],

        ["\xD6\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xA0"],
        ["\xE8\x85\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x3D"],

        ["\xD6\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xA7"],
        ["\xE8\x85\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x3F"],

        ["\xD6\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xA8"],
        ["\xE8\x85\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x40"],

        ["\xD6\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xAD"],
        ["\xE8\x85\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x42"],

        ["\xD6\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xBB"],
        ["\xE8\x86\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x54"],

        ["\xD6\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x8A"],
        ["\xE8\x87\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x58"],

        ["\xD6\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x8F"],
        ["\xE8\x87\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x5A"],

        ["\xD6\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x97"],
        ["\xE8\x87\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x5C"],

        ["\x38\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x9C"],
        ["\xEF\xA9\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xDE"],

        ["\x38\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x91\x93"],
        ["\xE4\x91\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xDF"],

        ["\x38\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x91\x9B"],
        ["\xE4\x91\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xE0"],

        ["\xD7\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xA0"],
        ["\xE8\x89\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x27"],

        ["\xD7\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xB4"],
        ["\xE8\x89\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x2B"],

        ["\x38\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xAB\xBF"],
        ["\xF0\xA6\xAB\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xE1"],

        ["\xD7\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\x8E"],
        ["\xE8\x8A\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x36"],

        ["\xD7\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xA1"],
        ["\xE8\x8A\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x3E"],

        ["\xD7\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xA3"],
        ["\xE8\x8A\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x3F"],

        ["\xD7\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xA4"],
        ["\xE8\x8A\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x40"],

        ["\xD7\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xA9"],
        ["\xE8\x8A\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x43"],

        ["\xD7\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xAE"],
        ["\xE8\x8A\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x45"],

        ["\xD7\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xB7"],
        ["\xE8\x8A\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x49"],

        ["\xD7\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xBE"],
        ["\xE8\x8A\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x4C"],

        ["\xD7\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xBF"],
        ["\xE8\x8A\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x4D"],

        ["\xD7\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x86"],
        ["\xE8\x8B\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x4E"],

        ["\xD7\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\x95"],
        ["\xE8\x8B\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x50"],

        ["\xD7\x5B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xBD"],
        ["\xE8\x8B\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x5B"],

        ["\xD7\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xBE"],
        ["\xE8\x8B\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x5C"],

        ["\xD7\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x80"],
        ["\xE8\x8C\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x5D"],

        ["\xD7\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xA2"],
        ["\xE8\x8C\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x69"],

        ["\xD7\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xAD"],
        ["\xE8\x8C\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x6B"],

        ["\xD7\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xBA"],
        ["\xE8\x8C\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x70"],

        ["\xD7\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x83"],
        ["\xE8\x8D\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x74"],

        ["\xD7\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x87"],
        ["\xE8\x8D\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x76"],

        ["\xD7\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x91"],
        ["\xE8\x8D\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x79"],

        ["\xD7\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x95"],
        ["\xE8\x8D\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x7A"],

        ["\xD8\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\xBD"],
        ["\xE8\x8D\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x21"],

        ["\xD8\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x86"],
        ["\xE8\x8E\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x26"],

        ["\xD8\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x92"],
        ["\xE8\x8E\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x28"],

        ["\xD8\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x98"],
        ["\xE8\x8E\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x2B"],

        ["\xD8\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\xA7"],
        ["\xE8\x8E\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x31"],

        ["\xD8\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\xA9"],
        ["\xE8\x8E\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x32"],

        ["\xD8\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\xBF"],
        ["\xE8\x8E\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x35"],

        ["\xD8\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x80"],
        ["\xE8\x8F\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x36"],

        ["\xD8\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x8F"],
        ["\xE8\x8F\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x39"],

        ["\xD8\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x91"],
        ["\xE8\x8F\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x3B"],

        ["\x38\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xA1"],
        ["\xE8\x8F\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xE2"],

        ["\xD8\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xAA"],
        ["\xE8\x8F\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x40"],

        ["\xD8\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x81"],
        ["\xE8\x90\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x45"],

        ["\xD8\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x86"],
        ["\xE8\x90\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x46"],

        ["\xD8\x47",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x8A"],
        ["\xE8\x90\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x47"],

        ["\x38\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x9F"],
        ["\xEF\xA9\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xE3"],

        ["\x38\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x9F"],
        ["\xE8\x91\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xE4"],

        ["\xD8\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xB0"],
        ["\xE8\x91\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x61"],

        ["\xD8\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xB3"],
        ["\xE8\x91\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x62"],

        ["\xD8\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x85"],
        ["\xE8\x92\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x69"],

        ["\xD8\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x9E"],
        ["\xE8\x92\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x6D"],

        ["\xD8\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xAF"],
        ["\xE8\x92\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x72"],

        ["\xD8\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xBA"],
        ["\xE8\x92\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x75"],

        ["\xD8\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x80"],
        ["\xE8\x93\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x78"],

        ["\xD8\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x82"],
        ["\xE8\x93\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x79"],

        ["\x38\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xB9\x80"],
        ["\xF0\xA6\xB9\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xE5"],

        ["\xD9\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xB2"],
        ["\xE8\x94\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x29"],

        ["\xD9\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x9E"],
        ["\xE8\x94\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x34"],

        ["\xD9\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xA3"],
        ["\xE8\x94\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x36"],

        ["\xD9\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xAF"],
        ["\xE8\x94\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x3C"],

        ["\xD9\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xA4"],
        ["\xE8\x95\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x50"],

        ["\xD9\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xAD"],
        ["\xE8\x96\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x74"],

        ["\xD9\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xBA"],
        ["\xE8\x95\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x54"],

        ["\xD9\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x8C"],
        ["\xE8\x96\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x5D"],

        ["\xD9\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x8F"],
        ["\xE8\x96\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x5E"],

        ["\xD9\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xA2"],
        ["\xE8\x96\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x64"],

        ["\xD9\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x8B"],
        ["\xE8\x97\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x72"],

        ["\xD9\x73",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x8E"],
        ["\xE8\x97\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x73"],

        ["\xD9\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xAD"],
        ["\xE8\x97\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x7B"],

        ["\xDA\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x92"],
        ["\xE8\x98\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x29"],

        ["\xDA\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xBF"],
        ["\xE8\x97\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x21"],

        ["\xDA\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x84"],
        ["\xE8\x98\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x23"],

        ["\xDA\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x85"],
        ["\xE8\x98\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x24"],

        ["\xDA\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x90"],
        ["\xE8\x98\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x27"],

        ["\x38\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x83\xB4"],
        ["\xF0\xA7\x83\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xE6"],

        ["\xDA\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x98"],
        ["\xE8\x98\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x2A"],

        ["\xDA\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xA9"],
        ["\xE8\x98\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x30"],

        ["\xDA\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xB8"],
        ["\xE8\x98\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x32"],

        ["\xDA\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x97"],
        ["\xE8\x99\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x3C"],

        ["\x38\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x9B"],
        ["\xE8\x99\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xE7"],

        ["\x38\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA4\xB6"],
        ["\xEF\xA4\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xE8"],

        ["\xDA\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\xA2"],
        ["\xE8\x99\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x42"],

        ["\x38\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x96\x9D"],
        ["\xE4\x96\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xE9"],

        ["\xDA\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\xAC"],
        ["\xE8\x99\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x46"],

        ["\xDA\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\xB5"],
        ["\xE8\x99\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x48"],

        ["\xDA\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x98"],
        ["\xE8\x9A\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x4F"],

        ["\xDA\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xB8"],
        ["\xE8\x9A\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x5C"],

        ["\xDA\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xBA"],
        ["\xE8\x9B\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x6E"],

        ["\xDA\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xBC"],
        ["\xE8\x9B\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x6F"],

        ["\xDA\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xBD"],
        ["\xE8\x9B\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x70"],

        ["\xDA\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x8B"],
        ["\xE8\x9C\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x74"],

        ["\xDB\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xB1"],
        ["\xE8\x9D\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x35"],

        ["\xDB\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\x87"],
        ["\xE8\x9E\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x3C"],

        ["\xDB\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\x88"],
        ["\xE8\x9E\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x3D"],

        ["\xDB\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xAC"],
        ["\xE8\x9E\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x4B"],

        ["\xDB\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xAD"],
        ["\xE8\x9E\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x4C"],

        ["\xDB\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xB5"],
        ["\xE8\x9E\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x4F"],

        ["\x38\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x97\xAA"],
        ["\xE4\x97\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xEA"],

        ["\xDB\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\x96"],
        ["\xE8\x9F\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x58"],

        ["\x38\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xAC"],
        ["\xE8\x9F\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xEB"],

        ["\xDB\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x86"],
        ["\xE8\xA0\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x6A"],

        ["\xDB\x6C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x8A"],
        ["\xE8\xA0\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x6C"],

        ["\xDB\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x90"],
        ["\xE8\xA0\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x6E"],

        ["\xDB\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x94"],
        ["\xE8\xA0\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x72"],

        ["\xDB\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x9F"],
        ["\xE8\xA0\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x78"],

        ["\xDC\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\x98"],
        ["\xE8\xA2\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x39"],

        ["\xDC\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xAA"],
        ["\xE8\xA2\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x40"],

        ["\xDC\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x8A"],
        ["\xE8\xA3\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x45"],

        ["\xDC\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x8E"],
        ["\xE8\xA3\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x49"],

        ["\x38\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x9A\x84"],
        ["\xF0\xA7\x9A\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xEC"],

        ["\x38\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\xA0"],
        ["\xEF\xA9\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xED"],

        ["\xDC\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x98"],
        ["\xE8\xA4\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x5C"],

        ["\xDC\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x99"],
        ["\xE8\xA4\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x5D"],

        ["\xDC\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x9A"],
        ["\xE8\xA4\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x5E"],

        ["\xDC\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\xA7"],
        ["\xE8\xA4\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x62"],

        ["\xDC\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\xB0"],
        ["\xE8\xA4\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x64"],

        ["\xDC\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\xB2"],
        ["\xE8\xA4\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x66"],

        ["\xDC\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\xB9"],
        ["\xE8\xA4\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x68"],

        ["\xDC\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x80"],
        ["\xE8\xA5\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x6B"],

        ["\xDD\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x94"],
        ["\xE8\xA6\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x27"],

        ["\x38\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\xA1"],
        ["\xEF\xA9\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xEE"],

        ["\xDD\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\x94"],
        ["\xE8\xA7\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x34"],

        ["\xDD\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xA5"],
        ["\xE8\xA7\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x39"],

        ["\xDD\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xB6"],
        ["\xE8\xA7\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x3F"],

        ["\xDD\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x95"],
        ["\xE8\xA8\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x4A"],

        ["\xDD\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xA2"],
        ["\xE8\xA8\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x4D"],

        ["\xDD\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x87"],
        ["\xE8\xA9\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x5A"],

        ["\xDD\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x8E"],
        ["\xE8\xA9\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x5D"],

        ["\xDD\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x9D"],
        ["\xE8\xA9\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x63"],

        ["\xDD\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xA1"],
        ["\xE8\xA9\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x64"],

        ["\xDD\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\xB5"],
        ["\xE8\xA9\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x67"],

        ["\x38\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x90"],
        ["\xE8\xAB\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xEF"],

        ["\xDE\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xB4"],
        ["\xE8\xAB\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x33"],

        ["\x38\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\xA2"],
        ["\xEF\xA9\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xF0"],

        ["\x38\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\xA3"],
        ["\xEF\xA9\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xF1"],

        ["\xDE\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x86"],
        ["\xE8\xAD\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x48"],

        ["\xDE\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x94"],
        ["\xE8\xAD\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x4C"],

        ["\xDE\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x99"],
        ["\xE8\xAD\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x4D"],

        ["\x38\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xA9"],
        ["\xE8\xAD\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xF2"],

        ["\x38\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x9D"],
        ["\xE8\xAE\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xF3"],

        ["\xDE\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x89"],
        ["\xE8\xB1\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x68"],

        ["\xDE\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\xA8"],
        ["\xE8\xB1\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x76"],

        ["\x38\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\xA4"],
        ["\xEF\xA9\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xF4"],

        ["\xDF\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xA1"],
        ["\xE8\xB3\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x35"],

        ["\xDF\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xB8"],
        ["\xE8\xB3\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x3D"],

        ["\xDF\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xBE"],
        ["\xE8\xB3\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x3E"],

        ["\x38\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\xA5"],
        ["\xEF\xA9\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xF5"],

        ["\xDF\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x9B"],
        ["\xE8\xB4\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x45"],

        ["\xDF\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\xAF"],
        ["\xE8\xB6\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x58"],

        ["\xDF\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x8E"],
        ["\xE8\xB7\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x64"],

        ["\xDF\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x91"],
        ["\xE8\xB7\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x65"],

        ["\xDF\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x97"],
        ["\xE8\xB7\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x68"],

        ["\xDF\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\xA0"],
        ["\xE8\xB8\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x7C"],

        ["\xE0\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\xA3"],
        ["\xE8\xB8\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\x21"],

        ["\xE0\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\xBD"],
        ["\xE8\xB8\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\x2A"],

        ["\xE0\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\xB0"],
        ["\xE8\xB9\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\x3C"],

        ["\xE0\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9\xBB"],
        ["\xE8\xB9\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\x40"],

        ["\x38\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA8\x89\xB7"],
        ["\xF0\xA8\x89\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xF6"],

        ["\xE0\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\x80"],
        ["\xE8\xBB\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\x54"],

        ["\x38\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA1\x84"],
        ["\xE4\xA1\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xF7"],

        ["\xE0\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB\xBA"],
        ["\xE8\xBB\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\x63"],

        ["\xE0\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\x9E"],
        ["\xE8\xBC\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\x6E"],

        ["\xE0\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xAD"],
        ["\xE8\xBC\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\x76"],

        ["\xE0\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC\xB6"],
        ["\xE8\xBC\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE0\x7A"],

        ["\xE1\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD\x94"],
        ["\xE8\xBD\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\x27"],

        ["\x38\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA8\x8F\x8D"],
        ["\xF0\xA8\x8F\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xF8"],

        ["\xE1\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xA6"],
        ["\xE8\xBE\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\x32"],

        ["\xE1\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE\xB5"],
        ["\xE8\xBE\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\x33"],

        ["\xE1\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xA4"],
        ["\xE8\xBF\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\x43"],

        ["\xE1\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xA8"],
        ["\xE8\xBF\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\x44"],

        ["\xE1\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\xAE"],
        ["\xE8\xBF\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\x45"],

        ["\xE1\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\x88"],
        ["\xE9\x80\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\x4D"],

        ["\xE1\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x80\xAD"],
        ["\xE9\x80\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\x56"],

        ["\x38\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\xA7"],
        ["\xEF\xA9\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xF9"],

        ["\xE1\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x88"],
        ["\xE9\x82\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\x68"],

        ["\xE1\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x95"],
        ["\xE9\x82\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\x6D"],

        ["\xE1\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x97"],
        ["\xE9\x82\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\x6E"],

        ["\xE1\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x99"],
        ["\xE9\x82\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\x70"],

        ["\xE1\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\x9B"],
        ["\xE9\x82\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\x71"],

        ["\xE1\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\xA2"],
        ["\xE9\x82\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\x74"],

        ["\xE1\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\xB3"],
        ["\xE9\x82\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\x78"],

        ["\xE1\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x82\xBE"],
        ["\xE9\x82\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\x7D"],

        ["\xE2\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\x84"],
        ["\xE9\x83\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x21"],

        ["\xE2\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\x85"],
        ["\xE9\x83\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x22"],

        ["\xE2\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\x87"],
        ["\xE9\x83\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x23"],

        ["\xE2\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\x97"],
        ["\xE9\x83\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x26"],

        ["\xE2\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\x9D"],
        ["\xE9\x83\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x2A"],

        ["\xE2\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\xAF"],
        ["\xE9\x83\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x30"],

        ["\xE2\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\xB4"],
        ["\xE9\x83\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x32"],

        ["\xE2\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\x94"],
        ["\xE9\x84\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x3C"],

        ["\xE2\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\x96"],
        ["\xE9\x84\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x3D"],

        ["\xE2\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\xA2"],
        ["\xE9\x84\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x45"],

        ["\xE2\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\xA3"],
        ["\xE9\x84\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x46"],

        ["\xE2\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\xAF"],
        ["\xE9\x84\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x4A"],

        ["\xE2\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\xB1"],
        ["\xE9\x84\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x4B"],

        ["\xE2\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\xB4"],
        ["\xE9\x84\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x4C"],

        ["\xE2\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x84\xBD"],
        ["\xE9\x84\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x52"],

        ["\xE2\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x88"],
        ["\xE9\x85\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x55"],

        ["\xE2\x5B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x85\x9B"],
        ["\xE9\x85\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x5B"],

        ["\xE2\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\x83"],
        ["\xE9\x86\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x65"],

        ["\xE2\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\x9E"],
        ["\xE9\x86\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x6F"],

        ["\xE2\x73",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xAC"],
        ["\xE9\x86\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x73"],

        ["\xE2\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xB1"],
        ["\xE9\x86\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x77"],

        ["\xE2\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x86\xBC"],
        ["\xE9\x86\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x7C"],

        ["\xE3\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xBB"],
        ["\xE9\x87\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x36"],

        ["\xE3\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x87\xB1"],
        ["\xE9\x87\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x33"],

        ["\xE3\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\x87"],
        ["\xE9\x88\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x3D"],

        ["\xE3\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x88\xB8"],
        ["\xE9\x88\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x53"],

        ["\xE3\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x83"],
        ["\xE9\x89\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x5A"],

        ["\xE3\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x8F"],
        ["\xE9\x89\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x60"],

        ["\xE4\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\x82"],
        ["\xE9\x8B\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x34"],

        ["\xE4\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\x8B"],
        ["\xE9\x8B\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x3A"],

        ["\xE4\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8B\x8C"],
        ["\xE9\x8B\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x3B"],

        ["\x38\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\x84"],
        ["\xE9\x8C\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xFA"],

        ["\xE4\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8C\x9F"],
        ["\xE9\x8C\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x5D"],

        ["\xE4\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\x89"],
        ["\xE9\x8D\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x6A"],

        ["\x38\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\x8A"],
        ["\xE9\x8D\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xFB"],

        ["\xE4\x73",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\xA4"],
        ["\xE9\x8D\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x73"],

        ["\xE4\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\xA5"],
        ["\xE9\x8D\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x74"],

        ["\xE4\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8D\xAA"],
        ["\xE9\x8D\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE4\x77"],

        ["\xE5\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\x9B"],
        ["\xE9\x8E\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\x2F"],

        ["\xE5\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\xA3"],
        ["\xE9\x8E\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\x32"],

        ["\xE5\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\xBA"],
        ["\xE9\x8E\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\x3A"],

        ["\xE5\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\x9F"],
        ["\xE9\x8F\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\x4A"],

        ["\xE5\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\x84"],
        ["\xE9\x90\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\x56"],

        ["\xE5\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\xBD"],
        ["\xE9\x8F\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\x53"],

        ["\xE5\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x90\xB3"],
        ["\xE9\x90\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\x64"],

        ["\xE5\x6C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\x8A"],
        ["\xE9\x91\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\x6C"],

        ["\xE5\x73",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xA3"],
        ["\xE9\x91\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\x73"],

        ["\xE5\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xAB"],
        ["\xE9\x91\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\x75"],

        ["\xE5\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xB1"],
        ["\xE9\x91\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\x79"],

        ["\xE5\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x91\xB2"],
        ["\xE9\x91\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\x7A"],

        ["\xE6\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x8E"],
        ["\xE9\x96\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x26"],

        ["\xE6\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x9F"],
        ["\xE9\x96\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x29"],

        ["\xE6\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xA6"],
        ["\xE9\x96\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x2B"],

        ["\xE6\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xA9"],
        ["\xE9\x96\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x2C"],

        ["\xE6\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xAC"],
        ["\xE9\x96\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x2E"],

        ["\xE6\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xB6"],
        ["\xE9\x96\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x30"],

        ["\xE6\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\xBD"],
        ["\xE9\x96\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x32"],

        ["\xE6\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x8B"],
        ["\xE9\x97\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x37"],

        ["\xE6\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x90"],
        ["\xE9\x97\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x38"],

        ["\xE6\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x93"],
        ["\xE9\x97\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x3B"],

        ["\x38\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA6\xB0"],
        ["\xE4\xA6\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xFC"],

        ["\xE6\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x9A"],
        ["\xE9\x97\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x3D"],

        ["\xE6\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x97\x9E"],
        ["\xE9\x97\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x3F"],

        ["\xE6\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x99\x98"],
        ["\xE9\x99\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x58"],

        ["\xE6\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x84"],
        ["\xE9\x9A\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x63"],

        ["\xE6\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xA4"],
        ["\xE9\x9A\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x6A"],

        ["\xE6\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\xA5"],
        ["\xE9\x9A\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x6B"],

        ["\xE6\x73",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x92"],
        ["\xE9\x9B\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x73"],

        ["\xE6\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x9E"],
        ["\xE9\x9B\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x78"],

        ["\x38\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\xA8"],
        ["\xEF\xA9\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xFD"],

        ["\xE6\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xA9"],
        ["\xE9\x9B\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x7A"],

        ["\xE6\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\xAF"],
        ["\xE9\x9B\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x7B"],

        ["\xE7\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x8E"],
        ["\xE9\x9D\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x30"],

        ["\xE7\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x9A"],
        ["\xE9\x9D\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x35"],

        ["\xE7\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xAE"],
        ["\xE9\x9D\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x3A"],

        ["\xE7\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xB3"],
        ["\xE9\x9D\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x3B"],

        ["\xE7\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\x95"],
        ["\xE9\x9E\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x44"],

        ["\xE7\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\xAE"],
        ["\xE9\x9E\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x4D"],

        ["\xE7\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9E\xBA"],
        ["\xE9\x9E\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x54"],

        ["\xE7\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\x81"],
        ["\xE9\x9F\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x58"],

        ["\xE7\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\x89"],
        ["\xE9\x9F\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x5C"],

        ["\xE7\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\x9E"],
        ["\xE9\x9F\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x68"],

        ["\xE7\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\x9B"],
        ["\xE9\x9F\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x6A"],

        ["\xE7\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\xB4"],
        ["\xE9\x9F\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x6F"],

        ["\x38\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\xA9"],
        ["\xEF\xA9\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x38\xFE"],

        ["\xE7\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x8A"],
        ["\xE9\xA0\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x74"],

        ["\xE7\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x9E"],
        ["\xE9\xA0\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x7B"],

        ["\xE8\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xAB"],
        ["\xE9\xA0\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\x21"],

        ["\xE8\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xB0"],
        ["\xE9\xA0\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\x24"],

        ["\x39\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\xAA"],
        ["\xEF\xA9\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xA1"],

        ["\xE8\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x92"],
        ["\xE9\xA1\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\x2E"],

        ["\xE8\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x93"],
        ["\xE9\xA1\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\x2F"],

        ["\xE8\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x96"],
        ["\xE9\xA1\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\x30"],

        ["\xE8\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x99"],
        ["\xE9\xA1\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\x32"],

        ["\xE8\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\x9A"],
        ["\xE9\xA1\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\x33"],

        ["\x39\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA7\x90"],
        ["\xEF\xA7\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xA2"],

        ["\xE8\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1\xAC"],
        ["\xE9\xA1\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\x39"],

        ["\xE8\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA2\xBA"],
        ["\xE9\xA2\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\x41"],

        ["\xE8\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\x88"],
        ["\xE9\xA3\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\x46"],

        ["\xE8\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3\xA7"],
        ["\xE9\xA3\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\x4C"],

        ["\xE8\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\x98"],
        ["\xE9\xA5\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\x70"],

        ["\xE9\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\x82"],
        ["\xE9\xA8\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x37"],

        ["\xE9\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\x83"],
        ["\xE9\xA8\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x38"],

        ["\xE9\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xA4"],
        ["\xE9\xA8\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x43"],

        ["\xE9\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xAD"],
        ["\xE9\xA8\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x45"],

        ["\xE9\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xAE"],
        ["\xE9\xA8\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x46"],

        ["\xE9\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xB8"],
        ["\xE9\xA8\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x4A"],

        ["\xE9\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x8A"],
        ["\xE9\xA9\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x4E"],

        ["\x39\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x92"],
        ["\xE9\xA9\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xA3"],

        ["\xE9\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA\xB6"],
        ["\xE9\xAA\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x5D"],

        ["\xE9\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x81"],
        ["\xE9\xAB\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x62"],

        ["\xE9\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x83"],
        ["\xE9\xAB\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x63"],

        ["\xE9\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x8E"],
        ["\xE9\xAB\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x66"],

        ["\xE9\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x96"],
        ["\xE9\xAB\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x6A"],

        ["\xE9\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xB9"],
        ["\xE9\xAB\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x77"],

        ["\xE9\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x82"],
        ["\xE9\xAC\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x7D"],

        ["\xEA\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x88"],
        ["\xE9\xAC\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x23"],

        ["\xEA\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xA0"],
        ["\xE9\xAC\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x2F"],

        ["\x39\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB0\x97"],
        ["\xE4\xB0\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xA4"],

        ["\xEA\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xAD"],
        ["\xE9\xAC\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x32"],

        ["\xEA\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x9E"],
        ["\xE9\xAD\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x41"],

        ["\xEA\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xB9"],
        ["\xE9\xAD\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x50"],

        ["\xEA\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xA6"],
        ["\xE9\xAD\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x45"],

        ["\xEA\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x84"],
        ["\xE9\xAE\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x53"],

        ["\xEA\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x8A"],
        ["\xE9\xAE\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x58"],

        ["\xEA\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\x9E"],
        ["\xE9\xAE\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x60"],

        ["\xEA\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xA7"],
        ["\xE9\xAE\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x62"],

        ["\xEA\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x81"],
        ["\xE9\xAF\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x6E"],

        ["\xEA\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x8E"],
        ["\xE9\xAF\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x71"],

        ["\xEA\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xA5"],
        ["\xE9\xAF\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x77"],

        ["\xEA\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xB8"],
        ["\xE9\xAF\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x7E"],

        ["\xEB\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xBD"],
        ["\xE9\xAF\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x23"],

        ["\xEB\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xA3"],
        ["\xE9\xB0\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x31"],

        ["\xEB\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x81"],
        ["\xE9\xB1\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x3C"],

        ["\xEB\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x8F"],
        ["\xE9\xB1\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x43"],

        ["\xEB\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x90"],
        ["\xE9\xB1\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x44"],

        ["\xEB\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x93"],
        ["\xE9\xB1\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x45"],

        ["\xEB\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xA3"],
        ["\xE9\xB1\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x4D"],

        ["\x39\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xA5"],
        ["\xE9\xB1\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xA5"],

        ["\xEB\x57",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xB7"],
        ["\xE9\xB1\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x57"],

        ["\xEB\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x9D"],
        ["\xE9\xB4\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x63"],

        ["\xEB\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x9E"],
        ["\xE9\xB4\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x64"],

        ["\xEB\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x83"],
        ["\xE9\xB5\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x6F"],

        ["\xEB\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x87"],
        ["\xE9\xB5\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x70"],

        ["\x39\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x92"],
        ["\xE9\xB5\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xA6"],

        ["\xEB\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xA3"],
        ["\xE9\xB5\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x75"],

        ["\xEC\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xBC"],
        ["\xE9\xB5\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x21"],

        ["\xEC\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\x8A"],
        ["\xE9\xB6\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x26"],

        ["\xEC\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\x96"],
        ["\xE9\xB6\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x2C"],

        ["\x39\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x80"],
        ["\xE9\xB7\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xA7"],

        ["\xEC\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xAC"],
        ["\xE9\xB6\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x31"],

        ["\xEC\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xBC"],
        ["\xE9\xB6\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x36"],

        ["\xEC\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x97"],
        ["\xE9\xB7\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x3F"],

        ["\x39\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA\x86\x90"],
        ["\xF0\xAA\x86\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xA8"],

        ["\xEC\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xA7"],
        ["\xE9\xB7\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x45"],

        ["\xEC\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8\x87"],
        ["\xE9\xB8\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x4F"],

        ["\xEC\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8\x95"],
        ["\xE9\xB8\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x54"],

        ["\xEC\x5B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB9\xBC"],
        ["\xE9\xB9\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x5B"],

        ["\xEC\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x9E"],
        ["\xE9\xBA\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x67"],

        ["\xEC\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xA4"],
        ["\xE9\xBA\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x68"],

        ["\xEC\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xAC"],
        ["\xE9\xBA\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x6A"],

        ["\xEC\x6C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xAF"],
        ["\xE9\xBA\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x6C"],

        ["\xEC\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xB4"],
        ["\xE9\xBA\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x6F"],

        ["\xEC\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xB5"],
        ["\xE9\xBA\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x70"],

        ["\x39\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x83"],
        ["\xE9\xBB\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xA9"],

        ["\xED\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\x90"],
        ["\xE9\xBC\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x27"],

        ["\xED\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\xB9"],
        ["\xE9\xBC\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x3A"],

        ["\xED\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x97"],
        ["\xE9\xBD\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x48"],

        ["\xED\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE\x90"],
        ["\xE9\xBE\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x59"],

        ["\xED\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE\x94"],
        ["\xE9\xBE\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x5C"],

        ["\xED\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE\x97"],
        ["\xE9\xBE\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x5E"],

        ["\xED\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE\xA2"],
        ["\xE9\xBE\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x61"],

        ["\x39\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xB8"],
        ["\xE5\xA7\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xAA"],

        ["\x39\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x9B"],
        ["\xE5\xB1\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xAB"],

        ["\x39\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xB7"],
        ["\xE5\xB9\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xAC"],

        ["\xCD\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xA6"],
        ["\xE7\x98\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x77"],

        ["\xD4\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xAB"],
        ["\xE7\xB9\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x5A"],

        ["\x39\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x82\x89"],
        ["\xF0\xA0\x82\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xAD"],

        ["\xB0\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x82"],
        ["\xE4\xB8\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x21"],

        ["\x39\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x8F"],
        ["\xE4\xB8\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xAE"],

        ["\xB0\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\x92"],
        ["\xE4\xB8\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x25"],

        ["\x39\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xA9"],
        ["\xE4\xB8\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xAF"],

        ["\xB0\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xAB"],
        ["\xE4\xB8\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x2A"],

        ["\xB0\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xAE"],
        ["\xE4\xB8\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x2B"],

        ["\xB0\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x80"],
        ["\xE4\xB9\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x2F"],

        ["\xB0\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x87"],
        ["\xE4\xB9\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x32"],

        ["\x39\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x88"],
        ["\xE4\xB9\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xB0"],

        ["\x39\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x82\xA2"],
        ["\xF0\xA0\x82\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xB1"],

        ["\xB0\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x91"],
        ["\xE4\xB9\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x33"],

        ["\x39\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x90\x86"],
        ["\xE3\x90\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xB2"],

        ["\x39\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x82\xA4"],
        ["\xF0\xA0\x82\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xB3"],

        ["\xB0\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\x9A"],
        ["\xE4\xB9\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x34"],

        ["\xB0\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9\xA9"],
        ["\xE4\xB9\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x38"],

        ["\xB0\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\x9D"],
        ["\xE4\xBA\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x40"],

        ["\x39\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x90\xAC"],
        ["\xE3\x90\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xB4"],

        ["\x39\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x90\xAE"],
        ["\xE3\x90\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xB5"],

        ["\xB0\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xB9"],
        ["\xE4\xBA\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x42"],

        ["\x39\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xBB"],
        ["\xE4\xBA\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xB6"],

        ["\x39\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x86\xA2"],
        ["\xF0\xA0\x86\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xB7"],

        ["\x39\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA\xBC"],
        ["\xE4\xBA\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xB8"],

        ["\xB0\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x83"],
        ["\xE4\xBB\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x43"],

        ["\x39\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x88"],
        ["\xE4\xBB\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xB9"],

        ["\xB0\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x90"],
        ["\xE4\xBB\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x44"],

        ["\x39\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xAB"],
        ["\xE4\xBB\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xBA"],

        ["\xB0\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\x9A"],
        ["\xE4\xBB\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x45"],

        ["\xB0\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xB1"],
        ["\xE4\xBB\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x4C"],

        ["\xB0\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB\xB5"],
        ["\xE4\xBB\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x4E"],

        ["\xB0\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\x96"],
        ["\xE4\xBC\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x5A"],

        ["\x39\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xA4"],
        ["\xE4\xBD\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xBB"],

        ["\xB0\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\xB7"],
        ["\xE4\xBC\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x62"],

        ["\xB0\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC\xBE"],
        ["\xE4\xBC\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x65"],

        ["\xB0\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x94"],
        ["\xE4\xBD\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x6D"],

        ["\xB0\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\x98"],
        ["\xE4\xBD\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x6F"],

        ["\x39\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x88\x93"],
        ["\xF0\xA0\x88\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xBC"],

        ["\xB0\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xB7"],
        ["\xE4\xBD\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x76"],

        ["\xB0\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xB8"],
        ["\xE4\xBD\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x77"],

        ["\xB0\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xBA"],
        ["\xE4\xBD\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x79"],

        ["\xB0\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD\xBD"],
        ["\xE4\xBD\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x7A"],

        ["\xB0\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x82"],
        ["\xE4\xBE\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB0\x7D"],

        ["\xB1\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\x85"],
        ["\xE4\xBE\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x21"],

        ["\x39\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xA6"],
        ["\xE4\xBF\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xBD"],

        ["\xB1\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\xB2"],
        ["\xE4\xBE\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x2F"],

        ["\xB1\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE\xBE"],
        ["\xE4\xBE\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x35"],

        ["\xB1\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x85"],
        ["\xE4\xBF\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x38"],

        ["\xB1\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x8B"],
        ["\xE4\xBF\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x3C"],

        ["\xB1\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x8F"],
        ["\xE4\xBF\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x3F"],

        ["\xB1\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\x92"],
        ["\xE4\xBF\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x40"],

        ["\x39\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x91\xAA"],
        ["\xE3\x91\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xBE"],

        ["\xB1\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF\xB2"],
        ["\xE4\xBF\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x45"],

        ["\xB1\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x80"],
        ["\xE5\x80\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x49"],

        ["\xB1\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x90"],
        ["\xE5\x80\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x50"],

        ["\xB1\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x93"],
        ["\xE5\x80\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x51"],

        ["\xB1\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x80\x9C"],
        ["\xE5\x80\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x55"],

        ["\x39\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x91\xA8"],
        ["\xE3\x91\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xBF"],

        ["\xB1\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x8E"],
        ["\xE5\x81\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x66"],

        ["\xB1\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x93"],
        ["\xE5\x81\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x69"],

        ["\xB1\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\x97"],
        ["\xE5\x81\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x6A"],

        ["\xB1\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xA3"],
        ["\xE5\x81\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x6F"],

        ["\xB1\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xA6"],
        ["\xE5\x81\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x70"],

        ["\xB1\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x81\xAA"],
        ["\xE5\x81\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB1\x72"],

        ["\x39\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xA3"],
        ["\xE5\x82\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xC0"],

        ["\x39\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x88"],
        ["\xE5\x82\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xC1"],

        ["\xB2\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x92"],
        ["\xE5\x82\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x21"],

        ["\xB2\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x93"],
        ["\xE5\x82\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x22"],

        ["\x39\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x95"],
        ["\xE5\x82\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xC2"],

        ["\xB2\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x96"],
        ["\xE5\x82\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x24"],

        ["\xB2\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\x9C"],
        ["\xE5\x82\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x26"],

        ["\xB2\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xAA"],
        ["\xE5\x82\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x2C"],

        ["\x39\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x8C\xAB"],
        ["\xF0\xA0\x8C\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xC3"],

        ["\x39\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xB1"],
        ["\xE5\x82\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xC4"],

        ["\xB2\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xBA"],
        ["\xE5\x82\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x30"],

        ["\x39\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x82\xBB"],
        ["\xE5\x82\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xC5"],

        ["\xB2\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x84"],
        ["\xE5\x83\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x34"],

        ["\xB2\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x87"],
        ["\xE5\x83\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x35"],

        ["\x39\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xB3"],
        ["\xE5\x83\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xC6"],

        ["\x39\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x8E\x81"],
        ["\xF0\xA0\x8E\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xC7"],

        ["\xB2\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x8E"],
        ["\xE5\x83\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x37"],

        ["\x39\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x8D\xB1"],
        ["\xF0\xA0\x8D\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xC8"],

        ["\xB2\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x94"],
        ["\xE5\x83\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x3A"],

        ["\x39\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\x99"],
        ["\xE5\x83\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xC9"],

        ["\x39\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xA1"],
        ["\xE5\x83\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xCA"],

        ["\xB2\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x83\xA9"],
        ["\xE5\x83\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x43"],

        ["\x39\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x92\x92"],
        ["\xE3\x92\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xCB"],

        ["\xBA\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x96"],
        ["\xE5\xAE\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x50"],

        ["\xBA\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\xAC"],
        ["\xE5\xAE\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x53"],

        ["\x39\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x9D\xA1"],
        ["\xE3\x9D\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xCC"],

        ["\x39\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x9D\xA2"],
        ["\xE3\x9D\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xCD"],

        ["\x39\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x8E"],
        ["\xE5\xAF\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xCE"],

        ["\xBA\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\x96"],
        ["\xE5\xAF\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x5F"],

        ["\x39\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x9D\xAC"],
        ["\xE3\x9D\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xCF"],

        ["\x39\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x9D\xAB"],
        ["\xE3\x9D\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xD0"],

        ["\xBA\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xB1"],
        ["\xE5\xAF\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x66"],

        ["\xBA\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF\xBD"],
        ["\xE5\xAF\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x68"],

        ["\x39\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x9D\xB5"],
        ["\xE3\x9D\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xD1"],

        ["\x39\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\x83"],
        ["\xE5\xB0\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xD2"],

        ["\xBA\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xA9"],
        ["\xE5\xB0\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x6F"],

        ["\xBA\x73",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0\xB0"],
        ["\xE5\xB0\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x73"],

        ["\x39\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB1\x96"],
        ["\xF0\xA1\xB1\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xD3"],

        ["\x39\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\x9F"],
        ["\xE5\xB1\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xD4"],

        ["\xBA\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xA3"],
        ["\xE5\xB1\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x7B"],

        ["\xBA\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xA7"],
        ["\xE5\xB1\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x7C"],

        ["\xBA\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xA8"],
        ["\xE5\xB1\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x7D"],

        ["\xBA\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xA9"],
        ["\xE5\xB1\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x7E"],

        ["\xBB\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xB0"],
        ["\xE5\xB1\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x22"],

        ["\x39\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB4\xAD"],
        ["\xF0\xA1\xB4\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xD5"],

        ["\x39\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB5\x85"],
        ["\xF0\xA1\xB5\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xD6"],

        ["\xBB\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1\xBC"],
        ["\xE5\xB1\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x27"],

        ["\x39\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB5\xB8"],
        ["\xF0\xA1\xB5\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xD7"],

        ["\x39\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB5\xA2"],
        ["\xF0\xA1\xB5\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xD8"],

        ["\xBB\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\x88"],
        ["\xE5\xB2\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x2A"],

        ["\xBB\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\x8A"],
        ["\xE5\xB2\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x2B"],

        ["\x39\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x9F\x81"],
        ["\xE3\x9F\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xD9"],

        ["\x39\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB6\xA1"],
        ["\xF0\xA1\xB6\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xDA"],

        ["\x39\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB6\x9C"],
        ["\xF0\xA1\xB6\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xDB"],

        ["\xBB\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xA0"],
        ["\xE5\xB2\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x30"],

        ["\xBB\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xA2"],
        ["\xE5\xB2\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x31"],

        ["\x39\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xA7"],
        ["\xE5\xB2\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xDC"],

        ["\x39\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB6\x92"],
        ["\xF0\xA1\xB6\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xDD"],

        ["\x39\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xAD"],
        ["\xE5\xB2\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xDE"],

        ["\xBB\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2\xB5"],
        ["\xE5\xB2\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x37"],

        ["\x39\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB6\xB7"],
        ["\xF0\xA1\xB6\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xDF"],

        ["\xBB\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3\x89"],
        ["\xE5\xB3\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x39"],

        ["\x39\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB7\xA0"],
        ["\xF0\xA1\xB7\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xE0"],

        ["\x39\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xB8\xB3"],
        ["\xF0\xA1\xB8\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xE1"],

        ["\xBB\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x86"],
        ["\xE5\xB4\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x43"],

        ["\x39\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x90"],
        ["\xE5\xB4\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xE2"],

        ["\xBB\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\xAB"],
        ["\xE5\xB4\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x46"],

        ["\x39\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\x9D"],
        ["\xE5\xB4\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xE3"],

        ["\x39\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\xA0"],
        ["\xE5\xB4\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xE4"],

        ["\xBB\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\xA4"],
        ["\xE5\xB4\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x48"],

        ["\xBB\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\xA6"],
        ["\xE5\xB4\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x49"],

        ["\xBB\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\xB1"],
        ["\xE5\xB4\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x4B"],

        ["\xBB\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4\xB9"],
        ["\xE5\xB4\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x4D"],

        ["\x39\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x9F\xA8"],
        ["\xE3\x9F\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xE5"],

        ["\xBB\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\xA1"],
        ["\xE5\xB5\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x5A"],

        ["\xBB\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\xAA"],
        ["\xE5\xB5\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x5D"],

        ["\x39\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x9F\xB4"],
        ["\xE3\x9F\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xE6"],

        ["\xBB\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5\xB0"],
        ["\xE5\xB5\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x5F"],

        ["\x39\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xBC\x9E"],
        ["\xF0\xA1\xBC\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xE7"],

        ["\x39\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x9F\xBD"],
        ["\xE3\x9F\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xE8"],

        ["\xBB\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x88"],
        ["\xE5\xB6\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x66"],

        ["\x39\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA0\x80"],
        ["\xE3\xA0\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xE9"],

        ["\xBB\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x92"],
        ["\xE5\xB6\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x68"],

        ["\xBB\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x94"],
        ["\xE5\xB6\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x6A"],

        ["\x39\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x97"],
        ["\xE5\xB6\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xEA"],

        ["\xBB\x6C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\x99"],
        ["\xE5\xB6\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x6C"],

        ["\xBB\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xB0"],
        ["\xE5\xB6\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x72"],

        ["\xE6\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xB2"],
        ["\xE5\xB6\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x74"],

        ["\xBB\x73",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6\xB4"],
        ["\xE5\xB6\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x73"],

        ["\x39\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xBD\xB6"],
        ["\xF0\xA1\xBD\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xEB"],

        ["\x39\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x91"],
        ["\xE5\xB7\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xEC"],

        ["\x39\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x97"],
        ["\xE5\xB7\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xED"],

        ["\xBB\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\x98"],
        ["\xE5\xB7\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x7B"],

        ["\xBB\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xA0"],
        ["\xE5\xB7\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x7D"],

        ["\x39\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xBF\xBA"],
        ["\xF0\xA1\xBF\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xEE"],

        ["\xBB\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xA4"],
        ["\xE5\xB7\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBB\x7E"],

        ["\xBC\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7\xA9"],
        ["\xE5\xB7\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x21"],

        ["\x39\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA0\xAF"],
        ["\xE3\xA0\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xEF"],

        ["\xBC\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x80"],
        ["\xE5\xB8\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x24"],

        ["\x39\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA0\xB6"],
        ["\xE3\xA0\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xF0"],

        ["\xBC\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x92"],
        ["\xE5\xB8\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x27"],

        ["\xBC\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x95"],
        ["\xE5\xB8\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x29"],

        ["\x39\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA1\x80"],
        ["\xE3\xA1\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xF1"],

        ["\xBC\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\x9F"],
        ["\xE5\xB8\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x2B"],

        ["\xBC\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xAE"],
        ["\xE5\xB8\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x2D"],

        ["\xBC\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8\xBE"],
        ["\xE5\xB8\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x31"],

        ["\xBC\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x89"],
        ["\xE5\xB9\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x34"],

        ["\x39\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA1\x9C"],
        ["\xE3\xA1\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xF2"],

        ["\xBC\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\x96"],
        ["\xE5\xB9\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x36"],

        ["\x39\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA1\xA1"],
        ["\xE3\xA1\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xF3"],

        ["\xBC\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xAB"],
        ["\xE5\xB9\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x3D"],

        ["\xBC\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xAC"],
        ["\xE5\xB9\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x3E"],

        ["\xBC\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xAD"],
        ["\xE5\xB9\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x3F"],

        ["\xB2\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x88"],
        ["\xE5\x84\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x4C"],

        ["\x39\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x8F\xB9"],
        ["\xF0\xA0\x8F\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xF4"],

        ["\xB2\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x97"],
        ["\xE5\x84\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x53"],

        ["\xB2\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x84\x9B"],
        ["\xE5\x84\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x55"],

        ["\x39\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x91\x8A"],
        ["\xF0\xA0\x91\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xF5"],

        ["\x39\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xA0"],
        ["\xE5\x85\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xF6"],

        ["\x39\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x94\x89"],
        ["\xF0\xA0\x94\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xF7"],

        ["\x39\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xB3"],
        ["\xE5\x85\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xF8"],

        ["\xB2\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x83"],
        ["\xE5\x86\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x70"],

        ["\xB2\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x8B"],
        ["\xE5\x86\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x72"],

        ["\x39\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x92\xBC"],
        ["\xE3\x92\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xF9"],

        ["\xB2\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\x98"],
        ["\xE5\x86\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x74"],

        ["\xB2\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xA3"],
        ["\xE5\x86\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x77"],

        ["\xB2\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xAD"],
        ["\xE5\x86\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x78"],

        ["\x39\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x93\x87"],
        ["\xE3\x93\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xFA"],

        ["\xB2\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x86\xBC"],
        ["\xE5\x86\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB2\x7B"],

        ["\x39\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x97\x96"],
        ["\xF0\xA0\x97\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xFB"],

        ["\x39\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x98\xA8"],
        ["\xF0\xA0\x98\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xFC"],

        ["\xB3\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xB3"],
        ["\xE5\x87\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x2D"],

        ["\xB3\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x87\xB4"],
        ["\xE5\x87\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x2E"],

        ["\xB3\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x82"],
        ["\xE5\x88\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x31"],

        ["\xB3\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x92"],
        ["\xE5\x88\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x33"],

        ["\xB3\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x88\x96"],
        ["\xE5\x88\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x36"],

        ["\x39\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\x9D\x8F"],
        ["\xF0\xA0\x9D\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xFD"],

        ["\xB3\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x95"],
        ["\xE5\x89\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x40"],

        ["\xB3\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\x9C"],
        ["\xE5\x89\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x44"],

        ["\x39\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xAC"],
        ["\xE5\x89\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x39\xFE"],

        ["\xB3\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x89\xB7"],
        ["\xE5\x89\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x4A"],

        ["\x3A\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x84"],
        ["\xE5\x8A\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xA1"],

        ["\xB3\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x82"],
        ["\xE5\x8A\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x4E"],

        ["\x3A\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xA0\x87"],
        ["\xF0\xA0\xA0\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xA2"],

        ["\xB3\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\x98"],
        ["\xE5\x8A\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x56"],

        ["\x3A\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xA0\xBA"],
        ["\xF0\xA0\xA0\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xA3"],

        ["\xB3\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xA4"],
        ["\xE5\x8A\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x59"],

        ["\xB3\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xBA"],
        ["\xE5\x8A\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x62"],

        ["\xB3\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8A\xBB"],
        ["\xE5\x8A\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x63"],

        ["\x3A\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x8A"],
        ["\xE5\x8B\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xA4"],

        ["\x3A\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x94\x9F"],
        ["\xE3\x94\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xA5"],

        ["\xB3\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\x91"],
        ["\xE5\x8B\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x6B"],

        ["\x3A\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xA2\xB9"],
        ["\xF0\xA0\xA2\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xA6"],

        ["\xB3\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8B\xB7"],
        ["\xE5\x8B\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x7A"],

        ["\xB3\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x8A"],
        ["\xE5\x8C\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x7D"],

        ["\xB3\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\x8B"],
        ["\xE5\x8C\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB3\x7E"],

        ["\xB4\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xB5"],
        ["\xE5\x8C\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x32"],

        ["\xB4\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8C\xBE"],
        ["\xE5\x8C\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x35"],

        ["\xB4\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\x82"],
        ["\xE5\x8D\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x36"],

        ["\x3A\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xA5\xBC"],
        ["\xF0\xA0\xA5\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xA7"],

        ["\x3A\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xA6\x9D"],
        ["\xF0\xA0\xA6\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xA8"],

        ["\x3A\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xA7"],
        ["\xE5\x8D\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xA9"],

        ["\xB4\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xAC"],
        ["\xE5\x8D\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x3E"],

        ["\x3A\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8D\xBA"],
        ["\xE5\x8D\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xAA"],

        ["\xB4\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xA4"],
        ["\xE5\x8E\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x4C"],

        ["\xB4\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xB4"],
        ["\xE5\x8E\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x51"],

        ["\x3A\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xAB\x93"],
        ["\xF0\xA0\xAB\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xAB"],

        ["\xB4\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8E\xB7"],
        ["\xE5\x8E\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x53"],

        ["\xB4\x57",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x80"],
        ["\xE5\x8F\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x57"],

        ["\x3A\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xAC\x9D"],
        ["\xF0\xA0\xAC\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xAC"],

        ["\x3A\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x95\x9D"],
        ["\xE3\x95\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xAD"],

        ["\x3A\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x95\x9E"],
        ["\xE3\x95\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xAE"],

        ["\xB4\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x95"],
        ["\xE5\x8F\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x5C"],

        ["\xB4\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\x9A"],
        ["\xE5\x8F\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x5D"],

        ["\x3A\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x95\xA3"],
        ["\xE3\x95\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xAF"],

        ["\x3A\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xB4"],
        ["\xE5\x8F\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xB0"],

        ["\xB4\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x8F\xB5"],
        ["\xE5\x8F\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x63"],

        ["\x3A\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x95"],
        ["\xE5\x91\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xB1"],

        ["\x3A\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xA4"],
        ["\xE5\x90\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xB2"],

        ["\xB4\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x90\xA8"],
        ["\xE5\x90\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x69"],

        ["\x3A\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x95\xAE"],
        ["\xE3\x95\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xB3"],

        ["\xB4\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\x83"],
        ["\xE5\x91\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x6F"],

        ["\xB4\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xA2"],
        ["\xE5\x91\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x75"],

        ["\xB4\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xA6"],
        ["\xE5\x91\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB4\x77"],

        ["\x3A\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x91\xAC"],
        ["\xE5\x91\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xB4"],

        ["\xB5\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x8D"],
        ["\xE5\x92\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x26"],

        ["\xB5\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\x95"],
        ["\xE5\x92\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x28"],

        ["\x3A\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xA0"],
        ["\xE5\x92\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xB5"],

        ["\xB5\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xA6"],
        ["\xE5\x92\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x2D"],

        ["\xB5\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xAD"],
        ["\xE5\x92\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x31"],

        ["\xB5\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xAE"],
        ["\xE5\x92\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x32"],

        ["\xB5\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xB7"],
        ["\xE5\x92\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x34"],

        ["\xB5\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xBA"],
        ["\xE5\x92\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x36"],

        ["\xB5\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x92\xBF"],
        ["\xE5\x92\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x38"],

        ["\x3A\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\x83"],
        ["\xE5\x93\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xB6"],

        ["\x3A\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xB5\x85"],
        ["\xF0\xA0\xB5\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xB7"],

        ["\xB5\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xAC"],
        ["\xE5\x93\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x3F"],

        ["\xB5\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xAF"],
        ["\xE5\x93\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x40"],

        ["\x3A\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xB1"],
        ["\xE5\x93\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xB8"],

        ["\x3A\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x93\xB3"],
        ["\xE5\x93\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xB9"],

        ["\xB5\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\x80"],
        ["\xE5\x94\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x45"],

        ["\xB5\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\x81"],
        ["\xE5\x94\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x46"],

        ["\xB5\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\x89"],
        ["\xE5\x94\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x49"],

        ["\xB5\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x94\xBC"],
        ["\xE5\x94\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x54"],

        ["\xB5\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x81"],
        ["\xE5\x95\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x56"],

        ["\x3A\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x96\xA6"],
        ["\xE3\x96\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xBA"],

        ["\xB5\x57",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x87"],
        ["\xE5\x95\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x57"],

        ["\xB5\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\x8A"],
        ["\xE5\x95\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x59"],

        ["\x3A\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x96\xA8"],
        ["\xE3\x96\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xBB"],

        ["\xB5\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\xA0"],
        ["\xE5\x95\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x61"],

        ["\xB5\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\xA1"],
        ["\xE5\x95\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x62"],

        ["\xB5\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\xA4"],
        ["\xE5\x95\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x63"],

        ["\x3A\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xB7\xA1"],
        ["\xF0\xA0\xB7\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xBC"],

        ["\x3A\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x95\xBD"],
        ["\xE5\x95\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xBD"],

        ["\xB5\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x82"],
        ["\xE5\x96\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x67"],

        ["\xB5\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x88"],
        ["\xE5\x96\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x69"],

        ["\xB5\x6C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\x91"],
        ["\xE5\x96\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x6C"],

        ["\x3A\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x97\x85"],
        ["\xE3\x97\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xBE"],

        ["\xB5\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x92"],
        ["\xE5\x97\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x7E"],

        ["\x3A\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xBA\x95"],
        ["\xF0\xA0\xBA\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xBF"],

        ["\x3A\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xB9\xAD"],
        ["\xF0\xA0\xB9\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xC0"],

        ["\xB5\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x96\xBF"],
        ["\xE5\x96\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x75"],

        ["\xB5\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x89"],
        ["\xE5\x97\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x79"],

        ["\xB5\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x8C"],
        ["\xE5\x97\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x7B"],

        ["\xB5\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x91"],
        ["\xE5\x97\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB5\x7D"],

        ["\x3A\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\x9D"],
        ["\xE5\x97\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xC1"],

        ["\x3A\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x97\x9A"],
        ["\xE3\x97\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xC2"],

        ["\xB6\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\xA2"],
        ["\xE5\x97\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x26"],

        ["\x3A\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xB9\xA4"],
        ["\xF0\xA0\xB9\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xC3"],

        ["\xB6\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x97\xA9"],
        ["\xE5\x97\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x27"],

        ["\x3A\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xA8"],
        ["\xE5\x98\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xC4"],

        ["\x3A\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA0\xBD\x9F"],
        ["\xF0\xA0\xBD\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xC5"],

        ["\x3A\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\x87"],
        ["\xE5\x98\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xC6"],

        ["\xB6\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\x90"],
        ["\xE5\x98\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x30"],

        ["\xB6\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xB0"],
        ["\xE5\x98\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x35"],

        ["\xB6\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xB7"],
        ["\xE5\x98\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x38"],

        ["\x3A\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x97\xB4"],
        ["\xE3\x97\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xC7"],

        ["\xB6\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xBD"],
        ["\xE5\x98\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x3C"],

        ["\xB6\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x98\xBF"],
        ["\xE5\x98\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x3D"],

        ["\xB6\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\x80"],
        ["\xE5\x99\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x3E"],

        ["\x3A\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\x87"],
        ["\xE5\x99\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xC8"],

        ["\xB6\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\x9E"],
        ["\xE5\x99\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x48"],

        ["\xB6\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xA0"],
        ["\xE5\x99\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x49"],

        ["\xB6\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x99\xAD"],
        ["\xE5\x99\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x4F"],

        ["\x3A\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x98\x85"],
        ["\xE3\x98\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xC9"],

        ["\xB6\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x88"],
        ["\xE5\x9A\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x56"],

        ["\xB6\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x8C"],
        ["\xE5\x9A\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x58"],

        ["\xB6\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x95"],
        ["\xE5\x9A\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x59"],

        ["\xB6\x5B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x9A"],
        ["\xE5\x9A\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x5B"],

        ["\xB6\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\x9D"],
        ["\xE5\x9A\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x5C"],

        ["\xB6\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xA8"],
        ["\xE5\x9A\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x61"],

        ["\xB6\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xAD"],
        ["\xE5\x9A\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x65"],

        ["\x3A\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9A\xB2"],
        ["\xE5\x9A\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xCA"],

        ["\xB6\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x85"],
        ["\xE5\x9B\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x6A"],

        ["\xB6\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x8D"],
        ["\xE5\x9B\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x71"],

        ["\xB6\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\x9F"],
        ["\xE5\x9B\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x75"],

        ["\xB6\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xA8"],
        ["\xE5\x9B\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB6\x7B"],

        ["\xB7\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xB6"],
        ["\xE5\x9B\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x21"],

        ["\xB7\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9B\xB7"],
        ["\xE5\x9B\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x22"],

        ["\x3A\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x88\x81"],
        ["\xF0\xA1\x88\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xCB"],

        ["\xB7\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\x95"],
        ["\xE5\x9C\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x29"],

        ["\xB7\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xA3"],
        ["\xE5\x9C\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x2F"],

        ["\x3A\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x89\x95"],
        ["\xF0\xA1\x89\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xCC"],

        ["\xB7\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9C\xA9"],
        ["\xE5\x9C\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x32"],

        ["\x3A\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x89\xBB"],
        ["\xF0\xA1\x89\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xCD"],

        ["\xB7\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x85"],
        ["\xE5\x9D\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x3C"],

        ["\xB7\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x86"],
        ["\xE5\x9D\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x3D"],

        ["\xB7\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x8C"],
        ["\xE5\x9D\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x3E"],

        ["\xB7\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\x8D"],
        ["\xE5\x9D\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x3F"],

        ["\x3A\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x89\xB4"],
        ["\xF0\xA1\x89\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xCE"],

        ["\xB7\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xA8"],
        ["\xE5\x9D\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x44"],

        ["\xB7\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xAF"],
        ["\xE5\x9D\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x48"],

        ["\xB7\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xB3"],
        ["\xE5\x9D\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x4B"],

        ["\xB7\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xB4"],
        ["\xE5\x9D\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x4C"],

        ["\xB7\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xB5"],
        ["\xE5\x9D\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x4D"],

        ["\xB7\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9D\xBB"],
        ["\xE5\x9D\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x51"],

        ["\x3A\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x8B\xA4"],
        ["\xF0\xA1\x8B\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xCF"],

        ["\x3A\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x8B\x97"],
        ["\xF0\xA1\x8B\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xD0"],

        ["\xB7\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\x9A"],
        ["\xE5\x9E\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x5A"],

        ["\xB7\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\x9D"],
        ["\xE5\x9E\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x5C"],

        ["\xB7\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\x9E"],
        ["\xE5\x9E\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x5D"],

        ["\xB7\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9E\xA8"],
        ["\xE5\x9E\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x62"],

        ["\x3A\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x97"],
        ["\xE5\x9F\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xD1"],

        ["\x3A\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x8B\xBD"],
        ["\xF0\xA1\x8B\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xD2"],

        ["\xB7\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x8C"],
        ["\xE5\x9F\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x69"],

        ["\x3A\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x8C\xB6"],
        ["\xF0\xA1\x8C\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xD3"],

        ["\x3A\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x8D\x84"],
        ["\xF0\xA1\x8D\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xD4"],

        ["\xB7\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\x9E"],
        ["\xE5\x9F\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x6D"],

        ["\xB7\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xA6"],
        ["\xE5\x9F\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x6F"],

        ["\xB7\x73",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xB0"],
        ["\xE5\x9F\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x73"],

        ["\x3A\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x99\x8A"],
        ["\xE3\x99\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xD5"],

        ["\xB7\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xB8"],
        ["\xE5\x9F\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x76"],

        ["\x3A\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xBB"],
        ["\xE5\x9F\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xD6"],

        ["\xB7\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x9F\xBD"],
        ["\xE5\x9F\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x77"],

        ["\xB7\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x84"],
        ["\xE5\xA0\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB7\x7B"],

        ["\xB8\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\x9E"],
        ["\xE5\xA0\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x24"],

        ["\xB8\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xA0"],
        ["\xE5\xA0\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x26"],

        ["\xB8\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xA7"],
        ["\xE5\xA0\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x28"],

        ["\xB8\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xB2"],
        ["\xE5\xA0\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x2A"],

        ["\xB8\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA0\xB9"],
        ["\xE5\xA0\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x2B"],

        ["\x3A\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x8F\x84"],
        ["\xF0\xA1\x8F\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xD7"],

        ["\xB8\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x89"],
        ["\xE5\xA1\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x2D"],

        ["\xB8\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\x8C"],
        ["\xE5\xA1\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x2E"],

        ["\xB8\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1\xA7"],
        ["\xE5\xA1\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x36"],

        ["\xB8\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x8A"],
        ["\xE5\xA2\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x40"],

        ["\x3A\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x8B"],
        ["\xE5\xA2\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xD8"],

        ["\xB8\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x8D"],
        ["\xE5\xA2\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x42"],

        ["\xB8\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x8F"],
        ["\xE5\xA2\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x43"],

        ["\xB8\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x90"],
        ["\xE5\xA2\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x44"],

        ["\xB8\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x94"],
        ["\xE5\xA2\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x45"],

        ["\xB8\x47",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\x9D"],
        ["\xE5\xA2\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x47"],

        ["\x3A\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xAA"],
        ["\xE5\xA2\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xD9"],

        ["\xB8\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2\xB1"],
        ["\xE5\xA2\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x4D"],

        ["\x3A\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x91\xAD"],
        ["\xF0\xA1\x91\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xDA"],

        ["\x3A\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x83"],
        ["\xE5\xA3\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xDB"],

        ["\xB8\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\x8D"],
        ["\xE5\xA3\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x53"],

        ["\xB8\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xA2"],
        ["\xE5\xA3\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x5C"],

        ["\xB8\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xB3"],
        ["\xE5\xA3\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x5E"],

        ["\x3A\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3\xB4"],
        ["\xE5\xA3\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xDC"],

        ["\xB8\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x85"],
        ["\xE5\xA4\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x5F"],

        ["\xB8\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x86"],
        ["\xE5\xA4\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x60"],

        ["\x3A\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x8D"],
        ["\xE5\xA4\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xDD"],

        ["\xB8\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\x94"],
        ["\xE5\xA4\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x65"],

        ["\xB8\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xA4"],
        ["\xE5\xA4\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x6A"],

        ["\x3A\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x97\x97"],
        ["\xF0\xA1\x97\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xDE"],

        ["\x3A\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x9A\x91"],
        ["\xE3\x9A\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xDF"],

        ["\x3A\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4\xBD"],
        ["\xE5\xA4\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xE0"],

        ["\x3A\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x9A\x99"],
        ["\xE3\x9A\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xE1"],

        ["\xB8\x73",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x86"],
        ["\xE5\xA5\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x73"],

        ["\x3A\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x9A\x96"],
        ["\xE3\x9A\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xE2"],

        ["\x3A\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xB0\xA9"],
        ["\xF0\xA6\xB0\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xE3"],

        ["\xB8\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\x9F"],
        ["\xE5\xA5\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB8\x7A"],

        ["\x3A\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x99\x87"],
        ["\xF0\xA1\x99\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xE4"],

        ["\xB9\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xB5"],
        ["\xE5\xA5\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x23"],

        ["\xB9\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xB6"],
        ["\xE5\xA5\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x24"],

        ["\xB9\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5\xBC"],
        ["\xE5\xA5\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x27"],

        ["\xB9\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\x9F"],
        ["\xE5\xA6\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x2E"],

        ["\xB9\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xAE"],
        ["\xE5\xA6\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x32"],

        ["\xB9\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6\xBC"],
        ["\xE5\xA6\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x38"],

        ["\xB9\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x88"],
        ["\xE5\xA7\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x3C"],

        ["\xB9\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x8D"],
        ["\xE5\xA7\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x3E"],

        ["\xB9\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\x9E"],
        ["\xE5\xA7\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x41"],

        ["\xB9\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xA3"],
        ["\xE5\xA7\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x43"],

        ["\xB9\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xA4"],
        ["\xE5\xA7\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x44"],

        ["\xB9\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xA7"],
        ["\xE5\xA7\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x45"],

        ["\xB9\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7\xAE"],
        ["\xE5\xA7\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x46"],

        ["\x3A\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x9C\x86"],
        ["\xF0\xA1\x9C\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xE5"],

        ["\x3A\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\x9D\x82"],
        ["\xF0\xA1\x9D\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xE6"],

        ["\x3A\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x9B\x8F"],
        ["\xE3\x9B\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xE7"],

        ["\xB9\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x8C"],
        ["\xE5\xA8\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x4E"],

        ["\xB9\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x8D"],
        ["\xE5\xA8\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x4F"],

        ["\x3A\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\x97"],
        ["\xE5\xA8\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xE8"],

        ["\xB9\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\xA7"],
        ["\xE5\xA8\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x56"],

        ["\xB9\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8\xAD"],
        ["\xE5\xA8\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x59"],

        ["\xB9\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\x95"],
        ["\xE5\xA9\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x61"],

        ["\xB9\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\xA5"],
        ["\xE5\xA9\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x64"],

        ["\xB9\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9\xBA"],
        ["\xE5\xA9\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x68"],

        ["\xB9\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\x8B"],
        ["\xE5\xAA\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x6B"],

        ["\xB9\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\x9C"],
        ["\xE5\xAA\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x70"],

        ["\xB9\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\x9F"],
        ["\xE5\xAA\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x72"],

        ["\xB9\x73",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\xA0"],
        ["\xE5\xAA\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x73"],

        ["\xB9\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\xA2"],
        ["\xE5\xAA\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x74"],

        ["\xB9\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\xB1"],
        ["\xE5\xAA\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x77"],

        ["\xB9\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\xB3"],
        ["\xE5\xAA\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x79"],

        ["\xB9\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\xB5"],
        ["\xE5\xAA\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x7A"],

        ["\xB9\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\xBA"],
        ["\xE5\xAA\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x7C"],

        ["\xB9\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA\xBF"],
        ["\xE5\xAA\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xB9\x7E"],

        ["\xBA\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\x9A"],
        ["\xE5\xAB\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x25"],

        ["\xBA\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\x9C"],
        ["\xE5\xAB\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x26"],

        ["\xBA\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\xA0"],
        ["\xE5\xAB\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x27"],

        ["\xBA\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\xA5"],
        ["\xE5\xAB\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x28"],

        ["\x3A\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\xB0"],
        ["\xE5\xAB\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xE9"],

        ["\xBA\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\xAE"],
        ["\xE5\xAB\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x2A"],

        ["\xBA\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB\xB5"],
        ["\xE5\xAB\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x2B"],

        ["\xBA\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\x80"],
        ["\xE5\xAC\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x2E"],

        ["\xBA\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\x88"],
        ["\xE5\xAC\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x30"],

        ["\xBA\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\x97"],
        ["\xE5\xAC\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x31"],

        ["\xBA\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\xB4"],
        ["\xE5\xAC\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x32"],

        ["\xBA\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC\xAD"],
        ["\xE5\xAC\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x38"],

        ["\xBA\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x8C"],
        ["\xE5\xAD\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x3C"],

        ["\xBA\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\x92"],
        ["\xE5\xAD\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x3D"],

        ["\xBA\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xA8"],
        ["\xE5\xAD\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x40"],

        ["\xBA\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xAF"],
        ["\xE5\xAD\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x42"],

        ["\xBA\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xBC"],
        ["\xE5\xAD\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x43"],

        ["\xBA\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD\xBF"],
        ["\xE5\xAD\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x46"],

        ["\xBA\x47",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x81"],
        ["\xE5\xAE\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x47"],

        ["\xBA\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE\x84"],
        ["\xE5\xAE\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBA\x48"],

        ["\x3A\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1\xA7\x83"],
        ["\xF0\xA1\xA7\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xEA"],

        ["\xBC\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9\xAE"],
        ["\xE5\xB9\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x40"],

        ["\x3A\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\x85\xBB"],
        ["\xF0\xA2\x85\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xEB"],

        ["\xBC\x47",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xA5"],
        ["\xE5\xBA\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x47"],

        ["\xBC\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xAA"],
        ["\xE5\xBA\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x49"],

        ["\xBC\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xAC"],
        ["\xE5\xBA\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x4A"],

        ["\x3A\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xB9"],
        ["\xE5\xBA\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xEC"],

        ["\xBC\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA\xBF"],
        ["\xE5\xBA\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x4F"],

        ["\xBC\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x86"],
        ["\xE5\xBB\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x50"],

        ["\xBC\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x92"],
        ["\xE5\xBB\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x55"],

        ["\x3A\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\x99"],
        ["\xE5\xBB\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xED"],

        ["\x3A\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\x8C\x9E"],
        ["\xF0\xA2\x8C\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xEE"],

        ["\x3A\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB\xBD"],
        ["\xE5\xBB\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xEF"],

        ["\xBC\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x88"],
        ["\xE5\xBC\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x5F"],

        ["\xBC\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x8E"],
        ["\xE5\xBC\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x60"],

        ["\xBC\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x9C"],
        ["\xE5\xBC\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x62"],

        ["\x3A\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\x8E\xAD"],
        ["\xF0\xA2\x8E\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xF0"],

        ["\x3A\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC\x9E"],
        ["\xE5\xBC\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xF1"],

        ["\xBC\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\x87"],
        ["\xE5\xBD\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x75"],

        ["\xBC\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xA3"],
        ["\xE5\xBD\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBC\x7C"],

        ["\xBD\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xB2"],
        ["\xE5\xBD\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x22"],

        ["\xBD\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD\xBE"],
        ["\xE5\xBD\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x28"],

        ["\xBD\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\x8F"],
        ["\xE5\xBE\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x2B"],

        ["\xBD\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xA2"],
        ["\xE5\xBE\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x2F"],

        ["\xBD\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xA4"],
        ["\xE5\xBE\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x32"],

        ["\xBD\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE\xB8"],
        ["\xE5\xBE\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x37"],

        ["\xBD\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x84"],
        ["\xE5\xBF\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x38"],

        ["\x3A\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA3\xBA"],
        ["\xE3\xA3\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xF2"],

        ["\xBD\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x87"],
        ["\xE5\xBF\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x39"],

        ["\xBD\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x8B"],
        ["\xE5\xBF\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x3C"],

        ["\xBD\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x92"],
        ["\xE5\xBF\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x3F"],

        ["\xBD\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x93"],
        ["\xE5\xBF\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x40"],

        ["\xBD\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\x94"],
        ["\xE5\xBF\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x41"],

        ["\xBD\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xA2"],
        ["\xE5\xBF\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x44"],

        ["\xBD\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xAE"],
        ["\xE5\xBF\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x4A"],

        ["\xBD\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xAF"],
        ["\xE5\xBF\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x4B"],

        ["\xBD\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xB3"],
        ["\xE5\xBF\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x4D"],

        ["\xBD\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF\xBC"],
        ["\xE5\xBF\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x50"],

        ["\x3A\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA4\x97"],
        ["\xE3\xA4\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xF3"],

        ["\xBD\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\x97"],
        ["\xE6\x80\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x56"],

        ["\x3A\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xA2"],
        ["\xE6\x80\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xF4"],

        ["\xBD\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x80\xA4"],
        ["\xE6\x80\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x5A"],

        ["\x3A\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA4\x9A"],
        ["\xE3\xA4\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xF5"],

        ["\xBD\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\x8C"],
        ["\xE6\x81\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x62"],

        ["\xBD\x6C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x81\xBF"],
        ["\xE6\x81\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x6C"],

        ["\xBD\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\x95"],
        ["\xE6\x82\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x74"],

        ["\xBD\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xA8"],
        ["\xE6\x82\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x7B"],

        ["\x3A\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\x9B\xB3"],
        ["\xF0\xA2\x9B\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xF6"],

        ["\xBD\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xB0"],
        ["\xE6\x82\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x7C"],

        ["\xBD\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xB1"],
        ["\xE6\x82\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBD\x7D"],

        ["\xBE\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x82\xBE"],
        ["\xE6\x82\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x22"],

        ["\xBE\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x88"],
        ["\xE6\x83\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x25"],

        ["\xBE\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x99"],
        ["\xE6\x83\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x2D"],

        ["\xBE\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\x9B"],
        ["\xE6\x83\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x2E"],

        ["\x3A\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xAE"],
        ["\xE6\x83\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xF7"],

        ["\xBE\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x83\xB5"],
        ["\xE6\x83\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x34"],

        ["\xBE\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x90"],
        ["\xE6\x84\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x3C"],

        ["\xBE\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x92"],
        ["\xE6\x84\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x3E"],

        ["\xBE\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x93"],
        ["\xE6\x84\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x3F"],

        ["\xBE\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x99"],
        ["\xE6\x84\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x43"],

        ["\xBE\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\x9E"],
        ["\xE6\x84\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x45"],

        ["\x3A\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x84\xBA"],
        ["\xE6\x84\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xF8"],

        ["\x3A\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA5\xAF"],
        ["\xE3\xA5\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xF9"],

        ["\xBE\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x81"],
        ["\xE6\x85\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x4F"],

        ["\xBE\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\x86"],
        ["\xE6\x85\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x51"],

        ["\xBE\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xA0"],
        ["\xE6\x85\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x54"],

        ["\xBE\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x85\xBC"],
        ["\xE6\x85\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x59"],

        ["\x3A\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\xA1\x9B"],
        ["\xF0\xA2\xA1\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xFA"],

        ["\xBE\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x92"],
        ["\xE6\x86\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x61"],

        ["\xBE\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x93"],
        ["\xE6\x86\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x62"],

        ["\xBE\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\x97"],
        ["\xE6\x86\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x63"],

        ["\xBE\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xA5"],
        ["\xE6\x86\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x69"],

        ["\xBE\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xA8"],
        ["\xE6\x86\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x6A"],

        ["\xBE\x6C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x86\xAD"],
        ["\xE6\x86\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x6C"],

        ["\x3A\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\xA2\xAB"],
        ["\xF0\xA2\xA2\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xFB"],

        ["\xBE\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x95"],
        ["\xE6\x87\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x75"],

        ["\xBE\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x9D"],
        ["\xE6\x87\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x77"],

        ["\xBE\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\x9F"],
        ["\xE6\x87\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBE\x79"],

        ["\x3A\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x87\xB5"],
        ["\xE6\x87\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xFC"],

        ["\x3A\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\xA6\x8F"],
        ["\xF0\xA2\xA6\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xFD"],

        ["\xBF\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\x95"],
        ["\xE6\x88\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x29"],

        ["\xBF\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xA3"],
        ["\xE6\x88\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x2D"],

        ["\xBF\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x88\xA9"],
        ["\xE6\x88\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x2F"],

        ["\xBF\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x86"],
        ["\xE6\x89\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x36"],

        ["\xBF\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x8C"],
        ["\xE6\x89\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x37"],

        ["\xBF\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x91"],
        ["\xE6\x89\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x39"],

        ["\xBF\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\x92"],
        ["\xE6\x89\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x3A"],

        ["\x3A\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xA1"],
        ["\xE6\x89\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3A\xFE"],

        ["\xBF\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xA4"],
        ["\xE6\x89\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x3F"],

        ["\x3B\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xBB"],
        ["\xE6\x89\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xA1"],

        ["\xBF\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xAD"],
        ["\xE6\x89\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x40"],

        ["\xBF\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x89\xB3"],
        ["\xE6\x89\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x42"],

        ["\x3B\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8A\x99"],
        ["\xE6\x8A\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xA2"],

        ["\xBF\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\x95"],
        ["\xE6\x8B\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x53"],

        ["\x3B\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\xAA\xB8"],
        ["\xF0\xA2\xAA\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xA3"],

        ["\xBF\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8B\xBD"],
        ["\xE6\x8B\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x5A"],

        ["\xBF\x5B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x83"],
        ["\xE6\x8C\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x5B"],

        ["\xBF\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x8D"],
        ["\xE6\x8C\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x5F"],

        ["\xBF\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\x90"],
        ["\xE6\x8C\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x60"],

        ["\x3B\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\xAD\x8F"],
        ["\xF0\xA2\xAD\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xA4"],

        ["\x3B\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\xAD\x90"],
        ["\xF0\xA2\xAD\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xA5"],

        ["\x3B\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xB2"],
        ["\xE6\x8C\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xA6"],

        ["\xBF\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xB5"],
        ["\xE6\x8C\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x67"],

        ["\x3B\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xBB"],
        ["\xE6\x8C\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xA7"],

        ["\xBF\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8C\xBC"],
        ["\xE6\x8C\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x6A"],

        ["\xBF\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x81"],
        ["\xE6\x8D\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x6B"],

        ["\xBF\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x84"],
        ["\xE6\x8D\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x6E"],

        ["\xBF\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x8E"],
        ["\xE6\x8D\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x72"],

        ["\x3B\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\xAD\x86"],
        ["\xF0\xA2\xAD\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xA8"],

        ["\x3B\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\x99"],
        ["\xE6\x8D\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xA9"],

        ["\x3B\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\xB0\x9D"],
        ["\xF0\xA2\xB0\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xAA"],

        ["\x3B\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\xAE\xA6"],
        ["\xF0\xA2\xAE\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xAB"],

        ["\xBF\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8D\xAC"],
        ["\xE6\x8D\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xBF\x7A"],

        ["\xC0\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x84"],
        ["\xE6\x8E\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x26"],

        ["\xC0\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x99"],
        ["\xE6\x8E\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x2C"],

        ["\x3B\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\xB0\xA4"],
        ["\xF0\xA2\xB0\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xAC"],

        ["\xC0\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\x94"],
        ["\xE6\x8E\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x2A"],

        ["\xC0\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8E\xBD"],
        ["\xE6\x8E\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x34"],

        ["\x3B\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xB7"],
        ["\xE6\x8F\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xAD"],

        ["\xC0\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x94"],
        ["\xE6\x8F\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x3B"],

        ["\xC0\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x95"],
        ["\xE6\x8F\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x3C"],

        ["\xC0\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\x9C"],
        ["\xE6\x8F\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x3D"],

        ["\xC0\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xA0"],
        ["\xE6\x8F\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x3E"],

        ["\x3B\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xAB"],
        ["\xE6\x8F\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xAE"],

        ["\xC0\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xAC"],
        ["\xE6\x8F\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x41"],

        ["\xC0\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x8F\xB2"],
        ["\xE6\x8F\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x42"],

        ["\xC0\x47",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\x89"],
        ["\xE6\x90\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x47"],

        ["\xC0\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\x9E"],
        ["\xE6\x90\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x4D"],

        ["\xC0\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xA5"],
        ["\xE6\x90\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x51"],

        ["\xC0\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xA9"],
        ["\xE6\x90\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x52"],

        ["\xC0\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x90\xAF"],
        ["\xE6\x90\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x54"],

        ["\xC0\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\x9A"],
        ["\xE6\x91\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x5F"],

        ["\xC0\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\x9B"],
        ["\xE6\x91\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x60"],

        ["\xC0\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\x9D"],
        ["\xE6\x91\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x62"],

        ["\xC0\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\xB3"],
        ["\xE6\x91\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x68"],

        ["\xC0\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x91\xBD"],
        ["\xE6\x91\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x6B"],

        ["\xC0\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\x87"],
        ["\xE6\x92\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x6D"],

        ["\xC0\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\x91"],
        ["\xE6\x92\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x70"],

        ["\xC0\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x92\x9F"],
        ["\xE6\x92\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC0\x75"],

        ["\xC1\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x8B"],
        ["\xE6\x93\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x24"],

        ["\xC1\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x8C"],
        ["\xE6\x93\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x25"],

        ["\xC1\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x95"],
        ["\xE6\x93\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x29"],

        ["\xC1\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\x97"],
        ["\xE6\x93\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x2A"],

        ["\x3B\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\xB7\xA1"],
        ["\xF0\xA2\xB7\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xAF"],

        ["\xC1\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xA4"],
        ["\xE6\x93\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x2B"],

        ["\xC1\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xA5"],
        ["\xE6\x93\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x2C"],

        ["\xC1\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x93\xBF"],
        ["\xE6\x93\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x34"],

        ["\xC1\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\x84"],
        ["\xE6\x94\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x36"],

        ["\x3B\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA9\xAE"],
        ["\xE3\xA9\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xB0"],

        ["\xC1\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\x8F"],
        ["\xE6\x94\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x3A"],

        ["\xC1\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\x94"],
        ["\xE6\x94\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x3C"],

        ["\xC1\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\x96"],
        ["\xE6\x94\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x3D"],

        ["\x3B\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xA9\xB3"],
        ["\xE3\xA9\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xB1"],

        ["\xC1\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\x9E"],
        ["\xE6\x94\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x40"],

        ["\x3B\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x94\xB2"],
        ["\xE6\x94\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xB2"],

        ["\x3B\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x84"],
        ["\xE6\x95\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xB3"],

        ["\xC1\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\x94"],
        ["\xE6\x95\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x4F"],

        ["\xC1\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xAB"],
        ["\xE6\x95\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x53"],

        ["\xC1\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x95\xBA"],
        ["\xE6\x95\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x54"],

        ["\xC1\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x81"],
        ["\xE6\x96\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x56"],

        ["\x3B\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x84"],
        ["\xE6\x96\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xB4"],

        ["\xC1\x57",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x85"],
        ["\xE6\x96\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x57"],

        ["\xC1\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\x8A"],
        ["\xE6\x96\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x58"],

        ["\xC1\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xB2"],
        ["\xE6\x96\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x61"],

        ["\x3B\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xB5"],
        ["\xE6\x96\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xB5"],

        ["\x3B\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xB8"],
        ["\xE6\x96\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xB6"],

        ["\xC1\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x96\xBF"],
        ["\xE6\x96\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x64"],

        ["\xC1\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x82"],
        ["\xE6\x97\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x65"],

        ["\xC1\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x89"],
        ["\xE6\x97\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x67"],

        ["\xC1\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\x94"],
        ["\xE6\x97\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x6A"],

        ["\x3B\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAB\x96"],
        ["\xE3\xAB\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xB7"],

        ["\xC1\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xB2"],
        ["\xE6\x97\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x6F"],

        ["\xC1\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xB9"],
        ["\xE6\x97\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x72"],

        ["\x3B\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x97\xBC"],
        ["\xE6\x97\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xB8"],

        ["\xC1\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x84"],
        ["\xE6\x98\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x76"],

        ["\xC1\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\x88"],
        ["\xE6\x98\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC1\x77"],

        ["\xC2\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xA1"],
        ["\xE6\x98\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x22"],

        ["\xC2\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x98\xAA"],
        ["\xE6\x98\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x28"],

        ["\xC2\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x85"],
        ["\xE6\x99\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x32"],

        ["\xC2\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x91"],
        ["\xE6\x99\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x36"],

        ["\xC2\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x8E"],
        ["\xE6\x99\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x37"],

        ["\x3B\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAB\xAA"],
        ["\xE3\xAB\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xB9"],

        ["\x3B\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x87\x83"],
        ["\xF0\xA3\x87\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xBA"],

        ["\xC2\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\x9B"],
        ["\xE6\x99\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x3B"],

        ["\x3B\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xA3"],
        ["\xE6\x99\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xBB"],

        ["\x3B\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x87\xB5"],
        ["\xF0\xA3\x87\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xBC"],

        ["\x3B\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x86\xB6"],
        ["\xF0\xA3\x86\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xBD"],

        ["\xC2\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xAA"],
        ["\xE6\x99\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x40"],

        ["\xC2\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xAB"],
        ["\xE6\x99\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x41"],

        ["\xC2\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xAC"],
        ["\xE6\x99\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x42"],

        ["\x3B\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xAD"],
        ["\xE6\x99\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xBE"],

        ["\xC2\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x99\xBB"],
        ["\xE6\x99\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x4A"],

        ["\xC2\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x80"],
        ["\xE6\x9A\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x4B"],

        ["\xC2\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x90"],
        ["\xE6\x9A\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x50"],

        ["\xC2\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\x92"],
        ["\xE6\x9A\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x51"],

        ["\x3B\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAC\x8E"],
        ["\xE3\xAC\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xBF"],

        ["\xC2\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xAD"],
        ["\xE6\x9A\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x59"],

        ["\xC2\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xB1"],
        ["\xE6\x9A\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x5A"],

        ["\xC2\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9A\xB5"],
        ["\xE6\x9A\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x5C"],

        ["\x3B\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAC\x9A"],
        ["\xE3\xAC\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xC0"],

        ["\x3B\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAC\x9C"],
        ["\xE3\xAC\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xC1"],

        ["\xC2\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9B\xAC"],
        ["\xE6\x9B\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x6B"],

        ["\x3B\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAB\x97"],
        ["\xE3\xAB\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xC2"],

        ["\x3B\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x81"],
        ["\xE6\x9C\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xC3"],

        ["\xC2\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x85"],
        ["\xE6\x9C\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x6E"],

        ["\x3B\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x92"],
        ["\xE6\x9C\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xC4"],

        ["\x3B\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x8D\xB2"],
        ["\xF0\xA3\x8D\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xC5"],

        ["\xC2\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9C\x99"],
        ["\xE6\x9C\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x72"],

        ["\x3B\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x8F\x93"],
        ["\xF0\xA3\x8F\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xC6"],

        ["\x3B\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x8F\x92"],
        ["\xF0\xA3\x8F\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xC7"],

        ["\xC2\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x8C"],
        ["\xE6\x9D\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x7B"],

        ["\x3B\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x8D"],
        ["\xE6\x9D\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xC8"],

        ["\xC2\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x94"],
        ["\xE6\x9D\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x7C"],

        ["\xC2\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\x9D"],
        ["\xE6\x9D\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC2\x7E"],

        ["\x3B\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x8F\x90"],
        ["\xF0\xA3\x8F\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xC9"],

        ["\x3B\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x8F\xA4"],
        ["\xF0\xA3\x8F\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xCA"],

        ["\x3B\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x8F\x95"],
        ["\xF0\xA3\x8F\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xCB"],

        ["\xC3\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xB4"],
        ["\xE6\x9D\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x24"],

        ["\xC3\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9D\xB6"],
        ["\xE6\x9D\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x25"],

        ["\x3B\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x8F\x9A"],
        ["\xF0\xA3\x8F\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xCC"],

        ["\x3B\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\x92"],
        ["\xE6\x9E\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xCD"],

        ["\x3B\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x8F\x9F"],
        ["\xF0\xA3\x8F\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xCE"],

        ["\x3B\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\xA3"],
        ["\xE8\x8D\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xCF"],

        ["\x3B\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x90"],
        ["\xE6\xA0\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xD0"],

        ["\xC3\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xB0"],
        ["\xE6\x9E\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x31"],

        ["\xC3\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9E\xB2"],
        ["\xE6\x9E\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x33"],

        ["\xC3\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x83"],
        ["\xE6\x9F\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x3B"],

        ["\xC3\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x88"],
        ["\xE6\x9F\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x3D"],

        ["\xC3\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x92"],
        ["\xE6\x9F\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x3F"],

        ["\xC3\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x99"],
        ["\xE6\x9F\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x41"],

        ["\x3B\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\x9B"],
        ["\xE6\x9F\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xD1"],

        ["\xC3\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xB0"],
        ["\xE6\x9F\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x45"],

        ["\xC3\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\x9F\xB7"],
        ["\xE6\x9F\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x48"],

        ["\x3B\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x91\x8A"],
        ["\xF0\xA3\x91\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xD2"],

        ["\x3B\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x91\x91"],
        ["\xF0\xA3\x91\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xD3"],

        ["\x3B\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x91\x8B"],
        ["\xF0\xA3\x91\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xD4"],

        ["\x3B\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x98"],
        ["\xE6\xA0\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xD5"],

        ["\xC3\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\x9F"],
        ["\xE6\xA0\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x4D"],

        ["\xC3\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xAD"],
        ["\xE6\xA0\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x51"],

        ["\x3B\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x91\xA5"],
        ["\xF0\xA3\x91\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xD6"],

        ["\xC3\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xB3"],
        ["\xE6\xA0\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x55"],

        ["\xC3\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xBB"],
        ["\xE6\xA0\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x56"],

        ["\x3B\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA0\xBE"],
        ["\xE6\xA0\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xD7"],

        ["\xC3\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x85"],
        ["\xE6\xA1\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x59"],

        ["\x3B\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x89"],
        ["\xE6\xA1\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xD8"],

        ["\xC3\x5B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x8C"],
        ["\xE6\xA1\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x5B"],

        ["\xC3\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x95"],
        ["\xE6\xA1\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x5C"],

        ["\xC3\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\x97"],
        ["\xE6\xA1\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x5D"],

        ["\x3B\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAD\xB7"],
        ["\xE3\xAD\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xD9"],

        ["\xC3\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xAB"],
        ["\xE6\xA1\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x60"],

        ["\xC3\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xAE"],
        ["\xE6\xA1\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x61"],

        ["\xC3\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xBA"],
        ["\xE6\xA1\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x68"],

        ["\xC3\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1\xBC"],
        ["\xE6\xA1\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x6A"],

        ["\xC3\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x82"],
        ["\xE6\xA2\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x6B"],

        ["\x3B\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x90"],
        ["\xE6\xA2\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xDA"],

        ["\xC3\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x96"],
        ["\xE6\xA2\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x6F"],

        ["\x3B\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAD\xAD"],
        ["\xE3\xAD\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xDB"],

        ["\xC3\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x98"],
        ["\xE6\xA2\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x70"],

        ["\x3B\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x99"],
        ["\xE6\xA2\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xDC"],

        ["\xC3\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x9A"],
        ["\xE6\xA2\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x71"],

        ["\xC3\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\x9C"],
        ["\xE6\xA2\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x72"],

        ["\xC3\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xAA"],
        ["\xE6\xA2\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x77"],

        ["\x3B\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xAB"],
        ["\xE6\xA2\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xDD"],

        ["\x3B\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xB4"],
        ["\xE6\xA2\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xDE"],

        ["\xC3\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2\xBB"],
        ["\xE6\xA2\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x7A"],

        ["\xC4\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xBB"],
        ["\xE6\xA3\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x32"],

        ["\x3B\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x93\xA4"],
        ["\xF0\xA3\x93\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xDF"],

        ["\x3B\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x95\x9A"],
        ["\xF0\xA3\x95\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xE0"],

        ["\x3B\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x83"],
        ["\xE6\xA3\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xE1"],

        ["\xC3\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x85"],
        ["\xE6\xA3\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x7B"],

        ["\xC3\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x8C"],
        ["\xE6\xA3\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC3\x7D"],

        ["\xC4\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x96"],
        ["\xE6\xA3\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x24"],

        ["\xC4\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\x99"],
        ["\xE6\xA3\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x25"],

        ["\x3B\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xA4"],
        ["\xE6\xA3\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xE2"],

        ["\xC4\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xA5"],
        ["\xE6\xA3\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x28"],

        ["\xC4\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xAC"],
        ["\xE6\xA3\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x2C"],

        ["\x3B\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3\xB7"],
        ["\xE6\xA3\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xE3"],

        ["\x3B\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x83"],
        ["\xE6\xA4\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xE4"],

        ["\x3B\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\x87"],
        ["\xE6\xA4\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xE5"],

        ["\x3B\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAE\x87"],
        ["\xE3\xAE\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xE6"],

        ["\x3B\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAE\x88"],
        ["\xE3\xAE\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xE7"],

        ["\x3B\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x96\x94"],
        ["\xF0\xA3\x96\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xE8"],

        ["\xC4\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4\xBB"],
        ["\xE6\xA4\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x41"],

        ["\x3B\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAE\x8D"],
        ["\xE3\xAE\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xE9"],

        ["\x3B\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\x86"],
        ["\xE6\xA5\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xEA"],

        ["\xC4\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xA9"],
        ["\xE6\xA5\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x4D"],

        ["\xC4\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xAC"],
        ["\xE6\xA5\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x4E"],

        ["\xC4\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xB2"],
        ["\xE6\xA5\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x51"],

        ["\xC4\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xBA"],
        ["\xE6\xA5\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x52"],

        ["\xC4\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5\xBF"],
        ["\xE6\xA5\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x54"],

        ["\xC4\x57",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x92"],
        ["\xE6\xA6\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x57"],

        ["\x3B\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAE\xA4"],
        ["\xE3\xAE\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xEB"],

        ["\xC4\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\x96"],
        ["\xE6\xA6\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x58"],

        ["\xC4\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xA6"],
        ["\xE6\xA6\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x5C"],

        ["\x3B\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xB0"],
        ["\xE6\xA6\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xEC"],

        ["\xC4\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xB7"],
        ["\xE6\xA6\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x61"],

        ["\xC4\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xBA"],
        ["\xE6\xA6\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x63"],

        ["\xC4\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6\xBC"],
        ["\xE6\xA6\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x64"],

        ["\x3B\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x80"],
        ["\xE6\xA7\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xED"],

        ["\xC4\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x91"],
        ["\xE6\xA7\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x67"],

        ["\xC4\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\x96"],
        ["\xE6\xA7\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x68"],

        ["\x3B\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x98\xB9"],
        ["\xF0\xA3\x98\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xEE"],

        ["\x3B\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x99\x87"],
        ["\xF0\xA3\x99\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xEF"],

        ["\x3B\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x98\xB8"],
        ["\xF0\xA3\x98\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xF0"],

        ["\x3B\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x98\xBA"],
        ["\xF0\xA3\x98\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xF1"],

        ["\x3B\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xA3"],
        ["\xE6\xA7\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xF2"],

        ["\xC4\x6C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xAE"],
        ["\xE6\xA7\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x6C"],

        ["\xC4\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xAF"],
        ["\xE6\xA7\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x6D"],

        ["\xC4\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xB3"],
        ["\xE6\xA7\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x6F"],

        ["\x3B\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAF\x8D"],
        ["\xE3\xAF\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xF3"],

        ["\x3B\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xB4"],
        ["\xE6\xA7\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xF4"],

        ["\xC4\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7\xBE"],
        ["\xE6\xA7\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x71"],

        ["\xC4\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x91"],
        ["\xE6\xA8\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x76"],

        ["\xC4\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x9A"],
        ["\xE6\xA8\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x78"],

        ["\xC4\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\x9D"],
        ["\xE6\xA8\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x79"],

        ["\x3B\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x9C\x9C"],
        ["\xF0\xA3\x9C\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xF5"],

        ["\xC4\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xB2"],
        ["\xE6\xA8\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC4\x7E"],

        ["\x3B\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xB3"],
        ["\xE6\xA8\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xF6"],

        ["\xC5\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xB4"],
        ["\xE6\xA8\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x21"],

        ["\xC5\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8\xBF"],
        ["\xE6\xA8\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x25"],

        ["\xC5\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x89"],
        ["\xE6\xA9\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x28"],

        ["\x3B\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\xBA"],
        ["\xE6\xA9\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xF7"],

        ["\xC5\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x8E"],
        ["\xE6\xA9\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x2A"],

        ["\xC5\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\x92"],
        ["\xE6\xA9\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x2D"],

        ["\xC5\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9\xA4"],
        ["\xE6\xA9\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x31"],

        ["\x3B\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x9C\x8C"],
        ["\xF0\xA3\x9C\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xF8"],

        ["\xC5\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x83"],
        ["\xE6\xAA\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x38"],

        ["\xC5\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x8B"],
        ["\xE6\xAA\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x3C"],

        ["\x3B\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xAF\xB0"],
        ["\xE3\xAF\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xF9"],

        ["\xC5\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x91"],
        ["\xE6\xAA\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x3D"],

        ["\xC5\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\x9F"],
        ["\xE6\xAA\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x41"],

        ["\x3B\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xA1"],
        ["\xE6\xAA\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xFA"],

        ["\x3B\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x9D\xA4"],
        ["\xF0\xA3\x9D\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xFB"],

        ["\xC5\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xAB"],
        ["\xE6\xAA\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x43"],

        ["\xC5\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA\xBD"],
        ["\xE6\xAA\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x48"],

        ["\xC5\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x86"],
        ["\xE6\xAB\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x4B"],

        ["\xC5\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x94"],
        ["\xE6\xAB\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x50"],

        ["\xC5\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x90"],
        ["\xE6\xAB\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x4F"],

        ["\xC5\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x9C"],
        ["\xE6\xAB\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x53"],

        ["\xC5\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\x9D"],
        ["\xE6\xAB\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x54"],

        ["\x3B\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x9F\xBF"],
        ["\xF0\xA3\x9F\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xFC"],

        ["\x3B\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\x9F\xA7"],
        ["\xF0\xA3\x9F\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xFD"],

        ["\xC5\x57",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xAC"],
        ["\xE6\xAB\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x57"],

        ["\xC5\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xB1"],
        ["\xE6\xAB\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x59"],

        ["\xC5\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xB2"],
        ["\xE6\xAB\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x5A"],

        ["\x3B\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xB3"],
        ["\xE6\xAB\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3B\xFE"],

        ["\xC5\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB\xBD"],
        ["\xE6\xAB\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x5C"],

        ["\x3C\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xA0\xA4"],
        ["\xF0\xA3\xA0\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xA1"],

        ["\x3C\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x8B"],
        ["\xE6\xAC\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xA2"],

        ["\xC5\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x8F"],
        ["\xE6\xAC\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x62"],

        ["\xC5\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x90"],
        ["\xE6\xAC\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x63"],

        ["\xC5\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x91"],
        ["\xE6\xAC\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x64"],

        ["\x3C\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xA0\xBD"],
        ["\xF0\xA3\xA0\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xA3"],

        ["\xC5\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\x97"],
        ["\xE6\xAC\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x65"],

        ["\x3C\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB0\xA6"],
        ["\xE3\xB0\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xA4"],

        ["\xC5\x6C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC\xAF"],
        ["\xE6\xAC\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x6C"],

        ["\xC5\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x8A"],
        ["\xE6\xAD\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x72"],

        ["\xC5\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\x98"],
        ["\xE6\xAD\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x76"],

        ["\x3C\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xAC"],
        ["\xE6\xAD\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xA5"],

        ["\xC5\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xB5"],
        ["\xE6\xAD\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC5\x7D"],

        ["\x3C\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD\xBA"],
        ["\xE6\xAD\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xA6"],

        ["\x3C\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x81"],
        ["\xE6\xAE\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xA7"],

        ["\xC6\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\x9B"],
        ["\xE6\xAE\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x25"],

        ["\xC6\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xAE"],
        ["\xE6\xAE\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x2E"],

        ["\x3C\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xAA\x98"],
        ["\xF0\xA3\xAA\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xA8"],

        ["\xC6\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xBD"],
        ["\xE6\xAE\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x32"],

        ["\xC6\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE\xBE"],
        ["\xE6\xAE\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x33"],

        ["\x3C\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x87"],
        ["\xE6\xAF\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xA9"],

        ["\x3C\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x88"],
        ["\xE6\xAF\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xAA"],

        ["\xC6\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x89"],
        ["\xE6\xAF\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x36"],

        ["\xC6\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\x9A"],
        ["\xE6\xAF\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x39"],

        ["\xC6\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\xA6"],
        ["\xE6\xAF\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x3C"],

        ["\xC6\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\xA7"],
        ["\xE6\xAF\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x3D"],

        ["\xC6\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\xAE"],
        ["\xE6\xAF\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x3E"],

        ["\xC6\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF\xB1"],
        ["\xE6\xAF\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x3F"],

        ["\xC6\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x82"],
        ["\xE6\xB0\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x43"],

        ["\x3C\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x8A"],
        ["\xE6\xB0\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xAB"],

        ["\xC6\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\x8E"],
        ["\xE6\xB0\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x48"],

        ["\xC6\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\xB5"],
        ["\xE6\xB0\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x53"],

        ["\xC6\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\xB6"],
        ["\xE6\xB0\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x54"],

        ["\xC6\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0\xBA"],
        ["\xE6\xB0\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x55"],

        ["\x3C\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xB1\xBF"],
        ["\xF0\xA3\xB1\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xAC"],

        ["\xC6\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x8D"],
        ["\xE6\xB1\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x5A"],

        ["\xC6\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\x9B"],
        ["\xE6\xB1\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x5F"],

        ["\xC6\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xAD"],
        ["\xE6\xB1\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x62"],

        ["\x3C\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x84"],
        ["\xE6\xB2\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xAD"],

        ["\xC6\x6C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x89"],
        ["\xE6\xB2\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x6C"],

        ["\x3C\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB3\x83"],
        ["\xE3\xB3\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xAE"],

        ["\xC6\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x94"],
        ["\xE6\xB2\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x6D"],

        ["\xC6\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x95"],
        ["\xE6\xB2\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x6E"],

        ["\xC6\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\x97"],
        ["\xE6\xB2\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x6F"],

        ["\x3C\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2\xAD"],
        ["\xE6\xB2\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xAF"],

        ["\xC6\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x82"],
        ["\xE6\xB3\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x76"],

        ["\xC6\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x90"],
        ["\xE6\xB3\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x7A"],

        ["\x3C\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB3\x92"],
        ["\xE3\xB3\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xB0"],

        ["\xC6\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x96"],
        ["\xE6\xB3\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC6\x7E"],

        ["\xC7\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\x9C"],
        ["\xE6\xB3\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x22"],

        ["\xC7\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xA9"],
        ["\xE6\xB3\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x25"],

        ["\xC7\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xAC"],
        ["\xE6\xB3\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x27"],

        ["\x3C\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3\xAD"],
        ["\xE6\xB3\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xB1"],

        ["\x3C\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xB4\x80"],
        ["\xF0\xA3\xB4\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xB2"],

        ["\x3C\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x80"],
        ["\xE6\xB4\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xB3"],

        ["\xC7\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\x8A"],
        ["\xE6\xB4\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x2D"],

        ["\x3C\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xA4"],
        ["\xE6\xB4\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xB4"],

        ["\xC7\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xA6"],
        ["\xE6\xB4\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x33"],

        ["\xC7\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xA7"],
        ["\xE6\xB4\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x34"],

        ["\xC7\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1\xA7"],
        ["\xE6\xB1\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x36"],

        ["\xC7\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xAF"],
        ["\xE6\xB4\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x38"],

        ["\xC7\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xBC"],
        ["\xE6\xB4\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x3B"],

        ["\x3C\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\x9B"],
        ["\xE6\xB5\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xB5"],

        ["\xC7\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\x9E"],
        ["\xE6\xB5\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x3E"],

        ["\x3C\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xA0"],
        ["\xE6\xB5\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xB6"],

        ["\xC7\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5\xB0"],
        ["\xE6\xB5\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x44"],

        ["\x3C\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x80"],
        ["\xE6\xB6\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xB7"],

        ["\x3C\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x81"],
        ["\xE6\xB6\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xB8"],

        ["\x3C\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x8A"],
        ["\xE6\xB6\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xB9"],

        ["\x3C\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x8D"],
        ["\xE6\xB6\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xBA"],

        ["\xC7\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x91"],
        ["\xE6\xB6\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x48"],

        ["\xC7\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\x98"],
        ["\xE6\xB6\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x4D"],

        ["\x3C\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xB5\x80"],
        ["\xF0\xA3\xB5\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xBB"],

        ["\x3C\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x97"],
        ["\xE6\xB8\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xBC"],

        ["\x3C\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xB7\xBA"],
        ["\xF0\xA3\xB7\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xBD"],

        ["\x3C\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xB7\xB9"],
        ["\xF0\xA3\xB7\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xBE"],

        ["\x3C\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xB7\x93"],
        ["\xF0\xA3\xB7\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xBF"],

        ["\x3C\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\xAB"],
        ["\xE6\xB6\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xC0"],

        ["\x3C\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\xAE"],
        ["\xE6\xB6\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xC1"],

        ["\xC7\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6\xB4"],
        ["\xE6\xB6\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x50"],

        ["\x3C\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x82"],
        ["\xE6\xB7\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xC2"],

        ["\x3C\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4\xB4"],
        ["\xE6\xB4\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xC3"],

        ["\xC7\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x88"],
        ["\xE6\xB7\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x56"],

        ["\xC7\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x8E"],
        ["\xE6\xB7\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x58"],

        ["\x3C\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x90"],
        ["\xE6\xB7\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xC4"],

        ["\xC7\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\x9F"],
        ["\xE6\xB7\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x5D"],

        ["\xC7\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xA9"],
        ["\xE6\xB7\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x61"],

        ["\xC7\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7\xB6"],
        ["\xE6\xB7\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x65"],

        ["\xC7\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xB6"],
        ["\xE6\xB8\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x6D"],

        ["\xC7\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\x9E"],
        ["\xE6\xB8\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x69"],

        ["\xC7\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xA2"],
        ["\xE6\xB8\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x6A"],

        ["\x3C\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB4\x91"],
        ["\xE3\xB4\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xC5"],

        ["\xC7\x6C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8\xB2"],
        ["\xE6\xB8\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x6C"],

        ["\xC7\x73",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x88"],
        ["\xE6\xB9\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x73"],

        ["\xC7\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x89"],
        ["\xE6\xB9\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x74"],

        ["\xC7\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x8B"],
        ["\xE6\xB9\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x75"],

        ["\x3C\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x8C"],
        ["\xE6\xB9\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xC6"],

        ["\xC7\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x8F"],
        ["\xE6\xB9\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x76"],

        ["\xC7\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x91"],
        ["\xE6\xB9\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x77"],

        ["\xC7\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x93"],
        ["\xE6\xB9\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x79"],

        ["\xC7\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x94"],
        ["\xE6\xB9\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x7A"],

        ["\xC7\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\x97"],
        ["\xE6\xB9\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC7\x7B"],

        ["\xC8\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9\xA3"],
        ["\xE6\xB9\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x22"],

        ["\x3C\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB4\x9E"],
        ["\xE3\xB4\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xC7"],

        ["\xC8\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\x93"],
        ["\xE6\xBA\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x28"],

        ["\xC8\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xA7"],
        ["\xE6\xBA\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x2B"],

        ["\x3C\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA\xB4"],
        ["\xE6\xBA\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xC8"],

        ["\xC8\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x83"],
        ["\xE6\xBB\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x34"],

        ["\xC8\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x8A"],
        ["\xE6\xBB\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x37"],

        ["\x3C\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\x99"],
        ["\xE6\xBB\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xC9"],

        ["\x3C\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xB5"],
        ["\xE6\xBC\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xCA"],

        ["\xC8\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\xAB"],
        ["\xE6\xBB\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x3B"],

        ["\xC8\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\xB9"],
        ["\xE6\xBB\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x3E"],

        ["\xC8\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB\xBB"],
        ["\xE6\xBB\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x3F"],

        ["\xC8\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x8A"],
        ["\xE6\xBC\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x43"],

        ["\xC8\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x8C"],
        ["\xE6\xBC\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x44"],

        ["\xC8\x47",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\x98"],
        ["\xE6\xBC\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x47"],

        ["\x3C\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xA5"],
        ["\xE6\xBC\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xCB"],

        ["\xC8\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xB6"],
        ["\xE6\xBC\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x50"],

        ["\xC8\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC\xBC"],
        ["\xE6\xBC\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x52"],

        ["\x3C\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xBD\xBE"],
        ["\xF0\xA3\xBD\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xCC"],

        ["\xC8\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x92"],
        ["\xE6\xBD\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x56"],

        ["\xC8\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x97"],
        ["\xE6\xBD\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x58"],

        ["\xC8\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\x9A"],
        ["\xE6\xBD\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x5A"],

        ["\x3C\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xA0"],
        ["\xE6\xBD\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xCD"],

        ["\xC8\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xA8"],
        ["\xE6\xBD\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x5F"],

        ["\x3C\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x98"],
        ["\xE6\xBE\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xCE"],

        ["\xC8\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD\xBD"],
        ["\xE6\xBD\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x61"],

        ["\xC8\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x90"],
        ["\xE6\xBE\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x69"],

        ["\xC8\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x96"],
        ["\xE6\xBE\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x6D"],

        ["\x3C\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xBE"],
        ["\xE6\xBE\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xCF"],

        ["\xC8\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\x9F"],
        ["\xE6\xBE\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x6F"],

        ["\xC8\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xA5"],
        ["\xE6\xBE\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x71"],

        ["\xC8\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE\xAF"],
        ["\xE6\xBE\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x76"],

        ["\x3C\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB5\xA4"],
        ["\xE3\xB5\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xD0"],

        ["\xC8\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x88"],
        ["\xE6\xBF\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC8\x7D"],

        ["\x3C\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x89"],
        ["\xE6\xBF\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xD1"],

        ["\xC9\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x9A"],
        ["\xE6\xBF\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x21"],

        ["\xC9\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\x9E"],
        ["\xE6\xBF\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x22"],

        ["\xC9\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xA9"],
        ["\xE6\xBF\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x24"],

        ["\x3C\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\x82\x96"],
        ["\xF0\xA4\x82\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xD2"],

        ["\xC9\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF\xBC"],
        ["\xE6\xBF\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x28"],

        ["\xC9\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x80"],
        ["\xE7\x80\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x2A"],

        ["\x3C\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\x8A"],
        ["\xE7\x80\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xD3"],

        ["\xC9\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\xA3"],
        ["\xE7\x80\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x31"],

        ["\x3C\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\x84\x83"],
        ["\xF0\xA4\x84\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xD4"],

        ["\xC9\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\xB9"],
        ["\xE7\x80\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x35"],

        ["\x3C\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\xBA"],
        ["\xE7\x80\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xD5"],

        ["\xC9\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x80\xBC"],
        ["\xE7\x80\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x36"],

        ["\xC9\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\x83"],
        ["\xE7\x81\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x37"],

        ["\x3C\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\x87"],
        ["\xE7\x81\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xD6"],

        ["\xC9\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\x8B"],
        ["\xE7\x81\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x3C"],

        ["\x3C\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB6\x9A"],
        ["\xE3\xB6\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xD7"],

        ["\xC9\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\x94"],
        ["\xE7\x81\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x3D"],

        ["\xC9\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xA5"],
        ["\xE7\x81\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x43"],

        ["\x3C\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xA9"],
        ["\xE7\x81\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xD8"],

        ["\xC9\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xAC"],
        ["\xE7\x81\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x44"],

        ["\xC9\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xAE"],
        ["\xE7\x81\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x45"],

        ["\xC9\x47",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xB6"],
        ["\xE7\x81\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x47"],

        ["\xC9\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x81\xBE"],
        ["\xE7\x81\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x48"],

        ["\xC9\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\x81"],
        ["\xE7\x82\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x49"],

        ["\xC9\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\x86"],
        ["\xE7\x82\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x4B"],

        ["\xC9\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\x95"],
        ["\xE7\x82\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x4D"],

        ["\xC9\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\x97"],
        ["\xE7\x82\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x4F"],

        ["\x3C\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\x87\x86"],
        ["\xF0\xA4\x87\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xD9"],

        ["\x3C\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\x9F"],
        ["\xE7\x82\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xDA"],

        ["\xC9\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x82\xB1"],
        ["\xE7\x82\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x55"],

        ["\x3C\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\x87\xBE"],
        ["\xF0\xA4\x87\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xDB"],

        ["\x3C\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\xAC"],
        ["\xE7\x83\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xDC"],

        ["\xC9\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x8A"],
        ["\xE7\x83\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x58"],

        ["\xC9\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x91"],
        ["\xE7\x83\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x59"],

        ["\xC9\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x93"],
        ["\xE7\x83\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x5A"],

        ["\xC9\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x83\x9C"],
        ["\xE7\x83\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x5F"],

        ["\xC9\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x83"],
        ["\xE7\x84\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x62"],

        ["\xC9\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x86"],
        ["\xE7\x84\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x65"],

        ["\xC9\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x87"],
        ["\xE7\x84\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x66"],

        ["\x3C\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x88"],
        ["\xE7\x84\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xDD"],

        ["\xC9\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\x8C"],
        ["\xE7\x84\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x68"],

        ["\x3C\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB7\x80"],
        ["\xE3\xB7\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xDE"],

        ["\xC9\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\xAF"],
        ["\xE7\x84\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x6E"],

        ["\xC9\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x84\xB1"],
        ["\xE7\x84\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x70"],

        ["\xC9\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x90"],
        ["\xE7\x85\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x78"],

        ["\xC9\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x8A"],
        ["\xE7\x85\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x76"],

        ["\x3C\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x93"],
        ["\xE7\x85\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xDF"],

        ["\xC9\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x85\x9E"],
        ["\xE7\x85\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xC9\x7D"],

        ["\x3C\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB7\x94"],
        ["\xE3\xB7\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xE0"],

        ["\x3C\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x96"],
        ["\xE7\x86\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xE1"],

        ["\xCA\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x80"],
        ["\xE7\x86\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x23"],

        ["\xCA\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\x9B"],
        ["\xE7\x86\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x29"],

        ["\xCA\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\xA0"],
        ["\xE7\x86\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x2A"],

        ["\xCA\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\xA2"],
        ["\xE7\x86\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x2B"],

        ["\x3C\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\xAE"],
        ["\xE7\x86\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xE2"],

        ["\xCA\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\xAF"],
        ["\xE7\x86\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x2C"],

        ["\xCA\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x86\xB3"],
        ["\xE7\x86\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x2F"],

        ["\x3C\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\x8E\xBC"],
        ["\xF0\xA4\x8E\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xE3"],

        ["\xCA\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x8B"],
        ["\xE7\x87\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x35"],

        ["\xCA\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x93"],
        ["\xE7\x87\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x37"],

        ["\xCA\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x99"],
        ["\xE7\x87\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x39"],

        ["\xCA\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x87\x9C"],
        ["\xE7\x87\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x3B"],

        ["\xCA\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\x87"],
        ["\xE7\x88\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x3F"],

        ["\x3C\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB8\x85"],
        ["\xE3\xB8\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xE4"],

        ["\x3C\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x89"],
        ["\xEF\xA9\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xE5"],

        ["\xCA\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xAB"],
        ["\xE7\x88\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x48"],

        ["\xCA\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xB4"],
        ["\xE7\x88\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x4A"],

        ["\xCA\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xB8"],
        ["\xE7\x88\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x4B"],

        ["\xCA\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x88\xB9"],
        ["\xE7\x88\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x4C"],

        ["\x3C\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8\xAC"],
        ["\xE4\xB8\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xE6"],

        ["\xCA\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x82"],
        ["\xE7\x89\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x4E"],

        ["\xCA\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x93"],
        ["\xE7\x89\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x54"],

        ["\x3C\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\x97"],
        ["\xE7\x89\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xE7"],

        ["\xCA\x5B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xA3"],
        ["\xE7\x89\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x5B"],

        ["\x3C\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\x98\xA9"],
        ["\xF0\xA4\x98\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xE8"],

        ["\xCA\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xAE"],
        ["\xE7\x89\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x5E"],

        ["\xCA\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xAF"],
        ["\xE7\x89\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x5F"],

        ["\xCA\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xB8"],
        ["\xE7\x89\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x62"],

        ["\xCA\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x89\xBF"],
        ["\xE7\x89\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x65"],

        ["\xCA\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\x8E"],
        ["\xE7\x8A\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x69"],

        ["\x3C\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\x9A\xA5"],
        ["\xF0\xA4\x9A\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xE9"],

        ["\xCA\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xAD"],
        ["\xE7\x8A\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x6D"],

        ["\xCA\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xAE"],
        ["\xE7\x8A\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x6E"],

        ["\x3C\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8A\xB0"],
        ["\xE7\x8A\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xEA"],

        ["\xCA\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x81"],
        ["\xE7\x8B\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x72"],

        ["\x3C\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB9\xA0"],
        ["\xE3\xB9\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xEB"],

        ["\xCA\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\x8C"],
        ["\xE7\x8B\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x75"],

        ["\x3C\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB9\xA6"],
        ["\xE3\xB9\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xEC"],

        ["\x3C\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xB9\xA8"],
        ["\xE3\xB9\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xED"],

        ["\xCA\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xB3"],
        ["\xE7\x8B\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x7B"],

        ["\xCA\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8B\xBA"],
        ["\xE7\x8B\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCA\x7D"],

        ["\xCB\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\x87"],
        ["\xE7\x8C\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x25"],

        ["\xCB\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\x92"],
        ["\xE7\x8C\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x28"],

        ["\xCB\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\x98"],
        ["\xE7\x8C\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x2A"],

        ["\xCB\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\x99"],
        ["\xE7\x8C\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x2B"],

        ["\x3C\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBA\x83"],
        ["\xE3\xBA\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xEE"],

        ["\x3C\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xB9"],
        ["\xE7\x8C\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xEF"],

        ["\xCB\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xAC"],
        ["\xE7\x8C\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x31"],

        ["\xCB\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xB1"],
        ["\xE7\x8C\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x32"],

        ["\x3C\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xB3"],
        ["\xE7\x8C\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xF0"],

        ["\xCB\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8C\xBD"],
        ["\xE7\x8C\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x37"],

        ["\xCB\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\x92"],
        ["\xE7\x8D\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x3B"],

        ["\x3C\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBA\x94"],
        ["\xE3\xBA\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xF1"],

        ["\xCB\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xAB"],
        ["\xE7\x8D\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x45"],

        ["\xCB\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xAC"],
        ["\xE7\x8D\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x46"],

        ["\x3C\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\xA2\x96"],
        ["\xF0\xA4\xA2\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xF2"],

        ["\xCB\x47",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xAE"],
        ["\xE7\x8D\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x47"],

        ["\xCB\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xAF"],
        ["\xE7\x8D\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x48"],

        ["\xCB\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8D\xB1"],
        ["\xE7\x8D\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x49"],

        ["\xCB\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x81"],
        ["\xE7\x8E\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x4E"],

        ["\xCB\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x85"],
        ["\xE7\x8E\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x50"],

        ["\x3C\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x8A"],
        ["\xE7\x8E\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xF3"],

        ["\x3C\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x94"],
        ["\xE7\x8E\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xF4"],

        ["\xCB\x57",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x98"],
        ["\xE7\x8E\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x57"],

        ["\xCB\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x9C"],
        ["\xE7\x8E\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x58"],

        ["\xCB\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\x9E"],
        ["\xE7\x8E\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x59"],

        ["\xCB\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xA5"],
        ["\xE7\x8E\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x5D"],

        ["\x3C\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xA8"],
        ["\xE7\x8E\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xF5"],

        ["\xCB\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xB5"],
        ["\xE7\x8E\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x62"],

        ["\xCB\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xB7"],
        ["\xE7\x8E\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x63"],

        ["\xCB\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xB9"],
        ["\xE7\x8E\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x64"],

        ["\xCB\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xBC"],
        ["\xE7\x8E\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x65"],

        ["\xCB\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8E\xBF"],
        ["\xE7\x8E\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x67"],

        ["\xCB\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x85"],
        ["\xE7\x8F\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x68"],

        ["\xCB\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\x8B"],
        ["\xE7\x8F\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x6B"],

        ["\xCB\x73",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xA1"],
        ["\xE7\x8F\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x73"],

        ["\xCB\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xA7"],
        ["\xE7\x8F\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x76"],

        ["\xCB\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xB9"],
        ["\xE7\x8F\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x7B"],

        ["\x3C\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\x93"],
        ["\xE7\x90\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xF6"],

        ["\xCB\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x8F\xBA"],
        ["\xE7\x8F\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCB\x7C"],

        ["\xCC\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\x81"],
        ["\xE7\x90\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x23"],

        ["\xCC\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xA4"],
        ["\xE7\x90\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x2A"],

        ["\xCC\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xB1"],
        ["\xE7\x90\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x35"],

        ["\xCC\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x90\xB9"],
        ["\xE7\x90\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x36"],

        ["\x3C\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x93"],
        ["\xE7\x91\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xF7"],

        ["\xCC\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x80"],
        ["\xE7\x91\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x37"],

        ["\xCC\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x83"],
        ["\xE7\x91\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x38"],

        ["\xCC\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x8D"],
        ["\xE7\x91\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x3D"],

        ["\xCC\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x92"],
        ["\xE7\x91\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x3F"],

        ["\xCC\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\x9D"],
        ["\xE7\x91\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x41"],

        ["\xCC\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x91\xB1"],
        ["\xE7\x91\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x49"],

        ["\xCC\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x81"],
        ["\xE7\x92\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x4C"],

        ["\xCC\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x85"],
        ["\xE7\x92\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x4D"],

        ["\x3C\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x88"],
        ["\xE7\x92\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xF8"],

        ["\x3C\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\xA9\x8D"],
        ["\xF0\xA4\xA9\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xF9"],

        ["\xCC\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x92"],
        ["\xE7\x92\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x54"],

        ["\x3C\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x97"],
        ["\xE7\x92\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xFA"],

        ["\xCC\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\x99"],
        ["\xE7\x92\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x56"],

        ["\xCC\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xA0"],
        ["\xE7\x92\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x5A"],

        ["\xCC\x5B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xA1"],
        ["\xE7\x92\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x5B"],

        ["\x3C\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xA5"],
        ["\xE7\x92\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xFB"],

        ["\xCC\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xAA"],
        ["\xE7\x92\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x60"],

        ["\xCC\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xAB"],
        ["\xE7\x92\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x61"],

        ["\xCC\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xB9"],
        ["\xE7\x92\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x67"],

        ["\xCC\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xBB"],
        ["\xE7\x92\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x68"],

        ["\x3C\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x92\xBA"],
        ["\xE7\x92\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xFC"],

        ["\x3C\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\x96"],
        ["\xE7\x93\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xFD"],

        ["\xCC\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\x98"],
        ["\xE7\x93\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x6F"],

        ["\xCC\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\x9E"],
        ["\xE7\x93\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x72"],

        ["\xCC\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xAF"],
        ["\xE7\x93\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x78"],

        ["\xCC\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xAB"],
        ["\xE7\x93\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x77"],

        ["\x3C\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\xAD\x96"],
        ["\xF0\xA4\xAD\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3C\xFE"],

        ["\xCC\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x93\xBA"],
        ["\xE7\x93\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCC\x7A"],

        ["\x3D\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\xAD\xAF"],
        ["\xF0\xA4\xAD\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xA1"],

        ["\xCD\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xA0"],
        ["\xE7\x94\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x24"],

        ["\xCD\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xA4"],
        ["\xE7\x94\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x26"],

        ["\xCD\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xAA"],
        ["\xE7\x94\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x29"],

        ["\x3D\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBD\x97"],
        ["\xE3\xBD\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xA2"],

        ["\x3D\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\xB0\x96"],
        ["\xF0\xA4\xB0\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xA3"],

        ["\xCD\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xBD"],
        ["\xE7\x94\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x2D"],

        ["\xCD\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x94\xBE"],
        ["\xE7\x94\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x2E"],

        ["\xCD\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x80"],
        ["\xE7\x95\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x30"],

        ["\xCD\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x88"],
        ["\xE7\x95\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x33"],

        ["\xCD\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x8E"],
        ["\xE7\x95\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x34"],

        ["\xCD\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x90"],
        ["\xE7\x95\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x35"],

        ["\xCD\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\x92"],
        ["\xE7\x95\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x36"],

        ["\x3D\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xAC"],
        ["\xE7\x95\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xA4"],

        ["\x3D\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xB2"],
        ["\xE7\x95\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xA5"],

        ["\xCD\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xB1"],
        ["\xE7\x95\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x3C"],

        ["\xCD\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xBA"],
        ["\xE7\x95\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x3E"],

        ["\xCD\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xBD"],
        ["\xE7\x95\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x41"],

        ["\xCD\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x95\xBE"],
        ["\xE7\x95\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x42"],

        ["\xCD\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x81"],
        ["\xE7\x96\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x43"],

        ["\x3D\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\xB4\x94"],
        ["\xF0\xA4\xB4\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xA6"],

        ["\x3D\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\x8C"],
        ["\xE7\x96\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xA7"],

        ["\x3D\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBD\xB5"],
        ["\xE3\xBD\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xA8"],

        ["\xCD\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xA2"],
        ["\xE7\x96\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x4B"],

        ["\x3D\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBD\xB7"],
        ["\xE3\xBD\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xA9"],

        ["\x3D\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xB0"],
        ["\xE7\x96\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xAA"],

        ["\x3D\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xB7"],
        ["\xE7\x96\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xAB"],

        ["\xCD\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x96\xBF"],
        ["\xE7\x96\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x4F"],

        ["\xCD\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x80"],
        ["\xE7\x97\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x50"],

        ["\xCD\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x86"],
        ["\xE7\x97\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x53"],

        ["\xCD\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x8F"],
        ["\xE7\x97\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x56"],

        ["\x3D\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x93"],
        ["\xE7\x97\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xAC"],

        ["\x3D\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x9D"],
        ["\xE7\x97\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xAD"],

        ["\xCD\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\x9F"],
        ["\xE7\x97\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x59"],

        ["\xCD\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xA0"],
        ["\xE7\x97\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x5A"],

        ["\xCD\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xA7"],
        ["\xE7\x97\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x5D"],

        ["\xCD\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xAC"],
        ["\xE7\x97\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x5E"],

        ["\xCD\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xAE"],
        ["\xE7\x97\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x5F"],

        ["\xCD\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xB1"],
        ["\xE7\x97\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x61"],

        ["\xCD\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x97\xB9"],
        ["\xE7\x97\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x62"],

        ["\xCD\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x83"],
        ["\xE7\x98\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x65"],

        ["\x3D\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x98"],
        ["\xE7\x98\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xAE"],

        ["\xCD\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x87"],
        ["\xE7\x98\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x67"],

        ["\xCD\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x8F"],
        ["\xE7\x98\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x6B"],

        ["\x3D\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBE\xAE"],
        ["\xE3\xBE\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xAF"],

        ["\x3D\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\xB8\x8E"],
        ["\xF0\xA4\xB8\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xB0"],

        ["\xCD\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x93"],
        ["\xE7\x98\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x6D"],

        ["\xCD\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x9B"],
        ["\xE7\x98\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x71"],

        ["\xCD\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\x9C"],
        ["\xE7\x98\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x72"],

        ["\x3D\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\xB8\xB7"],
        ["\xF0\xA4\xB8\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xB1"],

        ["\xCD\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xA5"],
        ["\xE7\x98\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x76"],

        ["\x3D\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xA8"],
        ["\xE7\x98\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xB2"],

        ["\xCE\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xBC"],
        ["\xE7\x98\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x22"],

        ["\xCD\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x98\xB3"],
        ["\xE7\x98\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCD\x7B"],

        ["\x3D\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\xB9\xAA"],
        ["\xF0\xA4\xB9\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xB3"],

        ["\x3D\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBF\x89"],
        ["\xE3\xBF\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xB4"],

        ["\xCE\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x81"],
        ["\xE7\x99\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x25"],

        ["\x3D\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4\xBA\x8B"],
        ["\xF0\xA4\xBA\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xB5"],

        ["\xCE\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x89"],
        ["\xE7\x99\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x29"],

        ["\xCE\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\x95"],
        ["\xE7\x99\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x2B"],

        ["\x3D\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\xBF\x97"],
        ["\xE3\xBF\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xB6"],

        ["\xCE\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x99\xAE"],
        ["\xE7\x99\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x31"],

        ["\xCE\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\x95"],
        ["\xE7\x9A\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x39"],

        ["\x3D\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xA1"],
        ["\xE7\x9A\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xB7"],

        ["\xCE\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xA0"],
        ["\xE7\x9A\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x3E"],

        ["\xCE\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xA7"],
        ["\xE7\x9A\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x44"],

        ["\xCE\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xA8"],
        ["\xE7\x9A\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x45"],

        ["\x3D\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9A\xAF"],
        ["\xE7\x9A\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xB8"],

        ["\x3D\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x81\x8A"],
        ["\xF0\xA5\x81\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xB9"],

        ["\xCE\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\x89"],
        ["\xE7\x9B\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x4B"],

        ["\x3D\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x81\x95"],
        ["\xF0\xA5\x81\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xBA"],

        ["\xCE\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xA8"],
        ["\xE7\x9B\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x53"],

        ["\xCE\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9B\xAC"],
        ["\xE7\x9B\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x54"],

        ["\x3D\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x84\xA2"],
        ["\xF0\xA5\x84\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xBB"],

        ["\xCE\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x97"],
        ["\xE7\x9C\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x61"],

        ["\xCE\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\x9A"],
        ["\xE7\x9C\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x63"],

        ["\xCE\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xAD"],
        ["\xE7\x9C\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x67"],

        ["\xCE\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9C\xB5"],
        ["\xE7\x9C\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x6B"],

        ["\x3D\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x86\xA9"],
        ["\xF0\xA5\x86\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xBC"],

        ["\x3D\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x80\xB9"],
        ["\xE4\x80\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xBD"],

        ["\x3D\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x87\xA5"],
        ["\xF0\xA5\x87\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xBE"],

        ["\x3D\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x87\x8D"],
        ["\xF0\xA5\x87\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xBF"],

        ["\x3D\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\x98"],
        ["\xE7\x9D\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xC0"],

        ["\xCE\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xA0"],
        ["\xE7\x9D\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCE\x7D"],

        ["\xCF\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xAA"],
        ["\xE7\x9D\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x23"],

        ["\x3D\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x88\x9E"],
        ["\xF0\xA5\x88\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xC1"],

        ["\xCF\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xB2"],
        ["\xE7\x9D\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x26"],

        ["\x3D\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xBC"],
        ["\xE7\x9D\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xC2"],

        ["\xCF\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9D\xBD"],
        ["\xE7\x9D\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x2A"],

        ["\x3D\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x89\x8C"],
        ["\xF0\xA5\x89\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xC3"],

        ["\x3D\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x81\x98"],
        ["\xE4\x81\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xC4"],

        ["\xCF\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\x9A"],
        ["\xE7\x9E\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x32"],

        ["\xCF\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\x9F"],
        ["\xE7\x9E\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x33"],

        ["\xCF\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xA2"],
        ["\xE7\x9E\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x34"],

        ["\x3D\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xA4"],
        ["\xE7\x9E\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xC5"],

        ["\x3D\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9E\xA9"],
        ["\xE7\x9E\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xC6"],

        ["\xCF\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\x9E"],
        ["\xE7\x9F\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x42"],

        ["\xCF\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\x9F"],
        ["\xE7\x9F\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x43"],

        ["\xCF\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xA4"],
        ["\xE7\x9F\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x45"],

        ["\xCF\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xA6"],
        ["\xE7\x9F\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x46"],

        ["\xCF\x47",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xAA"],
        ["\xE7\x9F\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x47"],

        ["\xCF\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xAC"],
        ["\xE7\x9F\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x48"],

        ["\x3D\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x82\x93"],
        ["\xE4\x82\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xC7"],

        ["\xCF\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xB0"],
        ["\xE7\x9F\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x49"],

        ["\xCF\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xB4"],
        ["\xE7\x9F\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x4B"],

        ["\xCF\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\x9F\xBB"],
        ["\xE7\x9F\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x4D"],

        ["\x3D\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x90\xAE"],
        ["\xF0\xA5\x90\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xC8"],

        ["\xCF\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\x85"],
        ["\xE7\xA0\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x4E"],

        ["\xCF\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\x86"],
        ["\xE7\xA0\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x4F"],

        ["\xCF\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\x89"],
        ["\xE7\xA0\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x50"],

        ["\xCF\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\x8D"],
        ["\xE7\xA0\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x51"],

        ["\x3D\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\x99"],
        ["\xE7\xA0\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xC9"],

        ["\x3D\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA0\xAC"],
        ["\xE7\xA0\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xCA"],

        ["\xCF\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\x87"],
        ["\xE7\xA1\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x5F"],

        ["\xCF\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1\xAA"],
        ["\xE7\xA1\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x6B"],

        ["\x3D\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x93\x99"],
        ["\xF0\xA5\x93\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xCB"],

        ["\xCF\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x8A"],
        ["\xE7\xA2\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x6F"],

        ["\xCF\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x94"],
        ["\xE7\xA2\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x71"],

        ["\xCF\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xA4"],
        ["\xE7\xA2\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x77"],

        ["\xCF\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x9D"],
        ["\xE7\xA2\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x74"],

        ["\xCF\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x9E"],
        ["\xE7\xA2\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x75"],

        ["\xCF\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\x9F"],
        ["\xE7\xA2\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xCF\x76"],

        ["\xD0\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2\xBB"],
        ["\xE7\xA2\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x21"],

        ["\xD0\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x88"],
        ["\xE7\xA3\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x25"],

        ["\xD0\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x8C"],
        ["\xE7\xA3\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x27"],

        ["\xD0\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x8E"],
        ["\xE7\xA3\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x28"],

        ["\xD0\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\x95"],
        ["\xE7\xA3\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x2B"],

        ["\xD0\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xA0"],
        ["\xE7\xA3\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x30"],

        ["\xD0\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xA1"],
        ["\xE7\xA3\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x31"],

        ["\xD0\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xA6"],
        ["\xE7\xA3\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x32"],

        ["\x3D\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xB9"],
        ["\xE7\xA3\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xCC"],

        ["\xD0\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xBA"],
        ["\xE7\xA3\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x39"],

        ["\xD0\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xBB"],
        ["\xE7\xA3\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x3A"],

        ["\x3D\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3\xBE"],
        ["\xE7\xA3\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xCD"],

        ["\x3D\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x96\xA7"],
        ["\xF0\xA5\x96\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xCE"],

        ["\xD0\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\x90"],
        ["\xE7\xA4\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x3E"],

        ["\x3D\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\x9B"],
        ["\xE7\xA4\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xCF"],

        ["\xD0\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xA5"],
        ["\xE7\xA4\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x44"],

        ["\xD0\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4\xBB"],
        ["\xE7\xA4\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x4B"],

        ["\xD0\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x8A"],
        ["\xE7\xA5\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x51"],

        ["\xD0\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x98"],
        ["\xE7\xA5\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x56"],

        ["\xD0\x57",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\x9B"],
        ["\xE7\xA5\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x57"],

        ["\x3D\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x84\x85"],
        ["\xE4\x84\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xD0"],

        ["\xD0\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\xA7"],
        ["\xE7\xA5\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x59"],

        ["\xD0\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5\xB2"],
        ["\xE7\xA5\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x5C"],

        ["\xD0\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x95"],
        ["\xE7\xA6\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x66"],

        ["\xD0\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\x96"],
        ["\xE7\xA6\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x67"],

        ["\xD0\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xA1"],
        ["\xE7\xA6\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x6B"],

        ["\xD0\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xA9"],
        ["\xE7\xA6\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x6D"],

        ["\xD0\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xB4"],
        ["\xE7\xA6\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x71"],

        ["\xD0\x73",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6\xBB"],
        ["\xE7\xA6\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x73"],

        ["\xD0\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x82"],
        ["\xE7\xA7\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x74"],

        ["\xD0\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x87"],
        ["\xE7\xA7\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x76"],

        ["\x3D\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x8C"],
        ["\xE7\xA7\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xD1"],

        ["\x3D\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x8D"],
        ["\xE7\xA7\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xD2"],

        ["\xD0\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7\x96"],
        ["\xE7\xA7\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD0\x7B"],

        ["\x3D\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x85\x88"],
        ["\xE4\x85\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xD3"],

        ["\x3D\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x9E\xA9"],
        ["\xF0\xA5\x9E\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xD4"],

        ["\x3D\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\x9E\xB4"],
        ["\xF0\xA5\x9E\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xD5"],

        ["\x3D\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x85\x8F"],
        ["\xE4\x85\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xD6"],

        ["\xD1\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x8A"],
        ["\xE7\xA8\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x2E"],

        ["\xD1\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x91"],
        ["\xE7\xA8\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x30"],

        ["\xD1\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x95"],
        ["\xE7\xA8\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x31"],

        ["\xD1\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x9B"],
        ["\xE7\xA8\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x32"],

        ["\xD1\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\x9E"],
        ["\xE7\xA8\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x33"],

        ["\x3D\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x85\xA3"],
        ["\xE4\x85\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xD7"],

        ["\xD1\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xAD"],
        ["\xE7\xA8\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x37"],

        ["\xD1\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8\xB8"],
        ["\xE7\xA8\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x3C"],

        ["\xD1\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x87"],
        ["\xE7\xA9\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x41"],

        ["\xD1\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x8C"],
        ["\xE7\xA9\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x43"],

        ["\xD1\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x96"],
        ["\xE7\xA9\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x45"],

        ["\xD1\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x99"],
        ["\xE7\xA9\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x46"],

        ["\xD1\x47",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x9C"],
        ["\xE7\xA9\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x47"],

        ["\xD1\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\x9F"],
        ["\xE7\xA9\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x49"],

        ["\xD1\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xA0"],
        ["\xE7\xA9\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x4A"],

        ["\xD1\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xA7"],
        ["\xE7\xA9\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x4C"],

        ["\xD1\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xAA"],
        ["\xE7\xA9\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x4D"],

        ["\xD1\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xB5"],
        ["\xE7\xA9\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x4F"],

        ["\xD1\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9\xB8"],
        ["\xE7\xA9\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x50"],

        ["\xD1\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x82"],
        ["\xE7\xAA\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x53"],

        ["\xD1\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x8A"],
        ["\xE7\xAA\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x56"],

        ["\xD1\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\x90"],
        ["\xE7\xAA\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x58"],

        ["\xD1\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xA3"],
        ["\xE7\xAA\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x5D"],

        ["\xD1\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xAC"],
        ["\xE7\xAA\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x5E"],

        ["\x3D\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xA7\x94"],
        ["\xF0\xA5\xA7\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xD8"],

        ["\x3D\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x86\xB4"],
        ["\xE4\x86\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xD9"],

        ["\xD1\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xB9"],
        ["\xE7\xAA\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x61"],

        ["\xD1\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xBC"],
        ["\xE7\xAA\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x63"],

        ["\x3D\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA\xBE"],
        ["\xE7\xAA\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xDA"],

        ["\x3D\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x86\xBF"],
        ["\xE4\x86\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xDB"],

        ["\xD1\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\x8C"],
        ["\xE7\xAB\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x66"],

        ["\xD1\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xA8"],
        ["\xE7\xAB\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x6A"],

        ["\xD1\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB\xB4"],
        ["\xE7\xAB\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x6F"],

        ["\x3D\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xAB\xA4"],
        ["\xF0\xA5\xAB\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xDC"],

        ["\x3D\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xAB\xA3"],
        ["\xF0\xA5\xAB\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xDD"],

        ["\xD1\x73",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\x87"],
        ["\xE7\xAC\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x73"],

        ["\x3D\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xAB\xB1"],
        ["\xF0\xA5\xAB\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xDE"],

        ["\xD2\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xBD"],
        ["\xE7\xAC\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x23"],

        ["\xD1\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xA7"],
        ["\xE7\xAC\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x77"],

        ["\xD1\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xAA"],
        ["\xE7\xAC\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x79"],

        ["\xD1\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xAE"],
        ["\xE7\xAC\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x7C"],

        ["\xD1\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xAF"],
        ["\xE7\xAC\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD1\x7D"],

        ["\xD2\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC\xB1"],
        ["\xE7\xAC\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x21"],

        ["\x3D\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x87\xA6"],
        ["\xE4\x87\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xDF"],

        ["\x3D\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x87\xB3"],
        ["\xE4\x87\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xE0"],

        ["\x3D\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xBF"],
        ["\xE7\xAD\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xE1"],

        ["\xD2\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x81"],
        ["\xE7\xAD\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x26"],

        ["\x3D\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x87\xAE"],
        ["\xE4\x87\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xE2"],

        ["\xD2\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\x95"],
        ["\xE7\xAD\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x29"],

        ["\x3D\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xB9"],
        ["\xE7\xAD\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xE3"],

        ["\xD2\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xA4"],
        ["\xE7\xAD\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x2B"],

        ["\xD2\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xA6"],
        ["\xE7\xAD\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x2C"],

        ["\xD2\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xA9"],
        ["\xE7\xAD\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x2D"],

        ["\xD2\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD\xB3"],
        ["\xE7\xAD\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x32"],

        ["\x3D\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xAE\xB2"],
        ["\xF0\xA5\xAE\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xE4"],

        ["\x3D\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x88\x87"],
        ["\xE4\x88\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xE5"],

        ["\xD2\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x90"],
        ["\xE7\xAE\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x37"],

        ["\xD2\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x91"],
        ["\xE7\xAE\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x38"],

        ["\xD2\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\x9B"],
        ["\xE7\xAE\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x3A"],

        ["\x3D\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x88\x8E"],
        ["\xE4\x88\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xE6"],

        ["\xD2\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\xAF"],
        ["\xE7\xAE\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x3F"],

        ["\xD2\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\xB5"],
        ["\xE7\xAE\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x42"],

        ["\xD2\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE\xBC"],
        ["\xE7\xAE\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x46"],

        ["\xD2\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x85"],
        ["\xE7\xAF\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x49"],

        ["\xD2\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x8A"],
        ["\xE7\xAF\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x4B"],

        ["\x3D\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xB1\x8B"],
        ["\xF0\xA5\xB1\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xE7"],

        ["\x3D\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xB1\xA4"],
        ["\xF0\xA5\xB1\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xE8"],

        ["\xD2\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x94"],
        ["\xE7\xAF\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x4C"],

        ["\xD2\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x96"],
        ["\xE7\xAF\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x4D"],

        ["\xD2\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\x9A"],
        ["\xE7\xAF\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x50"],

        ["\xD2\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\xAA"],
        ["\xE7\xAF\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x53"],

        ["\x3D\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF\xB0"],
        ["\xE7\xAF\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xE9"],

        ["\xD2\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x83"],
        ["\xE7\xB0\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x5E"],

        ["\xD2\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x8B"],
        ["\xE7\xB0\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x62"],

        ["\xD2\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x8E"],
        ["\xE7\xB0\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x64"],

        ["\xD2\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\x8F"],
        ["\xE7\xB0\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x65"],

        ["\xD2\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0\xA6"],
        ["\xE7\xB0\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x6A"],

        ["\x3D\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x85"],
        ["\xE7\xB1\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xEA"],

        ["\xD2\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x8A"],
        ["\xE7\xB1\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x74"],

        ["\xD2\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x91"],
        ["\xE7\xB1\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x76"],

        ["\x3D\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x97"],
        ["\xE7\xB1\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xEB"],

        ["\xD2\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\x9E"],
        ["\xE7\xB1\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD2\x7E"],

        ["\xD3\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xA1"],
        ["\xE7\xB1\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x21"],

        ["\xD3\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xA9"],
        ["\xE7\xB1\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x24"],

        ["\xD3\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xAE"],
        ["\xE7\xB1\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x26"],

        ["\x3D\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xAF"],
        ["\xE7\xB1\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xEC"],

        ["\xD3\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1\xB0"],
        ["\xE7\xB1\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x27"],

        ["\x3D\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xB8\xAE"],
        ["\xF0\xA5\xB8\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xED"],

        ["\x3D\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xB9\x96"],
        ["\xF0\xA5\xB9\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xEE"],

        ["\x3D\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xB9\xA5"],
        ["\xF0\xA5\xB9\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xEF"],

        ["\xD3\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xA6"],
        ["\xE7\xB2\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x32"],

        ["\x3D\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xB9\xA2"],
        ["\xF0\xA5\xB9\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xF0"],

        ["\xD3\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xB6"],
        ["\xE7\xB2\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x34"],

        ["\xD3\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xB7"],
        ["\xE7\xB2\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x35"],

        ["\xD3\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2\xBF"],
        ["\xE7\xB2\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x39"],

        ["\x3D\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xBB\x98"],
        ["\xF0\xA5\xBB\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xF1"],

        ["\xD3\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x84"],
        ["\xE7\xB3\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x3A"],

        ["\x3D\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xBB\x82"],
        ["\xF0\xA5\xBB\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xF2"],

        ["\xD3\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x88"],
        ["\xE7\xB3\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x3C"],

        ["\xD3\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x8D"],
        ["\xE7\xB3\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x3E"],

        ["\x3D\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xBB\xA8"],
        ["\xF0\xA5\xBB\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xF3"],

        ["\xD3\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\x97"],
        ["\xE7\xB3\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x43"],

        ["\x3D\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xBC\xA3"],
        ["\xF0\xA5\xBC\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xF4"],

        ["\xD3\x47",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xA6"],
        ["\xE7\xB3\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x47"],

        ["\xD3\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xAB"],
        ["\xE7\xB3\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x49"],

        ["\x3D\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xBD\x9C"],
        ["\xF0\xA5\xBD\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xF5"],

        ["\xD3\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3\xB5"],
        ["\xE7\xB3\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x4A"],

        ["\xD3\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x83"],
        ["\xE7\xB4\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x4B"],

        ["\xD3\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x89"],
        ["\xE7\xB4\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x4E"],

        ["\x3D\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x8B\x86"],
        ["\xE4\x8B\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xF6"],

        ["\xD3\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x92"],
        ["\xE7\xB4\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x51"],

        ["\xD3\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\x9E"],
        ["\xE7\xB4\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x55"],

        ["\x3D\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xBF\xA0"],
        ["\xF0\xA5\xBF\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xF7"],

        ["\x3D\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xBF\x94"],
        ["\xF0\xA5\xBF\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xF8"],

        ["\xD3\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xBD"],
        ["\xE7\xB4\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x5C"],

        ["\xD3\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4\xBE"],
        ["\xE7\xB4\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x5D"],

        ["\xD3\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x80"],
        ["\xE7\xB5\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x5E"],

        ["\xD3\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x87"],
        ["\xE7\xB5\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x60"],

        ["\x3D\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\x80\x8C"],
        ["\xF0\xA6\x80\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xF9"],

        ["\x3D\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5\xBF\xBB"],
        ["\xF0\xA5\xBF\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xFA"],

        ["\x3D\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x8B\x96"],
        ["\xE4\x8B\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xFB"],

        ["\xD3\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x99"],
        ["\xE7\xB5\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x66"],

        ["\xD3\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\x9A"],
        ["\xE7\xB5\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x67"],

        ["\xD3\x6C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xAA"],
        ["\xE7\xB5\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x6C"],

        ["\xD3\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xB0"],
        ["\xE7\xB5\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x6D"],

        ["\x3D\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x8B\x9D"],
        ["\xE4\x8B\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xFC"],

        ["\xD3\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5\xBF"],
        ["\xE7\xB5\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x71"],

        ["\x3D\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\x80\x97"],
        ["\xF0\xA6\x80\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xFD"],

        ["\xD3\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x86"],
        ["\xE7\xB6\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x76"],

        ["\xD3\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x88"],
        ["\xE7\xB6\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x77"],

        ["\xD3\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x8C"],
        ["\xE7\xB6\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x79"],

        ["\xD3\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x97"],
        ["\xE7\xB6\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x7D"],

        ["\x3D\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\x81\xA0"],
        ["\xF0\xA6\x81\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3D\xFE"],

        ["\xD3\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\x9D"],
        ["\xE7\xB6\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD3\x7E"],

        ["\xD4\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xA7"],
        ["\xE7\xB6\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x23"],

        ["\xD4\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xAA"],
        ["\xE7\xB6\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x24"],

        ["\xD4\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6\xB6"],
        ["\xE7\xB6\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x26"],

        ["\x3E\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x80"],
        ["\xE7\xB7\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xA1"],

        ["\xD4\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x97"],
        ["\xE7\xB7\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x31"],

        ["\xD4\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\x99"],
        ["\xE7\xB7\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x32"],

        ["\xD4\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xA6"],
        ["\xE7\xB7\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x36"],

        ["\xD4\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xB1"],
        ["\xE7\xB7\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x3A"],

        ["\xD4\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7\xB9"],
        ["\xE7\xB7\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x3D"],

        ["\x3E\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x8C\x82"],
        ["\xE4\x8C\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xA2"],

        ["\x3E\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\x83\xAD"],
        ["\xF0\xA6\x83\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xA3"],

        ["\x3E\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x98"],
        ["\xEF\xA9\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xA4"],

        ["\xD4\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x90"],
        ["\xE7\xB8\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x40"],

        ["\xD4\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x97"],
        ["\xE7\xB8\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x43"],

        ["\xD4\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\x9D"],
        ["\xE7\xB8\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x45"],

        ["\xD4\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xA0"],
        ["\xE7\xB8\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x46"],

        ["\xD4\x47",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xA7"],
        ["\xE7\xB8\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x47"],

        ["\xD4\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8\xAC"],
        ["\xE7\xB8\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x49"],

        ["\xD4\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\x85"],
        ["\xE7\xB9\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x50"],

        ["\xD4\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xB3"],
        ["\xE7\xB9\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x5D"],

        ["\x3E\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xB5"],
        ["\xE7\xB9\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xA5"],

        ["\xD4\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9\xBE"],
        ["\xE7\xB9\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x5F"],

        ["\xD4\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x86"],
        ["\xE7\xBA\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x61"],

        ["\xD4\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x87"],
        ["\xE7\xBA\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x62"],

        ["\x3E\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x8C\xAB"],
        ["\xE4\x8C\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xA6"],

        ["\xD4\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x91"],
        ["\xE7\xBA\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x65"],

        ["\xD4\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x98"],
        ["\xE7\xBA\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x67"],

        ["\xD4\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA\x9A"],
        ["\xE7\xBA\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x68"],

        ["\x3E\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x8D\x83"],
        ["\xE4\x8D\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xA7"],

        ["\xD4\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBC\xBC"],
        ["\xE7\xBC\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x6B"],

        ["\xD4\x6C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBC\xBB"],
        ["\xE7\xBC\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x6C"],

        ["\xD4\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBC\xBE"],
        ["\xE7\xBC\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x6E"],

        ["\xD4\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x83"],
        ["\xE7\xBD\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x70"],

        ["\xD4\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x84"],
        ["\xE7\xBD\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x71"],

        ["\xD4\x73",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x8F"],
        ["\xE7\xBD\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x73"],

        ["\x3E\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE3\x93\x81"],
        ["\xE3\x93\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xA8"],

        ["\x3E\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\x89\xB0"],
        ["\xF0\xA6\x89\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xA9"],

        ["\xD4\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\x92"],
        ["\xE7\xBD\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x74"],

        ["\x3E\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\x8A\x86"],
        ["\xF0\xA6\x8A\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xAA"],

        ["\xD4\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xA1"],
        ["\xE7\xBD\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x79"],

        ["\xD4\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xA3"],
        ["\xE7\xBD\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x7A"],

        ["\xD4\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xA4"],
        ["\xE7\xBD\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x7B"],

        ["\xD4\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xAD"],
        ["\xE7\xBD\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD4\x7E"],

        ["\xD5\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xBD"],
        ["\xE7\xBD\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x22"],

        ["\xD5\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD\xBE"],
        ["\xE7\xBD\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x23"],

        ["\x3E\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\x8D\x8C"],
        ["\xF0\xA6\x8D\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xAB"],

        ["\xD5\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x90"],
        ["\xE7\xBE\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x29"],

        ["\x3E\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE5\x85\xBB"],
        ["\xE5\x85\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xAC"],

        ["\x3E\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3\xB4\x8E"],
        ["\xF0\xA3\xB4\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xAD"],

        ["\xD5\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x96"],
        ["\xE7\xBE\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x2B"],

        ["\xD5\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\x9C"],
        ["\xE7\xBE\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x2D"],

        ["\xD5\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE\xAD"],
        ["\xE7\xBE\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x32"],

        ["\x3E\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\x90\x82"],
        ["\xF0\xA6\x90\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xAE"],

        ["\xD5\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x83"],
        ["\xE7\xBF\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x37"],

        ["\xD5\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\x8F"],
        ["\xE7\xBF\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x3A"],

        ["\xD5\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xA3"],
        ["\xE7\xBF\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x3D"],

        ["\xD5\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xA5"],
        ["\xE7\xBF\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x3E"],

        ["\xD5\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xAF"],
        ["\xE7\xBF\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x42"],

        ["\xD5\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF\xB2"],
        ["\xE7\xBF\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x43"],

        ["\x3E\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x82"],
        ["\xE8\x80\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xAF"],

        ["\xD5\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x8A"],
        ["\xE8\x80\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x4A"],

        ["\xD5\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x88"],
        ["\xE8\x80\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x49"],

        ["\xD5\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x8E"],
        ["\xE8\x80\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x4C"],

        ["\xD5\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x91"],
        ["\xE8\x80\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x4E"],

        ["\xD5\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\x96"],
        ["\xE8\x80\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x51"],

        ["\xD5\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xA4"],
        ["\xE8\x80\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x56"],

        ["\xD5\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xAC"],
        ["\xE8\x80\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x58"],

        ["\xD5\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x80\xB0"],
        ["\xE8\x80\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x5A"],

        ["\x3E\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\x83"],
        ["\xE8\x81\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xB0"],

        ["\xD5\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xA6"],
        ["\xE8\x81\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x66"],

        ["\xD5\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xB1"],
        ["\xE8\x81\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x68"],

        ["\xD5\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xB5"],
        ["\xE8\x81\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x69"],

        ["\x3E\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x81\xBB"],
        ["\xE8\x81\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xB1"],

        ["\x3E\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x99"],
        ["\xE8\x82\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xB2"],

        ["\xD5\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\x9C"],
        ["\xE8\x82\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x6D"],

        ["\x3E\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xA4"],
        ["\xE8\x82\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xB3"],

        ["\xD5\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xA7"],
        ["\xE8\x82\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x70"],

        ["\xD5\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x82\xB8"],
        ["\xE8\x82\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x72"],

        ["\x3E\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\x99\xBE"],
        ["\xF0\xA6\x99\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xB4"],

        ["\x3E\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x85"],
        ["\xE8\x83\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xB5"],

        ["\xD5\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x95"],
        ["\xE8\x83\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x79"],

        ["\xD5\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\x98"],
        ["\xE8\x83\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD5\x7B"],

        ["\x3E\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xA6"],
        ["\xE8\x83\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xB6"],

        ["\x3E\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\x9A\xB0"],
        ["\xF0\xA6\x9A\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xB7"],

        ["\x3E\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x8D"],
        ["\xE8\x84\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xB8"],

        ["\x3E\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xB5"],
        ["\xE8\x83\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xB9"],

        ["\x3E\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x83\xBB"],
        ["\xE8\x83\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xBA"],

        ["\x3E\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x8F\xAE"],
        ["\xE4\x8F\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xBB"],

        ["\xD6\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xB5"],
        ["\xE8\x84\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x34"],

        ["\xD6\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x96"],
        ["\xE8\x84\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x2A"],

        ["\xD6\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\x9E"],
        ["\xE8\x84\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x2E"],

        ["\x3E\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x8F\xB0"],
        ["\xE4\x8F\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xBC"],

        ["\xD6\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xA4"],
        ["\xE8\x84\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x30"],

        ["\xD6\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xA7"],
        ["\xE8\x84\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x31"],

        ["\xD6\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xAC"],
        ["\xE8\x84\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x32"],

        ["\x3E\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\x9C\x9D"],
        ["\xF0\xA6\x9C\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xBD"],

        ["\x3E\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x84\xBD"],
        ["\xE8\x84\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xBE"],

        ["\x3E\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x90\x88"],
        ["\xE4\x90\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xBF"],

        ["\xD6\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x85\xA9"],
        ["\xE8\x85\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x41"],

        ["\x3E\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x90\x97"],
        ["\xE4\x90\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xC0"],

        ["\xD6\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x81"],
        ["\xE8\x86\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x45"],

        ["\x3E\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x90\x9C"],
        ["\xE4\x90\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xC1"],

        ["\xD6\x47",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x84"],
        ["\xE8\x86\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x47"],

        ["\xD6\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x85"],
        ["\xE8\x86\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x48"],

        ["\x3E\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x90\xA2"],
        ["\xE4\x90\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xC2"],

        ["\xD6\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\x98"],
        ["\xE8\x86\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x4D"],

        ["\xD6\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x86\xB2"],
        ["\xE8\x86\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x52"],

        ["\x3E\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x81"],
        ["\xE8\x87\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xC3"],

        ["\xD6\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x83"],
        ["\xE8\x87\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x56"],

        ["\x3E\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x96"],
        ["\xE8\x87\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xC4"],

        ["\xD6\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\x9B"],
        ["\xE8\x87\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x5D"],

        ["\x3E\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xA3\x9D"],
        ["\xF0\xA6\xA3\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xC5"],

        ["\xD6\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xA4"],
        ["\xE8\x87\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x61"],

        ["\x3E\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xA3\xAA"],
        ["\xF0\xA6\xA3\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xC6"],

        ["\xD6\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xAC"],
        ["\xE8\x87\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x63"],

        ["\x3E\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xA5\x91"],
        ["\xF0\xA6\xA5\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xC7"],

        ["\xD6\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xBD"],
        ["\xE8\x87\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x6B"],

        ["\xD6\x6C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x87\xBF"],
        ["\xE8\x87\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x6C"],

        ["\x3E\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xA5\xAF"],
        ["\xF0\xA6\xA5\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xC8"],

        ["\x3E\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x84"],
        ["\xE8\x88\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xC9"],

        ["\x3E\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xA7\x9D"],
        ["\xF0\xA6\xA7\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xCA"],

        ["\xD6\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\x99"],
        ["\xE8\x88\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x72"],

        ["\xD6\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xA1"],
        ["\xE8\x88\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x75"],

        ["\xD6\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xA2"],
        ["\xE8\x88\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x76"],

        ["\x3E\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xA8\x9E"],
        ["\xF0\xA6\xA8\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xCB"],

        ["\xD6\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xB2"],
        ["\xE8\x88\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x78"],

        ["\xD6\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xB4"],
        ["\xE8\x88\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x79"],

        ["\x3E\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x88\xBC"],
        ["\xE8\x88\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xCC"],

        ["\xD6\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x86"],
        ["\xE8\x89\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x7E"],

        ["\x3E\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x89"],
        ["\xE8\x89\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xCD"],

        ["\xD6\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x85"],
        ["\xE8\x89\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD6\x7D"],

        ["\x3E\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xA9\x98"],
        ["\xF0\xA6\xA9\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xCE"],

        ["\xD7\x21",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x8B"],
        ["\xE8\x89\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x21"],

        ["\x3E\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x91\xB6"],
        ["\xE4\x91\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xCF"],

        ["\xD7\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x8F"],
        ["\xE8\x89\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x23"],

        ["\x3E\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x91\xBA"],
        ["\xE4\x91\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xD0"],

        ["\x3E\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x97"],
        ["\xE8\x89\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xD1"],

        ["\x3E\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xAA\x8C"],
        ["\xF0\xA6\xAA\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xD2"],

        ["\xD7\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\x9C"],
        ["\xE8\x89\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x26"],

        ["\xD7\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xA3"],
        ["\xE8\x89\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x28"],

        ["\x3E\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xAA\xB7"],
        ["\xF0\xA6\xAA\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xD3"],

        ["\x3E\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x9D"],
        ["\xEF\xA9\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xD4"],

        ["\x3E\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9\x9E"],
        ["\xEF\xA9\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xD5"],

        ["\x3E\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xB9"],
        ["\xE8\x89\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xD6"],

        ["\x3E\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x92\x91"],
        ["\xE4\x92\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xD7"],

        ["\xD7\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xBD"],
        ["\xE8\x89\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x2D"],

        ["\xD7\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x89\xBF"],
        ["\xE8\x89\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x2E"],

        ["\xD7\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\x83"],
        ["\xE8\x8A\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x31"],

        ["\xD7\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\x8A"],
        ["\xE8\x8A\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x35"],

        ["\x3E\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\x93"],
        ["\xE8\x8A\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xD8"],

        ["\xD7\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xA7"],
        ["\xE8\x8A\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x41"],

        ["\xD7\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xA8"],
        ["\xE8\x8A\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x42"],

        ["\xD7\x47",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xB2"],
        ["\xE8\x8A\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x47"],

        ["\xD7\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xB4"],
        ["\xE8\x8A\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x48"],

        ["\xD7\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xBA"],
        ["\xE8\x8A\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x4A"],

        ["\xD7\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8A\xBC"],
        ["\xE8\x8A\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x4B"],

        ["\xD7\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xA2"],
        ["\xE8\x8B\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x53"],

        ["\xD7\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xA8"],
        ["\xE8\x8B\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x55"],

        ["\xD7\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8B\xB7"],
        ["\xE8\x8B\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x5A"],

        ["\xD7\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x87"],
        ["\xE8\x8C\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x5F"],

        ["\xD7\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x88"],
        ["\xE8\x8C\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x60"],

        ["\x3E\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x8C"],
        ["\xE8\x8C\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xD9"],

        ["\xD7\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x94"],
        ["\xE8\x8D\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x63"],

        ["\xD7\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x9B"],
        ["\xE8\x8C\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x64"],

        ["\xD7\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\x9D"],
        ["\xE8\x8C\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x65"],

        ["\xD7\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xB0"],
        ["\xE8\x8C\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x6D"],

        ["\xD7\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8C\xBC"],
        ["\xE8\x8C\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x71"],

        ["\xD7\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x84"],
        ["\xE8\x8D\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x75"],

        ["\xD7\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8D\x97"],
        ["\xE8\x8D\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD7\x7C"],

        ["\x3E\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x92\xBE"],
        ["\xE4\x92\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xDA"],

        ["\x3E\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x93\x94"],
        ["\xE4\x93\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xDB"],

        ["\x3E\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x92\xB3"],
        ["\xE4\x92\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xDC"],

        ["\xD8\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x8D"],
        ["\xE8\x8E\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x27"],

        ["\xD8\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x94"],
        ["\xE8\x8E\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x29"],

        ["\xD8\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x95"],
        ["\xE8\x8E\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x2A"],

        ["\xD8\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x9B"],
        ["\xE8\x8E\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x2D"],

        ["\xD8\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8E\x9D"],
        ["\xE8\x8E\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x2F"],

        ["\xD8\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x89"],
        ["\xE8\x8F\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x38"],

        ["\xD8\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x90"],
        ["\xE8\x8F\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x3A"],

        ["\xD8\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x94"],
        ["\xE8\x8F\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x3C"],

        ["\xD8\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\x9D"],
        ["\xE8\x8F\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x3D"],

        ["\x3E\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xA5"],
        ["\xE8\x8F\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xDD"],

        ["\xD8\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x8F\xB9"],
        ["\xE8\x8F\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x43"],

        ["\xD8\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x8F"],
        ["\xE8\x90\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x48"],

        ["\xD8\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x91"],
        ["\xE8\x90\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x49"],

        ["\xD8\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x95"],
        ["\xE8\x90\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x4A"],

        ["\x3E\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xB1\xB3"],
        ["\xF0\xA6\xB1\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xDE"],

        ["\x3E\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\x97"],
        ["\xE8\x90\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xDF"],

        ["\xD8\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x90\xB9"],
        ["\xE8\x90\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x4E"],

        ["\xD8\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x8A"],
        ["\xE8\x91\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x52"],

        ["\xD8\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x8F"],
        ["\xE8\x91\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x54"],

        ["\xD8\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x91"],
        ["\xE8\x91\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x55"],

        ["\xD8\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x92"],
        ["\xE8\x91\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x56"],

        ["\xD8\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x99"],
        ["\xE8\x91\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x59"],

        ["\xD8\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x9A"],
        ["\xE8\x91\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x5A"],

        ["\xD8\x5B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\x9C"],
        ["\xE8\x91\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x5B"],

        ["\x3E\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xB3\x9D"],
        ["\xF0\xA6\xB3\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xE0"],

        ["\xD8\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xA5"],
        ["\xE8\x91\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x5E"],

        ["\xD8\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xB6"],
        ["\xE8\x91\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x64"],

        ["\xD8\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xB8"],
        ["\xE8\x91\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x65"],

        ["\xD8\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x91\xBC"],
        ["\xE8\x91\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x66"],

        ["\xD8\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x81"],
        ["\xE8\x92\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x68"],

        ["\x3E\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x94\x8D"],
        ["\xE4\x94\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xE1"],

        ["\x3E\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\x97"],
        ["\xE8\x92\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xE2"],

        ["\xD8\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xA6"],
        ["\xE8\x92\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x6E"],

        ["\xD8\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x92\xBE"],
        ["\xE8\x92\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x77"],

        ["\x3E\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x94\x88"],
        ["\xE4\x94\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xE3"],

        ["\x3E\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x8E"],
        ["\xE8\x93\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xE4"],

        ["\xD8\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x8F"],
        ["\xE8\x93\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x7D"],

        ["\xD8\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\x93"],
        ["\xE8\x93\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD8\x7E"],

        ["\x3E\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xB9\xA5"],
        ["\xF0\xA6\xB9\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xE5"],

        ["\xD9\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xA7"],
        ["\xE8\x93\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x22"],

        ["\xD9\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xAA"],
        ["\xE8\x93\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x23"],

        ["\xD9\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xAF"],
        ["\xE8\x93\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x24"],

        ["\xD9\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xB0"],
        ["\xE8\x93\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x25"],

        ["\xD9\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xB1"],
        ["\xE8\x93\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x26"],

        ["\xD9\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xBA"],
        ["\xE8\x93\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x2A"],

        ["\xD9\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x93\xBD"],
        ["\xE8\x93\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x2C"],

        ["\xD9\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x8C"],
        ["\xE8\x94\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x30"],

        ["\x3E\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\x9B"],
        ["\xE8\x94\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xE6"],

        ["\xD9\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xA4"],
        ["\xE8\x94\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x37"],

        ["\xD9\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xA5"],
        ["\xE8\x94\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x38"],

        ["\xD9\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xAB"],
        ["\xE8\x94\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x3B"],

        ["\xD9\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xB4"],
        ["\xE8\x94\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x3E"],

        ["\xD9\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x8F"],
        ["\xE8\x95\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x42"],

        ["\xD9\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xAF"],
        ["\xE8\x95\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x52"],

        ["\x3E\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x94\xA5"],
        ["\xE4\x94\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xE7"],

        ["\x3E\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x95\x83"],
        ["\xE4\x95\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xE8"],

        ["\x3E\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x94\xBE"],
        ["\xE8\x94\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xE9"],

        ["\xD9\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x91"],
        ["\xE8\x95\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x44"],

        ["\xD9\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\x9E"],
        ["\xE8\x95\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x4B"],

        ["\xD9\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xA1"],
        ["\xE8\x95\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x4E"],

        ["\xD9\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xA2"],
        ["\xE8\x95\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x4F"],

        ["\x3E\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xBE\x94"],
        ["\xF0\xA6\xBE\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xEA"],

        ["\xD9\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xBB"],
        ["\xE8\x95\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x55"],

        ["\xD9\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xBD"],
        ["\xE8\x95\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x56"],

        ["\xD9\x57",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x95\xBF"],
        ["\xE8\x95\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x57"],

        ["\xD9\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x81"],
        ["\xE8\x96\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x58"],

        ["\xD9\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x86"],
        ["\xE8\x96\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x5A"],

        ["\xD9\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x93"],
        ["\xE8\x96\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x5F"],

        ["\xD9\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x9D"],
        ["\xE8\x96\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x61"],

        ["\xD9\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\x9F"],
        ["\xE8\x96\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x62"],

        ["\x3E\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xBF\xB8"],
        ["\xF0\xA6\xBF\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xEB"],

        ["\x3E\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xBF\xB6"],
        ["\xF0\xA6\xBF\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xEC"],

        ["\x3E\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6\xBF\xB7"],
        ["\xF0\xA6\xBF\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xED"],

        ["\xD9\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xB7"],
        ["\xE8\x96\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x69"],

        ["\xD9\x6B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x96\xBC"],
        ["\xE8\x96\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x6B"],

        ["\xD9\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x87"],
        ["\xE8\x97\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x70"],

        ["\xD9\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x8A"],
        ["\xE8\x97\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x71"],

        ["\xD9\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x98"],
        ["\xE8\x97\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x75"],

        ["\x3E\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x99"],
        ["\xE8\x97\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xEE"],

        ["\xD9\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\x9F"],
        ["\xE8\x97\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x77"],

        ["\x3E\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xA1"],
        ["\xE8\x97\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xEF"],

        ["\xD9\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xA6"],
        ["\xE8\x97\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x79"],

        ["\xD9\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x97\xB6"],
        ["\xE8\x97\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xD9\x7D"],

        ["\xDA\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x80"],
        ["\xE8\x98\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x22"],

        ["\xDA\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x91"],
        ["\xE8\x98\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x28"],

        ["\xDA\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\x9E"],
        ["\xE8\x98\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x2D"],

        ["\xDA\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xA1"],
        ["\xE8\x98\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x2E"],

        ["\x3E\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xA4"],
        ["\xE8\x98\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xF0"],

        ["\xDA\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xA7"],
        ["\xE8\x98\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x2F"],

        ["\x3E\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x84\x8D"],
        ["\xF0\xA7\x84\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xF1"],

        ["\x3E\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xB9"],
        ["\xE8\x98\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xF2"],

        ["\xDA\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x98\xBC"],
        ["\xE8\x98\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x34"],

        ["\x3E\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x84\xB9"],
        ["\xF0\xA7\x84\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xF3"],

        ["\xDA\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x80"],
        ["\xE8\x99\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x36"],

        ["\xDA\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x93"],
        ["\xE8\x99\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x3A"],

        ["\xDA\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\x96"],
        ["\xE8\x99\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x3B"],

        ["\xDA\x47",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\xAF"],
        ["\xE8\x99\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x47"],

        ["\xDA\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\xB7"],
        ["\xE8\x99\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x4A"],

        ["\xDA\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x99\xBA"],
        ["\xE8\x99\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x4B"],

        ["\x3E\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x87"],
        ["\xE8\x9A\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xF4"],

        ["\x3E\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x89"],
        ["\xE8\x9A\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xF5"],

        ["\xDA\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x8D"],
        ["\xE8\x9A\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x4C"],

        ["\xDA\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x91"],
        ["\xE8\x9A\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x4D"],

        ["\xDA\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x9C"],
        ["\xE8\x9A\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x51"],

        ["\x3E\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\x9D"],
        ["\xE8\x9A\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xF6"],

        ["\xDA\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xA8"],
        ["\xE8\x9A\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x55"],

        ["\xDA\x57",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xB1"],
        ["\xE8\x9A\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x57"],

        ["\xDA\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9A\xB3"],
        ["\xE8\x9A\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x58"],

        ["\xDA\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x81"],
        ["\xE8\x9B\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x60"],

        ["\xDA\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x83"],
        ["\xE8\x9B\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x61"],

        ["\xDA\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x91"],
        ["\xE8\x9B\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x63"],

        ["\xDA\x65",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x95"],
        ["\xE8\x9B\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x65"],

        ["\xDA\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\x97"],
        ["\xE8\x9B\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x66"],

        ["\xDA\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xA3"],
        ["\xE8\x9B\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x6A"],

        ["\x3E\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9B\xA6"],
        ["\xE8\x9B\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xF7"],

        ["\x3E\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x96\xB8"],
        ["\xE4\x96\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xF8"],

        ["\xDA\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x85"],
        ["\xE8\x9C\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x72"],

        ["\xDA\x73",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x87"],
        ["\xE8\x9C\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x73"],

        ["\xDA\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x8E"],
        ["\xE8\x9C\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x75"],

        ["\xDA\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x90"],
        ["\xE8\x9C\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x77"],

        ["\xDA\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x93"],
        ["\xE8\x9C\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x78"],

        ["\xDA\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x99"],
        ["\xE8\x9C\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x7A"],

        ["\xDA\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\x9F"],
        ["\xE8\x9C\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x7C"],

        ["\xDA\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\xA1"],
        ["\xE8\x9C\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x7D"],

        ["\xDA\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\xA3"],
        ["\xE8\x9C\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDA\x7E"],

        ["\xDB\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\xB1"],
        ["\xE8\x9C\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x24"],

        ["\xDB\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\xBA"],
        ["\xE8\x9C\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x27"],

        ["\xDB\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9C\xBE"],
        ["\xE8\x9C\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x2A"],

        ["\xDB\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x80"],
        ["\xE8\x9D\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x2B"],

        ["\xDB\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x83"],
        ["\xE8\x9D\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x2C"],

        ["\x3E\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x91"],
        ["\xE8\x9D\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xF9"],

        ["\xDB\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\x98"],
        ["\xE8\x9D\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x2F"],

        ["\xDB\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xA4"],
        ["\xE8\x9D\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x32"],

        ["\xDB\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xA5"],
        ["\xE8\x9D\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x33"],

        ["\xDB\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xB2"],
        ["\xE8\x9D\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x36"],

        ["\x3E\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9D\xBC"],
        ["\xE8\x9D\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xFA"],

        ["\x3E\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x8F\x9B"],
        ["\xF0\xA7\x8F\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xFB"],

        ["\x3E\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x8F\x9A"],
        ["\xF0\xA7\x8F\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xFC"],

        ["\xDB\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xA7"],
        ["\xE8\x9E\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x4A"],

        ["\xDB\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\x89"],
        ["\xE8\x9E\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x3E"],

        ["\xDB\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\x8B"],
        ["\xE8\x9E\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x3F"],

        ["\xDB\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\x93"],
        ["\xE8\x9E\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x42"],

        ["\xDB\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xA0"],
        ["\xE8\x9E\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x48"],

        ["\x3E\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x8F\xBE"],
        ["\xF0\xA7\x8F\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xFD"],

        ["\x3E\xFE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x97\xA5"],
        ["\xE4\x97\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3E\xFE"],

        ["\xDB\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9E\xBE"],
        ["\xE8\x9E\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x50"],

        ["\x3F\xA1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x90\x90"],
        ["\xF0\xA7\x90\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xA1"],

        ["\xDB\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\x81"],
        ["\xE8\x9F\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x52"],

        ["\xDB\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\x8E"],
        ["\xE8\x9F\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x56"],

        ["\x3F\xA2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xB5"],
        ["\xE8\x9F\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xA2"],

        ["\xDB\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\x9F"],
        ["\xE8\x9F\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x5C"],

        ["\x3F\xA3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x91\x89"],
        ["\xF0\xA7\x91\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xA3"],

        ["\xDB\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xA3"],
        ["\xE8\x9F\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x5E"],

        ["\x3F\xA4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xA5"],
        ["\xE8\x9F\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xA4"],

        ["\x3F\xA5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xA6"],
        ["\xE8\x9F\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xA5"],

        ["\xDB\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xAA"],
        ["\xE8\x9F\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x60"],

        ["\xDB\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xAB"],
        ["\xE8\x9F\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x61"],

        ["\xDB\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\x9F\xAD"],
        ["\xE8\x9F\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x62"],

        ["\xDB\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x81"],
        ["\xE8\xA0\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x68"],

        ["\xDB\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x83"],
        ["\xE8\xA0\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x69"],

        ["\xDB\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x8B"],
        ["\xE8\xA0\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x6D"],

        ["\xDB\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\x93"],
        ["\xE8\xA0\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x71"],

        ["\xDB\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xA8"],
        ["\xE8\xA0\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x79"],

        ["\xDB\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xAE"],
        ["\xE8\xA0\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x7B"],

        ["\xDB\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xB2"],
        ["\xE8\xA0\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDB\x7D"],

        ["\xDC\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA0\xBC"],
        ["\xE8\xA0\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x22"],

        ["\x3F\xA6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x98\x8F"],
        ["\xE4\x98\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xA6"],

        ["\xDC\x28",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x8A"],
        ["\xE8\xA1\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x28"],

        ["\xDC\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x98"],
        ["\xE8\xA1\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x2E"],

        ["\xDC\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\x9F"],
        ["\xE8\xA1\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x31"],

        ["\xDC\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xA4"],
        ["\xE8\xA1\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x33"],

        ["\x3F\xA7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x98\x95"],
        ["\xF0\xA7\x98\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xA7"],

        ["\x3F\xA8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x98\x94"],
        ["\xF0\xA7\x98\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xA8"],

        ["\xDC\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xA9"],
        ["\xE8\xA1\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x34"],

        ["\x3F\xA9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x98\xB1"],
        ["\xF0\xA7\x98\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xA9"],

        ["\x3F\xAA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1\xAF"],
        ["\xE8\xA1\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xAA"],

        ["\xDC\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xA0"],
        ["\xE8\xA2\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x3E"],

        ["\x3F\xAB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xBC"],
        ["\xE8\xA2\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xAB"],

        ["\xDC\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xBD"],
        ["\xE8\xA2\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x42"],

        ["\xDC\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2\xBE"],
        ["\xE8\xA2\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x43"],

        ["\xDC\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x80"],
        ["\xE8\xA3\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x44"],

        ["\xDC\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x92"],
        ["\xE8\xA3\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x4B"],

        ["\x3F\xAC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x9A\x93"],
        ["\xF0\xA7\x9A\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xAC"],

        ["\xDC\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x91"],
        ["\xE8\xA3\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x4A"],

        ["\xDC\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x93"],
        ["\xE8\xA3\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x4C"],

        ["\xDC\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\x9B"],
        ["\xE8\xA3\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x4D"],

        ["\xDC\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xB0"],
        ["\xE8\xA3\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x51"],

        ["\xDC\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3\xB1"],
        ["\xE8\xA3\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x52"],

        ["\x3F\xAD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x99\x81"],
        ["\xE4\x99\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xAD"],

        ["\xDC\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\x81"],
        ["\xE8\xA4\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x55"],

        ["\x3F\xAE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x9C\x8E"],
        ["\xF0\xA7\x9C\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xAE"],

        ["\x3F\xAF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4\xB7"],
        ["\xE8\xA4\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xAF"],

        ["\x3F\xB0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x9C\xA3"],
        ["\xF0\xA7\x9C\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xB0"],

        ["\xDC\x6C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x82"],
        ["\xE8\xA5\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x6C"],

        ["\xDC\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x85"],
        ["\xE8\xA5\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x6D"],

        ["\xDC\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\x89"],
        ["\xE8\xA5\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x6F"],

        ["\x3F\xB1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\x9D\x92"],
        ["\xF0\xA7\x9D\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xB1"],

        ["\x3F\xB2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x99\xA5"],
        ["\xE4\x99\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xB2"],

        ["\xDC\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5\xA2"],
        ["\xE8\xA5\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDC\x77"],

        ["\x3F\xB3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x80"],
        ["\xE8\xA6\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xB3"],

        ["\xDD\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x89"],
        ["\xE8\xA6\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x24"],

        ["\xDD\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x90"],
        ["\xE8\xA6\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x26"],

        ["\xDD\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\x9F"],
        ["\xE8\xA6\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x2B"],

        ["\xDD\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xB0"],
        ["\xE8\xA6\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x2E"],

        ["\xDD\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6\xB7"],
        ["\xE8\xA6\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x32"],

        ["\xDD\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\x96"],
        ["\xE8\xA7\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x36"],

        ["\xDD\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\x98"],
        ["\xE8\xA7\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x38"],

        ["\xDD\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xAB"],
        ["\xE8\xA7\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x3B"],

        ["\x3F\xB4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x9A\xA1"],
        ["\xE4\x9A\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xB4"],

        ["\xDD\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xB1"],
        ["\xE8\xA7\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x3D"],

        ["\xDD\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xB3"],
        ["\xE8\xA7\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x3E"],

        ["\xDD\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xBD"],
        ["\xE8\xA7\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x41"],

        ["\xDD\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7\xBF"],
        ["\xE8\xA7\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x42"],

        ["\x3F\xB5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x9A\xAF"],
        ["\xE4\x9A\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xB5"],

        ["\xDD\x47",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x91"],
        ["\xE8\xA8\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x47"],

        ["\xDD\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\x94"],
        ["\xE8\xA8\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x49"],

        ["\x3F\xB6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\xA6\x85"],
        ["\xF0\xA7\xA6\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xB6"],

        ["\x3F\xB7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xA1"],
        ["\xE8\xA8\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xB7"],

        ["\xDD\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xB5"],
        ["\xE8\xA8\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x53"],

        ["\xDD\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8\xBE"],
        ["\xE8\xA8\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x56"],

        ["\xDD\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x85"],
        ["\xE8\xA9\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x59"],

        ["\xDD\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x8D"],
        ["\xE8\xA9\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x5C"],

        ["\xDD\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9\x98"],
        ["\xE8\xA9\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x61"],

        ["\xDD\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xAE"],
        ["\xE8\xAA\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x7C"],

        ["\xDD\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\x90"],
        ["\xE8\xAA\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDD\x74"],

        ["\xDE\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA\xB7"],
        ["\xE8\xAA\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x22"],

        ["\xDE\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\x97"],
        ["\xE8\xAB\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x2E"],

        ["\xDE\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB\xBC"],
        ["\xE8\xAB\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x36"],

        ["\x3F\xB8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\xAA\x84"],
        ["\xF0\xA7\xAA\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xB8"],

        ["\xDE\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x8A"],
        ["\xE8\xAC\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x3F"],

        ["\xDE\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x85"],
        ["\xE8\xAC\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x38"],

        ["\x3F\xB9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x8D"],
        ["\xE8\xAC\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xB9"],

        ["\xDE\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x9C"],
        ["\xE8\xAC\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x3C"],

        ["\xDE\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\x9F"],
        ["\xE8\xAC\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x3E"],

        ["\xDE\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC\xAD"],
        ["\xE8\xAC\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x40"],

        ["\xDE\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x83"],
        ["\xE8\xAD\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x45"],

        ["\x3F\xBA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x9C\x8C"],
        ["\xE4\x9C\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xBA"],

        ["\x3F\xBB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x91"],
        ["\xE8\xAD\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xBB"],

        ["\xDE\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\x9E"],
        ["\xE8\xAD\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x4F"],

        ["\xDE\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD\xB6"],
        ["\xE8\xAD\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x52"],

        ["\xDE\x57",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x81"],
        ["\xE8\xAE\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x57"],

        ["\xDE\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x8B"],
        ["\xE8\xAE\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x5A"],

        ["\xDE\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x94"],
        ["\xE8\xAE\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x5D"],

        ["\xDE\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x95"],
        ["\xE8\xAE\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x5E"],

        ["\xDE\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x9C"],
        ["\xE8\xAE\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x5F"],

        ["\xDE\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE\x9E"],
        ["\xE8\xAE\x9E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x60"],

        ["\xDE\x63",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB0\xB9"],
        ["\xE8\xB0\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x63"],

        ["\x3F\xBC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\xAE\xB3"],
        ["\xF0\xA7\xAE\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xBC"],

        ["\xDE\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB0\xBD"],
        ["\xE8\xB0\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x64"],

        ["\x3F\xBD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\xAE\xBE"],
        ["\xF0\xA7\xAE\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xBD"],

        ["\x3F\xBE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\xAF\x87"],
        ["\xF0\xA7\xAF\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xBE"],

        ["\xDE\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x85"],
        ["\xE8\xB1\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x66"],

        ["\xDE\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x87"],
        ["\xE8\xB1\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x67"],

        ["\xDE\x6A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x8F"],
        ["\xE8\xB1\x8F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x6A"],

        ["\xDE\x6D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1\x94"],
        ["\xE8\xB1\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDE\x6D"],

        ["\xDF\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2\xA4"],
        ["\xE8\xB2\xA4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x29"],

        ["\xDF\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x96"],
        ["\xE8\xB3\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x31"],

        ["\xDF\x32",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x95"],
        ["\xE8\xB3\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x32"],

        ["\xDF\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\x99"],
        ["\xE8\xB3\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x33"],

        ["\x3F\xBF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\xB6\xA0"],
        ["\xF0\xA7\xB6\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xBF"],

        ["\x3F\xC0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3\xB1"],
        ["\xE8\xB3\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xC0"],

        ["\x3F\xC1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\xB8\x90"],
        ["\xF0\xA7\xB8\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xC1"],

        ["\xDF\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x89"],
        ["\xE8\xB4\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x42"],

        ["\x3F\xC2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4\x8E"],
        ["\xE8\xB4\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xC2"],

        ["\xDF\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5\xAC"],
        ["\xE8\xB5\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x48"],

        ["\xDF\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\x84"],
        ["\xE8\xB6\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x4C"],

        ["\xDF\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\x95"],
        ["\xE8\xB6\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x51"],

        ["\xDF\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6\xA6"],
        ["\xE8\xB6\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x55"],

        ["\x3F\xC3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7\xBE\xB7"],
        ["\xF0\xA7\xBE\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xC3"],

        ["\xDF\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x86"],
        ["\xE8\xB7\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x60"],

        ["\xDF\x62",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x88"],
        ["\xE8\xB7\x88",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x62"],

        ["\xDF\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\x99"],
        ["\xE8\xB7\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x69"],

        ["\x3F\xC4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\x9F\xBD"],
        ["\xE4\x9F\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xC4"],

        ["\xDF\x73",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7\xBD"],
        ["\xE8\xB7\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x73"],

        ["\xDF\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8\xA2"],
        ["\xE8\xB8\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xDF\x7E"],

        ["\x3F\xC5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA0\x96"],
        ["\xE4\xA0\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xC5"],

        ["\x3F\xC6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA1\x8E"],
        ["\xE4\xA1\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xC6"],

        ["\xE1\x3C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF\x8D"],
        ["\xE8\xBF\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\x3C"],

        ["\xE1\x5B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x83"],
        ["\xE9\x81\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\x5B"],

        ["\xE1\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x81\x84"],
        ["\xE9\x81\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE1\x5C"],

        ["\x3F\xC7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA2\xB5"],
        ["\xE4\xA2\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xC7"],

        ["\xE2\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x83\xAB"],
        ["\xE9\x83\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE2\x2F"],

        ["\xE3\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\x87"],
        ["\xE9\x89\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x5C"],

        ["\xE3\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x89\xA5"],
        ["\xE9\x89\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x68"],

        ["\xE3\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x89"],
        ["\xE9\x8A\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x79"],

        ["\xE3\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8A\x97"],
        ["\xE9\x8A\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE3\x7E"],

        ["\xE5\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8E\x8B"],
        ["\xE9\x8E\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE5\x29"],

        ["\x3F\xC8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x8F\xB1"],
        ["\xE9\x8F\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xC8"],

        ["\xE6\x25",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x96\x8D"],
        ["\xE9\x96\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x25"],

        ["\xE6\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xAC"],
        ["\xE9\x98\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x4A"],

        ["\xE6\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xB3"],
        ["\xE9\x98\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x4C"],

        ["\x3F\xC9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xB4"],
        ["\xE9\x98\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xC9"],

        ["\xE6\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x98\xBC"],
        ["\xE9\x98\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x51"],

        ["\xE6\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9A\x82"],
        ["\xE9\x9A\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x61"],

        ["\x3F\xCA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA7\xA7"],
        ["\xE4\xA7\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xCA"],

        ["\x3F\xCB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA7\xBA"],
        ["\xE4\xA7\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xCB"],

        ["\xE6\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9B\x98"],
        ["\xE9\x9B\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE6\x75"],

        ["\x3F\xCC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA8\x84"],
        ["\xE4\xA8\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xCC"],

        ["\x3F\xCD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xA8\xA9"],
        ["\xE4\xA8\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xCD"],

        ["\xE7\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\x97"],
        ["\xE9\x9D\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x33"],

        ["\xE7\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9D\xAA"],
        ["\xE9\x9D\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x39"],

        ["\xE7\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\x9F\x8C"],
        ["\xE9\x9F\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x5E"],

        ["\xE7\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x8D"],
        ["\xE9\xA0\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x76"],

        ["\xE7\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x94"],
        ["\xE9\xA0\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x78"],

        ["\xE7\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\x96"],
        ["\xE9\xA0\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x79"],

        ["\x3F\xCE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAA\xBC"],
        ["\xE4\xAA\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xCE"],

        ["\xE7\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA0\xA3"],
        ["\xE9\xA0\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE7\x7D"],

        ["\x3F\xCF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAC\xBB"],
        ["\xE4\xAC\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xCF"],

        ["\xE8\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4\x9C"],
        ["\xE9\xA4\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\x59"],

        ["\xE8\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5\xA0"],
        ["\xE9\xA5\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE8\x76"],

        ["\x3F\xD0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6\xA3"],
        ["\xE9\xA6\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xD0"],

        ["\xE9\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\xB9"],
        ["\xE9\xA7\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x34"],

        ["\x3F\xD1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7\xBC"],
        ["\xE9\xA7\xBC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xD1"],

        ["\xE9\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\x91"],
        ["\xE9\xA8\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x3D"],

        ["\x3F\xD2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\x9A"],
        ["\xE9\xA8\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xD2"],

        ["\xE9\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xA0"],
        ["\xE9\xA8\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x40"],

        ["\x3F\xD3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xB1"],
        ["\xE9\xA8\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xD3"],

        ["\xE9\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8\xB6"],
        ["\xE9\xA8\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x49"],

        ["\xE9\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x84"],
        ["\xE9\xA9\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x4D"],

        ["\xE9\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x8C"],
        ["\xE9\xA9\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x50"],

        ["\x3F\xD4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9\x98"],
        ["\xE9\xA9\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xD4"],

        ["\x3F\xD5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAF\x82"],
        ["\xE4\xAF\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xD5"],

        ["\xE9\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA\xAF"],
        ["\xE9\xAA\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x59"],

        ["\x3F\xD6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAF\x8A"],
        ["\xE4\xAF\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xD6"],

        ["\x3F\xD7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA\xB7"],
        ["\xE9\xAA\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xD7"],

        ["\x3F\xD8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAF\x92"],
        ["\xE4\xAF\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xD8"],

        ["\xE9\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA\xB9"],
        ["\xE9\xAA\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x5E"],

        ["\xE9\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x86"],
        ["\xE9\xAB\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x64"],

        ["\xE9\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x90"],
        ["\xE9\xAB\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x67"],

        ["\xE9\x68",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x92"],
        ["\xE9\xAB\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x68"],

        ["\xE9\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\x95"],
        ["\xE9\xAB\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x69"],

        ["\x3F\xD9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xAF\xA8"],
        ["\xE4\xAF\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xD9"],

        ["\xE9\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xA0"],
        ["\xE9\xAB\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x6E"],

        ["\xE9\x70",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xA5"],
        ["\xE9\xAB\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x70"],

        ["\xE9\x72",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB\xA9"],
        ["\xE9\xAB\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x72"],

        ["\xE9\x7E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x83"],
        ["\xE9\xAC\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xE9\x7E"],

        ["\xEA\x26",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x8C"],
        ["\xE9\xAC\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x26"],

        ["\xEA\x29",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x90"],
        ["\xE9\xAC\x90",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x29"],

        ["\xEA\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x92"],
        ["\xE9\xAC\x92",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x2A"],

        ["\xEA\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x96"],
        ["\xE9\xAC\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x2B"],

        ["\xEA\x2E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\x9C"],
        ["\xE9\xAC\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x2E"],

        ["\xEA\x31",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xAB"],
        ["\xE9\xAC\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x31"],

        ["\xEA\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xB3"],
        ["\xE9\xAC\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x33"],

        ["\xEA\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC\xBD"],
        ["\xE9\xAC\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x39"],

        ["\x3F\xDA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB0\xA0"],
        ["\xE4\xB0\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xDA"],

        ["\xEA\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\x8B"],
        ["\xE9\xAD\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x3B"],

        ["\xEA\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xA3"],
        ["\xE9\xAD\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x43"],

        ["\xEA\x44",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xA5"],
        ["\xE9\xAD\xA5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x44"],

        ["\xEA\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xAB"],
        ["\xE9\xAD\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x48"],

        ["\xEA\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xAC"],
        ["\xE9\xAD\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x49"],

        ["\xEA\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xB3"],
        ["\xE9\xAD\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x4C"],

        ["\x3F\xDB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xB6"],
        ["\xE9\xAD\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xDB"],

        ["\xEA\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD\xB7"],
        ["\xE9\xAD\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x4E"],

        ["\xEA\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xA6"],
        ["\xE9\xAE\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x61"],

        ["\xEA\x64",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xAC"],
        ["\xE9\xAE\xAC",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x64"],

        ["\x3F\xDC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9\xB7\x9B"],
        ["\xF0\xA9\xB7\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xDC"],

        ["\x3F\xDD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9\xB8\xBD"],
        ["\xF0\xA9\xB8\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xDD"],

        ["\xEA\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xB2"],
        ["\xE9\xAE\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x67"],

        ["\xEA\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xB8"],
        ["\xE9\xAE\xB8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x69"],

        ["\xEA\x6C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE\xBE"],
        ["\xE9\xAE\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x6C"],

        ["\xEA\x6F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x87"],
        ["\xE9\xAF\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x6F"],

        ["\xEA\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xB3"],
        ["\xE9\xAF\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x7C"],

        ["\xEA\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x98"],
        ["\xE9\xAF\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x74"],

        ["\xEA\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\x9D"],
        ["\xE9\xAF\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x75"],

        ["\xEA\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xA7"],
        ["\xE9\xAF\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x78"],

        ["\xEA\x79",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xAA"],
        ["\xE9\xAF\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x79"],

        ["\xEA\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xAB"],
        ["\xE9\xAF\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x7A"],

        ["\xEA\x7B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xAF"],
        ["\xE9\xAF\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x7B"],

        ["\x3F\xDE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xAE"],
        ["\xE9\xAF\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xDE"],

        ["\x3F\xDF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9\xB8\x95"],
        ["\xF0\xA9\xB8\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xDF"],

        ["\xEB\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xBA"],
        ["\xE9\xAF\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x22"],

        ["\x3F\xE0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9\xBA\x8A"],
        ["\xF0\xA9\xBA\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xE0"],

        ["\xEA\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF\xB7"],
        ["\xE9\xAF\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEA\x7D"],

        ["\x3F\xE1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9\xB9\x89"],
        ["\xF0\xA9\xB9\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xE1"],

        ["\xEB\x2A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x96"],
        ["\xE9\xB0\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x2A"],

        ["\xEB\x2B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x98"],
        ["\xE9\xB0\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x2B"],

        ["\xEB\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x99"],
        ["\xE9\xB0\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x2C"],

        ["\xEB\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x9A"],
        ["\xE9\xB0\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x2D"],

        ["\x3F\xE2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\x9D"],
        ["\xE9\xB0\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xE2"],

        ["\xEB\x30",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xA2"],
        ["\xE9\xB0\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x30"],

        ["\xEB\x33",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xA7"],
        ["\xE9\xB0\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x33"],

        ["\xEB\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xA9"],
        ["\xE9\xB0\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x35"],

        ["\xEB\x36",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xAA"],
        ["\xE9\xB0\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x36"],

        ["\x3F\xE3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9\xBB\x84"],
        ["\xF0\xA9\xBB\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xE3"],

        ["\xEB\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xB1"],
        ["\xE9\xB0\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x37"],

        ["\xEB\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xB6"],
        ["\xE9\xB0\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x39"],

        ["\xEB\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0\xB7"],
        ["\xE9\xB0\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x3A"],

        ["\xEB\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x85"],
        ["\xE9\xB1\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x3F"],

        ["\xEB\x50",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x9C"],
        ["\xE9\xB1\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x50"],

        ["\x3F\xE4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9\xBB\xA9"],
        ["\xF0\xA9\xBB\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xE4"],

        ["\xEB\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x89"],
        ["\xE9\xB1\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x40"],

        ["\xEB\x41",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x8A"],
        ["\xE9\xB1\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x41"],

        ["\x3F\xE5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9\xBB\x9B"],
        ["\xF0\xA9\xBB\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xE5"],

        ["\xEB\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x94"],
        ["\xE9\xB1\x94",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x46"],

        ["\xEB\x48",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x98"],
        ["\xE9\xB1\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x48"],

        ["\xEB\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x9B"],
        ["\xE9\xB1\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x49"],

        ["\xEB\x4A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x9D"],
        ["\xE9\xB1\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x4A"],

        ["\xEB\x4C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\x9F"],
        ["\xE9\xB1\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x4C"],

        ["\xEB\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xA9"],
        ["\xE9\xB1\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x4E"],

        ["\xEB\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xAA"],
        ["\xE9\xB1\xAA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x4F"],

        ["\xEB\x51",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xAB"],
        ["\xE9\xB1\xAB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x51"],

        ["\x3F\xE6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xAD"],
        ["\xE9\xB1\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xE6"],

        ["\xEB\x53",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xAE"],
        ["\xE9\xB1\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x53"],

        ["\xEB\x54",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xB0"],
        ["\xE9\xB1\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x54"],

        ["\xEB\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xB2"],
        ["\xE9\xB1\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x55"],

        ["\xEB\x56",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xB5"],
        ["\xE9\xB1\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x56"],

        ["\x3F\xE7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1\xBA"],
        ["\xE9\xB1\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xE7"],

        ["\xEB\x59",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3\xA6"],
        ["\xE9\xB3\xA6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x59"],

        ["\xEB\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3\xB2"],
        ["\xE9\xB3\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x5A"],

        ["\xEB\x5D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x8B"],
        ["\xE9\xB4\x8B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x5D"],

        ["\xEB\x5E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x82"],
        ["\xE9\xB4\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x5E"],

        ["\x3F\xE8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9\xBF\x8E"],
        ["\xF0\xA9\xBF\x8E",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xE8"],

        ["\xEB\x5F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x91"],
        ["\xE9\xB4\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x5F"],

        ["\xEB\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x97"],
        ["\xE9\xB4\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x60"],

        ["\xEB\x61",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\x98"],
        ["\xE9\xB4\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x61"],

        ["\x3F\xE9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA\x80\xAF"],
        ["\xF0\xAA\x80\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xE9"],

        ["\x3F\xEA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB3\x84"],
        ["\xE4\xB3\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xEA"],

        ["\x3F\xEB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA\x80\x9A"],
        ["\xF0\xAA\x80\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xEB"],

        ["\xEB\x67",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4\xB2"],
        ["\xE9\xB4\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x67"],

        ["\x3F\xEC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB3\x91"],
        ["\xE4\xB3\x91",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xEC"],

        ["\xEB\x6E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x82"],
        ["\xE9\xB5\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x6E"],

        ["\xEB\x71",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x8A"],
        ["\xE9\xB5\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x71"],

        ["\xEB\x74",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\x9F"],
        ["\xE9\xB5\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x74"],

        ["\xEB\x76",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xA2"],
        ["\xE9\xB5\xA2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x76"],

        ["\x3F\xED",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA\x83\xB9"],
        ["\xF0\xAA\x83\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xED"],

        ["\xEB\x78",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xA9"],
        ["\xE9\xB5\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x78"],

        ["\x3F\xEE",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA\x82\x82"],
        ["\xF0\xAA\x82\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xEE"],

        ["\x3F\xEF",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xB3"],
        ["\xE9\xB5\xB3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xEF"],

        ["\xEB\x7C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xB6"],
        ["\xE9\xB5\xB6",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x7C"],

        ["\xEB\x7D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xB7"],
        ["\xE9\xB5\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEB\x7D"],

        ["\xEC\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5\xBE"],
        ["\xE9\xB5\xBE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x22"],

        ["\xEC\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\x84"],
        ["\xE9\xB6\x84",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x24"],

        ["\xEC\x27",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\x8D"],
        ["\xE9\xB6\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x27"],

        ["\x3F\xF0",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\x99"],
        ["\xE9\xB6\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xF0"],

        ["\xEC\x2F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xA1"],
        ["\xE9\xB6\xA1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x2F"],

        ["\xEC\x37",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xBF"],
        ["\xE9\xB6\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x37"],

        ["\xEC\x34",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xB5"],
        ["\xE9\xB6\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x34"],

        ["\xEC\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xB9"],
        ["\xE9\xB6\xB9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x35"],

        ["\x3F\xF1",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6\xBD"],
        ["\xE9\xB6\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xF1"],

        ["\xEC\x38",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x83"],
        ["\xE9\xB7\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x38"],

        ["\xEC\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x87"],
        ["\xE9\xB7\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x39"],

        ["\xEC\x3A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x89"],
        ["\xE9\xB7\x89",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x3A"],

        ["\xEC\x3E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x96"],
        ["\xE9\xB7\x96",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x3E"],

        ["\xEC\x40",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x9A"],
        ["\xE9\xB7\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x40"],

        ["\xEC\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\x9F"],
        ["\xE9\xB7\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x42"],

        ["\xEC\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xA0"],
        ["\xE9\xB7\xA0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x43"],

        ["\x3F\xF2",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xA3"],
        ["\xE9\xB7\xA3",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xF2"],

        ["\xEC\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7\xB4"],
        ["\xE9\xB7\xB4",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x4B"],

        ["\x3F\xF3",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB4\x87"],
        ["\xE4\xB4\x87",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xF3"],

        ["\xEC\x4D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8\x8A"],
        ["\xE9\xB8\x8A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x4D"],

        ["\xEC\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8\x82"],
        ["\xE9\xB8\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x4E"],

        ["\x3F\xF4",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8\x8D"],
        ["\xE9\xB8\x8D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xF4"],

        ["\xEC\x57",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8\x9C"],
        ["\xE9\xB8\x9C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x57"],

        ["\xEC\x58",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8\x9D"],
        ["\xE9\xB8\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x58"],

        ["\xEC\x5A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xB9\xBB"],
        ["\xE9\xB9\xBB",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x5A"],

        ["\x3F\xF5",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2\x88\x98"],
        ["\xF0\xA2\x88\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xF5"],

        ["\xEC\x5C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x80"],
        ["\xE9\xBA\x80",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x5C"],

        ["\xEC\x60",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x85"],
        ["\xE9\xBA\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x60"],

        ["\xEC\x66",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\x9B"],
        ["\xE9\xBA\x9B",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x66"],

        ["\xEC\x69",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xA8"],
        ["\xE9\xBA\xA8",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x69"],

        ["\x3F\xF6",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA\x8E\x8C"],
        ["\xF0\xAA\x8E\x8C",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xF6"],

        ["\x3F\xF7",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA\xBD"],
        ["\xE9\xBA\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xF7"],

        ["\x3F\xF8",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA\x90\xB7"],
        ["\xF0\xAA\x90\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xF8"],

        ["\xEC\x75",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\x9F"],
        ["\xE9\xBB\x9F",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x75"],

        ["\xEC\x77",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xA7"],
        ["\xE9\xBB\xA7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x77"],

        ["\xEC\x7A",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xAE"],
        ["\xE9\xBB\xAE",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xEC\x7A"],

        ["\xED\x22",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB\xBF"],
        ["\xE9\xBB\xBF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x22"],

        ["\xED\x23",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\x82"],
        ["\xE9\xBC\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x23"],

        ["\x3F\xF9",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE4\xB5\xB7"],
        ["\xE4\xB5\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xF9"],

        ["\xED\x24",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\x83"],
        ["\xE9\xBC\x83",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x24"],

        ["\xED\x2C",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\x97"],
        ["\xE9\xBC\x97",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x2C"],

        ["\xED\x2D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\x99"],
        ["\xE9\xBC\x99",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x2D"],

        ["\xED\x35",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\xAF"],
        ["\xE9\xBC\xAF",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x35"],

        ["\xED\x39",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\xB7"],
        ["\xE9\xBC\xB7",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x39"],

        ["\xED\x3B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\xBA"],
        ["\xE9\xBC\xBA",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x3B"],

        ["\xED\x3D",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC\xBD"],
        ["\xE9\xBC\xBD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x3D"],

        ["\xED\x3F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x81"],
        ["\xE9\xBD\x81",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x3F"],

        ["\xED\x42",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x85"],
        ["\xE9\xBD\x85",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x42"],

        ["\xED\x43",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x86"],
        ["\xE9\xBD\x86",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x43"],

        ["\xED\x45",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x93"],
        ["\xE9\xBD\x93",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x45"],

        ["\xED\x46",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x95"],
        ["\xE9\xBD\x95",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x46"],

        ["\xED\x49",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x98"],
        ["\xE9\xBD\x98",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x49"],

        ["\x3F\xFA",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA\x97\xB1"],
        ["\xF0\xAA\x97\xB1",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xFA"],

        ["\xED\x4B",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\x9D"],
        ["\xE9\xBD\x9D",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x4B"],

        ["\x3F\xFB",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA\x98\x82"],
        ["\xF0\xAA\x98\x82",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xFB"],

        ["\xED\x4E",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xA9"],
        ["\xE9\xBD\xA9",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x4E"],

        ["\x3F\xFC",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA\x98\x9A"],
        ["\xF0\xAA\x98\x9A",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xFC"],

        ["\xED\x4F",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xAD"],
        ["\xE9\xBD\xAD",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x4F"],

        ["\xED\x52",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xB0"],
        ["\xE9\xBD\xB0",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x52"],

        ["\xED\x55",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD\xB5"],
        ["\xE9\xBD\xB5",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\xED\x55"],

        ["\x3F\xFD",'utf8.1','letsj',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA\x9A\xB2"],
        ["\xF0\xAA\x9A\xB2",'letsj','utf8.1',{'INPUT_LAYOUT'=>'D'},"\x3F\xFD"],

    );
    $|=1; print "1..",scalar(@test),"\n"; my $testno=1; sub ok { print $_[0]?'ok ':'not ok ',$testno++,$_[1]?" - $_[1]\n":"\n" }
}

use Jacode4e::RoundTrip;

for my $test (@test) {
    my($give,$OUTPUT_encoding,$INPUT_encoding,$option,$want) = @{$test};
    my $got = $give;
    my $return = Jacode4e::RoundTrip::convert(\$got,$OUTPUT_encoding,$INPUT_encoding,$option);

    my $option_content = '';
    if (defined $option) {
        $option_content .= qq{INPUT_LAYOUT=>$option->{'INPUT_LAYOUT'}}        if exists $option->{'INPUT_LAYOUT'};
        $option_content .= qq{OUTPUT_SHIFTING=>$option->{'OUTPUT_SHIFTING'}}  if exists $option->{'OUTPUT_SHIFTING'};
        $option_content .= qq{SPACE=>@{[uc unpack('H*',$option->{'SPACE'})]}} if exists $option->{'SPACE'};
        $option_content .= qq{GETA=>@{[uc unpack('H*',$option->{'GETA'})]}}   if exists $option->{'GETA'};
        $option_content = "{$option_content}";
    }

    ok(($return > 0) and ($got eq $want),
        sprintf(qq{$INPUT_encoding(%s) to $OUTPUT_encoding(%s), $option_content => return=$return,got=(%s)},
            uc unpack('H*',$give),
            uc unpack('H*',$want),
            uc unpack('H*',$got),
        )
    );
}

__END__
