######################################################################
#
# 5150_jipsj_by_utf8jp_RT_DBCS.t
#
# Copyright (c) 2018, 2019 INABA Hitoshi <ina@cpan.org> in a CPAN
######################################################################

use strict;
use FindBin;
use lib "$FindBin::Bin/../lib";

BEGIN {
    use vars qw(@test);
    @test = (
        ["\xF3\xB0\x84\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x21"],
        ["\x21\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x80"],

        ["\xF3\xB0\x84\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x22"],
        ["\x21\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x81"],

        ["\xF3\xB0\x84\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x23"],
        ["\x21\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x82"],

        ["\xF3\xB0\x84\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x24"],
        ["\x21\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x83"],

        ["\xF3\xB0\x84\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x25"],
        ["\x21\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x84"],

        ["\xF3\xB0\x84\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x26"],
        ["\x21\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x85"],

        ["\xF3\xB0\x84\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x27"],
        ["\x21\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x86"],

        ["\xF3\xB0\x84\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x28"],
        ["\x21\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x87"],

        ["\xF3\xB0\x84\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x29"],
        ["\x21\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x88"],

        ["\xF3\xB0\x84\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x2A"],
        ["\x21\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x89"],

        ["\xF3\xB0\x84\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x2B"],
        ["\x21\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x8A"],

        ["\xF3\xB0\x84\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x2C"],
        ["\x21\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x8B"],

        ["\xF3\xB0\x84\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x2D"],
        ["\x21\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x8C"],

        ["\xF3\xB0\x84\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x2E"],
        ["\x21\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x8D"],

        ["\xF3\xB0\x84\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x2F"],
        ["\x21\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x8E"],

        ["\xF3\xB0\x84\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x30"],
        ["\x21\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x8F"],

        ["\xF3\xB0\x84\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x31"],
        ["\x21\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x90"],

        ["\xF3\xB0\x84\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x32"],
        ["\x21\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x91"],

        ["\xF3\xB0\x84\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x33"],
        ["\x21\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x92"],

        ["\xF3\xB0\x84\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x34"],
        ["\x21\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x93"],

        ["\xF3\xB0\x84\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x35"],
        ["\x21\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x94"],

        ["\xF3\xB0\x84\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x36"],
        ["\x21\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x95"],

        ["\xF3\xB0\x84\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x37"],
        ["\x21\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x96"],

        ["\xF3\xB0\x84\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x38"],
        ["\x21\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x97"],

        ["\xF3\xB0\x84\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x39"],
        ["\x21\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x98"],

        ["\xF3\xB0\x84\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x3A"],
        ["\x21\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x99"],

        ["\xF3\xB0\x84\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x3B"],
        ["\x21\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x9A"],

        ["\xF3\xB0\x84\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x3C"],
        ["\x21\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x9B"],

        ["\xF3\xB0\x84\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x3D"],
        ["\x21\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x9C"],

        ["\xF3\xB0\x84\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x3E"],
        ["\x21\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x9D"],

        ["\xF3\xB0\x84\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x3F"],
        ["\x21\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x9E"],

        ["\xF3\xB0\x84\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x40"],
        ["\x21\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\x9F"],

        ["\xF3\xB0\x84\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x41"],
        ["\x21\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xA0"],

        ["\xF3\xB0\x84\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x42"],
        ["\x21\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xA1"],

        ["\xF3\xB0\x84\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x43"],
        ["\x21\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xA2"],

        ["\xF3\xB0\x84\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x44"],
        ["\x21\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xA3"],

        ["\xF3\xB0\x84\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x45"],
        ["\x21\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xA4"],

        ["\xF3\xB0\x84\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x46"],
        ["\x21\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xA5"],

        ["\xF3\xB0\x84\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x47"],
        ["\x21\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xA6"],

        ["\xF3\xB0\x84\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x48"],
        ["\x21\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xA7"],

        ["\xF3\xB0\x84\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x49"],
        ["\x21\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xA8"],

        ["\xF3\xB0\x84\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x4A"],
        ["\x21\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xA9"],

        ["\xF3\xB0\x84\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x4B"],
        ["\x21\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xAA"],

        ["\xF3\xB0\x84\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x4C"],
        ["\x21\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xAB"],

        ["\xF3\xB0\x84\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x4D"],
        ["\x21\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xAC"],

        ["\xF3\xB0\x84\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x4E"],
        ["\x21\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xAD"],

        ["\xF3\xB0\x84\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x4F"],
        ["\x21\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xAE"],

        ["\xF3\xB0\x84\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x50"],
        ["\x21\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xAF"],

        ["\xF3\xB0\x84\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x51"],
        ["\x21\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xB0"],

        ["\xF3\xB0\x84\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x52"],
        ["\x21\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xB1"],

        ["\xF3\xB0\x84\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x53"],
        ["\x21\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xB2"],

        ["\xF3\xB0\x84\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x54"],
        ["\x21\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xB3"],

        ["\xF3\xB0\x84\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x55"],
        ["\x21\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xB4"],

        ["\xF3\xB0\x84\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x56"],
        ["\x21\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xB5"],

        ["\xF3\xB0\x84\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x57"],
        ["\x21\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xB6"],

        ["\xF3\xB0\x84\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x58"],
        ["\x21\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xB7"],

        ["\xF3\xB0\x84\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x59"],
        ["\x21\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xB8"],

        ["\xF3\xB0\x84\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x5A"],
        ["\x21\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xB9"],

        ["\xF3\xB0\x84\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x5B"],
        ["\x21\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xBA"],

        ["\xF3\xB0\x84\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x5C"],
        ["\x21\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xBB"],

        ["\xF3\xB0\x84\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x5D"],
        ["\x21\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xBC"],

        ["\xF3\xB0\x84\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x5E"],
        ["\x21\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xBD"],

        ["\xF3\xB0\x84\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x5F"],
        ["\x21\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xBE"],

        ["\xF3\xB0\x84\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x60"],
        ["\x21\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x84\xBF"],

        ["\xF3\xB0\x85\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x61"],
        ["\x21\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x80"],

        ["\xF3\xB0\x85\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x62"],
        ["\x21\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x81"],

        ["\xF3\xB0\x85\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x63"],
        ["\x21\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x82"],

        ["\xF3\xB0\x85\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x64"],
        ["\x21\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x83"],

        ["\xF3\xB0\x85\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x65"],
        ["\x21\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x84"],

        ["\xF3\xB0\x85\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x66"],
        ["\x21\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x85"],

        ["\xF3\xB0\x85\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x67"],
        ["\x21\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x86"],

        ["\xF3\xB0\x85\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x68"],
        ["\x21\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x87"],

        ["\xF3\xB0\x85\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x69"],
        ["\x21\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x88"],

        ["\xF3\xB0\x85\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x6A"],
        ["\x21\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x89"],

        ["\xF3\xB0\x85\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x6B"],
        ["\x21\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x8A"],

        ["\xF3\xB0\x85\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x6C"],
        ["\x21\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x8B"],

        ["\xF3\xB0\x85\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x6D"],
        ["\x21\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x8C"],

        ["\xF3\xB0\x85\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x6E"],
        ["\x21\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x8D"],

        ["\xF3\xB0\x85\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x6F"],
        ["\x21\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x8E"],

        ["\xF3\xB0\x85\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x70"],
        ["\x21\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x8F"],

        ["\xF3\xB0\x85\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x71"],
        ["\x21\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x90"],

        ["\xF3\xB0\x85\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x72"],
        ["\x21\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x91"],

        ["\xF3\xB0\x85\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x73"],
        ["\x21\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x92"],

        ["\xF3\xB0\x85\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x74"],
        ["\x21\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x93"],

        ["\xF3\xB0\x85\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x75"],
        ["\x21\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x94"],

        ["\xF3\xB0\x85\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x76"],
        ["\x21\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x95"],

        ["\xF3\xB0\x85\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x77"],
        ["\x21\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x96"],

        ["\xF3\xB0\x85\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x78"],
        ["\x21\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x97"],

        ["\xF3\xB0\x85\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x79"],
        ["\x21\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x98"],

        ["\xF3\xB0\x85\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x7A"],
        ["\x21\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x99"],

        ["\xF3\xB0\x85\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x7B"],
        ["\x21\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x9A"],

        ["\xF3\xB0\x85\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x7C"],
        ["\x21\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x9B"],

        ["\xF3\xB0\x85\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x7D"],
        ["\x21\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x9C"],

        ["\xF3\xB0\x85\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x21\x7E"],
        ["\x21\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x9D"],

        ["\xF3\xB0\x85\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x22\x21"],
        ["\x22\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x9E"],

        ["\xF3\xB0\x85\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x22\x22"],
        ["\x22\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\x9F"],

        ["\xF3\xB0\x85\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x22\x23"],
        ["\x22\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\xA0"],

        ["\xF3\xB0\x85\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x22\x24"],
        ["\x22\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\xA1"],

        ["\xF3\xB0\x85\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x22\x25"],
        ["\x22\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\xA2"],

        ["\xF3\xB0\x85\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x22\x26"],
        ["\x22\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\xA3"],

        ["\xF3\xB0\x85\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x22\x27"],
        ["\x22\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\xA4"],

        ["\xF3\xB0\x85\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x22\x28"],
        ["\x22\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\xA5"],

        ["\xF3\xB0\x85\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x22\x29"],
        ["\x22\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\xA6"],

        ["\xF3\xB0\x85\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x22\x2A"],
        ["\x22\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\xA7"],

        ["\xF3\xB0\x85\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x22\x2B"],
        ["\x22\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\xA8"],

        ["\xF3\xB0\x85\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x22\x2C"],
        ["\x22\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\xA9"],

        ["\xF3\xB0\x85\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x22\x2D"],
        ["\x22\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\xAA"],

        ["\xF3\xB0\x85\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x22\x2E"],
        ["\x22\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\xAB"],

        ["\xF3\xB0\x85\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xD4"],
        ["\xA5\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\xB7"],

        ["\xF3\xB0\x85\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xD5"],
        ["\xA5\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\xB8"],

        ["\xF3\xB0\x85\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA6\xF4"],
        ["\xA6\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\xB9"],

        ["\xF3\xB0\x85\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA6\xF5"],
        ["\xA6\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\xBA"],

        ["\xF3\xB0\x85\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xD2"],
        ["\xA5\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\xBB"],

        ["\xF3\xB0\x85\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xD3"],
        ["\xA5\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\xBC"],

        ["\xF3\xB0\x85\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x7C"],
        ["\x2D\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\xBD"],

        ["\xF3\xB0\x85\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x7B"],
        ["\x2D\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x85\xBE"],

        ["\xF3\xB0\x86\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xD0"],
        ["\xA5\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\x87"],

        ["\xF3\xB0\x86\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xD1"],
        ["\xA5\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\x88"],

        ["\xF3\xB0\x86\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x21"],
        ["\x74\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\x89"],

        ["\xF3\xB0\x86\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA6\xF6"],
        ["\xA6\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\x8A"],

        ["\xF3\xB0\x86\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA6\xF7"],
        ["\xA6\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\x8B"],

        ["\xF3\xB0\x86\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xE7"],
        ["\xA5\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\x8C"],

        ["\xF3\xB0\x86\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xE8"],
        ["\xA5\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\x8D"],

        ["\xF3\xB0\x86\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x77"],
        ["\x2D\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\x99"],

        ["\xF3\xB0\x86\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x76"],
        ["\x2D\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\x9A"],

        ["\xF3\xB0\x86\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA6\xF8"],
        ["\xA6\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\x9B"],

        ["\xF3\xB0\x86\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xCA"],
        ["\xA5\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\x9C"],

        ["\xF3\xB0\x86\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA6\xF9"],
        ["\xA6\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\x9D"],

        ["\xF3\xB0\x86\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x71"],
        ["\x2D\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\x9E"],

        ["\xF3\xB0\x86\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x70"],
        ["\x2D\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\x9F"],

        ["\xF3\xB0\x86\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xE1"],
        ["\xA5\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\xA0"],

        ["\xF3\xB0\x86\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xE2"],
        ["\xA5\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\xA1"],

        ["\xF3\xB0\x86\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x75"],
        ["\x2D\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\xA2"],

        ["\xF3\xB0\x86\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xDD"],
        ["\xA5\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\xA3"],

        ["\xF3\xB0\x86\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xDC"],
        ["\xA5\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\xA4"],

        ["\xF3\xB0\x86\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x7A"],
        ["\x2D\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\xA5"],

        ["\xF3\xB0\x86\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x72"],
        ["\x2D\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\xA6"],

        ["\xF3\xB0\x86\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA6\xFA"],
        ["\xA6\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\xA7"],

        ["\xF3\xB0\x86\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA4\xDF"],
        ["\xA4\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\xAF"],

        ["\xF3\xB0\x86\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA4\xFE"],
        ["\xA4\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\xB0"],

        ["\xF3\xB0\x86\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA6\xFB"],
        ["\xA6\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\xB1"],

        ["\xF3\xB0\x86\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA6\xFC"],
        ["\xA6\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\xB2"],

        ["\xF3\xB0\x86\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA6\xFD"],
        ["\xA6\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\xB3"],

        ["\xF3\xB0\x86\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xEE"],
        ["\xA5\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\xB4"],

        ["\xF3\xB0\x86\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xEF"],
        ["\xA5\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\xB5"],

        ["\xF3\xB0\x86\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xF0"],
        ["\xA5\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\xB6"],

        ["\xF3\xB0\x86\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA6\xFE"],
        ["\xA6\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x86\xBB"],

        ["\xF3\xB0\x87\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x30"],
        ["\x23\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\x8B"],

        ["\xF3\xB0\x87\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x31"],
        ["\x23\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\x8C"],

        ["\xF3\xB0\x87\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x32"],
        ["\x23\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\x8D"],

        ["\xF3\xB0\x87\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x33"],
        ["\x23\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\x8E"],

        ["\xF3\xB0\x87\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x34"],
        ["\x23\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\x8F"],

        ["\xF3\xB0\x87\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x35"],
        ["\x23\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\x90"],

        ["\xF3\xB0\x87\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x36"],
        ["\x23\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\x91"],

        ["\xF3\xB0\x87\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x37"],
        ["\x23\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\x92"],

        ["\xF3\xB0\x87\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x38"],
        ["\x23\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\x93"],

        ["\xF3\xB0\x87\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x39"],
        ["\x23\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\x94"],

        ["\xF3\xB0\x87\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x41"],
        ["\x23\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\x9C"],

        ["\xF3\xB0\x87\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x42"],
        ["\x23\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\x9D"],

        ["\xF3\xB0\x87\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x43"],
        ["\x23\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\x9E"],

        ["\xF3\xB0\x87\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x44"],
        ["\x23\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\x9F"],

        ["\xF3\xB0\x87\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x45"],
        ["\x23\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xA0"],

        ["\xF3\xB0\x87\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x46"],
        ["\x23\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xA1"],

        ["\xF3\xB0\x87\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x47"],
        ["\x23\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xA2"],

        ["\xF3\xB0\x87\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x48"],
        ["\x23\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xA3"],

        ["\xF3\xB0\x87\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x49"],
        ["\x23\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xA4"],

        ["\xF3\xB0\x87\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x4A"],
        ["\x23\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xA5"],

        ["\xF3\xB0\x87\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x4B"],
        ["\x23\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xA6"],

        ["\xF3\xB0\x87\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x4C"],
        ["\x23\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xA7"],

        ["\xF3\xB0\x87\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x4D"],
        ["\x23\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xA8"],

        ["\xF3\xB0\x87\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x4E"],
        ["\x23\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xA9"],

        ["\xF3\xB0\x87\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x4F"],
        ["\x23\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xAA"],

        ["\xF3\xB0\x87\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x50"],
        ["\x23\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xAB"],

        ["\xF3\xB0\x87\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x51"],
        ["\x23\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xAC"],

        ["\xF3\xB0\x87\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x52"],
        ["\x23\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xAD"],

        ["\xF3\xB0\x87\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x53"],
        ["\x23\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xAE"],

        ["\xF3\xB0\x87\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x54"],
        ["\x23\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xAF"],

        ["\xF3\xB0\x87\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x55"],
        ["\x23\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xB0"],

        ["\xF3\xB0\x87\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x56"],
        ["\x23\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xB1"],

        ["\xF3\xB0\x87\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x57"],
        ["\x23\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xB2"],

        ["\xF3\xB0\x87\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x58"],
        ["\x23\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xB3"],

        ["\xF3\xB0\x87\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x59"],
        ["\x23\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xB4"],

        ["\xF3\xB0\x87\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x5A"],
        ["\x23\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xB5"],

        ["\xF3\xB0\x87\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x61"],
        ["\x23\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xBC"],

        ["\xF3\xB0\x87\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x62"],
        ["\x23\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xBD"],

        ["\xF3\xB0\x87\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x63"],
        ["\x23\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xBE"],

        ["\xF3\xB0\x87\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x64"],
        ["\x23\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x87\xBF"],

        ["\xF3\xB0\x88\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x65"],
        ["\x23\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x80"],

        ["\xF3\xB0\x88\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x66"],
        ["\x23\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x81"],

        ["\xF3\xB0\x88\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x67"],
        ["\x23\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x82"],

        ["\xF3\xB0\x88\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x68"],
        ["\x23\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x83"],

        ["\xF3\xB0\x88\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x69"],
        ["\x23\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x84"],

        ["\xF3\xB0\x88\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x6A"],
        ["\x23\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x85"],

        ["\xF3\xB0\x88\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x6B"],
        ["\x23\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x86"],

        ["\xF3\xB0\x88\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x6C"],
        ["\x23\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x87"],

        ["\xF3\xB0\x88\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x6D"],
        ["\x23\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x88"],

        ["\xF3\xB0\x88\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x6E"],
        ["\x23\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x89"],

        ["\xF3\xB0\x88\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x6F"],
        ["\x23\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x8A"],

        ["\xF3\xB0\x88\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x70"],
        ["\x23\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x8B"],

        ["\xF3\xB0\x88\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x71"],
        ["\x23\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x8C"],

        ["\xF3\xB0\x88\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x72"],
        ["\x23\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x8D"],

        ["\xF3\xB0\x88\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x73"],
        ["\x23\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x8E"],

        ["\xF3\xB0\x88\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x74"],
        ["\x23\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x8F"],

        ["\xF3\xB0\x88\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x75"],
        ["\x23\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x90"],

        ["\xF3\xB0\x88\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x76"],
        ["\x23\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x91"],

        ["\xF3\xB0\x88\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x77"],
        ["\x23\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x92"],

        ["\xF3\xB0\x88\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x78"],
        ["\x23\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x93"],

        ["\xF3\xB0\x88\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x79"],
        ["\x23\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x94"],

        ["\xF3\xB0\x88\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x23\x7A"],
        ["\x23\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x95"],

        ["\xF3\xB0\x88\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x21"],
        ["\x24\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x9A"],

        ["\xF3\xB0\x88\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x22"],
        ["\x24\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x9B"],

        ["\xF3\xB0\x88\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x23"],
        ["\x24\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x9C"],

        ["\xF3\xB0\x88\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x24"],
        ["\x24\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x9D"],

        ["\xF3\xB0\x88\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x25"],
        ["\x24\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x9E"],

        ["\xF3\xB0\x88\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x26"],
        ["\x24\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\x9F"],

        ["\xF3\xB0\x88\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x27"],
        ["\x24\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xA0"],

        ["\xF3\xB0\x88\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x28"],
        ["\x24\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xA1"],

        ["\xF3\xB0\x88\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x29"],
        ["\x24\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xA2"],

        ["\xF3\xB0\x88\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x2A"],
        ["\x24\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xA3"],

        ["\xF3\xB0\x88\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x2B"],
        ["\x24\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xA4"],

        ["\xF3\xB0\x88\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x2C"],
        ["\x24\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xA5"],

        ["\xF3\xB0\x88\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x2D"],
        ["\x24\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xA6"],

        ["\xF3\xB0\x88\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x2E"],
        ["\x24\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xA7"],

        ["\xF3\xB0\x88\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x2F"],
        ["\x24\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xA8"],

        ["\xF3\xB0\x88\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x30"],
        ["\x24\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xA9"],

        ["\xF3\xB0\x88\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x31"],
        ["\x24\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xAA"],

        ["\xF3\xB0\x88\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x32"],
        ["\x24\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xAB"],

        ["\xF3\xB0\x88\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x33"],
        ["\x24\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xAC"],

        ["\xF3\xB0\x88\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x34"],
        ["\x24\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xAD"],

        ["\xF3\xB0\x88\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x35"],
        ["\x24\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xAE"],

        ["\xF3\xB0\x88\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x36"],
        ["\x24\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xAF"],

        ["\xF3\xB0\x88\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x37"],
        ["\x24\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xB0"],

        ["\xF3\xB0\x88\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x38"],
        ["\x24\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xB1"],

        ["\xF3\xB0\x88\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x39"],
        ["\x24\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xB2"],

        ["\xF3\xB0\x88\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x3A"],
        ["\x24\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xB3"],

        ["\xF3\xB0\x88\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x3B"],
        ["\x24\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xB4"],

        ["\xF3\xB0\x88\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x3C"],
        ["\x24\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xB5"],

        ["\xF3\xB0\x88\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x3D"],
        ["\x24\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xB6"],

        ["\xF3\xB0\x88\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x3E"],
        ["\x24\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xB7"],

        ["\xF3\xB0\x88\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x3F"],
        ["\x24\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xB8"],

        ["\xF3\xB0\x88\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x40"],
        ["\x24\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xB9"],

        ["\xF3\xB0\x88\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x41"],
        ["\x24\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xBA"],

        ["\xF3\xB0\x88\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x42"],
        ["\x24\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xBB"],

        ["\xF3\xB0\x88\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x43"],
        ["\x24\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xBC"],

        ["\xF3\xB0\x88\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x44"],
        ["\x24\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xBD"],

        ["\xF3\xB0\x88\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x45"],
        ["\x24\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xBE"],

        ["\xF3\xB0\x88\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x46"],
        ["\x24\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x88\xBF"],

        ["\xF3\xB0\x89\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x47"],
        ["\x24\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x80"],

        ["\xF3\xB0\x89\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x48"],
        ["\x24\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x81"],

        ["\xF3\xB0\x89\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x49"],
        ["\x24\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x82"],

        ["\xF3\xB0\x89\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x4A"],
        ["\x24\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x83"],

        ["\xF3\xB0\x89\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x4B"],
        ["\x24\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x84"],

        ["\xF3\xB0\x89\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x4C"],
        ["\x24\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x85"],

        ["\xF3\xB0\x89\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x4D"],
        ["\x24\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x86"],

        ["\xF3\xB0\x89\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x4E"],
        ["\x24\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x87"],

        ["\xF3\xB0\x89\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x4F"],
        ["\x24\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x88"],

        ["\xF3\xB0\x89\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x50"],
        ["\x24\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x89"],

        ["\xF3\xB0\x89\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x51"],
        ["\x24\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x8A"],

        ["\xF3\xB0\x89\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x52"],
        ["\x24\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x8B"],

        ["\xF3\xB0\x89\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x53"],
        ["\x24\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x8C"],

        ["\xF3\xB0\x89\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x54"],
        ["\x24\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x8D"],

        ["\xF3\xB0\x89\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x55"],
        ["\x24\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x8E"],

        ["\xF3\xB0\x89\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x56"],
        ["\x24\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x8F"],

        ["\xF3\xB0\x89\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x57"],
        ["\x24\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x90"],

        ["\xF3\xB0\x89\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x58"],
        ["\x24\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x91"],

        ["\xF3\xB0\x89\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x59"],
        ["\x24\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x92"],

        ["\xF3\xB0\x89\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x5A"],
        ["\x24\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x93"],

        ["\xF3\xB0\x89\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x5B"],
        ["\x24\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x94"],

        ["\xF3\xB0\x89\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x5C"],
        ["\x24\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x95"],

        ["\xF3\xB0\x89\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x5D"],
        ["\x24\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x96"],

        ["\xF3\xB0\x89\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x5E"],
        ["\x24\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x97"],

        ["\xF3\xB0\x89\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x5F"],
        ["\x24\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x98"],

        ["\xF3\xB0\x89\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x60"],
        ["\x24\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x99"],

        ["\xF3\xB0\x89\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x61"],
        ["\x24\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x9A"],

        ["\xF3\xB0\x89\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x62"],
        ["\x24\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x9B"],

        ["\xF3\xB0\x89\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x63"],
        ["\x24\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x9C"],

        ["\xF3\xB0\x89\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x64"],
        ["\x24\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x9D"],

        ["\xF3\xB0\x89\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x65"],
        ["\x24\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x9E"],

        ["\xF3\xB0\x89\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x66"],
        ["\x24\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\x9F"],

        ["\xF3\xB0\x89\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x67"],
        ["\x24\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\xA0"],

        ["\xF3\xB0\x89\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x68"],
        ["\x24\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\xA1"],

        ["\xF3\xB0\x89\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x69"],
        ["\x24\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\xA2"],

        ["\xF3\xB0\x89\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x6A"],
        ["\x24\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\xA3"],

        ["\xF3\xB0\x89\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x6B"],
        ["\x24\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\xA4"],

        ["\xF3\xB0\x89\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x6C"],
        ["\x24\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\xA5"],

        ["\xF3\xB0\x89\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x6D"],
        ["\x24\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\xA6"],

        ["\xF3\xB0\x89\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x6E"],
        ["\x24\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\xA7"],

        ["\xF3\xB0\x89\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x6F"],
        ["\x24\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\xA8"],

        ["\xF3\xB0\x89\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x70"],
        ["\x24\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\xA9"],

        ["\xF3\xB0\x89\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x71"],
        ["\x24\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\xAA"],

        ["\xF3\xB0\x89\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x72"],
        ["\x24\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\xAB"],

        ["\xF3\xB0\x89\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x24\x73"],
        ["\x24\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\xAC"],

        ["\xF3\xB0\x89\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x21"],
        ["\x25\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\xB8"],

        ["\xF3\xB0\x89\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x22"],
        ["\x25\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\xB9"],

        ["\xF3\xB0\x89\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x23"],
        ["\x25\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\xBA"],

        ["\xF3\xB0\x89\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x24"],
        ["\x25\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\xBB"],

        ["\xF3\xB0\x89\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x25"],
        ["\x25\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\xBC"],

        ["\xF3\xB0\x89\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x26"],
        ["\x25\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\xBD"],

        ["\xF3\xB0\x89\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x27"],
        ["\x25\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\xBE"],

        ["\xF3\xB0\x89\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x28"],
        ["\x25\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x89\xBF"],

        ["\xF3\xB0\x8A\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x29"],
        ["\x25\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x80"],

        ["\xF3\xB0\x8A\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x2A"],
        ["\x25\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x81"],

        ["\xF3\xB0\x8A\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x2B"],
        ["\x25\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x82"],

        ["\xF3\xB0\x8A\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x2C"],
        ["\x25\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x83"],

        ["\xF3\xB0\x8A\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x2D"],
        ["\x25\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x84"],

        ["\xF3\xB0\x8A\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x2E"],
        ["\x25\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x85"],

        ["\xF3\xB0\x8A\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x2F"],
        ["\x25\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x86"],

        ["\xF3\xB0\x8A\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x30"],
        ["\x25\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x87"],

        ["\xF3\xB0\x8A\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x31"],
        ["\x25\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x88"],

        ["\xF3\xB0\x8A\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x32"],
        ["\x25\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x89"],

        ["\xF3\xB0\x8A\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x33"],
        ["\x25\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x8A"],

        ["\xF3\xB0\x8A\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x34"],
        ["\x25\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x8B"],

        ["\xF3\xB0\x8A\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x35"],
        ["\x25\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x8C"],

        ["\xF3\xB0\x8A\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x36"],
        ["\x25\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x8D"],

        ["\xF3\xB0\x8A\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x37"],
        ["\x25\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x8E"],

        ["\xF3\xB0\x8A\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x38"],
        ["\x25\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x8F"],

        ["\xF3\xB0\x8A\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x39"],
        ["\x25\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x90"],

        ["\xF3\xB0\x8A\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x3A"],
        ["\x25\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x91"],

        ["\xF3\xB0\x8A\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x3B"],
        ["\x25\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x92"],

        ["\xF3\xB0\x8A\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x3C"],
        ["\x25\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x93"],

        ["\xF3\xB0\x8A\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x3D"],
        ["\x25\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x94"],

        ["\xF3\xB0\x8A\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x3E"],
        ["\x25\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x95"],

        ["\xF3\xB0\x8A\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x3F"],
        ["\x25\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x96"],

        ["\xF3\xB0\x8A\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x40"],
        ["\x25\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x97"],

        ["\xF3\xB0\x8A\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x41"],
        ["\x25\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x98"],

        ["\xF3\xB0\x8A\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x42"],
        ["\x25\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x99"],

        ["\xF3\xB0\x8A\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x43"],
        ["\x25\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x9A"],

        ["\xF3\xB0\x8A\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x44"],
        ["\x25\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x9B"],

        ["\xF3\xB0\x8A\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x45"],
        ["\x25\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x9C"],

        ["\xF3\xB0\x8A\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x46"],
        ["\x25\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x9D"],

        ["\xF3\xB0\x8A\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x47"],
        ["\x25\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x9E"],

        ["\xF3\xB0\x8A\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x48"],
        ["\x25\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\x9F"],

        ["\xF3\xB0\x8A\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x49"],
        ["\x25\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xA0"],

        ["\xF3\xB0\x8A\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x4A"],
        ["\x25\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xA1"],

        ["\xF3\xB0\x8A\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x4B"],
        ["\x25\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xA2"],

        ["\xF3\xB0\x8A\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x4C"],
        ["\x25\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xA3"],

        ["\xF3\xB0\x8A\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x4D"],
        ["\x25\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xA4"],

        ["\xF3\xB0\x8A\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x4E"],
        ["\x25\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xA5"],

        ["\xF3\xB0\x8A\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x4F"],
        ["\x25\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xA6"],

        ["\xF3\xB0\x8A\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x50"],
        ["\x25\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xA7"],

        ["\xF3\xB0\x8A\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x51"],
        ["\x25\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xA8"],

        ["\xF3\xB0\x8A\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x52"],
        ["\x25\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xA9"],

        ["\xF3\xB0\x8A\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x53"],
        ["\x25\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xAA"],

        ["\xF3\xB0\x8A\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x54"],
        ["\x25\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xAB"],

        ["\xF3\xB0\x8A\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x55"],
        ["\x25\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xAC"],

        ["\xF3\xB0\x8A\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x56"],
        ["\x25\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xAD"],

        ["\xF3\xB0\x8A\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x57"],
        ["\x25\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xAE"],

        ["\xF3\xB0\x8A\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x58"],
        ["\x25\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xAF"],

        ["\xF3\xB0\x8A\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x59"],
        ["\x25\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xB0"],

        ["\xF3\xB0\x8A\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x5A"],
        ["\x25\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xB1"],

        ["\xF3\xB0\x8A\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x5B"],
        ["\x25\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xB2"],

        ["\xF3\xB0\x8A\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x5C"],
        ["\x25\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xB3"],

        ["\xF3\xB0\x8A\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x5D"],
        ["\x25\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xB4"],

        ["\xF3\xB0\x8A\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x5E"],
        ["\x25\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xB5"],

        ["\xF3\xB0\x8A\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x5F"],
        ["\x25\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xB6"],

        ["\xF3\xB0\x8A\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x60"],
        ["\x25\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xB7"],

        ["\xF3\xB0\x8A\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x61"],
        ["\x25\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xB8"],

        ["\xF3\xB0\x8A\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x62"],
        ["\x25\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xB9"],

        ["\xF3\xB0\x8A\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x63"],
        ["\x25\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xBA"],

        ["\xF3\xB0\x8A\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x64"],
        ["\x25\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xBB"],

        ["\xF3\xB0\x8A\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x65"],
        ["\x25\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xBC"],

        ["\xF3\xB0\x8A\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x66"],
        ["\x25\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xBD"],

        ["\xF3\xB0\x8A\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x67"],
        ["\x25\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xBE"],

        ["\xF3\xB0\x8A\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x68"],
        ["\x25\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8A\xBF"],

        ["\xF3\xB0\x8B\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x69"],
        ["\x25\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x80"],

        ["\xF3\xB0\x8B\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x6A"],
        ["\x25\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x81"],

        ["\xF3\xB0\x8B\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x6B"],
        ["\x25\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x82"],

        ["\xF3\xB0\x8B\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x6C"],
        ["\x25\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x83"],

        ["\xF3\xB0\x8B\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x6D"],
        ["\x25\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x84"],

        ["\xF3\xB0\x8B\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x6E"],
        ["\x25\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x85"],

        ["\xF3\xB0\x8B\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x6F"],
        ["\x25\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x86"],

        ["\xF3\xB0\x8B\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x70"],
        ["\x25\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x87"],

        ["\xF3\xB0\x8B\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x71"],
        ["\x25\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x88"],

        ["\xF3\xB0\x8B\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x72"],
        ["\x25\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x89"],

        ["\xF3\xB0\x8B\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x73"],
        ["\x25\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x8A"],

        ["\xF3\xB0\x8B\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x74"],
        ["\x25\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x8B"],

        ["\xF3\xB0\x8B\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x75"],
        ["\x25\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x8C"],

        ["\xF3\xB0\x8B\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x25\x76"],
        ["\x25\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x8D"],

        ["\xF3\xB0\x8B\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x21"],
        ["\x26\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x96"],

        ["\xF3\xB0\x8B\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x22"],
        ["\x26\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x97"],

        ["\xF3\xB0\x8B\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x23"],
        ["\x26\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x98"],

        ["\xF3\xB0\x8B\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x24"],
        ["\x26\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x99"],

        ["\xF3\xB0\x8B\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x25"],
        ["\x26\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x9A"],

        ["\xF3\xB0\x8B\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x26"],
        ["\x26\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x9B"],

        ["\xF3\xB0\x8B\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x27"],
        ["\x26\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x9C"],

        ["\xF3\xB0\x8B\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x28"],
        ["\x26\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x9D"],

        ["\xF3\xB0\x8B\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x29"],
        ["\x26\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x9E"],

        ["\xF3\xB0\x8B\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x2A"],
        ["\x26\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\x9F"],

        ["\xF3\xB0\x8B\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x2B"],
        ["\x26\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xA0"],

        ["\xF3\xB0\x8B\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x2C"],
        ["\x26\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xA1"],

        ["\xF3\xB0\x8B\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x2D"],
        ["\x26\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xA2"],

        ["\xF3\xB0\x8B\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x2E"],
        ["\x26\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xA3"],

        ["\xF3\xB0\x8B\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x2F"],
        ["\x26\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xA4"],

        ["\xF3\xB0\x8B\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x30"],
        ["\x26\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xA5"],

        ["\xF3\xB0\x8B\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x31"],
        ["\x26\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xA6"],

        ["\xF3\xB0\x8B\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x32"],
        ["\x26\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xA7"],

        ["\xF3\xB0\x8B\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x33"],
        ["\x26\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xA8"],

        ["\xF3\xB0\x8B\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x34"],
        ["\x26\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xA9"],

        ["\xF3\xB0\x8B\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x35"],
        ["\x26\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xAA"],

        ["\xF3\xB0\x8B\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x36"],
        ["\x26\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xAB"],

        ["\xF3\xB0\x8B\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x37"],
        ["\x26\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xAC"],

        ["\xF3\xB0\x8B\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x38"],
        ["\x26\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xAD"],

        ["\xF3\xB0\x8B\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x41"],
        ["\x26\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xB6"],

        ["\xF3\xB0\x8B\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x42"],
        ["\x26\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xB7"],

        ["\xF3\xB0\x8B\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x43"],
        ["\x26\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xB8"],

        ["\xF3\xB0\x8B\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x44"],
        ["\x26\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xB9"],

        ["\xF3\xB0\x8B\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x45"],
        ["\x26\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xBA"],

        ["\xF3\xB0\x8B\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x46"],
        ["\x26\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xBB"],

        ["\xF3\xB0\x8B\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x47"],
        ["\x26\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xBC"],

        ["\xF3\xB0\x8B\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x48"],
        ["\x26\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xBD"],

        ["\xF3\xB0\x8B\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x49"],
        ["\x26\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xBE"],

        ["\xF3\xB0\x8B\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x4A"],
        ["\x26\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8B\xBF"],

        ["\xF3\xB0\x8C\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x4B"],
        ["\x26\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\x80"],

        ["\xF3\xB0\x8C\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x4C"],
        ["\x26\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\x81"],

        ["\xF3\xB0\x8C\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x4D"],
        ["\x26\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\x82"],

        ["\xF3\xB0\x8C\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x4E"],
        ["\x26\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\x83"],

        ["\xF3\xB0\x8C\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x4F"],
        ["\x26\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\x84"],

        ["\xF3\xB0\x8C\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x50"],
        ["\x26\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\x85"],

        ["\xF3\xB0\x8C\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x51"],
        ["\x26\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\x86"],

        ["\xF3\xB0\x8C\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x52"],
        ["\x26\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\x87"],

        ["\xF3\xB0\x8C\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x53"],
        ["\x26\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\x88"],

        ["\xF3\xB0\x8C\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x54"],
        ["\x26\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\x89"],

        ["\xF3\xB0\x8C\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x55"],
        ["\x26\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\x8A"],

        ["\xF3\xB0\x8C\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x56"],
        ["\x26\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\x8B"],

        ["\xF3\xB0\x8C\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x57"],
        ["\x26\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\x8C"],

        ["\xF3\xB0\x8C\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x26\x58"],
        ["\x26\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\x8D"],

        ["\xF3\xB0\x8C\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x21"],
        ["\x27\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\xB4"],

        ["\xF3\xB0\x8C\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x22"],
        ["\x27\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\xB5"],

        ["\xF3\xB0\x8C\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x23"],
        ["\x27\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\xB6"],

        ["\xF3\xB0\x8C\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x24"],
        ["\x27\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\xB7"],

        ["\xF3\xB0\x8C\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x25"],
        ["\x27\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\xB8"],

        ["\xF3\xB0\x8C\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x26"],
        ["\x27\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\xB9"],

        ["\xF3\xB0\x8C\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x27"],
        ["\x27\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\xBA"],

        ["\xF3\xB0\x8C\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x28"],
        ["\x27\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\xBB"],

        ["\xF3\xB0\x8C\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x29"],
        ["\x27\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\xBC"],

        ["\xF3\xB0\x8C\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x2A"],
        ["\x27\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\xBD"],

        ["\xF3\xB0\x8C\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x2B"],
        ["\x27\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\xBE"],

        ["\xF3\xB0\x8C\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x2C"],
        ["\x27\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8C\xBF"],

        ["\xF3\xB0\x8D\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x2D"],
        ["\x27\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\x80"],

        ["\xF3\xB0\x8D\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x2E"],
        ["\x27\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\x81"],

        ["\xF3\xB0\x8D\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x2F"],
        ["\x27\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\x82"],

        ["\xF3\xB0\x8D\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x30"],
        ["\x27\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\x83"],

        ["\xF3\xB0\x8D\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x31"],
        ["\x27\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\x84"],

        ["\xF3\xB0\x8D\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x32"],
        ["\x27\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\x85"],

        ["\xF3\xB0\x8D\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x33"],
        ["\x27\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\x86"],

        ["\xF3\xB0\x8D\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x34"],
        ["\x27\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\x87"],

        ["\xF3\xB0\x8D\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x35"],
        ["\x27\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\x88"],

        ["\xF3\xB0\x8D\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x36"],
        ["\x27\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\x89"],

        ["\xF3\xB0\x8D\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x37"],
        ["\x27\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\x8A"],

        ["\xF3\xB0\x8D\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x38"],
        ["\x27\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\x8B"],

        ["\xF3\xB0\x8D\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x39"],
        ["\x27\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\x8C"],

        ["\xF3\xB0\x8D\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x3A"],
        ["\x27\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\x8D"],

        ["\xF3\xB0\x8D\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x3B"],
        ["\x27\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\x8E"],

        ["\xF3\xB0\x8D\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x3C"],
        ["\x27\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\x8F"],

        ["\xF3\xB0\x8D\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x3D"],
        ["\x27\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\x90"],

        ["\xF3\xB0\x8D\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x3E"],
        ["\x27\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\x91"],

        ["\xF3\xB0\x8D\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x3F"],
        ["\x27\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\x92"],

        ["\xF3\xB0\x8D\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x40"],
        ["\x27\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\x93"],

        ["\xF3\xB0\x8D\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x41"],
        ["\x27\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\x94"],

        ["\xF3\xB0\x8D\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x51"],
        ["\x27\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xA4"],

        ["\xF3\xB0\x8D\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x52"],
        ["\x27\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xA5"],

        ["\xF3\xB0\x8D\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x53"],
        ["\x27\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xA6"],

        ["\xF3\xB0\x8D\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x54"],
        ["\x27\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xA7"],

        ["\xF3\xB0\x8D\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x55"],
        ["\x27\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xA8"],

        ["\xF3\xB0\x8D\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x56"],
        ["\x27\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xA9"],

        ["\xF3\xB0\x8D\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x57"],
        ["\x27\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xAA"],

        ["\xF3\xB0\x8D\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x58"],
        ["\x27\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xAB"],

        ["\xF3\xB0\x8D\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x59"],
        ["\x27\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xAC"],

        ["\xF3\xB0\x8D\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x5A"],
        ["\x27\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xAD"],

        ["\xF3\xB0\x8D\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x5B"],
        ["\x27\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xAE"],

        ["\xF3\xB0\x8D\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x5C"],
        ["\x27\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xAF"],

        ["\xF3\xB0\x8D\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x5D"],
        ["\x27\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xB0"],

        ["\xF3\xB0\x8D\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x5E"],
        ["\x27\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xB1"],

        ["\xF3\xB0\x8D\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x5F"],
        ["\x27\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xB2"],

        ["\xF3\xB0\x8D\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x60"],
        ["\x27\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xB3"],

        ["\xF3\xB0\x8D\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x61"],
        ["\x27\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xB4"],

        ["\xF3\xB0\x8D\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x62"],
        ["\x27\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xB5"],

        ["\xF3\xB0\x8D\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x63"],
        ["\x27\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xB6"],

        ["\xF3\xB0\x8D\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x64"],
        ["\x27\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xB7"],

        ["\xF3\xB0\x8D\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x65"],
        ["\x27\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xB8"],

        ["\xF3\xB0\x8D\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x66"],
        ["\x27\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xB9"],

        ["\xF3\xB0\x8D\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x67"],
        ["\x27\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xBA"],

        ["\xF3\xB0\x8D\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x68"],
        ["\x27\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xBB"],

        ["\xF3\xB0\x8D\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x69"],
        ["\x27\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xBC"],

        ["\xF3\xB0\x8D\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x6A"],
        ["\x27\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xBD"],

        ["\xF3\xB0\x8D\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x6B"],
        ["\x27\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xBE"],

        ["\xF3\xB0\x8D\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x6C"],
        ["\x27\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8D\xBF"],

        ["\xF3\xB0\x8E\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x6D"],
        ["\x27\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\x80"],

        ["\xF3\xB0\x8E\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x6E"],
        ["\x27\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\x81"],

        ["\xF3\xB0\x8E\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x6F"],
        ["\x27\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\x82"],

        ["\xF3\xB0\x8E\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x70"],
        ["\x27\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\x83"],

        ["\xF3\xB0\x8E\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x27\x71"],
        ["\x27\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\x84"],

        ["\xF3\xB0\x8E\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x24"],
        ["\x2C\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\x92"],

        ["\xF3\xB0\x8E\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x26"],
        ["\x2C\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\x93"],

        ["\xF3\xB0\x8E\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x30"],
        ["\x2C\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\x94"],

        ["\xF3\xB0\x8E\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x34"],
        ["\x2C\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\x95"],

        ["\xF3\xB0\x8E\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x3C"],
        ["\x2C\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\x96"],

        ["\xF3\xB0\x8E\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x38"],
        ["\x2C\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\x97"],

        ["\xF3\xB0\x8E\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x40"],
        ["\x2C\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\x98"],

        ["\xF3\xB0\x8E\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x50"],
        ["\x2C\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\x99"],

        ["\xF3\xB0\x8E\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x48"],
        ["\x2C\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\x9A"],

        ["\xF3\xB0\x8E\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x58"],
        ["\x2C\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\x9B"],

        ["\xF3\xB0\x8E\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x60"],
        ["\x2C\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\x9C"],

        ["\xF3\xB0\x8E\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x25"],
        ["\x2C\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\x9D"],

        ["\xF3\xB0\x8E\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x27"],
        ["\x2C\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\x9E"],

        ["\xF3\xB0\x8E\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x33"],
        ["\x2C\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\x9F"],

        ["\xF3\xB0\x8E\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x37"],
        ["\x2C\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\xA0"],

        ["\xF3\xB0\x8E\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x3F"],
        ["\x2C\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\xA1"],

        ["\xF3\xB0\x8E\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x3B"],
        ["\x2C\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\xA2"],

        ["\xF3\xB0\x8E\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x47"],
        ["\x2C\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\xA3"],

        ["\xF3\xB0\x8E\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x57"],
        ["\x2C\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\xA4"],

        ["\xF3\xB0\x8E\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x4F"],
        ["\x2C\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\xA5"],

        ["\xF3\xB0\x8E\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x5F"],
        ["\x2C\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\xA6"],

        ["\xF3\xB0\x8E\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x6F"],
        ["\x2C\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\xA7"],

        ["\xF3\xB0\x8E\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x44"],
        ["\x2C\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\xA8"],

        ["\xF3\xB0\x8E\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x53"],
        ["\x2C\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\xA9"],

        ["\xF3\xB0\x8E\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x4C"],
        ["\x2C\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\xAA"],

        ["\xF3\xB0\x8E\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x5B"],
        ["\x2C\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\xAB"],

        ["\xF3\xB0\x8E\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x63"],
        ["\x2C\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\xAC"],

        ["\xF3\xB0\x8E\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x41"],
        ["\x2C\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\xAD"],

        ["\xF3\xB0\x8E\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x54"],
        ["\x2C\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\xAE"],

        ["\xF3\xB0\x8E\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x49"],
        ["\x2C\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\xAF"],

        ["\xF3\xB0\x8E\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x5C"],
        ["\x2C\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\xB0"],

        ["\xF3\xB0\x8E\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2C\x66"],
        ["\x2C\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x8E\xB1"],

        ["\xF3\xB0\x95\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x21"],
        ["\x2D\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xA8"],

        ["\xF3\xB0\x95\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x22"],
        ["\x2D\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xA9"],

        ["\xF3\xB0\x95\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x23"],
        ["\x2D\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xAA"],

        ["\xF3\xB0\x95\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x24"],
        ["\x2D\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xAB"],

        ["\xF3\xB0\x95\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x25"],
        ["\x2D\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xAC"],

        ["\xF3\xB0\x95\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x26"],
        ["\x2D\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xAD"],

        ["\xF3\xB0\x95\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x27"],
        ["\x2D\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xAE"],

        ["\xF3\xB0\x95\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x28"],
        ["\x2D\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xAF"],

        ["\xF3\xB0\x95\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x29"],
        ["\x2D\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xB0"],

        ["\xF3\xB0\x95\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x2A"],
        ["\x2D\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xB1"],

        ["\xF3\xB0\x95\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x2B"],
        ["\x2D\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xB2"],

        ["\xF3\xB0\x95\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x2C"],
        ["\x2D\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xB3"],

        ["\xF3\xB0\x95\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x2D"],
        ["\x2D\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xB4"],

        ["\xF3\xB0\x95\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x2E"],
        ["\x2D\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xB5"],

        ["\xF3\xB0\x95\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x2F"],
        ["\x2D\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xB6"],

        ["\xF3\xB0\x95\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x30"],
        ["\x2D\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xB7"],

        ["\xF3\xB0\x95\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x31"],
        ["\x2D\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xB8"],

        ["\xF3\xB0\x95\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x32"],
        ["\x2D\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xB9"],

        ["\xF3\xB0\x95\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x33"],
        ["\x2D\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xBA"],

        ["\xF3\xB0\x95\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x34"],
        ["\x2D\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xBB"],

        ["\xF3\xB0\x95\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x35"],
        ["\x2D\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xBC"],

        ["\xF3\xB0\x95\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x36"],
        ["\x2D\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xBD"],

        ["\xF3\xB0\x95\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x37"],
        ["\x2D\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xBE"],

        ["\xF3\xB0\x95\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x38"],
        ["\x2D\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x95\xBF"],

        ["\xF3\xB0\x96\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x39"],
        ["\x2D\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x80"],

        ["\xF3\xB0\x96\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x3A"],
        ["\x2D\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x81"],

        ["\xF3\xB0\x96\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x3B"],
        ["\x2D\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x82"],

        ["\xF3\xB0\x96\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x3C"],
        ["\x2D\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x83"],

        ["\xF3\xB0\x96\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x3D"],
        ["\x2D\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x84"],

        ["\xF3\xB0\x96\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x3E"],
        ["\x2D\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x85"],

        ["\xF3\xB0\x96\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x40"],
        ["\x2D\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x87"],

        ["\xF3\xB0\x96\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x41"],
        ["\x2D\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x88"],

        ["\xF3\xB0\x96\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x42"],
        ["\x2D\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x89"],

        ["\xF3\xB0\x96\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x43"],
        ["\x2D\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x8A"],

        ["\xF3\xB0\x96\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x44"],
        ["\x2D\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x8B"],

        ["\xF3\xB0\x96\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x45"],
        ["\x2D\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x8C"],

        ["\xF3\xB0\x96\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x46"],
        ["\x2D\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x8D"],

        ["\xF3\xB0\x96\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x47"],
        ["\x2D\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x8E"],

        ["\xF3\xB0\x96\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x48"],
        ["\x2D\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x8F"],

        ["\xF3\xB0\x96\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x49"],
        ["\x2D\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x90"],

        ["\xF3\xB0\x96\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x4A"],
        ["\x2D\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x91"],

        ["\xF3\xB0\x96\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x4B"],
        ["\x2D\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x92"],

        ["\xF3\xB0\x96\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x4C"],
        ["\x2D\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x93"],

        ["\xF3\xB0\x96\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x4D"],
        ["\x2D\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x94"],

        ["\xF3\xB0\x96\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x4E"],
        ["\x2D\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x95"],

        ["\xF3\xB0\x96\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x4F"],
        ["\x2D\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x96"],

        ["\xF3\xB0\x96\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x50"],
        ["\x2D\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x97"],

        ["\xF3\xB0\x96\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x51"],
        ["\x2D\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x98"],

        ["\xF3\xB0\x96\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x52"],
        ["\x2D\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x99"],

        ["\xF3\xB0\x96\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x53"],
        ["\x2D\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x9A"],

        ["\xF3\xB0\x96\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x54"],
        ["\x2D\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x9B"],

        ["\xF3\xB0\x96\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x55"],
        ["\x2D\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x9C"],

        ["\xF3\xB0\x96\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x56"],
        ["\x2D\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\x9D"],

        ["\xF3\xB0\x96\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x5F"],
        ["\x2D\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\xA6"],

        ["\xF3\xB0\x96\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x60"],
        ["\x2D\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\xA7"],

        ["\xF3\xB0\x96\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x61"],
        ["\x2D\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\xA8"],

        ["\xF3\xB0\x96\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x62"],
        ["\x2D\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\xA9"],

        ["\xF3\xB0\x96\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x63"],
        ["\x2D\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\xAA"],

        ["\xF3\xB0\x96\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x64"],
        ["\x2D\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\xAB"],

        ["\xF3\xB0\x96\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x65"],
        ["\x2D\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\xAC"],

        ["\xF3\xB0\x96\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x66"],
        ["\x2D\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\xAD"],

        ["\xF3\xB0\x96\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x67"],
        ["\x2D\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\xAE"],

        ["\xF3\xB0\x96\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x68"],
        ["\x2D\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\xAF"],

        ["\xF3\xB0\x96\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x69"],
        ["\x2D\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\xB0"],

        ["\xF3\xB0\x96\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x6A"],
        ["\x2D\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\xB1"],

        ["\xF3\xB0\x96\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x6B"],
        ["\x2D\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\xB2"],

        ["\xF3\xB0\x96\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x6C"],
        ["\x2D\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\xB3"],

        ["\xF3\xB0\x96\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x6D"],
        ["\x2D\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\xB4"],

        ["\xF3\xB0\x96\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x6E"],
        ["\x2D\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\xB5"],

        ["\xF3\xB0\x96\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x6F"],
        ["\x2D\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\xB6"],

        ["\xF3\xB0\x96\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x73"],
        ["\x2D\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\xBA"],

        ["\xF3\xB0\x96\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x74"],
        ["\x2D\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\xBB"],

        ["\xF3\xB0\x96\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x78"],
        ["\x2D\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x96\xBF"],

        ["\xF3\xB0\x97\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x2D\x79"],
        ["\x2D\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x97\x80"],

        ["\xF3\xB0\x9A\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x21"],
        ["\x30\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x82"],

        ["\xF3\xB0\x9A\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x22"],
        ["\x30\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x83"],

        ["\xF3\xB0\x9A\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x23"],
        ["\x30\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x84"],

        ["\xF3\xB0\x9A\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x24"],
        ["\x30\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x85"],

        ["\xF3\xB0\x9A\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x25"],
        ["\x30\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x86"],

        ["\xF3\xB0\x9A\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x26"],
        ["\x30\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x87"],

        ["\xF3\xB0\x9A\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x27"],
        ["\x30\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x88"],

        ["\xF3\xB0\x9A\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x28"],
        ["\x30\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x89"],

        ["\xF3\xB0\x9A\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x29"],
        ["\x30\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x8A"],

        ["\xF3\xB0\x9A\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x2A"],
        ["\x30\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x8B"],

        ["\xF3\xB0\x9A\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x2B"],
        ["\x30\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x8C"],

        ["\xF3\xB0\x9A\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x2C"],
        ["\x30\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x8D"],

        ["\xF3\xB0\x9A\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x2D"],
        ["\x30\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x8E"],

        ["\xF3\xB0\x9A\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x2E"],
        ["\x30\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x8F"],

        ["\xF3\xB0\x9A\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x2F"],
        ["\x30\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x90"],

        ["\xF3\xB0\x9A\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x30"],
        ["\x30\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x91"],

        ["\xF3\xB0\x9A\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x31"],
        ["\x30\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x92"],

        ["\xF3\xB0\x9A\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x32"],
        ["\x30\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x93"],

        ["\xF3\xB0\x9A\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x4D"],
        ["\x72\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x94"],

        ["\xF3\xB0\x9A\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x34"],
        ["\x30\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x95"],

        ["\xF3\xB0\x9A\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x35"],
        ["\x30\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x96"],

        ["\xF3\xB0\x9A\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x36"],
        ["\x30\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x97"],

        ["\xF3\xB0\x9A\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x37"],
        ["\x30\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x98"],

        ["\xF3\xB0\x9A\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x38"],
        ["\x30\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x99"],

        ["\xF3\xB0\x9A\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x39"],
        ["\x30\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x9A"],

        ["\xF3\xB0\x9A\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x3A"],
        ["\x30\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x9B"],

        ["\xF3\xB0\x9A\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x3B"],
        ["\x30\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x9C"],

        ["\xF3\xB0\x9A\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x3C"],
        ["\x30\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x9D"],

        ["\xF3\xB0\x9A\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x3D"],
        ["\x30\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x9E"],

        ["\xF3\xB0\x9A\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x3E"],
        ["\x30\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\x9F"],

        ["\xF3\xB0\x9A\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x3F"],
        ["\x30\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xA0"],

        ["\xF3\xB0\x9A\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x40"],
        ["\x30\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xA1"],

        ["\xF3\xB0\x9A\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x41"],
        ["\x30\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xA2"],

        ["\xF3\xB0\x9A\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x42"],
        ["\x30\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xA3"],

        ["\xF3\xB0\x9A\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x43"],
        ["\x30\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xA4"],

        ["\xF3\xB0\x9A\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x44"],
        ["\x30\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xA5"],

        ["\xF3\xB0\x9A\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x45"],
        ["\x30\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xA6"],

        ["\xF3\xB0\x9A\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x46"],
        ["\x30\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xA7"],

        ["\xF3\xB0\x9A\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x47"],
        ["\x30\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xA8"],

        ["\xF3\xB0\x9A\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x48"],
        ["\x30\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xA9"],

        ["\xF3\xB0\x9A\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x49"],
        ["\x30\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xAA"],

        ["\xF3\xB0\x9A\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x4A"],
        ["\x30\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xAB"],

        ["\xF3\xB0\x9A\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x4B"],
        ["\x30\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xAC"],

        ["\xF3\xB0\x9A\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x4C"],
        ["\x30\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xAD"],

        ["\xF3\xB0\x9A\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x4D"],
        ["\x30\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xAE"],

        ["\xF3\xB0\x9A\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x4E"],
        ["\x30\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xAF"],

        ["\xF3\xB0\x9A\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x4F"],
        ["\x30\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xB0"],

        ["\xF3\xB0\x9A\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x50"],
        ["\x30\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xB1"],

        ["\xF3\xB0\x9A\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x51"],
        ["\x30\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xB2"],

        ["\xF3\xB0\x9A\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x52"],
        ["\x30\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xB3"],

        ["\xF3\xB0\x9A\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x53"],
        ["\x30\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xB4"],

        ["\xF3\xB0\x9A\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x54"],
        ["\x30\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xB5"],

        ["\xF3\xB0\x9A\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x55"],
        ["\x30\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xB6"],

        ["\xF3\xB0\x9A\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x56"],
        ["\x30\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xB7"],

        ["\xF3\xB0\x9A\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x57"],
        ["\x30\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xB8"],

        ["\xF3\xB0\x9A\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x58"],
        ["\x30\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xB9"],

        ["\xF3\xB0\x9A\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x59"],
        ["\x30\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xBA"],

        ["\xF3\xB0\x9A\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x5A"],
        ["\x30\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xBB"],

        ["\xF3\xB0\x9A\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x5B"],
        ["\x30\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xBC"],

        ["\xF3\xB0\x9A\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x5C"],
        ["\x30\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xBD"],

        ["\xF3\xB0\x9A\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x5D"],
        ["\x30\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xBE"],

        ["\xF3\xB0\x9A\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x5E"],
        ["\x30\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9A\xBF"],

        ["\xF3\xB0\x9B\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x5F"],
        ["\x30\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x80"],

        ["\xF3\xB0\x9B\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x60"],
        ["\x30\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x81"],

        ["\xF3\xB0\x9B\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x61"],
        ["\x30\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x82"],

        ["\xF3\xB0\x9B\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x62"],
        ["\x30\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x83"],

        ["\xF3\xB0\x9B\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x63"],
        ["\x30\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x84"],

        ["\xF3\xB0\x9B\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x64"],
        ["\x30\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x85"],

        ["\xF3\xB0\x9B\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x65"],
        ["\x30\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x86"],

        ["\xF3\xB0\x9B\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x66"],
        ["\x30\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x87"],

        ["\xF3\xB0\x9B\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x67"],
        ["\x30\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x88"],

        ["\xF3\xB0\x9B\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x68"],
        ["\x30\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x89"],

        ["\xF3\xB0\x9B\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x69"],
        ["\x30\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x8A"],

        ["\xF3\xB0\x9B\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x6A"],
        ["\x30\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x8B"],

        ["\xF3\xB0\x9B\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x6B"],
        ["\x30\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x8C"],

        ["\xF3\xB0\x9B\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x6C"],
        ["\x30\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x8D"],

        ["\xF3\xB0\x9B\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x6D"],
        ["\x30\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x8E"],

        ["\xF3\xB0\x9B\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x6E"],
        ["\x30\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x8F"],

        ["\xF3\xB0\x9B\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x6F"],
        ["\x30\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x90"],

        ["\xF3\xB0\x9B\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x70"],
        ["\x30\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x91"],

        ["\xF3\xB0\x9B\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x71"],
        ["\x30\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x92"],

        ["\xF3\xB0\x9B\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x72"],
        ["\x30\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x93"],

        ["\xF3\xB0\x9B\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x73"],
        ["\x30\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x94"],

        ["\xF3\xB0\x9B\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x74"],
        ["\x30\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x95"],

        ["\xF3\xB0\x9B\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x75"],
        ["\x30\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x96"],

        ["\xF3\xB0\x9B\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x76"],
        ["\x30\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x97"],

        ["\xF3\xB0\x9B\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x77"],
        ["\x30\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x98"],

        ["\xF3\xB0\x9B\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x78"],
        ["\x30\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x99"],

        ["\xF3\xB0\x9B\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x79"],
        ["\x30\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x9A"],

        ["\xF3\xB0\x9B\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x7A"],
        ["\x30\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x9B"],

        ["\xF3\xB0\x9B\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x7B"],
        ["\x30\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x9C"],

        ["\xF3\xB0\x9B\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x7C"],
        ["\x30\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x9D"],

        ["\xF3\xB0\x9B\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x7D"],
        ["\x30\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x9E"],

        ["\xF3\xB0\x9B\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x7E"],
        ["\x30\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\x9F"],

        ["\xF3\xB0\x9B\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x21"],
        ["\x31\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xA0"],

        ["\xF3\xB0\x9B\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x22"],
        ["\x31\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xA1"],

        ["\xF3\xB0\x9B\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x23"],
        ["\x31\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xA2"],

        ["\xF3\xB0\x9B\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x24"],
        ["\x31\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xA3"],

        ["\xF3\xB0\x9B\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x25"],
        ["\x31\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xA4"],

        ["\xF3\xB0\x9B\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x26"],
        ["\x31\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xA5"],

        ["\xF3\xB0\x9B\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x27"],
        ["\x31\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xA6"],

        ["\xF3\xB0\x9B\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x28"],
        ["\x31\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xA7"],

        ["\xF3\xB0\x9B\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x29"],
        ["\x31\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xA8"],

        ["\xF3\xB0\x9B\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x2A"],
        ["\x31\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xA9"],

        ["\xF3\xB0\x9B\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x2B"],
        ["\x31\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xAA"],

        ["\xF3\xB0\x9B\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x2C"],
        ["\x31\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xAB"],

        ["\xF3\xB0\x9B\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x2D"],
        ["\x31\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xAC"],

        ["\xF3\xB0\x9B\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x2E"],
        ["\x31\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xAD"],

        ["\xF3\xB0\x9B\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x2F"],
        ["\x31\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xAE"],

        ["\xF3\xB0\x9B\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x30"],
        ["\x31\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xAF"],

        ["\xF3\xB0\x9B\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x31"],
        ["\x31\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xB0"],

        ["\xF3\xB0\x9B\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x32"],
        ["\x31\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xB1"],

        ["\xF3\xB0\x9B\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x33"],
        ["\x31\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xB2"],

        ["\xF3\xB0\x9B\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x34"],
        ["\x31\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xB3"],

        ["\xF3\xB0\x9B\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x35"],
        ["\x31\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xB4"],

        ["\xF3\xB0\x9B\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x36"],
        ["\x31\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xB5"],

        ["\xF3\xB0\x9B\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x37"],
        ["\x31\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xB6"],

        ["\xF3\xB0\x9B\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x38"],
        ["\x31\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xB7"],

        ["\xF3\xB0\x9B\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x39"],
        ["\x31\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xB8"],

        ["\xF3\xB0\x9B\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x3A"],
        ["\x31\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xB9"],

        ["\xF3\xB0\x9B\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x3B"],
        ["\x31\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xBA"],

        ["\xF3\xB0\x9B\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x3C"],
        ["\x31\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xBB"],

        ["\xF3\xB0\x9B\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x3D"],
        ["\x31\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xBC"],

        ["\xF3\xB0\x9B\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x3E"],
        ["\x31\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xBD"],

        ["\xF3\xB0\x9B\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x3F"],
        ["\x31\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xBE"],

        ["\xF3\xB0\x9B\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x40"],
        ["\x31\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9B\xBF"],

        ["\xF3\xB0\x9C\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x41"],
        ["\x31\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x80"],

        ["\xF3\xB0\x9C\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x42"],
        ["\x31\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x81"],

        ["\xF3\xB0\x9C\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x43"],
        ["\x31\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x82"],

        ["\xF3\xB0\x9C\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x44"],
        ["\x31\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x83"],

        ["\xF3\xB0\x9C\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x45"],
        ["\x31\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x84"],

        ["\xF3\xB0\x9C\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x46"],
        ["\x31\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x85"],

        ["\xF3\xB0\x9C\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x47"],
        ["\x31\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x86"],

        ["\xF3\xB0\x9C\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x48"],
        ["\x31\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x87"],

        ["\xF3\xB0\x9C\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x49"],
        ["\x31\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x88"],

        ["\xF3\xB0\x9C\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x4A"],
        ["\x31\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x89"],

        ["\xF3\xB0\x9C\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x4B"],
        ["\x31\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x8A"],

        ["\xF3\xB0\x9C\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x4C"],
        ["\x31\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x8B"],

        ["\xF3\xB0\x9C\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x4D"],
        ["\x31\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x8C"],

        ["\xF3\xB0\x9C\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x4E"],
        ["\x31\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x8D"],

        ["\xF3\xB0\x9C\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x4F"],
        ["\x31\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x8E"],

        ["\xF3\xB0\x9C\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x50"],
        ["\x31\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x8F"],

        ["\xF3\xB0\x9C\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x51"],
        ["\x31\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x90"],

        ["\xF3\xB0\x9C\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x52"],
        ["\x31\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x91"],

        ["\xF3\xB0\x9C\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x53"],
        ["\x31\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x92"],

        ["\xF3\xB0\x9C\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x54"],
        ["\x31\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x93"],

        ["\xF3\xB0\x9C\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x55"],
        ["\x31\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x94"],

        ["\xF3\xB0\x9C\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x56"],
        ["\x31\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x95"],

        ["\xF3\xB0\x9C\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x57"],
        ["\x31\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x96"],

        ["\xF3\xB0\x9C\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x58"],
        ["\x31\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x97"],

        ["\xF3\xB0\x9C\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x59"],
        ["\x31\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x98"],

        ["\xF3\xB0\x9C\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x5A"],
        ["\x31\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x99"],

        ["\xF3\xB0\x9C\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x5B"],
        ["\x31\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x9A"],

        ["\xF3\xB0\x9C\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x5C"],
        ["\x31\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x9B"],

        ["\xF3\xB0\x9C\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x5D"],
        ["\x31\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x9C"],

        ["\xF3\xB0\x9C\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x5E"],
        ["\x31\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x9D"],

        ["\xF3\xB0\x9C\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x5F"],
        ["\x31\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x9E"],

        ["\xF3\xB0\x9C\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x60"],
        ["\x31\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\x9F"],

        ["\xF3\xB0\x9C\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x61"],
        ["\x31\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xA0"],

        ["\xF3\xB0\x9C\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x62"],
        ["\x31\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xA1"],

        ["\xF3\xB0\x9C\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x63"],
        ["\x31\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xA2"],

        ["\xF3\xB0\x9C\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x64"],
        ["\x31\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xA3"],

        ["\xF3\xB0\x9C\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x65"],
        ["\x31\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xA4"],

        ["\xF3\xB0\x9C\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x66"],
        ["\x31\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xA5"],

        ["\xF3\xB0\x9C\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x67"],
        ["\x31\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xA6"],

        ["\xF3\xB0\x9C\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x68"],
        ["\x31\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xA7"],

        ["\xF3\xB0\x9C\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x69"],
        ["\x31\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xA8"],

        ["\xF3\xB0\x9C\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x6A"],
        ["\x31\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xA9"],

        ["\xF3\xB0\x9C\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x6B"],
        ["\x31\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xAA"],

        ["\xF3\xB0\x9C\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x6C"],
        ["\x31\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xAB"],

        ["\xF3\xB0\x9C\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x6D"],
        ["\x31\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xAC"],

        ["\xF3\xB0\x9C\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x6E"],
        ["\x31\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xAD"],

        ["\xF3\xB0\x9C\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x6F"],
        ["\x31\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xAE"],

        ["\xF3\xB0\x9C\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x70"],
        ["\x31\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xAF"],

        ["\xF3\xB0\x9C\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x71"],
        ["\x31\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xB0"],

        ["\xF3\xB0\x9C\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x72"],
        ["\x31\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xB1"],

        ["\xF3\xB0\x9C\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x73"],
        ["\x31\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xB2"],

        ["\xF3\xB0\x9C\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x74"],
        ["\x31\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xB3"],

        ["\xF3\xB0\x9C\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x75"],
        ["\x31\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xB4"],

        ["\xF3\xB0\x9C\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x76"],
        ["\x31\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xB5"],

        ["\xF3\xB0\x9C\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x77"],
        ["\x31\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xB6"],

        ["\xF3\xB0\x9C\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x78"],
        ["\x31\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xB7"],

        ["\xF3\xB0\x9C\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x79"],
        ["\x31\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xB8"],

        ["\xF3\xB0\x9C\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x7A"],
        ["\x31\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xB9"],

        ["\xF3\xB0\x9C\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x7B"],
        ["\x31\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xBA"],

        ["\xF3\xB0\x9C\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x7C"],
        ["\x31\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xBB"],

        ["\xF3\xB0\x9C\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x7D"],
        ["\x31\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xBC"],

        ["\xF3\xB0\x9C\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x31\x7E"],
        ["\x31\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xBD"],

        ["\xF3\xB0\x9C\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x21"],
        ["\x32\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xBE"],

        ["\xF3\xB0\x9C\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x22"],
        ["\x32\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9C\xBF"],

        ["\xF3\xB0\x9D\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x23"],
        ["\x32\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x80"],

        ["\xF3\xB0\x9D\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x24"],
        ["\x32\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x81"],

        ["\xF3\xB0\x9D\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x25"],
        ["\x32\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x82"],

        ["\xF3\xB0\x9D\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x26"],
        ["\x32\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x83"],

        ["\xF3\xB0\x9D\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x27"],
        ["\x32\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x84"],

        ["\xF3\xB0\x9D\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x28"],
        ["\x32\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x85"],

        ["\xF3\xB0\x9D\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x74"],
        ["\x72\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x86"],

        ["\xF3\xB0\x9D\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x2A"],
        ["\x32\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x87"],

        ["\xF3\xB0\x9D\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x2B"],
        ["\x32\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x88"],

        ["\xF3\xB0\x9D\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x2C"],
        ["\x32\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x89"],

        ["\xF3\xB0\x9D\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x2D"],
        ["\x32\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x8A"],

        ["\xF3\xB0\x9D\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x2E"],
        ["\x32\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x8B"],

        ["\xF3\xB0\x9D\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x2F"],
        ["\x32\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x8C"],

        ["\xF3\xB0\x9D\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x30"],
        ["\x32\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x8D"],

        ["\xF3\xB0\x9D\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x31"],
        ["\x32\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x8E"],

        ["\xF3\xB0\x9D\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x32"],
        ["\x32\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x8F"],

        ["\xF3\xB0\x9D\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x33"],
        ["\x32\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x90"],

        ["\xF3\xB0\x9D\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x34"],
        ["\x32\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x91"],

        ["\xF3\xB0\x9D\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x35"],
        ["\x32\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x92"],

        ["\xF3\xB0\x9D\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x36"],
        ["\x32\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x93"],

        ["\xF3\xB0\x9D\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x37"],
        ["\x32\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x94"],

        ["\xF3\xB0\x9D\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x38"],
        ["\x32\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x95"],

        ["\xF3\xB0\x9D\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x39"],
        ["\x32\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x96"],

        ["\xF3\xB0\x9D\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x3A"],
        ["\x32\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x97"],

        ["\xF3\xB0\x9D\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x3B"],
        ["\x32\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x98"],

        ["\xF3\xB0\x9D\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x3C"],
        ["\x32\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x99"],

        ["\xF3\xB0\x9D\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x3D"],
        ["\x32\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x9A"],

        ["\xF3\xB0\x9D\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x3E"],
        ["\x32\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x9B"],

        ["\xF3\xB0\x9D\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x3F"],
        ["\x32\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x9C"],

        ["\xF3\xB0\x9D\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x40"],
        ["\x32\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x9D"],

        ["\xF3\xB0\x9D\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x41"],
        ["\x32\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x9E"],

        ["\xF3\xB0\x9D\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x42"],
        ["\x32\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\x9F"],

        ["\xF3\xB0\x9D\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x43"],
        ["\x32\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xA0"],

        ["\xF3\xB0\x9D\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x44"],
        ["\x32\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xA1"],

        ["\xF3\xB0\x9D\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x45"],
        ["\x32\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xA2"],

        ["\xF3\xB0\x9D\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x46"],
        ["\x32\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xA3"],

        ["\xF3\xB0\x9D\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x47"],
        ["\x32\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xA4"],

        ["\xF3\xB0\x9D\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x48"],
        ["\x32\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xA5"],

        ["\xF3\xB0\x9D\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x49"],
        ["\x32\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xA6"],

        ["\xF3\xB0\x9D\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x4A"],
        ["\x32\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xA7"],

        ["\xF3\xB0\x9D\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x4B"],
        ["\x32\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xA8"],

        ["\xF3\xB0\x9D\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x4C"],
        ["\x32\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xA9"],

        ["\xF3\xB0\x9D\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x4D"],
        ["\x32\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xAA"],

        ["\xF3\xB0\x9D\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x4E"],
        ["\x32\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xAB"],

        ["\xF3\xB0\x9D\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x4F"],
        ["\x32\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xAC"],

        ["\xF3\xB0\x9D\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x50"],
        ["\x32\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xAD"],

        ["\xF3\xB0\x9D\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x51"],
        ["\x32\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xAE"],

        ["\xF3\xB0\x9D\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x52"],
        ["\x32\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xAF"],

        ["\xF3\xB0\x9D\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x53"],
        ["\x32\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xB0"],

        ["\xF3\xB0\x9D\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x54"],
        ["\x32\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xB1"],

        ["\xF3\xB0\x9D\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x55"],
        ["\x32\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xB2"],

        ["\xF3\xB0\x9D\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x56"],
        ["\x32\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xB3"],

        ["\xF3\xB0\x9D\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x57"],
        ["\x32\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xB4"],

        ["\xF3\xB0\x9D\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x58"],
        ["\x32\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xB5"],

        ["\xF3\xB0\x9D\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x59"],
        ["\x32\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xB6"],

        ["\xF3\xB0\x9D\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x5A"],
        ["\x32\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xB7"],

        ["\xF3\xB0\x9D\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x5B"],
        ["\x32\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xB8"],

        ["\xF3\xB0\x9D\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x5C"],
        ["\x32\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xB9"],

        ["\xF3\xB0\x9D\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x5D"],
        ["\x32\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xBA"],

        ["\xF3\xB0\x9D\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x5E"],
        ["\x32\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xBB"],

        ["\xF3\xB0\x9D\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x5F"],
        ["\x32\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xBC"],

        ["\xF3\xB0\x9D\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x60"],
        ["\x32\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xBD"],

        ["\xF3\xB0\x9D\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x61"],
        ["\x32\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xBE"],

        ["\xF3\xB0\x9D\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x62"],
        ["\x32\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9D\xBF"],

        ["\xF3\xB0\x9E\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x63"],
        ["\x32\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x80"],

        ["\xF3\xB0\x9E\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x64"],
        ["\x32\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x81"],

        ["\xF3\xB0\x9E\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x65"],
        ["\x32\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x82"],

        ["\xF3\xB0\x9E\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x66"],
        ["\x32\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x83"],

        ["\xF3\xB0\x9E\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x67"],
        ["\x32\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x84"],

        ["\xF3\xB0\x9E\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x68"],
        ["\x32\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x85"],

        ["\xF3\xB0\x9E\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x69"],
        ["\x32\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x86"],

        ["\xF3\xB0\x9E\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x6A"],
        ["\x32\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x87"],

        ["\xF3\xB0\x9E\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x6B"],
        ["\x32\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x88"],

        ["\xF3\xB0\x9E\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x6C"],
        ["\x32\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x89"],

        ["\xF3\xB0\x9E\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x6D"],
        ["\x32\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x8A"],

        ["\xF3\xB0\x9E\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x6E"],
        ["\x32\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x8B"],

        ["\xF3\xB0\x9E\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x6F"],
        ["\x32\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x8C"],

        ["\xF3\xB0\x9E\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x70"],
        ["\x32\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x8D"],

        ["\xF3\xB0\x9E\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x71"],
        ["\x32\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x8E"],

        ["\xF3\xB0\x9E\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x72"],
        ["\x32\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x8F"],

        ["\xF3\xB0\x9E\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x73"],
        ["\x32\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x90"],

        ["\xF3\xB0\x9E\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x74"],
        ["\x32\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x91"],

        ["\xF3\xB0\x9E\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x75"],
        ["\x32\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x92"],

        ["\xF3\xB0\x9E\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x76"],
        ["\x32\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x93"],

        ["\xF3\xB0\x9E\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x77"],
        ["\x32\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x94"],

        ["\xF3\xB0\x9E\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x78"],
        ["\x32\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x95"],

        ["\xF3\xB0\x9E\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x79"],
        ["\x32\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x96"],

        ["\xF3\xB0\x9E\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x7A"],
        ["\x32\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x97"],

        ["\xF3\xB0\x9E\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x7B"],
        ["\x32\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x98"],

        ["\xF3\xB0\x9E\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x7C"],
        ["\x32\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x99"],

        ["\xF3\xB0\x9E\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x7D"],
        ["\x32\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x9A"],

        ["\xF3\xB0\x9E\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x7E"],
        ["\x32\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x9B"],

        ["\xF3\xB0\x9E\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x21"],
        ["\x33\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x9C"],

        ["\xF3\xB0\x9E\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x22"],
        ["\x33\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x9D"],

        ["\xF3\xB0\x9E\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x23"],
        ["\x33\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x9E"],

        ["\xF3\xB0\x9E\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x24"],
        ["\x33\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\x9F"],

        ["\xF3\xB0\x9E\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x25"],
        ["\x33\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xA0"],

        ["\xF3\xB0\x9E\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x26"],
        ["\x33\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xA1"],

        ["\xF3\xB0\x9E\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x27"],
        ["\x33\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xA2"],

        ["\xF3\xB0\x9E\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x28"],
        ["\x33\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xA3"],

        ["\xF3\xB0\x9E\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x29"],
        ["\x33\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xA4"],

        ["\xF3\xB0\x9E\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x2A"],
        ["\x33\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xA5"],

        ["\xF3\xB0\x9E\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x2B"],
        ["\x33\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xA6"],

        ["\xF3\xB0\x9E\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x2C"],
        ["\x33\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xA7"],

        ["\xF3\xB0\x9E\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x2D"],
        ["\x33\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xA8"],

        ["\xF3\xB0\x9E\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x2E"],
        ["\x33\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xA9"],

        ["\xF3\xB0\x9E\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x2F"],
        ["\x33\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xAA"],

        ["\xF3\xB0\x9E\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x30"],
        ["\x33\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xAB"],

        ["\xF3\xB0\x9E\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x31"],
        ["\x33\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xAC"],

        ["\xF3\xB0\x9E\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x32"],
        ["\x33\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xAD"],

        ["\xF3\xB0\x9E\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x33"],
        ["\x33\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xAE"],

        ["\xF3\xB0\x9E\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x34"],
        ["\x33\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xAF"],

        ["\xF3\xB0\x9E\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x35"],
        ["\x33\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xB0"],

        ["\xF3\xB0\x9E\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x36"],
        ["\x33\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xB1"],

        ["\xF3\xB0\x9E\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x37"],
        ["\x33\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xB2"],

        ["\xF3\xB0\x9E\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x38"],
        ["\x33\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xB3"],

        ["\xF3\xB0\x9E\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x39"],
        ["\x33\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xB4"],

        ["\xF3\xB0\x9E\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x3A"],
        ["\x33\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xB5"],

        ["\xF3\xB0\x9E\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x3B"],
        ["\x33\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xB6"],

        ["\xF3\xB0\x9E\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x3C"],
        ["\x33\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xB7"],

        ["\xF3\xB0\x9E\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x3D"],
        ["\x33\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xB8"],

        ["\xF3\xB0\x9E\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x3E"],
        ["\x33\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xB9"],

        ["\xF3\xB0\x9E\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x3F"],
        ["\x33\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xBA"],

        ["\xF3\xB0\x9E\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x40"],
        ["\x33\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xBB"],

        ["\xF3\xB0\x9E\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x41"],
        ["\x33\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xBC"],

        ["\xF3\xB0\x9E\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x5A"],
        ["\x69\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xBD"],

        ["\xF3\xB0\x9E\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x43"],
        ["\x33\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xBE"],

        ["\xF3\xB0\x9E\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x44"],
        ["\x33\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9E\xBF"],

        ["\xF3\xB0\x9F\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x45"],
        ["\x33\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x80"],

        ["\xF3\xB0\x9F\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x46"],
        ["\x33\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x81"],

        ["\xF3\xB0\x9F\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x47"],
        ["\x33\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x82"],

        ["\xF3\xB0\x9F\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x48"],
        ["\x33\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x83"],

        ["\xF3\xB0\x9F\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x78"],
        ["\x59\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x84"],

        ["\xF3\xB0\x9F\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x4A"],
        ["\x33\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x85"],

        ["\xF3\xB0\x9F\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x4B"],
        ["\x33\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x86"],

        ["\xF3\xB0\x9F\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x4C"],
        ["\x33\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x87"],

        ["\xF3\xB0\x9F\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x4D"],
        ["\x33\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x88"],

        ["\xF3\xB0\x9F\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x4E"],
        ["\x33\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x89"],

        ["\xF3\xB0\x9F\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x4F"],
        ["\x33\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x8A"],

        ["\xF3\xB0\x9F\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x50"],
        ["\x33\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x8B"],

        ["\xF3\xB0\x9F\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x51"],
        ["\x33\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x8C"],

        ["\xF3\xB0\x9F\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x52"],
        ["\x33\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x8D"],

        ["\xF3\xB0\x9F\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x53"],
        ["\x33\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x8E"],

        ["\xF3\xB0\x9F\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x54"],
        ["\x33\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x8F"],

        ["\xF3\xB0\x9F\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x55"],
        ["\x33\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x90"],

        ["\xF3\xB0\x9F\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x56"],
        ["\x33\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x91"],

        ["\xF3\xB0\x9F\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x57"],
        ["\x33\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x92"],

        ["\xF3\xB0\x9F\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x58"],
        ["\x33\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x93"],

        ["\xF3\xB0\x9F\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x59"],
        ["\x33\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x94"],

        ["\xF3\xB0\x9F\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x5A"],
        ["\x33\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x95"],

        ["\xF3\xB0\x9F\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x5B"],
        ["\x33\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x96"],

        ["\xF3\xB0\x9F\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x5C"],
        ["\x33\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x97"],

        ["\xF3\xB0\x9F\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x5D"],
        ["\x33\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x98"],

        ["\xF3\xB0\x9F\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x5E"],
        ["\x33\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x99"],

        ["\xF3\xB0\x9F\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x5F"],
        ["\x33\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x9A"],

        ["\xF3\xB0\x9F\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x60"],
        ["\x33\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x9B"],

        ["\xF3\xB0\x9F\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x61"],
        ["\x33\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x9C"],

        ["\xF3\xB0\x9F\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x62"],
        ["\x33\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x9D"],

        ["\xF3\xB0\x9F\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x63"],
        ["\x33\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x9E"],

        ["\xF3\xB0\x9F\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x64"],
        ["\x33\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\x9F"],

        ["\xF3\xB0\x9F\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x65"],
        ["\x33\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xA0"],

        ["\xF3\xB0\x9F\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x66"],
        ["\x33\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xA1"],

        ["\xF3\xB0\x9F\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x67"],
        ["\x33\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xA2"],

        ["\xF3\xB0\x9F\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x68"],
        ["\x33\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xA3"],

        ["\xF3\xB0\x9F\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x69"],
        ["\x33\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xA4"],

        ["\xF3\xB0\x9F\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x6A"],
        ["\x33\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xA5"],

        ["\xF3\xB0\x9F\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x6B"],
        ["\x33\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xA6"],

        ["\xF3\xB0\x9F\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x6C"],
        ["\x33\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xA7"],

        ["\xF3\xB0\x9F\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x6D"],
        ["\x33\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xA8"],

        ["\xF3\xB0\x9F\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x6E"],
        ["\x33\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xA9"],

        ["\xF3\xB0\x9F\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x6F"],
        ["\x33\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xAA"],

        ["\xF3\xB0\x9F\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x70"],
        ["\x33\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xAB"],

        ["\xF3\xB0\x9F\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x71"],
        ["\x33\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xAC"],

        ["\xF3\xB0\x9F\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x72"],
        ["\x33\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xAD"],

        ["\xF3\xB0\x9F\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x73"],
        ["\x33\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xAE"],

        ["\xF3\xB0\x9F\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x74"],
        ["\x33\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xAF"],

        ["\xF3\xB0\x9F\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x75"],
        ["\x33\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xB0"],

        ["\xF3\xB0\x9F\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x5E"],
        ["\x63\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xB1"],

        ["\xF3\xB0\x9F\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x77"],
        ["\x33\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xB2"],

        ["\xF3\xB0\x9F\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x78"],
        ["\x33\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xB3"],

        ["\xF3\xB0\x9F\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x79"],
        ["\x33\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xB4"],

        ["\xF3\xB0\x9F\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x7A"],
        ["\x33\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xB5"],

        ["\xF3\xB0\x9F\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x7B"],
        ["\x33\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xB6"],

        ["\xF3\xB0\x9F\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x7C"],
        ["\x33\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xB7"],

        ["\xF3\xB0\x9F\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x7D"],
        ["\x33\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xB8"],

        ["\xF3\xB0\x9F\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x7E"],
        ["\x33\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xB9"],

        ["\xF3\xB0\x9F\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x21"],
        ["\x34\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xBA"],

        ["\xF3\xB0\x9F\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x22"],
        ["\x34\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xBB"],

        ["\xF3\xB0\x9F\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x23"],
        ["\x34\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xBC"],

        ["\xF3\xB0\x9F\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x24"],
        ["\x34\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xBD"],

        ["\xF3\xB0\x9F\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x25"],
        ["\x34\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xBE"],

        ["\xF3\xB0\x9F\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x26"],
        ["\x34\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\x9F\xBF"],

        ["\xF3\xB0\xA0\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x27"],
        ["\x34\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x80"],

        ["\xF3\xB0\xA0\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x28"],
        ["\x34\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x81"],

        ["\xF3\xB0\xA0\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x29"],
        ["\x34\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x82"],

        ["\xF3\xB0\xA0\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x2A"],
        ["\x34\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x83"],

        ["\xF3\xB0\xA0\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x2B"],
        ["\x34\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x84"],

        ["\xF3\xB0\xA0\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x2C"],
        ["\x34\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x85"],

        ["\xF3\xB0\xA0\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x2D"],
        ["\x34\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x86"],

        ["\xF3\xB0\xA0\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x2E"],
        ["\x34\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x87"],

        ["\xF3\xB0\xA0\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x2F"],
        ["\x34\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x88"],

        ["\xF3\xB0\xA0\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x30"],
        ["\x34\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x89"],

        ["\xF3\xB0\xA0\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x31"],
        ["\x34\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x8A"],

        ["\xF3\xB0\xA0\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x32"],
        ["\x34\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x8B"],

        ["\xF3\xB0\xA0\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x33"],
        ["\x34\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x8C"],

        ["\xF3\xB0\xA0\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x34"],
        ["\x34\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x8D"],

        ["\xF3\xB0\xA0\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x35"],
        ["\x34\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x8E"],

        ["\xF3\xB0\xA0\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x36"],
        ["\x34\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x8F"],

        ["\xF3\xB0\xA0\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x37"],
        ["\x34\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x90"],

        ["\xF3\xB0\xA0\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x38"],
        ["\x34\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x91"],

        ["\xF3\xB0\xA0\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x39"],
        ["\x34\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x92"],

        ["\xF3\xB0\xA0\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x3A"],
        ["\x34\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x93"],

        ["\xF3\xB0\xA0\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x3B"],
        ["\x34\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x94"],

        ["\xF3\xB0\xA0\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x3C"],
        ["\x34\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x95"],

        ["\xF3\xB0\xA0\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x3D"],
        ["\x34\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x96"],

        ["\xF3\xB0\xA0\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x3E"],
        ["\x34\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x97"],

        ["\xF3\xB0\xA0\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x3F"],
        ["\x34\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x98"],

        ["\xF3\xB0\xA0\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x40"],
        ["\x34\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x99"],

        ["\xF3\xB0\xA0\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x41"],
        ["\x34\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x9A"],

        ["\xF3\xB0\xA0\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x42"],
        ["\x34\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x9B"],

        ["\xF3\xB0\xA0\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x75"],
        ["\x5E\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x9C"],

        ["\xF3\xB0\xA0\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x44"],
        ["\x34\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x9D"],

        ["\xF3\xB0\xA0\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x45"],
        ["\x34\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x9E"],

        ["\xF3\xB0\xA0\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x46"],
        ["\x34\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\x9F"],

        ["\xF3\xB0\xA0\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x47"],
        ["\x34\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xA0"],

        ["\xF3\xB0\xA0\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x48"],
        ["\x34\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xA1"],

        ["\xF3\xB0\xA0\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x49"],
        ["\x34\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xA2"],

        ["\xF3\xB0\xA0\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x4A"],
        ["\x34\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xA3"],

        ["\xF3\xB0\xA0\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x4B"],
        ["\x34\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xA4"],

        ["\xF3\xB0\xA0\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x4C"],
        ["\x34\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xA5"],

        ["\xF3\xB0\xA0\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x4D"],
        ["\x34\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xA6"],

        ["\xF3\xB0\xA0\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x4E"],
        ["\x34\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xA7"],

        ["\xF3\xB0\xA0\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x4F"],
        ["\x34\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xA8"],

        ["\xF3\xB0\xA0\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x50"],
        ["\x34\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xA9"],

        ["\xF3\xB0\xA0\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x51"],
        ["\x34\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xAA"],

        ["\xF3\xB0\xA0\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x5D"],
        ["\x6B\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xAB"],

        ["\xF3\xB0\xA0\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x53"],
        ["\x34\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xAC"],

        ["\xF3\xB0\xA0\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x54"],
        ["\x34\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xAD"],

        ["\xF3\xB0\xA0\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x55"],
        ["\x34\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xAE"],

        ["\xF3\xB0\xA0\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x56"],
        ["\x34\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xAF"],

        ["\xF3\xB0\xA0\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x57"],
        ["\x34\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xB0"],

        ["\xF3\xB0\xA0\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x58"],
        ["\x34\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xB1"],

        ["\xF3\xB0\xA0\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x59"],
        ["\x34\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xB2"],

        ["\xF3\xB0\xA0\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x5A"],
        ["\x34\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xB3"],

        ["\xF3\xB0\xA0\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x5B"],
        ["\x34\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xB4"],

        ["\xF3\xB0\xA0\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x5C"],
        ["\x34\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xB5"],

        ["\xF3\xB0\xA0\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x5D"],
        ["\x34\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xB6"],

        ["\xF3\xB0\xA0\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x5E"],
        ["\x34\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xB7"],

        ["\xF3\xB0\xA0\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x5F"],
        ["\x34\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xB8"],

        ["\xF3\xB0\xA0\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x60"],
        ["\x34\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xB9"],

        ["\xF3\xB0\xA0\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x61"],
        ["\x34\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xBA"],

        ["\xF3\xB0\xA0\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x62"],
        ["\x34\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xBB"],

        ["\xF3\xB0\xA0\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x63"],
        ["\x34\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xBC"],

        ["\xF3\xB0\xA0\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x64"],
        ["\x34\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xBD"],

        ["\xF3\xB0\xA0\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x65"],
        ["\x34\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xBE"],

        ["\xF3\xB0\xA0\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x66"],
        ["\x34\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA0\xBF"],

        ["\xF3\xB0\xA1\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x67"],
        ["\x34\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x80"],

        ["\xF3\xB0\xA1\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x68"],
        ["\x34\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x81"],

        ["\xF3\xB0\xA1\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x69"],
        ["\x34\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x82"],

        ["\xF3\xB0\xA1\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x6A"],
        ["\x34\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x83"],

        ["\xF3\xB0\xA1\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x6B"],
        ["\x34\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x84"],

        ["\xF3\xB0\xA1\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x6C"],
        ["\x34\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x85"],

        ["\xF3\xB0\xA1\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x6D"],
        ["\x34\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x86"],

        ["\xF3\xB0\xA1\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x6E"],
        ["\x34\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x87"],

        ["\xF3\xB0\xA1\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x6F"],
        ["\x34\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x88"],

        ["\xF3\xB0\xA1\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x70"],
        ["\x34\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x89"],

        ["\xF3\xB0\xA1\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x71"],
        ["\x34\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x8A"],

        ["\xF3\xB0\xA1\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x72"],
        ["\x34\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x8B"],

        ["\xF3\xB0\xA1\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x73"],
        ["\x34\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x8C"],

        ["\xF3\xB0\xA1\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x74"],
        ["\x34\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x8D"],

        ["\xF3\xB0\xA1\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x75"],
        ["\x34\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x8E"],

        ["\xF3\xB0\xA1\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x76"],
        ["\x34\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x8F"],

        ["\xF3\xB0\xA1\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x77"],
        ["\x34\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x90"],

        ["\xF3\xB0\xA1\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x78"],
        ["\x34\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x91"],

        ["\xF3\xB0\xA1\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x79"],
        ["\x34\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x92"],

        ["\xF3\xB0\xA1\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x7A"],
        ["\x34\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x93"],

        ["\xF3\xB0\xA1\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x7B"],
        ["\x34\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x94"],

        ["\xF3\xB0\xA1\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x7C"],
        ["\x34\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x95"],

        ["\xF3\xB0\xA1\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x7D"],
        ["\x34\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x96"],

        ["\xF3\xB0\xA1\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x7E"],
        ["\x34\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x97"],

        ["\xF3\xB0\xA1\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x21"],
        ["\x35\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x98"],

        ["\xF3\xB0\xA1\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x22"],
        ["\x35\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x99"],

        ["\xF3\xB0\xA1\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x23"],
        ["\x35\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x9A"],

        ["\xF3\xB0\xA1\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x24"],
        ["\x35\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x9B"],

        ["\xF3\xB0\xA1\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x25"],
        ["\x35\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x9C"],

        ["\xF3\xB0\xA1\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x26"],
        ["\x35\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x9D"],

        ["\xF3\xB0\xA1\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x27"],
        ["\x35\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x9E"],

        ["\xF3\xB0\xA1\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x28"],
        ["\x35\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\x9F"],

        ["\xF3\xB0\xA1\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x29"],
        ["\x35\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xA0"],

        ["\xF3\xB0\xA1\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x2A"],
        ["\x35\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xA1"],

        ["\xF3\xB0\xA1\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x2B"],
        ["\x35\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xA2"],

        ["\xF3\xB0\xA1\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x2C"],
        ["\x35\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xA3"],

        ["\xF3\xB0\xA1\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x2D"],
        ["\x35\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xA4"],

        ["\xF3\xB0\xA1\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x2E"],
        ["\x35\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xA5"],

        ["\xF3\xB0\xA1\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x2F"],
        ["\x35\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xA6"],

        ["\xF3\xB0\xA1\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x30"],
        ["\x35\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xA7"],

        ["\xF3\xB0\xA1\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x31"],
        ["\x35\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xA8"],

        ["\xF3\xB0\xA1\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x32"],
        ["\x35\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xA9"],

        ["\xF3\xB0\xA1\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x33"],
        ["\x35\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xAA"],

        ["\xF3\xB0\xA1\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x34"],
        ["\x35\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xAB"],

        ["\xF3\xB0\xA1\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x35"],
        ["\x35\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xAC"],

        ["\xF3\xB0\xA1\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x36"],
        ["\x35\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xAD"],

        ["\xF3\xB0\xA1\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x37"],
        ["\x35\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xAE"],

        ["\xF3\xB0\xA1\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x38"],
        ["\x35\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xAF"],

        ["\xF3\xB0\xA1\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x39"],
        ["\x35\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xB0"],

        ["\xF3\xB0\xA1\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x3A"],
        ["\x35\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xB1"],

        ["\xF3\xB0\xA1\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x3B"],
        ["\x35\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xB2"],

        ["\xF3\xB0\xA1\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x3C"],
        ["\x35\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xB3"],

        ["\xF3\xB0\xA1\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x3D"],
        ["\x35\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xB4"],

        ["\xF3\xB0\xA1\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x3E"],
        ["\x35\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xB5"],

        ["\xF3\xB0\xA1\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x3F"],
        ["\x35\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xB6"],

        ["\xF3\xB0\xA1\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x40"],
        ["\x35\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xB7"],

        ["\xF3\xB0\xA1\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x41"],
        ["\x35\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xB8"],

        ["\xF3\xB0\xA1\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x42"],
        ["\x35\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xB9"],

        ["\xF3\xB0\xA1\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x43"],
        ["\x35\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xBA"],

        ["\xF3\xB0\xA1\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x44"],
        ["\x35\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xBB"],

        ["\xF3\xB0\xA1\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x45"],
        ["\x35\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xBC"],

        ["\xF3\xB0\xA1\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x46"],
        ["\x35\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xBD"],

        ["\xF3\xB0\xA1\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x47"],
        ["\x35\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xBE"],

        ["\xF3\xB0\xA1\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x48"],
        ["\x35\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA1\xBF"],

        ["\xF3\xB0\xA2\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x49"],
        ["\x35\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x80"],

        ["\xF3\xB0\xA2\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x4A"],
        ["\x35\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x81"],

        ["\xF3\xB0\xA2\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x4B"],
        ["\x35\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x82"],

        ["\xF3\xB0\xA2\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x4C"],
        ["\x35\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x83"],

        ["\xF3\xB0\xA2\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x4D"],
        ["\x35\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x84"],

        ["\xF3\xB0\xA2\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x4E"],
        ["\x35\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x85"],

        ["\xF3\xB0\xA2\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x4F"],
        ["\x35\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x86"],

        ["\xF3\xB0\xA2\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x50"],
        ["\x35\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x87"],

        ["\xF3\xB0\xA2\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x51"],
        ["\x35\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x88"],

        ["\xF3\xB0\xA2\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x52"],
        ["\x35\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x89"],

        ["\xF3\xB0\xA2\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x53"],
        ["\x35\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x8A"],

        ["\xF3\xB0\xA2\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x54"],
        ["\x35\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x8B"],

        ["\xF3\xB0\xA2\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x55"],
        ["\x35\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x8C"],

        ["\xF3\xB0\xA2\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x56"],
        ["\x35\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x8D"],

        ["\xF3\xB0\xA2\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x57"],
        ["\x35\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x8E"],

        ["\xF3\xB0\xA2\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x58"],
        ["\x35\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x8F"],

        ["\xF3\xB0\xA2\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x59"],
        ["\x35\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x90"],

        ["\xF3\xB0\xA2\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x5A"],
        ["\x35\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x91"],

        ["\xF3\xB0\xA2\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x5B"],
        ["\x35\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x92"],

        ["\xF3\xB0\xA2\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x5C"],
        ["\x35\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x93"],

        ["\xF3\xB0\xA2\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x5D"],
        ["\x35\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x94"],

        ["\xF3\xB0\xA2\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x5E"],
        ["\x35\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x95"],

        ["\xF3\xB0\xA2\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x5F"],
        ["\x35\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x96"],

        ["\xF3\xB0\xA2\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x60"],
        ["\x35\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x97"],

        ["\xF3\xB0\xA2\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x61"],
        ["\x35\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x98"],

        ["\xF3\xB0\xA2\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x62"],
        ["\x35\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x99"],

        ["\xF3\xB0\xA2\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x63"],
        ["\x35\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x9A"],

        ["\xF3\xB0\xA2\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x64"],
        ["\x35\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x9B"],

        ["\xF3\xB0\xA2\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x65"],
        ["\x35\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x9C"],

        ["\xF3\xB0\xA2\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x66"],
        ["\x35\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x9D"],

        ["\xF3\xB0\xA2\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x67"],
        ["\x35\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x9E"],

        ["\xF3\xB0\xA2\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x68"],
        ["\x35\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\x9F"],

        ["\xF3\xB0\xA2\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x69"],
        ["\x35\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xA0"],

        ["\xF3\xB0\xA2\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x6A"],
        ["\x35\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xA1"],

        ["\xF3\xB0\xA2\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x6B"],
        ["\x35\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xA2"],

        ["\xF3\xB0\xA2\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x6C"],
        ["\x35\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xA3"],

        ["\xF3\xB0\xA2\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x6D"],
        ["\x35\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xA4"],

        ["\xF3\xB0\xA2\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x6E"],
        ["\x35\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xA5"],

        ["\xF3\xB0\xA2\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x6F"],
        ["\x35\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xA6"],

        ["\xF3\xB0\xA2\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x70"],
        ["\x35\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xA7"],

        ["\xF3\xB0\xA2\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x71"],
        ["\x35\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xA8"],

        ["\xF3\xB0\xA2\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x72"],
        ["\x35\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xA9"],

        ["\xF3\xB0\xA2\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x73"],
        ["\x35\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xAA"],

        ["\xF3\xB0\xA2\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x74"],
        ["\x35\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xAB"],

        ["\xF3\xB0\xA2\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x75"],
        ["\x35\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xAC"],

        ["\xF3\xB0\xA2\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x76"],
        ["\x35\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xAD"],

        ["\xF3\xB0\xA2\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x77"],
        ["\x35\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xAE"],

        ["\xF3\xB0\xA2\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x78"],
        ["\x35\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xAF"],

        ["\xF3\xB0\xA2\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x79"],
        ["\x35\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xB0"],

        ["\xF3\xB0\xA2\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x7A"],
        ["\x35\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xB1"],

        ["\xF3\xB0\xA2\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x7B"],
        ["\x35\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xB2"],

        ["\xF3\xB0\xA2\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x7C"],
        ["\x35\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xB3"],

        ["\xF3\xB0\xA2\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x7D"],
        ["\x35\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xB4"],

        ["\xF3\xB0\xA2\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x35\x7E"],
        ["\x35\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xB5"],

        ["\xF3\xB0\xA2\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x21"],
        ["\x36\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xB6"],

        ["\xF3\xB0\xA2\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x22"],
        ["\x36\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xB7"],

        ["\xF3\xB0\xA2\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x23"],
        ["\x36\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xB8"],

        ["\xF3\xB0\xA2\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x24"],
        ["\x36\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xB9"],

        ["\xF3\xB0\xA2\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x25"],
        ["\x36\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xBA"],

        ["\xF3\xB0\xA2\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x26"],
        ["\x36\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xBB"],

        ["\xF3\xB0\xA2\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x27"],
        ["\x36\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xBC"],

        ["\xF3\xB0\xA2\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x28"],
        ["\x36\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xBD"],

        ["\xF3\xB0\xA2\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x29"],
        ["\x36\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xBE"],

        ["\xF3\xB0\xA2\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x2A"],
        ["\x36\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA2\xBF"],

        ["\xF3\xB0\xA3\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x2B"],
        ["\x36\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x80"],

        ["\xF3\xB0\xA3\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x2C"],
        ["\x36\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x81"],

        ["\xF3\xB0\xA3\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x2D"],
        ["\x36\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x82"],

        ["\xF3\xB0\xA3\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x2E"],
        ["\x36\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x83"],

        ["\xF3\xB0\xA3\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x2F"],
        ["\x36\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x84"],

        ["\xF3\xB0\xA3\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x30"],
        ["\x36\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x85"],

        ["\xF3\xB0\xA3\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x31"],
        ["\x36\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x86"],

        ["\xF3\xB0\xA3\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x32"],
        ["\x36\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x87"],

        ["\xF3\xB0\xA3\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x33"],
        ["\x36\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x88"],

        ["\xF3\xB0\xA3\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x34"],
        ["\x36\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x89"],

        ["\xF3\xB0\xA3\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x35"],
        ["\x36\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x8A"],

        ["\xF3\xB0\xA3\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x36"],
        ["\x36\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x8B"],

        ["\xF3\xB0\xA3\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x37"],
        ["\x36\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x8C"],

        ["\xF3\xB0\xA3\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x38"],
        ["\x36\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x8D"],

        ["\xF3\xB0\xA3\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x39"],
        ["\x36\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x8E"],

        ["\xF3\xB0\xA3\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x3A"],
        ["\x36\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x8F"],

        ["\xF3\xB0\xA3\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x3B"],
        ["\x36\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x90"],

        ["\xF3\xB0\xA3\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x3C"],
        ["\x36\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x91"],

        ["\xF3\xB0\xA3\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x3D"],
        ["\x36\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x92"],

        ["\xF3\xB0\xA3\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x3E"],
        ["\x36\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x93"],

        ["\xF3\xB0\xA3\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x3F"],
        ["\x36\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x94"],

        ["\xF3\xB0\xA3\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x40"],
        ["\x36\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x95"],

        ["\xF3\xB0\xA3\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x41"],
        ["\x36\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x96"],

        ["\xF3\xB0\xA3\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x42"],
        ["\x36\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x97"],

        ["\xF3\xB0\xA3\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x43"],
        ["\x36\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x98"],

        ["\xF3\xB0\xA3\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x44"],
        ["\x36\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x99"],

        ["\xF3\xB0\xA3\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x45"],
        ["\x36\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x9A"],

        ["\xF3\xB0\xA3\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xDA"],
        ["\xB6\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x9B"],

        ["\xF3\xB0\xA3\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x47"],
        ["\x36\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x9C"],

        ["\xF3\xB0\xA3\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x48"],
        ["\x36\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x9D"],

        ["\xF3\xB0\xA3\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x49"],
        ["\x36\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x9E"],

        ["\xF3\xB0\xA3\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x4A"],
        ["\x36\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\x9F"],

        ["\xF3\xB0\xA3\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x4B"],
        ["\x36\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xA0"],

        ["\xF3\xB0\xA3\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x4C"],
        ["\x36\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xA1"],

        ["\xF3\xB0\xA3\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x4D"],
        ["\x36\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xA2"],

        ["\xF3\xB0\xA3\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x4E"],
        ["\x36\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xA3"],

        ["\xF3\xB0\xA3\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x4F"],
        ["\x36\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xA4"],

        ["\xF3\xB0\xA3\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x50"],
        ["\x36\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xA5"],

        ["\xF3\xB0\xA3\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x51"],
        ["\x36\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xA6"],

        ["\xF3\xB0\xA3\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x52"],
        ["\x36\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xA7"],

        ["\xF3\xB0\xA3\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x53"],
        ["\x36\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xA8"],

        ["\xF3\xB0\xA3\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x54"],
        ["\x36\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xA9"],

        ["\xF3\xB0\xA3\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x55"],
        ["\x36\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xAA"],

        ["\xF3\xB0\xA3\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x56"],
        ["\x36\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xAB"],

        ["\xF3\xB0\xA3\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x57"],
        ["\x36\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xAC"],

        ["\xF3\xB0\xA3\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x58"],
        ["\x36\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xAD"],

        ["\xF3\xB0\xA3\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x59"],
        ["\x36\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xAE"],

        ["\xF3\xB0\xA3\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x5A"],
        ["\x36\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xAF"],

        ["\xF3\xB0\xA3\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x5B"],
        ["\x36\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xB0"],

        ["\xF3\xB0\xA3\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x5C"],
        ["\x36\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xB1"],

        ["\xF3\xB0\xA3\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x5D"],
        ["\x36\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xB2"],

        ["\xF3\xB0\xA3\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x5E"],
        ["\x36\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xB3"],

        ["\xF3\xB0\xA3\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x5F"],
        ["\x36\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xB4"],

        ["\xF3\xB0\xA3\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x60"],
        ["\x36\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xB5"],

        ["\xF3\xB0\xA3\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x61"],
        ["\x36\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xB6"],

        ["\xF3\xB0\xA3\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x62"],
        ["\x36\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xB7"],

        ["\xF3\xB0\xA3\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x63"],
        ["\x36\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xB8"],

        ["\xF3\xB0\xA3\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x64"],
        ["\x36\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xB9"],

        ["\xF3\xB0\xA3\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x65"],
        ["\x36\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xBA"],

        ["\xF3\xB0\xA3\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x66"],
        ["\x36\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xBB"],

        ["\xF3\xB0\xA3\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x67"],
        ["\x36\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xBC"],

        ["\xF3\xB0\xA3\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x68"],
        ["\x36\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xBD"],

        ["\xF3\xB0\xA3\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x69"],
        ["\x36\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xBE"],

        ["\xF3\xB0\xA3\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x6A"],
        ["\x36\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA3\xBF"],

        ["\xF3\xB0\xA4\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x6B"],
        ["\x36\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x80"],

        ["\xF3\xB0\xA4\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x6C"],
        ["\x36\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x81"],

        ["\xF3\xB0\xA4\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x6D"],
        ["\x36\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x82"],

        ["\xF3\xB0\xA4\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x6E"],
        ["\x36\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x83"],

        ["\xF3\xB0\xA4\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x6F"],
        ["\x36\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x84"],

        ["\xF3\xB0\xA4\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x70"],
        ["\x36\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x85"],

        ["\xF3\xB0\xA4\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x71"],
        ["\x36\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x86"],

        ["\xF3\xB0\xA4\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x72"],
        ["\x36\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x87"],

        ["\xF3\xB0\xA4\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x73"],
        ["\x36\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x88"],

        ["\xF3\xB0\xA4\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x74"],
        ["\x36\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x89"],

        ["\xF3\xB0\xA4\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x75"],
        ["\x36\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x8A"],

        ["\xF3\xB0\xA4\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x76"],
        ["\x36\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x8B"],

        ["\xF3\xB0\xA4\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x77"],
        ["\x36\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x8C"],

        ["\xF3\xB0\xA4\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x78"],
        ["\x36\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x8D"],

        ["\xF3\xB0\xA4\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x79"],
        ["\x36\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x8E"],

        ["\xF3\xB0\xA4\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x7A"],
        ["\x36\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x8F"],

        ["\xF3\xB0\xA4\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x7B"],
        ["\x36\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x90"],

        ["\xF3\xB0\xA4\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x7C"],
        ["\x36\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x91"],

        ["\xF3\xB0\xA4\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x7D"],
        ["\x36\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x92"],

        ["\xF3\xB0\xA4\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x7E"],
        ["\x36\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x93"],

        ["\xF3\xB0\xA4\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x21"],
        ["\x37\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x94"],

        ["\xF3\xB0\xA4\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x22"],
        ["\x37\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x95"],

        ["\xF3\xB0\xA4\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x23"],
        ["\x37\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x96"],

        ["\xF3\xB0\xA4\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x24"],
        ["\x37\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x97"],

        ["\xF3\xB0\xA4\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x25"],
        ["\x37\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x98"],

        ["\xF3\xB0\xA4\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x26"],
        ["\x37\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x99"],

        ["\xF3\xB0\xA4\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x27"],
        ["\x37\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x9A"],

        ["\xF3\xB0\xA4\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x28"],
        ["\x37\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x9B"],

        ["\xF3\xB0\xA4\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x29"],
        ["\x37\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x9C"],

        ["\xF3\xB0\xA4\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x2A"],
        ["\x37\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x9D"],

        ["\xF3\xB0\xA4\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x2B"],
        ["\x37\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x9E"],

        ["\xF3\xB0\xA4\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x2C"],
        ["\x37\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\x9F"],

        ["\xF3\xB0\xA4\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x2D"],
        ["\x37\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xA0"],

        ["\xF3\xB0\xA4\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x2E"],
        ["\x37\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xA1"],

        ["\xF3\xB0\xA4\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x2F"],
        ["\x37\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xA2"],

        ["\xF3\xB0\xA4\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x30"],
        ["\x37\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xA3"],

        ["\xF3\xB0\xA4\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x31"],
        ["\x37\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xA4"],

        ["\xF3\xB0\xA4\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x32"],
        ["\x37\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xA5"],

        ["\xF3\xB0\xA4\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x33"],
        ["\x37\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xA6"],

        ["\xF3\xB0\xA4\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x34"],
        ["\x37\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xA7"],

        ["\xF3\xB0\xA4\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x35"],
        ["\x37\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xA8"],

        ["\xF3\xB0\xA4\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x36"],
        ["\x37\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xA9"],

        ["\xF3\xB0\xA4\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x37"],
        ["\x37\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xAA"],

        ["\xF3\xB0\xA4\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x38"],
        ["\x37\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xAB"],

        ["\xF3\xB0\xA4\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x39"],
        ["\x37\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xAC"],

        ["\xF3\xB0\xA4\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x3A"],
        ["\x37\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xAD"],

        ["\xF3\xB0\xA4\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x3B"],
        ["\x37\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xAE"],

        ["\xF3\xB0\xA4\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x3C"],
        ["\x37\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xAF"],

        ["\xF3\xB0\xA4\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x3D"],
        ["\x37\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xB0"],

        ["\xF3\xB0\xA4\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x3E"],
        ["\x37\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xB1"],

        ["\xF3\xB0\xA4\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x3F"],
        ["\x37\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xB2"],

        ["\xF3\xB0\xA4\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x40"],
        ["\x37\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xB3"],

        ["\xF3\xB0\xA4\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x41"],
        ["\x37\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xB4"],

        ["\xF3\xB0\xA4\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x42"],
        ["\x37\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xB5"],

        ["\xF3\xB0\xA4\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x43"],
        ["\x37\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xB6"],

        ["\xF3\xB0\xA4\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x44"],
        ["\x37\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xB7"],

        ["\xF3\xB0\xA4\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x45"],
        ["\x37\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xB8"],

        ["\xF3\xB0\xA4\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x46"],
        ["\x37\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xB9"],

        ["\xF3\xB0\xA4\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x47"],
        ["\x37\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xBA"],

        ["\xF3\xB0\xA4\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x48"],
        ["\x37\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xBB"],

        ["\xF3\xB0\xA4\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x49"],
        ["\x37\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xBC"],

        ["\xF3\xB0\xA4\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x4A"],
        ["\x37\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xBD"],

        ["\xF3\xB0\xA4\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x4B"],
        ["\x37\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xBE"],

        ["\xF3\xB0\xA4\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x4C"],
        ["\x37\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA4\xBF"],

        ["\xF3\xB0\xA5\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x4D"],
        ["\x37\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x80"],

        ["\xF3\xB0\xA5\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x4E"],
        ["\x37\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x81"],

        ["\xF3\xB0\xA5\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x4F"],
        ["\x37\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x82"],

        ["\xF3\xB0\xA5\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x50"],
        ["\x37\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x83"],

        ["\xF3\xB0\xA5\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x51"],
        ["\x37\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x84"],

        ["\xF3\xB0\xA5\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x52"],
        ["\x37\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x85"],

        ["\xF3\xB0\xA5\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x53"],
        ["\x37\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x86"],

        ["\xF3\xB0\xA5\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x54"],
        ["\x37\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x87"],

        ["\xF3\xB0\xA5\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x55"],
        ["\x37\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x88"],

        ["\xF3\xB0\xA5\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x56"],
        ["\x37\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x89"],

        ["\xF3\xB0\xA5\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x57"],
        ["\x37\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x8A"],

        ["\xF3\xB0\xA5\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x58"],
        ["\x37\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x8B"],

        ["\xF3\xB0\xA5\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x59"],
        ["\x37\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x8C"],

        ["\xF3\xB0\xA5\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x5A"],
        ["\x37\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x8D"],

        ["\xF3\xB0\xA5\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x74"],
        ["\x70\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x8E"],

        ["\xF3\xB0\xA5\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x5C"],
        ["\x37\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x8F"],

        ["\xF3\xB0\xA5\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x5D"],
        ["\x37\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x90"],

        ["\xF3\xB0\xA5\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x5E"],
        ["\x37\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x91"],

        ["\xF3\xB0\xA5\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x5F"],
        ["\x37\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x92"],

        ["\xF3\xB0\xA5\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x60"],
        ["\x37\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x93"],

        ["\xF3\xB0\xA5\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x61"],
        ["\x37\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x94"],

        ["\xF3\xB0\xA5\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x62"],
        ["\x37\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x95"],

        ["\xF3\xB0\xA5\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x63"],
        ["\x37\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x96"],

        ["\xF3\xB0\xA5\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x64"],
        ["\x37\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x97"],

        ["\xF3\xB0\xA5\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x65"],
        ["\x37\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x98"],

        ["\xF3\xB0\xA5\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x66"],
        ["\x37\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x99"],

        ["\xF3\xB0\xA5\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x67"],
        ["\x37\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x9A"],

        ["\xF3\xB0\xA5\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x68"],
        ["\x37\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x9B"],

        ["\xF3\xB0\xA5\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x69"],
        ["\x37\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x9C"],

        ["\xF3\xB0\xA5\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x6A"],
        ["\x37\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x9D"],

        ["\xF3\xB0\xA5\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x6B"],
        ["\x37\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x9E"],

        ["\xF3\xB0\xA5\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x6C"],
        ["\x37\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\x9F"],

        ["\xF3\xB0\xA5\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x6D"],
        ["\x37\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xA0"],

        ["\xF3\xB0\xA5\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x6E"],
        ["\x37\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xA1"],

        ["\xF3\xB0\xA5\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x6F"],
        ["\x37\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xA2"],

        ["\xF3\xB0\xA5\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x70"],
        ["\x37\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xA3"],

        ["\xF3\xB0\xA5\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x71"],
        ["\x37\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xA4"],

        ["\xF3\xB0\xA5\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x72"],
        ["\x37\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xA5"],

        ["\xF3\xB0\xA5\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x73"],
        ["\x37\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xA6"],

        ["\xF3\xB0\xA5\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x74"],
        ["\x37\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xA7"],

        ["\xF3\xB0\xA5\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x75"],
        ["\x37\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xA8"],

        ["\xF3\xB0\xA5\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x76"],
        ["\x37\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xA9"],

        ["\xF3\xB0\xA5\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x77"],
        ["\x37\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xAA"],

        ["\xF3\xB0\xA5\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x78"],
        ["\x37\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xAB"],

        ["\xF3\xB0\xA5\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x79"],
        ["\x37\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xAC"],

        ["\xF3\xB0\xA5\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x7A"],
        ["\x37\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xAD"],

        ["\xF3\xB0\xA5\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x7B"],
        ["\x37\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xAE"],

        ["\xF3\xB0\xA5\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x7C"],
        ["\x37\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xAF"],

        ["\xF3\xB0\xA5\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x7D"],
        ["\x37\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xB0"],

        ["\xF3\xB0\xA5\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x7E"],
        ["\x37\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xB1"],

        ["\xF3\xB0\xA5\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x21"],
        ["\x38\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xB2"],

        ["\xF3\xB0\xA5\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x22"],
        ["\x38\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xB3"],

        ["\xF3\xB0\xA5\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x23"],
        ["\x38\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xB4"],

        ["\xF3\xB0\xA5\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x24"],
        ["\x38\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xB5"],

        ["\xF3\xB0\xA5\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x25"],
        ["\x38\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xB6"],

        ["\xF3\xB0\xA5\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x26"],
        ["\x38\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xB7"],

        ["\xF3\xB0\xA5\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x27"],
        ["\x38\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xB8"],

        ["\xF3\xB0\xA5\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x28"],
        ["\x38\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xB9"],

        ["\xF3\xB0\xA5\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x29"],
        ["\x38\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xBA"],

        ["\xF3\xB0\xA5\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x2A"],
        ["\x38\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xBB"],

        ["\xF3\xB0\xA5\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x2B"],
        ["\x38\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xBC"],

        ["\xF3\xB0\xA5\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x2C"],
        ["\x38\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xBD"],

        ["\xF3\xB0\xA5\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x2D"],
        ["\x38\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xBE"],

        ["\xF3\xB0\xA5\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x2E"],
        ["\x38\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA5\xBF"],

        ["\xF3\xB0\xA6\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x2F"],
        ["\x38\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x80"],

        ["\xF3\xB0\xA6\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x30"],
        ["\x38\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x81"],

        ["\xF3\xB0\xA6\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x31"],
        ["\x38\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x82"],

        ["\xF3\xB0\xA6\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x32"],
        ["\x38\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x83"],

        ["\xF3\xB0\xA6\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x33"],
        ["\x38\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x84"],

        ["\xF3\xB0\xA6\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x34"],
        ["\x38\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x85"],

        ["\xF3\xB0\xA6\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x35"],
        ["\x38\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x86"],

        ["\xF3\xB0\xA6\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x36"],
        ["\x38\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x87"],

        ["\xF3\xB0\xA6\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x37"],
        ["\x38\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x88"],

        ["\xF3\xB0\xA6\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x38"],
        ["\x38\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x89"],

        ["\xF3\xB0\xA6\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x39"],
        ["\x38\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x8A"],

        ["\xF3\xB0\xA6\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x3A"],
        ["\x38\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x8B"],

        ["\xF3\xB0\xA6\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x3B"],
        ["\x38\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x8C"],

        ["\xF3\xB0\xA6\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x3C"],
        ["\x38\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x8D"],

        ["\xF3\xB0\xA6\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x3D"],
        ["\x38\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x8E"],

        ["\xF3\xB0\xA6\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x3E"],
        ["\x38\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x8F"],

        ["\xF3\xB0\xA6\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x3F"],
        ["\x38\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x90"],

        ["\xF3\xB0\xA6\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x40"],
        ["\x38\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x91"],

        ["\xF3\xB0\xA6\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x41"],
        ["\x38\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x92"],

        ["\xF3\xB0\xA6\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x42"],
        ["\x38\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x93"],

        ["\xF3\xB0\xA6\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x43"],
        ["\x38\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x94"],

        ["\xF3\xB0\xA6\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x44"],
        ["\x38\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x95"],

        ["\xF3\xB0\xA6\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x45"],
        ["\x38\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x96"],

        ["\xF3\xB0\xA6\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x46"],
        ["\x38\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x97"],

        ["\xF3\xB0\xA6\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x47"],
        ["\x38\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x98"],

        ["\xF3\xB0\xA6\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x48"],
        ["\x38\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x99"],

        ["\xF3\xB0\xA6\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x49"],
        ["\x38\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x9A"],

        ["\xF3\xB0\xA6\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x4A"],
        ["\x38\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x9B"],

        ["\xF3\xB0\xA6\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x4B"],
        ["\x38\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x9C"],

        ["\xF3\xB0\xA6\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x4C"],
        ["\x38\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x9D"],

        ["\xF3\xB0\xA6\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x4D"],
        ["\x38\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x9E"],

        ["\xF3\xB0\xA6\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x4E"],
        ["\x38\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\x9F"],

        ["\xF3\xB0\xA6\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x4F"],
        ["\x38\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xA0"],

        ["\xF3\xB0\xA6\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x50"],
        ["\x38\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xA1"],

        ["\xF3\xB0\xA6\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x51"],
        ["\x38\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xA2"],

        ["\xF3\xB0\xA6\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x52"],
        ["\x38\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xA3"],

        ["\xF3\xB0\xA6\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x53"],
        ["\x38\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xA4"],

        ["\xF3\xB0\xA6\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x54"],
        ["\x38\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xA5"],

        ["\xF3\xB0\xA6\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x55"],
        ["\x38\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xA6"],

        ["\xF3\xB0\xA6\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x56"],
        ["\x38\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xA7"],

        ["\xF3\xB0\xA6\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x57"],
        ["\x38\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xA8"],

        ["\xF3\xB0\xA6\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x58"],
        ["\x38\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xA9"],

        ["\xF3\xB0\xA6\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x59"],
        ["\x38\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xAA"],

        ["\xF3\xB0\xA6\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x5A"],
        ["\x38\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xAB"],

        ["\xF3\xB0\xA6\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x5B"],
        ["\x38\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xAC"],

        ["\xF3\xB0\xA6\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x5C"],
        ["\x38\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xAD"],

        ["\xF3\xB0\xA6\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x5D"],
        ["\x38\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xAE"],

        ["\xF3\xB0\xA6\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x5E"],
        ["\x38\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xAF"],

        ["\xF3\xB0\xA6\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x5F"],
        ["\x38\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xB0"],

        ["\xF3\xB0\xA6\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x60"],
        ["\x38\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xB1"],

        ["\xF3\xB0\xA6\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x61"],
        ["\x38\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xB2"],

        ["\xF3\xB0\xA6\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x62"],
        ["\x38\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xB3"],

        ["\xF3\xB0\xA6\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x63"],
        ["\x38\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xB4"],

        ["\xF3\xB0\xA6\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x64"],
        ["\x38\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xB5"],

        ["\xF3\xB0\xA6\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x65"],
        ["\x38\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xB6"],

        ["\xF3\xB0\xA6\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x66"],
        ["\x38\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xB7"],

        ["\xF3\xB0\xA6\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x67"],
        ["\x38\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xB8"],

        ["\xF3\xB0\xA6\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x68"],
        ["\x38\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xB9"],

        ["\xF3\xB0\xA6\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x69"],
        ["\x38\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xBA"],

        ["\xF3\xB0\xA6\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x6A"],
        ["\x38\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xBB"],

        ["\xF3\xB0\xA6\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x6B"],
        ["\x38\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xBC"],

        ["\xF3\xB0\xA6\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x6C"],
        ["\x38\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xBD"],

        ["\xF3\xB0\xA6\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x6D"],
        ["\x38\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xBE"],

        ["\xF3\xB0\xA6\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x6E"],
        ["\x38\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA6\xBF"],

        ["\xF3\xB0\xA7\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x6F"],
        ["\x38\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x80"],

        ["\xF3\xB0\xA7\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x70"],
        ["\x38\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x81"],

        ["\xF3\xB0\xA7\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x71"],
        ["\x38\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x82"],

        ["\xF3\xB0\xA7\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x72"],
        ["\x38\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x83"],

        ["\xF3\xB0\xA7\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x73"],
        ["\x38\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x84"],

        ["\xF3\xB0\xA7\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x74"],
        ["\x38\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x85"],

        ["\xF3\xB0\xA7\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x75"],
        ["\x38\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x86"],

        ["\xF3\xB0\xA7\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x76"],
        ["\x38\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x87"],

        ["\xF3\xB0\xA7\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x77"],
        ["\x38\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x88"],

        ["\xF3\xB0\xA7\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x78"],
        ["\x38\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x89"],

        ["\xF3\xB0\xA7\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x79"],
        ["\x38\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x8A"],

        ["\xF3\xB0\xA7\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x7A"],
        ["\x38\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x8B"],

        ["\xF3\xB0\xA7\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x7B"],
        ["\x38\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x8C"],

        ["\xF3\xB0\xA7\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x7C"],
        ["\x38\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x8D"],

        ["\xF3\xB0\xA7\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x7D"],
        ["\x38\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x8E"],

        ["\xF3\xB0\xA7\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x38\x7E"],
        ["\x38\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x8F"],

        ["\xF3\xB0\xA7\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x21"],
        ["\x39\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x90"],

        ["\xF3\xB0\xA7\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x22"],
        ["\x39\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x91"],

        ["\xF3\xB0\xA7\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x23"],
        ["\x39\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x92"],

        ["\xF3\xB0\xA7\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x24"],
        ["\x39\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x93"],

        ["\xF3\xB0\xA7\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x25"],
        ["\x39\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x94"],

        ["\xF3\xB0\xA7\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x26"],
        ["\x39\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x95"],

        ["\xF3\xB0\xA7\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x27"],
        ["\x39\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x96"],

        ["\xF3\xB0\xA7\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x28"],
        ["\x39\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x97"],

        ["\xF3\xB0\xA7\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x29"],
        ["\x39\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x98"],

        ["\xF3\xB0\xA7\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x2A"],
        ["\x39\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x99"],

        ["\xF3\xB0\xA7\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x2B"],
        ["\x39\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x9A"],

        ["\xF3\xB0\xA7\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x2C"],
        ["\x39\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x9B"],

        ["\xF3\xB0\xA7\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x2D"],
        ["\x39\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x9C"],

        ["\xF3\xB0\xA7\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x2E"],
        ["\x39\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x9D"],

        ["\xF3\xB0\xA7\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x2F"],
        ["\x39\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x9E"],

        ["\xF3\xB0\xA7\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x30"],
        ["\x39\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\x9F"],

        ["\xF3\xB0\xA7\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x31"],
        ["\x39\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xA0"],

        ["\xF3\xB0\xA7\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x32"],
        ["\x39\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xA1"],

        ["\xF3\xB0\xA7\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x33"],
        ["\x39\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xA2"],

        ["\xF3\xB0\xA7\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x34"],
        ["\x39\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xA3"],

        ["\xF3\xB0\xA7\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x35"],
        ["\x39\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xA4"],

        ["\xF3\xB0\xA7\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x36"],
        ["\x39\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xA5"],

        ["\xF3\xB0\xA7\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xB6"],
        ["\xBD\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xA6"],

        ["\xF3\xB0\xA7\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x38"],
        ["\x39\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xA7"],

        ["\xF3\xB0\xA7\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x39"],
        ["\x39\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xA8"],

        ["\xF3\xB0\xA7\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x3A"],
        ["\x39\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xA9"],

        ["\xF3\xB0\xA7\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x3B"],
        ["\x39\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xAA"],

        ["\xF3\xB0\xA7\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x3C"],
        ["\x39\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xAB"],

        ["\xF3\xB0\xA7\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x3D"],
        ["\x39\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xAC"],

        ["\xF3\xB0\xA7\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x3E"],
        ["\x39\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xAD"],

        ["\xF3\xB0\xA7\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x3F"],
        ["\x39\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xAE"],

        ["\xF3\xB0\xA7\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x40"],
        ["\x39\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xAF"],

        ["\xF3\xB0\xA7\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x41"],
        ["\x39\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xB0"],

        ["\xF3\xB0\xA7\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x42"],
        ["\x39\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xB1"],

        ["\xF3\xB0\xA7\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x43"],
        ["\x39\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xB2"],

        ["\xF3\xB0\xA7\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x44"],
        ["\x39\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xB3"],

        ["\xF3\xB0\xA7\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x45"],
        ["\x39\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xB4"],

        ["\xF3\xB0\xA7\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x46"],
        ["\x39\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xB5"],

        ["\xF3\xB0\xA7\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x47"],
        ["\x39\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xB6"],

        ["\xF3\xB0\xA7\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x48"],
        ["\x39\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xB7"],

        ["\xF3\xB0\xA7\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x49"],
        ["\x39\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xB8"],

        ["\xF3\xB0\xA7\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x4A"],
        ["\x39\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xB9"],

        ["\xF3\xB0\xA7\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x4B"],
        ["\x39\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xBA"],

        ["\xF3\xB0\xA7\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x4C"],
        ["\x39\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xBB"],

        ["\xF3\xB0\xA7\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x4D"],
        ["\x39\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xBC"],

        ["\xF3\xB0\xA7\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x4E"],
        ["\x39\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xBD"],

        ["\xF3\xB0\xA7\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x4F"],
        ["\x39\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xBE"],

        ["\xF3\xB0\xA7\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x50"],
        ["\x39\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA7\xBF"],

        ["\xF3\xB0\xA8\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x51"],
        ["\x39\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x80"],

        ["\xF3\xB0\xA8\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x52"],
        ["\x39\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x81"],

        ["\xF3\xB0\xA8\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x53"],
        ["\x39\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x82"],

        ["\xF3\xB0\xA8\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x54"],
        ["\x39\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x83"],

        ["\xF3\xB0\xA8\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x55"],
        ["\x39\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x84"],

        ["\xF3\xB0\xA8\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x56"],
        ["\x39\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x85"],

        ["\xF3\xB0\xA8\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x57"],
        ["\x39\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x86"],

        ["\xF3\xB0\xA8\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x58"],
        ["\x39\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x87"],

        ["\xF3\xB0\xA8\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x59"],
        ["\x39\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x88"],

        ["\xF3\xB0\xA8\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x5A"],
        ["\x39\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x89"],

        ["\xF3\xB0\xA8\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x5B"],
        ["\x39\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x8A"],

        ["\xF3\xB0\xA8\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x68"],
        ["\x62\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x8B"],

        ["\xF3\xB0\xA8\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x5D"],
        ["\x39\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x8C"],

        ["\xF3\xB0\xA8\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x5E"],
        ["\x39\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x8D"],

        ["\xF3\xB0\xA8\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x5F"],
        ["\x39\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x8E"],

        ["\xF3\xB0\xA8\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x60"],
        ["\x39\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x8F"],

        ["\xF3\xB0\xA8\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x61"],
        ["\x39\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x90"],

        ["\xF3\xB0\xA8\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x62"],
        ["\x39\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x91"],

        ["\xF3\xB0\xA8\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x63"],
        ["\x39\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x92"],

        ["\xF3\xB0\xA8\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x64"],
        ["\x39\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x93"],

        ["\xF3\xB0\xA8\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x65"],
        ["\x39\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x94"],

        ["\xF3\xB0\xA8\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x66"],
        ["\x39\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x95"],

        ["\xF3\xB0\xA8\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x67"],
        ["\x39\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x96"],

        ["\xF3\xB0\xA8\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x68"],
        ["\x39\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x97"],

        ["\xF3\xB0\xA8\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x69"],
        ["\x39\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x98"],

        ["\xF3\xB0\xA8\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x6A"],
        ["\x39\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x99"],

        ["\xF3\xB0\xA8\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x6B"],
        ["\x39\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x9A"],

        ["\xF3\xB0\xA8\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x6C"],
        ["\x39\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x9B"],

        ["\xF3\xB0\xA8\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD6\xBB"],
        ["\xD6\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x9C"],

        ["\xF3\xB0\xA8\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x6E"],
        ["\x39\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x9D"],

        ["\xF3\xB0\xA8\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x6F"],
        ["\x39\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x9E"],

        ["\xF3\xB0\xA8\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x70"],
        ["\x39\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\x9F"],

        ["\xF3\xB0\xA8\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x71"],
        ["\x39\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xA0"],

        ["\xF3\xB0\xA8\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x72"],
        ["\x39\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xA1"],

        ["\xF3\xB0\xA8\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x73"],
        ["\x39\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xA2"],

        ["\xF3\xB0\xA8\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x74"],
        ["\x39\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xA3"],

        ["\xF3\xB0\xA8\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x75"],
        ["\x39\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xA4"],

        ["\xF3\xB0\xA8\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x76"],
        ["\x39\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xA5"],

        ["\xF3\xB0\xA8\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x77"],
        ["\x39\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xA6"],

        ["\xF3\xB0\xA8\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x78"],
        ["\x39\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xA7"],

        ["\xF3\xB0\xA8\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x79"],
        ["\x39\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xA8"],

        ["\xF3\xB0\xA8\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x7A"],
        ["\x39\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xA9"],

        ["\xF3\xB0\xA8\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x7B"],
        ["\x39\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xAA"],

        ["\xF3\xB0\xA8\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x7C"],
        ["\x39\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xAB"],

        ["\xF3\xB0\xA8\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x7D"],
        ["\x39\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xAC"],

        ["\xF3\xB0\xA8\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x7E"],
        ["\x39\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xAD"],

        ["\xF3\xB0\xA8\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x21"],
        ["\x3A\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xAE"],

        ["\xF3\xB0\xA8\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x22"],
        ["\x3A\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xAF"],

        ["\xF3\xB0\xA8\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x23"],
        ["\x3A\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xB0"],

        ["\xF3\xB0\xA8\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x24"],
        ["\x3A\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xB1"],

        ["\xF3\xB0\xA8\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x25"],
        ["\x3A\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xB2"],

        ["\xF3\xB0\xA8\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x26"],
        ["\x3A\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xB3"],

        ["\xF3\xB0\xA8\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x27"],
        ["\x3A\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xB4"],

        ["\xF3\xB0\xA8\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x28"],
        ["\x3A\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xB5"],

        ["\xF3\xB0\xA8\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x29"],
        ["\x3A\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xB6"],

        ["\xF3\xB0\xA8\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x2A"],
        ["\x3A\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xB7"],

        ["\xF3\xB0\xA8\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x2B"],
        ["\x3A\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xB8"],

        ["\xF3\xB0\xA8\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x2C"],
        ["\x3A\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xB9"],

        ["\xF3\xB0\xA8\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x2D"],
        ["\x3A\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xBA"],

        ["\xF3\xB0\xA8\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x2E"],
        ["\x3A\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xBB"],

        ["\xF3\xB0\xA8\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x2F"],
        ["\x3A\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xBC"],

        ["\xF3\xB0\xA8\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x30"],
        ["\x3A\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xBD"],

        ["\xF3\xB0\xA8\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x31"],
        ["\x3A\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xBE"],

        ["\xF3\xB0\xA8\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x32"],
        ["\x3A\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA8\xBF"],

        ["\xF3\xB0\xA9\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x33"],
        ["\x3A\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x80"],

        ["\xF3\xB0\xA9\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x34"],
        ["\x3A\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x81"],

        ["\xF3\xB0\xA9\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x35"],
        ["\x3A\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x82"],

        ["\xF3\xB0\xA9\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x36"],
        ["\x3A\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x83"],

        ["\xF3\xB0\xA9\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x37"],
        ["\x3A\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x84"],

        ["\xF3\xB0\xA9\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x38"],
        ["\x3A\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x85"],

        ["\xF3\xB0\xA9\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x39"],
        ["\x3A\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x86"],

        ["\xF3\xB0\xA9\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x3A"],
        ["\x3A\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x87"],

        ["\xF3\xB0\xA9\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x3B"],
        ["\x3A\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x88"],

        ["\xF3\xB0\xA9\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x3C"],
        ["\x3A\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x89"],

        ["\xF3\xB0\xA9\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x3D"],
        ["\x3A\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x8A"],

        ["\xF3\xB0\xA9\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x3E"],
        ["\x3A\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x8B"],

        ["\xF3\xB0\xA9\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x3F"],
        ["\x3A\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x8C"],

        ["\xF3\xB0\xA9\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x40"],
        ["\x3A\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x8D"],

        ["\xF3\xB0\xA9\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x41"],
        ["\x3A\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x8E"],

        ["\xF3\xB0\xA9\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x42"],
        ["\x3A\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x8F"],

        ["\xF3\xB0\xA9\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x43"],
        ["\x3A\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x90"],

        ["\xF3\xB0\xA9\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x44"],
        ["\x3A\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x91"],

        ["\xF3\xB0\xA9\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x45"],
        ["\x3A\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x92"],

        ["\xF3\xB0\xA9\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x46"],
        ["\x3A\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x93"],

        ["\xF3\xB0\xA9\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x47"],
        ["\x3A\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x94"],

        ["\xF3\xB0\xA9\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x48"],
        ["\x3A\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x95"],

        ["\xF3\xB0\xA9\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x49"],
        ["\x3A\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x96"],

        ["\xF3\xB0\xA9\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x4A"],
        ["\x3A\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x97"],

        ["\xF3\xB0\xA9\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x4B"],
        ["\x3A\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x98"],

        ["\xF3\xB0\xA9\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x4C"],
        ["\x3A\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x99"],

        ["\xF3\xB0\xA9\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x4D"],
        ["\x3A\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x9A"],

        ["\xF3\xB0\xA9\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x4E"],
        ["\x3A\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x9B"],

        ["\xF3\xB0\xA9\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x4F"],
        ["\x3A\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x9C"],

        ["\xF3\xB0\xA9\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x50"],
        ["\x3A\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x9D"],

        ["\xF3\xB0\xA9\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x51"],
        ["\x3A\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x9E"],

        ["\xF3\xB0\xA9\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x52"],
        ["\x3A\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\x9F"],

        ["\xF3\xB0\xA9\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x53"],
        ["\x3A\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xA0"],

        ["\xF3\xB0\xA9\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x54"],
        ["\x3A\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xA1"],

        ["\xF3\xB0\xA9\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x55"],
        ["\x3A\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xA2"],

        ["\xF3\xB0\xA9\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x56"],
        ["\x3A\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xA3"],

        ["\xF3\xB0\xA9\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x57"],
        ["\x3A\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xA4"],

        ["\xF3\xB0\xA9\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x58"],
        ["\x3A\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xA5"],

        ["\xF3\xB0\xA9\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x59"],
        ["\x3A\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xA6"],

        ["\xF3\xB0\xA9\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x5A"],
        ["\x3A\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xA7"],

        ["\xF3\xB0\xA9\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x5B"],
        ["\x3A\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xA8"],

        ["\xF3\xB0\xA9\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x5C"],
        ["\x3A\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xA9"],

        ["\xF3\xB0\xA9\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x5D"],
        ["\x3A\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xAA"],

        ["\xF3\xB0\xA9\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x5E"],
        ["\x3A\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xAB"],

        ["\xF3\xB0\xA9\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x5F"],
        ["\x3A\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xAC"],

        ["\xF3\xB0\xA9\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x60"],
        ["\x3A\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xAD"],

        ["\xF3\xB0\xA9\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x61"],
        ["\x3A\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xAE"],

        ["\xF3\xB0\xA9\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x62"],
        ["\x3A\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xAF"],

        ["\xF3\xB0\xA9\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x63"],
        ["\x3A\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xB0"],

        ["\xF3\xB0\xA9\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x64"],
        ["\x3A\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xB1"],

        ["\xF3\xB0\xA9\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x65"],
        ["\x3A\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xB2"],

        ["\xF3\xB0\xA9\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x66"],
        ["\x3A\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xB3"],

        ["\xF3\xB0\xA9\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x67"],
        ["\x3A\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xB4"],

        ["\xF3\xB0\xA9\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x68"],
        ["\x3A\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xB5"],

        ["\xF3\xB0\xA9\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x69"],
        ["\x3A\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xB6"],

        ["\xF3\xB0\xA9\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x6A"],
        ["\x3A\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xB7"],

        ["\xF3\xB0\xA9\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x6B"],
        ["\x3A\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xB8"],

        ["\xF3\xB0\xA9\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x6C"],
        ["\x3A\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xB9"],

        ["\xF3\xB0\xA9\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x6D"],
        ["\x3A\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xBA"],

        ["\xF3\xB0\xA9\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x6E"],
        ["\x3A\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xBB"],

        ["\xF3\xB0\xA9\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x6F"],
        ["\x3A\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xBC"],

        ["\xF3\xB0\xA9\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x70"],
        ["\x3A\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xBD"],

        ["\xF3\xB0\xA9\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x71"],
        ["\x3A\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xBE"],

        ["\xF3\xB0\xA9\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x72"],
        ["\x3A\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xA9\xBF"],

        ["\xF3\xB0\xAA\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x73"],
        ["\x3A\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x80"],

        ["\xF3\xB0\xAA\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x74"],
        ["\x3A\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x81"],

        ["\xF3\xB0\xAA\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x75"],
        ["\x3A\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x82"],

        ["\xF3\xB0\xAA\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x76"],
        ["\x3A\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x83"],

        ["\xF3\xB0\xAA\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x77"],
        ["\x3A\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x84"],

        ["\xF3\xB0\xAA\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x78"],
        ["\x3A\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x85"],

        ["\xF3\xB0\xAA\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x79"],
        ["\x3A\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x86"],

        ["\xF3\xB0\xAA\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x7A"],
        ["\x3A\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x87"],

        ["\xF3\xB0\xAA\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x7B"],
        ["\x3A\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x88"],

        ["\xF3\xB0\xAA\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x7C"],
        ["\x3A\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x89"],

        ["\xF3\xB0\xAA\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x7D"],
        ["\x3A\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x8A"],

        ["\xF3\xB0\xAA\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3A\x7E"],
        ["\x3A\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x8B"],

        ["\xF3\xB0\xAA\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x21"],
        ["\x3B\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x8C"],

        ["\xF3\xB0\xAA\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x22"],
        ["\x3B\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x8D"],

        ["\xF3\xB0\xAA\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x23"],
        ["\x3B\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x8E"],

        ["\xF3\xB0\xAA\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x24"],
        ["\x3B\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x8F"],

        ["\xF3\xB0\xAA\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x25"],
        ["\x3B\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x90"],

        ["\xF3\xB0\xAA\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x26"],
        ["\x3B\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x91"],

        ["\xF3\xB0\xAA\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x27"],
        ["\x3B\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x92"],

        ["\xF3\xB0\xAA\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x28"],
        ["\x3B\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x93"],

        ["\xF3\xB0\xAA\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x29"],
        ["\x3B\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x94"],

        ["\xF3\xB0\xAA\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x2A"],
        ["\x3B\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x95"],

        ["\xF3\xB0\xAA\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x2B"],
        ["\x3B\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x96"],

        ["\xF3\xB0\xAA\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x2C"],
        ["\x3B\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x97"],

        ["\xF3\xB0\xAA\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x2D"],
        ["\x3B\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x98"],

        ["\xF3\xB0\xAA\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x2E"],
        ["\x3B\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x99"],

        ["\xF3\xB0\xAA\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x2F"],
        ["\x3B\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x9A"],

        ["\xF3\xB0\xAA\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x30"],
        ["\x3B\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x9B"],

        ["\xF3\xB0\xAA\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x31"],
        ["\x3B\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x9C"],

        ["\xF3\xB0\xAA\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x32"],
        ["\x3B\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x9D"],

        ["\xF3\xB0\xAA\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x33"],
        ["\x3B\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x9E"],

        ["\xF3\xB0\xAA\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x34"],
        ["\x3B\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\x9F"],

        ["\xF3\xB0\xAA\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x35"],
        ["\x3B\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xA0"],

        ["\xF3\xB0\xAA\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x36"],
        ["\x3B\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xA1"],

        ["\xF3\xB0\xAA\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x37"],
        ["\x3B\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xA2"],

        ["\xF3\xB0\xAA\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x38"],
        ["\x3B\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xA3"],

        ["\xF3\xB0\xAA\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x39"],
        ["\x3B\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xA4"],

        ["\xF3\xB0\xAA\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x3A"],
        ["\x3B\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xA5"],

        ["\xF3\xB0\xAA\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x3B"],
        ["\x3B\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xA6"],

        ["\xF3\xB0\xAA\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x3C"],
        ["\x3B\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xA7"],

        ["\xF3\xB0\xAA\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x3D"],
        ["\x3B\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xA8"],

        ["\xF3\xB0\xAA\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x3E"],
        ["\x3B\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xA9"],

        ["\xF3\xB0\xAA\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x3F"],
        ["\x3B\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xAA"],

        ["\xF3\xB0\xAA\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x40"],
        ["\x3B\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xAB"],

        ["\xF3\xB0\xAA\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x41"],
        ["\x3B\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xAC"],

        ["\xF3\xB0\xAA\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x42"],
        ["\x3B\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xAD"],

        ["\xF3\xB0\xAA\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x43"],
        ["\x3B\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xAE"],

        ["\xF3\xB0\xAA\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x44"],
        ["\x3B\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xAF"],

        ["\xF3\xB0\xAA\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x45"],
        ["\x3B\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xB0"],

        ["\xF3\xB0\xAA\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x46"],
        ["\x3B\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xB1"],

        ["\xF3\xB0\xAA\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x47"],
        ["\x3B\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xB2"],

        ["\xF3\xB0\xAA\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x48"],
        ["\x3B\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xB3"],

        ["\xF3\xB0\xAA\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x49"],
        ["\x3B\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xB4"],

        ["\xF3\xB0\xAA\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x4A"],
        ["\x3B\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xB5"],

        ["\xF3\xB0\xAA\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x4B"],
        ["\x3B\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xB6"],

        ["\xF3\xB0\xAA\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x4C"],
        ["\x3B\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xB7"],

        ["\xF3\xB0\xAA\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x4D"],
        ["\x3B\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xB8"],

        ["\xF3\xB0\xAA\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x4E"],
        ["\x3B\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xB9"],

        ["\xF3\xB0\xAA\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x4F"],
        ["\x3B\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xBA"],

        ["\xF3\xB0\xAA\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x50"],
        ["\x3B\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xBB"],

        ["\xF3\xB0\xAA\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x51"],
        ["\x3B\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xBC"],

        ["\xF3\xB0\xAA\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x52"],
        ["\x3B\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xBD"],

        ["\xF3\xB0\xAA\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x53"],
        ["\x3B\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xBE"],

        ["\xF3\xB0\xAA\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x54"],
        ["\x3B\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAA\xBF"],

        ["\xF3\xB0\xAB\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x55"],
        ["\x3B\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x80"],

        ["\xF3\xB0\xAB\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x56"],
        ["\x3B\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x81"],

        ["\xF3\xB0\xAB\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x57"],
        ["\x3B\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x82"],

        ["\xF3\xB0\xAB\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x58"],
        ["\x3B\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x83"],

        ["\xF3\xB0\xAB\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x59"],
        ["\x3B\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x84"],

        ["\xF3\xB0\xAB\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x5A"],
        ["\x3B\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x85"],

        ["\xF3\xB0\xAB\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x5B"],
        ["\x3B\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x86"],

        ["\xF3\xB0\xAB\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x5C"],
        ["\x3B\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x87"],

        ["\xF3\xB0\xAB\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x5D"],
        ["\x3B\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x88"],

        ["\xF3\xB0\xAB\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x5E"],
        ["\x3B\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x89"],

        ["\xF3\xB0\xAB\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x5F"],
        ["\x3B\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x8A"],

        ["\xF3\xB0\xAB\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x60"],
        ["\x3B\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x8B"],

        ["\xF3\xB0\xAB\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x61"],
        ["\x3B\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x8C"],

        ["\xF3\xB0\xAB\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x62"],
        ["\x3B\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x8D"],

        ["\xF3\xB0\xAB\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x63"],
        ["\x3B\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x8E"],

        ["\xF3\xB0\xAB\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x64"],
        ["\x3B\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x8F"],

        ["\xF3\xB0\xAB\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x65"],
        ["\x3B\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x90"],

        ["\xF3\xB0\xAB\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x66"],
        ["\x3B\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x91"],

        ["\xF3\xB0\xAB\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x67"],
        ["\x3B\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x92"],

        ["\xF3\xB0\xAB\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x68"],
        ["\x3B\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x93"],

        ["\xF3\xB0\xAB\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x69"],
        ["\x3B\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x94"],

        ["\xF3\xB0\xAB\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x6A"],
        ["\x3B\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x95"],

        ["\xF3\xB0\xAB\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x6B"],
        ["\x3B\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x96"],

        ["\xF3\xB0\xAB\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x6C"],
        ["\x3B\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x97"],

        ["\xF3\xB0\xAB\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x6D"],
        ["\x3B\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x98"],

        ["\xF3\xB0\xAB\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x6E"],
        ["\x3B\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x99"],

        ["\xF3\xB0\xAB\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x6F"],
        ["\x3B\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x9A"],

        ["\xF3\xB0\xAB\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x70"],
        ["\x3B\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x9B"],

        ["\xF3\xB0\xAB\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x71"],
        ["\x3B\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x9C"],

        ["\xF3\xB0\xAB\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x72"],
        ["\x3B\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x9D"],

        ["\xF3\xB0\xAB\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x73"],
        ["\x3B\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x9E"],

        ["\xF3\xB0\xAB\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x74"],
        ["\x3B\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\x9F"],

        ["\xF3\xB0\xAB\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x75"],
        ["\x3B\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xA0"],

        ["\xF3\xB0\xAB\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x76"],
        ["\x3B\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xA1"],

        ["\xF3\xB0\xAB\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x77"],
        ["\x3B\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xA2"],

        ["\xF3\xB0\xAB\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x78"],
        ["\x3B\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xA3"],

        ["\xF3\xB0\xAB\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x79"],
        ["\x3B\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xA4"],

        ["\xF3\xB0\xAB\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x7A"],
        ["\x3B\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xA5"],

        ["\xF3\xB0\xAB\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x7B"],
        ["\x3B\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xA6"],

        ["\xF3\xB0\xAB\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x7C"],
        ["\x3B\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xA7"],

        ["\xF3\xB0\xAB\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x7D"],
        ["\x3B\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xA8"],

        ["\xF3\xB0\xAB\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3B\x7E"],
        ["\x3B\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xA9"],

        ["\xF3\xB0\xAB\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x21"],
        ["\x3C\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xAA"],

        ["\xF3\xB0\xAB\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x22"],
        ["\x3C\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xAB"],

        ["\xF3\xB0\xAB\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x23"],
        ["\x3C\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xAC"],

        ["\xF3\xB0\xAB\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x24"],
        ["\x3C\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xAD"],

        ["\xF3\xB0\xAB\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x25"],
        ["\x3C\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xAE"],

        ["\xF3\xB0\xAB\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x26"],
        ["\x3C\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xAF"],

        ["\xF3\xB0\xAB\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x27"],
        ["\x3C\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xB0"],

        ["\xF3\xB0\xAB\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x28"],
        ["\x3C\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xB1"],

        ["\xF3\xB0\xAB\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x29"],
        ["\x3C\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xB2"],

        ["\xF3\xB0\xAB\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x2A"],
        ["\x3C\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xB3"],

        ["\xF3\xB0\xAB\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x2B"],
        ["\x3C\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xB4"],

        ["\xF3\xB0\xAB\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x2C"],
        ["\x3C\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xB5"],

        ["\xF3\xB0\xAB\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x2D"],
        ["\x3C\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xB6"],

        ["\xF3\xB0\xAB\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x2E"],
        ["\x3C\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xB7"],

        ["\xF3\xB0\xAB\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x2F"],
        ["\x3C\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xB8"],

        ["\xF3\xB0\xAB\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x30"],
        ["\x3C\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xB9"],

        ["\xF3\xB0\xAB\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x31"],
        ["\x3C\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xBA"],

        ["\xF3\xB0\xAB\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x32"],
        ["\x3C\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xBB"],

        ["\xF3\xB0\xAB\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x33"],
        ["\x3C\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xBC"],

        ["\xF3\xB0\xAB\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x34"],
        ["\x3C\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xBD"],

        ["\xF3\xB0\xAB\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x35"],
        ["\x3C\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xBE"],

        ["\xF3\xB0\xAB\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x36"],
        ["\x3C\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAB\xBF"],

        ["\xF3\xB0\xAC\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x37"],
        ["\x3C\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x80"],

        ["\xF3\xB0\xAC\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x38"],
        ["\x3C\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x81"],

        ["\xF3\xB0\xAC\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x39"],
        ["\x3C\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x82"],

        ["\xF3\xB0\xAC\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x3A"],
        ["\x3C\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x83"],

        ["\xF3\xB0\xAC\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x3B"],
        ["\x3C\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x84"],

        ["\xF3\xB0\xAC\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x3C"],
        ["\x3C\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x85"],

        ["\xF3\xB0\xAC\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x3D"],
        ["\x3C\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x86"],

        ["\xF3\xB0\xAC\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x3E"],
        ["\x3C\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x87"],

        ["\xF3\xB0\xAC\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x3F"],
        ["\x3C\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x88"],

        ["\xF3\xB0\xAC\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x40"],
        ["\x3C\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x89"],

        ["\xF3\xB0\xAC\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x41"],
        ["\x3C\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x8A"],

        ["\xF3\xB0\xAC\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x42"],
        ["\x3C\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x8B"],

        ["\xF3\xB0\xAC\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x43"],
        ["\x3C\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x8C"],

        ["\xF3\xB0\xAC\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x44"],
        ["\x3C\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x8D"],

        ["\xF3\xB0\xAC\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x45"],
        ["\x3C\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x8E"],

        ["\xF3\xB0\xAC\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x46"],
        ["\x3C\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x8F"],

        ["\xF3\xB0\xAC\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x47"],
        ["\x3C\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x90"],

        ["\xF3\xB0\xAC\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x48"],
        ["\x3C\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x91"],

        ["\xF3\xB0\xAC\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x22"],
        ["\x69\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x92"],

        ["\xF3\xB0\xAC\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x4A"],
        ["\x3C\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x93"],

        ["\xF3\xB0\xAC\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x4B"],
        ["\x3C\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x94"],

        ["\xF3\xB0\xAC\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x4C"],
        ["\x3C\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x95"],

        ["\xF3\xB0\xAC\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x4D"],
        ["\x3C\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x96"],

        ["\xF3\xB0\xAC\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x4E"],
        ["\x3C\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x97"],

        ["\xF3\xB0\xAC\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x4F"],
        ["\x3C\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x98"],

        ["\xF3\xB0\xAC\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x50"],
        ["\x3C\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x99"],

        ["\xF3\xB0\xAC\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x51"],
        ["\x3C\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x9A"],

        ["\xF3\xB0\xAC\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x52"],
        ["\x3C\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x9B"],

        ["\xF3\xB0\xAC\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x53"],
        ["\x3C\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x9C"],

        ["\xF3\xB0\xAC\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x54"],
        ["\x3C\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x9D"],

        ["\xF3\xB0\xAC\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x55"],
        ["\x3C\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x9E"],

        ["\xF3\xB0\xAC\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x56"],
        ["\x3C\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\x9F"],

        ["\xF3\xB0\xAC\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x57"],
        ["\x3C\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xA0"],

        ["\xF3\xB0\xAC\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x58"],
        ["\x3C\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xA1"],

        ["\xF3\xB0\xAC\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x59"],
        ["\x3C\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xA2"],

        ["\xF3\xB0\xAC\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x5A"],
        ["\x3C\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xA3"],

        ["\xF3\xB0\xAC\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x5B"],
        ["\x3C\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xA4"],

        ["\xF3\xB0\xAC\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x5C"],
        ["\x3C\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xA5"],

        ["\xF3\xB0\xAC\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x5D"],
        ["\x3C\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xA6"],

        ["\xF3\xB0\xAC\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x5E"],
        ["\x3C\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xA7"],

        ["\xF3\xB0\xAC\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x5F"],
        ["\x3C\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xA8"],

        ["\xF3\xB0\xAC\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x60"],
        ["\x3C\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xA9"],

        ["\xF3\xB0\xAC\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x61"],
        ["\x3C\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xAA"],

        ["\xF3\xB0\xAC\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x62"],
        ["\x3C\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xAB"],

        ["\xF3\xB0\xAC\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x63"],
        ["\x3C\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xAC"],

        ["\xF3\xB0\xAC\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x64"],
        ["\x3C\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xAD"],

        ["\xF3\xB0\xAC\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x65"],
        ["\x3C\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xAE"],

        ["\xF3\xB0\xAC\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x66"],
        ["\x3C\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xAF"],

        ["\xF3\xB0\xAC\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x67"],
        ["\x3C\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xB0"],

        ["\xF3\xB0\xAC\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x68"],
        ["\x3C\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xB1"],

        ["\xF3\xB0\xAC\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x69"],
        ["\x3C\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xB2"],

        ["\xF3\xB0\xAC\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x6A"],
        ["\x3C\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xB3"],

        ["\xF3\xB0\xAC\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x6B"],
        ["\x3C\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xB4"],

        ["\xF3\xB0\xAC\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x6C"],
        ["\x3C\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xB5"],

        ["\xF3\xB0\xAC\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x6D"],
        ["\x3C\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xB6"],

        ["\xF3\xB0\xAC\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x6E"],
        ["\x3C\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xB7"],

        ["\xF3\xB0\xAC\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x6F"],
        ["\x3C\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xB8"],

        ["\xF3\xB0\xAC\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x70"],
        ["\x3C\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xB9"],

        ["\xF3\xB0\xAC\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x71"],
        ["\x3C\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xBA"],

        ["\xF3\xB0\xAC\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x72"],
        ["\x3C\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xBB"],

        ["\xF3\xB0\xAC\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x73"],
        ["\x3C\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xBC"],

        ["\xF3\xB0\xAC\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x74"],
        ["\x3C\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xBD"],

        ["\xF3\xB0\xAC\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x75"],
        ["\x3C\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xBE"],

        ["\xF3\xB0\xAC\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x76"],
        ["\x3C\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAC\xBF"],

        ["\xF3\xB0\xAD\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x77"],
        ["\x3C\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x80"],

        ["\xF3\xB0\xAD\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x78"],
        ["\x3C\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x81"],

        ["\xF3\xB0\xAD\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x79"],
        ["\x3C\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x82"],

        ["\xF3\xB0\xAD\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x7A"],
        ["\x3C\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x83"],

        ["\xF3\xB0\xAD\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x7B"],
        ["\x3C\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x84"],

        ["\xF3\xB0\xAD\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x7C"],
        ["\x3C\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x85"],

        ["\xF3\xB0\xAD\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x7D"],
        ["\x3C\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x86"],

        ["\xF3\xB0\xAD\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x7E"],
        ["\x3C\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x87"],

        ["\xF3\xB0\xAD\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x21"],
        ["\x3D\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x88"],

        ["\xF3\xB0\xAD\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x22"],
        ["\x3D\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x89"],

        ["\xF3\xB0\xAD\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x23"],
        ["\x3D\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x8A"],

        ["\xF3\xB0\xAD\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x24"],
        ["\x3D\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x8B"],

        ["\xF3\xB0\xAD\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x25"],
        ["\x3D\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x8C"],

        ["\xF3\xB0\xAD\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x26"],
        ["\x3D\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x8D"],

        ["\xF3\xB0\xAD\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x27"],
        ["\x3D\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x8E"],

        ["\xF3\xB0\xAD\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x28"],
        ["\x3D\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x8F"],

        ["\xF3\xB0\xAD\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x29"],
        ["\x3D\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x90"],

        ["\xF3\xB0\xAD\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x2A"],
        ["\x3D\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x91"],

        ["\xF3\xB0\xAD\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x2B"],
        ["\x3D\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x92"],

        ["\xF3\xB0\xAD\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x2C"],
        ["\x3D\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x93"],

        ["\xF3\xB0\xAD\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x2D"],
        ["\x3D\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x94"],

        ["\xF3\xB0\xAD\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x2E"],
        ["\x3D\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x95"],

        ["\xF3\xB0\xAD\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x2F"],
        ["\x3D\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x96"],

        ["\xF3\xB0\xAD\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x30"],
        ["\x3D\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x97"],

        ["\xF3\xB0\xAD\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x31"],
        ["\x3D\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x98"],

        ["\xF3\xB0\xAD\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x32"],
        ["\x3D\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x99"],

        ["\xF3\xB0\xAD\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x33"],
        ["\x3D\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x9A"],

        ["\xF3\xB0\xAD\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x34"],
        ["\x3D\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x9B"],

        ["\xF3\xB0\xAD\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x35"],
        ["\x3D\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x9C"],

        ["\xF3\xB0\xAD\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x36"],
        ["\x3D\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x9D"],

        ["\xF3\xB0\xAD\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x37"],
        ["\x3D\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x9E"],

        ["\xF3\xB0\xAD\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x38"],
        ["\x3D\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\x9F"],

        ["\xF3\xB0\xAD\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x39"],
        ["\x3D\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xA0"],

        ["\xF3\xB0\xAD\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x3A"],
        ["\x3D\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xA1"],

        ["\xF3\xB0\xAD\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x3B"],
        ["\x3D\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xA2"],

        ["\xF3\xB0\xAD\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x3C"],
        ["\x3D\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xA3"],

        ["\xF3\xB0\xAD\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x3D"],
        ["\x3D\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xA4"],

        ["\xF3\xB0\xAD\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x3E"],
        ["\x3D\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xA5"],

        ["\xF3\xB0\xAD\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x3F"],
        ["\x3D\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xA6"],

        ["\xF3\xB0\xAD\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x40"],
        ["\x3D\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xA7"],

        ["\xF3\xB0\xAD\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x41"],
        ["\x3D\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xA8"],

        ["\xF3\xB0\xAD\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x42"],
        ["\x3D\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xA9"],

        ["\xF3\xB0\xAD\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x43"],
        ["\x3D\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xAA"],

        ["\xF3\xB0\xAD\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x44"],
        ["\x3D\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xAB"],

        ["\xF3\xB0\xAD\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x45"],
        ["\x3D\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xAC"],

        ["\xF3\xB0\xAD\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x46"],
        ["\x3D\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xAD"],

        ["\xF3\xB0\xAD\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x47"],
        ["\x3D\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xAE"],

        ["\xF3\xB0\xAD\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x48"],
        ["\x3D\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xAF"],

        ["\xF3\xB0\xAD\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x49"],
        ["\x3D\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xB0"],

        ["\xF3\xB0\xAD\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x4A"],
        ["\x3D\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xB1"],

        ["\xF3\xB0\xAD\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x4B"],
        ["\x3D\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xB2"],

        ["\xF3\xB0\xAD\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x4C"],
        ["\x3D\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xB3"],

        ["\xF3\xB0\xAD\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x4D"],
        ["\x3D\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xB4"],

        ["\xF3\xB0\xAD\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x4E"],
        ["\x3D\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xB5"],

        ["\xF3\xB0\xAD\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x4F"],
        ["\x3D\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xB6"],

        ["\xF3\xB0\xAD\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x50"],
        ["\x3D\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xB7"],

        ["\xF3\xB0\xAD\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x51"],
        ["\x3D\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xB8"],

        ["\xF3\xB0\xAD\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x52"],
        ["\x3D\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xB9"],

        ["\xF3\xB0\xAD\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x53"],
        ["\x3D\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xBA"],

        ["\xF3\xB0\xAD\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x54"],
        ["\x3D\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xBB"],

        ["\xF3\xB0\xAD\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x55"],
        ["\x3D\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xBC"],

        ["\xF3\xB0\xAD\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x56"],
        ["\x3D\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xBD"],

        ["\xF3\xB0\xAD\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x57"],
        ["\x3D\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xBE"],

        ["\xF3\xB0\xAD\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x58"],
        ["\x3D\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAD\xBF"],

        ["\xF3\xB0\xAE\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x59"],
        ["\x3D\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x80"],

        ["\xF3\xB0\xAE\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x5A"],
        ["\x3D\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x81"],

        ["\xF3\xB0\xAE\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x5B"],
        ["\x3D\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x82"],

        ["\xF3\xB0\xAE\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x5C"],
        ["\x3D\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x83"],

        ["\xF3\xB0\xAE\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x5D"],
        ["\x3D\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x84"],

        ["\xF3\xB0\xAE\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x5E"],
        ["\x3D\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x85"],

        ["\xF3\xB0\xAE\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x5F"],
        ["\x3D\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x86"],

        ["\xF3\xB0\xAE\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x60"],
        ["\x3D\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x87"],

        ["\xF3\xB0\xAE\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x61"],
        ["\x3D\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x88"],

        ["\xF3\xB0\xAE\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x62"],
        ["\x3D\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x89"],

        ["\xF3\xB0\xAE\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x63"],
        ["\x3D\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x8A"],

        ["\xF3\xB0\xAE\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x64"],
        ["\x3D\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x8B"],

        ["\xF3\xB0\xAE\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x65"],
        ["\x3D\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x8C"],

        ["\xF3\xB0\xAE\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x66"],
        ["\x3D\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x8D"],

        ["\xF3\xB0\xAE\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x67"],
        ["\x3D\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x8E"],

        ["\xF3\xB0\xAE\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x68"],
        ["\x3D\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x8F"],

        ["\xF3\xB0\xAE\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x69"],
        ["\x3D\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x90"],

        ["\xF3\xB0\xAE\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x6A"],
        ["\x3D\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x91"],

        ["\xF3\xB0\xAE\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x6B"],
        ["\x3D\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x92"],

        ["\xF3\xB0\xAE\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x6C"],
        ["\x3D\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x93"],

        ["\xF3\xB0\xAE\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x6D"],
        ["\x3D\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x94"],

        ["\xF3\xB0\xAE\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x6E"],
        ["\x3D\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x95"],

        ["\xF3\xB0\xAE\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x6F"],
        ["\x3D\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x96"],

        ["\xF3\xB0\xAE\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x70"],
        ["\x3D\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x97"],

        ["\xF3\xB0\xAE\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x71"],
        ["\x3D\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x98"],

        ["\xF3\xB0\xAE\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x72"],
        ["\x3D\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x99"],

        ["\xF3\xB0\xAE\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x73"],
        ["\x3D\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x9A"],

        ["\xF3\xB0\xAE\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x74"],
        ["\x3D\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x9B"],

        ["\xF3\xB0\xAE\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x75"],
        ["\x3D\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x9C"],

        ["\xF3\xB0\xAE\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x76"],
        ["\x3D\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x9D"],

        ["\xF3\xB0\xAE\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x77"],
        ["\x3D\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x9E"],

        ["\xF3\xB0\xAE\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x78"],
        ["\x3D\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\x9F"],

        ["\xF3\xB0\xAE\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x79"],
        ["\x3D\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xA0"],

        ["\xF3\xB0\xAE\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x7A"],
        ["\x3D\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xA1"],

        ["\xF3\xB0\xAE\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x7B"],
        ["\x3D\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xA2"],

        ["\xF3\xB0\xAE\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x7C"],
        ["\x3D\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xA3"],

        ["\xF3\xB0\xAE\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x7D"],
        ["\x3D\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xA4"],

        ["\xF3\xB0\xAE\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3D\x7E"],
        ["\x3D\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xA5"],

        ["\xF3\xB0\xAE\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x21"],
        ["\x3E\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xA6"],

        ["\xF3\xB0\xAE\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x22"],
        ["\x3E\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xA7"],

        ["\xF3\xB0\xAE\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x23"],
        ["\x3E\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xA8"],

        ["\xF3\xB0\xAE\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x24"],
        ["\x3E\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xA9"],

        ["\xF3\xB0\xAE\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x25"],
        ["\x3E\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xAA"],

        ["\xF3\xB0\xAE\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x26"],
        ["\x3E\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xAB"],

        ["\xF3\xB0\xAE\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x27"],
        ["\x3E\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xAC"],

        ["\xF3\xB0\xAE\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x28"],
        ["\x3E\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xAD"],

        ["\xF3\xB0\xAE\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x29"],
        ["\x3E\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xAE"],

        ["\xF3\xB0\xAE\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x2A"],
        ["\x3E\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xAF"],

        ["\xF3\xB0\xAE\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x2B"],
        ["\x3E\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xB0"],

        ["\xF3\xB0\xAE\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x2C"],
        ["\x3E\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xB1"],

        ["\xF3\xB0\xAE\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x2D"],
        ["\x3E\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xB2"],

        ["\xF3\xB0\xAE\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x2E"],
        ["\x3E\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xB3"],

        ["\xF3\xB0\xAE\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x2F"],
        ["\x3E\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xB4"],

        ["\xF3\xB0\xAE\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x30"],
        ["\x3E\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xB5"],

        ["\xF3\xB0\xAE\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x31"],
        ["\x3E\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xB6"],

        ["\xF3\xB0\xAE\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x32"],
        ["\x3E\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xB7"],

        ["\xF3\xB0\xAE\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x33"],
        ["\x3E\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xB8"],

        ["\xF3\xB0\xAE\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x34"],
        ["\x3E\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xB9"],

        ["\xF3\xB0\xAE\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x35"],
        ["\x3E\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xBA"],

        ["\xF3\xB0\xAE\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x36"],
        ["\x3E\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xBB"],

        ["\xF3\xB0\xAE\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x37"],
        ["\x3E\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xBC"],

        ["\xF3\xB0\xAE\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x38"],
        ["\x3E\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xBD"],

        ["\xF3\xB0\xAE\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x39"],
        ["\x3E\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xBE"],

        ["\xF3\xB0\xAE\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x3A"],
        ["\x3E\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAE\xBF"],

        ["\xF3\xB0\xAF\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x3B"],
        ["\x3E\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x80"],

        ["\xF3\xB0\xAF\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x3C"],
        ["\x3E\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x81"],

        ["\xF3\xB0\xAF\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x3D"],
        ["\x3E\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x82"],

        ["\xF3\xB0\xAF\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x3E"],
        ["\x3E\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x83"],

        ["\xF3\xB0\xAF\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x3F"],
        ["\x3E\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x84"],

        ["\xF3\xB0\xAF\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x40"],
        ["\x3E\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x85"],

        ["\xF3\xB0\xAF\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x41"],
        ["\x3E\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x86"],

        ["\xF3\xB0\xAF\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x42"],
        ["\x3E\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x87"],

        ["\xF3\xB0\xAF\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x43"],
        ["\x3E\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x88"],

        ["\xF3\xB0\xAF\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x44"],
        ["\x3E\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x89"],

        ["\xF3\xB0\xAF\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x45"],
        ["\x3E\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x8A"],

        ["\xF3\xB0\xAF\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x46"],
        ["\x3E\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x8B"],

        ["\xF3\xB0\xAF\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x47"],
        ["\x3E\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x8C"],

        ["\xF3\xB0\xAF\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x48"],
        ["\x3E\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x8D"],

        ["\xF3\xB0\xAF\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x49"],
        ["\x3E\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x8E"],

        ["\xF3\xB0\xAF\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x4A"],
        ["\x3E\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x8F"],

        ["\xF3\xB0\xAF\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x4B"],
        ["\x3E\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x90"],

        ["\xF3\xB0\xAF\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x4C"],
        ["\x3E\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x91"],

        ["\xF3\xB0\xAF\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x4D"],
        ["\x3E\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x92"],

        ["\xF3\xB0\xAF\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x4E"],
        ["\x3E\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x93"],

        ["\xF3\xB0\xAF\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x4F"],
        ["\x3E\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x94"],

        ["\xF3\xB0\xAF\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x50"],
        ["\x3E\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x95"],

        ["\xF3\xB0\xAF\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x51"],
        ["\x3E\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x96"],

        ["\xF3\xB0\xAF\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x52"],
        ["\x3E\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x97"],

        ["\xF3\xB0\xAF\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x53"],
        ["\x3E\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x98"],

        ["\xF3\xB0\xAF\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x54"],
        ["\x3E\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x99"],

        ["\xF3\xB0\xAF\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x55"],
        ["\x3E\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x9A"],

        ["\xF3\xB0\xAF\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x56"],
        ["\x3E\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x9B"],

        ["\xF3\xB0\xAF\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x57"],
        ["\x3E\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x9C"],

        ["\xF3\xB0\xAF\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x58"],
        ["\x3E\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x9D"],

        ["\xF3\xB0\xAF\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x59"],
        ["\x3E\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x9E"],

        ["\xF3\xB0\xAF\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x5A"],
        ["\x3E\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\x9F"],

        ["\xF3\xB0\xAF\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x5B"],
        ["\x3E\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xA0"],

        ["\xF3\xB0\xAF\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x5C"],
        ["\x3E\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xA1"],

        ["\xF3\xB0\xAF\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x5D"],
        ["\x3E\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xA2"],

        ["\xF3\xB0\xAF\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x5E"],
        ["\x3E\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xA3"],

        ["\xF3\xB0\xAF\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x5F"],
        ["\x3E\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xA4"],

        ["\xF3\xB0\xAF\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x60"],
        ["\x3E\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xA5"],

        ["\xF3\xB0\xAF\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x61"],
        ["\x3E\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xA6"],

        ["\xF3\xB0\xAF\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x62"],
        ["\x3E\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xA7"],

        ["\xF3\xB0\xAF\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x63"],
        ["\x3E\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xA8"],

        ["\xF3\xB0\xAF\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x64"],
        ["\x3E\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xA9"],

        ["\xF3\xB0\xAF\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x65"],
        ["\x3E\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xAA"],

        ["\xF3\xB0\xAF\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x66"],
        ["\x3E\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xAB"],

        ["\xF3\xB0\xAF\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x67"],
        ["\x3E\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xAC"],

        ["\xF3\xB0\xAF\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x68"],
        ["\x3E\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xAD"],

        ["\xF3\xB0\xAF\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x69"],
        ["\x3E\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xAE"],

        ["\xF3\xB0\xAF\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x6A"],
        ["\x3E\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xAF"],

        ["\xF3\xB0\xAF\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x6B"],
        ["\x3E\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xB0"],

        ["\xF3\xB0\xAF\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x6C"],
        ["\x3E\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xB1"],

        ["\xF3\xB0\xAF\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x6D"],
        ["\x3E\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xB2"],

        ["\xF3\xB0\xAF\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x6E"],
        ["\x3E\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xB3"],

        ["\xF3\xB0\xAF\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x6F"],
        ["\x3E\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xB4"],

        ["\xF3\xB0\xAF\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x70"],
        ["\x3E\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xB5"],

        ["\xF3\xB0\xAF\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x71"],
        ["\x3E\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xB6"],

        ["\xF3\xB0\xAF\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x72"],
        ["\x3E\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xB7"],

        ["\xF3\xB0\xAF\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x73"],
        ["\x3E\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xB8"],

        ["\xF3\xB0\xAF\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x74"],
        ["\x3E\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xB9"],

        ["\xF3\xB0\xAF\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x75"],
        ["\x3E\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xBA"],

        ["\xF3\xB0\xAF\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x76"],
        ["\x3E\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xBB"],

        ["\xF3\xB0\xAF\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x77"],
        ["\x3E\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xBC"],

        ["\xF3\xB0\xAF\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x78"],
        ["\x3E\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xBD"],

        ["\xF3\xB0\xAF\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x79"],
        ["\x3E\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xBE"],

        ["\xF3\xB0\xAF\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x7A"],
        ["\x3E\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xAF\xBF"],

        ["\xF3\xB0\xB0\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x7B"],
        ["\x3E\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x80"],

        ["\xF3\xB0\xB0\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x7C"],
        ["\x3E\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x81"],

        ["\xF3\xB0\xB0\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x7D"],
        ["\x3E\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x82"],

        ["\xF3\xB0\xB0\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3E\x7E"],
        ["\x3E\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x83"],

        ["\xF3\xB0\xB0\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x21"],
        ["\x3F\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x84"],

        ["\xF3\xB0\xB0\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x22"],
        ["\x3F\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x85"],

        ["\xF3\xB0\xB0\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x23"],
        ["\x3F\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x86"],

        ["\xF3\xB0\xB0\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x24"],
        ["\x3F\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x87"],

        ["\xF3\xB0\xB0\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x25"],
        ["\x3F\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x88"],

        ["\xF3\xB0\xB0\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x26"],
        ["\x3F\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x89"],

        ["\xF3\xB0\xB0\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x27"],
        ["\x3F\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x8A"],

        ["\xF3\xB0\xB0\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x28"],
        ["\x3F\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x8B"],

        ["\xF3\xB0\xB0\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x29"],
        ["\x3F\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x8C"],

        ["\xF3\xB0\xB0\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x2A"],
        ["\x3F\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x8D"],

        ["\xF3\xB0\xB0\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x2B"],
        ["\x3F\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x8E"],

        ["\xF3\xB0\xB0\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x2C"],
        ["\x3F\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x8F"],

        ["\xF3\xB0\xB0\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x2D"],
        ["\x3F\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x90"],

        ["\xF3\xB0\xB0\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x2E"],
        ["\x3F\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x91"],

        ["\xF3\xB0\xB0\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x2F"],
        ["\x3F\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x92"],

        ["\xF3\xB0\xB0\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x30"],
        ["\x3F\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x93"],

        ["\xF3\xB0\xB0\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x31"],
        ["\x3F\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x94"],

        ["\xF3\xB0\xB0\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x32"],
        ["\x3F\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x95"],

        ["\xF3\xB0\xB0\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x33"],
        ["\x3F\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x96"],

        ["\xF3\xB0\xB0\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x34"],
        ["\x3F\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x97"],

        ["\xF3\xB0\xB0\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x35"],
        ["\x3F\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x98"],

        ["\xF3\xB0\xB0\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x36"],
        ["\x3F\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x99"],

        ["\xF3\xB0\xB0\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x37"],
        ["\x3F\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x9A"],

        ["\xF3\xB0\xB0\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x38"],
        ["\x3F\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x9B"],

        ["\xF3\xB0\xB0\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x39"],
        ["\x3F\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x9C"],

        ["\xF3\xB0\xB0\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x3A"],
        ["\x3F\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x9D"],

        ["\xF3\xB0\xB0\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x3B"],
        ["\x3F\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x9E"],

        ["\xF3\xB0\xB0\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x3C"],
        ["\x3F\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\x9F"],

        ["\xF3\xB0\xB0\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x3D"],
        ["\x3F\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xA0"],

        ["\xF3\xB0\xB0\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x3E"],
        ["\x3F\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xA1"],

        ["\xF3\xB0\xB0\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x3F"],
        ["\x3F\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xA2"],

        ["\xF3\xB0\xB0\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x40"],
        ["\x3F\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xA3"],

        ["\xF3\xB0\xB0\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x41"],
        ["\x3F\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xA4"],

        ["\xF3\xB0\xB0\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x42"],
        ["\x3F\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xA5"],

        ["\xF3\xB0\xB0\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x43"],
        ["\x3F\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xA6"],

        ["\xF3\xB0\xB0\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x44"],
        ["\x3F\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xA7"],

        ["\xF3\xB0\xB0\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x45"],
        ["\x3F\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xA8"],

        ["\xF3\xB0\xB0\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x46"],
        ["\x3F\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xA9"],

        ["\xF3\xB0\xB0\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x47"],
        ["\x3F\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xAA"],

        ["\xF3\xB0\xB0\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x48"],
        ["\x3F\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xAB"],

        ["\xF3\xB0\xB0\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x49"],
        ["\x3F\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xAC"],

        ["\xF3\xB0\xB0\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x4A"],
        ["\x3F\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xAD"],

        ["\xF3\xB0\xB0\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x4B"],
        ["\x3F\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xAE"],

        ["\xF3\xB0\xB0\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x4C"],
        ["\x3F\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xAF"],

        ["\xF3\xB0\xB0\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x4D"],
        ["\x3F\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xB0"],

        ["\xF3\xB0\xB0\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x4E"],
        ["\x3F\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xB1"],

        ["\xF3\xB0\xB0\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x4F"],
        ["\x3F\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xB2"],

        ["\xF3\xB0\xB0\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x50"],
        ["\x3F\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xB3"],

        ["\xF3\xB0\xB0\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x51"],
        ["\x3F\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xB4"],

        ["\xF3\xB0\xB0\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x52"],
        ["\x3F\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xB5"],

        ["\xF3\xB0\xB0\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x53"],
        ["\x3F\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xB6"],

        ["\xF3\xB0\xB0\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x54"],
        ["\x3F\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xB7"],

        ["\xF3\xB0\xB0\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x55"],
        ["\x3F\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xB8"],

        ["\xF3\xB0\xB0\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x56"],
        ["\x3F\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xB9"],

        ["\xF3\xB0\xB0\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x57"],
        ["\x3F\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xBA"],

        ["\xF3\xB0\xB0\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x58"],
        ["\x3F\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xBB"],

        ["\xF3\xB0\xB0\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x57"],
        ["\x70\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xBC"],

        ["\xF3\xB0\xB0\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x5A"],
        ["\x3F\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xBD"],

        ["\xF3\xB0\xB0\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x5B"],
        ["\x3F\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xBE"],

        ["\xF3\xB0\xB0\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x5C"],
        ["\x3F\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB0\xBF"],

        ["\xF3\xB0\xB1\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x5D"],
        ["\x3F\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x80"],

        ["\xF3\xB0\xB1\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x5E"],
        ["\x3F\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x81"],

        ["\xF3\xB0\xB1\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x5F"],
        ["\x3F\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x82"],

        ["\xF3\xB0\xB1\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x60"],
        ["\x3F\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x83"],

        ["\xF3\xB0\xB1\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x61"],
        ["\x3F\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x84"],

        ["\xF3\xB0\xB1\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x62"],
        ["\x3F\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x85"],

        ["\xF3\xB0\xB1\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x63"],
        ["\x3F\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x86"],

        ["\xF3\xB0\xB1\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x64"],
        ["\x3F\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x87"],

        ["\xF3\xB0\xB1\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x65"],
        ["\x3F\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x88"],

        ["\xF3\xB0\xB1\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x66"],
        ["\x3F\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x89"],

        ["\xF3\xB0\xB1\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x67"],
        ["\x3F\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x8A"],

        ["\xF3\xB0\xB1\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x68"],
        ["\x3F\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x8B"],

        ["\xF3\xB0\xB1\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x69"],
        ["\x3F\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x8C"],

        ["\xF3\xB0\xB1\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x6A"],
        ["\x3F\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x8D"],

        ["\xF3\xB0\xB1\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x6B"],
        ["\x3F\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x8E"],

        ["\xF3\xB0\xB1\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x6C"],
        ["\x3F\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x8F"],

        ["\xF3\xB0\xB1\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x6D"],
        ["\x3F\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x90"],

        ["\xF3\xB0\xB1\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x6E"],
        ["\x3F\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x91"],

        ["\xF3\xB0\xB1\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x6F"],
        ["\x3F\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x92"],

        ["\xF3\xB0\xB1\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x70"],
        ["\x3F\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x93"],

        ["\xF3\xB0\xB1\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x71"],
        ["\x3F\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x94"],

        ["\xF3\xB0\xB1\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x72"],
        ["\x3F\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x95"],

        ["\xF3\xB0\xB1\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x73"],
        ["\x3F\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x96"],

        ["\xF3\xB0\xB1\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x74"],
        ["\x3F\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x97"],

        ["\xF3\xB0\xB1\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x75"],
        ["\x3F\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x98"],

        ["\xF3\xB0\xB1\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x76"],
        ["\x3F\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x99"],

        ["\xF3\xB0\xB1\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x77"],
        ["\x3F\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x9A"],

        ["\xF3\xB0\xB1\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x78"],
        ["\x3F\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x9B"],

        ["\xF3\xB0\xB1\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x79"],
        ["\x3F\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x9C"],

        ["\xF3\xB0\xB1\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x7A"],
        ["\x3F\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x9D"],

        ["\xF3\xB0\xB1\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x7B"],
        ["\x3F\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x9E"],

        ["\xF3\xB0\xB1\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x7C"],
        ["\x3F\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\x9F"],

        ["\xF3\xB0\xB1\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x7D"],
        ["\x3F\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xA0"],

        ["\xF3\xB0\xB1\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x7E"],
        ["\x3F\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xA1"],

        ["\xF3\xB0\xB1\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x21"],
        ["\x40\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xA2"],

        ["\xF3\xB0\xB1\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x22"],
        ["\x40\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xA3"],

        ["\xF3\xB0\xB1\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x23"],
        ["\x40\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xA4"],

        ["\xF3\xB0\xB1\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x24"],
        ["\x40\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xA5"],

        ["\xF3\xB0\xB1\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x25"],
        ["\x40\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xA6"],

        ["\xF3\xB0\xB1\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x26"],
        ["\x40\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xA7"],

        ["\xF3\xB0\xB1\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x27"],
        ["\x40\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xA8"],

        ["\xF3\xB0\xB1\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x28"],
        ["\x40\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xA9"],

        ["\xF3\xB0\xB1\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x29"],
        ["\x40\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xAA"],

        ["\xF3\xB0\xB1\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x2A"],
        ["\x40\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xAB"],

        ["\xF3\xB0\xB1\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x2B"],
        ["\x40\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xAC"],

        ["\xF3\xB0\xB1\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x2C"],
        ["\x40\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xAD"],

        ["\xF3\xB0\xB1\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x2D"],
        ["\x40\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xAE"],

        ["\xF3\xB0\xB1\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x2E"],
        ["\x40\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xAF"],

        ["\xF3\xB0\xB1\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x2F"],
        ["\x40\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xB0"],

        ["\xF3\xB0\xB1\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x30"],
        ["\x40\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xB1"],

        ["\xF3\xB0\xB1\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x31"],
        ["\x40\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xB2"],

        ["\xF3\xB0\xB1\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x32"],
        ["\x40\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xB3"],

        ["\xF3\xB0\xB1\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x33"],
        ["\x40\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xB4"],

        ["\xF3\xB0\xB1\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x34"],
        ["\x40\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xB5"],

        ["\xF3\xB0\xB1\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x35"],
        ["\x40\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xB6"],

        ["\xF3\xB0\xB1\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x36"],
        ["\x40\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xB7"],

        ["\xF3\xB0\xB1\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x37"],
        ["\x40\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xB8"],

        ["\xF3\xB0\xB1\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x38"],
        ["\x40\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xB9"],

        ["\xF3\xB0\xB1\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x39"],
        ["\x40\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xBA"],

        ["\xF3\xB0\xB1\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x3A"],
        ["\x40\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xBB"],

        ["\xF3\xB0\xB1\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x3B"],
        ["\x40\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xBC"],

        ["\xF3\xB0\xB1\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x3C"],
        ["\x40\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xBD"],

        ["\xF3\xB0\xB1\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x3D"],
        ["\x40\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xBE"],

        ["\xF3\xB0\xB1\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x3E"],
        ["\x40\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB1\xBF"],

        ["\xF3\xB0\xB2\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x3F"],
        ["\x40\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x80"],

        ["\xF3\xB0\xB2\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x40"],
        ["\x40\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x81"],

        ["\xF3\xB0\xB2\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x41"],
        ["\x40\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x82"],

        ["\xF3\xB0\xB2\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x42"],
        ["\x40\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x83"],

        ["\xF3\xB0\xB2\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x43"],
        ["\x40\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x84"],

        ["\xF3\xB0\xB2\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x44"],
        ["\x40\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x85"],

        ["\xF3\xB0\xB2\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x45"],
        ["\x40\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x86"],

        ["\xF3\xB0\xB2\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x46"],
        ["\x40\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x87"],

        ["\xF3\xB0\xB2\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x47"],
        ["\x40\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x88"],

        ["\xF3\xB0\xB2\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x48"],
        ["\x40\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x89"],

        ["\xF3\xB0\xB2\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x49"],
        ["\x40\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x8A"],

        ["\xF3\xB0\xB2\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x4A"],
        ["\x40\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x8B"],

        ["\xF3\xB0\xB2\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x4B"],
        ["\x40\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x8C"],

        ["\xF3\xB0\xB2\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x4C"],
        ["\x40\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x8D"],

        ["\xF3\xB0\xB2\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x4D"],
        ["\x40\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x8E"],

        ["\xF3\xB0\xB2\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x4E"],
        ["\x40\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x8F"],

        ["\xF3\xB0\xB2\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x4F"],
        ["\x40\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x90"],

        ["\xF3\xB0\xB2\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x50"],
        ["\x40\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x91"],

        ["\xF3\xB0\xB2\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x51"],
        ["\x40\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x92"],

        ["\xF3\xB0\xB2\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x52"],
        ["\x40\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x93"],

        ["\xF3\xB0\xB2\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x53"],
        ["\x40\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x94"],

        ["\xF3\xB0\xB2\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x54"],
        ["\x40\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x95"],

        ["\xF3\xB0\xB2\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x55"],
        ["\x40\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x96"],

        ["\xF3\xB0\xB2\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x56"],
        ["\x40\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x97"],

        ["\xF3\xB0\xB2\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x57"],
        ["\x40\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x98"],

        ["\xF3\xB0\xB2\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x58"],
        ["\x40\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x99"],

        ["\xF3\xB0\xB2\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x59"],
        ["\x40\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x9A"],

        ["\xF3\xB0\xB2\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x5A"],
        ["\x40\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x9B"],

        ["\xF3\xB0\xB2\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x5B"],
        ["\x40\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x9C"],

        ["\xF3\xB0\xB2\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x5C"],
        ["\x40\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x9D"],

        ["\xF3\xB0\xB2\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x5D"],
        ["\x40\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x9E"],

        ["\xF3\xB0\xB2\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x5E"],
        ["\x40\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\x9F"],

        ["\xF3\xB0\xB2\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x5F"],
        ["\x40\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xA0"],

        ["\xF3\xB0\xB2\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x60"],
        ["\x40\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xA1"],

        ["\xF3\xB0\xB2\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x61"],
        ["\x40\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xA2"],

        ["\xF3\xB0\xB2\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x62"],
        ["\x40\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xA3"],

        ["\xF3\xB0\xB2\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x63"],
        ["\x40\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xA4"],

        ["\xF3\xB0\xB2\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x64"],
        ["\x40\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xA5"],

        ["\xF3\xB0\xB2\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x65"],
        ["\x40\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xA6"],

        ["\xF3\xB0\xB2\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x66"],
        ["\x40\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xA7"],

        ["\xF3\xB0\xB2\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x67"],
        ["\x40\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xA8"],

        ["\xF3\xB0\xB2\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x68"],
        ["\x40\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xA9"],

        ["\xF3\xB0\xB2\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x69"],
        ["\x40\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xAA"],

        ["\xF3\xB0\xB2\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x6A"],
        ["\x40\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xAB"],

        ["\xF3\xB0\xB2\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x6B"],
        ["\x40\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xAC"],

        ["\xF3\xB0\xB2\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x6C"],
        ["\x40\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xAD"],

        ["\xF3\xB0\xB2\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x6D"],
        ["\x40\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xAE"],

        ["\xF3\xB0\xB2\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x6E"],
        ["\x40\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xAF"],

        ["\xF3\xB0\xB2\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x6F"],
        ["\x40\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xB0"],

        ["\xF3\xB0\xB2\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x70"],
        ["\x40\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xB1"],

        ["\xF3\xB0\xB2\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x71"],
        ["\x40\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xB2"],

        ["\xF3\xB0\xB2\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x72"],
        ["\x40\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xB3"],

        ["\xF3\xB0\xB2\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x73"],
        ["\x40\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xB4"],

        ["\xF3\xB0\xB2\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x74"],
        ["\x40\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xB5"],

        ["\xF3\xB0\xB2\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x75"],
        ["\x40\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xB6"],

        ["\xF3\xB0\xB2\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x76"],
        ["\x40\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xB7"],

        ["\xF3\xB0\xB2\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x77"],
        ["\x40\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xB8"],

        ["\xF3\xB0\xB2\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x78"],
        ["\x40\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xB9"],

        ["\xF3\xB0\xB2\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x79"],
        ["\x40\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xBA"],

        ["\xF3\xB0\xB2\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x7A"],
        ["\x40\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xBB"],

        ["\xF3\xB0\xB2\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x7B"],
        ["\x40\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xBC"],

        ["\xF3\xB0\xB2\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x7C"],
        ["\x40\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xBD"],

        ["\xF3\xB0\xB2\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x7D"],
        ["\x40\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xBE"],

        ["\xF3\xB0\xB2\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x40\x7E"],
        ["\x40\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB2\xBF"],

        ["\xF3\xB0\xB3\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x21"],
        ["\x41\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x80"],

        ["\xF3\xB0\xB3\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x22"],
        ["\x41\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x81"],

        ["\xF3\xB0\xB3\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x23"],
        ["\x41\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x82"],

        ["\xF3\xB0\xB3\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x24"],
        ["\x41\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x83"],

        ["\xF3\xB0\xB3\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x25"],
        ["\x41\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x84"],

        ["\xF3\xB0\xB3\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x26"],
        ["\x41\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x85"],

        ["\xF3\xB0\xB3\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x27"],
        ["\x41\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x86"],

        ["\xF3\xB0\xB3\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x4D"],
        ["\x6C\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x87"],

        ["\xF3\xB0\xB3\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x29"],
        ["\x41\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x88"],

        ["\xF3\xB0\xB3\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x2A"],
        ["\x41\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x89"],

        ["\xF3\xB0\xB3\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x2B"],
        ["\x41\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x8A"],

        ["\xF3\xB0\xB3\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x2C"],
        ["\x41\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x8B"],

        ["\xF3\xB0\xB3\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x2D"],
        ["\x41\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x8C"],

        ["\xF3\xB0\xB3\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x2E"],
        ["\x41\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x8D"],

        ["\xF3\xB0\xB3\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x2F"],
        ["\x41\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x8E"],

        ["\xF3\xB0\xB3\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x30"],
        ["\x41\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x8F"],

        ["\xF3\xB0\xB3\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x31"],
        ["\x41\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x90"],

        ["\xF3\xB0\xB3\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x32"],
        ["\x41\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x91"],

        ["\xF3\xB0\xB3\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x33"],
        ["\x41\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x92"],

        ["\xF3\xB0\xB3\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x34"],
        ["\x41\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x93"],

        ["\xF3\xB0\xB3\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x35"],
        ["\x41\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x94"],

        ["\xF3\xB0\xB3\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x36"],
        ["\x41\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x95"],

        ["\xF3\xB0\xB3\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x37"],
        ["\x41\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x96"],

        ["\xF3\xB0\xB3\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x38"],
        ["\x41\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x97"],

        ["\xF3\xB0\xB3\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x39"],
        ["\x41\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x98"],

        ["\xF3\xB0\xB3\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x3A"],
        ["\x41\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x99"],

        ["\xF3\xB0\xB3\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x3B"],
        ["\x41\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x9A"],

        ["\xF3\xB0\xB3\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x3C"],
        ["\x41\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x9B"],

        ["\xF3\xB0\xB3\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x3D"],
        ["\x41\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x9C"],

        ["\xF3\xB0\xB3\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x3E"],
        ["\x41\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x9D"],

        ["\xF3\xB0\xB3\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x3F"],
        ["\x41\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x9E"],

        ["\xF3\xB0\xB3\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x40"],
        ["\x41\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\x9F"],

        ["\xF3\xB0\xB3\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x41"],
        ["\x41\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xA0"],

        ["\xF3\xB0\xB3\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x42"],
        ["\x41\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xA1"],

        ["\xF3\xB0\xB3\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x43"],
        ["\x41\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xA2"],

        ["\xF3\xB0\xB3\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x44"],
        ["\x41\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xA3"],

        ["\xF3\xB0\xB3\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x45"],
        ["\x41\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xA4"],

        ["\xF3\xB0\xB3\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x46"],
        ["\x41\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xA5"],

        ["\xF3\xB0\xB3\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x47"],
        ["\x41\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xA6"],

        ["\xF3\xB0\xB3\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x48"],
        ["\x41\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xA7"],

        ["\xF3\xB0\xB3\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x49"],
        ["\x41\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xA8"],

        ["\xF3\xB0\xB3\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x4A"],
        ["\x41\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xA9"],

        ["\xF3\xB0\xB3\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x4B"],
        ["\x41\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xAA"],

        ["\xF3\xB0\xB3\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x4C"],
        ["\x41\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xAB"],

        ["\xF3\xB0\xB3\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x4D"],
        ["\x41\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xAC"],

        ["\xF3\xB0\xB3\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x4E"],
        ["\x41\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xAD"],

        ["\xF3\xB0\xB3\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x4F"],
        ["\x41\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xAE"],

        ["\xF3\xB0\xB3\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x50"],
        ["\x41\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xAF"],

        ["\xF3\xB0\xB3\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x51"],
        ["\x41\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xB0"],

        ["\xF3\xB0\xB3\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x52"],
        ["\x41\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xB1"],

        ["\xF3\xB0\xB3\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x53"],
        ["\x41\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xB2"],

        ["\xF3\xB0\xB3\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x54"],
        ["\x41\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xB3"],

        ["\xF3\xB0\xB3\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x55"],
        ["\x41\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xB4"],

        ["\xF3\xB0\xB3\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x56"],
        ["\x41\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xB5"],

        ["\xF3\xB0\xB3\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x57"],
        ["\x41\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xB6"],

        ["\xF3\xB0\xB3\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x58"],
        ["\x41\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xB7"],

        ["\xF3\xB0\xB3\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x59"],
        ["\x41\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xB8"],

        ["\xF3\xB0\xB3\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x5A"],
        ["\x41\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xB9"],

        ["\xF3\xB0\xB3\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x5B"],
        ["\x41\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xBA"],

        ["\xF3\xB0\xB3\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x5C"],
        ["\x41\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xBB"],

        ["\xF3\xB0\xB3\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x5D"],
        ["\x41\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xBC"],

        ["\xF3\xB0\xB3\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x5E"],
        ["\x41\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xBD"],

        ["\xF3\xB0\xB3\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x5F"],
        ["\x41\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xBE"],

        ["\xF3\xB0\xB3\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x60"],
        ["\x41\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB3\xBF"],

        ["\xF3\xB0\xB4\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x61"],
        ["\x41\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x80"],

        ["\xF3\xB0\xB4\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x62"],
        ["\x41\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x81"],

        ["\xF3\xB0\xB4\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x63"],
        ["\x41\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x82"],

        ["\xF3\xB0\xB4\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x64"],
        ["\x41\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x83"],

        ["\xF3\xB0\xB4\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x65"],
        ["\x41\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x84"],

        ["\xF3\xB0\xB4\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x66"],
        ["\x41\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x85"],

        ["\xF3\xB0\xB4\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x67"],
        ["\x41\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x86"],

        ["\xF3\xB0\xB4\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x68"],
        ["\x41\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x87"],

        ["\xF3\xB0\xB4\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x69"],
        ["\x41\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x88"],

        ["\xF3\xB0\xB4\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x6A"],
        ["\x41\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x89"],

        ["\xF3\xB0\xB4\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x6B"],
        ["\x41\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x8A"],

        ["\xF3\xB0\xB4\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x6C"],
        ["\x41\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x8B"],

        ["\xF3\xB0\xB4\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x6D"],
        ["\x41\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x8C"],

        ["\xF3\xB0\xB4\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x6E"],
        ["\x41\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x8D"],

        ["\xF3\xB0\xB4\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x6F"],
        ["\x41\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x8E"],

        ["\xF3\xB0\xB4\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x70"],
        ["\x41\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x8F"],

        ["\xF3\xB0\xB4\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x71"],
        ["\x41\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x90"],

        ["\xF3\xB0\xB4\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x72"],
        ["\x41\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x91"],

        ["\xF3\xB0\xB4\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x73"],
        ["\x41\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x92"],

        ["\xF3\xB0\xB4\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x74"],
        ["\x41\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x93"],

        ["\xF3\xB0\xB4\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x75"],
        ["\x41\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x94"],

        ["\xF3\xB0\xB4\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x76"],
        ["\x41\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x95"],

        ["\xF3\xB0\xB4\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x77"],
        ["\x41\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x96"],

        ["\xF3\xB0\xB4\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x78"],
        ["\x41\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x97"],

        ["\xF3\xB0\xB4\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x79"],
        ["\x41\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x98"],

        ["\xF3\xB0\xB4\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x7A"],
        ["\x41\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x99"],

        ["\xF3\xB0\xB4\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x7B"],
        ["\x41\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x9A"],

        ["\xF3\xB0\xB4\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x7C"],
        ["\x41\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x9B"],

        ["\xF3\xB0\xB4\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x7D"],
        ["\x41\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x9C"],

        ["\xF3\xB0\xB4\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x7E"],
        ["\x41\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x9D"],

        ["\xF3\xB0\xB4\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x21"],
        ["\x42\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x9E"],

        ["\xF3\xB0\xB4\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x22"],
        ["\x42\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\x9F"],

        ["\xF3\xB0\xB4\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x23"],
        ["\x42\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xA0"],

        ["\xF3\xB0\xB4\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x24"],
        ["\x42\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xA1"],

        ["\xF3\xB0\xB4\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x25"],
        ["\x42\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xA2"],

        ["\xF3\xB0\xB4\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x26"],
        ["\x42\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xA3"],

        ["\xF3\xB0\xB4\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x27"],
        ["\x42\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xA4"],

        ["\xF3\xB0\xB4\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x28"],
        ["\x42\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xA5"],

        ["\xF3\xB0\xB4\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x29"],
        ["\x42\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xA6"],

        ["\xF3\xB0\xB4\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x2A"],
        ["\x42\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xA7"],

        ["\xF3\xB0\xB4\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x2B"],
        ["\x42\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xA8"],

        ["\xF3\xB0\xB4\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x2C"],
        ["\x42\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xA9"],

        ["\xF3\xB0\xB4\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x2D"],
        ["\x42\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xAA"],

        ["\xF3\xB0\xB4\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x2E"],
        ["\x42\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xAB"],

        ["\xF3\xB0\xB4\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x2F"],
        ["\x42\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xAC"],

        ["\xF3\xB0\xB4\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x30"],
        ["\x42\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xAD"],

        ["\xF3\xB0\xB4\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x31"],
        ["\x42\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xAE"],

        ["\xF3\xB0\xB4\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x32"],
        ["\x42\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xAF"],

        ["\xF3\xB0\xB4\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x33"],
        ["\x42\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xB0"],

        ["\xF3\xB0\xB4\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x34"],
        ["\x42\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xB1"],

        ["\xF3\xB0\xB4\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x35"],
        ["\x42\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xB2"],

        ["\xF3\xB0\xB4\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x36"],
        ["\x42\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xB3"],

        ["\xF3\xB0\xB4\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x37"],
        ["\x42\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xB4"],

        ["\xF3\xB0\xB4\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x38"],
        ["\x42\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xB5"],

        ["\xF3\xB0\xB4\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x39"],
        ["\x42\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xB6"],

        ["\xF3\xB0\xB4\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x3A"],
        ["\x42\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xB7"],

        ["\xF3\xB0\xB4\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x3B"],
        ["\x42\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xB8"],

        ["\xF3\xB0\xB4\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x3C"],
        ["\x42\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xB9"],

        ["\xF3\xB0\xB4\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x3D"],
        ["\x42\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xBA"],

        ["\xF3\xB0\xB4\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x3E"],
        ["\x42\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xBB"],

        ["\xF3\xB0\xB4\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x3F"],
        ["\x42\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xBC"],

        ["\xF3\xB0\xB4\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x40"],
        ["\x42\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xBD"],

        ["\xF3\xB0\xB4\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x41"],
        ["\x42\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xBE"],

        ["\xF3\xB0\xB4\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x42"],
        ["\x42\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB4\xBF"],

        ["\xF3\xB0\xB5\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x43"],
        ["\x42\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x80"],

        ["\xF3\xB0\xB5\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x44"],
        ["\x42\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x81"],

        ["\xF3\xB0\xB5\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x45"],
        ["\x42\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x82"],

        ["\xF3\xB0\xB5\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x46"],
        ["\x42\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x83"],

        ["\xF3\xB0\xB5\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x47"],
        ["\x42\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x84"],

        ["\xF3\xB0\xB5\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x48"],
        ["\x42\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x85"],

        ["\xF3\xB0\xB5\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x49"],
        ["\x42\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x86"],

        ["\xF3\xB0\xB5\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x4A"],
        ["\x42\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x87"],

        ["\xF3\xB0\xB5\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x4B"],
        ["\x42\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x88"],

        ["\xF3\xB0\xB5\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x4C"],
        ["\x42\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x89"],

        ["\xF3\xB0\xB5\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x4D"],
        ["\x42\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x8A"],

        ["\xF3\xB0\xB5\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x4E"],
        ["\x42\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x8B"],

        ["\xF3\xB0\xB5\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x4F"],
        ["\x42\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x8C"],

        ["\xF3\xB0\xB5\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x50"],
        ["\x42\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x8D"],

        ["\xF3\xB0\xB5\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x51"],
        ["\x42\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x8E"],

        ["\xF3\xB0\xB5\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x52"],
        ["\x42\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x8F"],

        ["\xF3\xB0\xB5\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x53"],
        ["\x42\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x90"],

        ["\xF3\xB0\xB5\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x54"],
        ["\x42\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x91"],

        ["\xF3\xB0\xB5\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x55"],
        ["\x42\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x92"],

        ["\xF3\xB0\xB5\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x56"],
        ["\x42\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x93"],

        ["\xF3\xB0\xB5\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x57"],
        ["\x42\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x94"],

        ["\xF3\xB0\xB5\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x58"],
        ["\x42\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x95"],

        ["\xF3\xB0\xB5\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x59"],
        ["\x42\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x96"],

        ["\xF3\xB0\xB5\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x5A"],
        ["\x42\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x97"],

        ["\xF3\xB0\xB5\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x5B"],
        ["\x42\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x98"],

        ["\xF3\xB0\xB5\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x5C"],
        ["\x42\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x99"],

        ["\xF3\xB0\xB5\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x5D"],
        ["\x42\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x9A"],

        ["\xF3\xB0\xB5\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x5E"],
        ["\x42\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x9B"],

        ["\xF3\xB0\xB5\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x5F"],
        ["\x42\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x9C"],

        ["\xF3\xB0\xB5\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x60"],
        ["\x42\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x9D"],

        ["\xF3\xB0\xB5\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x61"],
        ["\x42\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x9E"],

        ["\xF3\xB0\xB5\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x62"],
        ["\x42\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\x9F"],

        ["\xF3\xB0\xB5\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x63"],
        ["\x42\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xA0"],

        ["\xF3\xB0\xB5\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x64"],
        ["\x42\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xA1"],

        ["\xF3\xB0\xB5\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x65"],
        ["\x42\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xA2"],

        ["\xF3\xB0\xB5\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x66"],
        ["\x42\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xA3"],

        ["\xF3\xB0\xB5\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x67"],
        ["\x42\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xA4"],

        ["\xF3\xB0\xB5\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x68"],
        ["\x42\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xA5"],

        ["\xF3\xB0\xB5\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x69"],
        ["\x42\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xA6"],

        ["\xF3\xB0\xB5\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x6A"],
        ["\x42\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xA7"],

        ["\xF3\xB0\xB5\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x6B"],
        ["\x42\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xA8"],

        ["\xF3\xB0\xB5\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x6C"],
        ["\x42\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xA9"],

        ["\xF3\xB0\xB5\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x6D"],
        ["\x42\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xAA"],

        ["\xF3\xB0\xB5\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x6E"],
        ["\x42\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xAB"],

        ["\xF3\xB0\xB5\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x6F"],
        ["\x42\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xAC"],

        ["\xF3\xB0\xB5\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x70"],
        ["\x42\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xAD"],

        ["\xF3\xB0\xB5\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x71"],
        ["\x42\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xAE"],

        ["\xF3\xB0\xB5\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x72"],
        ["\x42\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xAF"],

        ["\xF3\xB0\xB5\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x73"],
        ["\x42\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xB0"],

        ["\xF3\xB0\xB5\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x74"],
        ["\x42\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xB1"],

        ["\xF3\xB0\xB5\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x75"],
        ["\x42\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xB2"],

        ["\xF3\xB0\xB5\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x76"],
        ["\x42\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xB3"],

        ["\xF3\xB0\xB5\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x77"],
        ["\x42\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xB4"],

        ["\xF3\xB0\xB5\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x78"],
        ["\x42\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xB5"],

        ["\xF3\xB0\xB5\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x79"],
        ["\x42\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xB6"],

        ["\xF3\xB0\xB5\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x7A"],
        ["\x42\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xB7"],

        ["\xF3\xB0\xB5\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x7B"],
        ["\x42\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xB8"],

        ["\xF3\xB0\xB5\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x7C"],
        ["\x42\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xB9"],

        ["\xF3\xB0\xB5\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x7D"],
        ["\x42\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xBA"],

        ["\xF3\xB0\xB5\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x42\x7E"],
        ["\x42\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xBB"],

        ["\xF3\xB0\xB5\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x21"],
        ["\x43\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xBC"],

        ["\xF3\xB0\xB5\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x22"],
        ["\x43\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xBD"],

        ["\xF3\xB0\xB5\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x23"],
        ["\x43\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xBE"],

        ["\xF3\xB0\xB5\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x24"],
        ["\x43\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB5\xBF"],

        ["\xF3\xB0\xB6\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x25"],
        ["\x43\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x80"],

        ["\xF3\xB0\xB6\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x26"],
        ["\x43\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x81"],

        ["\xF3\xB0\xB6\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x27"],
        ["\x43\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x82"],

        ["\xF3\xB0\xB6\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x28"],
        ["\x43\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x83"],

        ["\xF3\xB0\xB6\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x29"],
        ["\x43\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x84"],

        ["\xF3\xB0\xB6\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x2A"],
        ["\x43\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x85"],

        ["\xF3\xB0\xB6\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x2B"],
        ["\x43\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x86"],

        ["\xF3\xB0\xB6\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x2C"],
        ["\x43\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x87"],

        ["\xF3\xB0\xB6\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x2D"],
        ["\x43\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x88"],

        ["\xF3\xB0\xB6\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x2E"],
        ["\x43\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x89"],

        ["\xF3\xB0\xB6\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x2F"],
        ["\x43\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x8A"],

        ["\xF3\xB0\xB6\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x30"],
        ["\x43\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x8B"],

        ["\xF3\xB0\xB6\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x31"],
        ["\x43\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x8C"],

        ["\xF3\xB0\xB6\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x32"],
        ["\x43\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x8D"],

        ["\xF3\xB0\xB6\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x33"],
        ["\x43\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x8E"],

        ["\xF3\xB0\xB6\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x34"],
        ["\x43\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x8F"],

        ["\xF3\xB0\xB6\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x35"],
        ["\x43\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x90"],

        ["\xF3\xB0\xB6\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x36"],
        ["\x43\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x91"],

        ["\xF3\xB0\xB6\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x37"],
        ["\x43\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x92"],

        ["\xF3\xB0\xB6\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x38"],
        ["\x43\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x93"],

        ["\xF3\xB0\xB6\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x39"],
        ["\x43\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x94"],

        ["\xF3\xB0\xB6\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x3A"],
        ["\x43\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x95"],

        ["\xF3\xB0\xB6\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x3B"],
        ["\x43\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x96"],

        ["\xF3\xB0\xB6\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x3C"],
        ["\x43\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x97"],

        ["\xF3\xB0\xB6\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x3D"],
        ["\x43\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x98"],

        ["\xF3\xB0\xB6\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x3E"],
        ["\x43\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x99"],

        ["\xF3\xB0\xB6\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x3F"],
        ["\x43\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x9A"],

        ["\xF3\xB0\xB6\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x40"],
        ["\x43\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x9B"],

        ["\xF3\xB0\xB6\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x41"],
        ["\x43\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x9C"],

        ["\xF3\xB0\xB6\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x42"],
        ["\x43\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x9D"],

        ["\xF3\xB0\xB6\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x43"],
        ["\x43\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x9E"],

        ["\xF3\xB0\xB6\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x44"],
        ["\x43\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\x9F"],

        ["\xF3\xB0\xB6\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x45"],
        ["\x43\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xA0"],

        ["\xF3\xB0\xB6\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x46"],
        ["\x43\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xA1"],

        ["\xF3\xB0\xB6\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x47"],
        ["\x43\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xA2"],

        ["\xF3\xB0\xB6\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x48"],
        ["\x43\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xA3"],

        ["\xF3\xB0\xB6\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x49"],
        ["\x43\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xA4"],

        ["\xF3\xB0\xB6\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x4A"],
        ["\x43\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xA5"],

        ["\xF3\xB0\xB6\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x4B"],
        ["\x43\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xA6"],

        ["\xF3\xB0\xB6\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x4C"],
        ["\x43\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xA7"],

        ["\xF3\xB0\xB6\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x4D"],
        ["\x43\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xA8"],

        ["\xF3\xB0\xB6\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x4E"],
        ["\x43\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xA9"],

        ["\xF3\xB0\xB6\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x4F"],
        ["\x43\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xAA"],

        ["\xF3\xB0\xB6\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x50"],
        ["\x43\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xAB"],

        ["\xF3\xB0\xB6\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x51"],
        ["\x43\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xAC"],

        ["\xF3\xB0\xB6\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x52"],
        ["\x43\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xAD"],

        ["\xF3\xB0\xB6\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x53"],
        ["\x43\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xAE"],

        ["\xF3\xB0\xB6\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x54"],
        ["\x43\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xAF"],

        ["\xF3\xB0\xB6\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x55"],
        ["\x43\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xB0"],

        ["\xF3\xB0\xB6\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x56"],
        ["\x43\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xB1"],

        ["\xF3\xB0\xB6\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x57"],
        ["\x43\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xB2"],

        ["\xF3\xB0\xB6\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x58"],
        ["\x43\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xB3"],

        ["\xF3\xB0\xB6\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x59"],
        ["\x43\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xB4"],

        ["\xF3\xB0\xB6\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x5A"],
        ["\x43\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xB5"],

        ["\xF3\xB0\xB6\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x5B"],
        ["\x43\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xB6"],

        ["\xF3\xB0\xB6\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x5C"],
        ["\x43\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xB7"],

        ["\xF3\xB0\xB6\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x5D"],
        ["\x43\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xB8"],

        ["\xF3\xB0\xB6\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x5E"],
        ["\x43\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xB9"],

        ["\xF3\xB0\xB6\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x5F"],
        ["\x43\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xBA"],

        ["\xF3\xB0\xB6\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x60"],
        ["\x43\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xBB"],

        ["\xF3\xB0\xB6\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x61"],
        ["\x43\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xBC"],

        ["\xF3\xB0\xB6\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x62"],
        ["\x43\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xBD"],

        ["\xF3\xB0\xB6\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x63"],
        ["\x43\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xBE"],

        ["\xF3\xB0\xB6\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x64"],
        ["\x43\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB6\xBF"],

        ["\xF3\xB0\xB7\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x65"],
        ["\x43\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x80"],

        ["\xF3\xB0\xB7\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x66"],
        ["\x43\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x81"],

        ["\xF3\xB0\xB7\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x67"],
        ["\x43\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x82"],

        ["\xF3\xB0\xB7\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x68"],
        ["\x43\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x83"],

        ["\xF3\xB0\xB7\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x69"],
        ["\x43\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x84"],

        ["\xF3\xB0\xB7\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x6A"],
        ["\x43\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x85"],

        ["\xF3\xB0\xB7\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x6B"],
        ["\x43\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x86"],

        ["\xF3\xB0\xB7\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x6C"],
        ["\x43\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x87"],

        ["\xF3\xB0\xB7\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x6D"],
        ["\x43\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x88"],

        ["\xF3\xB0\xB7\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x6E"],
        ["\x43\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x89"],

        ["\xF3\xB0\xB7\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x6F"],
        ["\x43\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x8A"],

        ["\xF3\xB0\xB7\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x70"],
        ["\x43\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x8B"],

        ["\xF3\xB0\xB7\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x71"],
        ["\x43\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x8C"],

        ["\xF3\xB0\xB7\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x72"],
        ["\x43\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x8D"],

        ["\xF3\xB0\xB7\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x73"],
        ["\x43\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x8E"],

        ["\xF3\xB0\xB7\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x74"],
        ["\x43\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x8F"],

        ["\xF3\xB0\xB7\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x75"],
        ["\x43\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x90"],

        ["\xF3\xB0\xB7\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x76"],
        ["\x43\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x91"],

        ["\xF3\xB0\xB7\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x77"],
        ["\x43\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x92"],

        ["\xF3\xB0\xB7\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x78"],
        ["\x43\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x93"],

        ["\xF3\xB0\xB7\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x79"],
        ["\x43\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x94"],

        ["\xF3\xB0\xB7\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x7A"],
        ["\x43\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x95"],

        ["\xF3\xB0\xB7\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x7B"],
        ["\x43\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x96"],

        ["\xF3\xB0\xB7\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x7C"],
        ["\x43\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x97"],

        ["\xF3\xB0\xB7\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x7D"],
        ["\x43\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x98"],

        ["\xF3\xB0\xB7\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x43\x7E"],
        ["\x43\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x99"],

        ["\xF3\xB0\xB7\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x21"],
        ["\x44\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x9A"],

        ["\xF3\xB0\xB7\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x22"],
        ["\x44\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x9B"],

        ["\xF3\xB0\xB7\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x23"],
        ["\x44\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x9C"],

        ["\xF3\xB0\xB7\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x24"],
        ["\x44\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x9D"],

        ["\xF3\xB0\xB7\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x25"],
        ["\x44\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x9E"],

        ["\xF3\xB0\xB7\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x26"],
        ["\x44\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\x9F"],

        ["\xF3\xB0\xB7\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x27"],
        ["\x44\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xA0"],

        ["\xF3\xB0\xB7\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x28"],
        ["\x44\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xA1"],

        ["\xF3\xB0\xB7\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x29"],
        ["\x44\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xA2"],

        ["\xF3\xB0\xB7\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x2A"],
        ["\x44\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xA3"],

        ["\xF3\xB0\xB7\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x2B"],
        ["\x44\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xA4"],

        ["\xF3\xB0\xB7\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x2C"],
        ["\x44\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xA5"],

        ["\xF3\xB0\xB7\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x2D"],
        ["\x44\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xA6"],

        ["\xF3\xB0\xB7\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x2E"],
        ["\x44\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xA7"],

        ["\xF3\xB0\xB7\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x2F"],
        ["\x44\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xA8"],

        ["\xF3\xB0\xB7\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x30"],
        ["\x44\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xA9"],

        ["\xF3\xB0\xB7\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x31"],
        ["\x44\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xAA"],

        ["\xF3\xB0\xB7\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x32"],
        ["\x44\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xAB"],

        ["\xF3\xB0\xB7\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x33"],
        ["\x44\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xAC"],

        ["\xF3\xB0\xB7\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x34"],
        ["\x44\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xAD"],

        ["\xF3\xB0\xB7\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x35"],
        ["\x44\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xAE"],

        ["\xF3\xB0\xB7\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x36"],
        ["\x44\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xAF"],

        ["\xF3\xB0\xB7\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x37"],
        ["\x44\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xB0"],

        ["\xF3\xB0\xB7\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x38"],
        ["\x44\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xB1"],

        ["\xF3\xB0\xB7\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x39"],
        ["\x44\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xB2"],

        ["\xF3\xB0\xB7\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x3A"],
        ["\x44\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xB3"],

        ["\xF3\xB0\xB7\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x3B"],
        ["\x44\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xB4"],

        ["\xF3\xB0\xB7\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x3C"],
        ["\x44\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xB5"],

        ["\xF3\xB0\xB7\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x3D"],
        ["\x44\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xB6"],

        ["\xF3\xB0\xB7\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x3E"],
        ["\x44\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xB7"],

        ["\xF3\xB0\xB7\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x3F"],
        ["\x44\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xB8"],

        ["\xF3\xB0\xB7\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x40"],
        ["\x44\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xB9"],

        ["\xF3\xB0\xB7\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x41"],
        ["\x44\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xBA"],

        ["\xF3\xB0\xB7\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x42"],
        ["\x44\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xBB"],

        ["\xF3\xB0\xB7\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x43"],
        ["\x44\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xBC"],

        ["\xF3\xB0\xB7\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x44"],
        ["\x44\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xBD"],

        ["\xF3\xB0\xB7\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x45"],
        ["\x44\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xBE"],

        ["\xF3\xB0\xB7\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x46"],
        ["\x44\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB7\xBF"],

        ["\xF3\xB0\xB8\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x47"],
        ["\x44\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x80"],

        ["\xF3\xB0\xB8\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x48"],
        ["\x44\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x81"],

        ["\xF3\xB0\xB8\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x49"],
        ["\x44\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x82"],

        ["\xF3\xB0\xB8\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x4A"],
        ["\x44\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x83"],

        ["\xF3\xB0\xB8\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x4B"],
        ["\x44\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x84"],

        ["\xF3\xB0\xB8\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x4C"],
        ["\x44\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x85"],

        ["\xF3\xB0\xB8\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xF5"],
        ["\xB6\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x86"],

        ["\xF3\xB0\xB8\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x4E"],
        ["\x44\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x87"],

        ["\xF3\xB0\xB8\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x4F"],
        ["\x44\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x88"],

        ["\xF3\xB0\xB8\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x50"],
        ["\x44\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x89"],

        ["\xF3\xB0\xB8\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x51"],
        ["\x44\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x8A"],

        ["\xF3\xB0\xB8\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x52"],
        ["\x44\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x8B"],

        ["\xF3\xB0\xB8\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x53"],
        ["\x44\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x8C"],

        ["\xF3\xB0\xB8\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x54"],
        ["\x44\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x8D"],

        ["\xF3\xB0\xB8\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x55"],
        ["\x44\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x8E"],

        ["\xF3\xB0\xB8\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x56"],
        ["\x44\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x8F"],

        ["\xF3\xB0\xB8\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x57"],
        ["\x44\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x90"],

        ["\xF3\xB0\xB8\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x58"],
        ["\x44\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x91"],

        ["\xF3\xB0\xB8\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x59"],
        ["\x44\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x92"],

        ["\xF3\xB0\xB8\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x5A"],
        ["\x44\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x93"],

        ["\xF3\xB0\xB8\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x64"],
        ["\x54\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x94"],

        ["\xF3\xB0\xB8\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x5C"],
        ["\x44\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x95"],

        ["\xF3\xB0\xB8\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x5D"],
        ["\x44\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x96"],

        ["\xF3\xB0\xB8\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x5E"],
        ["\x44\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x97"],

        ["\xF3\xB0\xB8\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x5F"],
        ["\x44\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x98"],

        ["\xF3\xB0\xB8\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x60"],
        ["\x44\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x99"],

        ["\xF3\xB0\xB8\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x61"],
        ["\x44\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x9A"],

        ["\xF3\xB0\xB8\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x62"],
        ["\x44\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x9B"],

        ["\xF3\xB0\xB8\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x63"],
        ["\x44\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x9C"],

        ["\xF3\xB0\xB8\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x64"],
        ["\x44\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x9D"],

        ["\xF3\xB0\xB8\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x65"],
        ["\x44\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x9E"],

        ["\xF3\xB0\xB8\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x66"],
        ["\x44\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\x9F"],

        ["\xF3\xB0\xB8\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x67"],
        ["\x44\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xA0"],

        ["\xF3\xB0\xB8\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x68"],
        ["\x44\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xA1"],

        ["\xF3\xB0\xB8\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x69"],
        ["\x44\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xA2"],

        ["\xF3\xB0\xB8\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x6A"],
        ["\x44\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xA3"],

        ["\xF3\xB0\xB8\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x6B"],
        ["\x44\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xA4"],

        ["\xF3\xB0\xB8\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x6C"],
        ["\x44\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xA5"],

        ["\xF3\xB0\xB8\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x6D"],
        ["\x44\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xA6"],

        ["\xF3\xB0\xB8\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x6E"],
        ["\x44\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xA7"],

        ["\xF3\xB0\xB8\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x6F"],
        ["\x44\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xA8"],

        ["\xF3\xB0\xB8\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x70"],
        ["\x44\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xA9"],

        ["\xF3\xB0\xB8\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x71"],
        ["\x44\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xAA"],

        ["\xF3\xB0\xB8\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x72"],
        ["\x44\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xAB"],

        ["\xF3\xB0\xB8\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x73"],
        ["\x44\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xAC"],

        ["\xF3\xB0\xB8\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x74"],
        ["\x44\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xAD"],

        ["\xF3\xB0\xB8\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x75"],
        ["\x44\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xAE"],

        ["\xF3\xB0\xB8\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x76"],
        ["\x44\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xAF"],

        ["\xF3\xB0\xB8\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x77"],
        ["\x44\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xB0"],

        ["\xF3\xB0\xB8\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x78"],
        ["\x44\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xB1"],

        ["\xF3\xB0\xB8\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x79"],
        ["\x44\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xB2"],

        ["\xF3\xB0\xB8\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x7A"],
        ["\x44\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xB3"],

        ["\xF3\xB0\xB8\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x7B"],
        ["\x44\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xB4"],

        ["\xF3\xB0\xB8\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x7C"],
        ["\x44\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xB5"],

        ["\xF3\xB0\xB8\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x7D"],
        ["\x44\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xB6"],

        ["\xF3\xB0\xB8\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x7E"],
        ["\x44\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xB7"],

        ["\xF3\xB0\xB8\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x21"],
        ["\x45\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xB8"],

        ["\xF3\xB0\xB8\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x22"],
        ["\x45\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xB9"],

        ["\xF3\xB0\xB8\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x23"],
        ["\x45\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xBA"],

        ["\xF3\xB0\xB8\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x24"],
        ["\x45\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xBB"],

        ["\xF3\xB0\xB8\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x25"],
        ["\x45\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xBC"],

        ["\xF3\xB0\xB8\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x26"],
        ["\x45\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xBD"],

        ["\xF3\xB0\xB8\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x27"],
        ["\x45\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xBE"],

        ["\xF3\xB0\xB8\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x28"],
        ["\x45\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB8\xBF"],

        ["\xF3\xB0\xB9\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x29"],
        ["\x45\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x80"],

        ["\xF3\xB0\xB9\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x2A"],
        ["\x45\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x81"],

        ["\xF3\xB0\xB9\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x2B"],
        ["\x45\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x82"],

        ["\xF3\xB0\xB9\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x2C"],
        ["\x45\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x83"],

        ["\xF3\xB0\xB9\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x2D"],
        ["\x45\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x84"],

        ["\xF3\xB0\xB9\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x2E"],
        ["\x45\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x85"],

        ["\xF3\xB0\xB9\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x2F"],
        ["\x45\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x86"],

        ["\xF3\xB0\xB9\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x30"],
        ["\x45\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x87"],

        ["\xF3\xB0\xB9\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x31"],
        ["\x45\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x88"],

        ["\xF3\xB0\xB9\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x32"],
        ["\x45\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x89"],

        ["\xF3\xB0\xB9\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x33"],
        ["\x45\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x8A"],

        ["\xF3\xB0\xB9\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x34"],
        ["\x45\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x8B"],

        ["\xF3\xB0\xB9\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x35"],
        ["\x45\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x8C"],

        ["\xF3\xB0\xB9\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD6\xE6"],
        ["\xD6\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x8D"],

        ["\xF3\xB0\xB9\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x37"],
        ["\x45\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x8E"],

        ["\xF3\xB0\xB9\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x38"],
        ["\x45\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x8F"],

        ["\xF3\xB0\xB9\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x39"],
        ["\x45\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x90"],

        ["\xF3\xB0\xB9\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x3A"],
        ["\x45\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x91"],

        ["\xF3\xB0\xB9\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x3B"],
        ["\x45\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x92"],

        ["\xF3\xB0\xB9\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x3C"],
        ["\x45\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x93"],

        ["\xF3\xB0\xB9\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x3D"],
        ["\x45\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x94"],

        ["\xF3\xB0\xB9\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x3E"],
        ["\x45\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x95"],

        ["\xF3\xB0\xB9\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xA3"],
        ["\xD4\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x96"],

        ["\xF3\xB0\xB9\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x40"],
        ["\x45\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x97"],

        ["\xF3\xB0\xB9\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x41"],
        ["\x45\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x98"],

        ["\xF3\xB0\xB9\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x42"],
        ["\x45\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x99"],

        ["\xF3\xB0\xB9\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x43"],
        ["\x45\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x9A"],

        ["\xF3\xB0\xB9\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x44"],
        ["\x45\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x9B"],

        ["\xF3\xB0\xB9\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x45"],
        ["\x45\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x9C"],

        ["\xF3\xB0\xB9\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x46"],
        ["\x45\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x9D"],

        ["\xF3\xB0\xB9\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x47"],
        ["\x45\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x9E"],

        ["\xF3\xB0\xB9\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x48"],
        ["\x45\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\x9F"],

        ["\xF3\xB0\xB9\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x49"],
        ["\x45\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xA0"],

        ["\xF3\xB0\xB9\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x4A"],
        ["\x45\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xA1"],

        ["\xF3\xB0\xB9\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x4B"],
        ["\x45\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xA2"],

        ["\xF3\xB0\xB9\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x4C"],
        ["\x45\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xA3"],

        ["\xF3\xB0\xB9\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x4D"],
        ["\x45\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xA4"],

        ["\xF3\xB0\xB9\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x4E"],
        ["\x45\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xA5"],

        ["\xF3\xB0\xB9\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x4F"],
        ["\x45\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xA6"],

        ["\xF3\xB0\xB9\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x50"],
        ["\x45\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xA7"],

        ["\xF3\xB0\xB9\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x51"],
        ["\x45\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xA8"],

        ["\xF3\xB0\xB9\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x52"],
        ["\x45\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xA9"],

        ["\xF3\xB0\xB9\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x53"],
        ["\x45\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xAA"],

        ["\xF3\xB0\xB9\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x54"],
        ["\x45\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xAB"],

        ["\xF3\xB0\xB9\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x55"],
        ["\x45\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xAC"],

        ["\xF3\xB0\xB9\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x56"],
        ["\x45\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xAD"],

        ["\xF3\xB0\xB9\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x6A"],
        ["\x62\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xAE"],

        ["\xF3\xB0\xB9\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x58"],
        ["\x45\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xAF"],

        ["\xF3\xB0\xB9\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x59"],
        ["\x45\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xB0"],

        ["\xF3\xB0\xB9\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x5A"],
        ["\x45\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xB1"],

        ["\xF3\xB0\xB9\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x5B"],
        ["\x45\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xB2"],

        ["\xF3\xB0\xB9\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x5C"],
        ["\x45\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xB3"],

        ["\xF3\xB0\xB9\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x5D"],
        ["\x45\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xB4"],

        ["\xF3\xB0\xB9\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x5E"],
        ["\x45\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xB5"],

        ["\xF3\xB0\xB9\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x5F"],
        ["\x45\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xB6"],

        ["\xF3\xB0\xB9\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x60"],
        ["\x45\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xB7"],

        ["\xF3\xB0\xB9\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x61"],
        ["\x45\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xB8"],

        ["\xF3\xB0\xB9\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x62"],
        ["\x45\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xB9"],

        ["\xF3\xB0\xB9\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x63"],
        ["\x45\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xBA"],

        ["\xF3\xB0\xB9\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x64"],
        ["\x45\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xBB"],

        ["\xF3\xB0\xB9\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x65"],
        ["\x45\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xBC"],

        ["\xF3\xB0\xB9\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x66"],
        ["\x45\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xBD"],

        ["\xF3\xB0\xB9\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x67"],
        ["\x45\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xBE"],

        ["\xF3\xB0\xB9\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x68"],
        ["\x45\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xB9\xBF"],

        ["\xF3\xB0\xBA\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x69"],
        ["\x45\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x80"],

        ["\xF3\xB0\xBA\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x6A"],
        ["\x45\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x81"],

        ["\xF3\xB0\xBA\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x6B"],
        ["\x45\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x82"],

        ["\xF3\xB0\xBA\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x6C"],
        ["\x45\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x83"],

        ["\xF3\xB0\xBA\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x6D"],
        ["\x45\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x84"],

        ["\xF3\xB0\xBA\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x6D"],
        ["\x5B\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x85"],

        ["\xF3\xB0\xBA\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x6F"],
        ["\x45\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x86"],

        ["\xF3\xB0\xBA\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x70"],
        ["\x45\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x87"],

        ["\xF3\xB0\xBA\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x71"],
        ["\x45\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x88"],

        ["\xF3\xB0\xBA\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x72"],
        ["\x45\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x89"],

        ["\xF3\xB0\xBA\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x39"],
        ["\x5E\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x8A"],

        ["\xF3\xB0\xBA\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x74"],
        ["\x45\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x8B"],

        ["\xF3\xB0\xBA\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x75"],
        ["\x45\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x8C"],

        ["\xF3\xB0\xBA\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x76"],
        ["\x45\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x8D"],

        ["\xF3\xB0\xBA\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x77"],
        ["\x45\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x8E"],

        ["\xF3\xB0\xBA\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x78"],
        ["\x45\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x8F"],

        ["\xF3\xB0\xBA\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x79"],
        ["\x45\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x90"],

        ["\xF3\xB0\xBA\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x7A"],
        ["\x45\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x91"],

        ["\xF3\xB0\xBA\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x7B"],
        ["\x45\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x92"],

        ["\xF3\xB0\xBA\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x7C"],
        ["\x45\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x93"],

        ["\xF3\xB0\xBA\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x7D"],
        ["\x45\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x94"],

        ["\xF3\xB0\xBA\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x7E"],
        ["\x45\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x95"],

        ["\xF3\xB0\xBA\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x21"],
        ["\x46\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x96"],

        ["\xF3\xB0\xBA\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x22"],
        ["\x46\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x97"],

        ["\xF3\xB0\xBA\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x23"],
        ["\x46\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x98"],

        ["\xF3\xB0\xBA\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x24"],
        ["\x46\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x99"],

        ["\xF3\xB0\xBA\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x25"],
        ["\x46\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x9A"],

        ["\xF3\xB0\xBA\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x26"],
        ["\x46\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x9B"],

        ["\xF3\xB0\xBA\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x27"],
        ["\x46\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x9C"],

        ["\xF3\xB0\xBA\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x28"],
        ["\x46\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x9D"],

        ["\xF3\xB0\xBA\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x29"],
        ["\x46\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x9E"],

        ["\xF3\xB0\xBA\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x2A"],
        ["\x46\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\x9F"],

        ["\xF3\xB0\xBA\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x2B"],
        ["\x46\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xA0"],

        ["\xF3\xB0\xBA\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x2C"],
        ["\x46\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xA1"],

        ["\xF3\xB0\xBA\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x2D"],
        ["\x46\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xA2"],

        ["\xF3\xB0\xBA\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x2E"],
        ["\x46\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xA3"],

        ["\xF3\xB0\xBA\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x2F"],
        ["\x46\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xA4"],

        ["\xF3\xB0\xBA\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x30"],
        ["\x46\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xA5"],

        ["\xF3\xB0\xBA\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x31"],
        ["\x46\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xA6"],

        ["\xF3\xB0\xBA\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x32"],
        ["\x46\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xA7"],

        ["\xF3\xB0\xBA\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x33"],
        ["\x46\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xA8"],

        ["\xF3\xB0\xBA\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x34"],
        ["\x46\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xA9"],

        ["\xF3\xB0\xBA\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x35"],
        ["\x46\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xAA"],

        ["\xF3\xB0\xBA\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x36"],
        ["\x46\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xAB"],

        ["\xF3\xB0\xBA\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x37"],
        ["\x46\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xAC"],

        ["\xF3\xB0\xBA\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x38"],
        ["\x46\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xAD"],

        ["\xF3\xB0\xBA\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x39"],
        ["\x46\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xAE"],

        ["\xF3\xB0\xBA\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x3A"],
        ["\x46\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xAF"],

        ["\xF3\xB0\xBA\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x3B"],
        ["\x46\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xB0"],

        ["\xF3\xB0\xBA\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x3C"],
        ["\x46\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xB1"],

        ["\xF3\xB0\xBA\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x3D"],
        ["\x46\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xB2"],

        ["\xF3\xB0\xBA\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x3E"],
        ["\x46\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xB3"],

        ["\xF3\xB0\xBA\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x3F"],
        ["\x46\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xB4"],

        ["\xF3\xB0\xBA\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x40"],
        ["\x46\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xB5"],

        ["\xF3\xB0\xBA\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x41"],
        ["\x46\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xB6"],

        ["\xF3\xB0\xBA\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x42"],
        ["\x46\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xB7"],

        ["\xF3\xB0\xBA\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x43"],
        ["\x46\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xB8"],

        ["\xF3\xB0\xBA\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x44"],
        ["\x46\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xB9"],

        ["\xF3\xB0\xBA\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x45"],
        ["\x46\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xBA"],

        ["\xF3\xB0\xBA\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x46"],
        ["\x46\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xBB"],

        ["\xF3\xB0\xBA\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x47"],
        ["\x46\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xBC"],

        ["\xF3\xB0\xBA\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x48"],
        ["\x46\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xBD"],

        ["\xF3\xB0\xBA\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x49"],
        ["\x46\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xBE"],

        ["\xF3\xB0\xBA\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x4A"],
        ["\x46\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBA\xBF"],

        ["\xF3\xB0\xBB\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x4B"],
        ["\x46\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x80"],

        ["\xF3\xB0\xBB\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x4C"],
        ["\x46\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x81"],

        ["\xF3\xB0\xBB\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x4D"],
        ["\x46\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x82"],

        ["\xF3\xB0\xBB\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x4E"],
        ["\x46\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x83"],

        ["\xF3\xB0\xBB\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x4F"],
        ["\x46\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x84"],

        ["\xF3\xB0\xBB\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x50"],
        ["\x46\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x85"],

        ["\xF3\xB0\xBB\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x51"],
        ["\x46\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x86"],

        ["\xF3\xB0\xBB\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x52"],
        ["\x46\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x87"],

        ["\xF3\xB0\xBB\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x53"],
        ["\x46\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x88"],

        ["\xF3\xB0\xBB\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x54"],
        ["\x46\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x89"],

        ["\xF3\xB0\xBB\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x55"],
        ["\x46\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x8A"],

        ["\xF3\xB0\xBB\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x56"],
        ["\x46\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x8B"],

        ["\xF3\xB0\xBB\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x57"],
        ["\x46\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x8C"],

        ["\xF3\xB0\xBB\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x58"],
        ["\x46\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x8D"],

        ["\xF3\xB0\xBB\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x59"],
        ["\x46\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x8E"],

        ["\xF3\xB0\xBB\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x5A"],
        ["\x46\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x8F"],

        ["\xF3\xB0\xBB\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x5B"],
        ["\x46\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x90"],

        ["\xF3\xB0\xBB\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x5C"],
        ["\x46\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x91"],

        ["\xF3\xB0\xBB\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x5D"],
        ["\x46\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x92"],

        ["\xF3\xB0\xBB\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x5E"],
        ["\x46\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x93"],

        ["\xF3\xB0\xBB\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x5F"],
        ["\x46\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x94"],

        ["\xF3\xB0\xBB\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x60"],
        ["\x46\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x95"],

        ["\xF3\xB0\xBB\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x61"],
        ["\x46\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x96"],

        ["\xF3\xB0\xBB\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x62"],
        ["\x46\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x97"],

        ["\xF3\xB0\xBB\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x63"],
        ["\x46\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x98"],

        ["\xF3\xB0\xBB\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x64"],
        ["\x46\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x99"],

        ["\xF3\xB0\xBB\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x65"],
        ["\x46\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x9A"],

        ["\xF3\xB0\xBB\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x66"],
        ["\x46\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x9B"],

        ["\xF3\xB0\xBB\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x67"],
        ["\x46\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x9C"],

        ["\xF3\xB0\xBB\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x68"],
        ["\x46\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x9D"],

        ["\xF3\xB0\xBB\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x69"],
        ["\x46\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x9E"],

        ["\xF3\xB0\xBB\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x6A"],
        ["\x46\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\x9F"],

        ["\xF3\xB0\xBB\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x6B"],
        ["\x46\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xA0"],

        ["\xF3\xB0\xBB\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x6C"],
        ["\x46\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xA1"],

        ["\xF3\xB0\xBB\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x6D"],
        ["\x46\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xA2"],

        ["\xF3\xB0\xBB\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x6E"],
        ["\x46\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xA3"],

        ["\xF3\xB0\xBB\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x6F"],
        ["\x46\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xA4"],

        ["\xF3\xB0\xBB\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x70"],
        ["\x46\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xA5"],

        ["\xF3\xB0\xBB\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x71"],
        ["\x46\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xA6"],

        ["\xF3\xB0\xBB\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x72"],
        ["\x46\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xA7"],

        ["\xF3\xB0\xBB\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x73"],
        ["\x46\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xA8"],

        ["\xF3\xB0\xBB\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x74"],
        ["\x46\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xA9"],

        ["\xF3\xB0\xBB\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x75"],
        ["\x46\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xAA"],

        ["\xF3\xB0\xBB\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x6E"],
        ["\x6D\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xAB"],

        ["\xF3\xB0\xBB\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x77"],
        ["\x46\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xAC"],

        ["\xF3\xB0\xBB\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x78"],
        ["\x46\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xAD"],

        ["\xF3\xB0\xBB\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x79"],
        ["\x46\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xAE"],

        ["\xF3\xB0\xBB\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x7A"],
        ["\x46\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xAF"],

        ["\xF3\xB0\xBB\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x7B"],
        ["\x46\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xB0"],

        ["\xF3\xB0\xBB\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x7C"],
        ["\x46\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xB1"],

        ["\xF3\xB0\xBB\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x7D"],
        ["\x46\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xB2"],

        ["\xF3\xB0\xBB\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x7E"],
        ["\x46\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xB3"],

        ["\xF3\xB0\xBB\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x21"],
        ["\x47\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xB4"],

        ["\xF3\xB0\xBB\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x22"],
        ["\x47\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xB5"],

        ["\xF3\xB0\xBB\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x23"],
        ["\x47\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xB6"],

        ["\xF3\xB0\xBB\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x24"],
        ["\x47\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xB7"],

        ["\xF3\xB0\xBB\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x25"],
        ["\x47\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xB8"],

        ["\xF3\xB0\xBB\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x26"],
        ["\x47\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xB9"],

        ["\xF3\xB0\xBB\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x27"],
        ["\x47\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xBA"],

        ["\xF3\xB0\xBB\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x28"],
        ["\x47\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xBB"],

        ["\xF3\xB0\xBB\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x29"],
        ["\x47\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xBC"],

        ["\xF3\xB0\xBB\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x2A"],
        ["\x47\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xBD"],

        ["\xF3\xB0\xBB\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x2B"],
        ["\x47\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xBE"],

        ["\xF3\xB0\xBB\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x2C"],
        ["\x47\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBB\xBF"],

        ["\xF3\xB0\xBC\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x2D"],
        ["\x47\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x80"],

        ["\xF3\xB0\xBC\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x2E"],
        ["\x47\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x81"],

        ["\xF3\xB0\xBC\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x2F"],
        ["\x47\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x82"],

        ["\xF3\xB0\xBC\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x30"],
        ["\x47\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x83"],

        ["\xF3\xB0\xBC\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x31"],
        ["\x47\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x84"],

        ["\xF3\xB0\xBC\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x32"],
        ["\x47\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x85"],

        ["\xF3\xB0\xBC\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x33"],
        ["\x47\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x86"],

        ["\xF3\xB0\xBC\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x34"],
        ["\x47\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x87"],

        ["\xF3\xB0\xBC\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x35"],
        ["\x47\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x88"],

        ["\xF3\xB0\xBC\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x36"],
        ["\x47\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x89"],

        ["\xF3\xB0\xBC\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x37"],
        ["\x47\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x8A"],

        ["\xF3\xB0\xBC\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x38"],
        ["\x47\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x8B"],

        ["\xF3\xB0\xBC\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x39"],
        ["\x47\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x8C"],

        ["\xF3\xB0\xBC\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x3A"],
        ["\x47\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x8D"],

        ["\xF3\xB0\xBC\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x3B"],
        ["\x47\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x8E"],

        ["\xF3\xB0\xBC\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x3C"],
        ["\x47\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x8F"],

        ["\xF3\xB0\xBC\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x3D"],
        ["\x47\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x90"],

        ["\xF3\xB0\xBC\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x3E"],
        ["\x47\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x91"],

        ["\xF3\xB0\xBC\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x3F"],
        ["\x47\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x92"],

        ["\xF3\xB0\xBC\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x40"],
        ["\x47\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x93"],

        ["\xF3\xB0\xBC\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x41"],
        ["\x47\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x94"],

        ["\xF3\xB0\xBC\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x42"],
        ["\x47\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x95"],

        ["\xF3\xB0\xBC\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x43"],
        ["\x47\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x96"],

        ["\xF3\xB0\xBC\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x44"],
        ["\x47\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x97"],

        ["\xF3\xB0\xBC\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x45"],
        ["\x47\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x98"],

        ["\xF3\xB0\xBC\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x46"],
        ["\x47\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x99"],

        ["\xF3\xB0\xBC\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x47"],
        ["\x47\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x9A"],

        ["\xF3\xB0\xBC\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x48"],
        ["\x47\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x9B"],

        ["\xF3\xB0\xBC\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x49"],
        ["\x47\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x9C"],

        ["\xF3\xB0\xBC\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x4A"],
        ["\x47\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x9D"],

        ["\xF3\xB0\xBC\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x4B"],
        ["\x47\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x9E"],

        ["\xF3\xB0\xBC\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x4C"],
        ["\x47\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\x9F"],

        ["\xF3\xB0\xBC\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x4D"],
        ["\x47\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xA0"],

        ["\xF3\xB0\xBC\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x4E"],
        ["\x47\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xA1"],

        ["\xF3\xB0\xBC\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x4F"],
        ["\x47\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xA2"],

        ["\xF3\xB0\xBC\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x50"],
        ["\x47\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xA3"],

        ["\xF3\xB0\xBC\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x51"],
        ["\x47\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xA4"],

        ["\xF3\xB0\xBC\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x52"],
        ["\x47\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xA5"],

        ["\xF3\xB0\xBC\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x53"],
        ["\x47\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xA6"],

        ["\xF3\xB0\xBC\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x54"],
        ["\x47\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xA7"],

        ["\xF3\xB0\xBC\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x55"],
        ["\x47\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xA8"],

        ["\xF3\xB0\xBC\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x56"],
        ["\x47\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xA9"],

        ["\xF3\xB0\xBC\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x57"],
        ["\x47\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xAA"],

        ["\xF3\xB0\xBC\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x58"],
        ["\x47\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xAB"],

        ["\xF3\xB0\xBC\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x59"],
        ["\x47\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xAC"],

        ["\xF3\xB0\xBC\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x5A"],
        ["\x47\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xAD"],

        ["\xF3\xB0\xBC\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x5B"],
        ["\x47\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xAE"],

        ["\xF3\xB0\xBC\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x5C"],
        ["\x47\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xAF"],

        ["\xF3\xB0\xBC\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x5D"],
        ["\x47\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xB0"],

        ["\xF3\xB0\xBC\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x5E"],
        ["\x47\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xB1"],

        ["\xF3\xB0\xBC\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x5F"],
        ["\x47\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xB2"],

        ["\xF3\xB0\xBC\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x60"],
        ["\x47\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xB3"],

        ["\xF3\xB0\xBC\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x61"],
        ["\x47\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xB4"],

        ["\xF3\xB0\xBC\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x62"],
        ["\x47\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xB5"],

        ["\xF3\xB0\xBC\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x63"],
        ["\x47\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xB6"],

        ["\xF3\xB0\xBC\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x64"],
        ["\x47\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xB7"],

        ["\xF3\xB0\xBC\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x65"],
        ["\x47\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xB8"],

        ["\xF3\xB0\xBC\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x66"],
        ["\x47\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xB9"],

        ["\xF3\xB0\xBC\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x67"],
        ["\x47\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xBA"],

        ["\xF3\xB0\xBC\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x24"],
        ["\x6A\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xBB"],

        ["\xF3\xB0\xBC\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x69"],
        ["\x47\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xBC"],

        ["\xF3\xB0\xBC\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x6A"],
        ["\x47\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xBD"],

        ["\xF3\xB0\xBC\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x6B"],
        ["\x47\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xBE"],

        ["\xF3\xB0\xBC\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x6C"],
        ["\x47\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBC\xBF"],

        ["\xF3\xB0\xBD\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x6D"],
        ["\x47\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x80"],

        ["\xF3\xB0\xBD\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x6E"],
        ["\x47\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x81"],

        ["\xF3\xB0\xBD\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x6F"],
        ["\x47\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x82"],

        ["\xF3\xB0\xBD\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x70"],
        ["\x47\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x83"],

        ["\xF3\xB0\xBD\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x71"],
        ["\x47\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x84"],

        ["\xF3\xB0\xBD\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x72"],
        ["\x47\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x85"],

        ["\xF3\xB0\xBD\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x73"],
        ["\x47\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x86"],

        ["\xF3\xB0\xBD\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x74"],
        ["\x47\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x87"],

        ["\xF3\xB0\xBD\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x75"],
        ["\x47\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x88"],

        ["\xF3\xB0\xBD\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x76"],
        ["\x47\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x89"],

        ["\xF3\xB0\xBD\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x77"],
        ["\x47\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x8A"],

        ["\xF3\xB0\xBD\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x78"],
        ["\x47\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x8B"],

        ["\xF3\xB0\xBD\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x79"],
        ["\x47\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x8C"],

        ["\xF3\xB0\xBD\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x7A"],
        ["\x47\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x8D"],

        ["\xF3\xB0\xBD\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x7B"],
        ["\x47\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x8E"],

        ["\xF3\xB0\xBD\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x7C"],
        ["\x47\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x8F"],

        ["\xF3\xB0\xBD\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x7D"],
        ["\x47\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x90"],

        ["\xF3\xB0\xBD\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x7E"],
        ["\x47\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x91"],

        ["\xF3\xB0\xBD\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x21"],
        ["\x48\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x92"],

        ["\xF3\xB0\xBD\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x22"],
        ["\x48\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x93"],

        ["\xF3\xB0\xBD\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x23"],
        ["\x48\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x94"],

        ["\xF3\xB0\xBD\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x24"],
        ["\x48\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x95"],

        ["\xF3\xB0\xBD\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x25"],
        ["\x48\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x96"],

        ["\xF3\xB0\xBD\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x26"],
        ["\x48\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x97"],

        ["\xF3\xB0\xBD\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x27"],
        ["\x48\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x98"],

        ["\xF3\xB0\xBD\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x28"],
        ["\x48\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x99"],

        ["\xF3\xB0\xBD\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x29"],
        ["\x48\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x9A"],

        ["\xF3\xB0\xBD\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x2A"],
        ["\x48\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x9B"],

        ["\xF3\xB0\xBD\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x2B"],
        ["\x48\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x9C"],

        ["\xF3\xB0\xBD\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x2C"],
        ["\x48\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x9D"],

        ["\xF3\xB0\xBD\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x2D"],
        ["\x48\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x9E"],

        ["\xF3\xB0\xBD\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x2E"],
        ["\x48\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\x9F"],

        ["\xF3\xB0\xBD\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x2F"],
        ["\x48\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xA0"],

        ["\xF3\xB0\xBD\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x30"],
        ["\x48\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xA1"],

        ["\xF3\xB0\xBD\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x31"],
        ["\x48\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xA2"],

        ["\xF3\xB0\xBD\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x32"],
        ["\x48\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xA3"],

        ["\xF3\xB0\xBD\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x33"],
        ["\x48\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xA4"],

        ["\xF3\xB0\xBD\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x34"],
        ["\x48\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xA5"],

        ["\xF3\xB0\xBD\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x35"],
        ["\x48\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xA6"],

        ["\xF3\xB0\xBD\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x36"],
        ["\x48\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xA7"],

        ["\xF3\xB0\xBD\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x37"],
        ["\x48\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xA8"],

        ["\xF3\xB0\xBD\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x38"],
        ["\x48\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xA9"],

        ["\xF3\xB0\xBD\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x39"],
        ["\x48\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xAA"],

        ["\xF3\xB0\xBD\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x3A"],
        ["\x48\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xAB"],

        ["\xF3\xB0\xBD\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x3B"],
        ["\x48\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xAC"],

        ["\xF3\xB0\xBD\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x3C"],
        ["\x48\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xAD"],

        ["\xF3\xB0\xBD\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x3D"],
        ["\x48\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xAE"],

        ["\xF3\xB0\xBD\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x3E"],
        ["\x48\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xAF"],

        ["\xF3\xB0\xBD\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x3F"],
        ["\x48\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xB0"],

        ["\xF3\xB0\xBD\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x40"],
        ["\x48\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xB1"],

        ["\xF3\xB0\xBD\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x41"],
        ["\x48\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xB2"],

        ["\xF3\xB0\xBD\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x42"],
        ["\x48\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xB3"],

        ["\xF3\xB0\xBD\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x43"],
        ["\x48\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xB4"],

        ["\xF3\xB0\xBD\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x44"],
        ["\x48\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xB5"],

        ["\xF3\xB0\xBD\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x45"],
        ["\x48\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xB6"],

        ["\xF3\xB0\xBD\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x46"],
        ["\x48\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xB7"],

        ["\xF3\xB0\xBD\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x47"],
        ["\x48\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xB8"],

        ["\xF3\xB0\xBD\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x48"],
        ["\x48\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xB9"],

        ["\xF3\xB0\xBD\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x49"],
        ["\x48\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xBA"],

        ["\xF3\xB0\xBD\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x4A"],
        ["\x48\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xBB"],

        ["\xF3\xB0\xBD\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x4B"],
        ["\x48\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xBC"],

        ["\xF3\xB0\xBD\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x4C"],
        ["\x48\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xBD"],

        ["\xF3\xB0\xBD\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x4D"],
        ["\x48\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xBE"],

        ["\xF3\xB0\xBD\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x4E"],
        ["\x48\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBD\xBF"],

        ["\xF3\xB0\xBE\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x4F"],
        ["\x48\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x80"],

        ["\xF3\xB0\xBE\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x50"],
        ["\x48\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x81"],

        ["\xF3\xB0\xBE\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x51"],
        ["\x48\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x82"],

        ["\xF3\xB0\xBE\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x52"],
        ["\x48\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x83"],

        ["\xF3\xB0\xBE\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x53"],
        ["\x48\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x84"],

        ["\xF3\xB0\xBE\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x54"],
        ["\x48\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x85"],

        ["\xF3\xB0\xBE\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x55"],
        ["\x48\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x86"],

        ["\xF3\xB0\xBE\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x56"],
        ["\x48\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x87"],

        ["\xF3\xB0\xBE\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x57"],
        ["\x48\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x88"],

        ["\xF3\xB0\xBE\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x58"],
        ["\x48\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x89"],

        ["\xF3\xB0\xBE\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x59"],
        ["\x48\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x8A"],

        ["\xF3\xB0\xBE\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x5A"],
        ["\x48\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x8B"],

        ["\xF3\xB0\xBE\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x5B"],
        ["\x48\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x8C"],

        ["\xF3\xB0\xBE\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x5C"],
        ["\x48\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x8D"],

        ["\xF3\xB0\xBE\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x5D"],
        ["\x48\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x8E"],

        ["\xF3\xB0\xBE\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x5E"],
        ["\x48\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x8F"],

        ["\xF3\xB0\xBE\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x5F"],
        ["\x48\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x90"],

        ["\xF3\xB0\xBE\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x60"],
        ["\x48\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x91"],

        ["\xF3\xB0\xBE\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x61"],
        ["\x48\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x92"],

        ["\xF3\xB0\xBE\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x62"],
        ["\x48\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x93"],

        ["\xF3\xB0\xBE\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x63"],
        ["\x48\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x94"],

        ["\xF3\xB0\xBE\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x64"],
        ["\x48\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x95"],

        ["\xF3\xB0\xBE\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x65"],
        ["\x48\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x96"],

        ["\xF3\xB0\xBE\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x66"],
        ["\x48\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x97"],

        ["\xF3\xB0\xBE\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x67"],
        ["\x48\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x98"],

        ["\xF3\xB0\xBE\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x68"],
        ["\x48\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x99"],

        ["\xF3\xB0\xBE\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x69"],
        ["\x48\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x9A"],

        ["\xF3\xB0\xBE\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x6A"],
        ["\x48\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x9B"],

        ["\xF3\xB0\xBE\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x6B"],
        ["\x48\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x9C"],

        ["\xF3\xB0\xBE\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x6C"],
        ["\x48\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x9D"],

        ["\xF3\xB0\xBE\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x6D"],
        ["\x48\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x9E"],

        ["\xF3\xB0\xBE\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x6E"],
        ["\x48\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\x9F"],

        ["\xF3\xB0\xBE\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x6F"],
        ["\x48\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xA0"],

        ["\xF3\xB0\xBE\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x70"],
        ["\x48\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xA1"],

        ["\xF3\xB0\xBE\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x71"],
        ["\x48\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xA2"],

        ["\xF3\xB0\xBE\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x72"],
        ["\x48\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xA3"],

        ["\xF3\xB0\xBE\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x73"],
        ["\x48\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xA4"],

        ["\xF3\xB0\xBE\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x74"],
        ["\x48\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xA5"],

        ["\xF3\xB0\xBE\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x75"],
        ["\x48\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xA6"],

        ["\xF3\xB0\xBE\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x76"],
        ["\x48\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xA7"],

        ["\xF3\xB0\xBE\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x77"],
        ["\x48\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xA8"],

        ["\xF3\xB0\xBE\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x78"],
        ["\x48\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xA9"],

        ["\xF3\xB0\xBE\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x79"],
        ["\x48\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xAA"],

        ["\xF3\xB0\xBE\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x7A"],
        ["\x48\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xAB"],

        ["\xF3\xB0\xBE\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x7B"],
        ["\x48\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xAC"],

        ["\xF3\xB0\xBE\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x7C"],
        ["\x48\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xAD"],

        ["\xF3\xB0\xBE\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x7D"],
        ["\x48\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xAE"],

        ["\xF3\xB0\xBE\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x48\x7E"],
        ["\x48\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xAF"],

        ["\xF3\xB0\xBE\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x21"],
        ["\x49\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xB0"],

        ["\xF3\xB0\xBE\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x22"],
        ["\x49\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xB1"],

        ["\xF3\xB0\xBE\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x23"],
        ["\x49\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xB2"],

        ["\xF3\xB0\xBE\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x24"],
        ["\x49\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xB3"],

        ["\xF3\xB0\xBE\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x25"],
        ["\x49\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xB4"],

        ["\xF3\xB0\xBE\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x26"],
        ["\x49\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xB5"],

        ["\xF3\xB0\xBE\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x27"],
        ["\x49\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xB6"],

        ["\xF3\xB0\xBE\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x28"],
        ["\x49\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xB7"],

        ["\xF3\xB0\xBE\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x29"],
        ["\x49\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xB8"],

        ["\xF3\xB0\xBE\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x2A"],
        ["\x49\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xB9"],

        ["\xF3\xB0\xBE\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x2B"],
        ["\x49\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xBA"],

        ["\xF3\xB0\xBE\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x2C"],
        ["\x49\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xBB"],

        ["\xF3\xB0\xBE\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x2D"],
        ["\x49\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xBC"],

        ["\xF3\xB0\xBE\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x2E"],
        ["\x49\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xBD"],

        ["\xF3\xB0\xBE\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x2F"],
        ["\x49\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xBE"],

        ["\xF3\xB0\xBE\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x58"],
        ["\x5B\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBE\xBF"],

        ["\xF3\xB0\xBF\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x31"],
        ["\x49\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x80"],

        ["\xF3\xB0\xBF\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x32"],
        ["\x49\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x81"],

        ["\xF3\xB0\xBF\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x33"],
        ["\x49\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x82"],

        ["\xF3\xB0\xBF\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x34"],
        ["\x49\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x83"],

        ["\xF3\xB0\xBF\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x35"],
        ["\x49\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x84"],

        ["\xF3\xB0\xBF\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x36"],
        ["\x49\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x85"],

        ["\xF3\xB0\xBF\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x37"],
        ["\x49\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x86"],

        ["\xF3\xB0\xBF\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x38"],
        ["\x49\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x87"],

        ["\xF3\xB0\xBF\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x39"],
        ["\x49\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x88"],

        ["\xF3\xB0\xBF\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x3A"],
        ["\x49\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x89"],

        ["\xF3\xB0\xBF\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x3B"],
        ["\x49\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x8A"],

        ["\xF3\xB0\xBF\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x3C"],
        ["\x49\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x8B"],

        ["\xF3\xB0\xBF\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x3D"],
        ["\x49\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x8C"],

        ["\xF3\xB0\xBF\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x3E"],
        ["\x49\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x8D"],

        ["\xF3\xB0\xBF\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x3F"],
        ["\x49\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x8E"],

        ["\xF3\xB0\xBF\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x40"],
        ["\x49\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x8F"],

        ["\xF3\xB0\xBF\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x41"],
        ["\x49\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x90"],

        ["\xF3\xB0\xBF\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x42"],
        ["\x49\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x91"],

        ["\xF3\xB0\xBF\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x43"],
        ["\x49\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x92"],

        ["\xF3\xB0\xBF\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x44"],
        ["\x49\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x93"],

        ["\xF3\xB0\xBF\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x45"],
        ["\x49\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x94"],

        ["\xF3\xB0\xBF\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x46"],
        ["\x49\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x95"],

        ["\xF3\xB0\xBF\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x47"],
        ["\x49\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x96"],

        ["\xF3\xB0\xBF\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x48"],
        ["\x49\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x97"],

        ["\xF3\xB0\xBF\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x49"],
        ["\x49\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x98"],

        ["\xF3\xB0\xBF\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x4A"],
        ["\x49\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x99"],

        ["\xF3\xB0\xBF\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x4B"],
        ["\x49\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x9A"],

        ["\xF3\xB0\xBF\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x4C"],
        ["\x49\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x9B"],

        ["\xF3\xB0\xBF\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x4D"],
        ["\x49\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x9C"],

        ["\xF3\xB0\xBF\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x4E"],
        ["\x49\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x9D"],

        ["\xF3\xB0\xBF\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x4F"],
        ["\x49\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x9E"],

        ["\xF3\xB0\xBF\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x50"],
        ["\x49\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\x9F"],

        ["\xF3\xB0\xBF\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x51"],
        ["\x49\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xA0"],

        ["\xF3\xB0\xBF\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x52"],
        ["\x49\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xA1"],

        ["\xF3\xB0\xBF\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x53"],
        ["\x49\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xA2"],

        ["\xF3\xB0\xBF\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x54"],
        ["\x49\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xA3"],

        ["\xF3\xB0\xBF\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x55"],
        ["\x49\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xA4"],

        ["\xF3\xB0\xBF\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x56"],
        ["\x49\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xA5"],

        ["\xF3\xB0\xBF\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x57"],
        ["\x49\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xA6"],

        ["\xF3\xB0\xBF\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x58"],
        ["\x49\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xA7"],

        ["\xF3\xB0\xBF\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x59"],
        ["\x49\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xA8"],

        ["\xF3\xB0\xBF\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x5A"],
        ["\x49\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xA9"],

        ["\xF3\xB0\xBF\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x5B"],
        ["\x49\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xAA"],

        ["\xF3\xB0\xBF\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x5C"],
        ["\x49\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xAB"],

        ["\xF3\xB0\xBF\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x5D"],
        ["\x49\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xAC"],

        ["\xF3\xB0\xBF\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x5E"],
        ["\x49\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xAD"],

        ["\xF3\xB0\xBF\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x5F"],
        ["\x49\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xAE"],

        ["\xF3\xB0\xBF\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x60"],
        ["\x49\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xAF"],

        ["\xF3\xB0\xBF\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x61"],
        ["\x49\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xB0"],

        ["\xF3\xB0\xBF\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x62"],
        ["\x49\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xB1"],

        ["\xF3\xB0\xBF\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x63"],
        ["\x49\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xB2"],

        ["\xF3\xB0\xBF\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x64"],
        ["\x49\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xB3"],

        ["\xF3\xB0\xBF\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x65"],
        ["\x49\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xB4"],

        ["\xF3\xB0\xBF\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x66"],
        ["\x49\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xB5"],

        ["\xF3\xB0\xBF\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x67"],
        ["\x49\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xB6"],

        ["\xF3\xB0\xBF\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x68"],
        ["\x49\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xB7"],

        ["\xF3\xB0\xBF\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x69"],
        ["\x49\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xB8"],

        ["\xF3\xB0\xBF\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x6A"],
        ["\x49\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xB9"],

        ["\xF3\xB0\xBF\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x6B"],
        ["\x49\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xBA"],

        ["\xF3\xB0\xBF\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x6C"],
        ["\x49\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xBB"],

        ["\xF3\xB0\xBF\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x6D"],
        ["\x49\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xBC"],

        ["\xF3\xB0\xBF\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x6E"],
        ["\x49\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xBD"],

        ["\xF3\xB0\xBF\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x6F"],
        ["\x49\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xBE"],

        ["\xF3\xB0\xBF\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x70"],
        ["\x49\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB0\xBF\xBF"],

        ["\xF3\xB1\x80\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x71"],
        ["\x49\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x80"],

        ["\xF3\xB1\x80\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x72"],
        ["\x49\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x81"],

        ["\xF3\xB1\x80\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x73"],
        ["\x49\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x82"],

        ["\xF3\xB1\x80\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x74"],
        ["\x49\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x83"],

        ["\xF3\xB1\x80\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x75"],
        ["\x49\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x84"],

        ["\xF3\xB1\x80\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x76"],
        ["\x49\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x85"],

        ["\xF3\xB1\x80\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x77"],
        ["\x49\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x86"],

        ["\xF3\xB1\x80\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x78"],
        ["\x49\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x87"],

        ["\xF3\xB1\x80\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x79"],
        ["\x49\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x88"],

        ["\xF3\xB1\x80\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x7A"],
        ["\x49\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x89"],

        ["\xF3\xB1\x80\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x7B"],
        ["\x49\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x8A"],

        ["\xF3\xB1\x80\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x7C"],
        ["\x49\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x8B"],

        ["\xF3\xB1\x80\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x7D"],
        ["\x49\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x8C"],

        ["\xF3\xB1\x80\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x7E"],
        ["\x49\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x8D"],

        ["\xF3\xB1\x80\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x21"],
        ["\x4A\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x8E"],

        ["\xF3\xB1\x80\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x22"],
        ["\x4A\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x8F"],

        ["\xF3\xB1\x80\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x23"],
        ["\x4A\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x90"],

        ["\xF3\xB1\x80\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x24"],
        ["\x4A\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x91"],

        ["\xF3\xB1\x80\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x25"],
        ["\x4A\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x92"],

        ["\xF3\xB1\x80\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x26"],
        ["\x4A\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x93"],

        ["\xF3\xB1\x80\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x27"],
        ["\x4A\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x94"],

        ["\xF3\xB1\x80\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x28"],
        ["\x4A\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x95"],

        ["\xF3\xB1\x80\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x29"],
        ["\x4A\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x96"],

        ["\xF3\xB1\x80\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x2A"],
        ["\x4A\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x97"],

        ["\xF3\xB1\x80\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x2B"],
        ["\x4A\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x98"],

        ["\xF3\xB1\x80\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x2C"],
        ["\x4A\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x99"],

        ["\xF3\xB1\x80\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x2D"],
        ["\x4A\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x9A"],

        ["\xF3\xB1\x80\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x2E"],
        ["\x4A\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x9B"],

        ["\xF3\xB1\x80\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x2F"],
        ["\x4A\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x9C"],

        ["\xF3\xB1\x80\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x30"],
        ["\x4A\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x9D"],

        ["\xF3\xB1\x80\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x31"],
        ["\x4A\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x9E"],

        ["\xF3\xB1\x80\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x32"],
        ["\x4A\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\x9F"],

        ["\xF3\xB1\x80\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x33"],
        ["\x4A\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xA0"],

        ["\xF3\xB1\x80\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x34"],
        ["\x4A\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xA1"],

        ["\xF3\xB1\x80\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x35"],
        ["\x4A\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xA2"],

        ["\xF3\xB1\x80\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x36"],
        ["\x4A\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xA3"],

        ["\xF3\xB1\x80\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x37"],
        ["\x4A\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xA4"],

        ["\xF3\xB1\x80\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x38"],
        ["\x4A\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xA5"],

        ["\xF3\xB1\x80\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x39"],
        ["\x4A\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xA6"],

        ["\xF3\xB1\x80\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x3A"],
        ["\x4A\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xA7"],

        ["\xF3\xB1\x80\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x3B"],
        ["\x4A\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xA8"],

        ["\xF3\xB1\x80\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x3C"],
        ["\x4A\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xA9"],

        ["\xF3\xB1\x80\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x3D"],
        ["\x4A\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xAA"],

        ["\xF3\xB1\x80\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x3E"],
        ["\x4A\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xAB"],

        ["\xF3\xB1\x80\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x3F"],
        ["\x4A\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xAC"],

        ["\xF3\xB1\x80\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x40"],
        ["\x4A\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xAD"],

        ["\xF3\xB1\x80\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x41"],
        ["\x4A\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xAE"],

        ["\xF3\xB1\x80\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x42"],
        ["\x4A\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xAF"],

        ["\xF3\xB1\x80\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x43"],
        ["\x4A\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xB0"],

        ["\xF3\xB1\x80\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x44"],
        ["\x4A\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xB1"],

        ["\xF3\xB1\x80\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x45"],
        ["\x4A\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xB2"],

        ["\xF3\xB1\x80\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x46"],
        ["\x4A\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xB3"],

        ["\xF3\xB1\x80\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x47"],
        ["\x4A\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xB4"],

        ["\xF3\xB1\x80\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x48"],
        ["\x4A\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xB5"],

        ["\xF3\xB1\x80\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x49"],
        ["\x4A\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xB6"],

        ["\xF3\xB1\x80\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x4A"],
        ["\x4A\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xB7"],

        ["\xF3\xB1\x80\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x4B"],
        ["\x4A\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xB8"],

        ["\xF3\xB1\x80\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x4C"],
        ["\x4A\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xB9"],

        ["\xF3\xB1\x80\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x4D"],
        ["\x4A\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xBA"],

        ["\xF3\xB1\x80\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x4E"],
        ["\x4A\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xBB"],

        ["\xF3\xB1\x80\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x4F"],
        ["\x4A\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xBC"],

        ["\xF3\xB1\x80\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x50"],
        ["\x4A\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xBD"],

        ["\xF3\xB1\x80\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x51"],
        ["\x4A\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xBE"],

        ["\xF3\xB1\x80\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x52"],
        ["\x4A\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x80\xBF"],

        ["\xF3\xB1\x81\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x53"],
        ["\x4A\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x80"],

        ["\xF3\xB1\x81\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x54"],
        ["\x4A\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x81"],

        ["\xF3\xB1\x81\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x55"],
        ["\x4A\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x82"],

        ["\xF3\xB1\x81\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x56"],
        ["\x4A\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x83"],

        ["\xF3\xB1\x81\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x57"],
        ["\x4A\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x84"],

        ["\xF3\xB1\x81\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x58"],
        ["\x4A\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x85"],

        ["\xF3\xB1\x81\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x59"],
        ["\x4A\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x86"],

        ["\xF3\xB1\x81\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x5A"],
        ["\x4A\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x87"],

        ["\xF3\xB1\x81\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x5B"],
        ["\x4A\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x88"],

        ["\xF3\xB1\x81\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x5C"],
        ["\x4A\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x89"],

        ["\xF3\xB1\x81\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x5D"],
        ["\x4A\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x8A"],

        ["\xF3\xB1\x81\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x5E"],
        ["\x4A\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x8B"],

        ["\xF3\xB1\x81\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x5F"],
        ["\x4A\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x8C"],

        ["\xF3\xB1\x81\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x60"],
        ["\x4A\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x8D"],

        ["\xF3\xB1\x81\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x61"],
        ["\x4A\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x8E"],

        ["\xF3\xB1\x81\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x62"],
        ["\x4A\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x8F"],

        ["\xF3\xB1\x81\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x63"],
        ["\x4A\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x90"],

        ["\xF3\xB1\x81\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x64"],
        ["\x4A\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x91"],

        ["\xF3\xB1\x81\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x65"],
        ["\x4A\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x92"],

        ["\xF3\xB1\x81\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x66"],
        ["\x4A\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x93"],

        ["\xF3\xB1\x81\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x67"],
        ["\x4A\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x94"],

        ["\xF3\xB1\x81\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x68"],
        ["\x4A\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x95"],

        ["\xF3\xB1\x81\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x69"],
        ["\x4A\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x96"],

        ["\xF3\xB1\x81\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x6A"],
        ["\x4A\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x97"],

        ["\xF3\xB1\x81\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x6B"],
        ["\x4A\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x98"],

        ["\xF3\xB1\x81\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x6C"],
        ["\x4A\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x99"],

        ["\xF3\xB1\x81\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x6D"],
        ["\x4A\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x9A"],

        ["\xF3\xB1\x81\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x6E"],
        ["\x4A\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x9B"],

        ["\xF3\xB1\x81\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x6F"],
        ["\x4A\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x9C"],

        ["\xF3\xB1\x81\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x70"],
        ["\x4A\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x9D"],

        ["\xF3\xB1\x81\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x71"],
        ["\x4A\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x9E"],

        ["\xF3\xB1\x81\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x72"],
        ["\x4A\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\x9F"],

        ["\xF3\xB1\x81\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x73"],
        ["\x4A\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xA0"],

        ["\xF3\xB1\x81\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x74"],
        ["\x4A\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xA1"],

        ["\xF3\xB1\x81\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x75"],
        ["\x4A\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xA2"],

        ["\xF3\xB1\x81\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x76"],
        ["\x4A\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xA3"],

        ["\xF3\xB1\x81\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x77"],
        ["\x4A\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xA4"],

        ["\xF3\xB1\x81\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x78"],
        ["\x4A\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xA5"],

        ["\xF3\xB1\x81\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x79"],
        ["\x4A\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xA6"],

        ["\xF3\xB1\x81\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x7A"],
        ["\x4A\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xA7"],

        ["\xF3\xB1\x81\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x7B"],
        ["\x4A\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xA8"],

        ["\xF3\xB1\x81\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x7C"],
        ["\x4A\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xA9"],

        ["\xF3\xB1\x81\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x7D"],
        ["\x4A\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xAA"],

        ["\xF3\xB1\x81\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4A\x7E"],
        ["\x4A\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xAB"],

        ["\xF3\xB1\x81\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x21"],
        ["\x4B\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xAC"],

        ["\xF3\xB1\x81\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x22"],
        ["\x4B\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xAD"],

        ["\xF3\xB1\x81\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x23"],
        ["\x4B\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xAE"],

        ["\xF3\xB1\x81\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x24"],
        ["\x4B\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xAF"],

        ["\xF3\xB1\x81\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x25"],
        ["\x4B\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xB0"],

        ["\xF3\xB1\x81\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x26"],
        ["\x4B\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xB1"],

        ["\xF3\xB1\x81\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x27"],
        ["\x4B\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xB2"],

        ["\xF3\xB1\x81\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x28"],
        ["\x4B\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xB3"],

        ["\xF3\xB1\x81\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x29"],
        ["\x4B\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xB4"],

        ["\xF3\xB1\x81\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x2A"],
        ["\x4B\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xB5"],

        ["\xF3\xB1\x81\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x2B"],
        ["\x4B\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xB6"],

        ["\xF3\xB1\x81\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x2C"],
        ["\x4B\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xB7"],

        ["\xF3\xB1\x81\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x2D"],
        ["\x4B\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xB8"],

        ["\xF3\xB1\x81\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x2E"],
        ["\x4B\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xB9"],

        ["\xF3\xB1\x81\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x2F"],
        ["\x4B\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xBA"],

        ["\xF3\xB1\x81\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x30"],
        ["\x4B\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xBB"],

        ["\xF3\xB1\x81\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x31"],
        ["\x4B\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xBC"],

        ["\xF3\xB1\x81\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x32"],
        ["\x4B\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xBD"],

        ["\xF3\xB1\x81\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x33"],
        ["\x4B\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xBE"],

        ["\xF3\xB1\x81\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x34"],
        ["\x4B\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x81\xBF"],

        ["\xF3\xB1\x82\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x35"],
        ["\x4B\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x80"],

        ["\xF3\xB1\x82\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x36"],
        ["\x4B\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x81"],

        ["\xF3\xB1\x82\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x37"],
        ["\x4B\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x82"],

        ["\xF3\xB1\x82\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x38"],
        ["\x4B\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x83"],

        ["\xF3\xB1\x82\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x39"],
        ["\x4B\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x84"],

        ["\xF3\xB1\x82\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x3A"],
        ["\x4B\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x85"],

        ["\xF3\xB1\x82\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x3B"],
        ["\x4B\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x86"],

        ["\xF3\xB1\x82\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x3C"],
        ["\x4B\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x87"],

        ["\xF3\xB1\x82\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x3D"],
        ["\x4B\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x88"],

        ["\xF3\xB1\x82\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x3E"],
        ["\x4B\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x89"],

        ["\xF3\xB1\x82\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x3F"],
        ["\x4B\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x8A"],

        ["\xF3\xB1\x82\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x40"],
        ["\x4B\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x8B"],

        ["\xF3\xB1\x82\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x41"],
        ["\x4B\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x8C"],

        ["\xF3\xB1\x82\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x42"],
        ["\x4B\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x8D"],

        ["\xF3\xB1\x82\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x43"],
        ["\x4B\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x8E"],

        ["\xF3\xB1\x82\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x44"],
        ["\x4B\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x8F"],

        ["\xF3\xB1\x82\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x45"],
        ["\x4B\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x90"],

        ["\xF3\xB1\x82\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x46"],
        ["\x4B\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x91"],

        ["\xF3\xB1\x82\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x47"],
        ["\x4B\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x92"],

        ["\xF3\xB1\x82\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x48"],
        ["\x4B\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x93"],

        ["\xF3\xB1\x82\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x49"],
        ["\x4B\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x94"],

        ["\xF3\xB1\x82\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x4A"],
        ["\x4B\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x95"],

        ["\xF3\xB1\x82\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x4B"],
        ["\x4B\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x96"],

        ["\xF3\xB1\x82\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x4C"],
        ["\x4B\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x97"],

        ["\xF3\xB1\x82\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x4D"],
        ["\x4B\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x98"],

        ["\xF3\xB1\x82\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x4E"],
        ["\x4B\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x99"],

        ["\xF3\xB1\x82\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x4F"],
        ["\x4B\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x9A"],

        ["\xF3\xB1\x82\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x50"],
        ["\x4B\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x9B"],

        ["\xF3\xB1\x82\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x51"],
        ["\x4B\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x9C"],

        ["\xF3\xB1\x82\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x52"],
        ["\x4B\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x9D"],

        ["\xF3\xB1\x82\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x53"],
        ["\x4B\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x9E"],

        ["\xF3\xB1\x82\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x54"],
        ["\x4B\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\x9F"],

        ["\xF3\xB1\x82\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x55"],
        ["\x4B\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xA0"],

        ["\xF3\xB1\x82\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x56"],
        ["\x4B\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xA1"],

        ["\xF3\xB1\x82\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x57"],
        ["\x4B\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xA2"],

        ["\xF3\xB1\x82\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x58"],
        ["\x4B\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xA3"],

        ["\xF3\xB1\x82\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x59"],
        ["\x4B\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xA4"],

        ["\xF3\xB1\x82\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x5A"],
        ["\x4B\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xA5"],

        ["\xF3\xB1\x82\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x5B"],
        ["\x4B\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xA6"],

        ["\xF3\xB1\x82\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x5C"],
        ["\x4B\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xA7"],

        ["\xF3\xB1\x82\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x5D"],
        ["\x4B\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xA8"],

        ["\xF3\xB1\x82\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x5E"],
        ["\x4B\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xA9"],

        ["\xF3\xB1\x82\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x5F"],
        ["\x4B\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xAA"],

        ["\xF3\xB1\x82\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x60"],
        ["\x4B\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xAB"],

        ["\xF3\xB1\x82\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x61"],
        ["\x4B\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xAC"],

        ["\xF3\xB1\x82\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x62"],
        ["\x4B\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xAD"],

        ["\xF3\xB1\x82\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x63"],
        ["\x4B\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xAE"],

        ["\xF3\xB1\x82\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x64"],
        ["\x4B\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xAF"],

        ["\xF3\xB1\x82\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x65"],
        ["\x4B\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xB0"],

        ["\xF3\xB1\x82\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x66"],
        ["\x4B\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xB1"],

        ["\xF3\xB1\x82\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x67"],
        ["\x4B\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xB2"],

        ["\xF3\xB1\x82\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x68"],
        ["\x4B\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xB3"],

        ["\xF3\xB1\x82\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x69"],
        ["\x4B\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xB4"],

        ["\xF3\xB1\x82\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xCE"],
        ["\xBF\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xB5"],

        ["\xF3\xB1\x82\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x6B"],
        ["\x4B\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xB6"],

        ["\xF3\xB1\x82\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x6C"],
        ["\x4B\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xB7"],

        ["\xF3\xB1\x82\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x6D"],
        ["\x4B\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xB8"],

        ["\xF3\xB1\x82\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x6E"],
        ["\x4B\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xB9"],

        ["\xF3\xB1\x82\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x6F"],
        ["\x4B\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xBA"],

        ["\xF3\xB1\x82\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x70"],
        ["\x4B\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xBB"],

        ["\xF3\xB1\x82\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x71"],
        ["\x4B\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xBC"],

        ["\xF3\xB1\x82\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x72"],
        ["\x4B\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xBD"],

        ["\xF3\xB1\x82\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x73"],
        ["\x4B\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xBE"],

        ["\xF3\xB1\x82\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x74"],
        ["\x4B\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x82\xBF"],

        ["\xF3\xB1\x83\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x75"],
        ["\x4B\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x80"],

        ["\xF3\xB1\x83\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x76"],
        ["\x4B\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x81"],

        ["\xF3\xB1\x83\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x77"],
        ["\x4B\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x82"],

        ["\xF3\xB1\x83\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x78"],
        ["\x4B\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x83"],

        ["\xF3\xB1\x83\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x56"],
        ["\x50\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x84"],

        ["\xF3\xB1\x83\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x7A"],
        ["\x4B\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x85"],

        ["\xF3\xB1\x83\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x7B"],
        ["\x4B\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x86"],

        ["\xF3\xB1\x83\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x7C"],
        ["\x4B\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x87"],

        ["\xF3\xB1\x83\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x7D"],
        ["\x4B\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x88"],

        ["\xF3\xB1\x83\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x7E"],
        ["\x4B\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x89"],

        ["\xF3\xB1\x83\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x21"],
        ["\x4C\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x8A"],

        ["\xF3\xB1\x83\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x22"],
        ["\x4C\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x8B"],

        ["\xF3\xB1\x83\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x23"],
        ["\x4C\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x8C"],

        ["\xF3\xB1\x83\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x24"],
        ["\x4C\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x8D"],

        ["\xF3\xB1\x83\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x25"],
        ["\x4C\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x8E"],

        ["\xF3\xB1\x83\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x26"],
        ["\x4C\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x8F"],

        ["\xF3\xB1\x83\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x27"],
        ["\x4C\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x90"],

        ["\xF3\xB1\x83\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x28"],
        ["\x4C\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x91"],

        ["\xF3\xB1\x83\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x29"],
        ["\x4C\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x92"],

        ["\xF3\xB1\x83\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x2A"],
        ["\x4C\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x93"],

        ["\xF3\xB1\x83\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x2B"],
        ["\x4C\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x94"],

        ["\xF3\xB1\x83\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x2C"],
        ["\x4C\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x95"],

        ["\xF3\xB1\x83\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x2D"],
        ["\x4C\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x96"],

        ["\xF3\xB1\x83\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x2E"],
        ["\x4C\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x97"],

        ["\xF3\xB1\x83\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x2F"],
        ["\x4C\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x98"],

        ["\xF3\xB1\x83\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x30"],
        ["\x4C\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x99"],

        ["\xF3\xB1\x83\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x31"],
        ["\x4C\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x9A"],

        ["\xF3\xB1\x83\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x32"],
        ["\x4C\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x9B"],

        ["\xF3\xB1\x83\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x33"],
        ["\x4C\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x9C"],

        ["\xF3\xB1\x83\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x34"],
        ["\x4C\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x9D"],

        ["\xF3\xB1\x83\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x35"],
        ["\x4C\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x9E"],

        ["\xF3\xB1\x83\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x36"],
        ["\x4C\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\x9F"],

        ["\xF3\xB1\x83\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x37"],
        ["\x4C\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xA0"],

        ["\xF3\xB1\x83\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x38"],
        ["\x4C\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xA1"],

        ["\xF3\xB1\x83\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x39"],
        ["\x4C\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xA2"],

        ["\xF3\xB1\x83\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x3A"],
        ["\x4C\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xA3"],

        ["\xF3\xB1\x83\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x3B"],
        ["\x4C\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xA4"],

        ["\xF3\xB1\x83\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x3C"],
        ["\x4C\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xA5"],

        ["\xF3\xB1\x83\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x3D"],
        ["\x4C\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xA6"],

        ["\xF3\xB1\x83\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x3E"],
        ["\x4C\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xA7"],

        ["\xF3\xB1\x83\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x3F"],
        ["\x4C\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xA8"],

        ["\xF3\xB1\x83\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x40"],
        ["\x4C\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xA9"],

        ["\xF3\xB1\x83\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x41"],
        ["\x4C\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xAA"],

        ["\xF3\xB1\x83\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x42"],
        ["\x4C\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xAB"],

        ["\xF3\xB1\x83\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x43"],
        ["\x4C\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xAC"],

        ["\xF3\xB1\x83\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x44"],
        ["\x4C\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xAD"],

        ["\xF3\xB1\x83\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x45"],
        ["\x4C\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xAE"],

        ["\xF3\xB1\x83\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x46"],
        ["\x4C\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xAF"],

        ["\xF3\xB1\x83\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x47"],
        ["\x4C\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xB0"],

        ["\xF3\xB1\x83\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x48"],
        ["\x4C\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xB1"],

        ["\xF3\xB1\x83\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x49"],
        ["\x4C\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xB2"],

        ["\xF3\xB1\x83\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x4A"],
        ["\x4C\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xB3"],

        ["\xF3\xB1\x83\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x4B"],
        ["\x4C\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xB4"],

        ["\xF3\xB1\x83\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x4C"],
        ["\x4C\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xB5"],

        ["\xF3\xB1\x83\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x4D"],
        ["\x4C\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xB6"],

        ["\xF3\xB1\x83\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x4E"],
        ["\x4C\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xB7"],

        ["\xF3\xB1\x83\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x4F"],
        ["\x4C\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xB8"],

        ["\xF3\xB1\x83\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x50"],
        ["\x4C\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xB9"],

        ["\xF3\xB1\x83\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x51"],
        ["\x4C\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xBA"],

        ["\xF3\xB1\x83\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x52"],
        ["\x4C\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xBB"],

        ["\xF3\xB1\x83\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x53"],
        ["\x4C\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xBC"],

        ["\xF3\xB1\x83\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x54"],
        ["\x4C\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xBD"],

        ["\xF3\xB1\x83\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x55"],
        ["\x4C\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xBE"],

        ["\xF3\xB1\x83\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x56"],
        ["\x4C\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x83\xBF"],

        ["\xF3\xB1\x84\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x57"],
        ["\x4C\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x80"],

        ["\xF3\xB1\x84\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x58"],
        ["\x4C\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x81"],

        ["\xF3\xB1\x84\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x59"],
        ["\x4C\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x82"],

        ["\xF3\xB1\x84\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x5A"],
        ["\x4C\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x83"],

        ["\xF3\xB1\x84\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x5B"],
        ["\x4C\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x84"],

        ["\xF3\xB1\x84\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x5C"],
        ["\x4C\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x85"],

        ["\xF3\xB1\x84\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x5D"],
        ["\x4C\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x86"],

        ["\xF3\xB1\x84\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x5E"],
        ["\x4C\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x87"],

        ["\xF3\xB1\x84\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x5F"],
        ["\x4C\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x88"],

        ["\xF3\xB1\x84\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x60"],
        ["\x4C\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x89"],

        ["\xF3\xB1\x84\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x61"],
        ["\x4C\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x8A"],

        ["\xF3\xB1\x84\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x62"],
        ["\x4C\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x8B"],

        ["\xF3\xB1\x84\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x63"],
        ["\x4C\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x8C"],

        ["\xF3\xB1\x84\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x64"],
        ["\x4C\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x8D"],

        ["\xF3\xB1\x84\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x65"],
        ["\x4C\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x8E"],

        ["\xF3\xB1\x84\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x66"],
        ["\x4C\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x8F"],

        ["\xF3\xB1\x84\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x67"],
        ["\x4C\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x90"],

        ["\xF3\xB1\x84\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x68"],
        ["\x4C\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x91"],

        ["\xF3\xB1\x84\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x69"],
        ["\x4C\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x92"],

        ["\xF3\xB1\x84\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x6A"],
        ["\x4C\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x93"],

        ["\xF3\xB1\x84\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x6B"],
        ["\x4C\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x94"],

        ["\xF3\xB1\x84\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x6C"],
        ["\x4C\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x95"],

        ["\xF3\xB1\x84\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x6D"],
        ["\x4C\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x96"],

        ["\xF3\xB1\x84\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x6E"],
        ["\x4C\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x97"],

        ["\xF3\xB1\x84\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x6F"],
        ["\x4C\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x98"],

        ["\xF3\xB1\x84\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x70"],
        ["\x4C\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x99"],

        ["\xF3\xB1\x84\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x71"],
        ["\x4C\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x9A"],

        ["\xF3\xB1\x84\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x72"],
        ["\x4C\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x9B"],

        ["\xF3\xB1\x84\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x73"],
        ["\x4C\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x9C"],

        ["\xF3\xB1\x84\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x74"],
        ["\x4C\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x9D"],

        ["\xF3\xB1\x84\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x75"],
        ["\x4C\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x9E"],

        ["\xF3\xB1\x84\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x76"],
        ["\x4C\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\x9F"],

        ["\xF3\xB1\x84\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x77"],
        ["\x4C\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xA0"],

        ["\xF3\xB1\x84\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x78"],
        ["\x4C\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xA1"],

        ["\xF3\xB1\x84\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x2E"],
        ["\x69\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xA2"],

        ["\xF3\xB1\x84\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x7A"],
        ["\x4C\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xA3"],

        ["\xF3\xB1\x84\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x7B"],
        ["\x4C\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xA4"],

        ["\xF3\xB1\x84\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x7C"],
        ["\x4C\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xA5"],

        ["\xF3\xB1\x84\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x7D"],
        ["\x4C\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xA6"],

        ["\xF3\xB1\x84\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x7E"],
        ["\x4C\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xA7"],

        ["\xF3\xB1\x84\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x21"],
        ["\x4D\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xA8"],

        ["\xF3\xB1\x84\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x22"],
        ["\x4D\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xA9"],

        ["\xF3\xB1\x84\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x23"],
        ["\x4D\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xAA"],

        ["\xF3\xB1\x84\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x24"],
        ["\x4D\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xAB"],

        ["\xF3\xB1\x84\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x25"],
        ["\x4D\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xAC"],

        ["\xF3\xB1\x84\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x26"],
        ["\x4D\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xAD"],

        ["\xF3\xB1\x84\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x27"],
        ["\x4D\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xAE"],

        ["\xF3\xB1\x84\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x28"],
        ["\x4D\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xAF"],

        ["\xF3\xB1\x84\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x29"],
        ["\x4D\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xB0"],

        ["\xF3\xB1\x84\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x2A"],
        ["\x4D\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xB1"],

        ["\xF3\xB1\x84\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x2B"],
        ["\x4D\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xB2"],

        ["\xF3\xB1\x84\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x2C"],
        ["\x4D\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xB3"],

        ["\xF3\xB1\x84\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x2D"],
        ["\x4D\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xB4"],

        ["\xF3\xB1\x84\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x2E"],
        ["\x4D\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xB5"],

        ["\xF3\xB1\x84\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x2F"],
        ["\x4D\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xB6"],

        ["\xF3\xB1\x84\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x30"],
        ["\x4D\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xB7"],

        ["\xF3\xB1\x84\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x31"],
        ["\x4D\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xB8"],

        ["\xF3\xB1\x84\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x32"],
        ["\x4D\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xB9"],

        ["\xF3\xB1\x84\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x33"],
        ["\x4D\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xBA"],

        ["\xF3\xB1\x84\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x34"],
        ["\x4D\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xBB"],

        ["\xF3\xB1\x84\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x35"],
        ["\x4D\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xBC"],

        ["\xF3\xB1\x84\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x36"],
        ["\x4D\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xBD"],

        ["\xF3\xB1\x84\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x37"],
        ["\x4D\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xBE"],

        ["\xF3\xB1\x84\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x38"],
        ["\x4D\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x84\xBF"],

        ["\xF3\xB1\x85\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x39"],
        ["\x4D\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x80"],

        ["\xF3\xB1\x85\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x3A"],
        ["\x4D\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x81"],

        ["\xF3\xB1\x85\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x3B"],
        ["\x4D\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x82"],

        ["\xF3\xB1\x85\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x3C"],
        ["\x4D\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x83"],

        ["\xF3\xB1\x85\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x3D"],
        ["\x4D\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x84"],

        ["\xF3\xB1\x85\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x3E"],
        ["\x4D\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x85"],

        ["\xF3\xB1\x85\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x3F"],
        ["\x4D\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x86"],

        ["\xF3\xB1\x85\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x40"],
        ["\x4D\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x87"],

        ["\xF3\xB1\x85\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x41"],
        ["\x4D\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x88"],

        ["\xF3\xB1\x85\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x42"],
        ["\x4D\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x89"],

        ["\xF3\xB1\x85\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x43"],
        ["\x4D\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x8A"],

        ["\xF3\xB1\x85\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x44"],
        ["\x4D\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x8B"],

        ["\xF3\xB1\x85\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x45"],
        ["\x4D\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x8C"],

        ["\xF3\xB1\x85\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x46"],
        ["\x4D\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x8D"],

        ["\xF3\xB1\x85\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x47"],
        ["\x4D\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x8E"],

        ["\xF3\xB1\x85\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x48"],
        ["\x4D\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x8F"],

        ["\xF3\xB1\x85\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x49"],
        ["\x4D\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x90"],

        ["\xF3\xB1\x85\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x4A"],
        ["\x4D\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x91"],

        ["\xF3\xB1\x85\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x4B"],
        ["\x4D\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x92"],

        ["\xF3\xB1\x85\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x4C"],
        ["\x4D\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x93"],

        ["\xF3\xB1\x85\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x4D"],
        ["\x4D\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x94"],

        ["\xF3\xB1\x85\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x4E"],
        ["\x4D\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x95"],

        ["\xF3\xB1\x85\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x4F"],
        ["\x4D\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x96"],

        ["\xF3\xB1\x85\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x50"],
        ["\x4D\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x97"],

        ["\xF3\xB1\x85\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x51"],
        ["\x4D\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x98"],

        ["\xF3\xB1\x85\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x52"],
        ["\x4D\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x99"],

        ["\xF3\xB1\x85\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x53"],
        ["\x4D\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x9A"],

        ["\xF3\xB1\x85\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x54"],
        ["\x4D\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x9B"],

        ["\xF3\xB1\x85\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x55"],
        ["\x4D\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x9C"],

        ["\xF3\xB1\x85\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x56"],
        ["\x4D\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x9D"],

        ["\xF3\xB1\x85\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x57"],
        ["\x4D\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x9E"],

        ["\xF3\xB1\x85\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x58"],
        ["\x4D\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\x9F"],

        ["\xF3\xB1\x85\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x59"],
        ["\x4D\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xA0"],

        ["\xF3\xB1\x85\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xC4"],
        ["\xD0\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xA1"],

        ["\xF3\xB1\x85\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x5B"],
        ["\x4D\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xA2"],

        ["\xF3\xB1\x85\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x5C"],
        ["\x4D\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xA3"],

        ["\xF3\xB1\x85\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x5D"],
        ["\x4D\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xA4"],

        ["\xF3\xB1\x85\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x5E"],
        ["\x4D\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xA5"],

        ["\xF3\xB1\x85\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x5F"],
        ["\x4D\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xA6"],

        ["\xF3\xB1\x85\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x60"],
        ["\x4D\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xA7"],

        ["\xF3\xB1\x85\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x61"],
        ["\x4D\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xA8"],

        ["\xF3\xB1\x85\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x62"],
        ["\x4D\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xA9"],

        ["\xF3\xB1\x85\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x63"],
        ["\x4D\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xAA"],

        ["\xF3\xB1\x85\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x64"],
        ["\x4D\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xAB"],

        ["\xF3\xB1\x85\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x65"],
        ["\x4D\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xAC"],

        ["\xF3\xB1\x85\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x66"],
        ["\x4D\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xAD"],

        ["\xF3\xB1\x85\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x67"],
        ["\x4D\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xAE"],

        ["\xF3\xB1\x85\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x68"],
        ["\x4D\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xAF"],

        ["\xF3\xB1\x85\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x69"],
        ["\x4D\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xB0"],

        ["\xF3\xB1\x85\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x6A"],
        ["\x4D\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xB1"],

        ["\xF3\xB1\x85\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x6B"],
        ["\x4D\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xB2"],

        ["\xF3\xB1\x85\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x6C"],
        ["\x4D\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xB3"],

        ["\xF3\xB1\x85\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x6D"],
        ["\x4D\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xB4"],

        ["\xF3\xB1\x85\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x6E"],
        ["\x4D\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xB5"],

        ["\xF3\xB1\x85\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x6F"],
        ["\x4D\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xB6"],

        ["\xF3\xB1\x85\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x70"],
        ["\x4D\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xB7"],

        ["\xF3\xB1\x85\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x71"],
        ["\x4D\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xB8"],

        ["\xF3\xB1\x85\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x72"],
        ["\x4D\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xB9"],

        ["\xF3\xB1\x85\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x73"],
        ["\x4D\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xBA"],

        ["\xF3\xB1\x85\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x74"],
        ["\x4D\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xBB"],

        ["\xF3\xB1\x85\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x75"],
        ["\x4D\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xBC"],

        ["\xF3\xB1\x85\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x76"],
        ["\x4D\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xBD"],

        ["\xF3\xB1\x85\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x77"],
        ["\x4D\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xBE"],

        ["\xF3\xB1\x85\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x78"],
        ["\x4D\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x85\xBF"],

        ["\xF3\xB1\x86\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x79"],
        ["\x4D\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x80"],

        ["\xF3\xB1\x86\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x7A"],
        ["\x4D\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x81"],

        ["\xF3\xB1\x86\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x7B"],
        ["\x4D\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x82"],

        ["\xF3\xB1\x86\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x7C"],
        ["\x4D\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x83"],

        ["\xF3\xB1\x86\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x7D"],
        ["\x4D\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x84"],

        ["\xF3\xB1\x86\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x7E"],
        ["\x4D\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x85"],

        ["\xF3\xB1\x86\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x21"],
        ["\x4E\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x86"],

        ["\xF3\xB1\x86\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x22"],
        ["\x4E\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x87"],

        ["\xF3\xB1\x86\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x23"],
        ["\x4E\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x88"],

        ["\xF3\xB1\x86\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x24"],
        ["\x4E\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x89"],

        ["\xF3\xB1\x86\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x25"],
        ["\x4E\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x8A"],

        ["\xF3\xB1\x86\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x26"],
        ["\x4E\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x8B"],

        ["\xF3\xB1\x86\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x27"],
        ["\x4E\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x8C"],

        ["\xF3\xB1\x86\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x28"],
        ["\x4E\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x8D"],

        ["\xF3\xB1\x86\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x29"],
        ["\x4E\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x8E"],

        ["\xF3\xB1\x86\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x2A"],
        ["\x4E\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x8F"],

        ["\xF3\xB1\x86\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x2B"],
        ["\x4E\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x90"],

        ["\xF3\xB1\x86\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x2C"],
        ["\x4E\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x91"],

        ["\xF3\xB1\x86\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x2D"],
        ["\x4E\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x92"],

        ["\xF3\xB1\x86\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x2E"],
        ["\x4E\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x93"],

        ["\xF3\xB1\x86\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x2F"],
        ["\x4E\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x94"],

        ["\xF3\xB1\x86\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x30"],
        ["\x4E\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x95"],

        ["\xF3\xB1\x86\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x31"],
        ["\x4E\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x96"],

        ["\xF3\xB1\x86\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x32"],
        ["\x4E\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x97"],

        ["\xF3\xB1\x86\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x33"],
        ["\x4E\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x98"],

        ["\xF3\xB1\x86\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x34"],
        ["\x4E\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x99"],

        ["\xF3\xB1\x86\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x35"],
        ["\x4E\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x9A"],

        ["\xF3\xB1\x86\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x36"],
        ["\x4E\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x9B"],

        ["\xF3\xB1\x86\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x37"],
        ["\x4E\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x9C"],

        ["\xF3\xB1\x86\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x38"],
        ["\x4E\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x9D"],

        ["\xF3\xB1\x86\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x39"],
        ["\x4E\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x9E"],

        ["\xF3\xB1\x86\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x3A"],
        ["\x4E\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\x9F"],

        ["\xF3\xB1\x86\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x3B"],
        ["\x4E\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xA0"],

        ["\xF3\xB1\x86\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x3C"],
        ["\x4E\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xA1"],

        ["\xF3\xB1\x86\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x3D"],
        ["\x4E\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xA2"],

        ["\xF3\xB1\x86\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x3E"],
        ["\x4E\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xA3"],

        ["\xF3\xB1\x86\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x3F"],
        ["\x4E\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xA4"],

        ["\xF3\xB1\x86\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x40"],
        ["\x4E\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xA5"],

        ["\xF3\xB1\x86\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x41"],
        ["\x4E\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xA6"],

        ["\xF3\xB1\x86\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x42"],
        ["\x4E\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xA7"],

        ["\xF3\xB1\x86\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x43"],
        ["\x4E\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xA8"],

        ["\xF3\xB1\x86\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x44"],
        ["\x4E\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xA9"],

        ["\xF3\xB1\x86\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x45"],
        ["\x4E\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xAA"],

        ["\xF3\xB1\x86\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x46"],
        ["\x4E\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xAB"],

        ["\xF3\xB1\x86\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x47"],
        ["\x4E\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xAC"],

        ["\xF3\xB1\x86\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x48"],
        ["\x4E\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xAD"],

        ["\xF3\xB1\x86\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x49"],
        ["\x4E\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xAE"],

        ["\xF3\xB1\x86\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x4A"],
        ["\x4E\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xAF"],

        ["\xF3\xB1\x86\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x4B"],
        ["\x4E\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xB0"],

        ["\xF3\xB1\x86\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x4C"],
        ["\x4E\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xB1"],

        ["\xF3\xB1\x86\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x4D"],
        ["\x4E\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xB2"],

        ["\xF3\xB1\x86\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x4E"],
        ["\x4E\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xB3"],

        ["\xF3\xB1\x86\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x4F"],
        ["\x4E\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xB4"],

        ["\xF3\xB1\x86\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x50"],
        ["\x4E\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xB5"],

        ["\xF3\xB1\x86\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x51"],
        ["\x4E\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xB6"],

        ["\xF3\xB1\x86\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x52"],
        ["\x4E\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xB7"],

        ["\xF3\xB1\x86\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x53"],
        ["\x4E\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xB8"],

        ["\xF3\xB1\x86\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x54"],
        ["\x4E\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xB9"],

        ["\xF3\xB1\x86\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x55"],
        ["\x4E\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xBA"],

        ["\xF3\xB1\x86\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x56"],
        ["\x4E\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xBB"],

        ["\xF3\xB1\x86\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x57"],
        ["\x4E\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xBC"],

        ["\xF3\xB1\x86\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x58"],
        ["\x4E\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xBD"],

        ["\xF3\xB1\x86\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x59"],
        ["\x4E\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xBE"],

        ["\xF3\xB1\x86\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x5A"],
        ["\x4E\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x86\xBF"],

        ["\xF3\xB1\x87\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x5B"],
        ["\x4E\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x80"],

        ["\xF3\xB1\x87\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x5C"],
        ["\x4E\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x81"],

        ["\xF3\xB1\x87\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x5D"],
        ["\x4E\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x82"],

        ["\xF3\xB1\x87\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x5E"],
        ["\x4E\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x83"],

        ["\xF3\xB1\x87\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x5F"],
        ["\x4E\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x84"],

        ["\xF3\xB1\x87\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x60"],
        ["\x4E\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x85"],

        ["\xF3\xB1\x87\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x61"],
        ["\x4E\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x86"],

        ["\xF3\xB1\x87\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x62"],
        ["\x4E\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x87"],

        ["\xF3\xB1\x87\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x63"],
        ["\x4E\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x88"],

        ["\xF3\xB1\x87\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x64"],
        ["\x4E\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x89"],

        ["\xF3\xB1\x87\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x65"],
        ["\x4E\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x8A"],

        ["\xF3\xB1\x87\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x66"],
        ["\x4E\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x8B"],

        ["\xF3\xB1\x87\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x67"],
        ["\x4E\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x8C"],

        ["\xF3\xB1\x87\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x68"],
        ["\x4E\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x8D"],

        ["\xF3\xB1\x87\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x69"],
        ["\x4E\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x8E"],

        ["\xF3\xB1\x87\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x6A"],
        ["\x4E\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x8F"],

        ["\xF3\xB1\x87\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x6B"],
        ["\x4E\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x90"],

        ["\xF3\xB1\x87\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x6C"],
        ["\x4E\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x91"],

        ["\xF3\xB1\x87\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x6D"],
        ["\x4E\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x92"],

        ["\xF3\xB1\x87\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x6E"],
        ["\x4E\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x93"],

        ["\xF3\xB1\x87\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x6F"],
        ["\x4E\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x94"],

        ["\xF3\xB1\x87\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x70"],
        ["\x4E\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x95"],

        ["\xF3\xB1\x87\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x71"],
        ["\x4E\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x96"],

        ["\xF3\xB1\x87\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x72"],
        ["\x4E\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x97"],

        ["\xF3\xB1\x87\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x73"],
        ["\x4E\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x98"],

        ["\xF3\xB1\x87\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x74"],
        ["\x4E\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x99"],

        ["\xF3\xB1\x87\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x75"],
        ["\x4E\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x9A"],

        ["\xF3\xB1\x87\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x76"],
        ["\x4E\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x9B"],

        ["\xF3\xB1\x87\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x77"],
        ["\x4E\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x9C"],

        ["\xF3\xB1\x87\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x78"],
        ["\x4E\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x9D"],

        ["\xF3\xB1\x87\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x79"],
        ["\x4E\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x9E"],

        ["\xF3\xB1\x87\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x7A"],
        ["\x4E\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\x9F"],

        ["\xF3\xB1\x87\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x7B"],
        ["\x4E\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xA0"],

        ["\xF3\xB1\x87\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x7C"],
        ["\x4E\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xA1"],

        ["\xF3\xB1\x87\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x7D"],
        ["\x4E\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xA2"],

        ["\xF3\xB1\x87\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4E\x7E"],
        ["\x4E\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xA3"],

        ["\xF3\xB1\x87\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x21"],
        ["\x4F\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xA4"],

        ["\xF3\xB1\x87\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x22"],
        ["\x4F\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xA5"],

        ["\xF3\xB1\x87\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x23"],
        ["\x4F\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xA6"],

        ["\xF3\xB1\x87\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x24"],
        ["\x4F\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xA7"],

        ["\xF3\xB1\x87\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x25"],
        ["\x4F\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xA8"],

        ["\xF3\xB1\x87\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x26"],
        ["\x4F\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xA9"],

        ["\xF3\xB1\x87\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x27"],
        ["\x4F\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xAA"],

        ["\xF3\xB1\x87\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x28"],
        ["\x4F\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xAB"],

        ["\xF3\xB1\x87\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x29"],
        ["\x4F\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xAC"],

        ["\xF3\xB1\x87\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x2A"],
        ["\x4F\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xAD"],

        ["\xF3\xB1\x87\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x2B"],
        ["\x4F\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xAE"],

        ["\xF3\xB1\x87\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x2C"],
        ["\x4F\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xAF"],

        ["\xF3\xB1\x87\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x2D"],
        ["\x4F\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xB0"],

        ["\xF3\xB1\x87\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x2E"],
        ["\x4F\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xB1"],

        ["\xF3\xB1\x87\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x2F"],
        ["\x4F\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xB2"],

        ["\xF3\xB1\x87\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x30"],
        ["\x4F\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xB3"],

        ["\xF3\xB1\x87\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x31"],
        ["\x4F\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xB4"],

        ["\xF3\xB1\x87\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x32"],
        ["\x4F\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xB5"],

        ["\xF3\xB1\x87\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x33"],
        ["\x4F\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xB6"],

        ["\xF3\xB1\x87\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x34"],
        ["\x4F\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xB7"],

        ["\xF3\xB1\x87\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x35"],
        ["\x4F\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xB8"],

        ["\xF3\xB1\x87\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x46"],
        ["\x64\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xB9"],

        ["\xF3\xB1\x87\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x37"],
        ["\x4F\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xBA"],

        ["\xF3\xB1\x87\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x38"],
        ["\x4F\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xBB"],

        ["\xF3\xB1\x87\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x39"],
        ["\x4F\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xBC"],

        ["\xF3\xB1\x87\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x3A"],
        ["\x4F\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xBD"],

        ["\xF3\xB1\x87\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x3B"],
        ["\x4F\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xBE"],

        ["\xF3\xB1\x87\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x3C"],
        ["\x4F\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x87\xBF"],

        ["\xF3\xB1\x88\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x3D"],
        ["\x4F\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x88\x80"],

        ["\xF3\xB1\x88\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x3E"],
        ["\x4F\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x88\x81"],

        ["\xF3\xB1\x88\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x3F"],
        ["\x4F\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x88\x82"],

        ["\xF3\xB1\x88\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x40"],
        ["\x4F\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x88\x83"],

        ["\xF3\xB1\x88\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x41"],
        ["\x4F\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x88\x84"],

        ["\xF3\xB1\x88\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x42"],
        ["\x4F\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x88\x85"],

        ["\xF3\xB1\x88\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x43"],
        ["\x4F\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x88\x86"],

        ["\xF3\xB1\x88\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x44"],
        ["\x4F\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x88\x87"],

        ["\xF3\xB1\x88\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x45"],
        ["\x4F\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x88\x88"],

        ["\xF3\xB1\x88\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x46"],
        ["\x4F\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x88\x89"],

        ["\xF3\xB1\x88\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x47"],
        ["\x4F\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x88\x8A"],

        ["\xF3\xB1\x88\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x48"],
        ["\x4F\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x88\x8B"],

        ["\xF3\xB1\x88\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x49"],
        ["\x4F\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x88\x8C"],

        ["\xF3\xB1\x88\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x4A"],
        ["\x4F\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x88\x8D"],

        ["\xF3\xB1\x88\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x4B"],
        ["\x4F\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x88\x8E"],

        ["\xF3\xB1\x88\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x4C"],
        ["\x4F\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x88\x8F"],

        ["\xF3\xB1\x88\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x4D"],
        ["\x4F\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x88\x90"],

        ["\xF3\xB1\x88\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x4E"],
        ["\x4F\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x88\x91"],

        ["\xF3\xB1\x88\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x4F"],
        ["\x4F\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x88\x92"],

        ["\xF3\xB1\x88\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x50"],
        ["\x4F\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x88\x93"],

        ["\xF3\xB1\x88\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x51"],
        ["\x4F\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x88\x94"],

        ["\xF3\xB1\x88\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x52"],
        ["\x4F\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x88\x95"],

        ["\xF3\xB1\x88\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x53"],
        ["\x4F\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x88\x96"],

        ["\xF3\xB1\x89\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x21"],
        ["\x50\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x82"],

        ["\xF3\xB1\x89\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x22"],
        ["\x50\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x83"],

        ["\xF3\xB1\x89\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x23"],
        ["\x50\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x84"],

        ["\xF3\xB1\x89\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x24"],
        ["\x50\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x85"],

        ["\xF3\xB1\x89\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x25"],
        ["\x50\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x86"],

        ["\xF3\xB1\x89\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x26"],
        ["\x50\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x87"],

        ["\xF3\xB1\x89\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x27"],
        ["\x50\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x88"],

        ["\xF3\xB1\x89\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x28"],
        ["\x50\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x89"],

        ["\xF3\xB1\x89\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x29"],
        ["\x50\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x8A"],

        ["\xF3\xB1\x89\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x2A"],
        ["\x50\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x8B"],

        ["\xF3\xB1\x89\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x2B"],
        ["\x50\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x8C"],

        ["\xF3\xB1\x89\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x2C"],
        ["\x50\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x8D"],

        ["\xF3\xB1\x89\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x2D"],
        ["\x50\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x8E"],

        ["\xF3\xB1\x89\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x2E"],
        ["\x50\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x8F"],

        ["\xF3\xB1\x89\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x2F"],
        ["\x50\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x90"],

        ["\xF3\xB1\x89\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x30"],
        ["\x50\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x91"],

        ["\xF3\xB1\x89\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x31"],
        ["\x50\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x92"],

        ["\xF3\xB1\x89\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x32"],
        ["\x50\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x93"],

        ["\xF3\xB1\x89\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x33"],
        ["\x50\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x94"],

        ["\xF3\xB1\x89\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x34"],
        ["\x50\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x95"],

        ["\xF3\xB1\x89\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x35"],
        ["\x50\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x96"],

        ["\xF3\xB1\x89\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x36"],
        ["\x50\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x97"],

        ["\xF3\xB1\x89\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x37"],
        ["\x50\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x98"],

        ["\xF3\xB1\x89\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x38"],
        ["\x50\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x99"],

        ["\xF3\xB1\x89\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x39"],
        ["\x50\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x9A"],

        ["\xF3\xB1\x89\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x3A"],
        ["\x50\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x9B"],

        ["\xF3\xB1\x89\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x3B"],
        ["\x50\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x9C"],

        ["\xF3\xB1\x89\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x3C"],
        ["\x50\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x9D"],

        ["\xF3\xB1\x89\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x3D"],
        ["\x50\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x9E"],

        ["\xF3\xB1\x89\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x3E"],
        ["\x50\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\x9F"],

        ["\xF3\xB1\x89\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x3F"],
        ["\x50\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xA0"],

        ["\xF3\xB1\x89\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x40"],
        ["\x50\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xA1"],

        ["\xF3\xB1\x89\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x41"],
        ["\x50\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xA2"],

        ["\xF3\xB1\x89\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x42"],
        ["\x50\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xA3"],

        ["\xF3\xB1\x89\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x43"],
        ["\x50\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xA4"],

        ["\xF3\xB1\x89\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x44"],
        ["\x50\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xA5"],

        ["\xF3\xB1\x89\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x45"],
        ["\x50\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xA6"],

        ["\xF3\xB1\x89\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x46"],
        ["\x50\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xA7"],

        ["\xF3\xB1\x89\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x47"],
        ["\x50\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xA8"],

        ["\xF3\xB1\x89\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x48"],
        ["\x50\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xA9"],

        ["\xF3\xB1\x89\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x49"],
        ["\x50\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xAA"],

        ["\xF3\xB1\x89\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x4A"],
        ["\x50\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xAB"],

        ["\xF3\xB1\x89\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x4B"],
        ["\x50\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xAC"],

        ["\xF3\xB1\x89\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x4C"],
        ["\x50\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xAD"],

        ["\xF3\xB1\x89\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x4D"],
        ["\x50\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xAE"],

        ["\xF3\xB1\x89\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x4E"],
        ["\x50\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xAF"],

        ["\xF3\xB1\x89\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x4F"],
        ["\x50\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xB0"],

        ["\xF3\xB1\x89\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x50"],
        ["\x50\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xB1"],

        ["\xF3\xB1\x89\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x51"],
        ["\x50\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xB2"],

        ["\xF3\xB1\x89\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x52"],
        ["\x50\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xB3"],

        ["\xF3\xB1\x89\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x53"],
        ["\x50\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xB4"],

        ["\xF3\xB1\x89\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x54"],
        ["\x50\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xB5"],

        ["\xF3\xB1\x89\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x55"],
        ["\x50\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xB6"],

        ["\xF3\xB1\x89\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x79"],
        ["\x4B\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xB7"],

        ["\xF3\xB1\x89\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x57"],
        ["\x50\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xB8"],

        ["\xF3\xB1\x89\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x58"],
        ["\x50\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xB9"],

        ["\xF3\xB1\x89\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x59"],
        ["\x50\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xBA"],

        ["\xF3\xB1\x89\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x5A"],
        ["\x50\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xBB"],

        ["\xF3\xB1\x89\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x5B"],
        ["\x50\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xBC"],

        ["\xF3\xB1\x89\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x5C"],
        ["\x50\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xBD"],

        ["\xF3\xB1\x89\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x5D"],
        ["\x50\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xBE"],

        ["\xF3\xB1\x89\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x5E"],
        ["\x50\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x89\xBF"],

        ["\xF3\xB1\x8A\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x5F"],
        ["\x50\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x80"],

        ["\xF3\xB1\x8A\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x60"],
        ["\x50\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x81"],

        ["\xF3\xB1\x8A\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x61"],
        ["\x50\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x82"],

        ["\xF3\xB1\x8A\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x62"],
        ["\x50\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x83"],

        ["\xF3\xB1\x8A\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x63"],
        ["\x50\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x84"],

        ["\xF3\xB1\x8A\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x64"],
        ["\x50\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x85"],

        ["\xF3\xB1\x8A\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x65"],
        ["\x50\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x86"],

        ["\xF3\xB1\x8A\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x66"],
        ["\x50\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x87"],

        ["\xF3\xB1\x8A\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x67"],
        ["\x50\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x88"],

        ["\xF3\xB1\x8A\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x68"],
        ["\x50\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x89"],

        ["\xF3\xB1\x8A\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x69"],
        ["\x50\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x8A"],

        ["\xF3\xB1\x8A\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x6A"],
        ["\x50\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x8B"],

        ["\xF3\xB1\x8A\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x6B"],
        ["\x50\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x8C"],

        ["\xF3\xB1\x8A\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x6C"],
        ["\x50\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x8D"],

        ["\xF3\xB1\x8A\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x6D"],
        ["\x50\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x8E"],

        ["\xF3\xB1\x8A\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x6E"],
        ["\x50\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x8F"],

        ["\xF3\xB1\x8A\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x6F"],
        ["\x50\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x90"],

        ["\xF3\xB1\x8A\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x70"],
        ["\x50\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x91"],

        ["\xF3\xB1\x8A\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x71"],
        ["\x50\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x92"],

        ["\xF3\xB1\x8A\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x72"],
        ["\x50\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x93"],

        ["\xF3\xB1\x8A\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x73"],
        ["\x50\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x94"],

        ["\xF3\xB1\x8A\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x74"],
        ["\x50\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x95"],

        ["\xF3\xB1\x8A\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x75"],
        ["\x50\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x96"],

        ["\xF3\xB1\x8A\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x76"],
        ["\x50\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x97"],

        ["\xF3\xB1\x8A\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x77"],
        ["\x50\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x98"],

        ["\xF3\xB1\x8A\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x78"],
        ["\x50\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x99"],

        ["\xF3\xB1\x8A\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x79"],
        ["\x50\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x9A"],

        ["\xF3\xB1\x8A\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x7A"],
        ["\x50\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x9B"],

        ["\xF3\xB1\x8A\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x7B"],
        ["\x50\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x9C"],

        ["\xF3\xB1\x8A\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x7C"],
        ["\x50\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x9D"],

        ["\xF3\xB1\x8A\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x7D"],
        ["\x50\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x9E"],

        ["\xF3\xB1\x8A\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x50\x7E"],
        ["\x50\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\x9F"],

        ["\xF3\xB1\x8A\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x21"],
        ["\x51\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xA0"],

        ["\xF3\xB1\x8A\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x22"],
        ["\x51\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xA1"],

        ["\xF3\xB1\x8A\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x23"],
        ["\x51\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xA2"],

        ["\xF3\xB1\x8A\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x24"],
        ["\x51\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xA3"],

        ["\xF3\xB1\x8A\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x25"],
        ["\x51\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xA4"],

        ["\xF3\xB1\x8A\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x26"],
        ["\x51\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xA5"],

        ["\xF3\xB1\x8A\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x27"],
        ["\x51\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xA6"],

        ["\xF3\xB1\x8A\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x28"],
        ["\x51\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xA7"],

        ["\xF3\xB1\x8A\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x29"],
        ["\x51\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xA8"],

        ["\xF3\xB1\x8A\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x2A"],
        ["\x51\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xA9"],

        ["\xF3\xB1\x8A\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x2B"],
        ["\x51\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xAA"],

        ["\xF3\xB1\x8A\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x2C"],
        ["\x51\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xAB"],

        ["\xF3\xB1\x8A\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x2D"],
        ["\x51\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xAC"],

        ["\xF3\xB1\x8A\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x2E"],
        ["\x51\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xAD"],

        ["\xF3\xB1\x8A\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x2F"],
        ["\x51\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xAE"],

        ["\xF3\xB1\x8A\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x30"],
        ["\x51\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xAF"],

        ["\xF3\xB1\x8A\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x31"],
        ["\x51\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xB0"],

        ["\xF3\xB1\x8A\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x32"],
        ["\x51\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xB1"],

        ["\xF3\xB1\x8A\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x33"],
        ["\x51\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xB2"],

        ["\xF3\xB1\x8A\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x34"],
        ["\x51\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xB3"],

        ["\xF3\xB1\x8A\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x35"],
        ["\x51\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xB4"],

        ["\xF3\xB1\x8A\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x36"],
        ["\x51\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xB5"],

        ["\xF3\xB1\x8A\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x37"],
        ["\x51\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xB6"],

        ["\xF3\xB1\x8A\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x38"],
        ["\x51\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xB7"],

        ["\xF3\xB1\x8A\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x39"],
        ["\x51\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xB8"],

        ["\xF3\xB1\x8A\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x3A"],
        ["\x51\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xB9"],

        ["\xF3\xB1\x8A\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x3B"],
        ["\x51\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xBA"],

        ["\xF3\xB1\x8A\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x3C"],
        ["\x51\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xBB"],

        ["\xF3\xB1\x8A\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x3D"],
        ["\x51\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xBC"],

        ["\xF3\xB1\x8A\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x3E"],
        ["\x51\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xBD"],

        ["\xF3\xB1\x8A\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x3F"],
        ["\x51\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xBE"],

        ["\xF3\xB1\x8A\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x40"],
        ["\x51\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8A\xBF"],

        ["\xF3\xB1\x8B\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x41"],
        ["\x51\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x80"],

        ["\xF3\xB1\x8B\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x42"],
        ["\x51\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x81"],

        ["\xF3\xB1\x8B\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x43"],
        ["\x51\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x82"],

        ["\xF3\xB1\x8B\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x44"],
        ["\x51\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x83"],

        ["\xF3\xB1\x8B\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x45"],
        ["\x51\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x84"],

        ["\xF3\xB1\x8B\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x46"],
        ["\x51\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x85"],

        ["\xF3\xB1\x8B\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x47"],
        ["\x51\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x86"],

        ["\xF3\xB1\x8B\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x48"],
        ["\x51\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x87"],

        ["\xF3\xB1\x8B\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x49"],
        ["\x51\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x88"],

        ["\xF3\xB1\x8B\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x4A"],
        ["\x51\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x89"],

        ["\xF3\xB1\x8B\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x4B"],
        ["\x51\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x8A"],

        ["\xF3\xB1\x8B\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x4C"],
        ["\x51\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x8B"],

        ["\xF3\xB1\x8B\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x4D"],
        ["\x51\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x8C"],

        ["\xF3\xB1\x8B\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x4E"],
        ["\x51\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x8D"],

        ["\xF3\xB1\x8B\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x4F"],
        ["\x51\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x8E"],

        ["\xF3\xB1\x8B\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x50"],
        ["\x51\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x8F"],

        ["\xF3\xB1\x8B\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x51"],
        ["\x51\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x90"],

        ["\xF3\xB1\x8B\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x52"],
        ["\x51\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x91"],

        ["\xF3\xB1\x8B\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x53"],
        ["\x51\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x92"],

        ["\xF3\xB1\x8B\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x54"],
        ["\x51\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x93"],

        ["\xF3\xB1\x8B\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x55"],
        ["\x51\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x94"],

        ["\xF3\xB1\x8B\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x56"],
        ["\x51\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x95"],

        ["\xF3\xB1\x8B\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x57"],
        ["\x51\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x96"],

        ["\xF3\xB1\x8B\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x58"],
        ["\x51\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x97"],

        ["\xF3\xB1\x8B\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x59"],
        ["\x51\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x98"],

        ["\xF3\xB1\x8B\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x5A"],
        ["\x51\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x99"],

        ["\xF3\xB1\x8B\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x5B"],
        ["\x51\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x9A"],

        ["\xF3\xB1\x8B\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x5C"],
        ["\x51\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x9B"],

        ["\xF3\xB1\x8B\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x5D"],
        ["\x51\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x9C"],

        ["\xF3\xB1\x8B\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x5E"],
        ["\x51\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x9D"],

        ["\xF3\xB1\x8B\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x5F"],
        ["\x51\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x9E"],

        ["\xF3\xB1\x8B\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x60"],
        ["\x51\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\x9F"],

        ["\xF3\xB1\x8B\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x61"],
        ["\x51\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xA0"],

        ["\xF3\xB1\x8B\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x62"],
        ["\x51\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xA1"],

        ["\xF3\xB1\x8B\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x63"],
        ["\x51\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xA2"],

        ["\xF3\xB1\x8B\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x64"],
        ["\x51\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xA3"],

        ["\xF3\xB1\x8B\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x65"],
        ["\x51\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xA4"],

        ["\xF3\xB1\x8B\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x66"],
        ["\x51\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xA5"],

        ["\xF3\xB1\x8B\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x67"],
        ["\x51\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xA6"],

        ["\xF3\xB1\x8B\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x68"],
        ["\x51\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xA7"],

        ["\xF3\xB1\x8B\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x69"],
        ["\x51\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xA8"],

        ["\xF3\xB1\x8B\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x6A"],
        ["\x51\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xA9"],

        ["\xF3\xB1\x8B\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x6B"],
        ["\x51\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xAA"],

        ["\xF3\xB1\x8B\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x6C"],
        ["\x51\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xAB"],

        ["\xF3\xB1\x8B\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x6D"],
        ["\x51\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xAC"],

        ["\xF3\xB1\x8B\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x6E"],
        ["\x51\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xAD"],

        ["\xF3\xB1\x8B\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x6F"],
        ["\x51\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xAE"],

        ["\xF3\xB1\x8B\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x70"],
        ["\x51\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xAF"],

        ["\xF3\xB1\x8B\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x71"],
        ["\x51\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xB0"],

        ["\xF3\xB1\x8B\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x72"],
        ["\x51\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xB1"],

        ["\xF3\xB1\x8B\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x73"],
        ["\x51\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xB2"],

        ["\xF3\xB1\x8B\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x74"],
        ["\x51\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xB3"],

        ["\xF3\xB1\x8B\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x75"],
        ["\x51\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xB4"],

        ["\xF3\xB1\x8B\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x76"],
        ["\x51\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xB5"],

        ["\xF3\xB1\x8B\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x77"],
        ["\x51\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xB6"],

        ["\xF3\xB1\x8B\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x78"],
        ["\x51\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xB7"],

        ["\xF3\xB1\x8B\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x79"],
        ["\x51\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xB8"],

        ["\xF3\xB1\x8B\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x7A"],
        ["\x51\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xB9"],

        ["\xF3\xB1\x8B\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x7B"],
        ["\x51\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xBA"],

        ["\xF3\xB1\x8B\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x7C"],
        ["\x51\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xBB"],

        ["\xF3\xB1\x8B\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x7D"],
        ["\x51\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xBC"],

        ["\xF3\xB1\x8B\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x51\x7E"],
        ["\x51\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xBD"],

        ["\xF3\xB1\x8B\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x21"],
        ["\x52\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xBE"],

        ["\xF3\xB1\x8B\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x22"],
        ["\x52\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8B\xBF"],

        ["\xF3\xB1\x8C\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x23"],
        ["\x52\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x80"],

        ["\xF3\xB1\x8C\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x24"],
        ["\x52\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x81"],

        ["\xF3\xB1\x8C\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x25"],
        ["\x52\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x82"],

        ["\xF3\xB1\x8C\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x26"],
        ["\x52\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x83"],

        ["\xF3\xB1\x8C\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x27"],
        ["\x52\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x84"],

        ["\xF3\xB1\x8C\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x28"],
        ["\x52\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x85"],

        ["\xF3\xB1\x8C\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x29"],
        ["\x52\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x86"],

        ["\xF3\xB1\x8C\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x2A"],
        ["\x52\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x87"],

        ["\xF3\xB1\x8C\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x2B"],
        ["\x52\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x88"],

        ["\xF3\xB1\x8C\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x2C"],
        ["\x52\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x89"],

        ["\xF3\xB1\x8C\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x2D"],
        ["\x52\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x8A"],

        ["\xF3\xB1\x8C\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x2E"],
        ["\x52\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x8B"],

        ["\xF3\xB1\x8C\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x2F"],
        ["\x52\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x8C"],

        ["\xF3\xB1\x8C\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x30"],
        ["\x52\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x8D"],

        ["\xF3\xB1\x8C\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x31"],
        ["\x52\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x8E"],

        ["\xF3\xB1\x8C\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x32"],
        ["\x52\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x8F"],

        ["\xF3\xB1\x8C\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x33"],
        ["\x52\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x90"],

        ["\xF3\xB1\x8C\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x34"],
        ["\x52\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x91"],

        ["\xF3\xB1\x8C\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x35"],
        ["\x52\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x92"],

        ["\xF3\xB1\x8C\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x36"],
        ["\x52\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x93"],

        ["\xF3\xB1\x8C\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x37"],
        ["\x52\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x94"],

        ["\xF3\xB1\x8C\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x38"],
        ["\x52\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x95"],

        ["\xF3\xB1\x8C\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x39"],
        ["\x52\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x96"],

        ["\xF3\xB1\x8C\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x3A"],
        ["\x52\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x97"],

        ["\xF3\xB1\x8C\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x3B"],
        ["\x52\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x98"],

        ["\xF3\xB1\x8C\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x3C"],
        ["\x52\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x99"],

        ["\xF3\xB1\x8C\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x3D"],
        ["\x52\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x9A"],

        ["\xF3\xB1\x8C\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x3E"],
        ["\x52\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x9B"],

        ["\xF3\xB1\x8C\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x3F"],
        ["\x52\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x9C"],

        ["\xF3\xB1\x8C\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x40"],
        ["\x52\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x9D"],

        ["\xF3\xB1\x8C\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x41"],
        ["\x52\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x9E"],

        ["\xF3\xB1\x8C\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x42"],
        ["\x52\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\x9F"],

        ["\xF3\xB1\x8C\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x43"],
        ["\x52\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xA0"],

        ["\xF3\xB1\x8C\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x44"],
        ["\x52\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xA1"],

        ["\xF3\xB1\x8C\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x45"],
        ["\x52\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xA2"],

        ["\xF3\xB1\x8C\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x46"],
        ["\x52\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xA3"],

        ["\xF3\xB1\x8C\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x47"],
        ["\x52\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xA4"],

        ["\xF3\xB1\x8C\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x48"],
        ["\x52\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xA5"],

        ["\xF3\xB1\x8C\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x49"],
        ["\x52\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xA6"],

        ["\xF3\xB1\x8C\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x4A"],
        ["\x52\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xA7"],

        ["\xF3\xB1\x8C\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x4B"],
        ["\x52\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xA8"],

        ["\xF3\xB1\x8C\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x4C"],
        ["\x52\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xA9"],

        ["\xF3\xB1\x8C\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x4D"],
        ["\x52\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xAA"],

        ["\xF3\xB1\x8C\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x4E"],
        ["\x52\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xAB"],

        ["\xF3\xB1\x8C\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x4F"],
        ["\x52\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xAC"],

        ["\xF3\xB1\x8C\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x50"],
        ["\x52\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xAD"],

        ["\xF3\xB1\x8C\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x51"],
        ["\x52\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xAE"],

        ["\xF3\xB1\x8C\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x52"],
        ["\x52\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xAF"],

        ["\xF3\xB1\x8C\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x53"],
        ["\x52\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xB0"],

        ["\xF3\xB1\x8C\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x54"],
        ["\x52\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xB1"],

        ["\xF3\xB1\x8C\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x55"],
        ["\x52\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xB2"],

        ["\xF3\xB1\x8C\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x56"],
        ["\x52\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xB3"],

        ["\xF3\xB1\x8C\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x57"],
        ["\x52\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xB4"],

        ["\xF3\xB1\x8C\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x58"],
        ["\x52\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xB5"],

        ["\xF3\xB1\x8C\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x59"],
        ["\x52\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xB6"],

        ["\xF3\xB1\x8C\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x5A"],
        ["\x52\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xB7"],

        ["\xF3\xB1\x8C\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x5B"],
        ["\x52\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xB8"],

        ["\xF3\xB1\x8C\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x5C"],
        ["\x52\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xB9"],

        ["\xF3\xB1\x8C\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x5D"],
        ["\x52\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xBA"],

        ["\xF3\xB1\x8C\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x5E"],
        ["\x52\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xBB"],

        ["\xF3\xB1\x8C\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x5F"],
        ["\x52\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xBC"],

        ["\xF3\xB1\x8C\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x60"],
        ["\x52\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xBD"],

        ["\xF3\xB1\x8C\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x61"],
        ["\x52\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xBE"],

        ["\xF3\xB1\x8C\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x62"],
        ["\x52\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8C\xBF"],

        ["\xF3\xB1\x8D\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x63"],
        ["\x52\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x80"],

        ["\xF3\xB1\x8D\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x64"],
        ["\x52\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x81"],

        ["\xF3\xB1\x8D\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x65"],
        ["\x52\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x82"],

        ["\xF3\xB1\x8D\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x66"],
        ["\x52\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x83"],

        ["\xF3\xB1\x8D\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x67"],
        ["\x52\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x84"],

        ["\xF3\xB1\x8D\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x68"],
        ["\x52\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x85"],

        ["\xF3\xB1\x8D\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x69"],
        ["\x52\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x86"],

        ["\xF3\xB1\x8D\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x6A"],
        ["\x52\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x87"],

        ["\xF3\xB1\x8D\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x6B"],
        ["\x52\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x88"],

        ["\xF3\xB1\x8D\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x6C"],
        ["\x52\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x89"],

        ["\xF3\xB1\x8D\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x6D"],
        ["\x52\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x8A"],

        ["\xF3\xB1\x8D\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x6E"],
        ["\x52\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x8B"],

        ["\xF3\xB1\x8D\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x6F"],
        ["\x52\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x8C"],

        ["\xF3\xB1\x8D\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x70"],
        ["\x52\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x8D"],

        ["\xF3\xB1\x8D\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x71"],
        ["\x52\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x8E"],

        ["\xF3\xB1\x8D\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x72"],
        ["\x52\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x8F"],

        ["\xF3\xB1\x8D\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x73"],
        ["\x52\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x90"],

        ["\xF3\xB1\x8D\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x74"],
        ["\x52\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x91"],

        ["\xF3\xB1\x8D\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x75"],
        ["\x52\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x92"],

        ["\xF3\xB1\x8D\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x76"],
        ["\x52\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x93"],

        ["\xF3\xB1\x8D\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x77"],
        ["\x52\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x94"],

        ["\xF3\xB1\x8D\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x78"],
        ["\x52\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x95"],

        ["\xF3\xB1\x8D\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x79"],
        ["\x52\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x96"],

        ["\xF3\xB1\x8D\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x7A"],
        ["\x52\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x97"],

        ["\xF3\xB1\x8D\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x7B"],
        ["\x52\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x98"],

        ["\xF3\xB1\x8D\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x7C"],
        ["\x52\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x99"],

        ["\xF3\xB1\x8D\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x7D"],
        ["\x52\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x9A"],

        ["\xF3\xB1\x8D\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x52\x7E"],
        ["\x52\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x9B"],

        ["\xF3\xB1\x8D\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x21"],
        ["\x53\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x9C"],

        ["\xF3\xB1\x8D\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x22"],
        ["\x53\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x9D"],

        ["\xF3\xB1\x8D\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x23"],
        ["\x53\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x9E"],

        ["\xF3\xB1\x8D\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x24"],
        ["\x53\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\x9F"],

        ["\xF3\xB1\x8D\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x25"],
        ["\x53\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xA0"],

        ["\xF3\xB1\x8D\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x26"],
        ["\x53\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xA1"],

        ["\xF3\xB1\x8D\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x27"],
        ["\x53\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xA2"],

        ["\xF3\xB1\x8D\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x28"],
        ["\x53\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xA3"],

        ["\xF3\xB1\x8D\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x29"],
        ["\x53\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xA4"],

        ["\xF3\xB1\x8D\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x2A"],
        ["\x53\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xA5"],

        ["\xF3\xB1\x8D\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x2B"],
        ["\x53\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xA6"],

        ["\xF3\xB1\x8D\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x2C"],
        ["\x53\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xA7"],

        ["\xF3\xB1\x8D\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x2D"],
        ["\x53\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xA8"],

        ["\xF3\xB1\x8D\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x2E"],
        ["\x53\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xA9"],

        ["\xF3\xB1\x8D\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x2F"],
        ["\x53\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xAA"],

        ["\xF3\xB1\x8D\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x30"],
        ["\x53\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xAB"],

        ["\xF3\xB1\x8D\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x31"],
        ["\x53\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xAC"],

        ["\xF3\xB1\x8D\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x32"],
        ["\x53\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xAD"],

        ["\xF3\xB1\x8D\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x33"],
        ["\x53\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xAE"],

        ["\xF3\xB1\x8D\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x34"],
        ["\x53\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xAF"],

        ["\xF3\xB1\x8D\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x35"],
        ["\x53\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xB0"],

        ["\xF3\xB1\x8D\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x36"],
        ["\x53\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xB1"],

        ["\xF3\xB1\x8D\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x37"],
        ["\x53\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xB2"],

        ["\xF3\xB1\x8D\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x38"],
        ["\x53\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xB3"],

        ["\xF3\xB1\x8D\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x39"],
        ["\x53\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xB4"],

        ["\xF3\xB1\x8D\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x3A"],
        ["\x53\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xB5"],

        ["\xF3\xB1\x8D\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x3B"],
        ["\x53\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xB6"],

        ["\xF3\xB1\x8D\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x3C"],
        ["\x53\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xB7"],

        ["\xF3\xB1\x8D\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x3D"],
        ["\x53\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xB8"],

        ["\xF3\xB1\x8D\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x3E"],
        ["\x53\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xB9"],

        ["\xF3\xB1\x8D\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x3F"],
        ["\x53\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xBA"],

        ["\xF3\xB1\x8D\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x40"],
        ["\x53\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xBB"],

        ["\xF3\xB1\x8D\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x41"],
        ["\x53\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xBC"],

        ["\xF3\xB1\x8D\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x42"],
        ["\x53\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xBD"],

        ["\xF3\xB1\x8D\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x43"],
        ["\x53\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xBE"],

        ["\xF3\xB1\x8D\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x44"],
        ["\x53\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8D\xBF"],

        ["\xF3\xB1\x8E\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x45"],
        ["\x53\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x80"],

        ["\xF3\xB1\x8E\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x46"],
        ["\x53\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x81"],

        ["\xF3\xB1\x8E\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x47"],
        ["\x53\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x82"],

        ["\xF3\xB1\x8E\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x48"],
        ["\x53\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x83"],

        ["\xF3\xB1\x8E\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x49"],
        ["\x53\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x84"],

        ["\xF3\xB1\x8E\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x4A"],
        ["\x53\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x85"],

        ["\xF3\xB1\x8E\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x4B"],
        ["\x53\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x86"],

        ["\xF3\xB1\x8E\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x4C"],
        ["\x53\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x87"],

        ["\xF3\xB1\x8E\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x4D"],
        ["\x53\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x88"],

        ["\xF3\xB1\x8E\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x4E"],
        ["\x53\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x89"],

        ["\xF3\xB1\x8E\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x4F"],
        ["\x53\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x8A"],

        ["\xF3\xB1\x8E\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x50"],
        ["\x53\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x8B"],

        ["\xF3\xB1\x8E\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x51"],
        ["\x53\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x8C"],

        ["\xF3\xB1\x8E\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x52"],
        ["\x53\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x8D"],

        ["\xF3\xB1\x8E\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x53"],
        ["\x53\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x8E"],

        ["\xF3\xB1\x8E\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x54"],
        ["\x53\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x8F"],

        ["\xF3\xB1\x8E\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x55"],
        ["\x53\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x90"],

        ["\xF3\xB1\x8E\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x56"],
        ["\x53\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x91"],

        ["\xF3\xB1\x8E\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x57"],
        ["\x53\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x92"],

        ["\xF3\xB1\x8E\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x58"],
        ["\x53\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x93"],

        ["\xF3\xB1\x8E\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x59"],
        ["\x53\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x94"],

        ["\xF3\xB1\x8E\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x5A"],
        ["\x53\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x95"],

        ["\xF3\xB1\x8E\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x5B"],
        ["\x53\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x96"],

        ["\xF3\xB1\x8E\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x5C"],
        ["\x53\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x97"],

        ["\xF3\xB1\x8E\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x5D"],
        ["\x53\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x98"],

        ["\xF3\xB1\x8E\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x5E"],
        ["\x53\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x99"],

        ["\xF3\xB1\x8E\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x5F"],
        ["\x53\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x9A"],

        ["\xF3\xB1\x8E\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x60"],
        ["\x53\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x9B"],

        ["\xF3\xB1\x8E\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x61"],
        ["\x53\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x9C"],

        ["\xF3\xB1\x8E\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x62"],
        ["\x53\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x9D"],

        ["\xF3\xB1\x8E\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x63"],
        ["\x53\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x9E"],

        ["\xF3\xB1\x8E\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x64"],
        ["\x53\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\x9F"],

        ["\xF3\xB1\x8E\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x65"],
        ["\x53\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xA0"],

        ["\xF3\xB1\x8E\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x66"],
        ["\x53\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xA1"],

        ["\xF3\xB1\x8E\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x67"],
        ["\x53\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xA2"],

        ["\xF3\xB1\x8E\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x68"],
        ["\x53\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xA3"],

        ["\xF3\xB1\x8E\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x69"],
        ["\x53\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xA4"],

        ["\xF3\xB1\x8E\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x6A"],
        ["\x53\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xA5"],

        ["\xF3\xB1\x8E\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x6B"],
        ["\x53\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xA6"],

        ["\xF3\xB1\x8E\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x6C"],
        ["\x53\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xA7"],

        ["\xF3\xB1\x8E\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x6D"],
        ["\x53\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xA8"],

        ["\xF3\xB1\x8E\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x6E"],
        ["\x53\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xA9"],

        ["\xF3\xB1\x8E\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x6F"],
        ["\x53\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xAA"],

        ["\xF3\xB1\x8E\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x70"],
        ["\x53\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xAB"],

        ["\xF3\xB1\x8E\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x71"],
        ["\x53\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xAC"],

        ["\xF3\xB1\x8E\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x72"],
        ["\x53\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xAD"],

        ["\xF3\xB1\x8E\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x73"],
        ["\x53\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xAE"],

        ["\xF3\xB1\x8E\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x74"],
        ["\x53\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xAF"],

        ["\xF3\xB1\x8E\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x75"],
        ["\x53\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xB0"],

        ["\xF3\xB1\x8E\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x76"],
        ["\x53\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xB1"],

        ["\xF3\xB1\x8E\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x77"],
        ["\x53\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xB2"],

        ["\xF3\xB1\x8E\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x78"],
        ["\x53\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xB3"],

        ["\xF3\xB1\x8E\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x79"],
        ["\x53\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xB4"],

        ["\xF3\xB1\x8E\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x7A"],
        ["\x53\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xB5"],

        ["\xF3\xB1\x8E\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x7B"],
        ["\x53\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xB6"],

        ["\xF3\xB1\x8E\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x7C"],
        ["\x53\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xB7"],

        ["\xF3\xB1\x8E\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x7D"],
        ["\x53\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xB8"],

        ["\xF3\xB1\x8E\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x53\x7E"],
        ["\x53\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xB9"],

        ["\xF3\xB1\x8E\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x21"],
        ["\x54\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xBA"],

        ["\xF3\xB1\x8E\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x22"],
        ["\x54\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xBB"],

        ["\xF3\xB1\x8E\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x23"],
        ["\x54\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xBC"],

        ["\xF3\xB1\x8E\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x24"],
        ["\x54\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xBD"],

        ["\xF3\xB1\x8E\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x25"],
        ["\x54\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xBE"],

        ["\xF3\xB1\x8E\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x26"],
        ["\x54\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8E\xBF"],

        ["\xF3\xB1\x8F\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x27"],
        ["\x54\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x80"],

        ["\xF3\xB1\x8F\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x28"],
        ["\x54\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x81"],

        ["\xF3\xB1\x8F\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x29"],
        ["\x54\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x82"],

        ["\xF3\xB1\x8F\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x2A"],
        ["\x54\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x83"],

        ["\xF3\xB1\x8F\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x2B"],
        ["\x54\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x84"],

        ["\xF3\xB1\x8F\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x2C"],
        ["\x54\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x85"],

        ["\xF3\xB1\x8F\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x2D"],
        ["\x54\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x86"],

        ["\xF3\xB1\x8F\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x2E"],
        ["\x54\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x87"],

        ["\xF3\xB1\x8F\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x2F"],
        ["\x54\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x88"],

        ["\xF3\xB1\x8F\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x30"],
        ["\x54\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x89"],

        ["\xF3\xB1\x8F\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x31"],
        ["\x54\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x8A"],

        ["\xF3\xB1\x8F\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x32"],
        ["\x54\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x8B"],

        ["\xF3\xB1\x8F\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x33"],
        ["\x54\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x8C"],

        ["\xF3\xB1\x8F\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x34"],
        ["\x54\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x8D"],

        ["\xF3\xB1\x8F\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x35"],
        ["\x54\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x8E"],

        ["\xF3\xB1\x8F\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x36"],
        ["\x54\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x8F"],

        ["\xF3\xB1\x8F\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x37"],
        ["\x54\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x90"],

        ["\xF3\xB1\x8F\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x38"],
        ["\x54\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x91"],

        ["\xF3\xB1\x8F\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x39"],
        ["\x54\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x92"],

        ["\xF3\xB1\x8F\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x3A"],
        ["\x54\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x93"],

        ["\xF3\xB1\x8F\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x3B"],
        ["\x54\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x94"],

        ["\xF3\xB1\x8F\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x3C"],
        ["\x54\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x95"],

        ["\xF3\xB1\x8F\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x3D"],
        ["\x54\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x96"],

        ["\xF3\xB1\x8F\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x3E"],
        ["\x54\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x97"],

        ["\xF3\xB1\x8F\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x3F"],
        ["\x54\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x98"],

        ["\xF3\xB1\x8F\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x40"],
        ["\x54\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x99"],

        ["\xF3\xB1\x8F\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x41"],
        ["\x54\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x9A"],

        ["\xF3\xB1\x8F\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x42"],
        ["\x54\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x9B"],

        ["\xF3\xB1\x8F\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x43"],
        ["\x54\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x9C"],

        ["\xF3\xB1\x8F\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x44"],
        ["\x54\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x9D"],

        ["\xF3\xB1\x8F\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x45"],
        ["\x54\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x9E"],

        ["\xF3\xB1\x8F\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x46"],
        ["\x54\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\x9F"],

        ["\xF3\xB1\x8F\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x47"],
        ["\x54\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xA0"],

        ["\xF3\xB1\x8F\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x48"],
        ["\x54\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xA1"],

        ["\xF3\xB1\x8F\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x49"],
        ["\x54\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xA2"],

        ["\xF3\xB1\x8F\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x4A"],
        ["\x54\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xA3"],

        ["\xF3\xB1\x8F\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x4B"],
        ["\x54\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xA4"],

        ["\xF3\xB1\x8F\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x4C"],
        ["\x54\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xA5"],

        ["\xF3\xB1\x8F\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x4D"],
        ["\x54\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xA6"],

        ["\xF3\xB1\x8F\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x4E"],
        ["\x54\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xA7"],

        ["\xF3\xB1\x8F\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x4F"],
        ["\x54\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xA8"],

        ["\xF3\xB1\x8F\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x50"],
        ["\x54\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xA9"],

        ["\xF3\xB1\x8F\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x51"],
        ["\x54\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xAA"],

        ["\xF3\xB1\x8F\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x52"],
        ["\x54\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xAB"],

        ["\xF3\xB1\x8F\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x53"],
        ["\x54\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xAC"],

        ["\xF3\xB1\x8F\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x54"],
        ["\x54\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xAD"],

        ["\xF3\xB1\x8F\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x55"],
        ["\x54\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xAE"],

        ["\xF3\xB1\x8F\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x56"],
        ["\x54\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xAF"],

        ["\xF3\xB1\x8F\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x57"],
        ["\x54\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xB0"],

        ["\xF3\xB1\x8F\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x58"],
        ["\x54\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xB1"],

        ["\xF3\xB1\x8F\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x59"],
        ["\x54\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xB2"],

        ["\xF3\xB1\x8F\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x5A"],
        ["\x54\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xB3"],

        ["\xF3\xB1\x8F\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x5B"],
        ["\x54\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xB4"],

        ["\xF3\xB1\x8F\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x5C"],
        ["\x54\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xB5"],

        ["\xF3\xB1\x8F\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x5D"],
        ["\x54\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xB6"],

        ["\xF3\xB1\x8F\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x5E"],
        ["\x54\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xB7"],

        ["\xF3\xB1\x8F\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x5F"],
        ["\x54\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xB8"],

        ["\xF3\xB1\x8F\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x60"],
        ["\x54\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xB9"],

        ["\xF3\xB1\x8F\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x61"],
        ["\x54\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xBA"],

        ["\xF3\xB1\x8F\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x62"],
        ["\x54\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xBB"],

        ["\xF3\xB1\x8F\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x63"],
        ["\x54\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xBC"],

        ["\xF3\xB1\x8F\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x5B"],
        ["\x44\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xBD"],

        ["\xF3\xB1\x8F\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x65"],
        ["\x54\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xBE"],

        ["\xF3\xB1\x8F\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x66"],
        ["\x54\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x8F\xBF"],

        ["\xF3\xB1\x90\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x67"],
        ["\x54\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x80"],

        ["\xF3\xB1\x90\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x68"],
        ["\x54\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x81"],

        ["\xF3\xB1\x90\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x69"],
        ["\x54\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x82"],

        ["\xF3\xB1\x90\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x6A"],
        ["\x54\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x83"],

        ["\xF3\xB1\x90\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x6B"],
        ["\x54\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x84"],

        ["\xF3\xB1\x90\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x6C"],
        ["\x54\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x85"],

        ["\xF3\xB1\x90\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x6D"],
        ["\x54\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x86"],

        ["\xF3\xB1\x90\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x6E"],
        ["\x54\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x87"],

        ["\xF3\xB1\x90\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x6F"],
        ["\x54\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x88"],

        ["\xF3\xB1\x90\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x70"],
        ["\x54\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x89"],

        ["\xF3\xB1\x90\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x71"],
        ["\x54\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x8A"],

        ["\xF3\xB1\x90\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x72"],
        ["\x54\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x8B"],

        ["\xF3\xB1\x90\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x73"],
        ["\x54\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x8C"],

        ["\xF3\xB1\x90\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x74"],
        ["\x54\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x8D"],

        ["\xF3\xB1\x90\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x75"],
        ["\x54\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x8E"],

        ["\xF3\xB1\x90\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x76"],
        ["\x54\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x8F"],

        ["\xF3\xB1\x90\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x77"],
        ["\x54\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x90"],

        ["\xF3\xB1\x90\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x78"],
        ["\x54\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x91"],

        ["\xF3\xB1\x90\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x79"],
        ["\x54\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x92"],

        ["\xF3\xB1\x90\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x7A"],
        ["\x54\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x93"],

        ["\xF3\xB1\x90\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x7B"],
        ["\x54\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x94"],

        ["\xF3\xB1\x90\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x7C"],
        ["\x54\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x95"],

        ["\xF3\xB1\x90\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x7D"],
        ["\x54\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x96"],

        ["\xF3\xB1\x90\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x54\x7E"],
        ["\x54\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x97"],

        ["\xF3\xB1\x90\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x21"],
        ["\x55\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x98"],

        ["\xF3\xB1\x90\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x22"],
        ["\x55\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x99"],

        ["\xF3\xB1\x90\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x23"],
        ["\x55\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x9A"],

        ["\xF3\xB1\x90\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x24"],
        ["\x55\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x9B"],

        ["\xF3\xB1\x90\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x25"],
        ["\x55\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x9C"],

        ["\xF3\xB1\x90\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x26"],
        ["\x55\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x9D"],

        ["\xF3\xB1\x90\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x27"],
        ["\x55\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x9E"],

        ["\xF3\xB1\x90\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x28"],
        ["\x55\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\x9F"],

        ["\xF3\xB1\x90\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x29"],
        ["\x55\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xA0"],

        ["\xF3\xB1\x90\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x2A"],
        ["\x55\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xA1"],

        ["\xF3\xB1\x90\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x2B"],
        ["\x55\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xA2"],

        ["\xF3\xB1\x90\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x2C"],
        ["\x55\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xA3"],

        ["\xF3\xB1\x90\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x2D"],
        ["\x55\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xA4"],

        ["\xF3\xB1\x90\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x2E"],
        ["\x55\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xA5"],

        ["\xF3\xB1\x90\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x2F"],
        ["\x55\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xA6"],

        ["\xF3\xB1\x90\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x30"],
        ["\x55\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xA7"],

        ["\xF3\xB1\x90\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x31"],
        ["\x55\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xA8"],

        ["\xF3\xB1\x90\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x32"],
        ["\x55\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xA9"],

        ["\xF3\xB1\x90\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x33"],
        ["\x55\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xAA"],

        ["\xF3\xB1\x90\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x34"],
        ["\x55\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xAB"],

        ["\xF3\xB1\x90\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x35"],
        ["\x55\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xAC"],

        ["\xF3\xB1\x90\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x36"],
        ["\x55\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xAD"],

        ["\xF3\xB1\x90\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x37"],
        ["\x55\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xAE"],

        ["\xF3\xB1\x90\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x38"],
        ["\x55\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xAF"],

        ["\xF3\xB1\x90\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x39"],
        ["\x55\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xB0"],

        ["\xF3\xB1\x90\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x3A"],
        ["\x55\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xB1"],

        ["\xF3\xB1\x90\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x3B"],
        ["\x55\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xB2"],

        ["\xF3\xB1\x90\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x3C"],
        ["\x55\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xB3"],

        ["\xF3\xB1\x90\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x3D"],
        ["\x55\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xB4"],

        ["\xF3\xB1\x90\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x3E"],
        ["\x55\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xB5"],

        ["\xF3\xB1\x90\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x3F"],
        ["\x55\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xB6"],

        ["\xF3\xB1\x90\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x40"],
        ["\x55\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xB7"],

        ["\xF3\xB1\x90\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x41"],
        ["\x55\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xB8"],

        ["\xF3\xB1\x90\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x42"],
        ["\x55\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xB9"],

        ["\xF3\xB1\x90\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x43"],
        ["\x55\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xBA"],

        ["\xF3\xB1\x90\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x44"],
        ["\x55\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xBB"],

        ["\xF3\xB1\x90\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x45"],
        ["\x55\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xBC"],

        ["\xF3\xB1\x90\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x46"],
        ["\x55\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xBD"],

        ["\xF3\xB1\x90\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x47"],
        ["\x55\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xBE"],

        ["\xF3\xB1\x90\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x48"],
        ["\x55\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x90\xBF"],

        ["\xF3\xB1\x91\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x49"],
        ["\x55\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x80"],

        ["\xF3\xB1\x91\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x4A"],
        ["\x55\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x81"],

        ["\xF3\xB1\x91\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x4B"],
        ["\x55\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x82"],

        ["\xF3\xB1\x91\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x4C"],
        ["\x55\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x83"],

        ["\xF3\xB1\x91\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x4D"],
        ["\x55\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x84"],

        ["\xF3\xB1\x91\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x4E"],
        ["\x55\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x85"],

        ["\xF3\xB1\x91\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x4F"],
        ["\x55\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x86"],

        ["\xF3\xB1\x91\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x50"],
        ["\x55\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x87"],

        ["\xF3\xB1\x91\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x51"],
        ["\x55\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x88"],

        ["\xF3\xB1\x91\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x52"],
        ["\x55\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x89"],

        ["\xF3\xB1\x91\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x53"],
        ["\x55\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x8A"],

        ["\xF3\xB1\x91\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x54"],
        ["\x55\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x8B"],

        ["\xF3\xB1\x91\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x55"],
        ["\x55\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x8C"],

        ["\xF3\xB1\x91\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x56"],
        ["\x55\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x8D"],

        ["\xF3\xB1\x91\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x57"],
        ["\x55\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x8E"],

        ["\xF3\xB1\x91\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x58"],
        ["\x55\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x8F"],

        ["\xF3\xB1\x91\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x59"],
        ["\x55\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x90"],

        ["\xF3\xB1\x91\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x5A"],
        ["\x55\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x91"],

        ["\xF3\xB1\x91\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x5B"],
        ["\x55\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x92"],

        ["\xF3\xB1\x91\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x5C"],
        ["\x55\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x93"],

        ["\xF3\xB1\x91\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x5D"],
        ["\x55\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x94"],

        ["\xF3\xB1\x91\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x5E"],
        ["\x55\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x95"],

        ["\xF3\xB1\x91\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x5F"],
        ["\x55\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x96"],

        ["\xF3\xB1\x91\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x60"],
        ["\x55\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x97"],

        ["\xF3\xB1\x91\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x61"],
        ["\x55\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x98"],

        ["\xF3\xB1\x91\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x62"],
        ["\x55\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x99"],

        ["\xF3\xB1\x91\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x63"],
        ["\x55\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x9A"],

        ["\xF3\xB1\x91\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x64"],
        ["\x55\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x9B"],

        ["\xF3\xB1\x91\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x65"],
        ["\x55\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x9C"],

        ["\xF3\xB1\x91\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x66"],
        ["\x55\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x9D"],

        ["\xF3\xB1\x91\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x67"],
        ["\x55\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x9E"],

        ["\xF3\xB1\x91\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x68"],
        ["\x55\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\x9F"],

        ["\xF3\xB1\x91\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x69"],
        ["\x55\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xA0"],

        ["\xF3\xB1\x91\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x6A"],
        ["\x55\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xA1"],

        ["\xF3\xB1\x91\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x6B"],
        ["\x55\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xA2"],

        ["\xF3\xB1\x91\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x6C"],
        ["\x55\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xA3"],

        ["\xF3\xB1\x91\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x6D"],
        ["\x55\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xA4"],

        ["\xF3\xB1\x91\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x6E"],
        ["\x55\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xA5"],

        ["\xF3\xB1\x91\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x6F"],
        ["\x55\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xA6"],

        ["\xF3\xB1\x91\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x70"],
        ["\x55\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xA7"],

        ["\xF3\xB1\x91\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x71"],
        ["\x55\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xA8"],

        ["\xF3\xB1\x91\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x72"],
        ["\x55\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xA9"],

        ["\xF3\xB1\x91\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x73"],
        ["\x55\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xAA"],

        ["\xF3\xB1\x91\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x74"],
        ["\x55\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xAB"],

        ["\xF3\xB1\x91\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x75"],
        ["\x55\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xAC"],

        ["\xF3\xB1\x91\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x76"],
        ["\x55\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xAD"],

        ["\xF3\xB1\x91\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x77"],
        ["\x55\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xAE"],

        ["\xF3\xB1\x91\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x78"],
        ["\x55\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xAF"],

        ["\xF3\xB1\x91\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x79"],
        ["\x55\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xB0"],

        ["\xF3\xB1\x91\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x7A"],
        ["\x55\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xB1"],

        ["\xF3\xB1\x91\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x7B"],
        ["\x55\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xB2"],

        ["\xF3\xB1\x91\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x7C"],
        ["\x55\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xB3"],

        ["\xF3\xB1\x91\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x7D"],
        ["\x55\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xB4"],

        ["\xF3\xB1\x91\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x55\x7E"],
        ["\x55\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xB5"],

        ["\xF3\xB1\x91\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x21"],
        ["\x56\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xB6"],

        ["\xF3\xB1\x91\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x22"],
        ["\x56\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xB7"],

        ["\xF3\xB1\x91\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x23"],
        ["\x56\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xB8"],

        ["\xF3\xB1\x91\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x24"],
        ["\x56\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xB9"],

        ["\xF3\xB1\x91\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x25"],
        ["\x56\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xBA"],

        ["\xF3\xB1\x91\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x26"],
        ["\x56\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xBB"],

        ["\xF3\xB1\x91\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x27"],
        ["\x56\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xBC"],

        ["\xF3\xB1\x91\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x28"],
        ["\x56\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xBD"],

        ["\xF3\xB1\x91\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x29"],
        ["\x56\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xBE"],

        ["\xF3\xB1\x91\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x2A"],
        ["\x56\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x91\xBF"],

        ["\xF3\xB1\x92\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x2B"],
        ["\x56\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x80"],

        ["\xF3\xB1\x92\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x2C"],
        ["\x56\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x81"],

        ["\xF3\xB1\x92\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x2D"],
        ["\x56\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x82"],

        ["\xF3\xB1\x92\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x2E"],
        ["\x56\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x83"],

        ["\xF3\xB1\x92\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x2F"],
        ["\x56\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x84"],

        ["\xF3\xB1\x92\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x30"],
        ["\x56\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x85"],

        ["\xF3\xB1\x92\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x31"],
        ["\x56\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x86"],

        ["\xF3\xB1\x92\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x32"],
        ["\x56\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x87"],

        ["\xF3\xB1\x92\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x33"],
        ["\x56\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x88"],

        ["\xF3\xB1\x92\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x34"],
        ["\x56\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x89"],

        ["\xF3\xB1\x92\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x35"],
        ["\x56\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x8A"],

        ["\xF3\xB1\x92\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x36"],
        ["\x56\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x8B"],

        ["\xF3\xB1\x92\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x37"],
        ["\x56\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x8C"],

        ["\xF3\xB1\x92\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x38"],
        ["\x56\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x8D"],

        ["\xF3\xB1\x92\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x39"],
        ["\x56\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x8E"],

        ["\xF3\xB1\x92\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x3A"],
        ["\x56\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x8F"],

        ["\xF3\xB1\x92\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x3B"],
        ["\x56\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x90"],

        ["\xF3\xB1\x92\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x3C"],
        ["\x56\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x91"],

        ["\xF3\xB1\x92\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x3D"],
        ["\x56\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x92"],

        ["\xF3\xB1\x92\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x3E"],
        ["\x56\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x93"],

        ["\xF3\xB1\x92\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x3F"],
        ["\x56\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x94"],

        ["\xF3\xB1\x92\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x40"],
        ["\x56\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x95"],

        ["\xF3\xB1\x92\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x41"],
        ["\x56\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x96"],

        ["\xF3\xB1\x92\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x42"],
        ["\x56\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x97"],

        ["\xF3\xB1\x92\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x43"],
        ["\x56\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x98"],

        ["\xF3\xB1\x92\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x44"],
        ["\x56\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x99"],

        ["\xF3\xB1\x92\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x45"],
        ["\x56\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x9A"],

        ["\xF3\xB1\x92\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x46"],
        ["\x56\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x9B"],

        ["\xF3\xB1\x92\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x47"],
        ["\x56\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x9C"],

        ["\xF3\xB1\x92\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x48"],
        ["\x56\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x9D"],

        ["\xF3\xB1\x92\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x49"],
        ["\x56\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x9E"],

        ["\xF3\xB1\x92\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x4A"],
        ["\x56\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\x9F"],

        ["\xF3\xB1\x92\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x4B"],
        ["\x56\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xA0"],

        ["\xF3\xB1\x92\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x4C"],
        ["\x56\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xA1"],

        ["\xF3\xB1\x92\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x4D"],
        ["\x56\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xA2"],

        ["\xF3\xB1\x92\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x4E"],
        ["\x56\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xA3"],

        ["\xF3\xB1\x92\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x4F"],
        ["\x56\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xA4"],

        ["\xF3\xB1\x92\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x50"],
        ["\x56\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xA5"],

        ["\xF3\xB1\x92\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x51"],
        ["\x56\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xA6"],

        ["\xF3\xB1\x92\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x52"],
        ["\x56\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xA7"],

        ["\xF3\xB1\x92\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x53"],
        ["\x56\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xA8"],

        ["\xF3\xB1\x92\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x54"],
        ["\x56\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xA9"],

        ["\xF3\xB1\x92\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x55"],
        ["\x56\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xAA"],

        ["\xF3\xB1\x92\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x56"],
        ["\x56\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xAB"],

        ["\xF3\xB1\x92\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x57"],
        ["\x56\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xAC"],

        ["\xF3\xB1\x92\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x58"],
        ["\x56\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xAD"],

        ["\xF3\xB1\x92\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x59"],
        ["\x56\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xAE"],

        ["\xF3\xB1\x92\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x5A"],
        ["\x56\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xAF"],

        ["\xF3\xB1\x92\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x5B"],
        ["\x56\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xB0"],

        ["\xF3\xB1\x92\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x5C"],
        ["\x56\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xB1"],

        ["\xF3\xB1\x92\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x5D"],
        ["\x56\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xB2"],

        ["\xF3\xB1\x92\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x5E"],
        ["\x56\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xB3"],

        ["\xF3\xB1\x92\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x5F"],
        ["\x56\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xB4"],

        ["\xF3\xB1\x92\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x60"],
        ["\x56\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xB5"],

        ["\xF3\xB1\x92\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x61"],
        ["\x56\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xB6"],

        ["\xF3\xB1\x92\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x62"],
        ["\x56\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xB7"],

        ["\xF3\xB1\x92\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x63"],
        ["\x56\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xB8"],

        ["\xF3\xB1\x92\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x64"],
        ["\x56\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xB9"],

        ["\xF3\xB1\x92\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x65"],
        ["\x56\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xBA"],

        ["\xF3\xB1\x92\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x66"],
        ["\x56\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xBB"],

        ["\xF3\xB1\x92\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x67"],
        ["\x56\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xBC"],

        ["\xF3\xB1\x92\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x68"],
        ["\x56\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xBD"],

        ["\xF3\xB1\x92\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x69"],
        ["\x56\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xBE"],

        ["\xF3\xB1\x92\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x6A"],
        ["\x56\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x92\xBF"],

        ["\xF3\xB1\x93\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x6B"],
        ["\x56\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x80"],

        ["\xF3\xB1\x93\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x6C"],
        ["\x56\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x81"],

        ["\xF3\xB1\x93\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x6D"],
        ["\x56\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x82"],

        ["\xF3\xB1\x93\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x6E"],
        ["\x56\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x83"],

        ["\xF3\xB1\x93\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x6F"],
        ["\x56\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x84"],

        ["\xF3\xB1\x93\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x70"],
        ["\x56\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x85"],

        ["\xF3\xB1\x93\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x71"],
        ["\x56\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x86"],

        ["\xF3\xB1\x93\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x72"],
        ["\x56\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x87"],

        ["\xF3\xB1\x93\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x73"],
        ["\x56\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x88"],

        ["\xF3\xB1\x93\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x74"],
        ["\x56\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x89"],

        ["\xF3\xB1\x93\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x75"],
        ["\x56\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x8A"],

        ["\xF3\xB1\x93\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x76"],
        ["\x56\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x8B"],

        ["\xF3\xB1\x93\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x77"],
        ["\x56\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x8C"],

        ["\xF3\xB1\x93\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x78"],
        ["\x56\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x8D"],

        ["\xF3\xB1\x93\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x79"],
        ["\x56\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x8E"],

        ["\xF3\xB1\x93\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x7A"],
        ["\x56\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x8F"],

        ["\xF3\xB1\x93\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x7B"],
        ["\x56\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x90"],

        ["\xF3\xB1\x93\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x7C"],
        ["\x56\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x91"],

        ["\xF3\xB1\x93\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x7D"],
        ["\x56\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x92"],

        ["\xF3\xB1\x93\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x56\x7E"],
        ["\x56\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x93"],

        ["\xF3\xB1\x93\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x21"],
        ["\x57\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x94"],

        ["\xF3\xB1\x93\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x22"],
        ["\x57\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x95"],

        ["\xF3\xB1\x93\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x23"],
        ["\x57\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x96"],

        ["\xF3\xB1\x93\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x24"],
        ["\x57\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x97"],

        ["\xF3\xB1\x93\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x25"],
        ["\x57\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x98"],

        ["\xF3\xB1\x93\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x26"],
        ["\x57\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x99"],

        ["\xF3\xB1\x93\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x27"],
        ["\x57\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x9A"],

        ["\xF3\xB1\x93\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x28"],
        ["\x57\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x9B"],

        ["\xF3\xB1\x93\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x29"],
        ["\x57\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x9C"],

        ["\xF3\xB1\x93\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x2A"],
        ["\x57\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x9D"],

        ["\xF3\xB1\x93\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x2B"],
        ["\x57\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x9E"],

        ["\xF3\xB1\x93\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x2C"],
        ["\x57\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\x9F"],

        ["\xF3\xB1\x93\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x2D"],
        ["\x57\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xA0"],

        ["\xF3\xB1\x93\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x2E"],
        ["\x57\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xA1"],

        ["\xF3\xB1\x93\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x2F"],
        ["\x57\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xA2"],

        ["\xF3\xB1\x93\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x30"],
        ["\x57\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xA3"],

        ["\xF3\xB1\x93\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x31"],
        ["\x57\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xA4"],

        ["\xF3\xB1\x93\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x32"],
        ["\x57\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xA5"],

        ["\xF3\xB1\x93\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x33"],
        ["\x57\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xA6"],

        ["\xF3\xB1\x93\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x34"],
        ["\x57\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xA7"],

        ["\xF3\xB1\x93\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x35"],
        ["\x57\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xA8"],

        ["\xF3\xB1\x93\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x36"],
        ["\x57\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xA9"],

        ["\xF3\xB1\x93\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x37"],
        ["\x57\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xAA"],

        ["\xF3\xB1\x93\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x38"],
        ["\x57\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xAB"],

        ["\xF3\xB1\x93\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x39"],
        ["\x57\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xAC"],

        ["\xF3\xB1\x93\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x3A"],
        ["\x57\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xAD"],

        ["\xF3\xB1\x93\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x3C"],
        ["\x57\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xAF"],

        ["\xF3\xB1\x93\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x3D"],
        ["\x57\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xB0"],

        ["\xF3\xB1\x93\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x3E"],
        ["\x57\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xB1"],

        ["\xF3\xB1\x93\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x3F"],
        ["\x57\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xB2"],

        ["\xF3\xB1\x93\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x40"],
        ["\x57\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xB3"],

        ["\xF3\xB1\x93\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x41"],
        ["\x57\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xB4"],

        ["\xF3\xB1\x93\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x42"],
        ["\x57\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xB5"],

        ["\xF3\xB1\x93\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x43"],
        ["\x57\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xB6"],

        ["\xF3\xB1\x93\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x44"],
        ["\x57\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xB7"],

        ["\xF3\xB1\x93\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x45"],
        ["\x57\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xB8"],

        ["\xF3\xB1\x93\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x46"],
        ["\x57\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xB9"],

        ["\xF3\xB1\x93\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x47"],
        ["\x57\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xBA"],

        ["\xF3\xB1\x93\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x48"],
        ["\x57\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xBB"],

        ["\xF3\xB1\x93\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x49"],
        ["\x57\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xBC"],

        ["\xF3\xB1\x93\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x4A"],
        ["\x57\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xBD"],

        ["\xF3\xB1\x93\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x4B"],
        ["\x57\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xBE"],

        ["\xF3\xB1\x93\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x4C"],
        ["\x57\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x93\xBF"],

        ["\xF3\xB1\x94\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x4D"],
        ["\x57\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x80"],

        ["\xF3\xB1\x94\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x4E"],
        ["\x57\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x81"],

        ["\xF3\xB1\x94\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x4F"],
        ["\x57\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x82"],

        ["\xF3\xB1\x94\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x50"],
        ["\x57\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x83"],

        ["\xF3\xB1\x94\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x51"],
        ["\x57\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x84"],

        ["\xF3\xB1\x94\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x52"],
        ["\x57\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x85"],

        ["\xF3\xB1\x94\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x53"],
        ["\x57\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x86"],

        ["\xF3\xB1\x94\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x54"],
        ["\x57\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x87"],

        ["\xF3\xB1\x94\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x55"],
        ["\x57\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x88"],

        ["\xF3\xB1\x94\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x56"],
        ["\x57\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x89"],

        ["\xF3\xB1\x94\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x57"],
        ["\x57\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x8A"],

        ["\xF3\xB1\x94\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x58"],
        ["\x57\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x8B"],

        ["\xF3\xB1\x94\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x59"],
        ["\x57\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x8C"],

        ["\xF3\xB1\x94\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x5A"],
        ["\x57\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x8D"],

        ["\xF3\xB1\x94\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x5B"],
        ["\x57\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x8E"],

        ["\xF3\xB1\x94\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x5C"],
        ["\x57\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x8F"],

        ["\xF3\xB1\x94\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x5D"],
        ["\x57\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x90"],

        ["\xF3\xB1\x94\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x5E"],
        ["\x57\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x91"],

        ["\xF3\xB1\x94\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x5F"],
        ["\x57\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x92"],

        ["\xF3\xB1\x94\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x60"],
        ["\x57\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x93"],

        ["\xF3\xB1\x94\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x61"],
        ["\x57\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x94"],

        ["\xF3\xB1\x94\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x62"],
        ["\x57\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x95"],

        ["\xF3\xB1\x94\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x63"],
        ["\x57\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x96"],

        ["\xF3\xB1\x94\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x64"],
        ["\x57\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x97"],

        ["\xF3\xB1\x94\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x65"],
        ["\x57\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x98"],

        ["\xF3\xB1\x94\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x66"],
        ["\x57\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x99"],

        ["\xF3\xB1\x94\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x67"],
        ["\x57\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x9A"],

        ["\xF3\xB1\x94\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x68"],
        ["\x57\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x9B"],

        ["\xF3\xB1\x94\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x69"],
        ["\x57\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x9C"],

        ["\xF3\xB1\x94\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x6A"],
        ["\x57\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x9D"],

        ["\xF3\xB1\x94\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x6B"],
        ["\x57\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x9E"],

        ["\xF3\xB1\x94\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x6C"],
        ["\x57\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\x9F"],

        ["\xF3\xB1\x94\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x6D"],
        ["\x57\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xA0"],

        ["\xF3\xB1\x94\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x6E"],
        ["\x57\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xA1"],

        ["\xF3\xB1\x94\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x6F"],
        ["\x57\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xA2"],

        ["\xF3\xB1\x94\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x70"],
        ["\x57\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xA3"],

        ["\xF3\xB1\x94\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x71"],
        ["\x57\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xA4"],

        ["\xF3\xB1\x94\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x72"],
        ["\x57\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xA5"],

        ["\xF3\xB1\x94\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x73"],
        ["\x57\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xA6"],

        ["\xF3\xB1\x94\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x74"],
        ["\x57\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xA7"],

        ["\xF3\xB1\x94\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x75"],
        ["\x57\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xA8"],

        ["\xF3\xB1\x94\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x76"],
        ["\x57\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xA9"],

        ["\xF3\xB1\x94\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x77"],
        ["\x57\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xAA"],

        ["\xF3\xB1\x94\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x78"],
        ["\x57\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xAB"],

        ["\xF3\xB1\x94\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x79"],
        ["\x57\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xAC"],

        ["\xF3\xB1\x94\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x7A"],
        ["\x57\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xAD"],

        ["\xF3\xB1\x94\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x7B"],
        ["\x57\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xAE"],

        ["\xF3\xB1\x94\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x7C"],
        ["\x57\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xAF"],

        ["\xF3\xB1\x94\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x7D"],
        ["\x57\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xB0"],

        ["\xF3\xB1\x94\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x7E"],
        ["\x57\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xB1"],

        ["\xF3\xB1\x94\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x21"],
        ["\x58\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xB2"],

        ["\xF3\xB1\x94\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x22"],
        ["\x58\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xB3"],

        ["\xF3\xB1\x94\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x23"],
        ["\x58\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xB4"],

        ["\xF3\xB1\x94\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x24"],
        ["\x58\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xB5"],

        ["\xF3\xB1\x94\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x25"],
        ["\x58\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xB6"],

        ["\xF3\xB1\x94\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x26"],
        ["\x58\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xB7"],

        ["\xF3\xB1\x94\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x27"],
        ["\x58\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xB8"],

        ["\xF3\xB1\x94\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x28"],
        ["\x58\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xB9"],

        ["\xF3\xB1\x94\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x29"],
        ["\x58\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xBA"],

        ["\xF3\xB1\x94\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x2A"],
        ["\x58\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xBB"],

        ["\xF3\xB1\x94\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x2B"],
        ["\x58\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xBC"],

        ["\xF3\xB1\x94\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x2C"],
        ["\x58\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xBD"],

        ["\xF3\xB1\x94\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x2D"],
        ["\x58\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xBE"],

        ["\xF3\xB1\x94\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x2E"],
        ["\x58\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x94\xBF"],

        ["\xF3\xB1\x95\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x2F"],
        ["\x58\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x80"],

        ["\xF3\xB1\x95\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x30"],
        ["\x58\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x81"],

        ["\xF3\xB1\x95\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x31"],
        ["\x58\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x82"],

        ["\xF3\xB1\x95\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x32"],
        ["\x58\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x83"],

        ["\xF3\xB1\x95\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x33"],
        ["\x58\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x84"],

        ["\xF3\xB1\x95\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x34"],
        ["\x58\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x85"],

        ["\xF3\xB1\x95\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x35"],
        ["\x58\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x86"],

        ["\xF3\xB1\x95\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x36"],
        ["\x58\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x87"],

        ["\xF3\xB1\x95\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x37"],
        ["\x58\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x88"],

        ["\xF3\xB1\x95\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x38"],
        ["\x58\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x89"],

        ["\xF3\xB1\x95\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x39"],
        ["\x58\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x8A"],

        ["\xF3\xB1\x95\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x3A"],
        ["\x58\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x8B"],

        ["\xF3\xB1\x95\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x3B"],
        ["\x58\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x8C"],

        ["\xF3\xB1\x95\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x3C"],
        ["\x58\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x8D"],

        ["\xF3\xB1\x95\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x3D"],
        ["\x58\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x8E"],

        ["\xF3\xB1\x95\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x3E"],
        ["\x58\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x8F"],

        ["\xF3\xB1\x95\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x3F"],
        ["\x58\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x90"],

        ["\xF3\xB1\x95\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x40"],
        ["\x58\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x91"],

        ["\xF3\xB1\x95\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x41"],
        ["\x58\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x92"],

        ["\xF3\xB1\x95\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x42"],
        ["\x58\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x93"],

        ["\xF3\xB1\x95\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x43"],
        ["\x58\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x94"],

        ["\xF3\xB1\x95\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x44"],
        ["\x58\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x95"],

        ["\xF3\xB1\x95\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x45"],
        ["\x58\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x96"],

        ["\xF3\xB1\x95\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x46"],
        ["\x58\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x97"],

        ["\xF3\xB1\x95\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x47"],
        ["\x58\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x98"],

        ["\xF3\xB1\x95\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x48"],
        ["\x58\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x99"],

        ["\xF3\xB1\x95\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x49"],
        ["\x58\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x9A"],

        ["\xF3\xB1\x95\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x4A"],
        ["\x58\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x9B"],

        ["\xF3\xB1\x95\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x4B"],
        ["\x58\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x9C"],

        ["\xF3\xB1\x95\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x4C"],
        ["\x58\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x9D"],

        ["\xF3\xB1\x95\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x4D"],
        ["\x58\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x9E"],

        ["\xF3\xB1\x95\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x4E"],
        ["\x58\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\x9F"],

        ["\xF3\xB1\x95\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x4F"],
        ["\x58\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xA0"],

        ["\xF3\xB1\x95\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x50"],
        ["\x58\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xA1"],

        ["\xF3\xB1\x95\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x51"],
        ["\x58\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xA2"],

        ["\xF3\xB1\x95\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x52"],
        ["\x58\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xA3"],

        ["\xF3\xB1\x95\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x53"],
        ["\x58\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xA4"],

        ["\xF3\xB1\x95\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x54"],
        ["\x58\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xA5"],

        ["\xF3\xB1\x95\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x55"],
        ["\x58\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xA6"],

        ["\xF3\xB1\x95\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x56"],
        ["\x58\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xA7"],

        ["\xF3\xB1\x95\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x57"],
        ["\x58\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xA8"],

        ["\xF3\xB1\x95\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x58"],
        ["\x58\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xA9"],

        ["\xF3\xB1\x95\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x59"],
        ["\x58\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xAA"],

        ["\xF3\xB1\x95\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x5A"],
        ["\x58\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xAB"],

        ["\xF3\xB1\x95\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x5B"],
        ["\x58\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xAC"],

        ["\xF3\xB1\x95\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x5C"],
        ["\x58\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xAD"],

        ["\xF3\xB1\x95\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x5D"],
        ["\x58\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xAE"],

        ["\xF3\xB1\x95\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x5E"],
        ["\x58\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xAF"],

        ["\xF3\xB1\x95\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x5F"],
        ["\x58\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xB0"],

        ["\xF3\xB1\x95\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x60"],
        ["\x58\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xB1"],

        ["\xF3\xB1\x95\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x61"],
        ["\x58\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xB2"],

        ["\xF3\xB1\x95\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x62"],
        ["\x58\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xB3"],

        ["\xF3\xB1\x95\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x63"],
        ["\x58\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xB4"],

        ["\xF3\xB1\x95\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x64"],
        ["\x58\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xB5"],

        ["\xF3\xB1\x95\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x65"],
        ["\x58\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xB6"],

        ["\xF3\xB1\x95\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x66"],
        ["\x58\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xB7"],

        ["\xF3\xB1\x95\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x67"],
        ["\x58\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xB8"],

        ["\xF3\xB1\x95\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x68"],
        ["\x58\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xB9"],

        ["\xF3\xB1\x95\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x69"],
        ["\x58\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xBA"],

        ["\xF3\xB1\x95\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x6A"],
        ["\x58\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xBB"],

        ["\xF3\xB1\x95\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x6B"],
        ["\x58\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xBC"],

        ["\xF3\xB1\x95\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x6C"],
        ["\x58\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xBD"],

        ["\xF3\xB1\x95\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x6D"],
        ["\x58\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xBE"],

        ["\xF3\xB1\x95\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x6E"],
        ["\x58\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x95\xBF"],

        ["\xF3\xB1\x96\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x6F"],
        ["\x58\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x80"],

        ["\xF3\xB1\x96\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x70"],
        ["\x58\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x81"],

        ["\xF3\xB1\x96\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x71"],
        ["\x58\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x82"],

        ["\xF3\xB1\x96\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x72"],
        ["\x58\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x83"],

        ["\xF3\xB1\x96\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x73"],
        ["\x58\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x84"],

        ["\xF3\xB1\x96\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x74"],
        ["\x58\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x85"],

        ["\xF3\xB1\x96\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x75"],
        ["\x58\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x86"],

        ["\xF3\xB1\x96\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x76"],
        ["\x58\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x87"],

        ["\xF3\xB1\x96\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x77"],
        ["\x58\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x88"],

        ["\xF3\xB1\x96\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x78"],
        ["\x58\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x89"],

        ["\xF3\xB1\x96\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x79"],
        ["\x58\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x8A"],

        ["\xF3\xB1\x96\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x7A"],
        ["\x58\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x8B"],

        ["\xF3\xB1\x96\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x7B"],
        ["\x58\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x8C"],

        ["\xF3\xB1\x96\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x7C"],
        ["\x58\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x8D"],

        ["\xF3\xB1\x96\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x7D"],
        ["\x58\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x8E"],

        ["\xF3\xB1\x96\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x58\x7E"],
        ["\x58\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x8F"],

        ["\xF3\xB1\x96\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x21"],
        ["\x59\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x90"],

        ["\xF3\xB1\x96\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x22"],
        ["\x59\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x91"],

        ["\xF3\xB1\x96\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x23"],
        ["\x59\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x92"],

        ["\xF3\xB1\x96\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x24"],
        ["\x59\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x93"],

        ["\xF3\xB1\x96\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x25"],
        ["\x59\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x94"],

        ["\xF3\xB1\x96\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x26"],
        ["\x59\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x95"],

        ["\xF3\xB1\x96\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x27"],
        ["\x59\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x96"],

        ["\xF3\xB1\x96\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x28"],
        ["\x59\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x97"],

        ["\xF3\xB1\x96\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x29"],
        ["\x59\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x98"],

        ["\xF3\xB1\x96\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x2A"],
        ["\x59\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x99"],

        ["\xF3\xB1\x96\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x2B"],
        ["\x59\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x9A"],

        ["\xF3\xB1\x96\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x2C"],
        ["\x59\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x9B"],

        ["\xF3\xB1\x96\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x2D"],
        ["\x59\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x9C"],

        ["\xF3\xB1\x96\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x2E"],
        ["\x59\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x9D"],

        ["\xF3\xB1\x96\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x2F"],
        ["\x59\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x9E"],

        ["\xF3\xB1\x96\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x30"],
        ["\x59\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\x9F"],

        ["\xF3\xB1\x96\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x31"],
        ["\x59\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xA0"],

        ["\xF3\xB1\x96\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x32"],
        ["\x59\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xA1"],

        ["\xF3\xB1\x96\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x33"],
        ["\x59\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xA2"],

        ["\xF3\xB1\x96\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x34"],
        ["\x59\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xA3"],

        ["\xF3\xB1\x96\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x35"],
        ["\x59\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xA4"],

        ["\xF3\xB1\x96\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x36"],
        ["\x59\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xA5"],

        ["\xF3\xB1\x96\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x37"],
        ["\x59\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xA6"],

        ["\xF3\xB1\x96\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x38"],
        ["\x59\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xA7"],

        ["\xF3\xB1\x96\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x39"],
        ["\x59\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xA8"],

        ["\xF3\xB1\x96\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x3A"],
        ["\x59\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xA9"],

        ["\xF3\xB1\x96\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x3B"],
        ["\x59\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xAA"],

        ["\xF3\xB1\x96\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x3C"],
        ["\x59\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xAB"],

        ["\xF3\xB1\x96\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x3D"],
        ["\x59\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xAC"],

        ["\xF3\xB1\x96\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x3E"],
        ["\x59\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xAD"],

        ["\xF3\xB1\x96\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x3F"],
        ["\x59\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xAE"],

        ["\xF3\xB1\x96\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x40"],
        ["\x59\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xAF"],

        ["\xF3\xB1\x96\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x41"],
        ["\x59\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xB0"],

        ["\xF3\xB1\x96\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x42"],
        ["\x59\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xB1"],

        ["\xF3\xB1\x96\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x43"],
        ["\x59\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xB2"],

        ["\xF3\xB1\x96\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x44"],
        ["\x59\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xB3"],

        ["\xF3\xB1\x96\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x45"],
        ["\x59\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xB4"],

        ["\xF3\xB1\x96\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x46"],
        ["\x59\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xB5"],

        ["\xF3\xB1\x96\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x47"],
        ["\x59\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xB6"],

        ["\xF3\xB1\x96\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x48"],
        ["\x59\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xB7"],

        ["\xF3\xB1\x96\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x49"],
        ["\x59\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xB8"],

        ["\xF3\xB1\x96\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x4A"],
        ["\x59\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xB9"],

        ["\xF3\xB1\x96\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x4B"],
        ["\x59\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xBA"],

        ["\xF3\xB1\x96\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x4C"],
        ["\x59\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xBB"],

        ["\xF3\xB1\x96\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x4D"],
        ["\x59\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xBC"],

        ["\xF3\xB1\x96\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x4E"],
        ["\x59\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xBD"],

        ["\xF3\xB1\x96\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x4F"],
        ["\x59\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xBE"],

        ["\xF3\xB1\x96\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x50"],
        ["\x59\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x96\xBF"],

        ["\xF3\xB1\x97\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x51"],
        ["\x59\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x80"],

        ["\xF3\xB1\x97\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x52"],
        ["\x59\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x81"],

        ["\xF3\xB1\x97\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x53"],
        ["\x59\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x82"],

        ["\xF3\xB1\x97\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x54"],
        ["\x59\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x83"],

        ["\xF3\xB1\x97\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x55"],
        ["\x59\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x84"],

        ["\xF3\xB1\x97\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x56"],
        ["\x59\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x85"],

        ["\xF3\xB1\x97\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x57"],
        ["\x59\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x86"],

        ["\xF3\xB1\x97\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x58"],
        ["\x59\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x87"],

        ["\xF3\xB1\x97\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x59"],
        ["\x59\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x88"],

        ["\xF3\xB1\x97\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x5A"],
        ["\x59\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x89"],

        ["\xF3\xB1\x97\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x5B"],
        ["\x59\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x8A"],

        ["\xF3\xB1\x97\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x5C"],
        ["\x59\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x8B"],

        ["\xF3\xB1\x97\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x5D"],
        ["\x59\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x8C"],

        ["\xF3\xB1\x97\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x5E"],
        ["\x59\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x8D"],

        ["\xF3\xB1\x97\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x5F"],
        ["\x59\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x8E"],

        ["\xF3\xB1\x97\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x60"],
        ["\x59\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x8F"],

        ["\xF3\xB1\x97\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x61"],
        ["\x59\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x90"],

        ["\xF3\xB1\x97\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x62"],
        ["\x59\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x91"],

        ["\xF3\xB1\x97\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x63"],
        ["\x59\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x92"],

        ["\xF3\xB1\x97\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x64"],
        ["\x59\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x93"],

        ["\xF3\xB1\x97\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x65"],
        ["\x59\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x94"],

        ["\xF3\xB1\x97\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x66"],
        ["\x59\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x95"],

        ["\xF3\xB1\x97\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x67"],
        ["\x59\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x96"],

        ["\xF3\xB1\x97\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x68"],
        ["\x59\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x97"],

        ["\xF3\xB1\x97\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x69"],
        ["\x59\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x98"],

        ["\xF3\xB1\x97\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x6A"],
        ["\x59\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x99"],

        ["\xF3\xB1\x97\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x6B"],
        ["\x59\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x9A"],

        ["\xF3\xB1\x97\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x6C"],
        ["\x59\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x9B"],

        ["\xF3\xB1\x97\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x6D"],
        ["\x59\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x9C"],

        ["\xF3\xB1\x97\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x6E"],
        ["\x59\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x9D"],

        ["\xF3\xB1\x97\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x6F"],
        ["\x59\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x9E"],

        ["\xF3\xB1\x97\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x70"],
        ["\x59\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\x9F"],

        ["\xF3\xB1\x97\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x71"],
        ["\x59\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xA0"],

        ["\xF3\xB1\x97\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x72"],
        ["\x59\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xA1"],

        ["\xF3\xB1\x97\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x73"],
        ["\x59\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xA2"],

        ["\xF3\xB1\x97\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x74"],
        ["\x59\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xA3"],

        ["\xF3\xB1\x97\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x75"],
        ["\x59\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xA4"],

        ["\xF3\xB1\x97\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x76"],
        ["\x59\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xA5"],

        ["\xF3\xB1\x97\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x77"],
        ["\x59\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xA6"],

        ["\xF3\xB1\x97\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x49"],
        ["\x33\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xA7"],

        ["\xF3\xB1\x97\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x79"],
        ["\x59\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xA8"],

        ["\xF3\xB1\x97\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x7A"],
        ["\x59\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xA9"],

        ["\xF3\xB1\x97\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x7B"],
        ["\x59\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xAA"],

        ["\xF3\xB1\x97\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x7C"],
        ["\x59\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xAB"],

        ["\xF3\xB1\x97\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x7D"],
        ["\x59\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xAC"],

        ["\xF3\xB1\x97\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x59\x7E"],
        ["\x59\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xAD"],

        ["\xF3\xB1\x97\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x21"],
        ["\x5A\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xAE"],

        ["\xF3\xB1\x97\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x22"],
        ["\x5A\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xAF"],

        ["\xF3\xB1\x97\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x23"],
        ["\x5A\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xB0"],

        ["\xF3\xB1\x97\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x24"],
        ["\x5A\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xB1"],

        ["\xF3\xB1\x97\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x25"],
        ["\x5A\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xB2"],

        ["\xF3\xB1\x97\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x26"],
        ["\x5A\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xB3"],

        ["\xF3\xB1\x97\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x27"],
        ["\x5A\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xB4"],

        ["\xF3\xB1\x97\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x28"],
        ["\x5A\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xB5"],

        ["\xF3\xB1\x97\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x29"],
        ["\x5A\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xB6"],

        ["\xF3\xB1\x97\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x2A"],
        ["\x5A\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xB7"],

        ["\xF3\xB1\x97\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x2B"],
        ["\x5A\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xB8"],

        ["\xF3\xB1\x97\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x2C"],
        ["\x5A\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xB9"],

        ["\xF3\xB1\x97\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x2D"],
        ["\x5A\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xBA"],

        ["\xF3\xB1\x97\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x2E"],
        ["\x5A\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xBB"],

        ["\xF3\xB1\x97\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x2F"],
        ["\x5A\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xBC"],

        ["\xF3\xB1\x97\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x30"],
        ["\x5A\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xBD"],

        ["\xF3\xB1\x97\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x31"],
        ["\x5A\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xBE"],

        ["\xF3\xB1\x97\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x32"],
        ["\x5A\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x97\xBF"],

        ["\xF3\xB1\x98\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x33"],
        ["\x5A\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x80"],

        ["\xF3\xB1\x98\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x34"],
        ["\x5A\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x81"],

        ["\xF3\xB1\x98\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x35"],
        ["\x5A\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x82"],

        ["\xF3\xB1\x98\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x36"],
        ["\x5A\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x83"],

        ["\xF3\xB1\x98\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x37"],
        ["\x5A\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x84"],

        ["\xF3\xB1\x98\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x38"],
        ["\x5A\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x85"],

        ["\xF3\xB1\x98\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x39"],
        ["\x5A\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x86"],

        ["\xF3\xB1\x98\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x3A"],
        ["\x5A\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x87"],

        ["\xF3\xB1\x98\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x3B"],
        ["\x5A\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x88"],

        ["\xF3\xB1\x98\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x3C"],
        ["\x5A\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x89"],

        ["\xF3\xB1\x98\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x3D"],
        ["\x5A\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x8A"],

        ["\xF3\xB1\x98\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x3E"],
        ["\x5A\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x8B"],

        ["\xF3\xB1\x98\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x3F"],
        ["\x5A\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x8C"],

        ["\xF3\xB1\x98\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x40"],
        ["\x5A\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x8D"],

        ["\xF3\xB1\x98\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x41"],
        ["\x5A\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x8E"],

        ["\xF3\xB1\x98\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x42"],
        ["\x5A\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x8F"],

        ["\xF3\xB1\x98\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x43"],
        ["\x5A\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x90"],

        ["\xF3\xB1\x98\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x44"],
        ["\x5A\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x91"],

        ["\xF3\xB1\x98\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x45"],
        ["\x5A\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x92"],

        ["\xF3\xB1\x98\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x46"],
        ["\x5A\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x93"],

        ["\xF3\xB1\x98\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x47"],
        ["\x5A\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x94"],

        ["\xF3\xB1\x98\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x48"],
        ["\x5A\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x95"],

        ["\xF3\xB1\x98\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x49"],
        ["\x5A\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x96"],

        ["\xF3\xB1\x98\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x4A"],
        ["\x5A\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x97"],

        ["\xF3\xB1\x98\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x4B"],
        ["\x5A\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x98"],

        ["\xF3\xB1\x98\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x4C"],
        ["\x5A\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x99"],

        ["\xF3\xB1\x98\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x4D"],
        ["\x5A\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x9A"],

        ["\xF3\xB1\x98\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x4E"],
        ["\x5A\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x9B"],

        ["\xF3\xB1\x98\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x4F"],
        ["\x5A\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x9C"],

        ["\xF3\xB1\x98\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x50"],
        ["\x5A\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x9D"],

        ["\xF3\xB1\x98\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x51"],
        ["\x5A\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x9E"],

        ["\xF3\xB1\x98\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x52"],
        ["\x5A\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\x9F"],

        ["\xF3\xB1\x98\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x53"],
        ["\x5A\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xA0"],

        ["\xF3\xB1\x98\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x54"],
        ["\x5A\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xA1"],

        ["\xF3\xB1\x98\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x55"],
        ["\x5A\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xA2"],

        ["\xF3\xB1\x98\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x56"],
        ["\x5A\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xA3"],

        ["\xF3\xB1\x98\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x57"],
        ["\x5A\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xA4"],

        ["\xF3\xB1\x98\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x58"],
        ["\x5A\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xA5"],

        ["\xF3\xB1\x98\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x59"],
        ["\x5A\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xA6"],

        ["\xF3\xB1\x98\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x5A"],
        ["\x5A\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xA7"],

        ["\xF3\xB1\x98\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x5B"],
        ["\x5A\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xA8"],

        ["\xF3\xB1\x98\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x5C"],
        ["\x5A\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xA9"],

        ["\xF3\xB1\x98\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x5D"],
        ["\x5A\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xAA"],

        ["\xF3\xB1\x98\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x5E"],
        ["\x5A\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xAB"],

        ["\xF3\xB1\x98\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x5F"],
        ["\x5A\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xAC"],

        ["\xF3\xB1\x98\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x60"],
        ["\x5A\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xAD"],

        ["\xF3\xB1\x98\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x61"],
        ["\x5A\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xAE"],

        ["\xF3\xB1\x98\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x62"],
        ["\x5A\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xAF"],

        ["\xF3\xB1\x98\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x63"],
        ["\x5A\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xB0"],

        ["\xF3\xB1\x98\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x64"],
        ["\x5A\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xB1"],

        ["\xF3\xB1\x98\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x65"],
        ["\x5A\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xB2"],

        ["\xF3\xB1\x98\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x66"],
        ["\x5A\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xB3"],

        ["\xF3\xB1\x98\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x67"],
        ["\x5A\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xB4"],

        ["\xF3\xB1\x98\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x68"],
        ["\x5A\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xB5"],

        ["\xF3\xB1\x98\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x69"],
        ["\x5A\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xB6"],

        ["\xF3\xB1\x98\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x6A"],
        ["\x5A\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xB7"],

        ["\xF3\xB1\x98\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x6B"],
        ["\x5A\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xB8"],

        ["\xF3\xB1\x98\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x6C"],
        ["\x5A\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xB9"],

        ["\xF3\xB1\x98\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x6D"],
        ["\x5A\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xBA"],

        ["\xF3\xB1\x98\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x6E"],
        ["\x5A\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xBB"],

        ["\xF3\xB1\x98\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x6F"],
        ["\x5A\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xBC"],

        ["\xF3\xB1\x98\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x70"],
        ["\x5A\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xBD"],

        ["\xF3\xB1\x98\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x71"],
        ["\x5A\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xBE"],

        ["\xF3\xB1\x98\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x72"],
        ["\x5A\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x98\xBF"],

        ["\xF3\xB1\x99\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x73"],
        ["\x5A\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x80"],

        ["\xF3\xB1\x99\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x74"],
        ["\x5A\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x81"],

        ["\xF3\xB1\x99\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x75"],
        ["\x5A\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x82"],

        ["\xF3\xB1\x99\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x76"],
        ["\x5A\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x83"],

        ["\xF3\xB1\x99\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x77"],
        ["\x5A\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x84"],

        ["\xF3\xB1\x99\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x78"],
        ["\x5A\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x85"],

        ["\xF3\xB1\x99\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x79"],
        ["\x5A\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x86"],

        ["\xF3\xB1\x99\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x7A"],
        ["\x5A\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x87"],

        ["\xF3\xB1\x99\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x7B"],
        ["\x5A\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x88"],

        ["\xF3\xB1\x99\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x7C"],
        ["\x5A\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x89"],

        ["\xF3\xB1\x99\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x7D"],
        ["\x5A\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x8A"],

        ["\xF3\xB1\x99\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5A\x7E"],
        ["\x5A\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x8B"],

        ["\xF3\xB1\x99\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x21"],
        ["\x5B\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x8C"],

        ["\xF3\xB1\x99\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x22"],
        ["\x5B\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x8D"],

        ["\xF3\xB1\x99\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x23"],
        ["\x5B\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x8E"],

        ["\xF3\xB1\x99\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x24"],
        ["\x5B\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x8F"],

        ["\xF3\xB1\x99\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x25"],
        ["\x5B\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x90"],

        ["\xF3\xB1\x99\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x26"],
        ["\x5B\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x91"],

        ["\xF3\xB1\x99\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x27"],
        ["\x5B\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x92"],

        ["\xF3\xB1\x99\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x28"],
        ["\x5B\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x93"],

        ["\xF3\xB1\x99\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x29"],
        ["\x5B\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x94"],

        ["\xF3\xB1\x99\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x2A"],
        ["\x5B\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x95"],

        ["\xF3\xB1\x99\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x2B"],
        ["\x5B\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x96"],

        ["\xF3\xB1\x99\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x2C"],
        ["\x5B\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x97"],

        ["\xF3\xB1\x99\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x2D"],
        ["\x5B\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x98"],

        ["\xF3\xB1\x99\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x2E"],
        ["\x5B\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x99"],

        ["\xF3\xB1\x99\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x2F"],
        ["\x5B\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x9A"],

        ["\xF3\xB1\x99\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x30"],
        ["\x5B\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x9B"],

        ["\xF3\xB1\x99\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x31"],
        ["\x5B\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x9C"],

        ["\xF3\xB1\x99\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x32"],
        ["\x5B\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x9D"],

        ["\xF3\xB1\x99\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x33"],
        ["\x5B\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x9E"],

        ["\xF3\xB1\x99\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x34"],
        ["\x5B\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\x9F"],

        ["\xF3\xB1\x99\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x35"],
        ["\x5B\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xA0"],

        ["\xF3\xB1\x99\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x36"],
        ["\x5B\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xA1"],

        ["\xF3\xB1\x99\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x37"],
        ["\x5B\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xA2"],

        ["\xF3\xB1\x99\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x38"],
        ["\x5B\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xA3"],

        ["\xF3\xB1\x99\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x39"],
        ["\x5B\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xA4"],

        ["\xF3\xB1\x99\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x3A"],
        ["\x5B\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xA5"],

        ["\xF3\xB1\x99\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x3B"],
        ["\x5B\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xA6"],

        ["\xF3\xB1\x99\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x3C"],
        ["\x5B\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xA7"],

        ["\xF3\xB1\x99\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x3D"],
        ["\x5B\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xA8"],

        ["\xF3\xB1\x99\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x3E"],
        ["\x5B\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xA9"],

        ["\xF3\xB1\x99\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x3F"],
        ["\x5B\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xAA"],

        ["\xF3\xB1\x99\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x40"],
        ["\x5B\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xAB"],

        ["\xF3\xB1\x99\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x41"],
        ["\x5B\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xAC"],

        ["\xF3\xB1\x99\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x42"],
        ["\x5B\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xAD"],

        ["\xF3\xB1\x99\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x43"],
        ["\x5B\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xAE"],

        ["\xF3\xB1\x99\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x44"],
        ["\x5B\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xAF"],

        ["\xF3\xB1\x99\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x45"],
        ["\x5B\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xB0"],

        ["\xF3\xB1\x99\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x46"],
        ["\x5B\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xB1"],

        ["\xF3\xB1\x99\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x47"],
        ["\x5B\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xB2"],

        ["\xF3\xB1\x99\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x48"],
        ["\x5B\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xB3"],

        ["\xF3\xB1\x99\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x49"],
        ["\x5B\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xB4"],

        ["\xF3\xB1\x99\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x4A"],
        ["\x5B\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xB5"],

        ["\xF3\xB1\x99\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x4B"],
        ["\x5B\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xB6"],

        ["\xF3\xB1\x99\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x4C"],
        ["\x5B\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xB7"],

        ["\xF3\xB1\x99\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x4D"],
        ["\x5B\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xB8"],

        ["\xF3\xB1\x99\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x4E"],
        ["\x5B\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xB9"],

        ["\xF3\xB1\x99\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x4F"],
        ["\x5B\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xBA"],

        ["\xF3\xB1\x99\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x50"],
        ["\x5B\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xBB"],

        ["\xF3\xB1\x99\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x51"],
        ["\x5B\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xBC"],

        ["\xF3\xB1\x99\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x52"],
        ["\x5B\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xBD"],

        ["\xF3\xB1\x99\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x53"],
        ["\x5B\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xBE"],

        ["\xF3\xB1\x99\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x54"],
        ["\x5B\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x99\xBF"],

        ["\xF3\xB1\x9A\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x55"],
        ["\x5B\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x80"],

        ["\xF3\xB1\x9A\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x56"],
        ["\x5B\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x81"],

        ["\xF3\xB1\x9A\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x57"],
        ["\x5B\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x82"],

        ["\xF3\xB1\x9A\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x49\x30"],
        ["\x49\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x83"],

        ["\xF3\xB1\x9A\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x59"],
        ["\x5B\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x84"],

        ["\xF3\xB1\x9A\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x5A"],
        ["\x5B\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x85"],

        ["\xF3\xB1\x9A\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x5B"],
        ["\x5B\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x86"],

        ["\xF3\xB1\x9A\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x5C"],
        ["\x5B\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x87"],

        ["\xF3\xB1\x9A\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x5D"],
        ["\x5B\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x88"],

        ["\xF3\xB1\x9A\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x5E"],
        ["\x5B\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x89"],

        ["\xF3\xB1\x9A\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x5F"],
        ["\x5B\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x8A"],

        ["\xF3\xB1\x9A\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x60"],
        ["\x5B\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x8B"],

        ["\xF3\xB1\x9A\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x61"],
        ["\x5B\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x8C"],

        ["\xF3\xB1\x9A\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x62"],
        ["\x5B\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x8D"],

        ["\xF3\xB1\x9A\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x63"],
        ["\x5B\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x8E"],

        ["\xF3\xB1\x9A\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x64"],
        ["\x5B\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x8F"],

        ["\xF3\xB1\x9A\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x65"],
        ["\x5B\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x90"],

        ["\xF3\xB1\x9A\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x66"],
        ["\x5B\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x91"],

        ["\xF3\xB1\x9A\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x67"],
        ["\x5B\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x92"],

        ["\xF3\xB1\x9A\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x68"],
        ["\x5B\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x93"],

        ["\xF3\xB1\x9A\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x69"],
        ["\x5B\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x94"],

        ["\xF3\xB1\x9A\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x6A"],
        ["\x5B\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x95"],

        ["\xF3\xB1\x9A\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x6B"],
        ["\x5B\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x96"],

        ["\xF3\xB1\x9A\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x6C"],
        ["\x5B\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x97"],

        ["\xF3\xB1\x9A\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x6E"],
        ["\x45\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x98"],

        ["\xF3\xB1\x9A\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x6E"],
        ["\x5B\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x99"],

        ["\xF3\xB1\x9A\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x6F"],
        ["\x5B\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x9A"],

        ["\xF3\xB1\x9A\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x70"],
        ["\x5B\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x9B"],

        ["\xF3\xB1\x9A\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x71"],
        ["\x5B\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x9C"],

        ["\xF3\xB1\x9A\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x72"],
        ["\x5B\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x9D"],

        ["\xF3\xB1\x9A\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x73"],
        ["\x5B\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x9E"],

        ["\xF3\xB1\x9A\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x74"],
        ["\x5B\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\x9F"],

        ["\xF3\xB1\x9A\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x75"],
        ["\x5B\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xA0"],

        ["\xF3\xB1\x9A\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x76"],
        ["\x5B\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xA1"],

        ["\xF3\xB1\x9A\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x77"],
        ["\x5B\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xA2"],

        ["\xF3\xB1\x9A\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x78"],
        ["\x5B\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xA3"],

        ["\xF3\xB1\x9A\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x79"],
        ["\x5B\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xA4"],

        ["\xF3\xB1\x9A\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x7A"],
        ["\x5B\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xA5"],

        ["\xF3\xB1\x9A\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x7B"],
        ["\x5B\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xA6"],

        ["\xF3\xB1\x9A\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x7C"],
        ["\x5B\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xA7"],

        ["\xF3\xB1\x9A\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x7D"],
        ["\x5B\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xA8"],

        ["\xF3\xB1\x9A\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5B\x7E"],
        ["\x5B\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xA9"],

        ["\xF3\xB1\x9A\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x21"],
        ["\x5C\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xAA"],

        ["\xF3\xB1\x9A\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x22"],
        ["\x5C\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xAB"],

        ["\xF3\xB1\x9A\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x23"],
        ["\x5C\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xAC"],

        ["\xF3\xB1\x9A\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x24"],
        ["\x5C\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xAD"],

        ["\xF3\xB1\x9A\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x25"],
        ["\x5C\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xAE"],

        ["\xF3\xB1\x9A\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x26"],
        ["\x5C\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xAF"],

        ["\xF3\xB1\x9A\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x27"],
        ["\x5C\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xB0"],

        ["\xF3\xB1\x9A\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x28"],
        ["\x5C\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xB1"],

        ["\xF3\xB1\x9A\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x29"],
        ["\x5C\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xB2"],

        ["\xF3\xB1\x9A\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x2A"],
        ["\x5C\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xB3"],

        ["\xF3\xB1\x9A\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x2B"],
        ["\x5C\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xB4"],

        ["\xF3\xB1\x9A\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x2C"],
        ["\x5C\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xB5"],

        ["\xF3\xB1\x9A\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x2D"],
        ["\x5C\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xB6"],

        ["\xF3\xB1\x9A\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x2E"],
        ["\x5C\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xB7"],

        ["\xF3\xB1\x9A\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x2F"],
        ["\x5C\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xB8"],

        ["\xF3\xB1\x9A\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x30"],
        ["\x5C\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xB9"],

        ["\xF3\xB1\x9A\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x31"],
        ["\x5C\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xBA"],

        ["\xF3\xB1\x9A\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x32"],
        ["\x5C\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xBB"],

        ["\xF3\xB1\x9A\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x33"],
        ["\x5C\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xBC"],

        ["\xF3\xB1\x9A\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x34"],
        ["\x5C\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xBD"],

        ["\xF3\xB1\x9A\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x35"],
        ["\x5C\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xBE"],

        ["\xF3\xB1\x9A\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x36"],
        ["\x5C\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9A\xBF"],

        ["\xF3\xB1\x9B\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x37"],
        ["\x5C\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x80"],

        ["\xF3\xB1\x9B\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x38"],
        ["\x5C\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x81"],

        ["\xF3\xB1\x9B\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x39"],
        ["\x5C\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x82"],

        ["\xF3\xB1\x9B\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x3A"],
        ["\x5C\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x83"],

        ["\xF3\xB1\x9B\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x3B"],
        ["\x5C\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x84"],

        ["\xF3\xB1\x9B\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x3C"],
        ["\x5C\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x85"],

        ["\xF3\xB1\x9B\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x3D"],
        ["\x5C\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x86"],

        ["\xF3\xB1\x9B\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x3E"],
        ["\x5C\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x87"],

        ["\xF3\xB1\x9B\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x3F"],
        ["\x5C\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x88"],

        ["\xF3\xB1\x9B\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x40"],
        ["\x5C\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x89"],

        ["\xF3\xB1\x9B\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x41"],
        ["\x5C\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x8A"],

        ["\xF3\xB1\x9B\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x42"],
        ["\x5C\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x8B"],

        ["\xF3\xB1\x9B\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x43"],
        ["\x5C\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x8C"],

        ["\xF3\xB1\x9B\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x44"],
        ["\x5C\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x8D"],

        ["\xF3\xB1\x9B\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x45"],
        ["\x5C\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x8E"],

        ["\xF3\xB1\x9B\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x46"],
        ["\x5C\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x8F"],

        ["\xF3\xB1\x9B\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x47"],
        ["\x5C\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x90"],

        ["\xF3\xB1\x9B\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x48"],
        ["\x5C\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x91"],

        ["\xF3\xB1\x9B\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x49"],
        ["\x5C\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x92"],

        ["\xF3\xB1\x9B\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x4A"],
        ["\x5C\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x93"],

        ["\xF3\xB1\x9B\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x4B"],
        ["\x5C\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x94"],

        ["\xF3\xB1\x9B\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x4C"],
        ["\x5C\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x95"],

        ["\xF3\xB1\x9B\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x4D"],
        ["\x5C\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x96"],

        ["\xF3\xB1\x9B\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x4E"],
        ["\x5C\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x97"],

        ["\xF3\xB1\x9B\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x4F"],
        ["\x5C\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x98"],

        ["\xF3\xB1\x9B\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x50"],
        ["\x5C\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x99"],

        ["\xF3\xB1\x9B\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x51"],
        ["\x5C\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x9A"],

        ["\xF3\xB1\x9B\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x52"],
        ["\x5C\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x9B"],

        ["\xF3\xB1\x9B\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x53"],
        ["\x5C\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x9C"],

        ["\xF3\xB1\x9B\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x54"],
        ["\x5C\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x9D"],

        ["\xF3\xB1\x9B\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x55"],
        ["\x5C\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x9E"],

        ["\xF3\xB1\x9B\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x56"],
        ["\x5C\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\x9F"],

        ["\xF3\xB1\x9B\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x57"],
        ["\x5C\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xA0"],

        ["\xF3\xB1\x9B\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x58"],
        ["\x5C\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xA1"],

        ["\xF3\xB1\x9B\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x59"],
        ["\x5C\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xA2"],

        ["\xF3\xB1\x9B\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x5A"],
        ["\x5C\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xA3"],

        ["\xF3\xB1\x9B\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x5B"],
        ["\x5C\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xA4"],

        ["\xF3\xB1\x9B\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x5C"],
        ["\x5C\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xA5"],

        ["\xF3\xB1\x9B\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x5D"],
        ["\x5C\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xA6"],

        ["\xF3\xB1\x9B\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x5E"],
        ["\x5C\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xA7"],

        ["\xF3\xB1\x9B\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x5F"],
        ["\x5C\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xA8"],

        ["\xF3\xB1\x9B\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x60"],
        ["\x5C\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xA9"],

        ["\xF3\xB1\x9B\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x61"],
        ["\x5C\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xAA"],

        ["\xF3\xB1\x9B\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x62"],
        ["\x5C\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xAB"],

        ["\xF3\xB1\x9B\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x63"],
        ["\x5C\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xAC"],

        ["\xF3\xB1\x9B\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x64"],
        ["\x5C\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xAD"],

        ["\xF3\xB1\x9B\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x65"],
        ["\x5C\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xAE"],

        ["\xF3\xB1\x9B\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x66"],
        ["\x5C\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xAF"],

        ["\xF3\xB1\x9B\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x67"],
        ["\x5C\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xB0"],

        ["\xF3\xB1\x9B\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x68"],
        ["\x5C\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xB1"],

        ["\xF3\xB1\x9B\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x69"],
        ["\x5C\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xB2"],

        ["\xF3\xB1\x9B\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x6A"],
        ["\x5C\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xB3"],

        ["\xF3\xB1\x9B\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x6B"],
        ["\x5C\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xB4"],

        ["\xF3\xB1\x9B\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x6C"],
        ["\x5C\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xB5"],

        ["\xF3\xB1\x9B\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x6D"],
        ["\x5C\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xB6"],

        ["\xF3\xB1\x9B\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x6E"],
        ["\x5C\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xB7"],

        ["\xF3\xB1\x9B\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x6F"],
        ["\x5C\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xB8"],

        ["\xF3\xB1\x9B\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x70"],
        ["\x5C\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xB9"],

        ["\xF3\xB1\x9B\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x71"],
        ["\x5C\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xBA"],

        ["\xF3\xB1\x9B\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x72"],
        ["\x5C\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xBB"],

        ["\xF3\xB1\x9B\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x73"],
        ["\x5C\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xBC"],

        ["\xF3\xB1\x9B\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x74"],
        ["\x5C\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xBD"],

        ["\xF3\xB1\x9B\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x75"],
        ["\x5C\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xBE"],

        ["\xF3\xB1\x9B\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x76"],
        ["\x5C\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9B\xBF"],

        ["\xF3\xB1\x9C\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x77"],
        ["\x5C\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x80"],

        ["\xF3\xB1\x9C\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x78"],
        ["\x5C\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x81"],

        ["\xF3\xB1\x9C\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x79"],
        ["\x5C\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x82"],

        ["\xF3\xB1\x9C\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x7A"],
        ["\x5C\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x83"],

        ["\xF3\xB1\x9C\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x7B"],
        ["\x5C\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x84"],

        ["\xF3\xB1\x9C\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x7C"],
        ["\x5C\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x85"],

        ["\xF3\xB1\x9C\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x7D"],
        ["\x5C\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x86"],

        ["\xF3\xB1\x9C\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5C\x7E"],
        ["\x5C\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x87"],

        ["\xF3\xB1\x9C\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x21"],
        ["\x5D\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x88"],

        ["\xF3\xB1\x9C\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x22"],
        ["\x5D\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x89"],

        ["\xF3\xB1\x9C\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x23"],
        ["\x5D\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x8A"],

        ["\xF3\xB1\x9C\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x24"],
        ["\x5D\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x8B"],

        ["\xF3\xB1\x9C\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x25"],
        ["\x5D\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x8C"],

        ["\xF3\xB1\x9C\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x26"],
        ["\x5D\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x8D"],

        ["\xF3\xB1\x9C\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x27"],
        ["\x5D\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x8E"],

        ["\xF3\xB1\x9C\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x28"],
        ["\x5D\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x8F"],

        ["\xF3\xB1\x9C\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x29"],
        ["\x5D\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x90"],

        ["\xF3\xB1\x9C\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x2A"],
        ["\x5D\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x91"],

        ["\xF3\xB1\x9C\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x2B"],
        ["\x5D\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x92"],

        ["\xF3\xB1\x9C\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x2C"],
        ["\x5D\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x93"],

        ["\xF3\xB1\x9C\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x2D"],
        ["\x5D\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x94"],

        ["\xF3\xB1\x9C\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x2E"],
        ["\x5D\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x95"],

        ["\xF3\xB1\x9C\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x2F"],
        ["\x5D\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x96"],

        ["\xF3\xB1\x9C\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x30"],
        ["\x5D\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x97"],

        ["\xF3\xB1\x9C\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x31"],
        ["\x5D\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x98"],

        ["\xF3\xB1\x9C\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x32"],
        ["\x5D\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x99"],

        ["\xF3\xB1\x9C\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x33"],
        ["\x5D\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x9A"],

        ["\xF3\xB1\x9C\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x34"],
        ["\x5D\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x9B"],

        ["\xF3\xB1\x9C\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x35"],
        ["\x5D\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x9C"],

        ["\xF3\xB1\x9C\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x36"],
        ["\x5D\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x9D"],

        ["\xF3\xB1\x9C\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x37"],
        ["\x5D\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x9E"],

        ["\xF3\xB1\x9C\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x38"],
        ["\x5D\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\x9F"],

        ["\xF3\xB1\x9C\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x39"],
        ["\x5D\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xA0"],

        ["\xF3\xB1\x9C\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x3A"],
        ["\x5D\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xA1"],

        ["\xF3\xB1\x9C\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x3B"],
        ["\x5D\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xA2"],

        ["\xF3\xB1\x9C\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x3C"],
        ["\x5D\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xA3"],

        ["\xF3\xB1\x9C\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x3D"],
        ["\x5D\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xA4"],

        ["\xF3\xB1\x9C\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x3E"],
        ["\x5D\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xA5"],

        ["\xF3\xB1\x9C\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x3F"],
        ["\x5D\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xA6"],

        ["\xF3\xB1\x9C\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x40"],
        ["\x5D\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xA7"],

        ["\xF3\xB1\x9C\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x41"],
        ["\x5D\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xA8"],

        ["\xF3\xB1\x9C\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x42"],
        ["\x5D\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xA9"],

        ["\xF3\xB1\x9C\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x43"],
        ["\x5D\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xAA"],

        ["\xF3\xB1\x9C\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x44"],
        ["\x5D\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xAB"],

        ["\xF3\xB1\x9C\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x45"],
        ["\x5D\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xAC"],

        ["\xF3\xB1\x9C\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x46"],
        ["\x5D\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xAD"],

        ["\xF3\xB1\x9C\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x47"],
        ["\x5D\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xAE"],

        ["\xF3\xB1\x9C\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x48"],
        ["\x5D\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xAF"],

        ["\xF3\xB1\x9C\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x49"],
        ["\x5D\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xB0"],

        ["\xF3\xB1\x9C\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x4A"],
        ["\x5D\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xB1"],

        ["\xF3\xB1\x9C\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x4B"],
        ["\x5D\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xB2"],

        ["\xF3\xB1\x9C\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x4C"],
        ["\x5D\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xB3"],

        ["\xF3\xB1\x9C\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x4D"],
        ["\x5D\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xB4"],

        ["\xF3\xB1\x9C\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x4E"],
        ["\x5D\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xB5"],

        ["\xF3\xB1\x9C\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x4F"],
        ["\x5D\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xB6"],

        ["\xF3\xB1\x9C\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x50"],
        ["\x5D\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xB7"],

        ["\xF3\xB1\x9C\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x51"],
        ["\x5D\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xB8"],

        ["\xF3\xB1\x9C\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x52"],
        ["\x5D\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xB9"],

        ["\xF3\xB1\x9C\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x53"],
        ["\x5D\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xBA"],

        ["\xF3\xB1\x9C\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x54"],
        ["\x5D\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xBB"],

        ["\xF3\xB1\x9C\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x55"],
        ["\x5D\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xBC"],

        ["\xF3\xB1\x9C\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x56"],
        ["\x5D\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xBD"],

        ["\xF3\xB1\x9C\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x57"],
        ["\x5D\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xBE"],

        ["\xF3\xB1\x9C\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x58"],
        ["\x5D\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9C\xBF"],

        ["\xF3\xB1\x9D\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x59"],
        ["\x5D\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x80"],

        ["\xF3\xB1\x9D\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x5A"],
        ["\x5D\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x81"],

        ["\xF3\xB1\x9D\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x5B"],
        ["\x5D\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x82"],

        ["\xF3\xB1\x9D\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x5C"],
        ["\x5D\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x83"],

        ["\xF3\xB1\x9D\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x5D"],
        ["\x5D\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x84"],

        ["\xF3\xB1\x9D\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x5E"],
        ["\x5D\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x85"],

        ["\xF3\xB1\x9D\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x5F"],
        ["\x5D\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x86"],

        ["\xF3\xB1\x9D\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x60"],
        ["\x5D\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x87"],

        ["\xF3\xB1\x9D\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x61"],
        ["\x5D\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x88"],

        ["\xF3\xB1\x9D\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x62"],
        ["\x5D\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x89"],

        ["\xF3\xB1\x9D\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x63"],
        ["\x5D\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x8A"],

        ["\xF3\xB1\x9D\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x64"],
        ["\x5D\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x8B"],

        ["\xF3\xB1\x9D\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x65"],
        ["\x5D\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x8C"],

        ["\xF3\xB1\x9D\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x66"],
        ["\x5D\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x8D"],

        ["\xF3\xB1\x9D\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x67"],
        ["\x5D\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x8E"],

        ["\xF3\xB1\x9D\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x68"],
        ["\x5D\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x8F"],

        ["\xF3\xB1\x9D\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x69"],
        ["\x5D\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x90"],

        ["\xF3\xB1\x9D\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x6A"],
        ["\x5D\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x91"],

        ["\xF3\xB1\x9D\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x6B"],
        ["\x5D\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x92"],

        ["\xF3\xB1\x9D\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x6C"],
        ["\x5D\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x93"],

        ["\xF3\xB1\x9D\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x6D"],
        ["\x5D\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x94"],

        ["\xF3\xB1\x9D\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x6E"],
        ["\x5D\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x95"],

        ["\xF3\xB1\x9D\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x6F"],
        ["\x5D\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x96"],

        ["\xF3\xB1\x9D\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x70"],
        ["\x5D\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x97"],

        ["\xF3\xB1\x9D\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x71"],
        ["\x5D\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x98"],

        ["\xF3\xB1\x9D\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x72"],
        ["\x5D\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x99"],

        ["\xF3\xB1\x9D\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x73"],
        ["\x5D\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x9A"],

        ["\xF3\xB1\x9D\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x74"],
        ["\x5D\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x9B"],

        ["\xF3\xB1\x9D\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x75"],
        ["\x5D\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x9C"],

        ["\xF3\xB1\x9D\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x76"],
        ["\x5D\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x9D"],

        ["\xF3\xB1\x9D\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x77"],
        ["\x5D\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x9E"],

        ["\xF3\xB1\x9D\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x78"],
        ["\x5D\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\x9F"],

        ["\xF3\xB1\x9D\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x79"],
        ["\x5D\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xA0"],

        ["\xF3\xB1\x9D\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x7A"],
        ["\x5D\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xA1"],

        ["\xF3\xB1\x9D\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x7B"],
        ["\x5D\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xA2"],

        ["\xF3\xB1\x9D\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x7C"],
        ["\x5D\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xA3"],

        ["\xF3\xB1\x9D\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x7D"],
        ["\x5D\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xA4"],

        ["\xF3\xB1\x9D\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5D\x7E"],
        ["\x5D\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xA5"],

        ["\xF3\xB1\x9D\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x21"],
        ["\x5E\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xA6"],

        ["\xF3\xB1\x9D\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x22"],
        ["\x5E\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xA7"],

        ["\xF3\xB1\x9D\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x23"],
        ["\x5E\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xA8"],

        ["\xF3\xB1\x9D\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x24"],
        ["\x5E\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xA9"],

        ["\xF3\xB1\x9D\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x25"],
        ["\x5E\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xAA"],

        ["\xF3\xB1\x9D\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x26"],
        ["\x5E\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xAB"],

        ["\xF3\xB1\x9D\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x27"],
        ["\x5E\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xAC"],

        ["\xF3\xB1\x9D\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x28"],
        ["\x5E\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xAD"],

        ["\xF3\xB1\x9D\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x29"],
        ["\x5E\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xAE"],

        ["\xF3\xB1\x9D\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x2A"],
        ["\x5E\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xAF"],

        ["\xF3\xB1\x9D\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x2B"],
        ["\x5E\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xB0"],

        ["\xF3\xB1\x9D\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x2C"],
        ["\x5E\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xB1"],

        ["\xF3\xB1\x9D\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x2D"],
        ["\x5E\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xB2"],

        ["\xF3\xB1\x9D\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x2E"],
        ["\x5E\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xB3"],

        ["\xF3\xB1\x9D\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x2F"],
        ["\x5E\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xB4"],

        ["\xF3\xB1\x9D\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x30"],
        ["\x5E\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xB5"],

        ["\xF3\xB1\x9D\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x31"],
        ["\x5E\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xB6"],

        ["\xF3\xB1\x9D\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x32"],
        ["\x5E\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xB7"],

        ["\xF3\xB1\x9D\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x33"],
        ["\x5E\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xB8"],

        ["\xF3\xB1\x9D\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x34"],
        ["\x5E\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xB9"],

        ["\xF3\xB1\x9D\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x35"],
        ["\x5E\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xBA"],

        ["\xF3\xB1\x9D\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x36"],
        ["\x5E\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xBB"],

        ["\xF3\xB1\x9D\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x37"],
        ["\x5E\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xBC"],

        ["\xF3\xB1\x9D\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x38"],
        ["\x5E\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xBD"],

        ["\xF3\xB1\x9D\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x73"],
        ["\x45\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xBE"],

        ["\xF3\xB1\x9D\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x3A"],
        ["\x5E\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9D\xBF"],

        ["\xF3\xB1\x9E\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x3B"],
        ["\x5E\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x80"],

        ["\xF3\xB1\x9E\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x3C"],
        ["\x5E\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x81"],

        ["\xF3\xB1\x9E\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x3D"],
        ["\x5E\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x82"],

        ["\xF3\xB1\x9E\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x3E"],
        ["\x5E\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x83"],

        ["\xF3\xB1\x9E\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x3F"],
        ["\x5E\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x84"],

        ["\xF3\xB1\x9E\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x40"],
        ["\x5E\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x85"],

        ["\xF3\xB1\x9E\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x41"],
        ["\x5E\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x86"],

        ["\xF3\xB1\x9E\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x42"],
        ["\x5E\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x87"],

        ["\xF3\xB1\x9E\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x43"],
        ["\x5E\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x88"],

        ["\xF3\xB1\x9E\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x44"],
        ["\x5E\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x89"],

        ["\xF3\xB1\x9E\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x45"],
        ["\x5E\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x8A"],

        ["\xF3\xB1\x9E\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x46"],
        ["\x5E\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x8B"],

        ["\xF3\xB1\x9E\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x47"],
        ["\x5E\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x8C"],

        ["\xF3\xB1\x9E\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x48"],
        ["\x5E\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x8D"],

        ["\xF3\xB1\x9E\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x49"],
        ["\x5E\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x8E"],

        ["\xF3\xB1\x9E\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x4A"],
        ["\x5E\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x8F"],

        ["\xF3\xB1\x9E\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x4B"],
        ["\x5E\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x90"],

        ["\xF3\xB1\x9E\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x4C"],
        ["\x5E\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x91"],

        ["\xF3\xB1\x9E\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x4D"],
        ["\x5E\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x92"],

        ["\xF3\xB1\x9E\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x4E"],
        ["\x5E\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x93"],

        ["\xF3\xB1\x9E\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x4F"],
        ["\x5E\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x94"],

        ["\xF3\xB1\x9E\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x50"],
        ["\x5E\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x95"],

        ["\xF3\xB1\x9E\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x51"],
        ["\x5E\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x96"],

        ["\xF3\xB1\x9E\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x52"],
        ["\x5E\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x97"],

        ["\xF3\xB1\x9E\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x53"],
        ["\x5E\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x98"],

        ["\xF3\xB1\x9E\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x54"],
        ["\x5E\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x99"],

        ["\xF3\xB1\x9E\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x55"],
        ["\x5E\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x9A"],

        ["\xF3\xB1\x9E\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x56"],
        ["\x5E\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x9B"],

        ["\xF3\xB1\x9E\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x57"],
        ["\x5E\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x9C"],

        ["\xF3\xB1\x9E\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x58"],
        ["\x5E\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x9D"],

        ["\xF3\xB1\x9E\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x59"],
        ["\x5E\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x9E"],

        ["\xF3\xB1\x9E\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x5A"],
        ["\x5E\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\x9F"],

        ["\xF3\xB1\x9E\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x5B"],
        ["\x5E\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xA0"],

        ["\xF3\xB1\x9E\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x5C"],
        ["\x5E\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xA1"],

        ["\xF3\xB1\x9E\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x5D"],
        ["\x5E\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xA2"],

        ["\xF3\xB1\x9E\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x5E"],
        ["\x5E\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xA3"],

        ["\xF3\xB1\x9E\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x5F"],
        ["\x5E\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xA4"],

        ["\xF3\xB1\x9E\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x60"],
        ["\x5E\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xA5"],

        ["\xF3\xB1\x9E\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x61"],
        ["\x5E\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xA6"],

        ["\xF3\xB1\x9E\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x62"],
        ["\x5E\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xA7"],

        ["\xF3\xB1\x9E\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x63"],
        ["\x5E\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xA8"],

        ["\xF3\xB1\x9E\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x64"],
        ["\x5E\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xA9"],

        ["\xF3\xB1\x9E\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x65"],
        ["\x5E\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xAA"],

        ["\xF3\xB1\x9E\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x66"],
        ["\x5E\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xAB"],

        ["\xF3\xB1\x9E\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x67"],
        ["\x5E\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xAC"],

        ["\xF3\xB1\x9E\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x68"],
        ["\x5E\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xAD"],

        ["\xF3\xB1\x9E\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x69"],
        ["\x5E\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xAE"],

        ["\xF3\xB1\x9E\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x6A"],
        ["\x5E\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xAF"],

        ["\xF3\xB1\x9E\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x6B"],
        ["\x5E\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xB0"],

        ["\xF3\xB1\x9E\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x6C"],
        ["\x5E\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xB1"],

        ["\xF3\xB1\x9E\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x6D"],
        ["\x5E\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xB2"],

        ["\xF3\xB1\x9E\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x6E"],
        ["\x5E\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xB3"],

        ["\xF3\xB1\x9E\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x6F"],
        ["\x5E\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xB4"],

        ["\xF3\xB1\x9E\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x70"],
        ["\x5E\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xB5"],

        ["\xF3\xB1\x9E\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x71"],
        ["\x5E\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xB6"],

        ["\xF3\xB1\x9E\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x72"],
        ["\x5E\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xB7"],

        ["\xF3\xB1\x9E\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x73"],
        ["\x5E\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xB8"],

        ["\xF3\xB1\x9E\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x74"],
        ["\x5E\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xB9"],

        ["\xF3\xB1\x9E\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x43"],
        ["\x34\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xBA"],

        ["\xF3\xB1\x9E\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x76"],
        ["\x5E\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xBB"],

        ["\xF3\xB1\x9E\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x77"],
        ["\x5E\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xBC"],

        ["\xF3\xB1\x9E\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x78"],
        ["\x5E\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xBD"],

        ["\xF3\xB1\x9E\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x79"],
        ["\x5E\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xBE"],

        ["\xF3\xB1\x9E\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x7A"],
        ["\x5E\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9E\xBF"],

        ["\xF3\xB1\x9F\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x7B"],
        ["\x5E\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x80"],

        ["\xF3\xB1\x9F\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x7C"],
        ["\x5E\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x81"],

        ["\xF3\xB1\x9F\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x7D"],
        ["\x5E\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x82"],

        ["\xF3\xB1\x9F\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5E\x7E"],
        ["\x5E\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x83"],

        ["\xF3\xB1\x9F\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x21"],
        ["\x5F\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x84"],

        ["\xF3\xB1\x9F\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x22"],
        ["\x5F\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x85"],

        ["\xF3\xB1\x9F\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x23"],
        ["\x5F\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x86"],

        ["\xF3\xB1\x9F\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x24"],
        ["\x5F\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x87"],

        ["\xF3\xB1\x9F\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x25"],
        ["\x5F\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x88"],

        ["\xF3\xB1\x9F\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x26"],
        ["\x5F\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x89"],

        ["\xF3\xB1\x9F\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x27"],
        ["\x5F\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x8A"],

        ["\xF3\xB1\x9F\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x28"],
        ["\x5F\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x8B"],

        ["\xF3\xB1\x9F\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x29"],
        ["\x5F\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x8C"],

        ["\xF3\xB1\x9F\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x2A"],
        ["\x5F\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x8D"],

        ["\xF3\xB1\x9F\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x2B"],
        ["\x5F\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x8E"],

        ["\xF3\xB1\x9F\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x2C"],
        ["\x5F\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x8F"],

        ["\xF3\xB1\x9F\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x2D"],
        ["\x5F\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x90"],

        ["\xF3\xB1\x9F\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x2E"],
        ["\x5F\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x91"],

        ["\xF3\xB1\x9F\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x2F"],
        ["\x5F\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x92"],

        ["\xF3\xB1\x9F\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x30"],
        ["\x5F\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x93"],

        ["\xF3\xB1\x9F\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x31"],
        ["\x5F\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x94"],

        ["\xF3\xB1\x9F\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x32"],
        ["\x5F\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x95"],

        ["\xF3\xB1\x9F\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x33"],
        ["\x5F\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x96"],

        ["\xF3\xB1\x9F\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x34"],
        ["\x5F\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x97"],

        ["\xF3\xB1\x9F\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x35"],
        ["\x5F\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x98"],

        ["\xF3\xB1\x9F\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x36"],
        ["\x5F\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x99"],

        ["\xF3\xB1\x9F\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x37"],
        ["\x5F\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x9A"],

        ["\xF3\xB1\x9F\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x38"],
        ["\x5F\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x9B"],

        ["\xF3\xB1\x9F\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x39"],
        ["\x5F\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x9C"],

        ["\xF3\xB1\x9F\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x3A"],
        ["\x5F\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x9D"],

        ["\xF3\xB1\x9F\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x3B"],
        ["\x5F\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x9E"],

        ["\xF3\xB1\x9F\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x3C"],
        ["\x5F\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\x9F"],

        ["\xF3\xB1\x9F\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x3D"],
        ["\x5F\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xA0"],

        ["\xF3\xB1\x9F\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x3E"],
        ["\x5F\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xA1"],

        ["\xF3\xB1\x9F\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x3F"],
        ["\x5F\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xA2"],

        ["\xF3\xB1\x9F\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x40"],
        ["\x5F\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xA3"],

        ["\xF3\xB1\x9F\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x41"],
        ["\x5F\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xA4"],

        ["\xF3\xB1\x9F\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x42"],
        ["\x5F\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xA5"],

        ["\xF3\xB1\x9F\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x43"],
        ["\x5F\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xA6"],

        ["\xF3\xB1\x9F\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x44"],
        ["\x5F\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xA7"],

        ["\xF3\xB1\x9F\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x45"],
        ["\x5F\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xA8"],

        ["\xF3\xB1\x9F\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x46"],
        ["\x5F\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xA9"],

        ["\xF3\xB1\x9F\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x47"],
        ["\x5F\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xAA"],

        ["\xF3\xB1\x9F\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x48"],
        ["\x5F\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xAB"],

        ["\xF3\xB1\x9F\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x49"],
        ["\x5F\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xAC"],

        ["\xF3\xB1\x9F\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x4A"],
        ["\x5F\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xAD"],

        ["\xF3\xB1\x9F\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x4B"],
        ["\x5F\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xAE"],

        ["\xF3\xB1\x9F\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x4C"],
        ["\x5F\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xAF"],

        ["\xF3\xB1\x9F\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x4D"],
        ["\x5F\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xB0"],

        ["\xF3\xB1\x9F\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x4E"],
        ["\x5F\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xB1"],

        ["\xF3\xB1\x9F\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x4F"],
        ["\x5F\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xB2"],

        ["\xF3\xB1\x9F\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x50"],
        ["\x5F\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xB3"],

        ["\xF3\xB1\x9F\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x51"],
        ["\x5F\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xB4"],

        ["\xF3\xB1\x9F\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x52"],
        ["\x5F\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xB5"],

        ["\xF3\xB1\x9F\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x53"],
        ["\x5F\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xB6"],

        ["\xF3\xB1\x9F\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x54"],
        ["\x5F\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xB7"],

        ["\xF3\xB1\x9F\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x55"],
        ["\x5F\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xB8"],

        ["\xF3\xB1\x9F\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x56"],
        ["\x5F\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xB9"],

        ["\xF3\xB1\x9F\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x57"],
        ["\x5F\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xBA"],

        ["\xF3\xB1\x9F\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x58"],
        ["\x5F\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xBB"],

        ["\xF3\xB1\x9F\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x59"],
        ["\x5F\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xBC"],

        ["\xF3\xB1\x9F\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x5A"],
        ["\x5F\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xBD"],

        ["\xF3\xB1\x9F\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x5B"],
        ["\x5F\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xBE"],

        ["\xF3\xB1\x9F\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x5C"],
        ["\x5F\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\x9F\xBF"],

        ["\xF3\xB1\xA0\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x5D"],
        ["\x5F\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x80"],

        ["\xF3\xB1\xA0\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x5E"],
        ["\x5F\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x81"],

        ["\xF3\xB1\xA0\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x5F"],
        ["\x5F\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x82"],

        ["\xF3\xB1\xA0\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x60"],
        ["\x5F\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x83"],

        ["\xF3\xB1\xA0\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x61"],
        ["\x5F\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x84"],

        ["\xF3\xB1\xA0\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x62"],
        ["\x5F\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x85"],

        ["\xF3\xB1\xA0\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x63"],
        ["\x5F\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x86"],

        ["\xF3\xB1\xA0\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x64"],
        ["\x5F\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x87"],

        ["\xF3\xB1\xA0\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x65"],
        ["\x5F\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x88"],

        ["\xF3\xB1\xA0\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x66"],
        ["\x5F\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x89"],

        ["\xF3\xB1\xA0\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x67"],
        ["\x5F\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x8A"],

        ["\xF3\xB1\xA0\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x68"],
        ["\x5F\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x8B"],

        ["\xF3\xB1\xA0\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x69"],
        ["\x5F\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x8C"],

        ["\xF3\xB1\xA0\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x6A"],
        ["\x5F\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x8D"],

        ["\xF3\xB1\xA0\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x6B"],
        ["\x5F\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x8E"],

        ["\xF3\xB1\xA0\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x6C"],
        ["\x5F\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x8F"],

        ["\xF3\xB1\xA0\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x6D"],
        ["\x5F\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x90"],

        ["\xF3\xB1\xA0\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x6E"],
        ["\x5F\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x91"],

        ["\xF3\xB1\xA0\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x6F"],
        ["\x5F\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x92"],

        ["\xF3\xB1\xA0\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x70"],
        ["\x5F\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x93"],

        ["\xF3\xB1\xA0\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x71"],
        ["\x5F\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x94"],

        ["\xF3\xB1\xA0\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x72"],
        ["\x5F\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x95"],

        ["\xF3\xB1\xA0\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x73"],
        ["\x5F\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x96"],

        ["\xF3\xB1\xA0\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x74"],
        ["\x5F\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x97"],

        ["\xF3\xB1\xA0\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x75"],
        ["\x5F\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x98"],

        ["\xF3\xB1\xA0\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x76"],
        ["\x5F\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x99"],

        ["\xF3\xB1\xA0\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x77"],
        ["\x5F\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x9A"],

        ["\xF3\xB1\xA0\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x78"],
        ["\x5F\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x9B"],

        ["\xF3\xB1\xA0\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x79"],
        ["\x5F\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x9C"],

        ["\xF3\xB1\xA0\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x7A"],
        ["\x5F\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x9D"],

        ["\xF3\xB1\xA0\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x7B"],
        ["\x5F\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x9E"],

        ["\xF3\xB1\xA0\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x7C"],
        ["\x5F\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\x9F"],

        ["\xF3\xB1\xA0\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x7D"],
        ["\x5F\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xA0"],

        ["\xF3\xB1\xA0\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x5F\x7E"],
        ["\x5F\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xA1"],

        ["\xF3\xB1\xA0\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x21"],
        ["\x60\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xA2"],

        ["\xF3\xB1\xA0\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x22"],
        ["\x60\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xA3"],

        ["\xF3\xB1\xA0\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x23"],
        ["\x60\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xA4"],

        ["\xF3\xB1\xA0\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x24"],
        ["\x60\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xA5"],

        ["\xF3\xB1\xA0\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x25"],
        ["\x60\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xA6"],

        ["\xF3\xB1\xA0\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x26"],
        ["\x60\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xA7"],

        ["\xF3\xB1\xA0\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x27"],
        ["\x60\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xA8"],

        ["\xF3\xB1\xA0\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x28"],
        ["\x60\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xA9"],

        ["\xF3\xB1\xA0\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x29"],
        ["\x60\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xAA"],

        ["\xF3\xB1\xA0\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x2A"],
        ["\x60\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xAB"],

        ["\xF3\xB1\xA0\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x2B"],
        ["\x60\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xAC"],

        ["\xF3\xB1\xA0\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x2C"],
        ["\x60\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xAD"],

        ["\xF3\xB1\xA0\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x2D"],
        ["\x60\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xAE"],

        ["\xF3\xB1\xA0\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x2E"],
        ["\x60\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xAF"],

        ["\xF3\xB1\xA0\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x2F"],
        ["\x60\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xB0"],

        ["\xF3\xB1\xA0\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x30"],
        ["\x60\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xB1"],

        ["\xF3\xB1\xA0\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x31"],
        ["\x60\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xB2"],

        ["\xF3\xB1\xA0\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x32"],
        ["\x60\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xB3"],

        ["\xF3\xB1\xA0\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x33"],
        ["\x60\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xB4"],

        ["\xF3\xB1\xA0\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x34"],
        ["\x60\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xB5"],

        ["\xF3\xB1\xA0\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x35"],
        ["\x60\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xB6"],

        ["\xF3\xB1\xA0\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x36"],
        ["\x60\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xB7"],

        ["\xF3\xB1\xA0\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x37"],
        ["\x60\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xB8"],

        ["\xF3\xB1\xA0\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x38"],
        ["\x60\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xB9"],

        ["\xF3\xB1\xA0\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x39"],
        ["\x60\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xBA"],

        ["\xF3\xB1\xA0\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x3A"],
        ["\x60\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xBB"],

        ["\xF3\xB1\xA0\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x3B"],
        ["\x60\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xBC"],

        ["\xF3\xB1\xA0\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x3C"],
        ["\x60\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xBD"],

        ["\xF3\xB1\xA0\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x3D"],
        ["\x60\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xBE"],

        ["\xF3\xB1\xA0\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x3E"],
        ["\x60\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA0\xBF"],

        ["\xF3\xB1\xA1\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x3F"],
        ["\x60\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x80"],

        ["\xF3\xB1\xA1\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x40"],
        ["\x60\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x81"],

        ["\xF3\xB1\xA1\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x41"],
        ["\x60\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x82"],

        ["\xF3\xB1\xA1\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x42"],
        ["\x60\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x83"],

        ["\xF3\xB1\xA1\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x43"],
        ["\x60\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x84"],

        ["\xF3\xB1\xA1\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x44"],
        ["\x60\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x85"],

        ["\xF3\xB1\xA1\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x45"],
        ["\x60\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x86"],

        ["\xF3\xB1\xA1\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x46"],
        ["\x60\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x87"],

        ["\xF3\xB1\xA1\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x47"],
        ["\x60\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x88"],

        ["\xF3\xB1\xA1\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x48"],
        ["\x60\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x89"],

        ["\xF3\xB1\xA1\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x49"],
        ["\x60\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x8A"],

        ["\xF3\xB1\xA1\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x4A"],
        ["\x60\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x8B"],

        ["\xF3\xB1\xA1\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x4B"],
        ["\x60\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x8C"],

        ["\xF3\xB1\xA1\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x4C"],
        ["\x60\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x8D"],

        ["\xF3\xB1\xA1\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x4D"],
        ["\x60\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x8E"],

        ["\xF3\xB1\xA1\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x4E"],
        ["\x60\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x8F"],

        ["\xF3\xB1\xA1\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x4F"],
        ["\x60\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x90"],

        ["\xF3\xB1\xA1\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x50"],
        ["\x60\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x91"],

        ["\xF3\xB1\xA1\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x51"],
        ["\x60\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x92"],

        ["\xF3\xB1\xA1\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x52"],
        ["\x60\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x93"],

        ["\xF3\xB1\xA1\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x53"],
        ["\x60\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x94"],

        ["\xF3\xB1\xA1\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x54"],
        ["\x60\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x95"],

        ["\xF3\xB1\xA1\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x55"],
        ["\x60\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x96"],

        ["\xF3\xB1\xA1\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x56"],
        ["\x60\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x97"],

        ["\xF3\xB1\xA1\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x57"],
        ["\x60\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x98"],

        ["\xF3\xB1\xA1\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x58"],
        ["\x60\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x99"],

        ["\xF3\xB1\xA1\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x59"],
        ["\x60\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x9A"],

        ["\xF3\xB1\xA1\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x5A"],
        ["\x60\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x9B"],

        ["\xF3\xB1\xA1\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x5B"],
        ["\x60\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x9C"],

        ["\xF3\xB1\xA1\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x5C"],
        ["\x60\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x9D"],

        ["\xF3\xB1\xA1\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x5D"],
        ["\x60\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x9E"],

        ["\xF3\xB1\xA1\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x5E"],
        ["\x60\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\x9F"],

        ["\xF3\xB1\xA1\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x5F"],
        ["\x60\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xA0"],

        ["\xF3\xB1\xA1\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x60"],
        ["\x60\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xA1"],

        ["\xF3\xB1\xA1\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x61"],
        ["\x60\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xA2"],

        ["\xF3\xB1\xA1\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x62"],
        ["\x60\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xA3"],

        ["\xF3\xB1\xA1\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x63"],
        ["\x60\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xA4"],

        ["\xF3\xB1\xA1\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x64"],
        ["\x60\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xA5"],

        ["\xF3\xB1\xA1\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x65"],
        ["\x60\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xA6"],

        ["\xF3\xB1\xA1\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x66"],
        ["\x60\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xA7"],

        ["\xF3\xB1\xA1\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x67"],
        ["\x60\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xA8"],

        ["\xF3\xB1\xA1\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x68"],
        ["\x60\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xA9"],

        ["\xF3\xB1\xA1\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x69"],
        ["\x60\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xAA"],

        ["\xF3\xB1\xA1\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x6A"],
        ["\x60\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xAB"],

        ["\xF3\xB1\xA1\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x6B"],
        ["\x60\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xAC"],

        ["\xF3\xB1\xA1\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x6C"],
        ["\x60\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xAD"],

        ["\xF3\xB1\xA1\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x6D"],
        ["\x60\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xAE"],

        ["\xF3\xB1\xA1\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x6E"],
        ["\x60\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xAF"],

        ["\xF3\xB1\xA1\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x6F"],
        ["\x60\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xB0"],

        ["\xF3\xB1\xA1\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x70"],
        ["\x60\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xB1"],

        ["\xF3\xB1\xA1\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x71"],
        ["\x60\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xB2"],

        ["\xF3\xB1\xA1\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x72"],
        ["\x60\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xB3"],

        ["\xF3\xB1\xA1\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x73"],
        ["\x60\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xB4"],

        ["\xF3\xB1\xA1\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x74"],
        ["\x60\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xB5"],

        ["\xF3\xB1\xA1\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x75"],
        ["\x60\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xB6"],

        ["\xF3\xB1\xA1\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xE8"],
        ["\xC4\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xB7"],

        ["\xF3\xB1\xA1\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x77"],
        ["\x60\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xB8"],

        ["\xF3\xB1\xA1\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x78"],
        ["\x60\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xB9"],

        ["\xF3\xB1\xA1\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x79"],
        ["\x60\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xBA"],

        ["\xF3\xB1\xA1\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x7A"],
        ["\x60\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xBB"],

        ["\xF3\xB1\xA1\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x7B"],
        ["\x60\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xBC"],

        ["\xF3\xB1\xA1\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x7C"],
        ["\x60\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xBD"],

        ["\xF3\xB1\xA1\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x7D"],
        ["\x60\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xBE"],

        ["\xF3\xB1\xA1\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x7E"],
        ["\x60\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA1\xBF"],

        ["\xF3\xB1\xA2\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x21"],
        ["\x61\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x80"],

        ["\xF3\xB1\xA2\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x22"],
        ["\x61\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x81"],

        ["\xF3\xB1\xA2\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x23"],
        ["\x61\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x82"],

        ["\xF3\xB1\xA2\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x24"],
        ["\x61\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x83"],

        ["\xF3\xB1\xA2\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x25"],
        ["\x61\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x84"],

        ["\xF3\xB1\xA2\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x26"],
        ["\x61\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x85"],

        ["\xF3\xB1\xA2\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x27"],
        ["\x61\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x86"],

        ["\xF3\xB1\xA2\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x28"],
        ["\x61\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x87"],

        ["\xF3\xB1\xA2\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x29"],
        ["\x61\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x88"],

        ["\xF3\xB1\xA2\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x2A"],
        ["\x61\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x89"],

        ["\xF3\xB1\xA2\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x2B"],
        ["\x61\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x8A"],

        ["\xF3\xB1\xA2\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x2C"],
        ["\x61\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x8B"],

        ["\xF3\xB1\xA2\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x2D"],
        ["\x61\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x8C"],

        ["\xF3\xB1\xA2\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x2E"],
        ["\x61\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x8D"],

        ["\xF3\xB1\xA2\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x2F"],
        ["\x61\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x8E"],

        ["\xF3\xB1\xA2\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x30"],
        ["\x61\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x8F"],

        ["\xF3\xB1\xA2\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x31"],
        ["\x61\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x90"],

        ["\xF3\xB1\xA2\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x32"],
        ["\x61\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x91"],

        ["\xF3\xB1\xA2\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x33"],
        ["\x61\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x92"],

        ["\xF3\xB1\xA2\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x34"],
        ["\x61\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x93"],

        ["\xF3\xB1\xA2\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x35"],
        ["\x61\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x94"],

        ["\xF3\xB1\xA2\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x36"],
        ["\x61\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x95"],

        ["\xF3\xB1\xA2\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x37"],
        ["\x61\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x96"],

        ["\xF3\xB1\xA2\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x38"],
        ["\x61\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x97"],

        ["\xF3\xB1\xA2\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x39"],
        ["\x61\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x98"],

        ["\xF3\xB1\xA2\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x3A"],
        ["\x61\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x99"],

        ["\xF3\xB1\xA2\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x3B"],
        ["\x61\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x9A"],

        ["\xF3\xB1\xA2\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x3C"],
        ["\x61\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x9B"],

        ["\xF3\xB1\xA2\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x3D"],
        ["\x61\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x9C"],

        ["\xF3\xB1\xA2\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x3E"],
        ["\x61\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x9D"],

        ["\xF3\xB1\xA2\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x3F"],
        ["\x61\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x9E"],

        ["\xF3\xB1\xA2\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x40"],
        ["\x61\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\x9F"],

        ["\xF3\xB1\xA2\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x41"],
        ["\x61\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xA0"],

        ["\xF3\xB1\xA2\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x42"],
        ["\x61\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xA1"],

        ["\xF3\xB1\xA2\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x43"],
        ["\x61\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xA2"],

        ["\xF3\xB1\xA2\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x44"],
        ["\x61\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xA3"],

        ["\xF3\xB1\xA2\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x45"],
        ["\x61\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xA4"],

        ["\xF3\xB1\xA2\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x46"],
        ["\x61\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xA5"],

        ["\xF3\xB1\xA2\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x47"],
        ["\x61\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xA6"],

        ["\xF3\xB1\xA2\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x48"],
        ["\x61\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xA7"],

        ["\xF3\xB1\xA2\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x49"],
        ["\x61\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xA8"],

        ["\xF3\xB1\xA2\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x4A"],
        ["\x61\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xA9"],

        ["\xF3\xB1\xA2\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x4B"],
        ["\x61\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xAA"],

        ["\xF3\xB1\xA2\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x4C"],
        ["\x61\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xAB"],

        ["\xF3\xB1\xA2\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x4D"],
        ["\x61\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xAC"],

        ["\xF3\xB1\xA2\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x4E"],
        ["\x61\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xAD"],

        ["\xF3\xB1\xA2\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x4F"],
        ["\x61\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xAE"],

        ["\xF3\xB1\xA2\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x50"],
        ["\x61\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xAF"],

        ["\xF3\xB1\xA2\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x51"],
        ["\x61\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xB0"],

        ["\xF3\xB1\xA2\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x52"],
        ["\x61\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xB1"],

        ["\xF3\xB1\xA2\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x53"],
        ["\x61\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xB2"],

        ["\xF3\xB1\xA2\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x54"],
        ["\x61\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xB3"],

        ["\xF3\xB1\xA2\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x55"],
        ["\x61\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xB4"],

        ["\xF3\xB1\xA2\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x56"],
        ["\x61\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xB5"],

        ["\xF3\xB1\xA2\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x57"],
        ["\x61\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xB6"],

        ["\xF3\xB1\xA2\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x58"],
        ["\x61\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xB7"],

        ["\xF3\xB1\xA2\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x59"],
        ["\x61\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xB8"],

        ["\xF3\xB1\xA2\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x5A"],
        ["\x61\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xB9"],

        ["\xF3\xB1\xA2\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x5B"],
        ["\x61\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xBA"],

        ["\xF3\xB1\xA2\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x5C"],
        ["\x61\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xBB"],

        ["\xF3\xB1\xA2\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x5D"],
        ["\x61\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xBC"],

        ["\xF3\xB1\xA2\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x5E"],
        ["\x61\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xBD"],

        ["\xF3\xB1\xA2\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x5F"],
        ["\x61\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xBE"],

        ["\xF3\xB1\xA2\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x60"],
        ["\x61\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA2\xBF"],

        ["\xF3\xB1\xA3\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x61"],
        ["\x61\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x80"],

        ["\xF3\xB1\xA3\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x62"],
        ["\x61\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x81"],

        ["\xF3\xB1\xA3\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x63"],
        ["\x61\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x82"],

        ["\xF3\xB1\xA3\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x64"],
        ["\x61\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x83"],

        ["\xF3\xB1\xA3\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x65"],
        ["\x61\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x84"],

        ["\xF3\xB1\xA3\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x66"],
        ["\x61\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x85"],

        ["\xF3\xB1\xA3\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x67"],
        ["\x61\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x86"],

        ["\xF3\xB1\xA3\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x68"],
        ["\x61\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x87"],

        ["\xF3\xB1\xA3\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x69"],
        ["\x61\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x88"],

        ["\xF3\xB1\xA3\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x6A"],
        ["\x61\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x89"],

        ["\xF3\xB1\xA3\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x6B"],
        ["\x61\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x8A"],

        ["\xF3\xB1\xA3\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x6C"],
        ["\x61\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x8B"],

        ["\xF3\xB1\xA3\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x6D"],
        ["\x61\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x8C"],

        ["\xF3\xB1\xA3\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x6E"],
        ["\x61\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x8D"],

        ["\xF3\xB1\xA3\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x6F"],
        ["\x61\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x8E"],

        ["\xF3\xB1\xA3\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x70"],
        ["\x61\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x8F"],

        ["\xF3\xB1\xA3\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x71"],
        ["\x61\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x90"],

        ["\xF3\xB1\xA3\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x72"],
        ["\x61\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x91"],

        ["\xF3\xB1\xA3\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x73"],
        ["\x61\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x92"],

        ["\xF3\xB1\xA3\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x74"],
        ["\x61\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x93"],

        ["\xF3\xB1\xA3\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x75"],
        ["\x61\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x94"],

        ["\xF3\xB1\xA3\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x76"],
        ["\x61\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x95"],

        ["\xF3\xB1\xA3\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x77"],
        ["\x61\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x96"],

        ["\xF3\xB1\xA3\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x78"],
        ["\x61\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x97"],

        ["\xF3\xB1\xA3\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x79"],
        ["\x61\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x98"],

        ["\xF3\xB1\xA3\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x7A"],
        ["\x61\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x99"],

        ["\xF3\xB1\xA3\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x7B"],
        ["\x61\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x9A"],

        ["\xF3\xB1\xA3\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x7C"],
        ["\x61\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x9B"],

        ["\xF3\xB1\xA3\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x7D"],
        ["\x61\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x9C"],

        ["\xF3\xB1\xA3\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x61\x7E"],
        ["\x61\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x9D"],

        ["\xF3\xB1\xA3\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x21"],
        ["\x62\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x9E"],

        ["\xF3\xB1\xA3\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x22"],
        ["\x62\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\x9F"],

        ["\xF3\xB1\xA3\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x23"],
        ["\x62\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xA0"],

        ["\xF3\xB1\xA3\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x24"],
        ["\x62\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xA1"],

        ["\xF3\xB1\xA3\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x25"],
        ["\x62\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xA2"],

        ["\xF3\xB1\xA3\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x26"],
        ["\x62\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xA3"],

        ["\xF3\xB1\xA3\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x27"],
        ["\x62\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xA4"],

        ["\xF3\xB1\xA3\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x28"],
        ["\x62\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xA5"],

        ["\xF3\xB1\xA3\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x29"],
        ["\x62\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xA6"],

        ["\xF3\xB1\xA3\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x2A"],
        ["\x62\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xA7"],

        ["\xF3\xB1\xA3\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x2B"],
        ["\x62\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xA8"],

        ["\xF3\xB1\xA3\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x2C"],
        ["\x62\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xA9"],

        ["\xF3\xB1\xA3\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x2D"],
        ["\x62\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xAA"],

        ["\xF3\xB1\xA3\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x2E"],
        ["\x62\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xAB"],

        ["\xF3\xB1\xA3\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x2F"],
        ["\x62\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xAC"],

        ["\xF3\xB1\xA3\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x30"],
        ["\x62\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xAD"],

        ["\xF3\xB1\xA3\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x31"],
        ["\x62\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xAE"],

        ["\xF3\xB1\xA3\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x32"],
        ["\x62\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xAF"],

        ["\xF3\xB1\xA3\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x33"],
        ["\x62\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xB0"],

        ["\xF3\xB1\xA3\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x34"],
        ["\x62\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xB1"],

        ["\xF3\xB1\xA3\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x35"],
        ["\x62\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xB2"],

        ["\xF3\xB1\xA3\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x36"],
        ["\x62\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xB3"],

        ["\xF3\xB1\xA3\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x37"],
        ["\x62\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xB4"],

        ["\xF3\xB1\xA3\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x38"],
        ["\x62\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xB5"],

        ["\xF3\xB1\xA3\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x39"],
        ["\x62\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xB6"],

        ["\xF3\xB1\xA3\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x3A"],
        ["\x62\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xB7"],

        ["\xF3\xB1\xA3\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x3B"],
        ["\x62\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xB8"],

        ["\xF3\xB1\xA3\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x3C"],
        ["\x62\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xB9"],

        ["\xF3\xB1\xA3\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x3D"],
        ["\x62\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xBA"],

        ["\xF3\xB1\xA3\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x3E"],
        ["\x62\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xBB"],

        ["\xF3\xB1\xA3\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x3F"],
        ["\x62\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xBC"],

        ["\xF3\xB1\xA3\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x40"],
        ["\x62\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xBD"],

        ["\xF3\xB1\xA3\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x41"],
        ["\x62\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xBE"],

        ["\xF3\xB1\xA3\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x42"],
        ["\x62\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA3\xBF"],

        ["\xF3\xB1\xA4\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x43"],
        ["\x62\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x80"],

        ["\xF3\xB1\xA4\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x44"],
        ["\x62\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x81"],

        ["\xF3\xB1\xA4\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x45"],
        ["\x62\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x82"],

        ["\xF3\xB1\xA4\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x46"],
        ["\x62\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x83"],

        ["\xF3\xB1\xA4\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x47"],
        ["\x62\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x84"],

        ["\xF3\xB1\xA4\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x48"],
        ["\x62\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x85"],

        ["\xF3\xB1\xA4\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x49"],
        ["\x62\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x86"],

        ["\xF3\xB1\xA4\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x4A"],
        ["\x62\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x87"],

        ["\xF3\xB1\xA4\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x4B"],
        ["\x62\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x88"],

        ["\xF3\xB1\xA4\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x4C"],
        ["\x62\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x89"],

        ["\xF3\xB1\xA4\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x4D"],
        ["\x62\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x8A"],

        ["\xF3\xB1\xA4\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x4E"],
        ["\x62\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x8B"],

        ["\xF3\xB1\xA4\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x4F"],
        ["\x62\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x8C"],

        ["\xF3\xB1\xA4\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x50"],
        ["\x62\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x8D"],

        ["\xF3\xB1\xA4\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x51"],
        ["\x62\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x8E"],

        ["\xF3\xB1\xA4\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x52"],
        ["\x62\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x8F"],

        ["\xF3\xB1\xA4\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x53"],
        ["\x62\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x90"],

        ["\xF3\xB1\xA4\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x54"],
        ["\x62\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x91"],

        ["\xF3\xB1\xA4\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x55"],
        ["\x62\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x92"],

        ["\xF3\xB1\xA4\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x56"],
        ["\x62\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x93"],

        ["\xF3\xB1\xA4\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x57"],
        ["\x62\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x94"],

        ["\xF3\xB1\xA4\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x58"],
        ["\x62\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x95"],

        ["\xF3\xB1\xA4\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x59"],
        ["\x62\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x96"],

        ["\xF3\xB1\xA4\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x5A"],
        ["\x62\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x97"],

        ["\xF3\xB1\xA4\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x5B"],
        ["\x62\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x98"],

        ["\xF3\xB1\xA4\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x5C"],
        ["\x62\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x99"],

        ["\xF3\xB1\xA4\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x5D"],
        ["\x62\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x9A"],

        ["\xF3\xB1\xA4\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x5E"],
        ["\x62\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x9B"],

        ["\xF3\xB1\xA4\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x5F"],
        ["\x62\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x9C"],

        ["\xF3\xB1\xA4\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x60"],
        ["\x62\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x9D"],

        ["\xF3\xB1\xA4\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x61"],
        ["\x62\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x9E"],

        ["\xF3\xB1\xA4\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x62"],
        ["\x62\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\x9F"],

        ["\xF3\xB1\xA4\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x63"],
        ["\x62\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xA0"],

        ["\xF3\xB1\xA4\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x64"],
        ["\x62\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xA1"],

        ["\xF3\xB1\xA4\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x65"],
        ["\x62\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xA2"],

        ["\xF3\xB1\xA4\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x66"],
        ["\x62\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xA3"],

        ["\xF3\xB1\xA4\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x67"],
        ["\x62\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xA4"],

        ["\xF3\xB1\xA4\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x5C"],
        ["\x39\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xA5"],

        ["\xF3\xB1\xA4\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x69"],
        ["\x62\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xA6"],

        ["\xF3\xB1\xA4\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x57"],
        ["\x45\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xA7"],

        ["\xF3\xB1\xA4\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x6B"],
        ["\x62\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xA8"],

        ["\xF3\xB1\xA4\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x6C"],
        ["\x62\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xA9"],

        ["\xF3\xB1\xA4\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x6D"],
        ["\x62\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xAA"],

        ["\xF3\xB1\xA4\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x6E"],
        ["\x62\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xAB"],

        ["\xF3\xB1\xA4\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x6F"],
        ["\x62\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xAC"],

        ["\xF3\xB1\xA4\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x70"],
        ["\x62\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xAD"],

        ["\xF3\xB1\xA4\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x71"],
        ["\x62\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xAE"],

        ["\xF3\xB1\xA4\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x72"],
        ["\x62\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xAF"],

        ["\xF3\xB1\xA4\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x73"],
        ["\x62\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xB0"],

        ["\xF3\xB1\xA4\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x74"],
        ["\x62\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xB1"],

        ["\xF3\xB1\xA4\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x75"],
        ["\x62\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xB2"],

        ["\xF3\xB1\xA4\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x76"],
        ["\x62\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xB3"],

        ["\xF3\xB1\xA4\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x77"],
        ["\x62\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xB4"],

        ["\xF3\xB1\xA4\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x78"],
        ["\x62\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xB5"],

        ["\xF3\xB1\xA4\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x79"],
        ["\x62\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xB6"],

        ["\xF3\xB1\xA4\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x7A"],
        ["\x62\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xB7"],

        ["\xF3\xB1\xA4\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x7B"],
        ["\x62\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xB8"],

        ["\xF3\xB1\xA4\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x7C"],
        ["\x62\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xB9"],

        ["\xF3\xB1\xA4\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x7D"],
        ["\x62\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xBA"],

        ["\xF3\xB1\xA4\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x62\x7E"],
        ["\x62\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xBB"],

        ["\xF3\xB1\xA4\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x21"],
        ["\x63\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xBC"],

        ["\xF3\xB1\xA4\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x22"],
        ["\x63\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xBD"],

        ["\xF3\xB1\xA4\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x23"],
        ["\x63\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xBE"],

        ["\xF3\xB1\xA4\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x24"],
        ["\x63\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA4\xBF"],

        ["\xF3\xB1\xA5\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x25"],
        ["\x63\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x80"],

        ["\xF3\xB1\xA5\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x26"],
        ["\x63\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x81"],

        ["\xF3\xB1\xA5\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x27"],
        ["\x63\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x82"],

        ["\xF3\xB1\xA5\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x28"],
        ["\x63\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x83"],

        ["\xF3\xB1\xA5\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x29"],
        ["\x63\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x84"],

        ["\xF3\xB1\xA5\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x2A"],
        ["\x63\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x85"],

        ["\xF3\xB1\xA5\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x2B"],
        ["\x63\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x86"],

        ["\xF3\xB1\xA5\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x2C"],
        ["\x63\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x87"],

        ["\xF3\xB1\xA5\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x2D"],
        ["\x63\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x88"],

        ["\xF3\xB1\xA5\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x2E"],
        ["\x63\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x89"],

        ["\xF3\xB1\xA5\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x2F"],
        ["\x63\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x8A"],

        ["\xF3\xB1\xA5\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x30"],
        ["\x63\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x8B"],

        ["\xF3\xB1\xA5\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x31"],
        ["\x63\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x8C"],

        ["\xF3\xB1\xA5\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x32"],
        ["\x63\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x8D"],

        ["\xF3\xB1\xA5\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x33"],
        ["\x63\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x8E"],

        ["\xF3\xB1\xA5\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x34"],
        ["\x63\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x8F"],

        ["\xF3\xB1\xA5\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x35"],
        ["\x63\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x90"],

        ["\xF3\xB1\xA5\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x36"],
        ["\x63\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x91"],

        ["\xF3\xB1\xA5\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x37"],
        ["\x63\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x92"],

        ["\xF3\xB1\xA5\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x38"],
        ["\x63\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x93"],

        ["\xF3\xB1\xA5\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x39"],
        ["\x63\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x94"],

        ["\xF3\xB1\xA5\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x3A"],
        ["\x63\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x95"],

        ["\xF3\xB1\xA5\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x3B"],
        ["\x63\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x96"],

        ["\xF3\xB1\xA5\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x3C"],
        ["\x63\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x97"],

        ["\xF3\xB1\xA5\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x3D"],
        ["\x63\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x98"],

        ["\xF3\xB1\xA5\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x3E"],
        ["\x63\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x99"],

        ["\xF3\xB1\xA5\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x3F"],
        ["\x63\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x9A"],

        ["\xF3\xB1\xA5\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x40"],
        ["\x63\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x9B"],

        ["\xF3\xB1\xA5\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x41"],
        ["\x63\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x9C"],

        ["\xF3\xB1\xA5\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x42"],
        ["\x63\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x9D"],

        ["\xF3\xB1\xA5\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x43"],
        ["\x63\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x9E"],

        ["\xF3\xB1\xA5\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x44"],
        ["\x63\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\x9F"],

        ["\xF3\xB1\xA5\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x45"],
        ["\x63\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xA0"],

        ["\xF3\xB1\xA5\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x46"],
        ["\x63\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xA1"],

        ["\xF3\xB1\xA5\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x47"],
        ["\x63\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xA2"],

        ["\xF3\xB1\xA5\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x48"],
        ["\x63\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xA3"],

        ["\xF3\xB1\xA5\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x49"],
        ["\x63\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xA4"],

        ["\xF3\xB1\xA5\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x4A"],
        ["\x63\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xA5"],

        ["\xF3\xB1\xA5\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x4B"],
        ["\x63\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xA6"],

        ["\xF3\xB1\xA5\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x4C"],
        ["\x63\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xA7"],

        ["\xF3\xB1\xA5\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x4D"],
        ["\x63\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xA8"],

        ["\xF3\xB1\xA5\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x4E"],
        ["\x63\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xA9"],

        ["\xF3\xB1\xA5\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x4F"],
        ["\x63\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xAA"],

        ["\xF3\xB1\xA5\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x50"],
        ["\x63\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xAB"],

        ["\xF3\xB1\xA5\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x51"],
        ["\x63\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xAC"],

        ["\xF3\xB1\xA5\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x52"],
        ["\x63\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xAD"],

        ["\xF3\xB1\xA5\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x53"],
        ["\x63\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xAE"],

        ["\xF3\xB1\xA5\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x54"],
        ["\x63\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xAF"],

        ["\xF3\xB1\xA5\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x55"],
        ["\x63\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xB0"],

        ["\xF3\xB1\xA5\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x56"],
        ["\x63\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xB1"],

        ["\xF3\xB1\xA5\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x57"],
        ["\x63\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xB2"],

        ["\xF3\xB1\xA5\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x58"],
        ["\x63\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xB3"],

        ["\xF3\xB1\xA5\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x59"],
        ["\x63\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xB4"],

        ["\xF3\xB1\xA5\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x5A"],
        ["\x63\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xB5"],

        ["\xF3\xB1\xA5\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x5B"],
        ["\x63\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xB6"],

        ["\xF3\xB1\xA5\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x5C"],
        ["\x63\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xB7"],

        ["\xF3\xB1\xA5\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x5D"],
        ["\x63\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xB8"],

        ["\xF3\xB1\xA5\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x76"],
        ["\x33\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xB9"],

        ["\xF3\xB1\xA5\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x5F"],
        ["\x63\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xBA"],

        ["\xF3\xB1\xA5\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x60"],
        ["\x63\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xBB"],

        ["\xF3\xB1\xA5\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x61"],
        ["\x63\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xBC"],

        ["\xF3\xB1\xA5\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x62"],
        ["\x63\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xBD"],

        ["\xF3\xB1\xA5\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x63"],
        ["\x63\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xBE"],

        ["\xF3\xB1\xA5\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x64"],
        ["\x63\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA5\xBF"],

        ["\xF3\xB1\xA6\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x65"],
        ["\x63\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x80"],

        ["\xF3\xB1\xA6\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x66"],
        ["\x63\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x81"],

        ["\xF3\xB1\xA6\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x67"],
        ["\x63\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x82"],

        ["\xF3\xB1\xA6\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x68"],
        ["\x63\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x83"],

        ["\xF3\xB1\xA6\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x69"],
        ["\x63\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x84"],

        ["\xF3\xB1\xA6\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x6A"],
        ["\x63\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x85"],

        ["\xF3\xB1\xA6\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x6B"],
        ["\x63\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x86"],

        ["\xF3\xB1\xA6\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x6C"],
        ["\x63\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x87"],

        ["\xF3\xB1\xA6\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x6D"],
        ["\x63\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x88"],

        ["\xF3\xB1\xA6\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x6E"],
        ["\x63\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x89"],

        ["\xF3\xB1\xA6\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x6F"],
        ["\x63\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x8A"],

        ["\xF3\xB1\xA6\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x70"],
        ["\x63\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x8B"],

        ["\xF3\xB1\xA6\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x71"],
        ["\x63\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x8C"],

        ["\xF3\xB1\xA6\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x72"],
        ["\x63\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x8D"],

        ["\xF3\xB1\xA6\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x73"],
        ["\x63\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x8E"],

        ["\xF3\xB1\xA6\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x74"],
        ["\x63\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x8F"],

        ["\xF3\xB1\xA6\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x75"],
        ["\x63\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x90"],

        ["\xF3\xB1\xA6\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x76"],
        ["\x63\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x91"],

        ["\xF3\xB1\xA6\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x77"],
        ["\x63\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x92"],

        ["\xF3\xB1\xA6\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x78"],
        ["\x63\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x93"],

        ["\xF3\xB1\xA6\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x79"],
        ["\x63\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x94"],

        ["\xF3\xB1\xA6\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x7A"],
        ["\x63\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x95"],

        ["\xF3\xB1\xA6\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x7B"],
        ["\x63\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x96"],

        ["\xF3\xB1\xA6\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x7C"],
        ["\x63\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x97"],

        ["\xF3\xB1\xA6\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x7D"],
        ["\x63\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x98"],

        ["\xF3\xB1\xA6\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x63\x7E"],
        ["\x63\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x99"],

        ["\xF3\xB1\xA6\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x21"],
        ["\x64\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x9A"],

        ["\xF3\xB1\xA6\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x22"],
        ["\x64\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x9B"],

        ["\xF3\xB1\xA6\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x23"],
        ["\x64\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x9C"],

        ["\xF3\xB1\xA6\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x24"],
        ["\x64\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x9D"],

        ["\xF3\xB1\xA6\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x25"],
        ["\x64\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x9E"],

        ["\xF3\xB1\xA6\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x26"],
        ["\x64\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\x9F"],

        ["\xF3\xB1\xA6\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x27"],
        ["\x64\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xA0"],

        ["\xF3\xB1\xA6\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x28"],
        ["\x64\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xA1"],

        ["\xF3\xB1\xA6\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x29"],
        ["\x64\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xA2"],

        ["\xF3\xB1\xA6\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x2A"],
        ["\x64\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xA3"],

        ["\xF3\xB1\xA6\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x2B"],
        ["\x64\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xA4"],

        ["\xF3\xB1\xA6\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x2C"],
        ["\x64\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xA5"],

        ["\xF3\xB1\xA6\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x2D"],
        ["\x64\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xA6"],

        ["\xF3\xB1\xA6\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x2E"],
        ["\x64\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xA7"],

        ["\xF3\xB1\xA6\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x2F"],
        ["\x64\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xA8"],

        ["\xF3\xB1\xA6\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x30"],
        ["\x64\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xA9"],

        ["\xF3\xB1\xA6\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x31"],
        ["\x64\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xAA"],

        ["\xF3\xB1\xA6\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x32"],
        ["\x64\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xAB"],

        ["\xF3\xB1\xA6\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x33"],
        ["\x64\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xAC"],

        ["\xF3\xB1\xA6\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x34"],
        ["\x64\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xAD"],

        ["\xF3\xB1\xA6\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x35"],
        ["\x64\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xAE"],

        ["\xF3\xB1\xA6\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x36"],
        ["\x64\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xAF"],

        ["\xF3\xB1\xA6\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x37"],
        ["\x64\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xB0"],

        ["\xF3\xB1\xA6\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x38"],
        ["\x64\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xB1"],

        ["\xF3\xB1\xA6\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x39"],
        ["\x64\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xB2"],

        ["\xF3\xB1\xA6\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x3A"],
        ["\x64\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xB3"],

        ["\xF3\xB1\xA6\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x3B"],
        ["\x64\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xB4"],

        ["\xF3\xB1\xA6\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x3C"],
        ["\x64\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xB5"],

        ["\xF3\xB1\xA6\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x3D"],
        ["\x64\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xB6"],

        ["\xF3\xB1\xA6\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x3E"],
        ["\x64\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xB7"],

        ["\xF3\xB1\xA6\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x3F"],
        ["\x64\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xB8"],

        ["\xF3\xB1\xA6\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x40"],
        ["\x64\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xB9"],

        ["\xF3\xB1\xA6\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x41"],
        ["\x64\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xBA"],

        ["\xF3\xB1\xA6\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x42"],
        ["\x64\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xBB"],

        ["\xF3\xB1\xA6\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x43"],
        ["\x64\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xBC"],

        ["\xF3\xB1\xA6\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x44"],
        ["\x64\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xBD"],

        ["\xF3\xB1\xA6\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x45"],
        ["\x64\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xBE"],

        ["\xF3\xB1\xA6\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4F\x36"],
        ["\x4F\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA6\xBF"],

        ["\xF3\xB1\xA7\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x47"],
        ["\x64\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x80"],

        ["\xF3\xB1\xA7\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x48"],
        ["\x64\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x81"],

        ["\xF3\xB1\xA7\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x49"],
        ["\x64\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x82"],

        ["\xF3\xB1\xA7\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x4A"],
        ["\x64\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x83"],

        ["\xF3\xB1\xA7\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x4B"],
        ["\x64\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x84"],

        ["\xF3\xB1\xA7\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x4C"],
        ["\x64\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x85"],

        ["\xF3\xB1\xA7\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x4D"],
        ["\x64\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x86"],

        ["\xF3\xB1\xA7\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x4E"],
        ["\x64\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x87"],

        ["\xF3\xB1\xA7\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x4F"],
        ["\x64\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x88"],

        ["\xF3\xB1\xA7\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x50"],
        ["\x64\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x89"],

        ["\xF3\xB1\xA7\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x51"],
        ["\x64\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x8A"],

        ["\xF3\xB1\xA7\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x52"],
        ["\x64\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x8B"],

        ["\xF3\xB1\xA7\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x53"],
        ["\x64\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x8C"],

        ["\xF3\xB1\xA7\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x54"],
        ["\x64\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x8D"],

        ["\xF3\xB1\xA7\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x55"],
        ["\x64\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x8E"],

        ["\xF3\xB1\xA7\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x56"],
        ["\x64\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x8F"],

        ["\xF3\xB1\xA7\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x57"],
        ["\x64\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x90"],

        ["\xF3\xB1\xA7\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x58"],
        ["\x64\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x91"],

        ["\xF3\xB1\xA7\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x59"],
        ["\x64\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x92"],

        ["\xF3\xB1\xA7\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x5A"],
        ["\x64\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x93"],

        ["\xF3\xB1\xA7\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x5B"],
        ["\x64\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x94"],

        ["\xF3\xB1\xA7\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x5C"],
        ["\x64\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x95"],

        ["\xF3\xB1\xA7\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x5D"],
        ["\x64\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x96"],

        ["\xF3\xB1\xA7\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x5E"],
        ["\x64\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x97"],

        ["\xF3\xB1\xA7\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x5F"],
        ["\x64\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x98"],

        ["\xF3\xB1\xA7\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x60"],
        ["\x64\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x99"],

        ["\xF3\xB1\xA7\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x61"],
        ["\x64\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x9A"],

        ["\xF3\xB1\xA7\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x62"],
        ["\x64\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x9B"],

        ["\xF3\xB1\xA7\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x63"],
        ["\x64\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x9C"],

        ["\xF3\xB1\xA7\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x64"],
        ["\x64\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x9D"],

        ["\xF3\xB1\xA7\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x65"],
        ["\x64\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x9E"],

        ["\xF3\xB1\xA7\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x66"],
        ["\x64\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\x9F"],

        ["\xF3\xB1\xA7\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x67"],
        ["\x64\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xA0"],

        ["\xF3\xB1\xA7\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x68"],
        ["\x64\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xA1"],

        ["\xF3\xB1\xA7\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x69"],
        ["\x64\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xA2"],

        ["\xF3\xB1\xA7\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x6A"],
        ["\x64\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xA3"],

        ["\xF3\xB1\xA7\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x6B"],
        ["\x64\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xA4"],

        ["\xF3\xB1\xA7\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x6C"],
        ["\x64\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xA5"],

        ["\xF3\xB1\xA7\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x6D"],
        ["\x64\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xA6"],

        ["\xF3\xB1\xA7\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x6E"],
        ["\x64\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xA7"],

        ["\xF3\xB1\xA7\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x6F"],
        ["\x64\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xA8"],

        ["\xF3\xB1\xA7\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x70"],
        ["\x64\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xA9"],

        ["\xF3\xB1\xA7\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x71"],
        ["\x64\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xAA"],

        ["\xF3\xB1\xA7\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x72"],
        ["\x64\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xAB"],

        ["\xF3\xB1\xA7\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x73"],
        ["\x64\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xAC"],

        ["\xF3\xB1\xA7\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x74"],
        ["\x64\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xAD"],

        ["\xF3\xB1\xA7\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x75"],
        ["\x64\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xAE"],

        ["\xF3\xB1\xA7\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x76"],
        ["\x64\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xAF"],

        ["\xF3\xB1\xA7\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x77"],
        ["\x64\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xB0"],

        ["\xF3\xB1\xA7\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x78"],
        ["\x64\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xB1"],

        ["\xF3\xB1\xA7\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x79"],
        ["\x64\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xB2"],

        ["\xF3\xB1\xA7\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x7A"],
        ["\x64\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xB3"],

        ["\xF3\xB1\xA7\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x7B"],
        ["\x64\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xB4"],

        ["\xF3\xB1\xA7\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x7C"],
        ["\x64\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xB5"],

        ["\xF3\xB1\xA7\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x7D"],
        ["\x64\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xB6"],

        ["\xF3\xB1\xA7\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x64\x7E"],
        ["\x64\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xB7"],

        ["\xF3\xB1\xA7\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x21"],
        ["\x65\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xB8"],

        ["\xF3\xB1\xA7\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x22"],
        ["\x65\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xB9"],

        ["\xF3\xB1\xA7\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x23"],
        ["\x65\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xBA"],

        ["\xF3\xB1\xA7\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x24"],
        ["\x65\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xBB"],

        ["\xF3\xB1\xA7\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x25"],
        ["\x65\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xBC"],

        ["\xF3\xB1\xA7\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x26"],
        ["\x65\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xBD"],

        ["\xF3\xB1\xA7\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x27"],
        ["\x65\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xBE"],

        ["\xF3\xB1\xA7\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x28"],
        ["\x65\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA7\xBF"],

        ["\xF3\xB1\xA8\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x29"],
        ["\x65\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x80"],

        ["\xF3\xB1\xA8\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x2A"],
        ["\x65\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x81"],

        ["\xF3\xB1\xA8\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x2B"],
        ["\x65\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x82"],

        ["\xF3\xB1\xA8\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x2C"],
        ["\x65\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x83"],

        ["\xF3\xB1\xA8\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x2D"],
        ["\x65\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x84"],

        ["\xF3\xB1\xA8\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x2E"],
        ["\x65\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x85"],

        ["\xF3\xB1\xA8\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x2F"],
        ["\x65\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x86"],

        ["\xF3\xB1\xA8\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x30"],
        ["\x65\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x87"],

        ["\xF3\xB1\xA8\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x31"],
        ["\x65\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x88"],

        ["\xF3\xB1\xA8\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x32"],
        ["\x65\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x89"],

        ["\xF3\xB1\xA8\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x33"],
        ["\x65\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x8A"],

        ["\xF3\xB1\xA8\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x34"],
        ["\x65\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x8B"],

        ["\xF3\xB1\xA8\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x35"],
        ["\x65\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x8C"],

        ["\xF3\xB1\xA8\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x36"],
        ["\x65\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x8D"],

        ["\xF3\xB1\xA8\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x37"],
        ["\x65\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x8E"],

        ["\xF3\xB1\xA8\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x38"],
        ["\x65\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x8F"],

        ["\xF3\xB1\xA8\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x39"],
        ["\x65\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x90"],

        ["\xF3\xB1\xA8\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x3A"],
        ["\x65\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x91"],

        ["\xF3\xB1\xA8\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x3B"],
        ["\x65\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x92"],

        ["\xF3\xB1\xA8\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x3C"],
        ["\x65\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x93"],

        ["\xF3\xB1\xA8\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x3D"],
        ["\x65\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x94"],

        ["\xF3\xB1\xA8\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x3E"],
        ["\x65\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x95"],

        ["\xF3\xB1\xA8\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x3F"],
        ["\x65\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x96"],

        ["\xF3\xB1\xA8\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x40"],
        ["\x65\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x97"],

        ["\xF3\xB1\xA8\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x41"],
        ["\x65\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x98"],

        ["\xF3\xB1\xA8\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x42"],
        ["\x65\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x99"],

        ["\xF3\xB1\xA8\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x43"],
        ["\x65\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x9A"],

        ["\xF3\xB1\xA8\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x44"],
        ["\x65\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x9B"],

        ["\xF3\xB1\xA8\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x45"],
        ["\x65\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x9C"],

        ["\xF3\xB1\xA8\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x46"],
        ["\x65\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x9D"],

        ["\xF3\xB1\xA8\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x47"],
        ["\x65\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x9E"],

        ["\xF3\xB1\xA8\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x48"],
        ["\x65\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\x9F"],

        ["\xF3\xB1\xA8\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x49"],
        ["\x65\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xA0"],

        ["\xF3\xB1\xA8\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x4A"],
        ["\x65\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xA1"],

        ["\xF3\xB1\xA8\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x4B"],
        ["\x65\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xA2"],

        ["\xF3\xB1\xA8\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x4C"],
        ["\x65\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xA3"],

        ["\xF3\xB1\xA8\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x4D"],
        ["\x65\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xA4"],

        ["\xF3\xB1\xA8\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x4E"],
        ["\x65\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xA5"],

        ["\xF3\xB1\xA8\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x4F"],
        ["\x65\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xA6"],

        ["\xF3\xB1\xA8\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x50"],
        ["\x65\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xA7"],

        ["\xF3\xB1\xA8\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x51"],
        ["\x65\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xA8"],

        ["\xF3\xB1\xA8\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x52"],
        ["\x65\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xA9"],

        ["\xF3\xB1\xA8\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x53"],
        ["\x65\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xAA"],

        ["\xF3\xB1\xA8\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x54"],
        ["\x65\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xAB"],

        ["\xF3\xB1\xA8\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x55"],
        ["\x65\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xAC"],

        ["\xF3\xB1\xA8\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x56"],
        ["\x65\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xAD"],

        ["\xF3\xB1\xA8\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x57"],
        ["\x65\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xAE"],

        ["\xF3\xB1\xA8\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x58"],
        ["\x65\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xAF"],

        ["\xF3\xB1\xA8\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x59"],
        ["\x65\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xB0"],

        ["\xF3\xB1\xA8\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x5A"],
        ["\x65\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xB1"],

        ["\xF3\xB1\xA8\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x5B"],
        ["\x65\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xB2"],

        ["\xF3\xB1\xA8\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x5C"],
        ["\x65\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xB3"],

        ["\xF3\xB1\xA8\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x5D"],
        ["\x65\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xB4"],

        ["\xF3\xB1\xA8\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x5E"],
        ["\x65\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xB5"],

        ["\xF3\xB1\xA8\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x5F"],
        ["\x65\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xB6"],

        ["\xF3\xB1\xA8\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x60"],
        ["\x65\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xB7"],

        ["\xF3\xB1\xA8\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x61"],
        ["\x65\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xB8"],

        ["\xF3\xB1\xA8\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x62"],
        ["\x65\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xB9"],

        ["\xF3\xB1\xA8\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x63"],
        ["\x65\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xBA"],

        ["\xF3\xB1\xA8\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x64"],
        ["\x65\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xBB"],

        ["\xF3\xB1\xA8\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x65"],
        ["\x65\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xBC"],

        ["\xF3\xB1\xA8\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x66"],
        ["\x65\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xBD"],

        ["\xF3\xB1\xA8\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x67"],
        ["\x65\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xBE"],

        ["\xF3\xB1\xA8\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x68"],
        ["\x65\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA8\xBF"],

        ["\xF3\xB1\xA9\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x69"],
        ["\x65\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x80"],

        ["\xF3\xB1\xA9\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x6A"],
        ["\x65\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x81"],

        ["\xF3\xB1\xA9\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x6B"],
        ["\x65\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x82"],

        ["\xF3\xB1\xA9\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x6C"],
        ["\x65\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x83"],

        ["\xF3\xB1\xA9\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x6D"],
        ["\x65\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x84"],

        ["\xF3\xB1\xA9\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x6E"],
        ["\x65\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x85"],

        ["\xF3\xB1\xA9\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x6F"],
        ["\x65\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x86"],

        ["\xF3\xB1\xA9\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x70"],
        ["\x65\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x87"],

        ["\xF3\xB1\xA9\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x71"],
        ["\x65\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x88"],

        ["\xF3\xB1\xA9\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x72"],
        ["\x65\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x89"],

        ["\xF3\xB1\xA9\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x73"],
        ["\x65\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x8A"],

        ["\xF3\xB1\xA9\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x74"],
        ["\x65\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x8B"],

        ["\xF3\xB1\xA9\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x75"],
        ["\x65\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x8C"],

        ["\xF3\xB1\xA9\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x76"],
        ["\x65\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x8D"],

        ["\xF3\xB1\xA9\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x77"],
        ["\x65\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x8E"],

        ["\xF3\xB1\xA9\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x78"],
        ["\x65\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x8F"],

        ["\xF3\xB1\xA9\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x79"],
        ["\x65\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x90"],

        ["\xF3\xB1\xA9\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x7A"],
        ["\x65\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x91"],

        ["\xF3\xB1\xA9\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x7B"],
        ["\x65\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x92"],

        ["\xF3\xB1\xA9\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x7C"],
        ["\x65\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x93"],

        ["\xF3\xB1\xA9\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x7D"],
        ["\x65\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x94"],

        ["\xF3\xB1\xA9\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x65\x7E"],
        ["\x65\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x95"],

        ["\xF3\xB1\xA9\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x21"],
        ["\x66\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x96"],

        ["\xF3\xB1\xA9\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x22"],
        ["\x66\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x97"],

        ["\xF3\xB1\xA9\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x23"],
        ["\x66\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x98"],

        ["\xF3\xB1\xA9\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x24"],
        ["\x66\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x99"],

        ["\xF3\xB1\xA9\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x25"],
        ["\x66\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x9A"],

        ["\xF3\xB1\xA9\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x26"],
        ["\x66\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x9B"],

        ["\xF3\xB1\xA9\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x27"],
        ["\x66\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x9C"],

        ["\xF3\xB1\xA9\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x28"],
        ["\x66\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x9D"],

        ["\xF3\xB1\xA9\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x29"],
        ["\x66\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x9E"],

        ["\xF3\xB1\xA9\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x2A"],
        ["\x66\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\x9F"],

        ["\xF3\xB1\xA9\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x2B"],
        ["\x66\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xA0"],

        ["\xF3\xB1\xA9\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x2C"],
        ["\x66\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xA1"],

        ["\xF3\xB1\xA9\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x2D"],
        ["\x66\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xA2"],

        ["\xF3\xB1\xA9\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x2E"],
        ["\x66\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xA3"],

        ["\xF3\xB1\xA9\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x2F"],
        ["\x66\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xA4"],

        ["\xF3\xB1\xA9\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x30"],
        ["\x66\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xA5"],

        ["\xF3\xB1\xA9\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x31"],
        ["\x66\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xA6"],

        ["\xF3\xB1\xA9\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x32"],
        ["\x66\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xA7"],

        ["\xF3\xB1\xA9\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x33"],
        ["\x66\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xA8"],

        ["\xF3\xB1\xA9\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x34"],
        ["\x66\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xA9"],

        ["\xF3\xB1\xA9\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x35"],
        ["\x66\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xAA"],

        ["\xF3\xB1\xA9\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x36"],
        ["\x66\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xAB"],

        ["\xF3\xB1\xA9\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x37"],
        ["\x66\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xAC"],

        ["\xF3\xB1\xA9\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x38"],
        ["\x66\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xAD"],

        ["\xF3\xB1\xA9\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x39"],
        ["\x66\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xAE"],

        ["\xF3\xB1\xA9\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x3A"],
        ["\x66\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xAF"],

        ["\xF3\xB1\xA9\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x3B"],
        ["\x66\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xB0"],

        ["\xF3\xB1\xA9\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x3C"],
        ["\x66\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xB1"],

        ["\xF3\xB1\xA9\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x3D"],
        ["\x66\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xB2"],

        ["\xF3\xB1\xA9\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x3E"],
        ["\x66\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xB3"],

        ["\xF3\xB1\xA9\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x3F"],
        ["\x66\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xB4"],

        ["\xF3\xB1\xA9\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x40"],
        ["\x66\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xB5"],

        ["\xF3\xB1\xA9\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x41"],
        ["\x66\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xB6"],

        ["\xF3\xB1\xA9\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x42"],
        ["\x66\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xB7"],

        ["\xF3\xB1\xA9\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x43"],
        ["\x66\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xB8"],

        ["\xF3\xB1\xA9\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x44"],
        ["\x66\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xB9"],

        ["\xF3\xB1\xA9\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x45"],
        ["\x66\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xBA"],

        ["\xF3\xB1\xA9\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x46"],
        ["\x66\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xBB"],

        ["\xF3\xB1\xA9\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x47"],
        ["\x66\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xBC"],

        ["\xF3\xB1\xA9\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x48"],
        ["\x66\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xBD"],

        ["\xF3\xB1\xA9\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x49"],
        ["\x66\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xBE"],

        ["\xF3\xB1\xA9\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x4A"],
        ["\x66\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xA9\xBF"],

        ["\xF3\xB1\xAA\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x4B"],
        ["\x66\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x80"],

        ["\xF3\xB1\xAA\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x4C"],
        ["\x66\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x81"],

        ["\xF3\xB1\xAA\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x4D"],
        ["\x66\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x82"],

        ["\xF3\xB1\xAA\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x4E"],
        ["\x66\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x83"],

        ["\xF3\xB1\xAA\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x4F"],
        ["\x66\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x84"],

        ["\xF3\xB1\xAA\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x50"],
        ["\x66\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x85"],

        ["\xF3\xB1\xAA\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x51"],
        ["\x66\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x86"],

        ["\xF3\xB1\xAA\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x52"],
        ["\x66\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x87"],

        ["\xF3\xB1\xAA\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x53"],
        ["\x66\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x88"],

        ["\xF3\xB1\xAA\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x54"],
        ["\x66\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x89"],

        ["\xF3\xB1\xAA\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x55"],
        ["\x66\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x8A"],

        ["\xF3\xB1\xAA\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x56"],
        ["\x66\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x8B"],

        ["\xF3\xB1\xAA\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x57"],
        ["\x66\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x8C"],

        ["\xF3\xB1\xAA\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x58"],
        ["\x66\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x8D"],

        ["\xF3\xB1\xAA\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x59"],
        ["\x66\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x8E"],

        ["\xF3\xB1\xAA\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x5A"],
        ["\x66\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x8F"],

        ["\xF3\xB1\xAA\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x5B"],
        ["\x66\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x90"],

        ["\xF3\xB1\xAA\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x5C"],
        ["\x66\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x91"],

        ["\xF3\xB1\xAA\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x5D"],
        ["\x66\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x92"],

        ["\xF3\xB1\xAA\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x5E"],
        ["\x66\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x93"],

        ["\xF3\xB1\xAA\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x5F"],
        ["\x66\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x94"],

        ["\xF3\xB1\xAA\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x60"],
        ["\x66\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x95"],

        ["\xF3\xB1\xAA\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x61"],
        ["\x66\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x96"],

        ["\xF3\xB1\xAA\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x62"],
        ["\x66\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x97"],

        ["\xF3\xB1\xAA\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x63"],
        ["\x66\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x98"],

        ["\xF3\xB1\xAA\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x64"],
        ["\x66\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x99"],

        ["\xF3\xB1\xAA\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x65"],
        ["\x66\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x9A"],

        ["\xF3\xB1\xAA\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x66"],
        ["\x66\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x9B"],

        ["\xF3\xB1\xAA\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x67"],
        ["\x66\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x9C"],

        ["\xF3\xB1\xAA\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x68"],
        ["\x66\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x9D"],

        ["\xF3\xB1\xAA\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x69"],
        ["\x66\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x9E"],

        ["\xF3\xB1\xAA\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x6A"],
        ["\x66\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\x9F"],

        ["\xF3\xB1\xAA\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x6B"],
        ["\x66\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xA0"],

        ["\xF3\xB1\xAA\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x6C"],
        ["\x66\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xA1"],

        ["\xF3\xB1\xAA\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x6D"],
        ["\x66\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xA2"],

        ["\xF3\xB1\xAA\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x6E"],
        ["\x66\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xA3"],

        ["\xF3\xB1\xAA\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x6F"],
        ["\x66\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xA4"],

        ["\xF3\xB1\xAA\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x70"],
        ["\x66\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xA5"],

        ["\xF3\xB1\xAA\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x71"],
        ["\x66\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xA6"],

        ["\xF3\xB1\xAA\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x72"],
        ["\x66\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xA7"],

        ["\xF3\xB1\xAA\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x73"],
        ["\x66\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xA8"],

        ["\xF3\xB1\xAA\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x74"],
        ["\x66\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xA9"],

        ["\xF3\xB1\xAA\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x75"],
        ["\x66\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xAA"],

        ["\xF3\xB1\xAA\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x76"],
        ["\x66\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xAB"],

        ["\xF3\xB1\xAA\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x77"],
        ["\x66\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xAC"],

        ["\xF3\xB1\xAA\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x78"],
        ["\x66\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xAD"],

        ["\xF3\xB1\xAA\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x79"],
        ["\x66\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xAE"],

        ["\xF3\xB1\xAA\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x7A"],
        ["\x66\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xAF"],

        ["\xF3\xB1\xAA\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x7B"],
        ["\x66\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xB0"],

        ["\xF3\xB1\xAA\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x7C"],
        ["\x66\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xB1"],

        ["\xF3\xB1\xAA\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x7D"],
        ["\x66\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xB2"],

        ["\xF3\xB1\xAA\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x66\x7E"],
        ["\x66\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xB3"],

        ["\xF3\xB1\xAA\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x21"],
        ["\x67\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xB4"],

        ["\xF3\xB1\xAA\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x22"],
        ["\x67\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xB5"],

        ["\xF3\xB1\xAA\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x23"],
        ["\x67\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xB6"],

        ["\xF3\xB1\xAA\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x24"],
        ["\x67\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xB7"],

        ["\xF3\xB1\xAA\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x25"],
        ["\x67\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xB8"],

        ["\xF3\xB1\xAA\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x26"],
        ["\x67\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xB9"],

        ["\xF3\xB1\xAA\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x27"],
        ["\x67\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xBA"],

        ["\xF3\xB1\xAA\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x28"],
        ["\x67\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xBB"],

        ["\xF3\xB1\xAA\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x29"],
        ["\x67\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xBC"],

        ["\xF3\xB1\xAA\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x2A"],
        ["\x67\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xBD"],

        ["\xF3\xB1\xAA\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x2B"],
        ["\x67\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xBE"],

        ["\xF3\xB1\xAA\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x2C"],
        ["\x67\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAA\xBF"],

        ["\xF3\xB1\xAB\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x2D"],
        ["\x67\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x80"],

        ["\xF3\xB1\xAB\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x2E"],
        ["\x67\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x81"],

        ["\xF3\xB1\xAB\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x2F"],
        ["\x67\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x82"],

        ["\xF3\xB1\xAB\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x30"],
        ["\x67\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x83"],

        ["\xF3\xB1\xAB\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x31"],
        ["\x67\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x84"],

        ["\xF3\xB1\xAB\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x32"],
        ["\x67\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x85"],

        ["\xF3\xB1\xAB\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x33"],
        ["\x67\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x86"],

        ["\xF3\xB1\xAB\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x34"],
        ["\x67\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x87"],

        ["\xF3\xB1\xAB\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x35"],
        ["\x67\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x88"],

        ["\xF3\xB1\xAB\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x36"],
        ["\x67\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x89"],

        ["\xF3\xB1\xAB\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x37"],
        ["\x67\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x8A"],

        ["\xF3\xB1\xAB\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x38"],
        ["\x67\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x8B"],

        ["\xF3\xB1\xAB\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x39"],
        ["\x67\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x8C"],

        ["\xF3\xB1\xAB\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x3A"],
        ["\x67\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x8D"],

        ["\xF3\xB1\xAB\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x3B"],
        ["\x67\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x8E"],

        ["\xF3\xB1\xAB\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x3C"],
        ["\x67\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x8F"],

        ["\xF3\xB1\xAB\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x3D"],
        ["\x67\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x90"],

        ["\xF3\xB1\xAB\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x3E"],
        ["\x67\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x91"],

        ["\xF3\xB1\xAB\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x3F"],
        ["\x67\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x92"],

        ["\xF3\xB1\xAB\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x40"],
        ["\x67\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x93"],

        ["\xF3\xB1\xAB\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x41"],
        ["\x67\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x94"],

        ["\xF3\xB1\xAB\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x42"],
        ["\x67\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x95"],

        ["\xF3\xB1\xAB\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x43"],
        ["\x67\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x96"],

        ["\xF3\xB1\xAB\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x44"],
        ["\x67\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x97"],

        ["\xF3\xB1\xAB\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x45"],
        ["\x67\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x98"],

        ["\xF3\xB1\xAB\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x46"],
        ["\x67\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x99"],

        ["\xF3\xB1\xAB\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x47"],
        ["\x67\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x9A"],

        ["\xF3\xB1\xAB\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x48"],
        ["\x67\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x9B"],

        ["\xF3\xB1\xAB\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x49"],
        ["\x67\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x9C"],

        ["\xF3\xB1\xAB\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x4A"],
        ["\x67\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x9D"],

        ["\xF3\xB1\xAB\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x4B"],
        ["\x67\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x9E"],

        ["\xF3\xB1\xAB\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x4C"],
        ["\x67\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\x9F"],

        ["\xF3\xB1\xAB\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x4D"],
        ["\x67\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xA0"],

        ["\xF3\xB1\xAB\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x4E"],
        ["\x67\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xA1"],

        ["\xF3\xB1\xAB\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x4F"],
        ["\x67\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xA2"],

        ["\xF3\xB1\xAB\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x50"],
        ["\x67\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xA3"],

        ["\xF3\xB1\xAB\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x51"],
        ["\x67\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xA4"],

        ["\xF3\xB1\xAB\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x52"],
        ["\x67\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xA5"],

        ["\xF3\xB1\xAB\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x53"],
        ["\x67\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xA6"],

        ["\xF3\xB1\xAB\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x54"],
        ["\x67\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xA7"],

        ["\xF3\xB1\xAB\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x55"],
        ["\x67\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xA8"],

        ["\xF3\xB1\xAB\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x56"],
        ["\x67\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xA9"],

        ["\xF3\xB1\xAB\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x57"],
        ["\x67\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xAA"],

        ["\xF3\xB1\xAB\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x58"],
        ["\x67\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xAB"],

        ["\xF3\xB1\xAB\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x59"],
        ["\x67\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xAC"],

        ["\xF3\xB1\xAB\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x5A"],
        ["\x67\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xAD"],

        ["\xF3\xB1\xAB\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x5B"],
        ["\x67\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xAE"],

        ["\xF3\xB1\xAB\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x5C"],
        ["\x67\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xAF"],

        ["\xF3\xB1\xAB\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x5D"],
        ["\x67\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xB0"],

        ["\xF3\xB1\xAB\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x5E"],
        ["\x67\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xB1"],

        ["\xF3\xB1\xAB\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x5F"],
        ["\x67\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xB2"],

        ["\xF3\xB1\xAB\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x60"],
        ["\x67\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xB3"],

        ["\xF3\xB1\xAB\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x61"],
        ["\x67\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xB4"],

        ["\xF3\xB1\xAB\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x62"],
        ["\x67\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xB5"],

        ["\xF3\xB1\xAB\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x63"],
        ["\x67\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xB6"],

        ["\xF3\xB1\xAB\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x64"],
        ["\x67\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xB7"],

        ["\xF3\xB1\xAB\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x65"],
        ["\x67\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xB8"],

        ["\xF3\xB1\xAB\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x66"],
        ["\x67\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xB9"],

        ["\xF3\xB1\xAB\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x67"],
        ["\x67\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xBA"],

        ["\xF3\xB1\xAB\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x68"],
        ["\x67\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xBB"],

        ["\xF3\xB1\xAB\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x69"],
        ["\x67\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xBC"],

        ["\xF3\xB1\xAB\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x6A"],
        ["\x67\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xBD"],

        ["\xF3\xB1\xAB\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x6B"],
        ["\x67\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xBE"],

        ["\xF3\xB1\xAB\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x6C"],
        ["\x67\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAB\xBF"],

        ["\xF3\xB1\xAC\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x6D"],
        ["\x67\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x80"],

        ["\xF3\xB1\xAC\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x6E"],
        ["\x67\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x81"],

        ["\xF3\xB1\xAC\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x6F"],
        ["\x67\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x82"],

        ["\xF3\xB1\xAC\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x70"],
        ["\x67\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x83"],

        ["\xF3\xB1\xAC\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x71"],
        ["\x67\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x84"],

        ["\xF3\xB1\xAC\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x72"],
        ["\x67\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x85"],

        ["\xF3\xB1\xAC\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x73"],
        ["\x67\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x86"],

        ["\xF3\xB1\xAC\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x74"],
        ["\x67\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x87"],

        ["\xF3\xB1\xAC\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x75"],
        ["\x67\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x88"],

        ["\xF3\xB1\xAC\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x76"],
        ["\x67\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x89"],

        ["\xF3\xB1\xAC\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x77"],
        ["\x67\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x8A"],

        ["\xF3\xB1\xAC\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x78"],
        ["\x67\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x8B"],

        ["\xF3\xB1\xAC\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x79"],
        ["\x67\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x8C"],

        ["\xF3\xB1\xAC\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x7A"],
        ["\x67\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x8D"],

        ["\xF3\xB1\xAC\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x7B"],
        ["\x67\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x8E"],

        ["\xF3\xB1\xAC\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x7C"],
        ["\x67\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x8F"],

        ["\xF3\xB1\xAC\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x7D"],
        ["\x67\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x90"],

        ["\xF3\xB1\xAC\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x67\x7E"],
        ["\x67\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x91"],

        ["\xF3\xB1\xAC\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x21"],
        ["\x68\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x92"],

        ["\xF3\xB1\xAC\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x22"],
        ["\x68\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x93"],

        ["\xF3\xB1\xAC\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x23"],
        ["\x68\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x94"],

        ["\xF3\xB1\xAC\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x24"],
        ["\x68\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x95"],

        ["\xF3\xB1\xAC\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x25"],
        ["\x68\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x96"],

        ["\xF3\xB1\xAC\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x26"],
        ["\x68\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x97"],

        ["\xF3\xB1\xAC\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x27"],
        ["\x68\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x98"],

        ["\xF3\xB1\xAC\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x28"],
        ["\x68\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x99"],

        ["\xF3\xB1\xAC\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x29"],
        ["\x68\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x9A"],

        ["\xF3\xB1\xAC\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x2A"],
        ["\x68\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x9B"],

        ["\xF3\xB1\xAC\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x2B"],
        ["\x68\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x9C"],

        ["\xF3\xB1\xAC\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x2C"],
        ["\x68\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x9D"],

        ["\xF3\xB1\xAC\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x2D"],
        ["\x68\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x9E"],

        ["\xF3\xB1\xAC\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x2E"],
        ["\x68\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\x9F"],

        ["\xF3\xB1\xAC\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x2F"],
        ["\x68\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xA0"],

        ["\xF3\xB1\xAC\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x30"],
        ["\x68\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xA1"],

        ["\xF3\xB1\xAC\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x31"],
        ["\x68\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xA2"],

        ["\xF3\xB1\xAC\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x32"],
        ["\x68\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xA3"],

        ["\xF3\xB1\xAC\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x33"],
        ["\x68\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xA4"],

        ["\xF3\xB1\xAC\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x34"],
        ["\x68\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xA5"],

        ["\xF3\xB1\xAC\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x35"],
        ["\x68\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xA6"],

        ["\xF3\xB1\xAC\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x36"],
        ["\x68\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xA7"],

        ["\xF3\xB1\xAC\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x37"],
        ["\x68\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xA8"],

        ["\xF3\xB1\xAC\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x38"],
        ["\x68\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xA9"],

        ["\xF3\xB1\xAC\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x39"],
        ["\x68\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xAA"],

        ["\xF3\xB1\xAC\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x3A"],
        ["\x68\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xAB"],

        ["\xF3\xB1\xAC\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x3B"],
        ["\x68\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xAC"],

        ["\xF3\xB1\xAC\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x3C"],
        ["\x68\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xAD"],

        ["\xF3\xB1\xAC\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x3D"],
        ["\x68\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xAE"],

        ["\xF3\xB1\xAC\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x3E"],
        ["\x68\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xAF"],

        ["\xF3\xB1\xAC\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x3F"],
        ["\x68\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xB0"],

        ["\xF3\xB1\xAC\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x40"],
        ["\x68\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xB1"],

        ["\xF3\xB1\xAC\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x41"],
        ["\x68\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xB2"],

        ["\xF3\xB1\xAC\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x42"],
        ["\x68\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xB3"],

        ["\xF3\xB1\xAC\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x43"],
        ["\x68\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xB4"],

        ["\xF3\xB1\xAC\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x44"],
        ["\x68\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xB5"],

        ["\xF3\xB1\xAC\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x45"],
        ["\x68\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xB6"],

        ["\xF3\xB1\xAC\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x46"],
        ["\x68\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xB7"],

        ["\xF3\xB1\xAC\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x47"],
        ["\x68\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xB8"],

        ["\xF3\xB1\xAC\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x48"],
        ["\x68\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xB9"],

        ["\xF3\xB1\xAC\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x49"],
        ["\x68\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xBA"],

        ["\xF3\xB1\xAC\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x4A"],
        ["\x68\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xBB"],

        ["\xF3\xB1\xAC\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x4B"],
        ["\x68\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xBC"],

        ["\xF3\xB1\xAC\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x4C"],
        ["\x68\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xBD"],

        ["\xF3\xB1\xAC\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x4D"],
        ["\x68\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xBE"],

        ["\xF3\xB1\xAC\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x4E"],
        ["\x68\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAC\xBF"],

        ["\xF3\xB1\xAD\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x4F"],
        ["\x68\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x80"],

        ["\xF3\xB1\xAD\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x50"],
        ["\x68\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x81"],

        ["\xF3\xB1\xAD\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x51"],
        ["\x68\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x82"],

        ["\xF3\xB1\xAD\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x52"],
        ["\x68\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x83"],

        ["\xF3\xB1\xAD\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x53"],
        ["\x68\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x84"],

        ["\xF3\xB1\xAD\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x54"],
        ["\x68\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x85"],

        ["\xF3\xB1\xAD\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x55"],
        ["\x68\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x86"],

        ["\xF3\xB1\xAD\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x56"],
        ["\x68\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x87"],

        ["\xF3\xB1\xAD\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x57"],
        ["\x68\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x88"],

        ["\xF3\xB1\xAD\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x58"],
        ["\x68\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x89"],

        ["\xF3\xB1\xAD\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x59"],
        ["\x68\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x8A"],

        ["\xF3\xB1\xAD\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x5A"],
        ["\x68\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x8B"],

        ["\xF3\xB1\xAD\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x5B"],
        ["\x68\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x8C"],

        ["\xF3\xB1\xAD\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x5C"],
        ["\x68\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x8D"],

        ["\xF3\xB1\xAD\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x5D"],
        ["\x68\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x8E"],

        ["\xF3\xB1\xAD\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x5E"],
        ["\x68\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x8F"],

        ["\xF3\xB1\xAD\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x5F"],
        ["\x68\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x90"],

        ["\xF3\xB1\xAD\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x60"],
        ["\x68\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x91"],

        ["\xF3\xB1\xAD\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x61"],
        ["\x68\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x92"],

        ["\xF3\xB1\xAD\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x62"],
        ["\x68\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x93"],

        ["\xF3\xB1\xAD\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x63"],
        ["\x68\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x94"],

        ["\xF3\xB1\xAD\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x64"],
        ["\x68\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x95"],

        ["\xF3\xB1\xAD\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x65"],
        ["\x68\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x96"],

        ["\xF3\xB1\xAD\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x66"],
        ["\x68\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x97"],

        ["\xF3\xB1\xAD\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x67"],
        ["\x68\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x98"],

        ["\xF3\xB1\xAD\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x68"],
        ["\x68\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x99"],

        ["\xF3\xB1\xAD\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x69"],
        ["\x68\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x9A"],

        ["\xF3\xB1\xAD\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x6A"],
        ["\x68\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x9B"],

        ["\xF3\xB1\xAD\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x6B"],
        ["\x68\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x9C"],

        ["\xF3\xB1\xAD\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x6C"],
        ["\x68\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x9D"],

        ["\xF3\xB1\xAD\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x6D"],
        ["\x68\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x9E"],

        ["\xF3\xB1\xAD\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x6E"],
        ["\x68\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\x9F"],

        ["\xF3\xB1\xAD\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x6F"],
        ["\x68\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xA0"],

        ["\xF3\xB1\xAD\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x70"],
        ["\x68\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xA1"],

        ["\xF3\xB1\xAD\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x71"],
        ["\x68\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xA2"],

        ["\xF3\xB1\xAD\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x72"],
        ["\x68\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xA3"],

        ["\xF3\xB1\xAD\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x73"],
        ["\x68\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xA4"],

        ["\xF3\xB1\xAD\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x74"],
        ["\x68\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xA5"],

        ["\xF3\xB1\xAD\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x75"],
        ["\x68\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xA6"],

        ["\xF3\xB1\xAD\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x76"],
        ["\x68\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xA7"],

        ["\xF3\xB1\xAD\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x77"],
        ["\x68\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xA8"],

        ["\xF3\xB1\xAD\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x78"],
        ["\x68\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xA9"],

        ["\xF3\xB1\xAD\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x79"],
        ["\x68\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xAA"],

        ["\xF3\xB1\xAD\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x7A"],
        ["\x68\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xAB"],

        ["\xF3\xB1\xAD\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x7B"],
        ["\x68\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xAC"],

        ["\xF3\xB1\xAD\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x7C"],
        ["\x68\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xAD"],

        ["\xF3\xB1\xAD\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x7D"],
        ["\x68\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xAE"],

        ["\xF3\xB1\xAD\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x68\x7E"],
        ["\x68\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xAF"],

        ["\xF3\xB1\xAD\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x21"],
        ["\x69\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xB0"],

        ["\xF3\xB1\xAD\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3C\x49"],
        ["\x3C\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xB1"],

        ["\xF3\xB1\xAD\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x23"],
        ["\x69\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xB2"],

        ["\xF3\xB1\xAD\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x24"],
        ["\x69\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xB3"],

        ["\xF3\xB1\xAD\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x25"],
        ["\x69\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xB4"],

        ["\xF3\xB1\xAD\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x26"],
        ["\x69\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xB5"],

        ["\xF3\xB1\xAD\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x27"],
        ["\x69\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xB6"],

        ["\xF3\xB1\xAD\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x28"],
        ["\x69\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xB7"],

        ["\xF3\xB1\xAD\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x29"],
        ["\x69\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xB8"],

        ["\xF3\xB1\xAD\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x2A"],
        ["\x69\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xB9"],

        ["\xF3\xB1\xAD\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x2B"],
        ["\x69\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xBA"],

        ["\xF3\xB1\xAD\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x2C"],
        ["\x69\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xBB"],

        ["\xF3\xB1\xAD\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x2D"],
        ["\x69\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xBC"],

        ["\xF3\xB1\xAD\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4C\x79"],
        ["\x4C\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xBD"],

        ["\xF3\xB1\xAD\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x2F"],
        ["\x69\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xBE"],

        ["\xF3\xB1\xAD\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x30"],
        ["\x69\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAD\xBF"],

        ["\xF3\xB1\xAE\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x31"],
        ["\x69\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x80"],

        ["\xF3\xB1\xAE\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x32"],
        ["\x69\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x81"],

        ["\xF3\xB1\xAE\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x33"],
        ["\x69\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x82"],

        ["\xF3\xB1\xAE\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x34"],
        ["\x69\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x83"],

        ["\xF3\xB1\xAE\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x35"],
        ["\x69\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x84"],

        ["\xF3\xB1\xAE\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x36"],
        ["\x69\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x85"],

        ["\xF3\xB1\xAE\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x37"],
        ["\x69\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x86"],

        ["\xF3\xB1\xAE\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x38"],
        ["\x69\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x87"],

        ["\xF3\xB1\xAE\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x39"],
        ["\x69\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x88"],

        ["\xF3\xB1\xAE\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x3A"],
        ["\x69\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x89"],

        ["\xF3\xB1\xAE\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x3B"],
        ["\x69\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x8A"],

        ["\xF3\xB1\xAE\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x3C"],
        ["\x69\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x8B"],

        ["\xF3\xB1\xAE\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x3D"],
        ["\x69\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x8C"],

        ["\xF3\xB1\xAE\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x3E"],
        ["\x69\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x8D"],

        ["\xF3\xB1\xAE\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x3F"],
        ["\x69\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x8E"],

        ["\xF3\xB1\xAE\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x40"],
        ["\x69\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x8F"],

        ["\xF3\xB1\xAE\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x41"],
        ["\x69\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x90"],

        ["\xF3\xB1\xAE\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x42"],
        ["\x69\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x91"],

        ["\xF3\xB1\xAE\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x43"],
        ["\x69\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x92"],

        ["\xF3\xB1\xAE\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x44"],
        ["\x69\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x93"],

        ["\xF3\xB1\xAE\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x45"],
        ["\x69\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x94"],

        ["\xF3\xB1\xAE\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x46"],
        ["\x69\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x95"],

        ["\xF3\xB1\xAE\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x47"],
        ["\x69\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x96"],

        ["\xF3\xB1\xAE\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x48"],
        ["\x69\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x97"],

        ["\xF3\xB1\xAE\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x49"],
        ["\x69\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x98"],

        ["\xF3\xB1\xAE\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x4A"],
        ["\x69\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x99"],

        ["\xF3\xB1\xAE\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x4B"],
        ["\x69\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x9A"],

        ["\xF3\xB1\xAE\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x4C"],
        ["\x69\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x9B"],

        ["\xF3\xB1\xAE\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x4D"],
        ["\x69\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x9C"],

        ["\xF3\xB1\xAE\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x4E"],
        ["\x69\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x9D"],

        ["\xF3\xB1\xAE\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x4F"],
        ["\x69\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x9E"],

        ["\xF3\xB1\xAE\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x50"],
        ["\x69\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\x9F"],

        ["\xF3\xB1\xAE\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x51"],
        ["\x69\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xA0"],

        ["\xF3\xB1\xAE\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x52"],
        ["\x69\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xA1"],

        ["\xF3\xB1\xAE\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x53"],
        ["\x69\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xA2"],

        ["\xF3\xB1\xAE\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x54"],
        ["\x69\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xA3"],

        ["\xF3\xB1\xAE\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x55"],
        ["\x69\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xA4"],

        ["\xF3\xB1\xAE\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x56"],
        ["\x69\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xA5"],

        ["\xF3\xB1\xAE\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x57"],
        ["\x69\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xA6"],

        ["\xF3\xB1\xAE\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x58"],
        ["\x69\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xA7"],

        ["\xF3\xB1\xAE\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x59"],
        ["\x69\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xA8"],

        ["\xF3\xB1\xAE\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x33\x42"],
        ["\x33\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xA9"],

        ["\xF3\xB1\xAE\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x5B"],
        ["\x69\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xAA"],

        ["\xF3\xB1\xAE\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x5C"],
        ["\x69\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xAB"],

        ["\xF3\xB1\xAE\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x5D"],
        ["\x69\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xAC"],

        ["\xF3\xB1\xAE\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x5E"],
        ["\x69\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xAD"],

        ["\xF3\xB1\xAE\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x5F"],
        ["\x69\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xAE"],

        ["\xF3\xB1\xAE\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x60"],
        ["\x69\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xAF"],

        ["\xF3\xB1\xAE\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x61"],
        ["\x69\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xB0"],

        ["\xF3\xB1\xAE\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x62"],
        ["\x69\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xB1"],

        ["\xF3\xB1\xAE\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x63"],
        ["\x69\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xB2"],

        ["\xF3\xB1\xAE\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x64"],
        ["\x69\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xB3"],

        ["\xF3\xB1\xAE\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x65"],
        ["\x69\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xB4"],

        ["\xF3\xB1\xAE\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x66"],
        ["\x69\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xB5"],

        ["\xF3\xB1\xAE\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x67"],
        ["\x69\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xB6"],

        ["\xF3\xB1\xAE\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x68"],
        ["\x69\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xB7"],

        ["\xF3\xB1\xAE\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x69"],
        ["\x69\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xB8"],

        ["\xF3\xB1\xAE\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x6A"],
        ["\x69\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xB9"],

        ["\xF3\xB1\xAE\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x6B"],
        ["\x69\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xBA"],

        ["\xF3\xB1\xAE\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x6C"],
        ["\x69\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xBB"],

        ["\xF3\xB1\xAE\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x6D"],
        ["\x69\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xBC"],

        ["\xF3\xB1\xAE\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x6E"],
        ["\x69\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xBD"],

        ["\xF3\xB1\xAE\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x6F"],
        ["\x69\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xBE"],

        ["\xF3\xB1\xAE\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x70"],
        ["\x69\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAE\xBF"],

        ["\xF3\xB1\xAF\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x71"],
        ["\x69\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x80"],

        ["\xF3\xB1\xAF\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x72"],
        ["\x69\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x81"],

        ["\xF3\xB1\xAF\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x73"],
        ["\x69\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x82"],

        ["\xF3\xB1\xAF\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x74"],
        ["\x69\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x83"],

        ["\xF3\xB1\xAF\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x75"],
        ["\x69\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x84"],

        ["\xF3\xB1\xAF\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x76"],
        ["\x69\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x85"],

        ["\xF3\xB1\xAF\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x77"],
        ["\x69\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x86"],

        ["\xF3\xB1\xAF\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x78"],
        ["\x69\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x87"],

        ["\xF3\xB1\xAF\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x79"],
        ["\x69\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x88"],

        ["\xF3\xB1\xAF\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x7A"],
        ["\x69\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x89"],

        ["\xF3\xB1\xAF\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x7B"],
        ["\x69\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x8A"],

        ["\xF3\xB1\xAF\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x7C"],
        ["\x69\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x8B"],

        ["\xF3\xB1\xAF\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x7D"],
        ["\x69\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x8C"],

        ["\xF3\xB1\xAF\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x69\x7E"],
        ["\x69\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x8D"],

        ["\xF3\xB1\xAF\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x21"],
        ["\x6A\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x8E"],

        ["\xF3\xB1\xAF\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x22"],
        ["\x6A\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x8F"],

        ["\xF3\xB1\xAF\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x23"],
        ["\x6A\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x90"],

        ["\xF3\xB1\xAF\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x47\x68"],
        ["\x47\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x91"],

        ["\xF3\xB1\xAF\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x25"],
        ["\x6A\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x92"],

        ["\xF3\xB1\xAF\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x26"],
        ["\x6A\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x93"],

        ["\xF3\xB1\xAF\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x27"],
        ["\x6A\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x94"],

        ["\xF3\xB1\xAF\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x28"],
        ["\x6A\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x95"],

        ["\xF3\xB1\xAF\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x29"],
        ["\x6A\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x96"],

        ["\xF3\xB1\xAF\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x2A"],
        ["\x6A\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x97"],

        ["\xF3\xB1\xAF\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x2B"],
        ["\x6A\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x98"],

        ["\xF3\xB1\xAF\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x2C"],
        ["\x6A\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x99"],

        ["\xF3\xB1\xAF\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x2D"],
        ["\x6A\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x9A"],

        ["\xF3\xB1\xAF\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x2E"],
        ["\x6A\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x9B"],

        ["\xF3\xB1\xAF\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x2F"],
        ["\x6A\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x9C"],

        ["\xF3\xB1\xAF\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x30"],
        ["\x6A\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x9D"],

        ["\xF3\xB1\xAF\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x31"],
        ["\x6A\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x9E"],

        ["\xF3\xB1\xAF\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x32"],
        ["\x6A\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\x9F"],

        ["\xF3\xB1\xAF\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x33"],
        ["\x6A\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xA0"],

        ["\xF3\xB1\xAF\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x34"],
        ["\x6A\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xA1"],

        ["\xF3\xB1\xAF\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x35"],
        ["\x6A\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xA2"],

        ["\xF3\xB1\xAF\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x36"],
        ["\x6A\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xA3"],

        ["\xF3\xB1\xAF\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x37"],
        ["\x6A\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xA4"],

        ["\xF3\xB1\xAF\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x38"],
        ["\x6A\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xA5"],

        ["\xF3\xB1\xAF\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x39"],
        ["\x6A\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xA6"],

        ["\xF3\xB1\xAF\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x3A"],
        ["\x6A\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xA7"],

        ["\xF3\xB1\xAF\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x3B"],
        ["\x6A\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xA8"],

        ["\xF3\xB1\xAF\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x3C"],
        ["\x6A\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xA9"],

        ["\xF3\xB1\xAF\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x3D"],
        ["\x6A\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xAA"],

        ["\xF3\xB1\xAF\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x3E"],
        ["\x6A\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xAB"],

        ["\xF3\xB1\xAF\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x3F"],
        ["\x6A\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xAC"],

        ["\xF3\xB1\xAF\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x40"],
        ["\x6A\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xAD"],

        ["\xF3\xB1\xAF\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x41"],
        ["\x6A\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xAE"],

        ["\xF3\xB1\xAF\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x42"],
        ["\x6A\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xAF"],

        ["\xF3\xB1\xAF\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x43"],
        ["\x6A\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xB0"],

        ["\xF3\xB1\xAF\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x44"],
        ["\x6A\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xB1"],

        ["\xF3\xB1\xAF\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x45"],
        ["\x6A\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xB2"],

        ["\xF3\xB1\xAF\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x46"],
        ["\x6A\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xB3"],

        ["\xF3\xB1\xAF\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x47"],
        ["\x6A\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xB4"],

        ["\xF3\xB1\xAF\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x48"],
        ["\x6A\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xB5"],

        ["\xF3\xB1\xAF\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x49"],
        ["\x6A\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xB6"],

        ["\xF3\xB1\xAF\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x4A"],
        ["\x6A\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xB7"],

        ["\xF3\xB1\xAF\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x4B"],
        ["\x6A\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xB8"],

        ["\xF3\xB1\xAF\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x4C"],
        ["\x6A\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xB9"],

        ["\xF3\xB1\xAF\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x4D"],
        ["\x6A\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xBA"],

        ["\xF3\xB1\xAF\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x4E"],
        ["\x6A\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xBB"],

        ["\xF3\xB1\xAF\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x4F"],
        ["\x6A\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xBC"],

        ["\xF3\xB1\xAF\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x50"],
        ["\x6A\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xBD"],

        ["\xF3\xB1\xAF\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x51"],
        ["\x6A\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xBE"],

        ["\xF3\xB1\xAF\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x52"],
        ["\x6A\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xAF\xBF"],

        ["\xF3\xB1\xB0\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x53"],
        ["\x6A\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x80"],

        ["\xF3\xB1\xB0\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x54"],
        ["\x6A\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x81"],

        ["\xF3\xB1\xB0\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x55"],
        ["\x6A\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x82"],

        ["\xF3\xB1\xB0\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x56"],
        ["\x6A\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x83"],

        ["\xF3\xB1\xB0\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x57"],
        ["\x6A\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x84"],

        ["\xF3\xB1\xB0\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x58"],
        ["\x6A\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x85"],

        ["\xF3\xB1\xB0\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x59"],
        ["\x6A\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x86"],

        ["\xF3\xB1\xB0\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x5A"],
        ["\x6A\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x87"],

        ["\xF3\xB1\xB0\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x5B"],
        ["\x6A\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x88"],

        ["\xF3\xB1\xB0\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x5C"],
        ["\x6A\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x89"],

        ["\xF3\xB1\xB0\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x5D"],
        ["\x6A\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x8A"],

        ["\xF3\xB1\xB0\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x5E"],
        ["\x6A\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x8B"],

        ["\xF3\xB1\xB0\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x5F"],
        ["\x6A\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x8C"],

        ["\xF3\xB1\xB0\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x60"],
        ["\x6A\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x8D"],

        ["\xF3\xB1\xB0\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x61"],
        ["\x6A\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x8E"],

        ["\xF3\xB1\xB0\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x62"],
        ["\x6A\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x8F"],

        ["\xF3\xB1\xB0\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x63"],
        ["\x6A\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x90"],

        ["\xF3\xB1\xB0\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x64"],
        ["\x6A\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x91"],

        ["\xF3\xB1\xB0\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x65"],
        ["\x6A\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x92"],

        ["\xF3\xB1\xB0\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x66"],
        ["\x6A\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x93"],

        ["\xF3\xB1\xB0\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x67"],
        ["\x6A\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x94"],

        ["\xF3\xB1\xB0\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x68"],
        ["\x6A\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x95"],

        ["\xF3\xB1\xB0\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x69"],
        ["\x6A\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x96"],

        ["\xF3\xB1\xB0\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x6A"],
        ["\x6A\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x97"],

        ["\xF3\xB1\xB0\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x6B"],
        ["\x6A\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x98"],

        ["\xF3\xB1\xB0\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x6C"],
        ["\x6A\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x99"],

        ["\xF3\xB1\xB0\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x6D"],
        ["\x6A\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x9A"],

        ["\xF3\xB1\xB0\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x6E"],
        ["\x6A\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x9B"],

        ["\xF3\xB1\xB0\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x6F"],
        ["\x6A\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x9C"],

        ["\xF3\xB1\xB0\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x70"],
        ["\x6A\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x9D"],

        ["\xF3\xB1\xB0\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x71"],
        ["\x6A\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x9E"],

        ["\xF3\xB1\xB0\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x72"],
        ["\x6A\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\x9F"],

        ["\xF3\xB1\xB0\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x73"],
        ["\x6A\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xA0"],

        ["\xF3\xB1\xB0\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x74"],
        ["\x6A\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xA1"],

        ["\xF3\xB1\xB0\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x75"],
        ["\x6A\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xA2"],

        ["\xF3\xB1\xB0\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x76"],
        ["\x6A\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xA3"],

        ["\xF3\xB1\xB0\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x77"],
        ["\x6A\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xA4"],

        ["\xF3\xB1\xB0\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x78"],
        ["\x6A\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xA5"],

        ["\xF3\xB1\xB0\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x79"],
        ["\x6A\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xA6"],

        ["\xF3\xB1\xB0\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x7A"],
        ["\x6A\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xA7"],

        ["\xF3\xB1\xB0\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x7B"],
        ["\x6A\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xA8"],

        ["\xF3\xB1\xB0\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x7C"],
        ["\x6A\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xA9"],

        ["\xF3\xB1\xB0\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x7D"],
        ["\x6A\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xAA"],

        ["\xF3\xB1\xB0\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6A\x7E"],
        ["\x6A\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xAB"],

        ["\xF3\xB1\xB0\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x21"],
        ["\x6B\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xAC"],

        ["\xF3\xB1\xB0\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x22"],
        ["\x6B\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xAD"],

        ["\xF3\xB1\xB0\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x23"],
        ["\x6B\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xAE"],

        ["\xF3\xB1\xB0\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x24"],
        ["\x6B\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xAF"],

        ["\xF3\xB1\xB0\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x25"],
        ["\x6B\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xB0"],

        ["\xF3\xB1\xB0\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x26"],
        ["\x6B\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xB1"],

        ["\xF3\xB1\xB0\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x27"],
        ["\x6B\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xB2"],

        ["\xF3\xB1\xB0\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x28"],
        ["\x6B\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xB3"],

        ["\xF3\xB1\xB0\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x29"],
        ["\x6B\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xB4"],

        ["\xF3\xB1\xB0\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x2A"],
        ["\x6B\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xB5"],

        ["\xF3\xB1\xB0\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x2B"],
        ["\x6B\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xB6"],

        ["\xF3\xB1\xB0\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x2C"],
        ["\x6B\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xB7"],

        ["\xF3\xB1\xB0\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x2D"],
        ["\x6B\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xB8"],

        ["\xF3\xB1\xB0\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x2E"],
        ["\x6B\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xB9"],

        ["\xF3\xB1\xB0\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x2F"],
        ["\x6B\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xBA"],

        ["\xF3\xB1\xB0\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x30"],
        ["\x6B\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xBB"],

        ["\xF3\xB1\xB0\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x31"],
        ["\x6B\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xBC"],

        ["\xF3\xB1\xB0\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x32"],
        ["\x6B\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xBD"],

        ["\xF3\xB1\xB0\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x33"],
        ["\x6B\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xBE"],

        ["\xF3\xB1\xB0\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x34"],
        ["\x6B\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB0\xBF"],

        ["\xF3\xB1\xB1\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x35"],
        ["\x6B\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x80"],

        ["\xF3\xB1\xB1\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x36"],
        ["\x6B\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x81"],

        ["\xF3\xB1\xB1\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x37"],
        ["\x6B\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x82"],

        ["\xF3\xB1\xB1\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x38"],
        ["\x6B\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x83"],

        ["\xF3\xB1\xB1\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x39"],
        ["\x6B\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x84"],

        ["\xF3\xB1\xB1\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x3A"],
        ["\x6B\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x85"],

        ["\xF3\xB1\xB1\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x3B"],
        ["\x6B\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x86"],

        ["\xF3\xB1\xB1\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x3C"],
        ["\x6B\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x87"],

        ["\xF3\xB1\xB1\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x3D"],
        ["\x6B\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x88"],

        ["\xF3\xB1\xB1\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x3E"],
        ["\x6B\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x89"],

        ["\xF3\xB1\xB1\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x3F"],
        ["\x6B\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x8A"],

        ["\xF3\xB1\xB1\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x40"],
        ["\x6B\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x8B"],

        ["\xF3\xB1\xB1\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x41"],
        ["\x6B\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x8C"],

        ["\xF3\xB1\xB1\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x42"],
        ["\x6B\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x8D"],

        ["\xF3\xB1\xB1\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x43"],
        ["\x6B\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x8E"],

        ["\xF3\xB1\xB1\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x44"],
        ["\x6B\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x8F"],

        ["\xF3\xB1\xB1\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x45"],
        ["\x6B\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x90"],

        ["\xF3\xB1\xB1\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x46"],
        ["\x6B\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x91"],

        ["\xF3\xB1\xB1\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x47"],
        ["\x6B\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x92"],

        ["\xF3\xB1\xB1\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x48"],
        ["\x6B\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x93"],

        ["\xF3\xB1\xB1\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x49"],
        ["\x6B\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x94"],

        ["\xF3\xB1\xB1\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x4A"],
        ["\x6B\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x95"],

        ["\xF3\xB1\xB1\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x4B"],
        ["\x6B\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x96"],

        ["\xF3\xB1\xB1\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x4C"],
        ["\x6B\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x97"],

        ["\xF3\xB1\xB1\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x4D"],
        ["\x6B\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x98"],

        ["\xF3\xB1\xB1\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x4E"],
        ["\x6B\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x99"],

        ["\xF3\xB1\xB1\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x4F"],
        ["\x6B\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x9A"],

        ["\xF3\xB1\xB1\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x50"],
        ["\x6B\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x9B"],

        ["\xF3\xB1\xB1\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x51"],
        ["\x6B\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x9C"],

        ["\xF3\xB1\xB1\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x52"],
        ["\x6B\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x9D"],

        ["\xF3\xB1\xB1\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x53"],
        ["\x6B\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x9E"],

        ["\xF3\xB1\xB1\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x54"],
        ["\x6B\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\x9F"],

        ["\xF3\xB1\xB1\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x55"],
        ["\x6B\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xA0"],

        ["\xF3\xB1\xB1\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x56"],
        ["\x6B\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xA1"],

        ["\xF3\xB1\xB1\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x57"],
        ["\x6B\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xA2"],

        ["\xF3\xB1\xB1\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x58"],
        ["\x6B\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xA3"],

        ["\xF3\xB1\xB1\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x59"],
        ["\x6B\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xA4"],

        ["\xF3\xB1\xB1\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x5A"],
        ["\x6B\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xA5"],

        ["\xF3\xB1\xB1\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x5B"],
        ["\x6B\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xA6"],

        ["\xF3\xB1\xB1\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x5C"],
        ["\x6B\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xA7"],

        ["\xF3\xB1\xB1\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x34\x52"],
        ["\x34\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xA8"],

        ["\xF3\xB1\xB1\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x5E"],
        ["\x6B\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xA9"],

        ["\xF3\xB1\xB1\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x5F"],
        ["\x6B\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xAA"],

        ["\xF3\xB1\xB1\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x60"],
        ["\x6B\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xAB"],

        ["\xF3\xB1\xB1\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x61"],
        ["\x6B\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xAC"],

        ["\xF3\xB1\xB1\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x62"],
        ["\x6B\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xAD"],

        ["\xF3\xB1\xB1\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x63"],
        ["\x6B\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xAE"],

        ["\xF3\xB1\xB1\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x64"],
        ["\x6B\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xAF"],

        ["\xF3\xB1\xB1\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x65"],
        ["\x6B\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xB0"],

        ["\xF3\xB1\xB1\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x66"],
        ["\x6B\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xB1"],

        ["\xF3\xB1\xB1\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x67"],
        ["\x6B\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xB2"],

        ["\xF3\xB1\xB1\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x68"],
        ["\x6B\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xB3"],

        ["\xF3\xB1\xB1\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x69"],
        ["\x6B\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xB4"],

        ["\xF3\xB1\xB1\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x6A"],
        ["\x6B\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xB5"],

        ["\xF3\xB1\xB1\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x6B"],
        ["\x6B\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xB6"],

        ["\xF3\xB1\xB1\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x6C"],
        ["\x6B\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xB7"],

        ["\xF3\xB1\xB1\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x6D"],
        ["\x6B\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xB8"],

        ["\xF3\xB1\xB1\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x6E"],
        ["\x6B\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xB9"],

        ["\xF3\xB1\xB1\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x6F"],
        ["\x6B\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xBA"],

        ["\xF3\xB1\xB1\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x70"],
        ["\x6B\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xBB"],

        ["\xF3\xB1\xB1\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x71"],
        ["\x6B\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xBC"],

        ["\xF3\xB1\xB1\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x72"],
        ["\x6B\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xBD"],

        ["\xF3\xB1\xB1\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x73"],
        ["\x6B\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xBE"],

        ["\xF3\xB1\xB1\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x74"],
        ["\x6B\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB1\xBF"],

        ["\xF3\xB1\xB2\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x75"],
        ["\x6B\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x80"],

        ["\xF3\xB1\xB2\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x76"],
        ["\x6B\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x81"],

        ["\xF3\xB1\xB2\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x77"],
        ["\x6B\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x82"],

        ["\xF3\xB1\xB2\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x78"],
        ["\x6B\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x83"],

        ["\xF3\xB1\xB2\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x79"],
        ["\x6B\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x84"],

        ["\xF3\xB1\xB2\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x7A"],
        ["\x6B\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x85"],

        ["\xF3\xB1\xB2\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x7B"],
        ["\x6B\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x86"],

        ["\xF3\xB1\xB2\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x7C"],
        ["\x6B\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x87"],

        ["\xF3\xB1\xB2\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x7D"],
        ["\x6B\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x88"],

        ["\xF3\xB1\xB2\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6B\x7E"],
        ["\x6B\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x89"],

        ["\xF3\xB1\xB2\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x21"],
        ["\x6C\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x8A"],

        ["\xF3\xB1\xB2\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x22"],
        ["\x6C\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x8B"],

        ["\xF3\xB1\xB2\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x23"],
        ["\x6C\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x8C"],

        ["\xF3\xB1\xB2\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x24"],
        ["\x6C\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x8D"],

        ["\xF3\xB1\xB2\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x25"],
        ["\x6C\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x8E"],

        ["\xF3\xB1\xB2\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x26"],
        ["\x6C\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x8F"],

        ["\xF3\xB1\xB2\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x27"],
        ["\x6C\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x90"],

        ["\xF3\xB1\xB2\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x28"],
        ["\x6C\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x91"],

        ["\xF3\xB1\xB2\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x29"],
        ["\x6C\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x92"],

        ["\xF3\xB1\xB2\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x2A"],
        ["\x6C\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x93"],

        ["\xF3\xB1\xB2\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x2B"],
        ["\x6C\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x94"],

        ["\xF3\xB1\xB2\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x2C"],
        ["\x6C\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x95"],

        ["\xF3\xB1\xB2\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x2D"],
        ["\x6C\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x96"],

        ["\xF3\xB1\xB2\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x2E"],
        ["\x6C\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x97"],

        ["\xF3\xB1\xB2\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x2F"],
        ["\x6C\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x98"],

        ["\xF3\xB1\xB2\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x30"],
        ["\x6C\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x99"],

        ["\xF3\xB1\xB2\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x31"],
        ["\x6C\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x9A"],

        ["\xF3\xB1\xB2\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x32"],
        ["\x6C\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x9B"],

        ["\xF3\xB1\xB2\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x33"],
        ["\x6C\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x9C"],

        ["\xF3\xB1\xB2\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x34"],
        ["\x6C\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x9D"],

        ["\xF3\xB1\xB2\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x35"],
        ["\x6C\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x9E"],

        ["\xF3\xB1\xB2\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x36"],
        ["\x6C\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\x9F"],

        ["\xF3\xB1\xB2\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x37"],
        ["\x6C\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xA0"],

        ["\xF3\xB1\xB2\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x38"],
        ["\x6C\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xA1"],

        ["\xF3\xB1\xB2\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x39"],
        ["\x6C\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xA2"],

        ["\xF3\xB1\xB2\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x3A"],
        ["\x6C\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xA3"],

        ["\xF3\xB1\xB2\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x3B"],
        ["\x6C\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xA4"],

        ["\xF3\xB1\xB2\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x3C"],
        ["\x6C\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xA5"],

        ["\xF3\xB1\xB2\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x3D"],
        ["\x6C\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xA6"],

        ["\xF3\xB1\xB2\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x3E"],
        ["\x6C\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xA7"],

        ["\xF3\xB1\xB2\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x3F"],
        ["\x6C\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xA8"],

        ["\xF3\xB1\xB2\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x40"],
        ["\x6C\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xA9"],

        ["\xF3\xB1\xB2\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x41"],
        ["\x6C\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xAA"],

        ["\xF3\xB1\xB2\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x42"],
        ["\x6C\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xAB"],

        ["\xF3\xB1\xB2\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x43"],
        ["\x6C\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xAC"],

        ["\xF3\xB1\xB2\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x44"],
        ["\x6C\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xAD"],

        ["\xF3\xB1\xB2\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x45"],
        ["\x6C\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xAE"],

        ["\xF3\xB1\xB2\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x46"],
        ["\x6C\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xAF"],

        ["\xF3\xB1\xB2\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x47"],
        ["\x6C\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xB0"],

        ["\xF3\xB1\xB2\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x48"],
        ["\x6C\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xB1"],

        ["\xF3\xB1\xB2\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x49"],
        ["\x6C\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xB2"],

        ["\xF3\xB1\xB2\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x4A"],
        ["\x6C\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xB3"],

        ["\xF3\xB1\xB2\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x4B"],
        ["\x6C\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xB4"],

        ["\xF3\xB1\xB2\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x4C"],
        ["\x6C\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xB5"],

        ["\xF3\xB1\xB2\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x41\x28"],
        ["\x41\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xB6"],

        ["\xF3\xB1\xB2\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x4E"],
        ["\x6C\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xB7"],

        ["\xF3\xB1\xB2\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x4F"],
        ["\x6C\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xB8"],

        ["\xF3\xB1\xB2\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x50"],
        ["\x6C\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xB9"],

        ["\xF3\xB1\xB2\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x51"],
        ["\x6C\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xBA"],

        ["\xF3\xB1\xB2\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x52"],
        ["\x6C\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xBB"],

        ["\xF3\xB1\xB2\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x53"],
        ["\x6C\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xBC"],

        ["\xF3\xB1\xB2\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x54"],
        ["\x6C\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xBD"],

        ["\xF3\xB1\xB2\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x55"],
        ["\x6C\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xBE"],

        ["\xF3\xB1\xB2\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x56"],
        ["\x6C\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB2\xBF"],

        ["\xF3\xB1\xB3\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x57"],
        ["\x6C\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x80"],

        ["\xF3\xB1\xB3\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x58"],
        ["\x6C\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x81"],

        ["\xF3\xB1\xB3\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x59"],
        ["\x6C\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x82"],

        ["\xF3\xB1\xB3\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x5A"],
        ["\x6C\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x83"],

        ["\xF3\xB1\xB3\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x5B"],
        ["\x6C\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x84"],

        ["\xF3\xB1\xB3\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x5C"],
        ["\x6C\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x85"],

        ["\xF3\xB1\xB3\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x5D"],
        ["\x6C\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x86"],

        ["\xF3\xB1\xB3\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x5E"],
        ["\x6C\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x87"],

        ["\xF3\xB1\xB3\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x5F"],
        ["\x6C\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x88"],

        ["\xF3\xB1\xB3\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x60"],
        ["\x6C\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x89"],

        ["\xF3\xB1\xB3\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x61"],
        ["\x6C\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x8A"],

        ["\xF3\xB1\xB3\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x62"],
        ["\x6C\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x8B"],

        ["\xF3\xB1\xB3\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x63"],
        ["\x6C\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x8C"],

        ["\xF3\xB1\xB3\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x64"],
        ["\x6C\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x8D"],

        ["\xF3\xB1\xB3\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x65"],
        ["\x6C\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x8E"],

        ["\xF3\xB1\xB3\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x66"],
        ["\x6C\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x8F"],

        ["\xF3\xB1\xB3\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x67"],
        ["\x6C\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x90"],

        ["\xF3\xB1\xB3\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x68"],
        ["\x6C\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x91"],

        ["\xF3\xB1\xB3\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x69"],
        ["\x6C\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x92"],

        ["\xF3\xB1\xB3\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x6A"],
        ["\x6C\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x93"],

        ["\xF3\xB1\xB3\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x6B"],
        ["\x6C\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x94"],

        ["\xF3\xB1\xB3\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x6C"],
        ["\x6C\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x95"],

        ["\xF3\xB1\xB3\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x6D"],
        ["\x6C\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x96"],

        ["\xF3\xB1\xB3\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x6E"],
        ["\x6C\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x97"],

        ["\xF3\xB1\xB3\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x6F"],
        ["\x6C\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x98"],

        ["\xF3\xB1\xB3\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x70"],
        ["\x6C\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x99"],

        ["\xF3\xB1\xB3\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x71"],
        ["\x6C\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x9A"],

        ["\xF3\xB1\xB3\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x72"],
        ["\x6C\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x9B"],

        ["\xF3\xB1\xB3\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x73"],
        ["\x6C\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x9C"],

        ["\xF3\xB1\xB3\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x74"],
        ["\x6C\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x9D"],

        ["\xF3\xB1\xB3\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x75"],
        ["\x6C\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x9E"],

        ["\xF3\xB1\xB3\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x76"],
        ["\x6C\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\x9F"],

        ["\xF3\xB1\xB3\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x77"],
        ["\x6C\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xA0"],

        ["\xF3\xB1\xB3\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x78"],
        ["\x6C\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xA1"],

        ["\xF3\xB1\xB3\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x79"],
        ["\x6C\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xA2"],

        ["\xF3\xB1\xB3\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x7A"],
        ["\x6C\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xA3"],

        ["\xF3\xB1\xB3\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x7B"],
        ["\x6C\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xA4"],

        ["\xF3\xB1\xB3\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x7C"],
        ["\x6C\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xA5"],

        ["\xF3\xB1\xB3\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x7D"],
        ["\x6C\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xA6"],

        ["\xF3\xB1\xB3\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6C\x7E"],
        ["\x6C\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xA7"],

        ["\xF3\xB1\xB3\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x21"],
        ["\x6D\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xA8"],

        ["\xF3\xB1\xB3\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x22"],
        ["\x6D\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xA9"],

        ["\xF3\xB1\xB3\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x23"],
        ["\x6D\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xAA"],

        ["\xF3\xB1\xB3\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x24"],
        ["\x6D\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xAB"],

        ["\xF3\xB1\xB3\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x25"],
        ["\x6D\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xAC"],

        ["\xF3\xB1\xB3\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x26"],
        ["\x6D\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xAD"],

        ["\xF3\xB1\xB3\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x27"],
        ["\x6D\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xAE"],

        ["\xF3\xB1\xB3\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x28"],
        ["\x6D\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xAF"],

        ["\xF3\xB1\xB3\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x29"],
        ["\x6D\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xB0"],

        ["\xF3\xB1\xB3\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x2A"],
        ["\x6D\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xB1"],

        ["\xF3\xB1\xB3\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x2B"],
        ["\x6D\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xB2"],

        ["\xF3\xB1\xB3\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x2C"],
        ["\x6D\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xB3"],

        ["\xF3\xB1\xB3\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x2D"],
        ["\x6D\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xB4"],

        ["\xF3\xB1\xB3\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x2E"],
        ["\x6D\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xB5"],

        ["\xF3\xB1\xB3\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x2F"],
        ["\x6D\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xB6"],

        ["\xF3\xB1\xB3\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x30"],
        ["\x6D\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xB7"],

        ["\xF3\xB1\xB3\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x31"],
        ["\x6D\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xB8"],

        ["\xF3\xB1\xB3\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x32"],
        ["\x6D\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xB9"],

        ["\xF3\xB1\xB3\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x33"],
        ["\x6D\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xBA"],

        ["\xF3\xB1\xB3\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x34"],
        ["\x6D\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xBB"],

        ["\xF3\xB1\xB3\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x35"],
        ["\x6D\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xBC"],

        ["\xF3\xB1\xB3\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x36"],
        ["\x6D\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xBD"],

        ["\xF3\xB1\xB3\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x37"],
        ["\x6D\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xBE"],

        ["\xF3\xB1\xB3\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x38"],
        ["\x6D\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB3\xBF"],

        ["\xF3\xB1\xB4\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x39"],
        ["\x6D\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x80"],

        ["\xF3\xB1\xB4\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x3A"],
        ["\x6D\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x81"],

        ["\xF3\xB1\xB4\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x3B"],
        ["\x6D\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x82"],

        ["\xF3\xB1\xB4\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x3C"],
        ["\x6D\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x83"],

        ["\xF3\xB1\xB4\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x3D"],
        ["\x6D\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x84"],

        ["\xF3\xB1\xB4\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x3E"],
        ["\x6D\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x85"],

        ["\xF3\xB1\xB4\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x3F"],
        ["\x6D\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x86"],

        ["\xF3\xB1\xB4\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x40"],
        ["\x6D\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x87"],

        ["\xF3\xB1\xB4\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x41"],
        ["\x6D\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x88"],

        ["\xF3\xB1\xB4\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x42"],
        ["\x6D\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x89"],

        ["\xF3\xB1\xB4\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x43"],
        ["\x6D\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x8A"],

        ["\xF3\xB1\xB4\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x44"],
        ["\x6D\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x8B"],

        ["\xF3\xB1\xB4\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x45"],
        ["\x6D\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x8C"],

        ["\xF3\xB1\xB4\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x46"],
        ["\x6D\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x8D"],

        ["\xF3\xB1\xB4\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x47"],
        ["\x6D\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x8E"],

        ["\xF3\xB1\xB4\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x48"],
        ["\x6D\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x8F"],

        ["\xF3\xB1\xB4\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x49"],
        ["\x6D\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x90"],

        ["\xF3\xB1\xB4\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x4A"],
        ["\x6D\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x91"],

        ["\xF3\xB1\xB4\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x4B"],
        ["\x6D\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x92"],

        ["\xF3\xB1\xB4\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x4C"],
        ["\x6D\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x93"],

        ["\xF3\xB1\xB4\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x4D"],
        ["\x6D\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x94"],

        ["\xF3\xB1\xB4\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x4E"],
        ["\x6D\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x95"],

        ["\xF3\xB1\xB4\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x4F"],
        ["\x6D\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x96"],

        ["\xF3\xB1\xB4\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x50"],
        ["\x6D\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x97"],

        ["\xF3\xB1\xB4\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x51"],
        ["\x6D\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x98"],

        ["\xF3\xB1\xB4\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x52"],
        ["\x6D\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x99"],

        ["\xF3\xB1\xB4\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x53"],
        ["\x6D\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x9A"],

        ["\xF3\xB1\xB4\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x54"],
        ["\x6D\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x9B"],

        ["\xF3\xB1\xB4\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x55"],
        ["\x6D\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x9C"],

        ["\xF3\xB1\xB4\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x56"],
        ["\x6D\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x9D"],

        ["\xF3\xB1\xB4\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x57"],
        ["\x6D\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x9E"],

        ["\xF3\xB1\xB4\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x58"],
        ["\x6D\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\x9F"],

        ["\xF3\xB1\xB4\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x59"],
        ["\x6D\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xA0"],

        ["\xF3\xB1\xB4\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x5A"],
        ["\x6D\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xA1"],

        ["\xF3\xB1\xB4\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x5B"],
        ["\x6D\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xA2"],

        ["\xF3\xB1\xB4\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x5C"],
        ["\x6D\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xA3"],

        ["\xF3\xB1\xB4\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x5D"],
        ["\x6D\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xA4"],

        ["\xF3\xB1\xB4\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x5E"],
        ["\x6D\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xA5"],

        ["\xF3\xB1\xB4\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x5F"],
        ["\x6D\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xA6"],

        ["\xF3\xB1\xB4\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x60"],
        ["\x6D\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xA7"],

        ["\xF3\xB1\xB4\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x61"],
        ["\x6D\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xA8"],

        ["\xF3\xB1\xB4\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x62"],
        ["\x6D\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xA9"],

        ["\xF3\xB1\xB4\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x63"],
        ["\x6D\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xAA"],

        ["\xF3\xB1\xB4\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x64"],
        ["\x6D\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xAB"],

        ["\xF3\xB1\xB4\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x65"],
        ["\x6D\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xAC"],

        ["\xF3\xB1\xB4\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x66"],
        ["\x6D\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xAD"],

        ["\xF3\xB1\xB4\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x67"],
        ["\x6D\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xAE"],

        ["\xF3\xB1\xB4\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x68"],
        ["\x6D\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xAF"],

        ["\xF3\xB1\xB4\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x69"],
        ["\x6D\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xB0"],

        ["\xF3\xB1\xB4\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x6A"],
        ["\x6D\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xB1"],

        ["\xF3\xB1\xB4\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x6B"],
        ["\x6D\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xB2"],

        ["\xF3\xB1\xB4\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x6C"],
        ["\x6D\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xB3"],

        ["\xF3\xB1\xB4\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x6D"],
        ["\x6D\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xB4"],

        ["\xF3\xB1\xB4\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x46\x76"],
        ["\x46\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xB5"],

        ["\xF3\xB1\xB4\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x6F"],
        ["\x6D\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xB6"],

        ["\xF3\xB1\xB4\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x70"],
        ["\x6D\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xB7"],

        ["\xF3\xB1\xB4\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x71"],
        ["\x6D\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xB8"],

        ["\xF3\xB1\xB4\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x72"],
        ["\x6D\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xB9"],

        ["\xF3\xB1\xB4\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x73"],
        ["\x6D\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xBA"],

        ["\xF3\xB1\xB4\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x74"],
        ["\x6D\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xBB"],

        ["\xF3\xB1\xB4\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x75"],
        ["\x6D\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xBC"],

        ["\xF3\xB1\xB4\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x76"],
        ["\x6D\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xBD"],

        ["\xF3\xB1\xB4\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x77"],
        ["\x6D\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xBE"],

        ["\xF3\xB1\xB4\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x78"],
        ["\x6D\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB4\xBF"],

        ["\xF3\xB1\xB5\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x79"],
        ["\x6D\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x80"],

        ["\xF3\xB1\xB5\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x7A"],
        ["\x6D\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x81"],

        ["\xF3\xB1\xB5\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x7B"],
        ["\x6D\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x82"],

        ["\xF3\xB1\xB5\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x7C"],
        ["\x6D\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x83"],

        ["\xF3\xB1\xB5\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x7D"],
        ["\x6D\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x84"],

        ["\xF3\xB1\xB5\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6D\x7E"],
        ["\x6D\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x85"],

        ["\xF3\xB1\xB5\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x21"],
        ["\x6E\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x86"],

        ["\xF3\xB1\xB5\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x22"],
        ["\x6E\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x87"],

        ["\xF3\xB1\xB5\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x23"],
        ["\x6E\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x88"],

        ["\xF3\xB1\xB5\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x24"],
        ["\x6E\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x89"],

        ["\xF3\xB1\xB5\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x25"],
        ["\x6E\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x8A"],

        ["\xF3\xB1\xB5\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x26"],
        ["\x6E\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x8B"],

        ["\xF3\xB1\xB5\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x27"],
        ["\x6E\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x8C"],

        ["\xF3\xB1\xB5\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x28"],
        ["\x6E\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x8D"],

        ["\xF3\xB1\xB5\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x29"],
        ["\x6E\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x8E"],

        ["\xF3\xB1\xB5\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x2A"],
        ["\x6E\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x8F"],

        ["\xF3\xB1\xB5\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x2B"],
        ["\x6E\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x90"],

        ["\xF3\xB1\xB5\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x2C"],
        ["\x6E\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x91"],

        ["\xF3\xB1\xB5\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x2D"],
        ["\x6E\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x92"],

        ["\xF3\xB1\xB5\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x2E"],
        ["\x6E\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x93"],

        ["\xF3\xB1\xB5\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x2F"],
        ["\x6E\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x94"],

        ["\xF3\xB1\xB5\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x30"],
        ["\x6E\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x95"],

        ["\xF3\xB1\xB5\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x31"],
        ["\x6E\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x96"],

        ["\xF3\xB1\xB5\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x32"],
        ["\x6E\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x97"],

        ["\xF3\xB1\xB5\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x33"],
        ["\x6E\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x98"],

        ["\xF3\xB1\xB5\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x34"],
        ["\x6E\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x99"],

        ["\xF3\xB1\xB5\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x35"],
        ["\x6E\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x9A"],

        ["\xF3\xB1\xB5\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x36"],
        ["\x6E\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x9B"],

        ["\xF3\xB1\xB5\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x37"],
        ["\x6E\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x9C"],

        ["\xF3\xB1\xB5\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x38"],
        ["\x6E\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x9D"],

        ["\xF3\xB1\xB5\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x39"],
        ["\x6E\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x9E"],

        ["\xF3\xB1\xB5\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x3A"],
        ["\x6E\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\x9F"],

        ["\xF3\xB1\xB5\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x3B"],
        ["\x6E\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xA0"],

        ["\xF3\xB1\xB5\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x3C"],
        ["\x6E\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xA1"],

        ["\xF3\xB1\xB5\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x3D"],
        ["\x6E\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xA2"],

        ["\xF3\xB1\xB5\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x3E"],
        ["\x6E\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xA3"],

        ["\xF3\xB1\xB5\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x3F"],
        ["\x6E\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xA4"],

        ["\xF3\xB1\xB5\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x40"],
        ["\x6E\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xA5"],

        ["\xF3\xB1\xB5\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x41"],
        ["\x6E\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xA6"],

        ["\xF3\xB1\xB5\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x42"],
        ["\x6E\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xA7"],

        ["\xF3\xB1\xB5\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x43"],
        ["\x6E\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xA8"],

        ["\xF3\xB1\xB5\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x44"],
        ["\x6E\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xA9"],

        ["\xF3\xB1\xB5\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x45"],
        ["\x6E\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xAA"],

        ["\xF3\xB1\xB5\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x46"],
        ["\x6E\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xAB"],

        ["\xF3\xB1\xB5\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x47"],
        ["\x6E\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xAC"],

        ["\xF3\xB1\xB5\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x48"],
        ["\x6E\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xAD"],

        ["\xF3\xB1\xB5\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x49"],
        ["\x6E\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xAE"],

        ["\xF3\xB1\xB5\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x4A"],
        ["\x6E\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xAF"],

        ["\xF3\xB1\xB5\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x4B"],
        ["\x6E\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xB0"],

        ["\xF3\xB1\xB5\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x4C"],
        ["\x6E\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xB1"],

        ["\xF3\xB1\xB5\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x4D"],
        ["\x6E\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xB2"],

        ["\xF3\xB1\xB5\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x4E"],
        ["\x6E\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xB3"],

        ["\xF3\xB1\xB5\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x4F"],
        ["\x6E\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xB4"],

        ["\xF3\xB1\xB5\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x50"],
        ["\x6E\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xB5"],

        ["\xF3\xB1\xB5\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x51"],
        ["\x6E\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xB6"],

        ["\xF3\xB1\xB5\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x52"],
        ["\x6E\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xB7"],

        ["\xF3\xB1\xB5\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x53"],
        ["\x6E\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xB8"],

        ["\xF3\xB1\xB5\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x54"],
        ["\x6E\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xB9"],

        ["\xF3\xB1\xB5\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x55"],
        ["\x6E\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xBA"],

        ["\xF3\xB1\xB5\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x56"],
        ["\x6E\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xBB"],

        ["\xF3\xB1\xB5\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x57"],
        ["\x6E\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xBC"],

        ["\xF3\xB1\xB5\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x58"],
        ["\x6E\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xBD"],

        ["\xF3\xB1\xB5\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x59"],
        ["\x6E\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xBE"],

        ["\xF3\xB1\xB5\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x5A"],
        ["\x6E\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB5\xBF"],

        ["\xF3\xB1\xB6\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x5B"],
        ["\x6E\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x80"],

        ["\xF3\xB1\xB6\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x5C"],
        ["\x6E\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x81"],

        ["\xF3\xB1\xB6\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x5D"],
        ["\x6E\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x82"],

        ["\xF3\xB1\xB6\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x5E"],
        ["\x6E\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x83"],

        ["\xF3\xB1\xB6\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x5F"],
        ["\x6E\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x84"],

        ["\xF3\xB1\xB6\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x60"],
        ["\x6E\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x85"],

        ["\xF3\xB1\xB6\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x61"],
        ["\x6E\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x86"],

        ["\xF3\xB1\xB6\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x62"],
        ["\x6E\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x87"],

        ["\xF3\xB1\xB6\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x63"],
        ["\x6E\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x88"],

        ["\xF3\xB1\xB6\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x64"],
        ["\x6E\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x89"],

        ["\xF3\xB1\xB6\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x65"],
        ["\x6E\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x8A"],

        ["\xF3\xB1\xB6\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x66"],
        ["\x6E\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x8B"],

        ["\xF3\xB1\xB6\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x67"],
        ["\x6E\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x8C"],

        ["\xF3\xB1\xB6\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x68"],
        ["\x6E\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x8D"],

        ["\xF3\xB1\xB6\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x69"],
        ["\x6E\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x8E"],

        ["\xF3\xB1\xB6\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x6A"],
        ["\x6E\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x8F"],

        ["\xF3\xB1\xB6\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x6B"],
        ["\x6E\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x90"],

        ["\xF3\xB1\xB6\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x6C"],
        ["\x6E\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x91"],

        ["\xF3\xB1\xB6\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x6D"],
        ["\x6E\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x92"],

        ["\xF3\xB1\xB6\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x6E"],
        ["\x6E\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x93"],

        ["\xF3\xB1\xB6\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x6F"],
        ["\x6E\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x94"],

        ["\xF3\xB1\xB6\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x70"],
        ["\x6E\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x95"],

        ["\xF3\xB1\xB6\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x71"],
        ["\x6E\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x96"],

        ["\xF3\xB1\xB6\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x72"],
        ["\x6E\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x97"],

        ["\xF3\xB1\xB6\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x73"],
        ["\x6E\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x98"],

        ["\xF3\xB1\xB6\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x74"],
        ["\x6E\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x99"],

        ["\xF3\xB1\xB6\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x75"],
        ["\x6E\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x9A"],

        ["\xF3\xB1\xB6\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x76"],
        ["\x6E\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x9B"],

        ["\xF3\xB1\xB6\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x77"],
        ["\x6E\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x9C"],

        ["\xF3\xB1\xB6\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x78"],
        ["\x6E\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x9D"],

        ["\xF3\xB1\xB6\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x79"],
        ["\x6E\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x9E"],

        ["\xF3\xB1\xB6\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x7A"],
        ["\x6E\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\x9F"],

        ["\xF3\xB1\xB6\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x7B"],
        ["\x6E\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xA0"],

        ["\xF3\xB1\xB6\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x7C"],
        ["\x6E\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xA1"],

        ["\xF3\xB1\xB6\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x7D"],
        ["\x6E\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xA2"],

        ["\xF3\xB1\xB6\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6E\x7E"],
        ["\x6E\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xA3"],

        ["\xF3\xB1\xB6\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x21"],
        ["\x6F\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xA4"],

        ["\xF3\xB1\xB6\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x22"],
        ["\x6F\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xA5"],

        ["\xF3\xB1\xB6\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x23"],
        ["\x6F\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xA6"],

        ["\xF3\xB1\xB6\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x24"],
        ["\x6F\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xA7"],

        ["\xF3\xB1\xB6\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x25"],
        ["\x6F\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xA8"],

        ["\xF3\xB1\xB6\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x26"],
        ["\x6F\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xA9"],

        ["\xF3\xB1\xB6\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x27"],
        ["\x6F\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xAA"],

        ["\xF3\xB1\xB6\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x28"],
        ["\x6F\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xAB"],

        ["\xF3\xB1\xB6\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x29"],
        ["\x6F\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xAC"],

        ["\xF3\xB1\xB6\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x2A"],
        ["\x6F\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xAD"],

        ["\xF3\xB1\xB6\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x2B"],
        ["\x6F\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xAE"],

        ["\xF3\xB1\xB6\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x2C"],
        ["\x6F\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xAF"],

        ["\xF3\xB1\xB6\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x2D"],
        ["\x6F\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xB0"],

        ["\xF3\xB1\xB6\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x2E"],
        ["\x6F\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xB1"],

        ["\xF3\xB1\xB6\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x2F"],
        ["\x6F\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xB2"],

        ["\xF3\xB1\xB6\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x30"],
        ["\x6F\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xB3"],

        ["\xF3\xB1\xB6\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x31"],
        ["\x6F\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xB4"],

        ["\xF3\xB1\xB6\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x32"],
        ["\x6F\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xB5"],

        ["\xF3\xB1\xB6\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x33"],
        ["\x6F\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xB6"],

        ["\xF3\xB1\xB6\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x34"],
        ["\x6F\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xB7"],

        ["\xF3\xB1\xB6\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x35"],
        ["\x6F\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xB8"],

        ["\xF3\xB1\xB6\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x36"],
        ["\x6F\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xB9"],

        ["\xF3\xB1\xB6\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x37"],
        ["\x6F\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xBA"],

        ["\xF3\xB1\xB6\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x38"],
        ["\x6F\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xBB"],

        ["\xF3\xB1\xB6\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x39"],
        ["\x6F\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xBC"],

        ["\xF3\xB1\xB6\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x3A"],
        ["\x6F\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xBD"],

        ["\xF3\xB1\xB6\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x3B"],
        ["\x6F\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xBE"],

        ["\xF3\xB1\xB6\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x3C"],
        ["\x6F\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB6\xBF"],

        ["\xF3\xB1\xB7\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x3D"],
        ["\x6F\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x80"],

        ["\xF3\xB1\xB7\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x3E"],
        ["\x6F\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x81"],

        ["\xF3\xB1\xB7\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x3F"],
        ["\x6F\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x82"],

        ["\xF3\xB1\xB7\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x40"],
        ["\x6F\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x83"],

        ["\xF3\xB1\xB7\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x41"],
        ["\x6F\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x84"],

        ["\xF3\xB1\xB7\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x42"],
        ["\x6F\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x85"],

        ["\xF3\xB1\xB7\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x43"],
        ["\x6F\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x86"],

        ["\xF3\xB1\xB7\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x44"],
        ["\x6F\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x87"],

        ["\xF3\xB1\xB7\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x45"],
        ["\x6F\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x88"],

        ["\xF3\xB1\xB7\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x46"],
        ["\x6F\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x89"],

        ["\xF3\xB1\xB7\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x47"],
        ["\x6F\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x8A"],

        ["\xF3\xB1\xB7\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x48"],
        ["\x6F\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x8B"],

        ["\xF3\xB1\xB7\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x49"],
        ["\x6F\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x8C"],

        ["\xF3\xB1\xB7\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x4A"],
        ["\x6F\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x8D"],

        ["\xF3\xB1\xB7\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x4B"],
        ["\x6F\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x8E"],

        ["\xF3\xB1\xB7\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x4C"],
        ["\x6F\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x8F"],

        ["\xF3\xB1\xB7\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x4D"],
        ["\x6F\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x90"],

        ["\xF3\xB1\xB7\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x4E"],
        ["\x6F\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x91"],

        ["\xF3\xB1\xB7\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x4F"],
        ["\x6F\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x92"],

        ["\xF3\xB1\xB7\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x50"],
        ["\x6F\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x93"],

        ["\xF3\xB1\xB7\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x51"],
        ["\x6F\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x94"],

        ["\xF3\xB1\xB7\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x52"],
        ["\x6F\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x95"],

        ["\xF3\xB1\xB7\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x53"],
        ["\x6F\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x96"],

        ["\xF3\xB1\xB7\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x54"],
        ["\x6F\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x97"],

        ["\xF3\xB1\xB7\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x55"],
        ["\x6F\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x98"],

        ["\xF3\xB1\xB7\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x56"],
        ["\x6F\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x99"],

        ["\xF3\xB1\xB7\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x57"],
        ["\x6F\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x9A"],

        ["\xF3\xB1\xB7\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x58"],
        ["\x6F\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x9B"],

        ["\xF3\xB1\xB7\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x59"],
        ["\x6F\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x9C"],

        ["\xF3\xB1\xB7\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x5A"],
        ["\x6F\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x9D"],

        ["\xF3\xB1\xB7\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x5B"],
        ["\x6F\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x9E"],

        ["\xF3\xB1\xB7\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x5C"],
        ["\x6F\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\x9F"],

        ["\xF3\xB1\xB7\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x5D"],
        ["\x6F\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xA0"],

        ["\xF3\xB1\xB7\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x5E"],
        ["\x6F\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xA1"],

        ["\xF3\xB1\xB7\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x5F"],
        ["\x6F\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xA2"],

        ["\xF3\xB1\xB7\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x60"],
        ["\x6F\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xA3"],

        ["\xF3\xB1\xB7\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x61"],
        ["\x6F\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xA4"],

        ["\xF3\xB1\xB7\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x62"],
        ["\x6F\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xA5"],

        ["\xF3\xB1\xB7\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x63"],
        ["\x6F\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xA6"],

        ["\xF3\xB1\xB7\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x64"],
        ["\x6F\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xA7"],

        ["\xF3\xB1\xB7\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x65"],
        ["\x6F\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xA8"],

        ["\xF3\xB1\xB7\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x66"],
        ["\x6F\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xA9"],

        ["\xF3\xB1\xB7\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x67"],
        ["\x6F\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xAA"],

        ["\xF3\xB1\xB7\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x68"],
        ["\x6F\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xAB"],

        ["\xF3\xB1\xB7\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x69"],
        ["\x6F\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xAC"],

        ["\xF3\xB1\xB7\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x6A"],
        ["\x6F\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xAD"],

        ["\xF3\xB1\xB7\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x6B"],
        ["\x6F\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xAE"],

        ["\xF3\xB1\xB7\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x6C"],
        ["\x6F\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xAF"],

        ["\xF3\xB1\xB7\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x6D"],
        ["\x6F\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xB0"],

        ["\xF3\xB1\xB7\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x6E"],
        ["\x6F\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xB1"],

        ["\xF3\xB1\xB7\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x6F"],
        ["\x6F\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xB2"],

        ["\xF3\xB1\xB7\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x70"],
        ["\x6F\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xB3"],

        ["\xF3\xB1\xB7\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x71"],
        ["\x6F\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xB4"],

        ["\xF3\xB1\xB7\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x72"],
        ["\x6F\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xB5"],

        ["\xF3\xB1\xB7\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x73"],
        ["\x6F\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xB6"],

        ["\xF3\xB1\xB7\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x74"],
        ["\x6F\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xB7"],

        ["\xF3\xB1\xB7\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x75"],
        ["\x6F\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xB8"],

        ["\xF3\xB1\xB7\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x76"],
        ["\x6F\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xB9"],

        ["\xF3\xB1\xB7\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x77"],
        ["\x6F\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xBA"],

        ["\xF3\xB1\xB7\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x78"],
        ["\x6F\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xBB"],

        ["\xF3\xB1\xB7\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x79"],
        ["\x6F\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xBC"],

        ["\xF3\xB1\xB7\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x7A"],
        ["\x6F\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xBD"],

        ["\xF3\xB1\xB7\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x7B"],
        ["\x6F\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xBE"],

        ["\xF3\xB1\xB7\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x7C"],
        ["\x6F\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB7\xBF"],

        ["\xF3\xB1\xB8\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x7D"],
        ["\x6F\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x80"],

        ["\xF3\xB1\xB8\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x6F\x7E"],
        ["\x6F\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x81"],

        ["\xF3\xB1\xB8\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x21"],
        ["\x70\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x82"],

        ["\xF3\xB1\xB8\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x22"],
        ["\x70\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x83"],

        ["\xF3\xB1\xB8\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x23"],
        ["\x70\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x84"],

        ["\xF3\xB1\xB8\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x24"],
        ["\x70\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x85"],

        ["\xF3\xB1\xB8\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x25"],
        ["\x70\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x86"],

        ["\xF3\xB1\xB8\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x26"],
        ["\x70\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x87"],

        ["\xF3\xB1\xB8\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x27"],
        ["\x70\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x88"],

        ["\xF3\xB1\xB8\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x28"],
        ["\x70\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x89"],

        ["\xF3\xB1\xB8\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x29"],
        ["\x70\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x8A"],

        ["\xF3\xB1\xB8\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x2A"],
        ["\x70\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x8B"],

        ["\xF3\xB1\xB8\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x2B"],
        ["\x70\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x8C"],

        ["\xF3\xB1\xB8\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x2C"],
        ["\x70\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x8D"],

        ["\xF3\xB1\xB8\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x2D"],
        ["\x70\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x8E"],

        ["\xF3\xB1\xB8\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x2E"],
        ["\x70\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x8F"],

        ["\xF3\xB1\xB8\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x2F"],
        ["\x70\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x90"],

        ["\xF3\xB1\xB8\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x30"],
        ["\x70\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x91"],

        ["\xF3\xB1\xB8\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x31"],
        ["\x70\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x92"],

        ["\xF3\xB1\xB8\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x32"],
        ["\x70\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x93"],

        ["\xF3\xB1\xB8\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x33"],
        ["\x70\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x94"],

        ["\xF3\xB1\xB8\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x34"],
        ["\x70\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x95"],

        ["\xF3\xB1\xB8\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x35"],
        ["\x70\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x96"],

        ["\xF3\xB1\xB8\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x36"],
        ["\x70\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x97"],

        ["\xF3\xB1\xB8\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x37"],
        ["\x70\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x98"],

        ["\xF3\xB1\xB8\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x38"],
        ["\x70\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x99"],

        ["\xF3\xB1\xB8\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x39"],
        ["\x70\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x9A"],

        ["\xF3\xB1\xB8\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x3A"],
        ["\x70\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x9B"],

        ["\xF3\xB1\xB8\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x3B"],
        ["\x70\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x9C"],

        ["\xF3\xB1\xB8\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x3C"],
        ["\x70\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x9D"],

        ["\xF3\xB1\xB8\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x3D"],
        ["\x70\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x9E"],

        ["\xF3\xB1\xB8\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x3E"],
        ["\x70\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\x9F"],

        ["\xF3\xB1\xB8\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x3F"],
        ["\x70\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xA0"],

        ["\xF3\xB1\xB8\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x40"],
        ["\x70\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xA1"],

        ["\xF3\xB1\xB8\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x41"],
        ["\x70\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xA2"],

        ["\xF3\xB1\xB8\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x42"],
        ["\x70\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xA3"],

        ["\xF3\xB1\xB8\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x43"],
        ["\x70\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xA4"],

        ["\xF3\xB1\xB8\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x44"],
        ["\x70\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xA5"],

        ["\xF3\xB1\xB8\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x45"],
        ["\x70\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xA6"],

        ["\xF3\xB1\xB8\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x46"],
        ["\x70\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xA7"],

        ["\xF3\xB1\xB8\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x47"],
        ["\x70\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xA8"],

        ["\xF3\xB1\xB8\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x48"],
        ["\x70\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xA9"],

        ["\xF3\xB1\xB8\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x49"],
        ["\x70\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xAA"],

        ["\xF3\xB1\xB8\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x4A"],
        ["\x70\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xAB"],

        ["\xF3\xB1\xB8\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x4B"],
        ["\x70\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xAC"],

        ["\xF3\xB1\xB8\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x4C"],
        ["\x70\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xAD"],

        ["\xF3\xB1\xB8\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x4D"],
        ["\x70\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xAE"],

        ["\xF3\xB1\xB8\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x4E"],
        ["\x70\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xAF"],

        ["\xF3\xB1\xB8\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x4F"],
        ["\x70\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xB0"],

        ["\xF3\xB1\xB8\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x50"],
        ["\x70\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xB1"],

        ["\xF3\xB1\xB8\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x51"],
        ["\x70\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xB2"],

        ["\xF3\xB1\xB8\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x52"],
        ["\x70\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xB3"],

        ["\xF3\xB1\xB8\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x53"],
        ["\x70\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xB4"],

        ["\xF3\xB1\xB8\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x54"],
        ["\x70\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xB5"],

        ["\xF3\xB1\xB8\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x55"],
        ["\x70\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xB6"],

        ["\xF3\xB1\xB8\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x56"],
        ["\x70\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xB7"],

        ["\xF3\xB1\xB8\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x3F\x59"],
        ["\x3F\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xB8"],

        ["\xF3\xB1\xB8\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x58"],
        ["\x70\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xB9"],

        ["\xF3\xB1\xB8\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x59"],
        ["\x70\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xBA"],

        ["\xF3\xB1\xB8\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x5A"],
        ["\x70\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xBB"],

        ["\xF3\xB1\xB8\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x5B"],
        ["\x70\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xBC"],

        ["\xF3\xB1\xB8\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x5C"],
        ["\x70\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xBD"],

        ["\xF3\xB1\xB8\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x5D"],
        ["\x70\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xBE"],

        ["\xF3\xB1\xB8\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x5E"],
        ["\x70\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB8\xBF"],

        ["\xF3\xB1\xB9\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x5F"],
        ["\x70\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x80"],

        ["\xF3\xB1\xB9\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x60"],
        ["\x70\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x81"],

        ["\xF3\xB1\xB9\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x61"],
        ["\x70\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x82"],

        ["\xF3\xB1\xB9\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x62"],
        ["\x70\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x83"],

        ["\xF3\xB1\xB9\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x63"],
        ["\x70\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x84"],

        ["\xF3\xB1\xB9\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x64"],
        ["\x70\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x85"],

        ["\xF3\xB1\xB9\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x65"],
        ["\x70\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x86"],

        ["\xF3\xB1\xB9\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x66"],
        ["\x70\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x87"],

        ["\xF3\xB1\xB9\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x67"],
        ["\x70\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x88"],

        ["\xF3\xB1\xB9\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x68"],
        ["\x70\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x89"],

        ["\xF3\xB1\xB9\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x69"],
        ["\x70\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x8A"],

        ["\xF3\xB1\xB9\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x6A"],
        ["\x70\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x8B"],

        ["\xF3\xB1\xB9\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x6B"],
        ["\x70\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x8C"],

        ["\xF3\xB1\xB9\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x6C"],
        ["\x70\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x8D"],

        ["\xF3\xB1\xB9\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x6D"],
        ["\x70\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x8E"],

        ["\xF3\xB1\xB9\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x6E"],
        ["\x70\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x8F"],

        ["\xF3\xB1\xB9\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x6F"],
        ["\x70\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x90"],

        ["\xF3\xB1\xB9\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x70"],
        ["\x70\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x91"],

        ["\xF3\xB1\xB9\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x71"],
        ["\x70\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x92"],

        ["\xF3\xB1\xB9\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x72"],
        ["\x70\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x93"],

        ["\xF3\xB1\xB9\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x73"],
        ["\x70\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x94"],

        ["\xF3\xB1\xB9\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x37\x5B"],
        ["\x37\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x95"],

        ["\xF3\xB1\xB9\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x75"],
        ["\x70\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x96"],

        ["\xF3\xB1\xB9\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x76"],
        ["\x70\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x97"],

        ["\xF3\xB1\xB9\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x77"],
        ["\x70\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x98"],

        ["\xF3\xB1\xB9\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x78"],
        ["\x70\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x99"],

        ["\xF3\xB1\xB9\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x79"],
        ["\x70\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x9A"],

        ["\xF3\xB1\xB9\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x7A"],
        ["\x70\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x9B"],

        ["\xF3\xB1\xB9\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x7B"],
        ["\x70\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x9C"],

        ["\xF3\xB1\xB9\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x7C"],
        ["\x70\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x9D"],

        ["\xF3\xB1\xB9\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x7D"],
        ["\x70\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x9E"],

        ["\xF3\xB1\xB9\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x70\x7E"],
        ["\x70\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\x9F"],

        ["\xF3\xB1\xB9\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x21"],
        ["\x71\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xA0"],

        ["\xF3\xB1\xB9\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x22"],
        ["\x71\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xA1"],

        ["\xF3\xB1\xB9\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x23"],
        ["\x71\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xA2"],

        ["\xF3\xB1\xB9\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x24"],
        ["\x71\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xA3"],

        ["\xF3\xB1\xB9\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x25"],
        ["\x71\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xA4"],

        ["\xF3\xB1\xB9\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x26"],
        ["\x71\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xA5"],

        ["\xF3\xB1\xB9\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x27"],
        ["\x71\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xA6"],

        ["\xF3\xB1\xB9\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x28"],
        ["\x71\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xA7"],

        ["\xF3\xB1\xB9\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x29"],
        ["\x71\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xA8"],

        ["\xF3\xB1\xB9\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x2A"],
        ["\x71\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xA9"],

        ["\xF3\xB1\xB9\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x2B"],
        ["\x71\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xAA"],

        ["\xF3\xB1\xB9\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x2C"],
        ["\x71\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xAB"],

        ["\xF3\xB1\xB9\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x2D"],
        ["\x71\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xAC"],

        ["\xF3\xB1\xB9\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x2E"],
        ["\x71\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xAD"],

        ["\xF3\xB1\xB9\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x2F"],
        ["\x71\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xAE"],

        ["\xF3\xB1\xB9\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x30"],
        ["\x71\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xAF"],

        ["\xF3\xB1\xB9\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x31"],
        ["\x71\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xB0"],

        ["\xF3\xB1\xB9\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x32"],
        ["\x71\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xB1"],

        ["\xF3\xB1\xB9\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x33"],
        ["\x71\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xB2"],

        ["\xF3\xB1\xB9\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x34"],
        ["\x71\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xB3"],

        ["\xF3\xB1\xB9\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x35"],
        ["\x71\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xB4"],

        ["\xF3\xB1\xB9\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x36"],
        ["\x71\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xB5"],

        ["\xF3\xB1\xB9\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x37"],
        ["\x71\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xB6"],

        ["\xF3\xB1\xB9\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x38"],
        ["\x71\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xB7"],

        ["\xF3\xB1\xB9\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x39"],
        ["\x71\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xB8"],

        ["\xF3\xB1\xB9\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x3A"],
        ["\x71\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xB9"],

        ["\xF3\xB1\xB9\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x3B"],
        ["\x71\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xBA"],

        ["\xF3\xB1\xB9\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x3C"],
        ["\x71\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xBB"],

        ["\xF3\xB1\xB9\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x3D"],
        ["\x71\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xBC"],

        ["\xF3\xB1\xB9\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x3E"],
        ["\x71\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xBD"],

        ["\xF3\xB1\xB9\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x3F"],
        ["\x71\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xBE"],

        ["\xF3\xB1\xB9\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x40"],
        ["\x71\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xB9\xBF"],

        ["\xF3\xB1\xBA\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x41"],
        ["\x71\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x80"],

        ["\xF3\xB1\xBA\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x42"],
        ["\x71\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x81"],

        ["\xF3\xB1\xBA\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x43"],
        ["\x71\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x82"],

        ["\xF3\xB1\xBA\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x44"],
        ["\x71\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x83"],

        ["\xF3\xB1\xBA\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x45"],
        ["\x71\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x84"],

        ["\xF3\xB1\xBA\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x46"],
        ["\x71\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x85"],

        ["\xF3\xB1\xBA\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x47"],
        ["\x71\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x86"],

        ["\xF3\xB1\xBA\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x48"],
        ["\x71\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x87"],

        ["\xF3\xB1\xBA\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x49"],
        ["\x71\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x88"],

        ["\xF3\xB1\xBA\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x4A"],
        ["\x71\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x89"],

        ["\xF3\xB1\xBA\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x4B"],
        ["\x71\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x8A"],

        ["\xF3\xB1\xBA\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x4C"],
        ["\x71\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x8B"],

        ["\xF3\xB1\xBA\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x4D"],
        ["\x71\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x8C"],

        ["\xF3\xB1\xBA\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x4E"],
        ["\x71\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x8D"],

        ["\xF3\xB1\xBA\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x4F"],
        ["\x71\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x8E"],

        ["\xF3\xB1\xBA\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x50"],
        ["\x71\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x8F"],

        ["\xF3\xB1\xBA\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x51"],
        ["\x71\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x90"],

        ["\xF3\xB1\xBA\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x52"],
        ["\x71\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x91"],

        ["\xF3\xB1\xBA\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x53"],
        ["\x71\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x92"],

        ["\xF3\xB1\xBA\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x54"],
        ["\x71\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x93"],

        ["\xF3\xB1\xBA\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x55"],
        ["\x71\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x94"],

        ["\xF3\xB1\xBA\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x56"],
        ["\x71\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x95"],

        ["\xF3\xB1\xBA\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x57"],
        ["\x71\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x96"],

        ["\xF3\xB1\xBA\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x58"],
        ["\x71\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x97"],

        ["\xF3\xB1\xBA\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x59"],
        ["\x71\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x98"],

        ["\xF3\xB1\xBA\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x5A"],
        ["\x71\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x99"],

        ["\xF3\xB1\xBA\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x5B"],
        ["\x71\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x9A"],

        ["\xF3\xB1\xBA\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x5C"],
        ["\x71\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x9B"],

        ["\xF3\xB1\xBA\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x5D"],
        ["\x71\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x9C"],

        ["\xF3\xB1\xBA\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x5E"],
        ["\x71\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x9D"],

        ["\xF3\xB1\xBA\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x5F"],
        ["\x71\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x9E"],

        ["\xF3\xB1\xBA\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x60"],
        ["\x71\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\x9F"],

        ["\xF3\xB1\xBA\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x61"],
        ["\x71\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xA0"],

        ["\xF3\xB1\xBA\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x62"],
        ["\x71\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xA1"],

        ["\xF3\xB1\xBA\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x63"],
        ["\x71\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xA2"],

        ["\xF3\xB1\xBA\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x64"],
        ["\x71\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xA3"],

        ["\xF3\xB1\xBA\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x65"],
        ["\x71\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xA4"],

        ["\xF3\xB1\xBA\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x66"],
        ["\x71\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xA5"],

        ["\xF3\xB1\xBA\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x67"],
        ["\x71\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xA6"],

        ["\xF3\xB1\xBA\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x68"],
        ["\x71\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xA7"],

        ["\xF3\xB1\xBA\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x69"],
        ["\x71\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xA8"],

        ["\xF3\xB1\xBA\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x6A"],
        ["\x71\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xA9"],

        ["\xF3\xB1\xBA\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x6B"],
        ["\x71\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xAA"],

        ["\xF3\xB1\xBA\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x6C"],
        ["\x71\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xAB"],

        ["\xF3\xB1\xBA\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x6D"],
        ["\x71\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xAC"],

        ["\xF3\xB1\xBA\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x6E"],
        ["\x71\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xAD"],

        ["\xF3\xB1\xBA\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x6F"],
        ["\x71\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xAE"],

        ["\xF3\xB1\xBA\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x70"],
        ["\x71\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xAF"],

        ["\xF3\xB1\xBA\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x71"],
        ["\x71\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xB0"],

        ["\xF3\xB1\xBA\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x72"],
        ["\x71\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xB1"],

        ["\xF3\xB1\xBA\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x73"],
        ["\x71\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xB2"],

        ["\xF3\xB1\xBA\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x74"],
        ["\x71\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xB3"],

        ["\xF3\xB1\xBA\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x75"],
        ["\x71\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xB4"],

        ["\xF3\xB1\xBA\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x76"],
        ["\x71\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xB5"],

        ["\xF3\xB1\xBA\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x77"],
        ["\x71\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xB6"],

        ["\xF3\xB1\xBA\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x78"],
        ["\x71\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xB7"],

        ["\xF3\xB1\xBA\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x79"],
        ["\x71\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xB8"],

        ["\xF3\xB1\xBA\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x7A"],
        ["\x71\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xB9"],

        ["\xF3\xB1\xBA\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x7B"],
        ["\x71\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xBA"],

        ["\xF3\xB1\xBA\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x7C"],
        ["\x71\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xBB"],

        ["\xF3\xB1\xBA\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x7D"],
        ["\x71\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xBC"],

        ["\xF3\xB1\xBA\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x71\x7E"],
        ["\x71\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xBD"],

        ["\xF3\xB1\xBA\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x21"],
        ["\x72\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xBE"],

        ["\xF3\xB1\xBA\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x22"],
        ["\x72\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBA\xBF"],

        ["\xF3\xB1\xBB\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x23"],
        ["\x72\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x80"],

        ["\xF3\xB1\xBB\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x24"],
        ["\x72\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x81"],

        ["\xF3\xB1\xBB\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x25"],
        ["\x72\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x82"],

        ["\xF3\xB1\xBB\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x26"],
        ["\x72\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x83"],

        ["\xF3\xB1\xBB\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x27"],
        ["\x72\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x84"],

        ["\xF3\xB1\xBB\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x28"],
        ["\x72\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x85"],

        ["\xF3\xB1\xBB\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x29"],
        ["\x72\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x86"],

        ["\xF3\xB1\xBB\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x2A"],
        ["\x72\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x87"],

        ["\xF3\xB1\xBB\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x2B"],
        ["\x72\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x88"],

        ["\xF3\xB1\xBB\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x2C"],
        ["\x72\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x89"],

        ["\xF3\xB1\xBB\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x2D"],
        ["\x72\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x8A"],

        ["\xF3\xB1\xBB\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x2E"],
        ["\x72\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x8B"],

        ["\xF3\xB1\xBB\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x2F"],
        ["\x72\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x8C"],

        ["\xF3\xB1\xBB\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x30"],
        ["\x72\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x8D"],

        ["\xF3\xB1\xBB\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x31"],
        ["\x72\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x8E"],

        ["\xF3\xB1\xBB\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x32"],
        ["\x72\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x8F"],

        ["\xF3\xB1\xBB\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x33"],
        ["\x72\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x90"],

        ["\xF3\xB1\xBB\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x34"],
        ["\x72\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x91"],

        ["\xF3\xB1\xBB\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x35"],
        ["\x72\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x92"],

        ["\xF3\xB1\xBB\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x36"],
        ["\x72\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x93"],

        ["\xF3\xB1\xBB\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x37"],
        ["\x72\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x94"],

        ["\xF3\xB1\xBB\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x38"],
        ["\x72\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x95"],

        ["\xF3\xB1\xBB\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x39"],
        ["\x72\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x96"],

        ["\xF3\xB1\xBB\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x3A"],
        ["\x72\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x97"],

        ["\xF3\xB1\xBB\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x3B"],
        ["\x72\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x98"],

        ["\xF3\xB1\xBB\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x3C"],
        ["\x72\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x99"],

        ["\xF3\xB1\xBB\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x3D"],
        ["\x72\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x9A"],

        ["\xF3\xB1\xBB\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x3E"],
        ["\x72\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x9B"],

        ["\xF3\xB1\xBB\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x3F"],
        ["\x72\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x9C"],

        ["\xF3\xB1\xBB\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x40"],
        ["\x72\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x9D"],

        ["\xF3\xB1\xBB\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x41"],
        ["\x72\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x9E"],

        ["\xF3\xB1\xBB\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x42"],
        ["\x72\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\x9F"],

        ["\xF3\xB1\xBB\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x43"],
        ["\x72\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xA0"],

        ["\xF3\xB1\xBB\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x44"],
        ["\x72\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xA1"],

        ["\xF3\xB1\xBB\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x45"],
        ["\x72\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xA2"],

        ["\xF3\xB1\xBB\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x46"],
        ["\x72\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xA3"],

        ["\xF3\xB1\xBB\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x47"],
        ["\x72\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xA4"],

        ["\xF3\xB1\xBB\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x48"],
        ["\x72\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xA5"],

        ["\xF3\xB1\xBB\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x49"],
        ["\x72\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xA6"],

        ["\xF3\xB1\xBB\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x4A"],
        ["\x72\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xA7"],

        ["\xF3\xB1\xBB\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x4B"],
        ["\x72\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xA8"],

        ["\xF3\xB1\xBB\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x4C"],
        ["\x72\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xA9"],

        ["\xF3\xB1\xBB\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x30\x33"],
        ["\x30\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xAA"],

        ["\xF3\xB1\xBB\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x4E"],
        ["\x72\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xAB"],

        ["\xF3\xB1\xBB\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x4F"],
        ["\x72\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xAC"],

        ["\xF3\xB1\xBB\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x50"],
        ["\x72\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xAD"],

        ["\xF3\xB1\xBB\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x51"],
        ["\x72\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xAE"],

        ["\xF3\xB1\xBB\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x52"],
        ["\x72\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xAF"],

        ["\xF3\xB1\xBB\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x53"],
        ["\x72\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xB0"],

        ["\xF3\xB1\xBB\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x54"],
        ["\x72\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xB1"],

        ["\xF3\xB1\xBB\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x55"],
        ["\x72\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xB2"],

        ["\xF3\xB1\xBB\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x56"],
        ["\x72\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xB3"],

        ["\xF3\xB1\xBB\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x57"],
        ["\x72\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xB4"],

        ["\xF3\xB1\xBB\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x58"],
        ["\x72\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xB5"],

        ["\xF3\xB1\xBB\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x59"],
        ["\x72\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xB6"],

        ["\xF3\xB1\xBB\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x5A"],
        ["\x72\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xB7"],

        ["\xF3\xB1\xBB\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x5B"],
        ["\x72\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xB8"],

        ["\xF3\xB1\xBB\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x5C"],
        ["\x72\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xB9"],

        ["\xF3\xB1\xBB\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x5D"],
        ["\x72\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xBA"],

        ["\xF3\xB1\xBB\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x5E"],
        ["\x72\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xBB"],

        ["\xF3\xB1\xBB\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x5F"],
        ["\x72\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xBC"],

        ["\xF3\xB1\xBB\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x60"],
        ["\x72\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xBD"],

        ["\xF3\xB1\xBB\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x61"],
        ["\x72\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xBE"],

        ["\xF3\xB1\xBB\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x62"],
        ["\x72\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBB\xBF"],

        ["\xF3\xB1\xBC\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x63"],
        ["\x72\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x80"],

        ["\xF3\xB1\xBC\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x64"],
        ["\x72\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x81"],

        ["\xF3\xB1\xBC\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x65"],
        ["\x72\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x82"],

        ["\xF3\xB1\xBC\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x66"],
        ["\x72\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x83"],

        ["\xF3\xB1\xBC\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x67"],
        ["\x72\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x84"],

        ["\xF3\xB1\xBC\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x68"],
        ["\x72\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x85"],

        ["\xF3\xB1\xBC\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x69"],
        ["\x72\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x86"],

        ["\xF3\xB1\xBC\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x6A"],
        ["\x72\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x87"],

        ["\xF3\xB1\xBC\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x6B"],
        ["\x72\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x88"],

        ["\xF3\xB1\xBC\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x6C"],
        ["\x72\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x89"],

        ["\xF3\xB1\xBC\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x6D"],
        ["\x72\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x8A"],

        ["\xF3\xB1\xBC\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x6E"],
        ["\x72\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x8B"],

        ["\xF3\xB1\xBC\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x6F"],
        ["\x72\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x8C"],

        ["\xF3\xB1\xBC\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x70"],
        ["\x72\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x8D"],

        ["\xF3\xB1\xBC\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x71"],
        ["\x72\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x8E"],

        ["\xF3\xB1\xBC\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x72"],
        ["\x72\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x8F"],

        ["\xF3\xB1\xBC\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x73"],
        ["\x72\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x90"],

        ["\xF3\xB1\xBC\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x32\x29"],
        ["\x32\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x91"],

        ["\xF3\xB1\xBC\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x75"],
        ["\x72\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x92"],

        ["\xF3\xB1\xBC\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x76"],
        ["\x72\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x93"],

        ["\xF3\xB1\xBC\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x77"],
        ["\x72\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x94"],

        ["\xF3\xB1\xBC\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x78"],
        ["\x72\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x95"],

        ["\xF3\xB1\xBC\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x79"],
        ["\x72\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x96"],

        ["\xF3\xB1\xBC\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x7A"],
        ["\x72\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x97"],

        ["\xF3\xB1\xBC\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x7B"],
        ["\x72\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x98"],

        ["\xF3\xB1\xBC\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x7C"],
        ["\x72\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x99"],

        ["\xF3\xB1\xBC\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x7D"],
        ["\x72\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x9A"],

        ["\xF3\xB1\xBC\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x72\x7E"],
        ["\x72\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x9B"],

        ["\xF3\xB1\xBC\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x21"],
        ["\x73\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x9C"],

        ["\xF3\xB1\xBC\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x22"],
        ["\x73\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x9D"],

        ["\xF3\xB1\xBC\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x23"],
        ["\x73\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x9E"],

        ["\xF3\xB1\xBC\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x24"],
        ["\x73\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\x9F"],

        ["\xF3\xB1\xBC\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x25"],
        ["\x73\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xA0"],

        ["\xF3\xB1\xBC\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x26"],
        ["\x73\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xA1"],

        ["\xF3\xB1\xBC\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x27"],
        ["\x73\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xA2"],

        ["\xF3\xB1\xBC\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x28"],
        ["\x73\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xA3"],

        ["\xF3\xB1\xBC\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x29"],
        ["\x73\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xA4"],

        ["\xF3\xB1\xBC\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x2A"],
        ["\x73\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xA5"],

        ["\xF3\xB1\xBC\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x2B"],
        ["\x73\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xA6"],

        ["\xF3\xB1\xBC\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x2C"],
        ["\x73\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xA7"],

        ["\xF3\xB1\xBC\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x2D"],
        ["\x73\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xA8"],

        ["\xF3\xB1\xBC\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x2E"],
        ["\x73\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xA9"],

        ["\xF3\xB1\xBC\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x2F"],
        ["\x73\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xAA"],

        ["\xF3\xB1\xBC\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x30"],
        ["\x73\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xAB"],

        ["\xF3\xB1\xBC\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x31"],
        ["\x73\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xAC"],

        ["\xF3\xB1\xBC\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x32"],
        ["\x73\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xAD"],

        ["\xF3\xB1\xBC\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x33"],
        ["\x73\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xAE"],

        ["\xF3\xB1\xBC\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x34"],
        ["\x73\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xAF"],

        ["\xF3\xB1\xBC\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x35"],
        ["\x73\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xB0"],

        ["\xF3\xB1\xBC\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x36"],
        ["\x73\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xB1"],

        ["\xF3\xB1\xBC\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x37"],
        ["\x73\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xB2"],

        ["\xF3\xB1\xBC\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x38"],
        ["\x73\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xB3"],

        ["\xF3\xB1\xBC\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x39"],
        ["\x73\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xB4"],

        ["\xF3\xB1\xBC\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x3A"],
        ["\x73\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xB5"],

        ["\xF3\xB1\xBC\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x3B"],
        ["\x73\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xB6"],

        ["\xF3\xB1\xBC\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x3C"],
        ["\x73\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xB7"],

        ["\xF3\xB1\xBC\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x3D"],
        ["\x73\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xB8"],

        ["\xF3\xB1\xBC\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x3E"],
        ["\x73\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xB9"],

        ["\xF3\xB1\xBC\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x3F"],
        ["\x73\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xBA"],

        ["\xF3\xB1\xBC\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x40"],
        ["\x73\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xBB"],

        ["\xF3\xB1\xBC\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x41"],
        ["\x73\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xBC"],

        ["\xF3\xB1\xBC\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x42"],
        ["\x73\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xBD"],

        ["\xF3\xB1\xBC\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x43"],
        ["\x73\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xBE"],

        ["\xF3\xB1\xBC\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x44"],
        ["\x73\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBC\xBF"],

        ["\xF3\xB1\xBD\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x45"],
        ["\x73\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x80"],

        ["\xF3\xB1\xBD\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x46"],
        ["\x73\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x81"],

        ["\xF3\xB1\xBD\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x47"],
        ["\x73\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x82"],

        ["\xF3\xB1\xBD\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x48"],
        ["\x73\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x83"],

        ["\xF3\xB1\xBD\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x49"],
        ["\x73\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x84"],

        ["\xF3\xB1\xBD\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x4A"],
        ["\x73\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x85"],

        ["\xF3\xB1\xBD\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x4B"],
        ["\x73\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x86"],

        ["\xF3\xB1\xBD\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x4C"],
        ["\x73\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x87"],

        ["\xF3\xB1\xBD\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x4D"],
        ["\x73\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x88"],

        ["\xF3\xB1\xBD\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x4E"],
        ["\x73\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x89"],

        ["\xF3\xB1\xBD\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x4F"],
        ["\x73\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x8A"],

        ["\xF3\xB1\xBD\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x50"],
        ["\x73\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x8B"],

        ["\xF3\xB1\xBD\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x51"],
        ["\x73\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x8C"],

        ["\xF3\xB1\xBD\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x52"],
        ["\x73\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x8D"],

        ["\xF3\xB1\xBD\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x53"],
        ["\x73\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x8E"],

        ["\xF3\xB1\xBD\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x54"],
        ["\x73\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x8F"],

        ["\xF3\xB1\xBD\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x55"],
        ["\x73\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x90"],

        ["\xF3\xB1\xBD\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x56"],
        ["\x73\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x91"],

        ["\xF3\xB1\xBD\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x57"],
        ["\x73\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x92"],

        ["\xF3\xB1\xBD\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x58"],
        ["\x73\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x93"],

        ["\xF3\xB1\xBD\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x59"],
        ["\x73\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x94"],

        ["\xF3\xB1\xBD\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x5A"],
        ["\x73\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x95"],

        ["\xF3\xB1\xBD\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x5B"],
        ["\x73\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x96"],

        ["\xF3\xB1\xBD\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x5C"],
        ["\x73\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x97"],

        ["\xF3\xB1\xBD\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x5D"],
        ["\x73\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x98"],

        ["\xF3\xB1\xBD\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x5E"],
        ["\x73\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x99"],

        ["\xF3\xB1\xBD\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x5F"],
        ["\x73\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x9A"],

        ["\xF3\xB1\xBD\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x60"],
        ["\x73\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x9B"],

        ["\xF3\xB1\xBD\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x61"],
        ["\x73\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x9C"],

        ["\xF3\xB1\xBD\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x62"],
        ["\x73\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x9D"],

        ["\xF3\xB1\xBD\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x63"],
        ["\x73\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x9E"],

        ["\xF3\xB1\xBD\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x64"],
        ["\x73\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\x9F"],

        ["\xF3\xB1\xBD\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x65"],
        ["\x73\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xA0"],

        ["\xF3\xB1\xBD\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x66"],
        ["\x73\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xA1"],

        ["\xF3\xB1\xBD\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x67"],
        ["\x73\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xA2"],

        ["\xF3\xB1\xBD\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x68"],
        ["\x73\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xA3"],

        ["\xF3\xB1\xBD\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x69"],
        ["\x73\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xA4"],

        ["\xF3\xB1\xBD\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x6A"],
        ["\x73\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xA5"],

        ["\xF3\xB1\xBD\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x6B"],
        ["\x73\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xA6"],

        ["\xF3\xB1\xBD\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x6C"],
        ["\x73\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xA7"],

        ["\xF3\xB1\xBD\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x6D"],
        ["\x73\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xA8"],

        ["\xF3\xB1\xBD\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x6E"],
        ["\x73\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xA9"],

        ["\xF3\xB1\xBD\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x6F"],
        ["\x73\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xAA"],

        ["\xF3\xB1\xBD\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x70"],
        ["\x73\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xAB"],

        ["\xF3\xB1\xBD\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x71"],
        ["\x73\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xAC"],

        ["\xF3\xB1\xBD\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x72"],
        ["\x73\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xAD"],

        ["\xF3\xB1\xBD\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x73"],
        ["\x73\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xAE"],

        ["\xF3\xB1\xBD\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x74"],
        ["\x73\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xAF"],

        ["\xF3\xB1\xBD\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x75"],
        ["\x73\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xB0"],

        ["\xF3\xB1\xBD\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x76"],
        ["\x73\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xB1"],

        ["\xF3\xB1\xBD\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x77"],
        ["\x73\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xB2"],

        ["\xF3\xB1\xBD\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x78"],
        ["\x73\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xB3"],

        ["\xF3\xB1\xBD\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x79"],
        ["\x73\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xB4"],

        ["\xF3\xB1\xBD\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x7A"],
        ["\x73\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xB5"],

        ["\xF3\xB1\xBD\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x7B"],
        ["\x73\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xB6"],

        ["\xF3\xB1\xBD\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x7C"],
        ["\x73\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xB7"],

        ["\xF3\xB1\xBD\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x7D"],
        ["\x73\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xB8"],

        ["\xF3\xB1\xBD\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x73\x7E"],
        ["\x73\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xB9"],

        ["\xF3\xB1\xBD\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x36\x46"],
        ["\x36\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xBA"],

        ["\xF3\xB1\xBD\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4B\x6A"],
        ["\x4B\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xBB"],

        ["\xF3\xB1\xBD\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x4D\x5A"],
        ["\x4D\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xBC"],

        ["\xF3\xB1\xBD\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x60\x76"],
        ["\x60\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xBD"],

        ["\xF3\xB1\xBD\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xA8"],
        ["\xB4\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xBE"],

        ["\xF3\xB1\xBD\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xBA"],
        ["\xC3\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB1\xBD\xBF"],

        ["\xF3\xB2\xAB\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA2\xBD"],
        ["\xA2\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAB\x9C"],

        ["\xF3\xB2\xAB\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA2\xBE"],
        ["\xA2\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAB\x9D"],

        ["\xF3\xB2\xAB\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA2\xBF"],
        ["\xA2\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAB\x9E"],

        ["\xF3\xB2\xAB\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA2\xC0"],
        ["\xA2\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAB\x9F"],

        ["\xF3\xB2\xAB\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA2\xC1"],
        ["\xA2\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAB\xA0"],

        ["\xF3\xB2\xAB\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA2\xC2"],
        ["\xA2\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAB\xA1"],

        ["\xF3\xB2\xAB\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA2\xC3"],
        ["\xA2\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAB\xA2"],

        ["\xF3\xB2\xAB\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA2\xC4"],
        ["\xA2\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAB\xA3"],

        ["\xF3\xB2\xAB\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA2\xC5"],
        ["\xA2\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAB\xA4"],

        ["\xF3\xB2\xAB\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA2\xC6"],
        ["\xA2\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAB\xA5"],

        ["\xF3\xB2\xAB\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xFB"],
        ["\xA5\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAB\xB1"],

        ["\xF3\xB2\xAB\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA3\xF9"],
        ["\xA3\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAB\xB2"],

        ["\xF3\xB2\xAB\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA3\xFA"],
        ["\xA3\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAB\xB3"],

        ["\xF3\xB2\xAB\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xD8"],
        ["\xC9\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAB\xB8"],

        ["\xF3\xB2\xAB\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xA9"],
        ["\xCE\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAB\xB9"],

        ["\xF3\xB2\xAB\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xB9"],
        ["\xD2\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAB\xBA"],

        ["\xF3\xB2\xAB\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xED"],
        ["\xD1\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAB\xBB"],

        ["\xF3\xB2\xAB\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCC\xCA"],
        ["\xCC\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAB\xBC"],

        ["\xF3\xB2\xAB\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xF6"],
        ["\xB2\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAB\xBD"],

        ["\xF3\xB2\xAB\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xFE"],
        ["\xC2\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAB\xBE"],

        ["\xF3\xB2\xAB\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xBF"],
        ["\xBD\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAB\xBF"],

        ["\xF3\xB2\xAC\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xB7"],
        ["\xBF\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x80"],

        ["\xF3\xB2\xAC\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xB6"],
        ["\xD2\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x81"],

        ["\xF3\xB2\xAC\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xD5"],
        ["\xBD\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x82"],

        ["\xF3\xB2\xAC\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xC7"],
        ["\xBA\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x83"],

        ["\xF3\xB2\xAC\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xAB"],
        ["\xB2\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x84"],

        ["\xF3\xB2\xAC\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xC2"],
        ["\xB2\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x85"],

        ["\xF3\xB2\xAC\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xD3"],
        ["\xB2\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x86"],

        ["\xF3\xB2\xAC\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xCD"],
        ["\xB2\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x87"],

        ["\xF3\xB2\xAC\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xCE"],
        ["\xB2\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x88"],

        ["\xF3\xB2\xAC\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xDB"],
        ["\xB2\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x89"],

        ["\xF3\xB2\xAC\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xD6"],
        ["\xB2\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x8A"],

        ["\xF3\xB2\xAC\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xEA"],
        ["\xB2\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x8B"],

        ["\xF3\xB2\xAC\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xE7"],
        ["\xB2\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x8C"],

        ["\xF3\xB2\xAC\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xDA"],
        ["\xBA\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x8D"],

        ["\xF3\xB2\xAC\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xE1"],
        ["\xB2\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x8E"],

        ["\xF3\xB2\xAC\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xF5"],
        ["\xB2\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x8F"],

        ["\xF3\xB2\xAC\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xB2"],
        ["\xB3\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x90"],

        ["\xF3\xB2\xAC\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xA1"],
        ["\xB3\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x91"],

        ["\xF3\xB2\xAC\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xB3"],
        ["\xB3\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x92"],

        ["\xF3\xB2\xAC\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xA6"],
        ["\xB3\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x93"],

        ["\xF3\xB2\xAC\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xC0"],
        ["\xB3\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x94"],

        ["\xF3\xB2\xAC\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xC3"],
        ["\xB3\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x95"],

        ["\xF3\xB2\xAC\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xC4"],
        ["\xB3\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x96"],

        ["\xF3\xB2\xAC\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xC6"],
        ["\xB3\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x97"],

        ["\xF3\xB2\xAC\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xD2"],
        ["\xB3\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x98"],

        ["\xF3\xB2\xAC\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xD5"],
        ["\xB3\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x99"],

        ["\xF3\xB2\xAC\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xE8"],
        ["\xB3\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x9A"],

        ["\xF3\xB2\xAC\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xF0"],
        ["\xB3\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x9B"],

        ["\xF3\xB2\xAC\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xF7"],
        ["\xB3\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x9C"],

        ["\xF3\xB2\xAC\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xA2"],
        ["\xB4\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x9D"],

        ["\xF3\xB2\xAC\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xA8"],
        ["\xD4\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x9E"],

        ["\xF3\xB2\xAC\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xB4"],
        ["\xB4\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\x9F"],

        ["\xF3\xB2\xAC\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xC1"],
        ["\xB4\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xA0"],

        ["\xF3\xB2\xAC\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xC3"],
        ["\xB4\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xA1"],

        ["\xF3\xB2\xAC\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xD0"],
        ["\xB4\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xA2"],

        ["\xF3\xB2\xAC\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xD8"],
        ["\xB4\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xA3"],

        ["\xF3\xB2\xAC\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xE8"],
        ["\xB4\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xA4"],

        ["\xF3\xB2\xAC\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xEC"],
        ["\xB4\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xA5"],

        ["\xF3\xB2\xAC\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xEF"],
        ["\xB4\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xA6"],

        ["\xF3\xB2\xAC\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xA7"],
        ["\xB5\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xA7"],

        ["\xF3\xB2\xAC\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xAD"],
        ["\xB5\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xA8"],

        ["\xF3\xB2\xAC\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xB1"],
        ["\xB5\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xA9"],

        ["\xF3\xB2\xAC\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xBC"],
        ["\xB5\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xAA"],

        ["\xF3\xB2\xAC\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xBE"],
        ["\xB5\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xAB"],

        ["\xF3\xB2\xAC\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xD3"],
        ["\xB5\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xAC"],

        ["\xF3\xB2\xAC\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xCF"],
        ["\xB5\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xAD"],

        ["\xF3\xB2\xAC\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xDC"],
        ["\xB5\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xAE"],

        ["\xF3\xB2\xAC\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xE0"],
        ["\xB5\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xAF"],

        ["\xF3\xB2\xAC\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xEE"],
        ["\xB5\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xB0"],

        ["\xF3\xB2\xAC\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xD6"],
        ["\xB6\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xB1"],

        ["\xF3\xB2\xAC\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xDE"],
        ["\xB6\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xB2"],

        ["\xF3\xB2\xAC\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xE3"],
        ["\xB6\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xB3"],

        ["\xF3\xB2\xAC\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xE5"],
        ["\xB6\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xB4"],

        ["\xF3\xB2\xAC\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xE6"],
        ["\xB6\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xB5"],

        ["\xF3\xB2\xAC\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xE7"],
        ["\xB6\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xB6"],

        ["\xF3\xB2\xAC\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x44\x4D"],
        ["\x44\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xB7"],

        ["\xF3\xB2\xAC\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xA8"],
        ["\xB7\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xB8"],

        ["\xF3\xB2\xAC\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xAE"],
        ["\xB7\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xB9"],

        ["\xF3\xB2\xAC\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xB8"],
        ["\xB7\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xBA"],

        ["\xF3\xB2\xAC\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xCB"],
        ["\xB7\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xBB"],

        ["\xF3\xB2\xAC\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xCF"],
        ["\xB7\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xBC"],

        ["\xF3\xB2\xAC\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xCE"],
        ["\xB7\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xBD"],

        ["\xF3\xB2\xAC\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xD3"],
        ["\xB7\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xBE"],

        ["\xF3\xB2\xAC\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xDB"],
        ["\xB7\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAC\xBF"],

        ["\xF3\xB2\xAD\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xE4"],
        ["\xB7\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x80"],

        ["\xF3\xB2\xAD\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xB4"],
        ["\xB8\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x81"],

        ["\xF3\xB2\xAD\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xCA"],
        ["\xB8\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x82"],

        ["\xF3\xB2\xAD\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xCC"],
        ["\xB8\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x83"],

        ["\xF3\xB2\xAD\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xCD"],
        ["\xB8\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x84"],

        ["\xF3\xB2\xAD\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xD4"],
        ["\xB8\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x85"],

        ["\xF3\xB2\xAD\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xE3"],
        ["\xB8\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x86"],

        ["\xF3\xB2\xAD\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xFB"],
        ["\xB8\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x87"],

        ["\xF3\xB2\xAD\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xF9"],
        ["\xB8\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x88"],

        ["\xF3\xB2\xAD\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xA9"],
        ["\xB9\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x89"],

        ["\xF3\xB2\xAD\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xB1"],
        ["\xB9\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x8A"],

        ["\xF3\xB2\xAD\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xB7"],
        ["\xC6\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x8B"],

        ["\xF3\xB2\xAD\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xBA"],
        ["\xB9\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x8C"],

        ["\xF3\xB2\xAD\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xBD"],
        ["\xB9\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x8D"],

        ["\xF3\xB2\xAD\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xC0"],
        ["\xB9\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x8E"],

        ["\xF3\xB2\xAD\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xD3"],
        ["\xB9\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x8F"],

        ["\xF3\xB2\xAD\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xD5"],
        ["\xB9\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x90"],

        ["\xF3\xB2\xAD\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xDA"],
        ["\xB9\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x91"],

        ["\xF3\xB2\xAD\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xBF"],
        ["\xBA\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x92"],

        ["\xF3\xB2\xAD\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xC1"],
        ["\xBA\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x93"],

        ["\xF3\xB2\xAD\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xD1"],
        ["\xBA\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x94"],

        ["\xF3\xB2\xAD\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xEC"],
        ["\xBA\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x95"],

        ["\xF3\xB2\xAD\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xFE"],
        ["\xBA\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x96"],

        ["\xF3\xB2\xAD\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xA9"],
        ["\xBB\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x97"],

        ["\xF3\xB2\xAD\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xB1"],
        ["\xBB\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x98"],

        ["\xF3\xB2\xAD\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xE5"],
        ["\xB5\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x99"],

        ["\xF3\xB2\xAD\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xC4"],
        ["\xBB\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x9A"],

        ["\xF3\xB2\xAD\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xBD"],
        ["\xBB\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x9B"],

        ["\xF3\xB2\xAD\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xC9"],
        ["\xBB\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x9C"],

        ["\xF3\xB2\xAD\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xCE"],
        ["\xBB\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x9D"],

        ["\xF3\xB2\xAD\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xD4"],
        ["\xBB\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x9E"],

        ["\xF3\xB2\xAD\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xD6"],
        ["\xBB\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\x9F"],

        ["\xF3\xB2\xAD\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xD8"],
        ["\xBB\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xA0"],

        ["\xF3\xB2\xAD\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xA8"],
        ["\xB6\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xA1"],

        ["\xF3\xB2\xAD\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xF9"],
        ["\xBB\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xA2"],

        ["\xF3\xB2\xAD\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xB1"],
        ["\xBC\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xA3"],

        ["\xF3\xB2\xAD\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xCC"],
        ["\xBC\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xA4"],

        ["\xF3\xB2\xAD\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xD9"],
        ["\xBC\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xA5"],

        ["\xF3\xB2\xAD\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xDB"],
        ["\xBC\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xA6"],

        ["\xF3\xB2\xAD\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xDC"],
        ["\xBC\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xA7"],

        ["\xF3\xB2\xAD\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xF0"],
        ["\xBC\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xA8"],

        ["\xF3\xB2\xAD\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xBD"],
        ["\xBD\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xA9"],

        ["\xF3\xB2\xAD\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xB5"],
        ["\xBD\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xAA"],

        ["\xF3\xB2\xAD\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x37"],
        ["\x39\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xAB"],

        ["\xF3\xB2\xAD\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xB7"],
        ["\xBD\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xAC"],

        ["\xF3\xB2\xAD\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xC2"],
        ["\xBD\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xAD"],

        ["\xF3\xB2\xAD\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xC4"],
        ["\xBD\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xAE"],

        ["\xF3\xB2\xAD\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xC7"],
        ["\xBD\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xAF"],

        ["\xF3\xB2\xAD\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xD6"],
        ["\xBD\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xB0"],

        ["\xF3\xB2\xAD\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xE0"],
        ["\xBD\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xB1"],

        ["\xF3\xB2\xAD\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xDE"],
        ["\xBD\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xB2"],

        ["\xF3\xB2\xAD\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xE4"],
        ["\xBD\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xB3"],

        ["\xF3\xB2\xAD\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xE6"],
        ["\xBD\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xB4"],

        ["\xF3\xB2\xAD\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xF7"],
        ["\xBD\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xB5"],

        ["\xF3\xB2\xAD\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xD8"],
        ["\xC5\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xB6"],

        ["\xF3\xB2\xAD\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xA5"],
        ["\xBE\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xB7"],

        ["\xF3\xB2\xAD\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xAC"],
        ["\xBE\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xB8"],

        ["\xF3\xB2\xAD\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xD1"],
        ["\xBD\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xB9"],

        ["\xF3\xB2\xAD\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xBC"],
        ["\xBE\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xBA"],

        ["\xF3\xB2\xAD\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xBE"],
        ["\xBE\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xBB"],

        ["\xF3\xB2\xAD\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xC8"],
        ["\xBE\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xBC"],

        ["\xF3\xB2\xAD\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xD9"],
        ["\xBE\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xBD"],

        ["\xF3\xB2\xAD\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xE5"],
        ["\xBE\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xBE"],

        ["\xF3\xB2\xAD\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xE8"],
        ["\xBE\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAD\xBF"],

        ["\xF3\xB2\xAE\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xE2"],
        ["\xBE\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x80"],

        ["\xF3\xB2\xAE\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xF0"],
        ["\xBE\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x81"],

        ["\xF3\xB2\xAE\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xBA"],
        ["\xBF\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x82"],

        ["\xF3\xB2\xAE\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xBC"],
        ["\xBF\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x83"],

        ["\xF3\xB2\xAE\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xC0"],
        ["\xBF\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x84"],

        ["\xF3\xB2\xAE\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xD7"],
        ["\xBF\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x85"],

        ["\xF3\xB2\xAE\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xAA"],
        ["\xC6\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x86"],

        ["\xF3\xB2\xAE\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xE4"],
        ["\xBF\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x87"],

        ["\xF3\xB2\xAE\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xE5"],
        ["\xBF\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x88"],

        ["\xF3\xB2\xAE\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xE6"],
        ["\xBF\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x89"],

        ["\xF3\xB2\xAE\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xEC"],
        ["\xBF\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x8A"],

        ["\xF3\xB2\xAE\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xF0"],
        ["\xBF\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x8B"],

        ["\xF3\xB2\xAE\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xF8"],
        ["\xBF\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x8C"],

        ["\xF3\xB2\xAE\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xA8"],
        ["\xC0\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x8D"],

        ["\xF3\xB2\xAE\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xA5"],
        ["\xC0\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x8E"],

        ["\xF3\xB2\xAE\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xCF"],
        ["\xC0\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x8F"],

        ["\xF3\xB2\xAE\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xD9"],
        ["\xC0\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x90"],

        ["\xF3\xB2\xAE\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xDE"],
        ["\xC0\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x91"],

        ["\xF3\xB2\xAE\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xE5"],
        ["\xC0\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x92"],

        ["\xF3\xB2\xAE\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xEB"],
        ["\xC0\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x93"],

        ["\xF3\xB2\xAE\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xF4"],
        ["\xC0\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x94"],

        ["\xF3\xB2\xAE\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xA7"],
        ["\xC1\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x95"],

        ["\xF3\xB2\xAE\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xB6"],
        ["\xC1\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x96"],

        ["\xF3\xB2\xAE\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xC7"],
        ["\xC1\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x97"],

        ["\xF3\xB2\xAE\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xBF"],
        ["\xC1\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x98"],

        ["\xF3\xB2\xAE\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xCA"],
        ["\xC1\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x99"],

        ["\xF3\xB2\xAE\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xD9"],
        ["\xC1\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x9A"],

        ["\xF3\xB2\xAE\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xCD"],
        ["\xC1\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x9B"],

        ["\xF3\xB2\xAE\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xDF"],
        ["\xC1\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x9C"],

        ["\xF3\xB2\xAE\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xD1"],
        ["\xC1\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x9D"],

        ["\xF3\xB2\xAE\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xFB"],
        ["\xC1\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x9E"],

        ["\xF3\xB2\xAE\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xF3"],
        ["\xC1\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\x9F"],

        ["\xF3\xB2\xAE\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xF4"],
        ["\xC1\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xA0"],

        ["\xF3\xB2\xAE\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xF0"],
        ["\xC1\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xA1"],

        ["\xF3\xB2\xAE\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xA8"],
        ["\xC2\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xA2"],

        ["\xF3\xB2\xAE\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xCE"],
        ["\xC2\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xA3"],

        ["\xF3\xB2\xAE\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xDF"],
        ["\xC2\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xA4"],

        ["\xF3\xB2\xAE\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xE4"],
        ["\xC2\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xA5"],

        ["\xF3\xB2\xAE\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xEF"],
        ["\xC2\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xA6"],

        ["\xF3\xB2\xAE\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xEE"],
        ["\xC2\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xA7"],

        ["\xF3\xB2\xAE\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xF1"],
        ["\xC2\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xA8"],

        ["\xF3\xB2\xAE\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xFB"],
        ["\xC2\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xA9"],

        ["\xF3\xB2\xAE\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xFC"],
        ["\xC2\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xAA"],

        ["\xF3\xB2\xAE\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xA8"],
        ["\xC3\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xAB"],

        ["\xF3\xB2\xAE\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xA6"],
        ["\xC3\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xAC"],

        ["\xF3\xB2\xAE\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xB8"],
        ["\xC3\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xAD"],

        ["\xF3\xB2\xAE\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xB9"],
        ["\xC3\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xAE"],

        ["\xF3\xB2\xAE\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xBC"],
        ["\xC3\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xAF"],

        ["\xF3\xB2\xAE\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xCE"],
        ["\xC3\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xB0"],

        ["\xF3\xB2\xAE\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xD0"],
        ["\xC3\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xB1"],

        ["\xF3\xB2\xAE\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xD5"],
        ["\xC3\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xB2"],

        ["\xF3\xB2\xAE\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xEB"],
        ["\xC3\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xB3"],

        ["\xF3\xB2\xAE\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xEE"],
        ["\xC3\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xB4"],

        ["\xF3\xB2\xAE\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xFB"],
        ["\xC3\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xB5"],

        ["\xF3\xB2\xAE\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xF8"],
        ["\xC3\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xB6"],

        ["\xF3\xB2\xAE\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xA5"],
        ["\xC4\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xB7"],

        ["\xF3\xB2\xAE\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xBA"],
        ["\xC4\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xB8"],

        ["\xF3\xB2\xAE\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xB8"],
        ["\xC4\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xB9"],

        ["\xF3\xB2\xAE\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xC1"],
        ["\xC4\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xBA"],

        ["\xF3\xB2\xAE\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xC2"],
        ["\xC4\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xBB"],

        ["\xF3\xB2\xAE\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xC6"],
        ["\xC4\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xBC"],

        ["\xF3\xB2\xAE\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xC7"],
        ["\xC4\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xBD"],

        ["\xF3\xB2\xAE\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xCB"],
        ["\xC4\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xBE"],

        ["\xF3\xB2\xAE\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xD2"],
        ["\xC4\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAE\xBF"],

        ["\xF3\xB2\xAF\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xD3"],
        ["\xC4\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x80"],

        ["\xF3\xB2\xAF\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xDB"],
        ["\xC4\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x81"],

        ["\xF3\xB2\xAF\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xD7"],
        ["\xC4\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x82"],

        ["\xF3\xB2\xAF\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xED"],
        ["\xC4\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x83"],

        ["\xF3\xB2\xAF\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xF3"],
        ["\xC4\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x84"],

        ["\xF3\xB2\xAF\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xFB"],
        ["\xC4\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x85"],

        ["\xF3\xB2\xAF\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xAC"],
        ["\xC5\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x86"],

        ["\xF3\xB2\xAF\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xB4"],
        ["\xC5\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x87"],

        ["\xF3\xB2\xAF\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xD3"],
        ["\xC5\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x88"],

        ["\xF3\xB2\xAF\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xD9"],
        ["\xC5\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x89"],

        ["\xF3\xB2\xAF\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xDA"],
        ["\xC5\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x8A"],

        ["\xF3\xB2\xAF\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xDB"],
        ["\xC5\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x8B"],

        ["\xF3\xB2\xAF\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xDF"],
        ["\xC5\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x8C"],

        ["\xF3\xB2\xAF\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xE5"],
        ["\xC5\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x8D"],

        ["\xF3\xB2\xAF\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xF2"],
        ["\xC5\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x8E"],

        ["\xF3\xB2\xAF\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xC7"],
        ["\xB4\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x8F"],

        ["\xF3\xB2\xAF\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xB1"],
        ["\xC6\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x90"],

        ["\xF3\xB2\xAF\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xB5"],
        ["\xC6\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x91"],

        ["\xF3\xB2\xAF\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xBD"],
        ["\xC6\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x92"],

        ["\xF3\xB2\xAF\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xC4"],
        ["\xC6\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x93"],

        ["\xF3\xB2\xAF\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xDA"],
        ["\xC6\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x94"],

        ["\xF3\xB2\xAF\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xDD"],
        ["\xC6\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x95"],

        ["\xF3\xB2\xAF\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xEB"],
        ["\xC6\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x96"],

        ["\xF3\xB2\xAF\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xF7"],
        ["\xC6\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x97"],

        ["\xF3\xB2\xAF\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xA3"],
        ["\xC7\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x98"],

        ["\xF3\xB2\xAF\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xA6"],
        ["\xC7\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x99"],

        ["\xF3\xB2\xAF\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xAA"],
        ["\xC7\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x9A"],

        ["\xF3\xB2\xAF\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xF2"],
        ["\xC7\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x9B"],

        ["\xF3\xB2\xAF\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xF5"],
        ["\xC7\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x9C"],

        ["\xF3\xB2\xAF\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xF7"],
        ["\xC7\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x9D"],

        ["\xF3\xB2\xAF\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xF8"],
        ["\xC7\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x9E"],

        ["\xF3\xB2\xAF\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xBB"],
        ["\xC8\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\x9F"],

        ["\xF3\xB2\xAF\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xE8"],
        ["\xC8\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xA0"],

        ["\xF3\xB2\xAF\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xA7"],
        ["\xC9\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xA1"],

        ["\xF3\xB2\xAF\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xAC"],
        ["\xC9\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xA2"],

        ["\xF3\xB2\xAF\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xB9"],
        ["\xC9\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xA3"],

        ["\xF3\xB2\xAF\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xB6"],
        ["\xC9\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xA4"],

        ["\xF3\xB2\xAF\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xBD"],
        ["\xC9\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xA5"],

        ["\xF3\xB2\xAF\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xD5"],
        ["\xC9\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xA6"],

        ["\xF3\xB2\xAF\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xFB"],
        ["\xBF\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xA7"],

        ["\xF3\xB2\xAF\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xF2"],
        ["\xC9\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xA8"],

        ["\xF3\xB2\xAF\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xF6"],
        ["\xC9\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xA9"],

        ["\xF3\xB2\xAF\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCB\xB4"],
        ["\xCB\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xAA"],

        ["\xF3\xB2\xAF\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCB\xD3"],
        ["\xCB\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xAB"],

        ["\xF3\xB2\xAF\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCB\xD4"],
        ["\xCB\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xAC"],

        ["\xF3\xB2\xAF\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCC\xA1"],
        ["\xCC\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xAD"],

        ["\xF3\xB2\xAF\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCB\xF7"],
        ["\xCB\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xAE"],

        ["\xF3\xB2\xAF\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCC\xB2"],
        ["\xCC\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xAF"],

        ["\xF3\xB2\xAF\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCC\xC3"],
        ["\xCC\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xB0"],

        ["\xF3\xB2\xAF\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCC\xEE"],
        ["\xCC\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xB1"],

        ["\xF3\xB2\xAF\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCC\xEA"],
        ["\xCC\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xB2"],

        ["\xF3\xB2\xAF\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCC\xED"],
        ["\xCC\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xB3"],

        ["\xF3\xB2\xAF\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCC\xFD"],
        ["\xCC\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xB4"],

        ["\xF3\xB2\xAF\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xA9"],
        ["\xCD\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xB5"],

        ["\xF3\xB2\xAF\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xC2"],
        ["\xCD\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xB6"],

        ["\xF3\xB2\xAF\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xD3"],
        ["\xCD\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xB7"],

        ["\xF3\xB2\xAF\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xE2"],
        ["\xCD\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xB8"],

        ["\xF3\xB2\xAF\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xA4"],
        ["\xCE\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xB9"],

        ["\xF3\xB2\xAF\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xCA"],
        ["\xCE\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xBA"],

        ["\xF3\xB2\xAF\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xDA"],
        ["\xCE\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xBB"],

        ["\xF3\xB2\xAF\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xDF"],
        ["\xCE\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xBC"],

        ["\xF3\xB2\xAF\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xE2"],
        ["\xCE\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xBD"],

        ["\xF3\xB2\xAF\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xE3"],
        ["\xCE\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xBE"],

        ["\xF3\xB2\xAF\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xEC"],
        ["\xCE\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xAF\xBF"],

        ["\xF3\xB2\xB0\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xEA"],
        ["\xCE\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x80"],

        ["\xF3\xB2\xB0\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xED"],
        ["\xCE\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x81"],

        ["\xF3\xB2\xB0\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xF8"],
        ["\xCE\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x82"],

        ["\xF3\xB2\xB0\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xFE"],
        ["\xCE\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x83"],

        ["\xF3\xB2\xB0\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xBC"],
        ["\xCF\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x84"],

        ["\xF3\xB2\xB0\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xBB"],
        ["\xCF\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x85"],

        ["\xF3\xB2\xB0\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xC2"],
        ["\xCF\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x86"],

        ["\xF3\xB2\xB0\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xC5"],
        ["\xCF\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x87"],

        ["\xF3\xB2\xB0\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xC7"],
        ["\xCF\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x88"],

        ["\xF3\xB2\xB0\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xDE"],
        ["\xCF\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x89"],

        ["\xF3\xB2\xB0\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xFD"],
        ["\xCF\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x8A"],

        ["\xF3\xB2\xB0\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xC2"],
        ["\xD0\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x8B"],

        ["\xF3\xB2\xB0\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xCD"],
        ["\xD0\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x8C"],

        ["\xF3\xB2\xB0\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xEC"],
        ["\xD0\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x8D"],

        ["\xF3\xB2\xB0\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xF2"],
        ["\xD0\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x8E"],

        ["\xF3\xB2\xB0\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xF3"],
        ["\xD0\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x8F"],

        ["\xF3\xB2\xB0\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xF9"],
        ["\xD0\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x90"],

        ["\xF3\xB2\xB0\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xB8"],
        ["\xD1\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x91"],

        ["\xF3\xB2\xB0\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xB7"],
        ["\xD1\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x92"],

        ["\xF3\xB2\xB0\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xB9"],
        ["\xD1\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x93"],

        ["\xF3\xB2\xB0\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xBB"],
        ["\xD1\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x94"],

        ["\xF3\xB2\xB0\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xC1"],
        ["\xD1\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x95"],

        ["\xF3\xB2\xB0\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xBE"],
        ["\xD1\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x96"],

        ["\xF3\xB2\xB0\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xBD"],
        ["\xD1\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x97"],

        ["\xF3\xB2\xB0\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xC6"],
        ["\xD1\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x98"],

        ["\xF3\xB2\xB0\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xC4"],
        ["\xD1\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x99"],

        ["\xF3\xB2\xB0\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xCB"],
        ["\xD1\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x9A"],

        ["\xF3\xB2\xB0\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xDC"],
        ["\xD1\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x9B"],

        ["\xF3\xB2\xB0\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xD6"],
        ["\xD1\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x9C"],

        ["\xF3\xB2\xB0\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xD9"],
        ["\xD1\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x9D"],

        ["\xF3\xB2\xB0\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xDD"],
        ["\xD1\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x9E"],

        ["\xF3\xB2\xB0\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xDB"],
        ["\xD1\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\x9F"],

        ["\xF3\xB2\xB0\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xD1"],
        ["\xD1\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xA0"],

        ["\xF3\xB2\xB0\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xD3"],
        ["\xD1\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xA1"],

        ["\xF3\xB2\xB0\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xE4"],
        ["\xD1\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xA2"],

        ["\xF3\xB2\xB0\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xEE"],
        ["\xD1\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xA3"],

        ["\xF3\xB2\xB0\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xEF"],
        ["\xD1\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xA4"],

        ["\xF3\xB2\xB0\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xE6"],
        ["\xD1\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xA5"],

        ["\xF3\xB2\xB0\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xF9"],
        ["\xD1\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xA6"],

        ["\xF3\xB2\xB0\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xF0"],
        ["\xD1\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xA7"],

        ["\xF3\xB2\xB0\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xF7"],
        ["\xD1\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xA8"],

        ["\xF3\xB2\xB0\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xA4"],
        ["\xD2\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xA9"],

        ["\xF3\xB2\xB0\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xA6"],
        ["\xD2\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xAA"],

        ["\xF3\xB2\xB0\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xA3"],
        ["\xD2\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xAB"],

        ["\xF3\xB2\xB0\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xFE"],
        ["\xD1\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xAC"],

        ["\xF3\xB2\xB0\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xF4"],
        ["\xD1\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xAD"],

        ["\xF3\xB2\xB0\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xB4"],
        ["\xD2\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xAE"],

        ["\xF3\xB2\xB0\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xA9"],
        ["\xD2\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xAF"],

        ["\xF3\xB2\xB0\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xAF"],
        ["\xD2\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xB0"],

        ["\xF3\xB2\xB0\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xB7"],
        ["\xD2\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xB1"],

        ["\xF3\xB2\xB0\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xAB"],
        ["\xD2\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xB2"],

        ["\xF3\xB2\xB0\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xB5"],
        ["\xD2\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xB3"],

        ["\xF3\xB2\xB0\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xB3"],
        ["\xD2\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xB4"],

        ["\xF3\xB2\xB0\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xB2"],
        ["\xD2\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xB5"],

        ["\xF3\xB2\xB0\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xBB"],
        ["\xD2\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xB6"],

        ["\xF3\xB2\xB0\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xC3"],
        ["\xD2\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xB7"],

        ["\xF3\xB2\xB0\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xD3"],
        ["\xD2\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xB8"],

        ["\xF3\xB2\xB0\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xDF"],
        ["\xD2\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xB9"],

        ["\xF3\xB2\xB0\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xDA"],
        ["\xD2\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xBA"],

        ["\xF3\xB2\xB0\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xE7"],
        ["\xD2\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xBB"],

        ["\xF3\xB2\xB0\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xF2"],
        ["\xD2\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xBC"],

        ["\xF3\xB2\xB0\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xF3"],
        ["\xD2\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xBD"],

        ["\xF3\xB2\xB0\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xF4"],
        ["\xD2\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xBE"],

        ["\xF3\xB2\xB0\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xFC"],
        ["\xD2\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB0\xBF"],

        ["\xF3\xB2\xB1\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xB9"],
        ["\xD3\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x80"],

        ["\xF3\xB2\xB1\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xC0"],
        ["\xD3\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x81"],

        ["\xF3\xB2\xB1\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xC1"],
        ["\xD3\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x82"],

        ["\xF3\xB2\xB1\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xC4"],
        ["\xD3\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x83"],

        ["\xF3\xB2\xB1\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xD4"],
        ["\xD3\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x84"],

        ["\xF3\xB2\xB1\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xD5"],
        ["\xD3\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x85"],

        ["\xF3\xB2\xB1\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xD7"],
        ["\xD3\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x86"],

        ["\xF3\xB2\xB1\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xD9"],
        ["\xD3\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x87"],

        ["\xF3\xB2\xB1\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xDB"],
        ["\xD3\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x88"],

        ["\xF3\xB2\xB1\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xDC"],
        ["\xD3\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x89"],

        ["\xF3\xB2\xB1\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xDE"],
        ["\xD3\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x8A"],

        ["\xF3\xB2\xB1\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xA1"],
        ["\xD4\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x8B"],

        ["\xF3\xB2\xB1\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xA4"],
        ["\xD4\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x8C"],

        ["\xF3\xB2\xB1\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xB3"],
        ["\xD4\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x8D"],

        ["\xF3\xB2\xB1\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xB4"],
        ["\xD4\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x8E"],

        ["\xF3\xB2\xB1\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xB7"],
        ["\xD4\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x8F"],

        ["\xF3\xB2\xB1\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xB8"],
        ["\xD4\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x90"],

        ["\xF3\xB2\xB1\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xC3"],
        ["\xD4\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x91"],

        ["\xF3\xB2\xB1\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xD7"],
        ["\xD4\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x92"],

        ["\xF3\xB2\xB1\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xDC"],
        ["\xD4\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x93"],

        ["\xF3\xB2\xB1\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xDE"],
        ["\xD4\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x94"],

        ["\xF3\xB2\xB1\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xF0"],
        ["\xD4\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x95"],

        ["\xF3\xB2\xB1\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xEF"],
        ["\xD4\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x96"],

        ["\xF3\xB2\xB1\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xF3"],
        ["\xD4\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x97"],

        ["\xF3\xB2\xB1\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xFB"],
        ["\xD4\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x98"],

        ["\xF3\xB2\xB1\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xA8"],
        ["\xD5\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x99"],

        ["\xF3\xB2\xB1\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xAF"],
        ["\xD5\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x9A"],

        ["\xF3\xB2\xB1\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xC9"],
        ["\xD3\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x9B"],

        ["\xF3\xB2\xB1\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xD4"],
        ["\xD5\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x9C"],

        ["\xF3\xB2\xB1\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xDA"],
        ["\xD5\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x9D"],

        ["\xF3\xB2\xB1\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xDC"],
        ["\xD5\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x9E"],

        ["\xF3\xB2\xB1\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xEB"],
        ["\xD5\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB1\x9F"],

        ["\xF3\xB2\xB4\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x22"],
        ["\x74\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB4\xAC"],

        ["\xF3\xB2\xB4\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x23"],
        ["\x74\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB4\xB1"],

        ["\xF3\xB2\xB5\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x24"],
        ["\x74\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB5\x8C"],

        ["\xF3\xB2\xB5\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x25"],
        ["\x74\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB5\xA0"],

        ["\xF3\xB2\xB5\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x26"],
        ["\x74\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB5\xA1"],

        ["\xF3\xB2\xB6\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x27"],
        ["\x74\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\x80"],

        ["\xF3\xB2\xB6\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x28"],
        ["\x74\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\x81"],

        ["\xF3\xB2\xB6\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x29"],
        ["\x74\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\x82"],

        ["\xF3\xB2\xB6\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x2A"],
        ["\x74\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\x83"],

        ["\xF3\xB2\xB6\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x2B"],
        ["\x74\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\x84"],

        ["\xF3\xB2\xB6\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x2C"],
        ["\x74\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\x85"],

        ["\xF3\xB2\xB6\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x2D"],
        ["\x74\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\x86"],

        ["\xF3\xB2\xB6\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x2E"],
        ["\x74\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\x8F"],

        ["\xF3\xB2\xB6\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x2F"],
        ["\x74\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\x90"],

        ["\xF3\xB2\xB6\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x30"],
        ["\x74\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\x91"],

        ["\xF3\xB2\xB6\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x31"],
        ["\x74\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\x92"],

        ["\xF3\xB2\xB6\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x32"],
        ["\x74\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\x93"],

        ["\xF3\xB2\xB6\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x33"],
        ["\x74\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\x94"],

        ["\xF3\xB2\xB6\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x34"],
        ["\x74\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\x95"],

        ["\xF3\xB2\xB6\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x35"],
        ["\x74\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\x96"],

        ["\xF3\xB2\xB6\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x36"],
        ["\x74\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\x99"],

        ["\xF3\xB2\xB6\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xE9"],
        ["\xA5\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\x9E"],

        ["\xF3\xB2\xB6\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xEA"],
        ["\xA5\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\x9F"],

        ["\xF3\xB2\xB6\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xEB"],
        ["\xA5\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\xA0"],

        ["\xF3\xB2\xB6\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x37"],
        ["\x74\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\xA2"],

        ["\xF3\xB2\xB6\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x38"],
        ["\x74\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\xA3"],

        ["\xF3\xB2\xB6\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x39"],
        ["\x74\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\xA4"],

        ["\xF3\xB2\xB6\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x3A"],
        ["\x74\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\xA5"],

        ["\xF3\xB2\xB6\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x3B"],
        ["\x74\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\xA6"],

        ["\xF3\xB2\xB6\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x3C"],
        ["\x74\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\xA7"],

        ["\xF3\xB2\xB6\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x3D"],
        ["\x74\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\xA8"],

        ["\xF3\xB2\xB6\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xE0"],
        ["\xA5\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\xB8"],

        ["\xF3\xB2\xB6\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xD7"],
        ["\xA5\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\xB9"],

        ["\xF3\xB2\xB6\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x3E"],
        ["\x74\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\xBA"],

        ["\xF3\xB2\xB6\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x3F"],
        ["\x74\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\xBB"],

        ["\xF3\xB2\xB6\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xE4"],
        ["\xA5\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\xBC"],

        ["\xF3\xB2\xB6\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xE3"],
        ["\xA5\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\xBD"],

        ["\xF3\xB2\xB6\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA3\xDE"],
        ["\xA3\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB6\xBE"],

        ["\xF3\xB2\xB7\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x40"],
        ["\x74\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\x87"],

        ["\xF3\xB2\xB7\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x41"],
        ["\x74\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\x88"],

        ["\xF3\xB2\xB7\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x42"],
        ["\x74\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\x89"],

        ["\xF3\xB2\xB7\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x43"],
        ["\x74\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\x8A"],

        ["\xF3\xB2\xB7\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA3\xEC"],
        ["\xA3\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\x8C"],

        ["\xF3\xB2\xB7\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA3\xEE"],
        ["\xA3\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\x8D"],

        ["\xF3\xB2\xB7\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA3\xEB"],
        ["\xA3\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\x8E"],

        ["\xF3\xB2\xB7\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA3\xED"],
        ["\xA3\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\x8F"],

        ["\xF3\xB2\xB7\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA3\xE1"],
        ["\xA3\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\x90"],

        ["\xF3\xB2\xB7\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA3\xE4"],
        ["\xA3\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\x91"],

        ["\xF3\xB2\xB7\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA3\xE2"],
        ["\xA3\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\x92"],

        ["\xF3\xB2\xB7\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA3\xE3"],
        ["\xA3\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\x93"],

        ["\xF3\xB2\xB7\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA3\xDD"],
        ["\xA3\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\x94"],

        ["\xF3\xB2\xB7\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x44"],
        ["\x74\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\x95"],

        ["\xF3\xB2\xB7\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x45"],
        ["\x74\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\x96"],

        ["\xF3\xB2\xB7\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x46"],
        ["\x74\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\x97"],

        ["\xF3\xB2\xB7\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x47"],
        ["\x74\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\x98"],

        ["\xF3\xB2\xB7\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x48"],
        ["\x74\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\x99"],

        ["\xF3\xB2\xB7\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x49"],
        ["\x74\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\x9A"],

        ["\xF3\xB2\xB7\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x4A"],
        ["\x74\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\xA5"],

        ["\xF3\xB2\xB7\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x4B"],
        ["\x74\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\xA6"],

        ["\xF3\xB2\xB7\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x4C"],
        ["\x74\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\xA7"],

        ["\xF3\xB2\xB7\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x4D"],
        ["\x74\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\xA8"],

        ["\xF3\xB2\xB7\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x4E"],
        ["\x74\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\xA9"],

        ["\xF3\xB2\xB7\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x4F"],
        ["\x74\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\xAA"],

        ["\xF3\xB2\xB7\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x50"],
        ["\x74\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB7\xAB"],

        ["\xF3\xB2\xB8\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xD6"],
        ["\xA5\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB8\x86"],

        ["\xF3\xB2\xB8\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x51"],
        ["\x74\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB8\x87"],

        ["\xF3\xB2\xB8\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x52"],
        ["\x74\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB8\x88"],

        ["\xF3\xB2\xB8\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA4\xF7"],
        ["\xA4\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB8\x89"],

        ["\xF3\xB2\xB8\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x53"],
        ["\x74\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB8\x8A"],

        ["\xF3\xB2\xB8\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x54"],
        ["\x74\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB8\x8B"],

        ["\xF3\xB2\xB8\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x55"],
        ["\x74\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB8\xA6"],

        ["\xF3\xB2\xB8\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x56"],
        ["\x74\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB8\xA7"],

        ["\xF3\xB2\xB8\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x57"],
        ["\x74\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB8\xA8"],

        ["\xF3\xB2\xB8\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x58"],
        ["\x74\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB8\xA9"],

        ["\xF3\xB2\xB9\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x59"],
        ["\x74\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB9\xBD"],

        ["\xF3\xB2\xB9\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x5A"],
        ["\x74\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB9\xBE"],

        ["\xF3\xB2\xB9\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x5B"],
        ["\x74\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xB9\xBF"],

        ["\xF3\xB2\xBA\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x5C"],
        ["\x74\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBA\x80"],

        ["\xF3\xB2\xBA\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x5D"],
        ["\x74\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBA\x81"],

        ["\xF3\xB2\xBA\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x5E"],
        ["\x74\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBA\x82"],

        ["\xF3\xB2\xBA\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x5F"],
        ["\x74\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBA\x83"],

        ["\xF3\xB2\xBA\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x60"],
        ["\x74\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBA\x84"],

        ["\xF3\xB2\xBB\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x61"],
        ["\x74\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBB\x9E"],

        ["\xF3\xB2\xBB\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x62"],
        ["\x74\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBB\x9F"],

        ["\xF3\xB2\xBB\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x63"],
        ["\x74\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBB\xA0"],

        ["\xF3\xB2\xBB\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x64"],
        ["\x74\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBB\xA1"],

        ["\xF3\xB2\xBB\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x65"],
        ["\x74\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBB\xA2"],

        ["\xF3\xB2\xBB\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x66"],
        ["\x74\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBB\xA3"],

        ["\xF3\xB2\xBB\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x67"],
        ["\x74\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBB\xA4"],

        ["\xF3\xB2\xBB\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x68"],
        ["\x74\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBB\xA5"],

        ["\xF3\xB2\xBB\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x69"],
        ["\x74\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBB\xBE"],

        ["\xF3\xB2\xBB\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xF5"],
        ["\xA5\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBB\xBF"],

        ["\xF3\xB2\xBC\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x6A"],
        ["\x74\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\x80"],

        ["\xF3\xB2\xBC\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xF3"],
        ["\xA5\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\x81"],

        ["\xF3\xB2\xBC\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x6B"],
        ["\x74\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\x82"],

        ["\xF3\xB2\xBC\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xF4"],
        ["\xA5\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\x83"],

        ["\xF3\xB2\xBC\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x6C"],
        ["\x74\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\x84"],

        ["\xF3\xB2\xBC\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xF2"],
        ["\xA5\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\x85"],

        ["\xF3\xB2\xBC\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x6D"],
        ["\x74\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\x9E"],

        ["\xF3\xB2\xBC\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x6E"],
        ["\x74\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\x9F"],

        ["\xF3\xB2\xBC\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x6F"],
        ["\x74\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xA0"],

        ["\xF3\xB2\xBC\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x70"],
        ["\x74\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xA1"],

        ["\xF3\xB2\xBC\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x71"],
        ["\x74\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xA2"],

        ["\xF3\xB2\xBC\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x72"],
        ["\x74\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xA3"],

        ["\xF3\xB2\xBC\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x73"],
        ["\x74\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xA4"],

        ["\xF3\xB2\xBC\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x74"],
        ["\x74\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xA5"],

        ["\xF3\xB2\xBC\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x75"],
        ["\x74\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xA6"],

        ["\xF3\xB2\xBC\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x76"],
        ["\x74\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xA7"],

        ["\xF3\xB2\xBC\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x77"],
        ["\x74\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xA8"],

        ["\xF3\xB2\xBC\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x78"],
        ["\x74\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xA9"],

        ["\xF3\xB2\xBC\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x79"],
        ["\x74\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xAA"],

        ["\xF3\xB2\xBC\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x7A"],
        ["\x74\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xAB"],

        ["\xF3\xB2\xBC\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x7B"],
        ["\x74\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xAC"],

        ["\xF3\xB2\xBC\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x7C"],
        ["\x74\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xAD"],

        ["\xF3\xB2\xBC\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x7D"],
        ["\x74\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xAE"],

        ["\xF3\xB2\xBC\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x74\x7E"],
        ["\x74\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xAF"],

        ["\xF3\xB2\xBC\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x21"],
        ["\x75\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xB0"],

        ["\xF3\xB2\xBC\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x22"],
        ["\x75\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xB1"],

        ["\xF3\xB2\xBC\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x23"],
        ["\x75\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xB2"],

        ["\xF3\xB2\xBC\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x24"],
        ["\x75\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xB3"],

        ["\xF3\xB2\xBC\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x25"],
        ["\x75\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xB4"],

        ["\xF3\xB2\xBC\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x26"],
        ["\x75\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xB5"],

        ["\xF3\xB2\xBC\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x27"],
        ["\x75\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xB6"],

        ["\xF3\xB2\xBC\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x28"],
        ["\x75\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xB7"],

        ["\xF3\xB2\xBC\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x29"],
        ["\x75\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xB8"],

        ["\xF3\xB2\xBC\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x2A"],
        ["\x75\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xB9"],

        ["\xF3\xB2\xBC\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x2B"],
        ["\x75\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xBA"],

        ["\xF3\xB2\xBC\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x2C"],
        ["\x75\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xBB"],

        ["\xF3\xB2\xBC\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x2D"],
        ["\x75\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xBC"],

        ["\xF3\xB2\xBC\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x2E"],
        ["\x75\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xBD"],

        ["\xF3\xB2\xBC\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x2F"],
        ["\x75\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xBE"],

        ["\xF3\xB2\xBC\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x30"],
        ["\x75\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBC\xBF"],

        ["\xF3\xB2\xBD\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x31"],
        ["\x75\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBD\x80"],

        ["\xF3\xB2\xBD\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x32"],
        ["\x75\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBD\x81"],

        ["\xF3\xB2\xBD\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x33"],
        ["\x75\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBD\x82"],

        ["\xF3\xB2\xBD\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x34"],
        ["\x75\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBD\x83"],

        ["\xF3\xB2\xBD\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x35"],
        ["\x75\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBD\xA5"],

        ["\xF3\xB2\xBD\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x36"],
        ["\x75\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBD\xA6"],

        ["\xF3\xB2\xBD\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x37"],
        ["\x75\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBD\xA7"],

        ["\xF3\xB2\xBD\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x38"],
        ["\x75\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBD\xA8"],

        ["\xF3\xB2\xBD\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x39"],
        ["\x75\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBD\xA9"],

        ["\xF3\xB2\xBD\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x3A"],
        ["\x75\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBD\xAA"],

        ["\xF3\xB2\xBD\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x3B"],
        ["\x75\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBD\xAB"],

        ["\xF3\xB2\xBD\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x3C"],
        ["\x75\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBD\xAC"],

        ["\xF3\xB2\xBD\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x3D"],
        ["\x75\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBD\xAD"],

        ["\xF3\xB2\xBD\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x3E"],
        ["\x75\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBD\xAE"],

        ["\xF3\xB2\xBD\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x3F"],
        ["\x75\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBD\xAF"],

        ["\xF3\xB2\xBD\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x40"],
        ["\x75\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBD\xB0"],

        ["\xF3\xB2\xBD\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x41"],
        ["\x75\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBD\xB1"],

        ["\xF3\xB2\xBD\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x42"],
        ["\x75\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBD\xB2"],

        ["\xF3\xB2\xBD\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x43"],
        ["\x75\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBD\xB3"],

        ["\xF3\xB2\xBE\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x44"],
        ["\x75\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBE\x95"],

        ["\xF3\xB2\xBE\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x45"],
        ["\x75\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBE\x96"],

        ["\xF3\xB2\xBE\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x46"],
        ["\x75\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBE\x97"],

        ["\xF3\xB2\xBE\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x47"],
        ["\x75\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBE\x98"],

        ["\xF3\xB2\xBE\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x48"],
        ["\x75\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBE\x99"],

        ["\xF3\xB2\xBE\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x49"],
        ["\x75\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBE\x9A"],

        ["\xF3\xB2\xBE\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA2\xFA"],
        ["\xA2\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBE\x9B"],

        ["\xF3\xB2\xBE\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA2\xFB"],
        ["\xA2\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBE\x9C"],

        ["\xF3\xB2\xBE\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x4A"],
        ["\x75\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBE\x9D"],

        ["\xF3\xB2\xBE\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x4B"],
        ["\x75\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBE\x9E"],

        ["\xF3\xB2\xBE\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x4C"],
        ["\x75\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBE\x9F"],

        ["\xF3\xB2\xBE\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x4D"],
        ["\x75\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBE\xA0"],

        ["\xF3\xB2\xBE\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x4E"],
        ["\x75\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBE\xA1"],

        ["\xF3\xB2\xBF\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x4F"],
        ["\x75\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x82"],

        ["\xF3\xB2\xBF\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x50"],
        ["\x75\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x83"],

        ["\xF3\xB2\xBF\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x51"],
        ["\x75\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x84"],

        ["\xF3\xB2\xBF\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x52"],
        ["\x75\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x85"],

        ["\xF3\xB2\xBF\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x53"],
        ["\x75\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x86"],

        ["\xF3\xB2\xBF\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x54"],
        ["\x75\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x87"],

        ["\xF3\xB2\xBF\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x55"],
        ["\x75\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x88"],

        ["\xF3\xB2\xBF\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x56"],
        ["\x75\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x89"],

        ["\xF3\xB2\xBF\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x57"],
        ["\x75\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x8A"],

        ["\xF3\xB2\xBF\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x58"],
        ["\x75\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x8B"],

        ["\xF3\xB2\xBF\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x59"],
        ["\x75\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x8C"],

        ["\xF3\xB2\xBF\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x5A"],
        ["\x75\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x8D"],

        ["\xF3\xB2\xBF\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x5B"],
        ["\x75\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x8E"],

        ["\xF3\xB2\xBF\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x5C"],
        ["\x75\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x8F"],

        ["\xF3\xB2\xBF\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x5D"],
        ["\x75\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x90"],

        ["\xF3\xB2\xBF\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x5E"],
        ["\x75\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x91"],

        ["\xF3\xB2\xBF\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x5F"],
        ["\x75\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x92"],

        ["\xF3\xB2\xBF\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x60"],
        ["\x75\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x93"],

        ["\xF3\xB2\xBF\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x61"],
        ["\x75\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x94"],

        ["\xF3\xB2\xBF\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x62"],
        ["\x75\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x95"],

        ["\xF3\xB2\xBF\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x63"],
        ["\x75\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x96"],

        ["\xF3\xB2\xBF\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x64"],
        ["\x75\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x97"],

        ["\xF3\xB2\xBF\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x65"],
        ["\x75\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x98"],

        ["\xF3\xB2\xBF\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x66"],
        ["\x75\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x99"],

        ["\xF3\xB2\xBF\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x67"],
        ["\x75\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x9A"],

        ["\xF3\xB2\xBF\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x68"],
        ["\x75\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x9B"],

        ["\xF3\xB2\xBF\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x69"],
        ["\x75\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x9C"],

        ["\xF3\xB2\xBF\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x6A"],
        ["\x75\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x9D"],

        ["\xF3\xB2\xBF\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x6B"],
        ["\x75\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x9E"],

        ["\xF3\xB2\xBF\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x6C"],
        ["\x75\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\x9F"],

        ["\xF3\xB2\xBF\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x6D"],
        ["\x75\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\xA8"],

        ["\xF3\xB2\xBF\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x6E"],
        ["\x75\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\xA9"],

        ["\xF3\xB2\xBF\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x6F"],
        ["\x75\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\xAA"],

        ["\xF3\xB2\xBF\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x70"],
        ["\x75\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\xAB"],

        ["\xF3\xB2\xBF\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x71"],
        ["\x75\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\xAC"],

        ["\xF3\xB2\xBF\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x72"],
        ["\x75\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\xAD"],

        ["\xF3\xB2\xBF\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x73"],
        ["\x75\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\xAE"],

        ["\xF3\xB2\xBF\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x74"],
        ["\x75\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\xAF"],

        ["\xF3\xB2\xBF\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x75"],
        ["\x75\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\xB0"],

        ["\xF3\xB2\xBF\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x76"],
        ["\x75\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\xB1"],

        ["\xF3\xB2\xBF\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x77"],
        ["\x75\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\xB2"],

        ["\xF3\xB2\xBF\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x78"],
        ["\x75\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\xB3"],

        ["\xF3\xB2\xBF\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x79"],
        ["\x75\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\xB4"],

        ["\xF3\xB2\xBF\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x7A"],
        ["\x75\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\xB5"],

        ["\xF3\xB2\xBF\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x7B"],
        ["\x75\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\xB6"],

        ["\xF3\xB2\xBF\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x7C"],
        ["\x75\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\xB7"],

        ["\xF3\xB2\xBF\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x7D"],
        ["\x75\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\xB8"],

        ["\xF3\xB2\xBF\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x75\x7E"],
        ["\x75\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\xB9"],

        ["\xF3\xB2\xBF\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x21"],
        ["\x76\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\xBA"],

        ["\xF3\xB2\xBF\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x22"],
        ["\x76\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\xBB"],

        ["\xF3\xB2\xBF\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x23"],
        ["\x76\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\xBC"],

        ["\xF3\xB2\xBF\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x24"],
        ["\x76\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB2\xBF\xBD"],

        ["\xF3\xB3\x80\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x25"],
        ["\x76\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x80"],

        ["\xF3\xB3\x80\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x26"],
        ["\x76\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x81"],

        ["\xF3\xB3\x80\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x27"],
        ["\x76\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x82"],

        ["\xF3\xB3\x80\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x28"],
        ["\x76\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x83"],

        ["\xF3\xB3\x80\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x29"],
        ["\x76\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x84"],

        ["\xF3\xB3\x80\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x2A"],
        ["\x76\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x85"],

        ["\xF3\xB3\x80\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x2B"],
        ["\x76\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x86"],

        ["\xF3\xB3\x80\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x2C"],
        ["\x76\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x87"],

        ["\xF3\xB3\x80\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x2D"],
        ["\x76\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x88"],

        ["\xF3\xB3\x80\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x2E"],
        ["\x76\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x89"],

        ["\xF3\xB3\x80\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x2F"],
        ["\x76\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x8A"],

        ["\xF3\xB3\x80\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x30"],
        ["\x76\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x8B"],

        ["\xF3\xB3\x80\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x31"],
        ["\x76\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x8C"],

        ["\xF3\xB3\x80\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x32"],
        ["\x76\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x8D"],

        ["\xF3\xB3\x80\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x33"],
        ["\x76\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x8E"],

        ["\xF3\xB3\x80\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x34"],
        ["\x76\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x8F"],

        ["\xF3\xB3\x80\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x35"],
        ["\x76\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x90"],

        ["\xF3\xB3\x80\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x36"],
        ["\x76\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x91"],

        ["\xF3\xB3\x80\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x37"],
        ["\x76\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x92"],

        ["\xF3\xB3\x80\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x38"],
        ["\x76\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x93"],

        ["\xF3\xB3\x80\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x39"],
        ["\x76\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x94"],

        ["\xF3\xB3\x80\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x3A"],
        ["\x76\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x95"],

        ["\xF3\xB3\x80\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x3B"],
        ["\x76\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x96"],

        ["\xF3\xB3\x80\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xA1"],
        ["\xA5\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x97"],

        ["\xF3\xB3\x80\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xA2"],
        ["\xA5\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x98"],

        ["\xF3\xB3\x80\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x3C"],
        ["\x76\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x99"],

        ["\xF3\xB3\x80\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x3D"],
        ["\x76\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x9A"],

        ["\xF3\xB3\x80\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x3E"],
        ["\x76\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x9B"],

        ["\xF3\xB3\x80\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x3F"],
        ["\x76\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x9C"],

        ["\xF3\xB3\x80\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xA4"],
        ["\xA5\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x9D"],

        ["\xF3\xB3\x80\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x40"],
        ["\x76\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x9E"],

        ["\xF3\xB3\x80\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xA5"],
        ["\xA5\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\x9F"],

        ["\xF3\xB3\x80\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xA6"],
        ["\xA5\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xA0"],

        ["\xF3\xB3\x80\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x41"],
        ["\x76\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xA1"],

        ["\xF3\xB3\x80\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x42"],
        ["\x76\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xA2"],

        ["\xF3\xB3\x80\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xA7"],
        ["\xA5\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xA3"],

        ["\xF3\xB3\x80\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xA8"],
        ["\xA5\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xA4"],

        ["\xF3\xB3\x80\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xBD"],
        ["\xA5\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xA5"],

        ["\xF3\xB3\x80\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x43"],
        ["\x76\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xA6"],

        ["\xF3\xB3\x80\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xA9"],
        ["\xA5\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xA7"],

        ["\xF3\xB3\x80\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x44"],
        ["\x76\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xA8"],

        ["\xF3\xB3\x80\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xAA"],
        ["\xA5\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xA9"],

        ["\xF3\xB3\x80\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xAB"],
        ["\xA5\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xAA"],

        ["\xF3\xB3\x80\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x45"],
        ["\x76\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xAB"],

        ["\xF3\xB3\x80\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xAC"],
        ["\xA5\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xAC"],

        ["\xF3\xB3\x80\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x46"],
        ["\x76\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xAD"],

        ["\xF3\xB3\x80\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x47"],
        ["\x76\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xAE"],

        ["\xF3\xB3\x80\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xAE"],
        ["\xA5\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xAF"],

        ["\xF3\xB3\x80\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xAF"],
        ["\xA5\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xB0"],

        ["\xF3\xB3\x80\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xB0"],
        ["\xA5\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xB1"],

        ["\xF3\xB3\x80\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xB1"],
        ["\xA5\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xB2"],

        ["\xF3\xB3\x80\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x48"],
        ["\x76\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xB3"],

        ["\xF3\xB3\x80\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x49"],
        ["\x76\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xB4"],

        ["\xF3\xB3\x80\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xB3"],
        ["\xA5\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xB5"],

        ["\xF3\xB3\x80\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xB2"],
        ["\xA5\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xB6"],

        ["\xF3\xB3\x80\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xB4"],
        ["\xA5\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xB7"],

        ["\xF3\xB3\x80\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x4A"],
        ["\x76\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xB8"],

        ["\xF3\xB3\x80\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xB5"],
        ["\xA5\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xB9"],

        ["\xF3\xB3\x80\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x4B"],
        ["\x76\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xBA"],

        ["\xF3\xB3\x80\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x4C"],
        ["\x76\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xBB"],

        ["\xF3\xB3\x80\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xB6"],
        ["\xA5\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xBC"],

        ["\xF3\xB3\x80\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xB8"],
        ["\xA5\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xBD"],

        ["\xF3\xB3\x80\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xB7"],
        ["\xA5\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xBE"],

        ["\xF3\xB3\x80\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xB9"],
        ["\xA5\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x80\xBF"],

        ["\xF3\xB3\x81\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xBA"],
        ["\xA5\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x80"],

        ["\xF3\xB3\x81\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x4D"],
        ["\x76\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x81"],

        ["\xF3\xB3\x81\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xBB"],
        ["\xA5\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x82"],

        ["\xF3\xB3\x81\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xBC"],
        ["\xA5\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x83"],

        ["\xF3\xB3\x81\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x4E"],
        ["\x76\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x84"],

        ["\xF3\xB3\x81\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x4F"],
        ["\x76\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x85"],

        ["\xF3\xB3\x81\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xBE"],
        ["\xA5\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x86"],

        ["\xF3\xB3\x81\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x50"],
        ["\x76\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x87"],

        ["\xF3\xB3\x81\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xBF"],
        ["\xA5\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x88"],

        ["\xF3\xB3\x81\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xC0"],
        ["\xA5\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x89"],

        ["\xF3\xB3\x81\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x51"],
        ["\x76\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x8A"],

        ["\xF3\xB3\x81\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xC1"],
        ["\xA5\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x8B"],

        ["\xF3\xB3\x81\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x52"],
        ["\x76\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x8C"],

        ["\xF3\xB3\x81\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xC5"],
        ["\xA5\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x8D"],

        ["\xF3\xB3\x81\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xC4"],
        ["\xA5\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x8E"],

        ["\xF3\xB3\x81\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xC6"],
        ["\xA5\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x8F"],

        ["\xF3\xB3\x81\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xC7"],
        ["\xA5\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x90"],

        ["\xF3\xB3\x81\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x53"],
        ["\x76\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x91"],

        ["\xF3\xB3\x81\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x54"],
        ["\x76\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x92"],

        ["\xF3\xB3\x81\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xC8"],
        ["\xA5\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x93"],

        ["\xF3\xB3\x81\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x55"],
        ["\x76\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x94"],

        ["\xF3\xB3\x81\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x56"],
        ["\x76\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x95"],

        ["\xF3\xB3\x81\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x57"],
        ["\x76\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x96"],

        ["\xF3\xB3\x81\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x58"],
        ["\x76\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x97"],

        ["\xF3\xB3\x81\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x59"],
        ["\x76\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x98"],

        ["\xF3\xB3\x81\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x5A"],
        ["\x76\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x99"],

        ["\xF3\xB3\x81\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x5B"],
        ["\x76\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x9A"],

        ["\xF3\xB3\x81\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x5C"],
        ["\x76\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x9B"],

        ["\xF3\xB3\x81\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x5D"],
        ["\x76\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x9C"],

        ["\xF3\xB3\x81\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x5E"],
        ["\x76\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x9D"],

        ["\xF3\xB3\x81\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x5F"],
        ["\x76\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x9E"],

        ["\xF3\xB3\x81\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x60"],
        ["\x76\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\x9F"],

        ["\xF3\xB3\x81\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x61"],
        ["\x76\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xA0"],

        ["\xF3\xB3\x81\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x62"],
        ["\x76\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xA1"],

        ["\xF3\xB3\x81\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x63"],
        ["\x76\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xA2"],

        ["\xF3\xB3\x81\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x64"],
        ["\x76\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xA3"],

        ["\xF3\xB3\x81\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x65"],
        ["\x76\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xA4"],

        ["\xF3\xB3\x81\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x66"],
        ["\x76\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xA5"],

        ["\xF3\xB3\x81\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x67"],
        ["\x76\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xA6"],

        ["\xF3\xB3\x81\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x68"],
        ["\x76\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xA7"],

        ["\xF3\xB3\x81\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x69"],
        ["\x76\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xA8"],

        ["\xF3\xB3\x81\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x6A"],
        ["\x76\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xA9"],

        ["\xF3\xB3\x81\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x6B"],
        ["\x76\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xAA"],

        ["\xF3\xB3\x81\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x6C"],
        ["\x76\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xAB"],

        ["\xF3\xB3\x81\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x6D"],
        ["\x76\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xAC"],

        ["\xF3\xB3\x81\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x6E"],
        ["\x76\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xAD"],

        ["\xF3\xB3\x81\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x6F"],
        ["\x76\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xAE"],

        ["\xF3\xB3\x81\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x70"],
        ["\x76\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xAF"],

        ["\xF3\xB3\x81\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x71"],
        ["\x76\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xB0"],

        ["\xF3\xB3\x81\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x72"],
        ["\x76\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xB1"],

        ["\xF3\xB3\x81\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x73"],
        ["\x76\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xB2"],

        ["\xF3\xB3\x81\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x74"],
        ["\x76\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xB3"],

        ["\xF3\xB3\x81\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x75"],
        ["\x76\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xB4"],

        ["\xF3\xB3\x81\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x76"],
        ["\x76\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xB5"],

        ["\xF3\xB3\x81\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x77"],
        ["\x76\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xB6"],

        ["\xF3\xB3\x81\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x78"],
        ["\x76\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xB7"],

        ["\xF3\xB3\x81\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x79"],
        ["\x76\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xB8"],

        ["\xF3\xB3\x81\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x7A"],
        ["\x76\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xB9"],

        ["\xF3\xB3\x81\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x7B"],
        ["\x76\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xBA"],

        ["\xF3\xB3\x81\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x7C"],
        ["\x76\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xBB"],

        ["\xF3\xB3\x81\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x7D"],
        ["\x76\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xBC"],

        ["\xF3\xB3\x81\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x76\x7E"],
        ["\x76\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xBD"],

        ["\xF3\xB3\x81\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x21"],
        ["\x77\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xBE"],

        ["\xF3\xB3\x81\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x22"],
        ["\x77\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x81\xBF"],

        ["\xF3\xB3\x82\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x23"],
        ["\x77\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x80"],

        ["\xF3\xB3\x82\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x24"],
        ["\x77\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x81"],

        ["\xF3\xB3\x82\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x25"],
        ["\x77\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x82"],

        ["\xF3\xB3\x82\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x26"],
        ["\x77\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x83"],

        ["\xF3\xB3\x82\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x27"],
        ["\x77\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x84"],

        ["\xF3\xB3\x82\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x28"],
        ["\x77\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x85"],

        ["\xF3\xB3\x82\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x29"],
        ["\x77\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x86"],

        ["\xF3\xB3\x82\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x2A"],
        ["\x77\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x87"],

        ["\xF3\xB3\x82\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x2B"],
        ["\x77\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x88"],

        ["\xF3\xB3\x82\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x2C"],
        ["\x77\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x89"],

        ["\xF3\xB3\x82\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x2D"],
        ["\x77\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x8A"],

        ["\xF3\xB3\x82\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x2E"],
        ["\x77\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x8B"],

        ["\xF3\xB3\x82\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x2F"],
        ["\x77\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x8C"],

        ["\xF3\xB3\x82\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x30"],
        ["\x77\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x8D"],

        ["\xF3\xB3\x82\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x31"],
        ["\x77\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x8E"],

        ["\xF3\xB3\x82\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x32"],
        ["\x77\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x8F"],

        ["\xF3\xB3\x82\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x33"],
        ["\x77\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x90"],

        ["\xF3\xB3\x82\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x34"],
        ["\x77\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x91"],

        ["\xF3\xB3\x82\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x35"],
        ["\x77\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x92"],

        ["\xF3\xB3\x82\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x36"],
        ["\x77\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x93"],

        ["\xF3\xB3\x82\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x37"],
        ["\x77\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x94"],

        ["\xF3\xB3\x82\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x38"],
        ["\x77\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x95"],

        ["\xF3\xB3\x82\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x39"],
        ["\x77\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x96"],

        ["\xF3\xB3\x82\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x3A"],
        ["\x77\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x97"],

        ["\xF3\xB3\x82\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x3B"],
        ["\x77\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x98"],

        ["\xF3\xB3\x82\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x3C"],
        ["\x77\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x99"],

        ["\xF3\xB3\x82\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x3D"],
        ["\x77\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x9A"],

        ["\xF3\xB3\x82\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x3E"],
        ["\x77\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x9B"],

        ["\xF3\xB3\x82\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x3F"],
        ["\x77\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x9C"],

        ["\xF3\xB3\x82\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x40"],
        ["\x77\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x9D"],

        ["\xF3\xB3\x82\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x41"],
        ["\x77\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x9E"],

        ["\xF3\xB3\x82\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x42"],
        ["\x77\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\x9F"],

        ["\xF3\xB3\x82\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x43"],
        ["\x77\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xA0"],

        ["\xF3\xB3\x82\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x44"],
        ["\x77\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xA1"],

        ["\xF3\xB3\x82\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x45"],
        ["\x77\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xA2"],

        ["\xF3\xB3\x82\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x46"],
        ["\x77\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xA3"],

        ["\xF3\xB3\x82\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x47"],
        ["\x77\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xA4"],

        ["\xF3\xB3\x82\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x48"],
        ["\x77\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xA5"],

        ["\xF3\xB3\x82\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x49"],
        ["\x77\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xA6"],

        ["\xF3\xB3\x82\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x4A"],
        ["\x77\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xA7"],

        ["\xF3\xB3\x82\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x4B"],
        ["\x77\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xA8"],

        ["\xF3\xB3\x82\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x4C"],
        ["\x77\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xA9"],

        ["\xF3\xB3\x82\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x4D"],
        ["\x77\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xAA"],

        ["\xF3\xB3\x82\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x4E"],
        ["\x77\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xAB"],

        ["\xF3\xB3\x82\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x4F"],
        ["\x77\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xAC"],

        ["\xF3\xB3\x82\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x50"],
        ["\x77\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xAD"],

        ["\xF3\xB3\x82\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x51"],
        ["\x77\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xAE"],

        ["\xF3\xB3\x82\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x52"],
        ["\x77\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xAF"],

        ["\xF3\xB3\x82\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x53"],
        ["\x77\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xB0"],

        ["\xF3\xB3\x82\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x54"],
        ["\x77\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xB1"],

        ["\xF3\xB3\x82\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x55"],
        ["\x77\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xB2"],

        ["\xF3\xB3\x82\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x56"],
        ["\x77\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xB3"],

        ["\xF3\xB3\x82\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x57"],
        ["\x77\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xB4"],

        ["\xF3\xB3\x82\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x58"],
        ["\x77\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xB5"],

        ["\xF3\xB3\x82\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x59"],
        ["\x77\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xB6"],

        ["\xF3\xB3\x82\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x5A"],
        ["\x77\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xB7"],

        ["\xF3\xB3\x82\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x5B"],
        ["\x77\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xB8"],

        ["\xF3\xB3\x82\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x5C"],
        ["\x77\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xB9"],

        ["\xF3\xB3\x82\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x5D"],
        ["\x77\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xBA"],

        ["\xF3\xB3\x82\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x5E"],
        ["\x77\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xBB"],

        ["\xF3\xB3\x82\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x5F"],
        ["\x77\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xBC"],

        ["\xF3\xB3\x82\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x60"],
        ["\x77\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xBD"],

        ["\xF3\xB3\x82\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x61"],
        ["\x77\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xBE"],

        ["\xF3\xB3\x82\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x62"],
        ["\x77\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x82\xBF"],

        ["\xF3\xB3\x83\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x63"],
        ["\x77\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x80"],

        ["\xF3\xB3\x83\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x64"],
        ["\x77\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x81"],

        ["\xF3\xB3\x83\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x65"],
        ["\x77\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x82"],

        ["\xF3\xB3\x83\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x66"],
        ["\x77\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x83"],

        ["\xF3\xB3\x83\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x67"],
        ["\x77\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x84"],

        ["\xF3\xB3\x83\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xC2"],
        ["\xA5\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x85"],

        ["\xF3\xB3\x83\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA5\xAD"],
        ["\xA5\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x86"],

        ["\xF3\xB3\x83\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x68"],
        ["\x77\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x87"],

        ["\xF3\xB3\x83\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x69"],
        ["\x77\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x88"],

        ["\xF3\xB3\x83\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x6A"],
        ["\x77\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x89"],

        ["\xF3\xB3\x83\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x6B"],
        ["\x77\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x8A"],

        ["\xF3\xB3\x83\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x6C"],
        ["\x77\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x8B"],

        ["\xF3\xB3\x83\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x6D"],
        ["\x77\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x8C"],

        ["\xF3\xB3\x83\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x6E"],
        ["\x77\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x8D"],

        ["\xF3\xB3\x83\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x6F"],
        ["\x77\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x8E"],

        ["\xF3\xB3\x83\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x70"],
        ["\x77\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x8F"],

        ["\xF3\xB3\x83\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x71"],
        ["\x77\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x90"],

        ["\xF3\xB3\x83\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x72"],
        ["\x77\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x91"],

        ["\xF3\xB3\x83\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x73"],
        ["\x77\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x92"],

        ["\xF3\xB3\x83\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x74"],
        ["\x77\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x93"],

        ["\xF3\xB3\x83\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x75"],
        ["\x77\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x94"],

        ["\xF3\xB3\x83\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x76"],
        ["\x77\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x95"],

        ["\xF3\xB3\x83\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x77"],
        ["\x77\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x96"],

        ["\xF3\xB3\x83\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x78"],
        ["\x77\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x97"],

        ["\xF3\xB3\x83\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x79"],
        ["\x77\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x98"],

        ["\xF3\xB3\x83\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x7A"],
        ["\x77\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x99"],

        ["\xF3\xB3\x83\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x7B"],
        ["\x77\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x9A"],

        ["\xF3\xB3\x83\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x7C"],
        ["\x77\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x9B"],

        ["\xF3\xB3\x83\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x7D"],
        ["\x77\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x9C"],

        ["\xF3\xB3\x83\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x77\x7E"],
        ["\x77\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x9D"],

        ["\xF3\xB3\x83\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x21"],
        ["\x78\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x9E"],

        ["\xF3\xB3\x83\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x22"],
        ["\x78\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\x9F"],

        ["\xF3\xB3\x83\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x23"],
        ["\x78\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xA0"],

        ["\xF3\xB3\x83\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x24"],
        ["\x78\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xA1"],

        ["\xF3\xB3\x83\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x25"],
        ["\x78\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xA2"],

        ["\xF3\xB3\x83\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x26"],
        ["\x78\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xA3"],

        ["\xF3\xB3\x83\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x27"],
        ["\x78\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xA4"],

        ["\xF3\xB3\x83\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x28"],
        ["\x78\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xA5"],

        ["\xF3\xB3\x83\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x29"],
        ["\x78\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xA6"],

        ["\xF3\xB3\x83\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x2A"],
        ["\x78\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xA7"],

        ["\xF3\xB3\x83\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x2B"],
        ["\x78\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xA8"],

        ["\xF3\xB3\x83\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x2C"],
        ["\x78\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xA9"],

        ["\xF3\xB3\x83\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x2D"],
        ["\x78\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xAA"],

        ["\xF3\xB3\x83\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x2E"],
        ["\x78\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xAB"],

        ["\xF3\xB3\x83\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x2F"],
        ["\x78\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xAC"],

        ["\xF3\xB3\x83\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x30"],
        ["\x78\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xAD"],

        ["\xF3\xB3\x83\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x31"],
        ["\x78\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xAE"],

        ["\xF3\xB3\x83\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x32"],
        ["\x78\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xAF"],

        ["\xF3\xB3\x83\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x33"],
        ["\x78\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xB0"],

        ["\xF3\xB3\x83\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x34"],
        ["\x78\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xB1"],

        ["\xF3\xB3\x83\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x35"],
        ["\x78\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xB2"],

        ["\xF3\xB3\x83\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x36"],
        ["\x78\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xB3"],

        ["\xF3\xB3\x83\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x37"],
        ["\x78\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xB4"],

        ["\xF3\xB3\x83\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x38"],
        ["\x78\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xB5"],

        ["\xF3\xB3\x83\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x39"],
        ["\x78\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xB6"],

        ["\xF3\xB3\x83\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x3A"],
        ["\x78\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xB7"],

        ["\xF3\xB3\x83\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x3B"],
        ["\x78\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xB8"],

        ["\xF3\xB3\x83\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x3C"],
        ["\x78\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xB9"],

        ["\xF3\xB3\x83\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x3D"],
        ["\x78\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xBA"],

        ["\xF3\xB3\x83\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x3E"],
        ["\x78\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xBB"],

        ["\xF3\xB3\x83\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x3F"],
        ["\x78\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xBC"],

        ["\xF3\xB3\x83\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x40"],
        ["\x78\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xBD"],

        ["\xF3\xB3\x83\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x41"],
        ["\x78\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xBE"],

        ["\xF3\xB3\x83\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x42"],
        ["\x78\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x83\xBF"],

        ["\xF3\xB3\x84\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x43"],
        ["\x78\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x80"],

        ["\xF3\xB3\x84\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x44"],
        ["\x78\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x81"],

        ["\xF3\xB3\x84\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x45"],
        ["\x78\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x82"],

        ["\xF3\xB3\x84\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x46"],
        ["\x78\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x83"],

        ["\xF3\xB3\x84\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x47"],
        ["\x78\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x84"],

        ["\xF3\xB3\x84\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x48"],
        ["\x78\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x85"],

        ["\xF3\xB3\x84\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x49"],
        ["\x78\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x86"],

        ["\xF3\xB3\x84\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x4A"],
        ["\x78\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x87"],

        ["\xF3\xB3\x84\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x4B"],
        ["\x78\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x88"],

        ["\xF3\xB3\x84\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x4C"],
        ["\x78\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x89"],

        ["\xF3\xB3\x84\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x4D"],
        ["\x78\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x8A"],

        ["\xF3\xB3\x84\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x4E"],
        ["\x78\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x8B"],

        ["\xF3\xB3\x84\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x4F"],
        ["\x78\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x8C"],

        ["\xF3\xB3\x84\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x50"],
        ["\x78\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x8D"],

        ["\xF3\xB3\x84\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x51"],
        ["\x78\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x8E"],

        ["\xF3\xB3\x84\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x52"],
        ["\x78\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x8F"],

        ["\xF3\xB3\x84\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x53"],
        ["\x78\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x90"],

        ["\xF3\xB3\x84\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x54"],
        ["\x78\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x91"],

        ["\xF3\xB3\x84\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x55"],
        ["\x78\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x92"],

        ["\xF3\xB3\x84\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x56"],
        ["\x78\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x93"],

        ["\xF3\xB3\x84\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x57"],
        ["\x78\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x94"],

        ["\xF3\xB3\x84\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x58"],
        ["\x78\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x95"],

        ["\xF3\xB3\x84\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x59"],
        ["\x78\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x96"],

        ["\xF3\xB3\x84\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x5A"],
        ["\x78\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x97"],

        ["\xF3\xB3\x84\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x5B"],
        ["\x78\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x98"],

        ["\xF3\xB3\x84\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x5C"],
        ["\x78\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x99"],

        ["\xF3\xB3\x84\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA3\xEF"],
        ["\xA3\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x9A"],

        ["\xF3\xB3\x84\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA3\xF0"],
        ["\xA3\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x9B"],

        ["\xF3\xB3\x84\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA3\xF1"],
        ["\xA3\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x9C"],

        ["\xF3\xB3\x84\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA3\xF2"],
        ["\xA3\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x9D"],

        ["\xF3\xB3\x84\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA3\xF3"],
        ["\xA3\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x9E"],

        ["\xF3\xB3\x84\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA3\xF4"],
        ["\xA3\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\x9F"],

        ["\xF3\xB3\x84\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA3\xF5"],
        ["\xA3\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\xA0"],

        ["\xF3\xB3\x84\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA3\xF6"],
        ["\xA3\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\xA1"],

        ["\xF3\xB3\x84\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA3\xF7"],
        ["\xA3\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\xA2"],

        ["\xF3\xB3\x84\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA3\xF8"],
        ["\xA3\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\xA3"],

        ["\xF3\xB3\x84\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x5D"],
        ["\x78\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\xA4"],

        ["\xF3\xB3\x84\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x5E"],
        ["\x78\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\xA5"],

        ["\xF3\xB3\x84\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x5F"],
        ["\x78\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\xA6"],

        ["\xF3\xB3\x84\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x60"],
        ["\x78\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\xA7"],

        ["\xF3\xB3\x84\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x61"],
        ["\x78\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\xA8"],

        ["\xF3\xB3\x84\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x62"],
        ["\x78\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\xA9"],

        ["\xF3\xB3\x84\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x63"],
        ["\x78\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\xAA"],

        ["\xF3\xB3\x84\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x64"],
        ["\x78\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\xAB"],

        ["\xF3\xB3\x84\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x65"],
        ["\x78\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\xAC"],

        ["\xF3\xB3\x84\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x66"],
        ["\x78\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\xAD"],

        ["\xF3\xB3\x84\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA2\xDB"],
        ["\xA2\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\xB8"],

        ["\xF3\xB3\x84\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA2\xDC"],
        ["\xA2\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\xB9"],

        ["\xF3\xB3\x84\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA1\xE8"],
        ["\xA1\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\xBA"],

        ["\xF3\xB3\x84\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA1\xE9"],
        ["\xA1\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\xBB"],

        ["\xF3\xB3\x84\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA1\xEA"],
        ["\xA1\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\xBC"],

        ["\xF3\xB3\x84\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA1\xEB"],
        ["\xA1\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\xBD"],

        ["\xF3\xB3\x84\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA1\xEC"],
        ["\xA1\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\xBE"],

        ["\xF3\xB3\x84\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA1\xED"],
        ["\xA1\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x84\xBF"],

        ["\xF3\xB3\x85\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA1\xEE"],
        ["\xA1\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x80"],

        ["\xF3\xB3\x85\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA1\xEF"],
        ["\xA1\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x81"],

        ["\xF3\xB3\x85\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA1\xF0"],
        ["\xA1\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x82"],

        ["\xF3\xB3\x85\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA1\xF1"],
        ["\xA1\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x83"],

        ["\xF3\xB3\x85\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA1\xF2"],
        ["\xA1\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x84"],

        ["\xF3\xB3\x85\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA4\xBB"],
        ["\xA4\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x85"],

        ["\xF3\xB3\x85\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA4\xBC"],
        ["\xA4\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x86"],

        ["\xF3\xB3\x85\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA4\xBD"],
        ["\xA4\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x87"],

        ["\xF3\xB3\x85\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA4\xBE"],
        ["\xA4\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x88"],

        ["\xF3\xB3\x85\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA4\xBF"],
        ["\xA4\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x89"],

        ["\xF3\xB3\x85\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA4\xC0"],
        ["\xA4\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x8A"],

        ["\xF3\xB3\x85\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA4\xC1"],
        ["\xA4\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x8B"],

        ["\xF3\xB3\x85\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA4\xC2"],
        ["\xA4\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x8C"],

        ["\xF3\xB3\x85\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA4\xC3"],
        ["\xA4\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x8D"],

        ["\xF3\xB3\x85\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA4\xC4"],
        ["\xA4\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x8E"],

        ["\xF3\xB3\x85\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA4\xC5"],
        ["\xA4\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x8F"],

        ["\xF3\xB3\x85\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA4\xC6"],
        ["\xA4\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x90"],

        ["\xF3\xB3\x85\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA4\xC7"],
        ["\xA4\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x91"],

        ["\xF3\xB3\x85\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA4\xC8"],
        ["\xA4\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x92"],

        ["\xF3\xB3\x85\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA4\xC9"],
        ["\xA4\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x93"],

        ["\xF3\xB3\x85\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA1\xFD"],
        ["\xA1\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x94"],

        ["\xF3\xB3\x85\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA1\xF3"],
        ["\xA1\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x95"],

        ["\xF3\xB3\x85\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA1\xFE"],
        ["\xA1\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x96"],

        ["\xF3\xB3\x85\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA2\xA1"],
        ["\xA2\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x97"],

        ["\xF3\xB3\x85\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA2\xA2"],
        ["\xA2\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x98"],

        ["\xF3\xB3\x85\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA2\xA3"],
        ["\xA2\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x99"],

        ["\xF3\xB3\x85\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA2\xA4"],
        ["\xA2\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x9A"],

        ["\xF3\xB3\x85\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA2\xA5"],
        ["\xA2\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x9B"],

        ["\xF3\xB3\x85\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA2\xA6"],
        ["\xA2\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x9C"],

        ["\xF3\xB3\x85\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA2\xA7"],
        ["\xA2\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x9D"],

        ["\xF3\xB3\x85\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x67"],
        ["\x78\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x9E"],

        ["\xF3\xB3\x85\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x68"],
        ["\x78\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\x9F"],

        ["\xF3\xB3\x85\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x69"],
        ["\x78\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\xA0"],

        ["\xF3\xB3\x85\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x6A"],
        ["\x78\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\xA1"],

        ["\xF3\xB3\x85\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x6B"],
        ["\x78\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\xA2"],

        ["\xF3\xB3\x85\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x6C"],
        ["\x78\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\xA3"],

        ["\xF3\xB3\x85\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA1\xFA"],
        ["\xA1\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\xA4"],

        ["\xF3\xB3\x85\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x6D"],
        ["\x78\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\xA5"],

        ["\xF3\xB3\x85\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x6E"],
        ["\x78\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\xA6"],

        ["\xF3\xB3\x85\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA1\xF9"],
        ["\xA1\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\xA7"],

        ["\xF3\xB3\x85\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA1\xF4"],
        ["\xA1\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\xA8"],

        ["\xF3\xB3\x85\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA1\xF5"],
        ["\xA1\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\xA9"],

        ["\xF3\xB3\x85\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA1\xF6"],
        ["\xA1\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\xAA"],

        ["\xF3\xB3\x85\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA1\xF7"],
        ["\xA1\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\xAB"],

        ["\xF3\xB3\x85\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA1\xF8"],
        ["\xA1\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\xAC"],

        ["\xF3\xB3\x85\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x6F"],
        ["\x78\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\xB6"],

        ["\xF3\xB3\x85\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x70"],
        ["\x78\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x85\xB7"],

        ["\xF3\xB3\x86\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA2\xD1"],
        ["\xA2\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x86\x96"],

        ["\xF3\xB3\x86\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xA2\xD2"],
        ["\xA2\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x86\xAE"],

        ["\xF3\xB3\x87\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x71"],
        ["\x78\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\x94"],

        ["\xF3\xB3\x87\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x72"],
        ["\x78\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\x95"],

        ["\xF3\xB3\x87\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x73"],
        ["\x78\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\x96"],

        ["\xF3\xB3\x87\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x74"],
        ["\x78\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\x97"],

        ["\xF3\xB3\x87\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x75"],
        ["\x78\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\x98"],

        ["\xF3\xB3\x87\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x76"],
        ["\x78\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\x9A"],

        ["\xF3\xB3\x87\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xAD"],
        ["\xB2\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\x9B"],

        ["\xF3\xB3\x87\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xB4"],
        ["\xB2\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\x9C"],

        ["\xF3\xB3\x87\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xD0"],
        ["\xB2\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\x9E"],

        ["\xF3\xB3\x87\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xC8"],
        ["\xB2\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\x9F"],

        ["\xF3\xB3\x87\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xC6"],
        ["\xB2\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xA1"],

        ["\xF3\xB3\x87\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x77"],
        ["\x78\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xA2"],

        ["\xF3\xB3\x87\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xD7"],
        ["\xB2\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xA3"],

        ["\xF3\xB3\x87\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x78"],
        ["\x78\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xA4"],

        ["\xF3\xB3\x87\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x79"],
        ["\x78\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xA6"],

        ["\xF3\xB3\x87\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xEB"],
        ["\xB2\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xA7"],

        ["\xF3\xB3\x87\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x7A"],
        ["\x78\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xA8"],

        ["\xF3\xB3\x87\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xDE"],
        ["\xB2\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xA9"],

        ["\xF3\xB3\x87\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xE0"],
        ["\xB2\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xAC"],

        ["\xF3\xB3\x87\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x7B"],
        ["\x78\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xAD"],

        ["\xF3\xB3\x87\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x7C"],
        ["\x78\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xAF"],

        ["\xF3\xB3\x87\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x7D"],
        ["\x78\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xB0"],

        ["\xF3\xB3\x87\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x78\x7E"],
        ["\x78\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xB1"],

        ["\xF3\xB3\x87\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xAF"],
        ["\xB3\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xB2"],

        ["\xF3\xB3\x87\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xFE"],
        ["\xB2\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xB3"],

        ["\xF3\xB3\x87\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xAB"],
        ["\xB3\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xB4"],

        ["\xF3\xB3\x87\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xA5"],
        ["\xB3\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xB5"],

        ["\xF3\xB3\x87\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x21"],
        ["\x79\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xB7"],

        ["\xF3\xB3\x87\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x22"],
        ["\x79\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xB8"],

        ["\xF3\xB3\x87\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xCF"],
        ["\xB3\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xBA"],

        ["\xF3\xB3\x87\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xD7"],
        ["\xB3\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xBB"],

        ["\xF3\xB3\x87\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xD8"],
        ["\xB3\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xBC"],

        ["\xF3\xB3\x87\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xD3"],
        ["\xB3\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xBD"],

        ["\xF3\xB3\x87\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x23"],
        ["\x79\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xBE"],

        ["\xF3\xB3\x87\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xDA"],
        ["\xB3\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x87\xBF"],

        ["\xF3\xB3\x88\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xE1"],
        ["\xB3\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x80"],

        ["\xF3\xB3\x88\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x24"],
        ["\x79\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x81"],

        ["\xF3\xB3\x88\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xE3"],
        ["\xB3\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x82"],

        ["\xF3\xB3\x88\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x25"],
        ["\x79\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x83"],

        ["\xF3\xB3\x88\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x26"],
        ["\x79\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x85"],

        ["\xF3\xB3\x88\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xEC"],
        ["\xB3\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x86"],

        ["\xF3\xB3\x88\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x27"],
        ["\x79\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x87"],

        ["\xF3\xB3\x88\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x28"],
        ["\x79\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x88"],

        ["\xF3\xB3\x88\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x29"],
        ["\x79\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x8A"],

        ["\xF3\xB3\x88\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x2A"],
        ["\x79\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x8B"],

        ["\xF3\xB3\x88\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xAA"],
        ["\xB4\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x8C"],

        ["\xF3\xB3\x88\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x2B"],
        ["\x79\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x8D"],

        ["\xF3\xB3\x88\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xAB"],
        ["\xB4\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x8E"],

        ["\xF3\xB3\x88\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xAE"],
        ["\xB4\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x8F"],

        ["\xF3\xB3\x88\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x2C"],
        ["\x79\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x90"],

        ["\xF3\xB3\x88\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x2D"],
        ["\x79\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x91"],

        ["\xF3\xB3\x88\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xB9"],
        ["\xB4\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x93"],

        ["\xF3\xB3\x88\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xBA"],
        ["\xB4\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x94"],

        ["\xF3\xB3\x88\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x2E"],
        ["\x79\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x95"],

        ["\xF3\xB3\x88\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x2F"],
        ["\x79\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x96"],

        ["\xF3\xB3\x88\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xCC"],
        ["\xB4\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x97"],

        ["\xF3\xB3\x88\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x30"],
        ["\x79\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x98"],

        ["\xF3\xB3\x88\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x31"],
        ["\x79\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x99"],

        ["\xF3\xB3\x88\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x32"],
        ["\x79\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x9A"],

        ["\xF3\xB3\x88\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x33"],
        ["\x79\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x9B"],

        ["\xF3\xB3\x88\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x34"],
        ["\x79\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x9D"],

        ["\xF3\xB3\x88\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x35"],
        ["\x79\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x9E"],

        ["\xF3\xB3\x88\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x36"],
        ["\x79\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\x9F"],

        ["\xF3\xB3\x88\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x37"],
        ["\x79\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xA2"],

        ["\xF3\xB3\x88\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x38"],
        ["\x79\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xA3"],

        ["\xF3\xB3\x88\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xA3"],
        ["\xB5\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xA4"],

        ["\xF3\xB3\x88\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xA4"],
        ["\xB5\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xA5"],

        ["\xF3\xB3\x88\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x39"],
        ["\x79\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xA6"],

        ["\xF3\xB3\x88\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xB0"],
        ["\xB5\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xA8"],

        ["\xF3\xB3\x88\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x3A"],
        ["\x79\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xAA"],

        ["\xF3\xB3\x88\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x3B"],
        ["\x79\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xAB"],

        ["\xF3\xB3\x88\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xCA"],
        ["\xB5\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xAC"],

        ["\xF3\xB3\x88\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x3C"],
        ["\x79\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xAE"],

        ["\xF3\xB3\x88\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x3D"],
        ["\x79\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xAF"],

        ["\xF3\xB3\x88\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xCC"],
        ["\xB5\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xB0"],

        ["\xF3\xB3\x88\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x3E"],
        ["\x79\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xB1"],

        ["\xF3\xB3\x88\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xD2"],
        ["\xB5\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xB2"],

        ["\xF3\xB3\x88\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xDA"],
        ["\xB5\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xB3"],

        ["\xF3\xB3\x88\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xD9"],
        ["\xB5\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xB5"],

        ["\xF3\xB3\x88\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xE3"],
        ["\xB5\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xB7"],

        ["\xF3\xB3\x88\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x3F"],
        ["\x79\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xB8"],

        ["\xF3\xB3\x88\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x40"],
        ["\x79\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xB9"],

        ["\xF3\xB3\x88\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xEA"],
        ["\xB5\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xBA"],

        ["\xF3\xB3\x88\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x41"],
        ["\x79\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xBB"],

        ["\xF3\xB3\x88\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x42"],
        ["\x79\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xBC"],

        ["\xF3\xB3\x88\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x43"],
        ["\x79\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xBE"],

        ["\xF3\xB3\x88\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x44"],
        ["\x79\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x88\xBF"],

        ["\xF3\xB3\x89\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xF0"],
        ["\xB5\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x80"],

        ["\xF3\xB3\x89\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xFA"],
        ["\xB5\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x81"],

        ["\xF3\xB3\x89\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x45"],
        ["\x79\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x82"],

        ["\xF3\xB3\x89\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xA5"],
        ["\xB6\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x83"],

        ["\xF3\xB3\x89\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xA2"],
        ["\xB6\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x84"],

        ["\xF3\xB3\x89\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xA9"],
        ["\xB6\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x85"],

        ["\xF3\xB3\x89\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xAD"],
        ["\xB6\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x86"],

        ["\xF3\xB3\x89\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x46"],
        ["\x79\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x87"],

        ["\xF3\xB3\x89\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xB3"],
        ["\xB6\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x88"],

        ["\xF3\xB3\x89\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x47"],
        ["\x79\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x89"],

        ["\xF3\xB3\x89\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xB2"],
        ["\xB6\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x8A"],

        ["\xF3\xB3\x89\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x48"],
        ["\x79\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x8B"],

        ["\xF3\xB3\x89\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xB4"],
        ["\xB6\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x8C"],

        ["\xF3\xB3\x89\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x49"],
        ["\x79\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x8D"],

        ["\xF3\xB3\x89\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xBB"],
        ["\xB6\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x8E"],

        ["\xF3\xB3\x89\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x4A"],
        ["\x79\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x8F"],

        ["\xF3\xB3\x89\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xBD"],
        ["\xB6\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x90"],

        ["\xF3\xB3\x89\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x4B"],
        ["\x79\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x91"],

        ["\xF3\xB3\x89\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x4C"],
        ["\x79\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x92"],

        ["\xF3\xB3\x89\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x4D"],
        ["\x79\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x93"],

        ["\xF3\xB3\x89\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xC6"],
        ["\xB6\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x94"],

        ["\xF3\xB3\x89\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x4E"],
        ["\x79\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x95"],

        ["\xF3\xB3\x89\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x4F"],
        ["\x79\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x96"],

        ["\xF3\xB3\x89\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xCC"],
        ["\xB6\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x97"],

        ["\xF3\xB3\x89\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xCF"],
        ["\xB6\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x98"],

        ["\xF3\xB3\x89\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xD0"],
        ["\xB6\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x99"],

        ["\xF3\xB3\x89\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x50"],
        ["\x79\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x9A"],

        ["\xF3\xB3\x89\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x51"],
        ["\x79\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x9B"],

        ["\xF3\xB3\x89\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x52"],
        ["\x79\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x9C"],

        ["\xF3\xB3\x89\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x53"],
        ["\x79\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x9D"],

        ["\xF3\xB3\x89\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x54"],
        ["\x79\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\x9F"],

        ["\xF3\xB3\x89\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x55"],
        ["\x79\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xA0"],

        ["\xF3\xB3\x89\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x56"],
        ["\x79\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xA3"],

        ["\xF3\xB3\x89\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xEC"],
        ["\xB6\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xA4"],

        ["\xF3\xB3\x89\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x57"],
        ["\x79\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xA5"],

        ["\xF3\xB3\x89\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xEB"],
        ["\xB6\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xA6"],

        ["\xF3\xB3\x89\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x58"],
        ["\x79\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xA7"],

        ["\xF3\xB3\x89\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xC8"],
        ["\xC1\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xA8"],

        ["\xF3\xB3\x89\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xED"],
        ["\xB6\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xA9"],

        ["\xF3\xB3\x89\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x36"],
        ["\x45\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xAB"],

        ["\xF3\xB3\x89\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xFA"],
        ["\xB6\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xAC"],

        ["\xF3\xB3\x89\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x59"],
        ["\x79\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xAD"],

        ["\xF3\xB3\x89\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xFE"],
        ["\xB6\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xAE"],

        ["\xF3\xB3\x89\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xA3"],
        ["\xB7\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xAF"],

        ["\xF3\xB3\x89\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x5A"],
        ["\x79\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xB1"],

        ["\xF3\xB3\x89\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xAB"],
        ["\xB7\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xB2"],

        ["\xF3\xB3\x89\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x5B"],
        ["\x79\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xB3"],

        ["\xF3\xB3\x89\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x5C"],
        ["\x79\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xB4"],

        ["\xF3\xB3\x89\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xB2"],
        ["\xB7\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xB5"],

        ["\xF3\xB3\x89\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xB3"],
        ["\xB7\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xB6"],

        ["\xF3\xB3\x89\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xB4"],
        ["\xB7\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xB7"],

        ["\xF3\xB3\x89\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x5D"],
        ["\x79\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xB8"],

        ["\xF3\xB3\x89\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xB6"],
        ["\xB7\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xB9"],

        ["\xF3\xB3\x89\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xBA"],
        ["\xB7\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xBA"],

        ["\xF3\xB3\x89\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x5E"],
        ["\x79\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xBB"],

        ["\xF3\xB3\x89\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xD7"],
        ["\xB7\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xBD"],

        ["\xF3\xB3\x89\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xDE"],
        ["\xB7\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xBE"],

        ["\xF3\xB3\x89\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xDC"],
        ["\xB7\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x89\xBF"],

        ["\xF3\xB3\x8A\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xE5"],
        ["\xB7\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x8A\x81"],

        ["\xF3\xB3\x8A\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xE3"],
        ["\xB7\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x8A\x82"],

        ["\xF3\xB3\x8A\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xEB"],
        ["\xB7\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x8A\x83"],

        ["\xF3\xB3\x8A\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xEF"],
        ["\xB7\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x8A\x84"],

        ["\xF3\xB3\x8A\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xEE"],
        ["\xB7\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x8A\x85"],

        ["\xF3\xB3\x8A\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x5F"],
        ["\x79\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x8A\x86"],

        ["\xF3\xB3\x8A\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xF1"],
        ["\xB7\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x8A\x87"],

        ["\xF3\xB3\x8A\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xFD"],
        ["\xB7\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x8A\x88"],

        ["\xF3\xB3\x8A\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xF8"],
        ["\xB7\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x8A\x89"],

        ["\xF3\xB3\x8A\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x60"],
        ["\x79\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x8A\x8A"],

        ["\xF3\xB3\x8A\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xFB"],
        ["\xB7\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x8A\x8B"],

        ["\xF3\xB3\x8A\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x61"],
        ["\x79\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x8A\x8C"],

        ["\xF3\xB3\x8A\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xA2"],
        ["\xB8\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x8A\x8D"],

        ["\xF3\xB3\x8A\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x62"],
        ["\x79\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x8A\x8E"],

        ["\xF3\xB3\x8A\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xB0"],
        ["\xB8\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x8A\x8F"],

        ["\xF3\xB3\x8A\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x63"],
        ["\x79\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x8A\x90"],

        ["\xF3\xB3\x8A\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x64"],
        ["\x79\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\x8A\x91"],

        ["\xF3\xB3\xB8\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x65"],
        ["\x79\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB8\xA7"],

        ["\xF3\xB3\xB8\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x66"],
        ["\x79\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB8\xA8"],

        ["\xF3\xB3\xB8\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xB9"],
        ["\xB8\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB8\xAA"],

        ["\xF3\xB3\xB8\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xC0"],
        ["\xB8\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB8\xAB"],

        ["\xF3\xB3\xB8\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x67"],
        ["\x79\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB8\xAE"],

        ["\xF3\xB3\xB8\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x68"],
        ["\x79\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB8\xB0"],

        ["\xF3\xB3\xB8\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x69"],
        ["\x79\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB8\xB1"],

        ["\xF3\xB3\xB8\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x6A"],
        ["\x79\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB8\xB2"],

        ["\xF3\xB3\xB8\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x6B"],
        ["\x79\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB8\xB3"],

        ["\xF3\xB3\xB8\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x6C"],
        ["\x79\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB8\xB4"],

        ["\xF3\xB3\xB8\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x6D"],
        ["\x79\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB8\xB5"],

        ["\xF3\xB3\xB8\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x6E"],
        ["\x79\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB8\xB6"],

        ["\xF3\xB3\xB8\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xEC"],
        ["\xB8\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB8\xB7"],

        ["\xF3\xB3\xB8\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xF2"],
        ["\xB8\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB8\xB8"],

        ["\xF3\xB3\xB8\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xFE"],
        ["\xB8\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB8\xB9"],

        ["\xF3\xB3\xB8\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x6F"],
        ["\x79\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB8\xBA"],

        ["\xF3\xB3\xB8\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xF7"],
        ["\xB8\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB8\xBB"],

        ["\xF3\xB3\xB8\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x70"],
        ["\x79\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB8\xBD"],

        ["\xF3\xB3\xB8\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x71"],
        ["\x79\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB8\xBE"],

        ["\xF3\xB3\xB8\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xA4"],
        ["\xB9\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB8\xBF"],

        ["\xF3\xB3\xB9\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xAB"],
        ["\xB9\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB9\x80"],

        ["\xF3\xB3\xB9\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x72"],
        ["\x79\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB9\x81"],

        ["\xF3\xB3\xB9\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x73"],
        ["\x79\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB9\x82"],

        ["\xF3\xB3\xB9\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x74"],
        ["\x79\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB9\x83"],

        ["\xF3\xB3\xB9\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x75"],
        ["\x79\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB9\x86"],

        ["\xF3\xB3\xB9\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x76"],
        ["\x79\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB9\x87"],

        ["\xF3\xB3\xB9\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x77"],
        ["\x79\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB9\x89"],

        ["\xF3\xB3\xB9\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x78"],
        ["\x79\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB9\x8B"],

        ["\xF3\xB3\xB9\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xCD"],
        ["\xB9\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB9\x8C"],

        ["\xF3\xB3\xB9\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x79"],
        ["\x79\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB9\x8D"],

        ["\xF3\xB3\xB9\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xD2"],
        ["\xB9\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB9\x8E"],

        ["\xF3\xB3\xB9\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x7A"],
        ["\x79\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB9\x90"],

        ["\xF3\xB3\xB9\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x7B"],
        ["\x79\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB3\xB9\x91"],

        ["\xF3\xB4\x83\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x57\x3B"],
        ["\x57\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\x83\xBE"],

        ["\xF3\xB4\xAE\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x7C"],
        ["\x79\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\x90"],

        ["\xF3\xB4\xAE\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x7D"],
        ["\x79\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\x91"],

        ["\xF3\xB4\xAE\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x79\x7E"],
        ["\x79\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\x92"],

        ["\xF3\xB4\xAE\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xE8"],
        ["\xB9\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\x93"],

        ["\xF3\xB4\xAE\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xF0"],
        ["\xB9\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\x94"],

        ["\xF3\xB4\xAE\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xF1"],
        ["\xB9\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\x95"],

        ["\xF3\xB4\xAE\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xA7"],
        ["\xBA\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\x96"],

        ["\xF3\xB4\xAE\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x21"],
        ["\x7A\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\x97"],

        ["\xF3\xB4\xAE\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xAA"],
        ["\xBA\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\x98"],

        ["\xF3\xB4\xAE\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x22"],
        ["\x7A\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\x99"],

        ["\xF3\xB4\xAE\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x23"],
        ["\x7A\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\x9A"],

        ["\xF3\xB4\xAE\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x24"],
        ["\x7A\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\x9B"],

        ["\xF3\xB4\xAE\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xBA"],
        ["\xBA\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\x9C"],

        ["\xF3\xB4\xAE\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x25"],
        ["\x7A\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\x9D"],

        ["\xF3\xB4\xAE\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x26"],
        ["\x7A\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\x9E"],

        ["\xF3\xB4\xAE\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xC2"],
        ["\xBA\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xA0"],

        ["\xF3\xB4\xAE\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xC5"],
        ["\xBA\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xA1"],

        ["\xF3\xB4\xAE\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xC6"],
        ["\xBA\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xA2"],

        ["\xF3\xB4\xAE\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x27"],
        ["\x7A\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xA4"],

        ["\xF3\xB4\xAE\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x28"],
        ["\x7A\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xA5"],

        ["\xF3\xB4\xAE\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xCD"],
        ["\xBA\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xA6"],

        ["\xF3\xB4\xAE\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xD9"],
        ["\xBA\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xA8"],

        ["\xF3\xB4\xAE\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xDC"],
        ["\xBA\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xA9"],

        ["\xF3\xB4\xAE\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xDE"],
        ["\xBA\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xAA"],

        ["\xF3\xB4\xAE\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xC1"],
        ["\xD0\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xAB"],

        ["\xF3\xB4\xAE\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xE8"],
        ["\xBA\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xAC"],

        ["\xF3\xB4\xAE\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x29"],
        ["\x7A\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xAD"],

        ["\xF3\xB4\xAE\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xF0"],
        ["\xBA\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xAF"],

        ["\xF3\xB4\xAE\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xF5"],
        ["\xBA\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xB1"],

        ["\xF3\xB4\xAE\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xA1"],
        ["\xBB\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xB2"],

        ["\xF3\xB4\xAE\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xA3"],
        ["\xBB\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xB3"],

        ["\xF3\xB4\xAE\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xA6"],
        ["\xBB\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xB4"],

        ["\xF3\xB4\xAE\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x2A"],
        ["\x7A\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xB5"],

        ["\xF3\xB4\xAE\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xA2"],
        ["\xBB\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xB6"],

        ["\xF3\xB4\xAE\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x2B"],
        ["\x7A\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xB7"],

        ["\xF3\xB4\xAE\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xAA"],
        ["\xBB\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xB8"],

        ["\xF3\xB4\xAE\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x2C"],
        ["\x7A\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xB9"],

        ["\xF3\xB4\xAE\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xB2"],
        ["\xBB\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xBA"],

        ["\xF3\xB4\xAE\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xB3"],
        ["\xBB\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xBB"],

        ["\xF3\xB4\xAE\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x2D"],
        ["\x7A\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xBC"],

        ["\xF3\xB4\xAE\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x2E"],
        ["\x7A\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xBD"],

        ["\xF3\xB4\xAE\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x2F"],
        ["\x7A\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAE\xBF"],

        ["\xF3\xB4\xAF\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x30"],
        ["\x7A\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x80"],

        ["\xF3\xB4\xAF\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xCA"],
        ["\xBB\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x81"],

        ["\xF3\xB4\xAF\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xDA"],
        ["\xBB\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x82"],

        ["\xF3\xB4\xAF\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x31"],
        ["\x7A\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x85"],

        ["\xF3\xB4\xAF\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xEA"],
        ["\xBB\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x86"],

        ["\xF3\xB4\xAF\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x32"],
        ["\x7A\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x87"],

        ["\xF3\xB4\xAF\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xEE"],
        ["\xBB\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x88"],

        ["\xF3\xB4\xAF\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x33"],
        ["\x7A\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x89"],

        ["\xF3\xB4\xAF\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x34"],
        ["\x7A\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x8A"],

        ["\xF3\xB4\xAF\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xFB"],
        ["\xBB\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x8B"],

        ["\xF3\xB4\xAF\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x35"],
        ["\x7A\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x8C"],

        ["\xF3\xB4\xAF\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xA3"],
        ["\xBC\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x8D"],

        ["\xF3\xB4\xAF\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xA8"],
        ["\xBC\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x8E"],

        ["\xF3\xB4\xAF\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xAA"],
        ["\xBC\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x8F"],

        ["\xF3\xB4\xAF\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x36"],
        ["\x7A\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x90"],

        ["\xF3\xB4\xAF\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x37"],
        ["\x7A\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x91"],

        ["\xF3\xB4\xAF\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xAE"],
        ["\xBC\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x92"],

        ["\xF3\xB4\xAF\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xAD"],
        ["\xBC\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x93"],

        ["\xF3\xB4\xAF\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xB8"],
        ["\xBC\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x94"],

        ["\xF3\xB4\xAF\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xB8"],
        ["\xBA\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x95"],

        ["\xF3\xB4\xAF\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xB4"],
        ["\xBC\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x96"],

        ["\xF3\xB4\xAF\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xBE"],
        ["\xBC\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x97"],

        ["\xF3\xB4\xAF\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xBA"],
        ["\xBC\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x98"],

        ["\xF3\xB4\xAF\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xC8"],
        ["\xBC\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x99"],

        ["\xF3\xB4\xAF\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x38"],
        ["\x7A\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x9A"],

        ["\xF3\xB4\xAF\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xCE"],
        ["\xBC\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x9B"],

        ["\xF3\xB4\xAF\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x39"],
        ["\x7A\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x9C"],

        ["\xF3\xB4\xAF\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x3A"],
        ["\x7A\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x9E"],

        ["\xF3\xB4\xAF\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x3B"],
        ["\x7A\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\x9F"],

        ["\xF3\xB4\xAF\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x3C"],
        ["\x7A\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\xA0"],

        ["\xF3\xB4\xAF\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x3D"],
        ["\x7A\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\xA1"],

        ["\xF3\xB4\xAF\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x3E"],
        ["\x7A\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\xA2"],

        ["\xF3\xB4\xAF\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x3F"],
        ["\x7A\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\xA4"],

        ["\xF3\xB4\xAF\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xE0"],
        ["\xBC\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\xA6"],

        ["\xF3\xB4\xAF\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xE2"],
        ["\xBC\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\xA7"],

        ["\xF3\xB4\xAF\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x40"],
        ["\x7A\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\xA8"],

        ["\xF3\xB4\xAF\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xDE"],
        ["\xBC\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\xA9"],

        ["\xF3\xB4\xAF\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xDF"],
        ["\xBC\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\xAA"],

        ["\xF3\xB4\xAF\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x41"],
        ["\x7A\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\xAB"],

        ["\xF3\xB4\xAF\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x42"],
        ["\x7A\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\xAC"],

        ["\xF3\xB4\xAF\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x43"],
        ["\x7A\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\xAD"],

        ["\xF3\xB4\xAF\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xEB"],
        ["\xBC\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\xAE"],

        ["\xF3\xB4\xAF\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x44"],
        ["\x7A\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\xAF"],

        ["\xF3\xB4\xAF\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xF4"],
        ["\xBC\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\xB0"],

        ["\xF3\xB4\xAF\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x45"],
        ["\x7A\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\xB1"],

        ["\xF3\xB4\xAF\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x46"],
        ["\x7A\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\xB2"],

        ["\xF3\xB4\xAF\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x47"],
        ["\x7A\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\xB7"],

        ["\xF3\xB4\xAF\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xC8"],
        ["\xBD\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\xB8"],

        ["\xF3\xB4\xAF\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xC9"],
        ["\xBD\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\xBA"],

        ["\xF3\xB4\xAF\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xC3"],
        ["\xBD\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\xBB"],

        ["\xF3\xB4\xAF\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x48"],
        ["\x7A\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\xBD"],

        ["\xF3\xB4\xAF\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x49"],
        ["\x7A\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xAF\xBF"],

        ["\xF3\xB4\xB0\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xCA"],
        ["\xBD\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\x80"],

        ["\xF3\xB4\xB0\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x4A"],
        ["\x7A\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\x81"],

        ["\xF3\xB4\xB0\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x4B"],
        ["\x7A\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\x83"],

        ["\xF3\xB4\xB0\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xD9"],
        ["\xBD\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\x84"],

        ["\xF3\xB4\xB0\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xE3"],
        ["\xBD\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\x87"],

        ["\xF3\xB4\xB0\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xEF"],
        ["\xBD\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\x88"],

        ["\xF3\xB4\xB0\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xF2"],
        ["\xBD\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\x89"],

        ["\xF3\xB4\xB0\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x4C"],
        ["\x7A\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\x8A"],

        ["\xF3\xB4\xB0\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xAB"],
        ["\xBE\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\x8D"],

        ["\xF3\xB4\xB0\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x4D"],
        ["\x7A\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\x8E"],

        ["\xF3\xB4\xB0\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xAA"],
        ["\xBE\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\x8F"],

        ["\xF3\xB4\xB0\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x4E"],
        ["\x7A\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\x90"],

        ["\xF3\xB4\xB0\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x4F"],
        ["\x7A\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\x91"],

        ["\xF3\xB4\xB0\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xB3"],
        ["\xBE\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\x92"],

        ["\xF3\xB4\xB0\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xBD"],
        ["\xBE\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\x94"],

        ["\xF3\xB4\xB0\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xC0"],
        ["\xBE\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\x96"],

        ["\xF3\xB4\xB0\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xC2"],
        ["\xBE\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\x98"],

        ["\xF3\xB4\xB0\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x50"],
        ["\x7A\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\x99"],

        ["\xF3\xB4\xB0\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xCD"],
        ["\xBE\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\x9A"],

        ["\xF3\xB4\xB0\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x51"],
        ["\x7A\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\x9B"],

        ["\xF3\xB4\xB0\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xCC"],
        ["\xBE\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\x9C"],

        ["\xF3\xB4\xB0\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xCF"],
        ["\xBE\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\x9D"],

        ["\xF3\xB4\xB0\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xD4"],
        ["\xBE\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\x9E"],

        ["\xF3\xB4\xB0\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xDD"],
        ["\xBE\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xA0"],

        ["\xF3\xB4\xB0\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xD8"],
        ["\xBE\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xA2"],

        ["\xF3\xB4\xB0\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x52"],
        ["\x7A\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xA3"],

        ["\xF3\xB4\xB0\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xEA"],
        ["\xBE\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xA6"],

        ["\xF3\xB4\xB0\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x53"],
        ["\x7A\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xA7"],

        ["\xF3\xB4\xB0\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xF1"],
        ["\xBE\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xA8"],

        ["\xF3\xB4\xB0\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x54"],
        ["\x7A\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xA9"],

        ["\xF3\xB4\xB0\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x55"],
        ["\x7A\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xAA"],

        ["\xF3\xB4\xB0\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x56"],
        ["\x7A\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xAB"],

        ["\xF3\xB4\xB0\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x57"],
        ["\x7A\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xAC"],

        ["\xF3\xB4\xB0\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x58"],
        ["\x7A\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xAD"],

        ["\xF3\xB4\xB0\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x59"],
        ["\x7A\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xAE"],

        ["\xF3\xB4\xB0\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xF9"],
        ["\xBE\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xAF"],

        ["\xF3\xB4\xB0\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xAD"],
        ["\xBF\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xB1"],

        ["\xF3\xB4\xB0\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xA9"],
        ["\xBF\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xB2"],

        ["\xF3\xB4\xB0\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xB3"],
        ["\xBF\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xB3"],

        ["\xF3\xB4\xB0\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xAB"],
        ["\xBF\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xB4"],

        ["\xF3\xB4\xB0\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xB0"],
        ["\xBF\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xB5"],

        ["\xF3\xB4\xB0\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xAE"],
        ["\xBF\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xB6"],

        ["\xF3\xB4\xB0\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xBB"],
        ["\xBF\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xB7"],

        ["\xF3\xB4\xB0\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x5A"],
        ["\x7A\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xB8"],

        ["\xF3\xB4\xB0\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x5B"],
        ["\x7A\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xB9"],

        ["\xF3\xB4\xB0\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xC3"],
        ["\xBF\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xBA"],

        ["\xF3\xB4\xB0\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xBF"],
        ["\xBF\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xBB"],

        ["\xF3\xB4\xB0\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x5C"],
        ["\x7A\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xBC"],

        ["\xF3\xB4\xB0\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xC1"],
        ["\xBF\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xBD"],

        ["\xF3\xB4\xB0\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x5D"],
        ["\x7A\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB0\xBE"],

        ["\xF3\xB4\xB1\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xC4"],
        ["\xBF\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x80"],

        ["\xF3\xB4\xB1\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x5E"],
        ["\x7A\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x82"],

        ["\xF3\xB4\xB1\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x5F"],
        ["\x7A\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x83"],

        ["\xF3\xB4\xB1\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x60"],
        ["\x7A\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x84"],

        ["\xF3\xB4\xB1\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x61"],
        ["\x7A\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x85"],

        ["\xF3\xB4\xB1\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x62"],
        ["\x7A\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x86"],

        ["\xF3\xB4\xB1\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x63"],
        ["\x7A\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x88"],

        ["\xF3\xB4\xB1\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x64"],
        ["\x7A\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x89"],

        ["\xF3\xB4\xB1\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x65"],
        ["\x7A\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x8A"],

        ["\xF3\xB4\xB1\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x66"],
        ["\x7A\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x8B"],

        ["\xF3\xB4\xB1\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xE0"],
        ["\xBF\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x8C"],

        ["\xF3\xB4\xB1\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x67"],
        ["\x7A\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x8D"],

        ["\xF3\xB4\xB1\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x68"],
        ["\x7A\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x8E"],

        ["\xF3\xB4\xB1\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x69"],
        ["\x7A\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x8F"],

        ["\xF3\xB4\xB1\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x6A"],
        ["\x7A\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x90"],

        ["\xF3\xB4\xB1\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xEF"],
        ["\xBF\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x91"],

        ["\xF3\xB4\xB1\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xEA"],
        ["\xBF\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x92"],

        ["\xF3\xB4\xB1\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x6B"],
        ["\x7A\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x93"],

        ["\xF3\xB4\xB1\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xE7"],
        ["\xBF\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x94"],

        ["\xF3\xB4\xB1\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x6C"],
        ["\x7A\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x97"],

        ["\xF3\xB4\xB1\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xF4"],
        ["\xBF\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x98"],

        ["\xF3\xB4\xB1\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x6D"],
        ["\x7A\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x99"],

        ["\xF3\xB4\xB1\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x6E"],
        ["\x7A\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x9A"],

        ["\xF3\xB4\xB1\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x6F"],
        ["\x7A\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x9B"],

        ["\xF3\xB4\xB1\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x70"],
        ["\x7A\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x9C"],

        ["\xF3\xB4\xB1\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xAA"],
        ["\xC0\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x9E"],

        ["\xF3\xB4\xB1\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x71"],
        ["\x7A\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\x9F"],

        ["\xF3\xB4\xB1\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x72"],
        ["\x7A\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xA0"],

        ["\xF3\xB4\xB1\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xB3"],
        ["\xC0\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xA1"],

        ["\xF3\xB4\xB1\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x73"],
        ["\x7A\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xA2"],

        ["\xF3\xB4\xB1\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x74"],
        ["\x7A\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xA3"],

        ["\xF3\xB4\xB1\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xB6"],
        ["\xC0\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xA4"],

        ["\xF3\xB4\xB1\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xBA"],
        ["\xC0\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xA5"],

        ["\xF3\xB4\xB1\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xBF"],
        ["\xC0\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xA6"],

        ["\xF3\xB4\xB1\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x75"],
        ["\x7A\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xA7"],

        ["\xF3\xB4\xB1\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x76"],
        ["\x7A\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xA8"],

        ["\xF3\xB4\xB1\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x77"],
        ["\x7A\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xA9"],

        ["\xF3\xB4\xB1\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x78"],
        ["\x7A\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xAA"],

        ["\xF3\xB4\xB1\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xC6"],
        ["\xC0\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xAB"],

        ["\xF3\xB4\xB1\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x79"],
        ["\x7A\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xAC"],

        ["\xF3\xB4\xB1\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xC9"],
        ["\xC0\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xAD"],

        ["\xF3\xB4\xB1\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x7A"],
        ["\x7A\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xAE"],

        ["\xF3\xB4\xB1\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xCD"],
        ["\xC0\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xAF"],

        ["\xF3\xB4\xB1\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x7B"],
        ["\x7A\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xB1"],

        ["\xF3\xB4\xB1\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x7C"],
        ["\x7A\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xB2"],

        ["\xF3\xB4\xB1\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x7D"],
        ["\x7A\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xB3"],

        ["\xF3\xB4\xB1\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xD4"],
        ["\xC0\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xB4"],

        ["\xF3\xB4\xB1\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xD5"],
        ["\xC0\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xB5"],

        ["\xF3\xB4\xB1\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xDC"],
        ["\xC0\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xB6"],

        ["\xF3\xB4\xB1\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7A\x7E"],
        ["\x7A\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xB8"],

        ["\xF3\xB4\xB1\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x21"],
        ["\x7B\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xB9"],

        ["\xF3\xB4\xB1\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x22"],
        ["\x7B\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xBA"],

        ["\xF3\xB4\xB1\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xE4"],
        ["\xC0\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xBB"],

        ["\xF3\xB4\xB1\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x23"],
        ["\x7B\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xBD"],

        ["\xF3\xB4\xB1\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xED"],
        ["\xC0\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xBE"],

        ["\xF3\xB4\xB1\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x24"],
        ["\x7B\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB1\xBF"],

        ["\xF3\xB4\xB2\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xF1"],
        ["\xC0\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x80"],

        ["\xF3\xB4\xB2\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xF2"],
        ["\xC0\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x81"],

        ["\xF3\xB4\xB2\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xF8"],
        ["\xC0\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x82"],

        ["\xF3\xB4\xB2\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xF3"],
        ["\xC0\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x83"],

        ["\xF3\xB4\xB2\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xF7"],
        ["\xC0\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x84"],

        ["\xF3\xB4\xB2\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x25"],
        ["\x7B\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x85"],

        ["\xF3\xB4\xB2\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xA8"],
        ["\xC1\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x87"],

        ["\xF3\xB4\xB2\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xAA"],
        ["\xC1\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x88"],

        ["\xF3\xB4\xB2\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x26"],
        ["\x7B\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x89"],

        ["\xF3\xB4\xB2\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xAD"],
        ["\xC1\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x8A"],

        ["\xF3\xB4\xB2\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x27"],
        ["\x7B\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x8B"],

        ["\xF3\xB4\xB2\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x28"],
        ["\x7B\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x8C"],

        ["\xF3\xB4\xB2\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xBD"],
        ["\xC1\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x8D"],

        ["\xF3\xB4\xB2\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x29"],
        ["\x7B\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x8E"],

        ["\xF3\xB4\xB2\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xBA"],
        ["\xC1\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x8F"],

        ["\xF3\xB4\xB2\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x2A"],
        ["\x7B\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x91"],

        ["\xF3\xB4\xB2\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xB7"],
        ["\xC1\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x92"],

        ["\xF3\xB4\xB2\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x2B"],
        ["\x7B\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x93"],

        ["\xF3\xB4\xB2\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xCE"],
        ["\xC1\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x95"],

        ["\xF3\xB4\xB2\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xCC"],
        ["\xC1\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x96"],

        ["\xF3\xB4\xB2\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xD0"],
        ["\xC1\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x97"],

        ["\xF3\xB4\xB2\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x2C"],
        ["\x7B\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x98"],

        ["\xF3\xB4\xB2\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x2D"],
        ["\x7B\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x99"],

        ["\xF3\xB4\xB2\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x2E"],
        ["\x7B\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x9A"],

        ["\xF3\xB4\xB2\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x2F"],
        ["\x7B\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x9C"],

        ["\xF3\xB4\xB2\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x30"],
        ["\x7B\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x9D"],

        ["\xF3\xB4\xB2\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xE9"],
        ["\xC1\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\x9E"],

        ["\xF3\xB4\xB2\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xF1"],
        ["\xC1\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xA0"],

        ["\xF3\xB4\xB2\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x31"],
        ["\x7B\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xA1"],

        ["\xF3\xB4\xB2\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xA1"],
        ["\xC2\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xA2"],

        ["\xF3\xB4\xB2\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x32"],
        ["\x7B\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xA3"],

        ["\xF3\xB4\xB2\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xA2"],
        ["\xC2\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xA4"],

        ["\xF3\xB4\xB2\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x33"],
        ["\x7B\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xA5"],

        ["\xF3\xB4\xB2\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x34"],
        ["\x7B\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xA6"],

        ["\xF3\xB4\xB2\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xB4"],
        ["\xC2\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xA7"],

        ["\xF3\xB4\xB2\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x35"],
        ["\x7B\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xA8"],

        ["\xF3\xB4\xB2\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xB3"],
        ["\xC2\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xA9"],

        ["\xF3\xB4\xB2\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x36"],
        ["\x7B\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xAA"],

        ["\xF3\xB4\xB2\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xBB"],
        ["\xC2\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xAB"],

        ["\xF3\xB4\xB2\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x37"],
        ["\x7B\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xAC"],

        ["\xF3\xB4\xB2\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xD1"],
        ["\xC2\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xAD"],

        ["\xF3\xB4\xB2\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xE1"],
        ["\xC2\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xAE"],

        ["\xF3\xB4\xB2\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x38"],
        ["\x7B\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xAF"],

        ["\xF3\xB4\xB2\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xC7"],
        ["\xC2\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xB0"],

        ["\xF3\xB4\xB2\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xCF"],
        ["\xC2\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xB1"],

        ["\xF3\xB4\xB2\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xC8"],
        ["\xC2\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xB3"],

        ["\xF3\xB4\xB2\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xC9"],
        ["\xC2\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xB4"],

        ["\xF3\xB4\xB2\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xC4"],
        ["\xC2\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xB5"],

        ["\xF3\xB4\xB2\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x39"],
        ["\x7B\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xB6"],

        ["\xF3\xB4\xB2\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xDB"],
        ["\xC2\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xB7"],

        ["\xF3\xB4\xB2\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x3A"],
        ["\x7B\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xB8"],

        ["\xF3\xB4\xB2\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x3B"],
        ["\x7B\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xB9"],

        ["\xF3\xB4\xB2\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x3C"],
        ["\x7B\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xBA"],

        ["\xF3\xB4\xB2\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x3D"],
        ["\x7B\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xBB"],

        ["\xF3\xB4\xB2\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xEA"],
        ["\xC2\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xBC"],

        ["\xF3\xB4\xB2\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xE5"],
        ["\xC2\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB2\xBD"],

        ["\xF3\xB4\xB3\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x3E"],
        ["\x7B\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x80"],

        ["\xF3\xB4\xB3\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x3F"],
        ["\x7B\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x82"],

        ["\xF3\xB4\xB3\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xF5"],
        ["\xC2\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x83"],

        ["\xF3\xB4\xB3\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x40"],
        ["\x7B\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x84"],

        ["\xF3\xB4\xB3\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x41"],
        ["\x7B\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x85"],

        ["\xF3\xB4\xB3\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xF6"],
        ["\xC2\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x86"],

        ["\xF3\xB4\xB3\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x42"],
        ["\x7B\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x87"],

        ["\xF3\xB4\xB3\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xC0"],
        ["\xBD\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x89"],

        ["\xF3\xB4\xB3\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xFD"],
        ["\xC2\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x8B"],

        ["\xF3\xB4\xB3\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xA4"],
        ["\xC3\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x8C"],

        ["\xF3\xB4\xB3\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xA2"],
        ["\xC3\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x8D"],

        ["\xF3\xB4\xB3\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xA5"],
        ["\xC3\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x8E"],

        ["\xF3\xB4\xB3\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x43"],
        ["\x7B\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x90"],

        ["\xF3\xB4\xB3\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xAF"],
        ["\xC3\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x91"],

        ["\xF3\xB4\xB3\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x44"],
        ["\x7B\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x92"],

        ["\xF3\xB4\xB3\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x45"],
        ["\x7B\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x93"],

        ["\xF3\xB4\xB3\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x46"],
        ["\x7B\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x94"],

        ["\xF3\xB4\xB3\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x47"],
        ["\x7B\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x97"],

        ["\xF3\xB4\xB3\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x48"],
        ["\x7B\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x98"],

        ["\xF3\xB4\xB3\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xB7"],
        ["\xC3\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x99"],

        ["\xF3\xB4\xB3\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xC1"],
        ["\xC3\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x9B"],

        ["\xF3\xB4\xB3\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x49"],
        ["\x7B\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x9C"],

        ["\xF3\xB4\xB3\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xC6"],
        ["\xC3\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x9E"],

        ["\xF3\xB4\xB3\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x4A"],
        ["\x7B\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\x9F"],

        ["\xF3\xB4\xB3\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xC7"],
        ["\xC3\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xA0"],

        ["\xF3\xB4\xB3\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x4B"],
        ["\x7B\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xA2"],

        ["\xF3\xB4\xB3\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xD1"],
        ["\xC3\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xA3"],

        ["\xF3\xB4\xB3\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xD6"],
        ["\xC3\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xA5"],

        ["\xF3\xB4\xB3\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x4C"],
        ["\x7B\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xA6"],

        ["\xF3\xB4\xB3\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x4D"],
        ["\x7B\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xA7"],

        ["\xF3\xB4\xB3\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xE0"],
        ["\xC3\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xA8"],

        ["\xF3\xB4\xB3\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x4E"],
        ["\x7B\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xA9"],

        ["\xF3\xB4\xB3\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x4F"],
        ["\x7B\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xAA"],

        ["\xF3\xB4\xB3\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xE6"],
        ["\xC3\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xAB"],

        ["\xF3\xB4\xB3\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x50"],
        ["\x7B\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xAD"],

        ["\xF3\xB4\xB3\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xF0"],
        ["\xC3\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xAE"],

        ["\xF3\xB4\xB3\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x51"],
        ["\x7B\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xAF"],

        ["\xF3\xB4\xB3\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x52"],
        ["\x7B\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xB0"],

        ["\xF3\xB4\xB3\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xFA"],
        ["\xC3\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xB1"],

        ["\xF3\xB4\xB3\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x53"],
        ["\x7B\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xB3"],

        ["\xF3\xB4\xB3\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x54"],
        ["\x7B\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xB4"],

        ["\xF3\xB4\xB3\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xA6"],
        ["\xC4\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xB5"],

        ["\xF3\xB4\xB3\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xAE"],
        ["\xC4\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xB6"],

        ["\xF3\xB4\xB3\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x55"],
        ["\x7B\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xB7"],

        ["\xF3\xB4\xB3\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x56"],
        ["\x7B\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xB8"],

        ["\xF3\xB4\xB3\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x57"],
        ["\x7B\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xB9"],

        ["\xF3\xB4\xB3\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x58"],
        ["\x7B\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xBA"],

        ["\xF3\xB4\xB3\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x59"],
        ["\x7B\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xBB"],

        ["\xF3\xB4\xB3\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xBC"],
        ["\xC4\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xBD"],

        ["\xF3\xB4\xB3\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xBF"],
        ["\xC4\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB3\xBF"],

        ["\xF3\xB4\xB4\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xC0"],
        ["\xC4\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x81"],

        ["\xF3\xB4\xB4\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x5A"],
        ["\x7B\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x83"],

        ["\xF3\xB4\xB4\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xDD"],
        ["\xC4\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x84"],

        ["\xF3\xB4\xB4\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xD9"],
        ["\xC4\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x85"],

        ["\xF3\xB4\xB4\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x5B"],
        ["\x7B\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x86"],

        ["\xF3\xB4\xB4\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xD5"],
        ["\xC4\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x88"],

        ["\xF3\xB4\xB4\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xDC"],
        ["\xC4\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x8A"],

        ["\xF3\xB4\xB4\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x5C"],
        ["\x7B\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x8B"],

        ["\xF3\xB4\xB4\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xD1"],
        ["\xC4\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x8D"],

        ["\xF3\xB4\xB4\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x5D"],
        ["\x7B\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x8E"],

        ["\xF3\xB4\xB4\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x5E"],
        ["\x7B\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x8F"],

        ["\xF3\xB4\xB4\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xE6"],
        ["\xC4\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x90"],

        ["\xF3\xB4\xB4\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x5F"],
        ["\x7B\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x91"],

        ["\xF3\xB4\xB4\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xE5"],
        ["\xC4\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x92"],

        ["\xF3\xB4\xB4\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xE3"],
        ["\xC4\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x93"],

        ["\xF3\xB4\xB4\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x60"],
        ["\x7B\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x95"],

        ["\xF3\xB4\xB4\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x61"],
        ["\x7B\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x96"],

        ["\xF3\xB4\xB4\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xF0"],
        ["\xC4\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x97"],

        ["\xF3\xB4\xB4\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xF2"],
        ["\xC4\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x98"],

        ["\xF3\xB4\xB4\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x62"],
        ["\x7B\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x9A"],

        ["\xF3\xB4\xB4\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xF9"],
        ["\xC4\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x9B"],

        ["\xF3\xB4\xB4\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x63"],
        ["\x7B\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x9D"],

        ["\xF3\xB4\xB4\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xA2"],
        ["\xC5\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x9E"],

        ["\xF3\xB4\xB4\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xA1"],
        ["\xC5\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\x9F"],

        ["\xF3\xB4\xB4\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xFC"],
        ["\xC4\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xA0"],

        ["\xF3\xB4\xB4\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x64"],
        ["\x7B\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xA1"],

        ["\xF3\xB4\xB4\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x65"],
        ["\x7B\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xA2"],

        ["\xF3\xB4\xB4\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xA4"],
        ["\xC5\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xA3"],

        ["\xF3\xB4\xB4\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xA8"],
        ["\xC5\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xA4"],

        ["\xF3\xB4\xB4\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xA6"],
        ["\xC5\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xA5"],

        ["\xF3\xB4\xB4\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xA9"],
        ["\xC5\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xA6"],

        ["\xF3\xB4\xB4\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x66"],
        ["\x7B\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xA7"],

        ["\xF3\xB4\xB4\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x67"],
        ["\x7B\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xA9"],

        ["\xF3\xB4\xB4\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xB7"],
        ["\xC5\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xAC"],

        ["\xF3\xB4\xB4\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xBD"],
        ["\xC5\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xAD"],

        ["\xF3\xB4\xB4\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x68"],
        ["\x7B\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xAE"],

        ["\xF3\xB4\xB4\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x69"],
        ["\x7B\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xAF"],

        ["\xF3\xB4\xB4\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xC2"],
        ["\xC5\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xB0"],

        ["\xF3\xB4\xB4\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xC6"],
        ["\xC5\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xB1"],

        ["\xF3\xB4\xB4\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x6A"],
        ["\x7B\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xB2"],

        ["\xF3\xB4\xB4\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x6B"],
        ["\x7B\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xB3"],

        ["\xF3\xB4\xB4\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x6C"],
        ["\x7B\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xB4"],

        ["\xF3\xB4\xB4\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xC8"],
        ["\xC5\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xB5"],

        ["\xF3\xB4\xB4\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xCA"],
        ["\xC5\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xB6"],

        ["\xF3\xB4\xB4\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x6D"],
        ["\x7B\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xB7"],

        ["\xF3\xB4\xB4\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xCC"],
        ["\xC5\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xB8"],

        ["\xF3\xB4\xB4\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x6E"],
        ["\x7B\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xB9"],

        ["\xF3\xB4\xB4\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x6F"],
        ["\x7B\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xBA"],

        ["\xF3\xB4\xB4\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x70"],
        ["\x7B\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xBB"],

        ["\xF3\xB4\xB4\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x71"],
        ["\x7B\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xBC"],

        ["\xF3\xB4\xB4\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xCF"],
        ["\xC5\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xBD"],

        ["\xF3\xB4\xB4\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xD0"],
        ["\xC5\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xBE"],

        ["\xF3\xB4\xB4\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x72"],
        ["\x7B\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB4\xBF"],

        ["\xF3\xB4\xB5\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xD1"],
        ["\xC5\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x80"],

        ["\xF3\xB4\xB5\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x73"],
        ["\x7B\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x81"],

        ["\xF3\xB4\xB5\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x74"],
        ["\x7B\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x83"],

        ["\xF3\xB4\xB5\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xE1"],
        ["\xC5\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x86"],

        ["\xF3\xB4\xB5\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x75"],
        ["\x7B\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x87"],

        ["\xF3\xB4\xB5\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x76"],
        ["\x7B\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x88"],

        ["\xF3\xB4\xB5\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xE7"],
        ["\xC5\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x89"],

        ["\xF3\xB4\xB5\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xE6"],
        ["\xC5\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x8A"],

        ["\xF3\xB4\xB5\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x77"],
        ["\x7B\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x8B"],

        ["\xF3\xB4\xB5\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x78"],
        ["\x7B\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x8C"],

        ["\xF3\xB4\xB5\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xEB"],
        ["\xC5\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x8D"],

        ["\xF3\xB4\xB5\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x79"],
        ["\x7B\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x8E"],

        ["\xF3\xB4\xB5\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x7A"],
        ["\x7B\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x8F"],

        ["\xF3\xB4\xB5\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xEE"],
        ["\xC5\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x90"],

        ["\xF3\xB4\xB5\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x7B"],
        ["\x7B\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x91"],

        ["\xF3\xB4\xB5\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xF0"],
        ["\xC5\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x92"],

        ["\xF3\xB4\xB5\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xF3"],
        ["\xC5\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x94"],

        ["\xF3\xB4\xB5\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x7C"],
        ["\x7B\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x95"],

        ["\xF3\xB4\xB5\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xF7"],
        ["\xC5\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x96"],

        ["\xF3\xB4\xB5\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xF6"],
        ["\xC5\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x97"],

        ["\xF3\xB4\xB5\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x7D"],
        ["\x7B\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x98"],

        ["\xF3\xB4\xB5\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7B\x7E"],
        ["\x7B\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x99"],

        ["\xF3\xB4\xB5\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x21"],
        ["\x7C\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x9A"],

        ["\xF3\xB4\xB5\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x22"],
        ["\x7C\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x9B"],

        ["\xF3\xB4\xB5\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xA2"],
        ["\xC6\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x9C"],

        ["\xF3\xB4\xB5\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x23"],
        ["\x7C\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x9D"],

        ["\xF3\xB4\xB5\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xAF"],
        ["\xC6\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x9E"],

        ["\xF3\xB4\xB5\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x24"],
        ["\x7C\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\x9F"],

        ["\xF3\xB4\xB5\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xB4"],
        ["\xC6\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xA0"],

        ["\xF3\xB4\xB5\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x25"],
        ["\x7C\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xA2"],

        ["\xF3\xB4\xB5\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x26"],
        ["\x7C\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xA3"],

        ["\xF3\xB4\xB5\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xBA"],
        ["\xC6\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xA4"],

        ["\xF3\xB4\xB5\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xB8"],
        ["\xC6\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xA5"],

        ["\xF3\xB4\xB5\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x27"],
        ["\x7C\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xA6"],

        ["\xF3\xB4\xB5\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x28"],
        ["\x7C\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xA7"],

        ["\xF3\xB4\xB5\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x29"],
        ["\x7C\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xA8"],

        ["\xF3\xB4\xB5\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xC7"],
        ["\xC6\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xA9"],

        ["\xF3\xB4\xB5\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x2A"],
        ["\x7C\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xAA"],

        ["\xF3\xB4\xB5\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x2B"],
        ["\x7C\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xAB"],

        ["\xF3\xB4\xB5\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xD3"],
        ["\xC6\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xAC"],

        ["\xF3\xB4\xB5\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xD1"],
        ["\xC6\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xAD"],

        ["\xF3\xB4\xB5\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x2C"],
        ["\x7C\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xAE"],

        ["\xF3\xB4\xB5\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x2D"],
        ["\x7C\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xAF"],

        ["\xF3\xB4\xB5\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xD9"],
        ["\xC6\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xB0"],

        ["\xF3\xB4\xB5\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xDB"],
        ["\xC6\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xB1"],

        ["\xF3\xB4\xB5\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x2E"],
        ["\x7C\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xB2"],

        ["\xF3\xB4\xB5\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x2F"],
        ["\x7C\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xB3"],

        ["\xF3\xB4\xB5\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x30"],
        ["\x7C\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xB4"],

        ["\xF3\xB4\xB5\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x31"],
        ["\x7C\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xB5"],

        ["\xF3\xB4\xB5\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x32"],
        ["\x7C\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xB6"],

        ["\xF3\xB4\xB5\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x33"],
        ["\x7C\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xB7"],

        ["\xF3\xB4\xB5\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x34"],
        ["\x7C\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xB8"],

        ["\xF3\xB4\xB5\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xE8"],
        ["\xC6\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xB9"],

        ["\xF3\xB4\xB5\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x35"],
        ["\x7C\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xBA"],

        ["\xF3\xB4\xB5\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x36"],
        ["\x7C\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xBD"],

        ["\xF3\xB4\xB5\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x37"],
        ["\x7C\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xBE"],

        ["\xF3\xB4\xB5\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x38"],
        ["\x7C\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB5\xBF"],

        ["\xF3\xB4\xB6\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x39"],
        ["\x7C\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x81"],

        ["\xF3\xB4\xB6\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x3A"],
        ["\x7C\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x82"],

        ["\xF3\xB4\xB6\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xB2"],
        ["\xC7\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x83"],

        ["\xF3\xB4\xB6\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xB6"],
        ["\xC7\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x84"],

        ["\xF3\xB4\xB6\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xF8"],
        ["\xB9\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x85"],

        ["\xF3\xB4\xB6\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x3B"],
        ["\x7C\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x86"],

        ["\xF3\xB4\xB6\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xDE"],
        ["\xC8\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x87"],

        ["\xF3\xB4\xB6\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x3C"],
        ["\x7C\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x88"],

        ["\xF3\xB4\xB6\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xBB"],
        ["\xC7\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x89"],

        ["\xF3\xB4\xB6\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x3D"],
        ["\x7C\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x8A"],

        ["\xF3\xB4\xB6\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xC7"],
        ["\xC7\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x8B"],

        ["\xF3\xB4\xB6\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x3E"],
        ["\x7C\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x8C"],

        ["\xF3\xB4\xB6\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xD1"],
        ["\xC7\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x8D"],

        ["\xF3\xB4\xB6\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xD7"],
        ["\xC7\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x8E"],

        ["\xF3\xB4\xB6\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x3F"],
        ["\x7C\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x8F"],

        ["\xF3\xB4\xB6\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x40"],
        ["\x7C\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x90"],

        ["\xF3\xB4\xB6\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xED"],
        ["\xC5\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x91"],

        ["\xF3\xB4\xB6\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xE5"],
        ["\xC7\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x92"],

        ["\xF3\xB4\xB6\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x41"],
        ["\x7C\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x93"],

        ["\xF3\xB4\xB6\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x42"],
        ["\x7C\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x94"],

        ["\xF3\xB4\xB6\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x43"],
        ["\x7C\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x95"],

        ["\xF3\xB4\xB6\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xF1"],
        ["\xC7\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x96"],

        ["\xF3\xB4\xB6\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xFE"],
        ["\xC7\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x98"],

        ["\xF3\xB4\xB6\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x44"],
        ["\x7C\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x99"],

        ["\xF3\xB4\xB6\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xA6"],
        ["\xC8\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x9A"],

        ["\xF3\xB4\xB6\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x45"],
        ["\x7C\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x9B"],

        ["\xF3\xB4\xB6\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xAA"],
        ["\xC8\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x9C"],

        ["\xF3\xB4\xB6\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x46"],
        ["\x7C\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x9D"],

        ["\xF3\xB4\xB6\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xAE"],
        ["\xC8\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x9E"],

        ["\xF3\xB4\xB6\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xB0"],
        ["\xC8\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\x9F"],

        ["\xF3\xB4\xB6\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xB7"],
        ["\xC8\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xA0"],

        ["\xF3\xB4\xB6\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x47"],
        ["\x7C\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xA1"],

        ["\xF3\xB4\xB6\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x48"],
        ["\x7C\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xA3"],

        ["\xF3\xB4\xB6\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xCB"],
        ["\xC8\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xA4"],

        ["\xF3\xB4\xB6\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xC8"],
        ["\xC8\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xA5"],

        ["\xF3\xB4\xB6\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x49"],
        ["\x7C\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xA6"],

        ["\xF3\xB4\xB6\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xD4"],
        ["\xC8\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xA7"],

        ["\xF3\xB4\xB6\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x4A"],
        ["\x7C\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xA8"],

        ["\xF3\xB4\xB6\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xEA"],
        ["\xC5\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xA9"],

        ["\xF3\xB4\xB6\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x4B"],
        ["\x7C\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xAA"],

        ["\xF3\xB4\xB6\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x4C"],
        ["\x7C\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xAB"],

        ["\xF3\xB4\xB6\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x4D"],
        ["\x7C\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xAC"],

        ["\xF3\xB4\xB6\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x4E"],
        ["\x7C\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xAD"],

        ["\xF3\xB4\xB6\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xD9"],
        ["\xC8\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xAE"],

        ["\xF3\xB4\xB6\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xDC"],
        ["\xC8\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xAF"],

        ["\xF3\xB4\xB6\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xDF"],
        ["\xC8\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xB0"],

        ["\xF3\xB4\xB6\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x4F"],
        ["\x7C\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xB1"],

        ["\xF3\xB4\xB6\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xE0"],
        ["\xC8\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xB2"],

        ["\xF3\xB4\xB6\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xE5"],
        ["\xC8\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xB3"],

        ["\xF3\xB4\xB6\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x50"],
        ["\x7C\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xB4"],

        ["\xF3\xB4\xB6\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x51"],
        ["\x7C\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xB5"],

        ["\xF3\xB4\xB6\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xF1"],
        ["\xC8\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xB6"],

        ["\xF3\xB4\xB6\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xF0"],
        ["\xC8\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xB7"],

        ["\xF3\xB4\xB6\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x52"],
        ["\x7C\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xB8"],

        ["\xF3\xB4\xB6\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xF6"],
        ["\xC8\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xB9"],

        ["\xF3\xB4\xB6\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xFB"],
        ["\xC8\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xBA"],

        ["\xF3\xB4\xB6\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xF9"],
        ["\xC8\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xBB"],

        ["\xF3\xB4\xB6\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xFC"],
        ["\xC8\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xBC"],

        ["\xF3\xB4\xB6\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xA6"],
        ["\xC9\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xBD"],

        ["\xF3\xB4\xB6\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xA4"],
        ["\xC9\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB6\xBE"],

        ["\xF3\xB4\xB7\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xAB"],
        ["\xC9\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x80"],

        ["\xF3\xB4\xB7\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x53"],
        ["\x7C\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x82"],

        ["\xF3\xB4\xB7\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x54"],
        ["\x7C\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x83"],

        ["\xF3\xB4\xB7\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xB1"],
        ["\xC9\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x84"],

        ["\xF3\xB4\xB7\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xB2"],
        ["\xC9\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x86"],

        ["\xF3\xB4\xB7\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xB5"],
        ["\xC9\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x87"],

        ["\xF3\xB4\xB7\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x55"],
        ["\x7C\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x88"],

        ["\xF3\xB4\xB7\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x56"],
        ["\x7C\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x8A"],

        ["\xF3\xB4\xB7\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x57"],
        ["\x7C\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x8B"],

        ["\xF3\xB4\xB7\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x58"],
        ["\x7C\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x8C"],

        ["\xF3\xB4\xB7\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xC4"],
        ["\xC9\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x8D"],

        ["\xF3\xB4\xB7\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xC5"],
        ["\xC9\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x8E"],

        ["\xF3\xB4\xB7\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xC3"],
        ["\xC9\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x8F"],

        ["\xF3\xB4\xB7\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x59"],
        ["\x7C\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x90"],

        ["\xF3\xB4\xB7\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xD1"],
        ["\xC9\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x91"],

        ["\xF3\xB4\xB7\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x5A"],
        ["\x7C\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x93"],

        ["\xF3\xB4\xB7\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x5B"],
        ["\x7C\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x95"],

        ["\xF3\xB4\xB7\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x5C"],
        ["\x7C\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x97"],

        ["\xF3\xB4\xB7\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xED"],
        ["\xC9\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x98"],

        ["\xF3\xB4\xB7\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xEF"],
        ["\xC9\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x99"],

        ["\xF3\xB4\xB7\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xF7"],
        ["\xC9\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x9A"],

        ["\xF3\xB4\xB7\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xF9"],
        ["\xC9\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x9B"],

        ["\xF3\xB4\xB7\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x5D"],
        ["\x7C\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x9C"],

        ["\xF3\xB4\xB7\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xFB"],
        ["\xC9\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x9D"],

        ["\xF3\xB4\xB7\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xFD"],
        ["\xC9\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x9E"],

        ["\xF3\xB4\xB7\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x5E"],
        ["\x7C\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\x9F"],

        ["\xF3\xB4\xB7\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCA\xA2"],
        ["\xCA\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xA0"],

        ["\xF3\xB4\xB7\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x5F"],
        ["\x7C\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xA1"],

        ["\xF3\xB4\xB7\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCA\xA6"],
        ["\xCA\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xA2"],

        ["\xF3\xB4\xB7\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCA\xAA"],
        ["\xCA\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xA3"],

        ["\xF3\xB4\xB7\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x60"],
        ["\x7C\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xA4"],

        ["\xF3\xB4\xB7\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x61"],
        ["\x7C\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xA5"],

        ["\xF3\xB4\xB7\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x62"],
        ["\x7C\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xA6"],

        ["\xF3\xB4\xB7\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x63"],
        ["\x7C\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xA7"],

        ["\xF3\xB4\xB7\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x64"],
        ["\x7C\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xA8"],

        ["\xF3\xB4\xB7\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCA\xB5"],
        ["\xCA\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xA9"],

        ["\xF3\xB4\xB7\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x65"],
        ["\x7C\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xAA"],

        ["\xF3\xB4\xB7\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCA\xBF"],
        ["\xCA\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xAB"],

        ["\xF3\xB4\xB7\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCA\xC3"],
        ["\xCA\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xAC"],

        ["\xF3\xB4\xB7\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x66"],
        ["\x7C\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xAD"],

        ["\xF3\xB4\xB7\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x67"],
        ["\x7C\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xAE"],

        ["\xF3\xB4\xB7\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x68"],
        ["\x7C\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xAF"],

        ["\xF3\xB4\xB7\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xF6"],
        ["\xD5\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xB0"],

        ["\xF3\xB4\xB7\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x69"],
        ["\x7C\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xB1"],

        ["\xF3\xB4\xB7\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x6A"],
        ["\x7C\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xB2"],

        ["\xF3\xB4\xB7\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x6B"],
        ["\x7C\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xB3"],

        ["\xF3\xB4\xB7\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x6C"],
        ["\x7C\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xB4"],

        ["\xF3\xB4\xB7\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x6D"],
        ["\x7C\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xB5"],

        ["\xF3\xB4\xB7\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x6E"],
        ["\x7C\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xB6"],

        ["\xF3\xB4\xB7\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x6F"],
        ["\x7C\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xB7"],

        ["\xF3\xB4\xB7\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x70"],
        ["\x7C\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xB8"],

        ["\xF3\xB4\xB7\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCA\xE4"],
        ["\xCA\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xB9"],

        ["\xF3\xB4\xB7\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x71"],
        ["\x7C\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xBA"],

        ["\xF3\xB4\xB7\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCA\xEE"],
        ["\xCA\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xBB"],

        ["\xF3\xB4\xB7\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x72"],
        ["\x7C\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xBC"],

        ["\xF3\xB4\xB7\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x73"],
        ["\x7C\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xBD"],

        ["\xF3\xB4\xB7\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x74"],
        ["\x7C\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xBE"],

        ["\xF3\xB4\xB7\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCB\xA5"],
        ["\xCB\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB7\xBF"],

        ["\xF3\xB4\xB8\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x75"],
        ["\x7C\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x80"],

        ["\xF3\xB4\xB8\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCB\xA6"],
        ["\xCB\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x81"],

        ["\xF3\xB4\xB8\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x76"],
        ["\x7C\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x82"],

        ["\xF3\xB4\xB8\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x77"],
        ["\x7C\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x83"],

        ["\xF3\xB4\xB8\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x78"],
        ["\x7C\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x84"],

        ["\xF3\xB4\xB8\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x79"],
        ["\x7C\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x85"],

        ["\xF3\xB4\xB8\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x7A"],
        ["\x7C\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x86"],

        ["\xF3\xB4\xB8\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCB\xB5"],
        ["\xCB\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x87"],

        ["\xF3\xB4\xB8\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x7B"],
        ["\x7C\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x88"],

        ["\xF3\xB4\xB8\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x7C"],
        ["\x7C\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x8B"],

        ["\xF3\xB4\xB8\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x7D"],
        ["\x7C\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x8C"],

        ["\xF3\xB4\xB8\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7C\x7E"],
        ["\x7C\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x8D"],

        ["\xF3\xB4\xB8\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x21"],
        ["\x7D\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x8E"],

        ["\xF3\xB4\xB8\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x22"],
        ["\x7D\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x8F"],

        ["\xF3\xB4\xB8\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x23"],
        ["\x7D\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x90"],

        ["\xF3\xB4\xB8\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCB\xCE"],
        ["\xCB\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x91"],

        ["\xF3\xB4\xB8\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x24"],
        ["\x7D\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x92"],

        ["\xF3\xB4\xB8\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x25"],
        ["\x7D\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x93"],

        ["\xF3\xB4\xB8\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x26"],
        ["\x7D\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x94"],

        ["\xF3\xB4\xB8\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x27"],
        ["\x7D\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x95"],

        ["\xF3\xB4\xB8\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCB\xE1"],
        ["\xCB\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x96"],

        ["\xF3\xB4\xB8\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x28"],
        ["\x7D\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x97"],

        ["\xF3\xB4\xB8\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCB\xFB"],
        ["\xCB\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x98"],

        ["\xF3\xB4\xB8\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCB\xF8"],
        ["\xCB\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x99"],

        ["\xF3\xB4\xB8\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x29"],
        ["\x7D\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x9B"],

        ["\xF3\xB4\xB8\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x2A"],
        ["\x7D\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x9C"],

        ["\xF3\xB4\xB8\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x2B"],
        ["\x7D\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x9D"],

        ["\xF3\xB4\xB8\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCB\xFC"],
        ["\xCB\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x9E"],

        ["\xF3\xB4\xB8\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x2C"],
        ["\x7D\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\x9F"],

        ["\xF3\xB4\xB8\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x2D"],
        ["\x7D\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xA0"],

        ["\xF3\xB4\xB8\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x2E"],
        ["\x7D\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xA1"],

        ["\xF3\xB4\xB8\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x2F"],
        ["\x7D\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xA2"],

        ["\xF3\xB4\xB8\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x30"],
        ["\x7D\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xA4"],

        ["\xF3\xB4\xB8\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x31"],
        ["\x7D\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xA5"],

        ["\xF3\xB4\xB8\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x32"],
        ["\x7D\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xA6"],

        ["\xF3\xB4\xB8\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x33"],
        ["\x7D\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xA7"],

        ["\xF3\xB4\xB8\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x34"],
        ["\x7D\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xA8"],

        ["\xF3\xB4\xB8\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCC\xC2"],
        ["\xCC\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xA9"],

        ["\xF3\xB4\xB8\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x35"],
        ["\x7D\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xAB"],

        ["\xF3\xB4\xB8\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x36"],
        ["\x7D\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xAC"],

        ["\xF3\xB4\xB8\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x37"],
        ["\x7D\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xAD"],

        ["\xF3\xB4\xB8\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x38"],
        ["\x7D\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xAE"],

        ["\xF3\xB4\xB8\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x39"],
        ["\x7D\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xAF"],

        ["\xF3\xB4\xB8\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x3A"],
        ["\x7D\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xB0"],

        ["\xF3\xB4\xB8\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x3B"],
        ["\x7D\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xB1"],

        ["\xF3\xB4\xB8\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x3C"],
        ["\x7D\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xB2"],

        ["\xF3\xB4\xB8\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x3D"],
        ["\x7D\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xB4"],

        ["\xF3\xB4\xB8\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x3E"],
        ["\x7D\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xB6"],

        ["\xF3\xB4\xB8\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x3F"],
        ["\x7D\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xB7"],

        ["\xF3\xB4\xB8\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x40"],
        ["\x7D\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xB8"],

        ["\xF3\xB4\xB8\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCC\xFE"],
        ["\xCC\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xB9"],

        ["\xF3\xB4\xB8\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x41"],
        ["\x7D\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xBA"],

        ["\xF3\xB4\xB8\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x42"],
        ["\x7D\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xBC"],

        ["\xF3\xB4\xB8\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xAA"],
        ["\xCD\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xBD"],

        ["\xF3\xB4\xB8\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x43"],
        ["\x7D\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xBE"],

        ["\xF3\xB4\xB8\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xBA"],
        ["\xCD\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB8\xBF"],

        ["\xF3\xB4\xB9\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x44"],
        ["\x7D\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x80"],

        ["\xF3\xB4\xB9\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x45"],
        ["\x7D\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x81"],

        ["\xF3\xB4\xB9\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x46"],
        ["\x7D\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x82"],

        ["\xF3\xB4\xB9\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xB9"],
        ["\xCD\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x83"],

        ["\xF3\xB4\xB9\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x47"],
        ["\x7D\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x84"],

        ["\xF3\xB4\xB9\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x48"],
        ["\x7D\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x85"],

        ["\xF3\xB4\xB9\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xBC"],
        ["\xCD\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x86"],

        ["\xF3\xB4\xB9\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xBF"],
        ["\xCD\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x87"],

        ["\xF3\xB4\xB9\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xC7"],
        ["\xCD\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x88"],

        ["\xF3\xB4\xB9\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x49"],
        ["\x7D\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x89"],

        ["\xF3\xB4\xB9\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x4A"],
        ["\x7D\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x8A"],

        ["\xF3\xB4\xB9\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x4B"],
        ["\x7D\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x8B"],

        ["\xF3\xB4\xB9\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x4C"],
        ["\x7D\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x8C"],

        ["\xF3\xB4\xB9\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xCC"],
        ["\xCD\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x8D"],

        ["\xF3\xB4\xB9\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x4D"],
        ["\x7D\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x8E"],

        ["\xF3\xB4\xB9\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x4E"],
        ["\x7D\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x8F"],

        ["\xF3\xB4\xB9\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x4F"],
        ["\x7D\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x90"],

        ["\xF3\xB4\xB9\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x50"],
        ["\x7D\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x91"],

        ["\xF3\xB4\xB9\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xD5"],
        ["\xCD\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x92"],

        ["\xF3\xB4\xB9\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xD6"],
        ["\xCD\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x93"],

        ["\xF3\xB4\xB9\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x51"],
        ["\x7D\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x94"],

        ["\xF3\xB4\xB9\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x52"],
        ["\x7D\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x95"],

        ["\xF3\xB4\xB9\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x53"],
        ["\x7D\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x96"],

        ["\xF3\xB4\xB9\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xDE"],
        ["\xCD\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x97"],

        ["\xF3\xB4\xB9\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x54"],
        ["\x7D\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x98"],

        ["\xF3\xB4\xB9\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x55"],
        ["\x7D\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x99"],

        ["\xF3\xB4\xB9\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x56"],
        ["\x7D\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x9A"],

        ["\xF3\xB4\xB9\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x57"],
        ["\x7D\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x9B"],

        ["\xF3\xB4\xB9\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xE0"],
        ["\xCD\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x9C"],

        ["\xF3\xB4\xB9\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x58"],
        ["\x7D\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x9D"],

        ["\xF3\xB4\xB9\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x59"],
        ["\x7D\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x9E"],

        ["\xF3\xB4\xB9\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x5A"],
        ["\x7D\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\x9F"],

        ["\xF3\xB4\xB9\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x5B"],
        ["\x7D\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xA0"],

        ["\xF3\xB4\xB9\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x5C"],
        ["\x7D\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xA1"],

        ["\xF3\xB4\xB9\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x5D"],
        ["\x7D\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xA2"],

        ["\xF3\xB4\xB9\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xF2"],
        ["\xCD\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xA3"],

        ["\xF3\xB4\xB9\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xF4"],
        ["\xCD\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xA4"],

        ["\xF3\xB4\xB9\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xFC"],
        ["\xCD\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xA5"],

        ["\xF3\xB4\xB9\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xFE"],
        ["\xCD\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xA6"],

        ["\xF3\xB4\xB9\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x5E"],
        ["\x7D\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xA7"],

        ["\xF3\xB4\xB9\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x5F"],
        ["\x7D\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xAA"],

        ["\xF3\xB4\xB9\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x60"],
        ["\x7D\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xAB"],

        ["\xF3\xB4\xB9\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x61"],
        ["\x7D\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xAC"],

        ["\xF3\xB4\xB9\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xA6"],
        ["\xCE\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xAD"],

        ["\xF3\xB4\xB9\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xAC"],
        ["\xCE\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xAE"],

        ["\xF3\xB4\xB9\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xAD"],
        ["\xCE\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xAF"],

        ["\xF3\xB4\xB9\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x62"],
        ["\x7D\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xB0"],

        ["\xF3\xB4\xB9\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x63"],
        ["\x7D\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xB1"],

        ["\xF3\xB4\xB9\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x64"],
        ["\x7D\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xB2"],

        ["\xF3\xB4\xB9\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xB8"],
        ["\xCE\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xB3"],

        ["\xF3\xB4\xB9\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x65"],
        ["\x7D\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xB4"],

        ["\xF3\xB4\xB9\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x66"],
        ["\x7D\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xB5"],

        ["\xF3\xB4\xB9\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xC1"],
        ["\xCE\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xB6"],

        ["\xF3\xB4\xB9\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x67"],
        ["\x7D\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xB7"],

        ["\xF3\xB4\xB9\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xC9"],
        ["\xCE\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xB9"],

        ["\xF3\xB4\xB9\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xCE"],
        ["\xCE\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xBA"],

        ["\xF3\xB4\xB9\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xDB"],
        ["\xCE\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xBC"],

        ["\xF3\xB4\xB9\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xD2"],
        ["\xCE\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xBD"],

        ["\xF3\xB4\xB9\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xD9"],
        ["\xCE\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xBE"],

        ["\xF3\xB4\xB9\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xDD"],
        ["\xCE\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xB9\xBF"],

        ["\xF3\xB4\xBA\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xDE"],
        ["\xCE\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x80"],

        ["\xF3\xB4\xBA\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x68"],
        ["\x7D\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x83"],

        ["\xF3\xB4\xBA\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x69"],
        ["\x7D\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x85"],

        ["\xF3\xB4\xBA\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x6A"],
        ["\x7D\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x88"],

        ["\xF3\xB4\xBA\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x6B"],
        ["\x7D\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x89"],

        ["\xF3\xB4\xBA\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xBC"],
        ["\xB6\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x8A"],

        ["\xF3\xB4\xBA\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xF7"],
        ["\xCE\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x8B"],

        ["\xF3\xB4\xBA\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xF6"],
        ["\xCE\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x8C"],

        ["\xF3\xB4\xBA\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x6C"],
        ["\x7D\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x8D"],

        ["\xF3\xB4\xBA\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x6D"],
        ["\x7D\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x8E"],

        ["\xF3\xB4\xBA\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xA7"],
        ["\xCF\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x8F"],

        ["\xF3\xB4\xBA\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x6E"],
        ["\x7D\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x90"],

        ["\xF3\xB4\xBA\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x6F"],
        ["\x7D\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x91"],

        ["\xF3\xB4\xBA\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xB8"],
        ["\xCF\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x92"],

        ["\xF3\xB4\xBA\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x70"],
        ["\x7D\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x94"],

        ["\xF3\xB4\xBA\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xBE"],
        ["\xCF\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x95"],

        ["\xF3\xB4\xBA\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x71"],
        ["\x7D\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x96"],

        ["\xF3\xB4\xBA\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x72"],
        ["\x7D\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x98"],

        ["\xF3\xB4\xBA\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x73"],
        ["\x7D\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x99"],

        ["\xF3\xB4\xBA\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xD2"],
        ["\xCF\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x9A"],

        ["\xF3\xB4\xBA\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xD1"],
        ["\xCF\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x9B"],

        ["\xF3\xB4\xBA\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xD0"],
        ["\xCF\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x9C"],

        ["\xF3\xB4\xBA\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xD6"],
        ["\xCF\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x9D"],

        ["\xF3\xB4\xBA\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x74"],
        ["\x7D\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x9E"],

        ["\xF3\xB4\xBA\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x75"],
        ["\x7D\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\x9F"],

        ["\xF3\xB4\xBA\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x76"],
        ["\x7D\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xA0"],

        ["\xF3\xB4\xBA\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xDB"],
        ["\xCF\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xA1"],

        ["\xF3\xB4\xBA\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x77"],
        ["\x7D\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xA2"],

        ["\xF3\xB4\xBA\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x78"],
        ["\x7D\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xA3"],

        ["\xF3\xB4\xBA\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x79"],
        ["\x7D\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xA4"],

        ["\xF3\xB4\xBA\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xE3"],
        ["\xCF\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xA5"],

        ["\xF3\xB4\xBA\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xE6"],
        ["\xCF\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xA6"],

        ["\xF3\xB4\xBA\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xE8"],
        ["\xCF\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xA7"],

        ["\xF3\xB4\xBA\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x7A"],
        ["\x7D\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xA8"],

        ["\xF3\xB4\xBA\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xEC"],
        ["\xCF\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xA9"],

        ["\xF3\xB4\xBA\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x7B"],
        ["\x7D\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xAA"],

        ["\xF3\xB4\xBA\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xE2"],
        ["\xB4\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xAB"],

        ["\xF3\xB4\xBA\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xF1"],
        ["\xCF\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xAC"],

        ["\xF3\xB4\xBA\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xFE"],
        ["\xCF\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xAD"],

        ["\xF3\xB4\xBA\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xA2"],
        ["\xD0\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xAE"],

        ["\xF3\xB4\xBA\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xA1"],
        ["\xD0\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xAF"],

        ["\xF3\xB4\xBA\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x7C"],
        ["\x7D\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xB0"],

        ["\xF3\xB4\xBA\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xB4"],
        ["\xD0\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xB1"],

        ["\xF3\xB4\xBA\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x7D"],
        ["\x7D\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xB2"],

        ["\xF3\xB4\xBA\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xD8"],
        ["\xD0\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xB3"],

        ["\xF3\xB4\xBA\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7D\x7E"],
        ["\x7D\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xB4"],

        ["\xF3\xB4\xBA\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x21"],
        ["\x7E\x21",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xB5"],

        ["\xF3\xB4\xBA\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x22"],
        ["\x7E\x22",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xB6"],

        ["\xF3\xB4\xBA\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x23"],
        ["\x7E\x23",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xB7"],

        ["\xF3\xB4\xBA\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xE2"],
        ["\xD0\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xB8"],

        ["\xF3\xB4\xBA\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xE8"],
        ["\xD0\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xB9"],

        ["\xF3\xB4\xBA\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x24"],
        ["\x7E\x24",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xBA"],

        ["\xF3\xB4\xBA\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x25"],
        ["\x7E\x25",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xBB"],

        ["\xF3\xB4\xBA\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xE9"],
        ["\xD0\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xBC"],

        ["\xF3\xB4\xBA\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xEA"],
        ["\xD0\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xBD"],

        ["\xF3\xB4\xBA\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x26"],
        ["\x7E\x26",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xBE"],

        ["\xF3\xB4\xBA\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xED"],
        ["\xD0\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBA\xBF"],

        ["\xF3\xB4\xBB\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xEF"],
        ["\xD0\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\x81"],

        ["\xF3\xB4\xBB\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xF0"],
        ["\xD0\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\x82"],

        ["\xF3\xB4\xBB\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x27"],
        ["\x7E\x27",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\x84"],

        ["\xF3\xB4\xBB\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xF4"],
        ["\xD0\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\x86"],

        ["\xF3\xB4\xBB\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x28"],
        ["\x7E\x28",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\x87"],

        ["\xF3\xB4\xBB\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x29"],
        ["\x7E\x29",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\x88"],

        ["\xF3\xB4\xBB\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xF8"],
        ["\xD0\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\x8A"],

        ["\xF3\xB4\xBB\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xFA"],
        ["\xD0\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\x8B"],

        ["\xF3\xB4\xBB\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xFB"],
        ["\xD0\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\x8C"],

        ["\xF3\xB4\xBB\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x2A"],
        ["\x7E\x2A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\x8D"],

        ["\xF3\xB4\xBB\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x2B"],
        ["\x7E\x2B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\x8E"],

        ["\xF3\xB4\xBB\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xFE"],
        ["\xD0\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\x8F"],

        ["\xF3\xB4\xBB\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x2C"],
        ["\x7E\x2C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\x90"],

        ["\xF3\xB4\xBB\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xAD"],
        ["\xD1\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\x91"],

        ["\xF3\xB4\xBB\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x2D"],
        ["\x7E\x2D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\x92"],

        ["\xF3\xB4\xBB\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x2E"],
        ["\x7E\x2E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\x93"],

        ["\xF3\xB4\xBB\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xA1"],
        ["\xCF\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\x94"],

        ["\xF3\xB4\xBB\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xC3"],
        ["\xD1\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\x96"],

        ["\xF3\xB4\xBB\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xBC"],
        ["\xD1\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\x9A"],

        ["\xF3\xB4\xBB\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xC5"],
        ["\xD1\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\x9B"],

        ["\xF3\xB4\xBB\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xD2"],
        ["\xD1\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\x9D"],

        ["\xF3\xB4\xBB\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xD5"],
        ["\xD1\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\xA2"],

        ["\xF3\xB4\xBB\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xD4"],
        ["\xD1\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\xA3"],

        ["\xF3\xB4\xBB\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x2F"],
        ["\x7E\x2F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\xA6"],

        ["\xF3\xB4\xBB\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x30"],
        ["\x7E\x30",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\xA7"],

        ["\xF3\xB4\xBB\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x31"],
        ["\x7E\x31",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\xA8"],

        ["\xF3\xB4\xBB\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x32"],
        ["\x7E\x32",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\xAC"],

        ["\xF3\xB4\xBB\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xA7"],
        ["\xD2\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\xAD"],

        ["\xF3\xB4\xBB\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xC5"],
        ["\xD2\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\xB1"],

        ["\xF3\xB4\xBB\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x33"],
        ["\x7E\x33",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\xB2"],

        ["\xF3\xB4\xBB\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xBD"],
        ["\xD2\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\xB3"],

        ["\xF3\xB4\xBB\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x34"],
        ["\x7E\x34",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\xB4"],

        ["\xF3\xB4\xBB\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x35"],
        ["\x7E\x35",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\xB5"],

        ["\xF3\xB4\xBB\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x36"],
        ["\x7E\x36",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\xB7"],

        ["\xF3\xB4\xBB\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x37"],
        ["\x7E\x37",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\xB8"],

        ["\xF3\xB4\xBB\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xD1"],
        ["\xD2\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\xB9"],

        ["\xF3\xB4\xBB\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xD8"],
        ["\xD2\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\xBC"],

        ["\xF3\xB4\xBB\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xE8"],
        ["\xD2\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\xBD"],

        ["\xF3\xB4\xBB\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xEA"],
        ["\xD2\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\xBE"],

        ["\xF3\xB4\xBB\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xEE"],
        ["\xD2\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBB\xBF"],

        ["\xF3\xB4\xBC\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xED"],
        ["\xD2\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x80"],

        ["\xF3\xB4\xBC\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x38"],
        ["\x7E\x38",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x81"],

        ["\xF3\xB4\xBC\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xF7"],
        ["\xD2\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x82"],

        ["\xF3\xB4\xBC\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xF8"],
        ["\xD2\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x83"],

        ["\xF3\xB4\xBC\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x39"],
        ["\x7E\x39",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x84"],

        ["\xF3\xB4\xBC\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xFD"],
        ["\xD2\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x85"],

        ["\xF3\xB4\xBC\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x3A"],
        ["\x7E\x3A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x86"],

        ["\xF3\xB4\xBC\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x3B"],
        ["\x7E\x3B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x87"],

        ["\xF3\xB4\xBC\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xD8"],
        ["\xCD\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x88"],

        ["\xF3\xB4\xBC\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x3C"],
        ["\x7E\x3C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x89"],

        ["\xF3\xB4\xBC\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x3D"],
        ["\x7E\x3D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x8A"],

        ["\xF3\xB4\xBC\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xA6"],
        ["\xD3\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x8B"],

        ["\xF3\xB4\xBC\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xA7"],
        ["\xD3\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x8C"],

        ["\xF3\xB4\xBC\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xAA"],
        ["\xD3\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x8D"],

        ["\xF3\xB4\xBC\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x3E"],
        ["\x7E\x3E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x8E"],

        ["\xF3\xB4\xBC\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x3F"],
        ["\x7E\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x8F"],

        ["\xF3\xB4\xBC\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x40"],
        ["\x7E\x40",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x90"],

        ["\xF3\xB4\xBC\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x41"],
        ["\x7E\x41",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x91"],

        ["\xF3\xB4\xBC\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xB0"],
        ["\xD3\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x92"],

        ["\xF3\xB4\xBC\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xF4"],
        ["\xB6\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x93"],

        ["\xF3\xB4\xBC\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x42"],
        ["\x7E\x42",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x96"],

        ["\xF3\xB4\xBC\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xC2"],
        ["\xD3\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x97"],

        ["\xF3\xB4\xBC\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x43"],
        ["\x7E\x43",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x98"],

        ["\xF3\xB4\xBC\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xCD"],
        ["\xD5\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x99"],

        ["\xF3\xB4\xBC\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x44"],
        ["\x7E\x44",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x9A"],

        ["\xF3\xB4\xBC\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xCD"],
        ["\xD3\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x9B"],

        ["\xF3\xB4\xBC\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x45"],
        ["\x7E\x45",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\x9C"],

        ["\xF3\xB4\xBC\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xD8"],
        ["\xD3\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xA0"],

        ["\xF3\xB4\xBC\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xBC"],
        ["\xCE\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xA2"],

        ["\xF3\xB4\xBC\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x46"],
        ["\x7E\x46",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xA3"],

        ["\xF3\xB4\xBC\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xE3"],
        ["\xD3\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xA4"],

        ["\xF3\xB4\xBC\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x47"],
        ["\x7E\x47",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xA5"],

        ["\xF3\xB4\xBC\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x48"],
        ["\x7E\x48",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xA6"],

        ["\xF3\xB4\xBC\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xF0"],
        ["\xD5\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xA7"],

        ["\xF3\xB4\xBC\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xE7"],
        ["\xD3\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xA8"],

        ["\xF3\xB4\xBC\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x49"],
        ["\x7E\x49",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xA9"],

        ["\xF3\xB4\xBC\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xEB"],
        ["\xD3\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xAA"],

        ["\xF3\xB4\xBC\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x4A"],
        ["\x7E\x4A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xAB"],

        ["\xF3\xB4\xBC\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x4B"],
        ["\x7E\x4B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xAC"],

        ["\xF3\xB4\xBC\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x4C"],
        ["\x7E\x4C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xAD"],

        ["\xF3\xB4\xBC\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xF3"],
        ["\xD3\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xAE"],

        ["\xF3\xB4\xBC\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xF5"],
        ["\xD3\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xAF"],

        ["\xF3\xB4\xBC\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xF6"],
        ["\xD3\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xB0"],

        ["\xF3\xB4\xBC\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x4D"],
        ["\x7E\x4D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xB1"],

        ["\xF3\xB4\xBC\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x4E"],
        ["\x7E\x4E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xB2"],

        ["\xF3\xB4\xBC\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xFC"],
        ["\xD3\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xB3"],

        ["\xF3\xB4\xBC\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xFD"],
        ["\xD3\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xB4"],

        ["\xF3\xB4\xBC\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x4F"],
        ["\x7E\x4F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xB5"],

        ["\xF3\xB4\xBC\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xA2"],
        ["\xD4\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xB7"],

        ["\xF3\xB4\xBC\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x45\x3F"],
        ["\x45\x3F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xB8"],

        ["\xF3\xB4\xBC\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x50"],
        ["\x7E\x50",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xB9"],

        ["\xF3\xB4\xBC\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xA6"],
        ["\xD4\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xBB"],

        ["\xF3\xB4\xBC\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xAB"],
        ["\xD4\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xBC"],

        ["\xF3\xB4\xBC\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xAD"],
        ["\xD4\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xBD"],

        ["\xF3\xB4\xBC\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x51"],
        ["\x7E\x51",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xBE"],

        ["\xF3\xB4\xBC\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x52"],
        ["\x7E\x52",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBC\xBF"],

        ["\xF3\xB4\xBD\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xCD"],
        ["\xD4\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x81"],

        ["\xF3\xB4\xBD\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xCC"],
        ["\xD4\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x82"],

        ["\xF3\xB4\xBD\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x53"],
        ["\x7E\x53",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x83"],

        ["\xF3\xB4\xBD\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x54"],
        ["\x7E\x54",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x84"],

        ["\xF3\xB4\xBD\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xD3"],
        ["\xD4\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x85"],

        ["\xF3\xB4\xBD\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xD2"],
        ["\xD4\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x86"],

        ["\xF3\xB4\xBD\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xD4"],
        ["\xD4\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x87"],

        ["\xF3\xB4\xBD\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x55"],
        ["\x7E\x55",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x89"],

        ["\xF3\xB4\xBD\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x56"],
        ["\x7E\x56",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x8A"],

        ["\xF3\xB4\xBD\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x57"],
        ["\x7E\x57",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x8B"],

        ["\xF3\xB4\xBD\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x58"],
        ["\x7E\x58",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x8C"],

        ["\xF3\xB4\xBD\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x59"],
        ["\x7E\x59",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x8D"],

        ["\xF3\xB4\xBD\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x5A"],
        ["\x7E\x5A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x8E"],

        ["\xF3\xB4\xBD\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x5B"],
        ["\x7E\x5B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x8F"],

        ["\xF3\xB4\xBD\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xE3"],
        ["\xD4\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x90"],

        ["\xF3\xB4\xBD\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xE4"],
        ["\xD4\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x91"],

        ["\xF3\xB4\xBD\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x5C"],
        ["\x7E\x5C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x92"],

        ["\xF3\xB4\xBD\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x5D"],
        ["\x7E\x5D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x93"],

        ["\xF3\xB4\xBD\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x5E"],
        ["\x7E\x5E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x94"],

        ["\xF3\xB4\xBD\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xEB"],
        ["\xD4\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x95"],

        ["\xF3\xB4\xBD\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xF2"],
        ["\xD4\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x96"],

        ["\xF3\xB4\xBD\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xF1"],
        ["\xD4\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x97"],

        ["\xF3\xB4\xBD\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xF8"],
        ["\xD4\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x9A"],

        ["\xF3\xB4\xBD\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x5F"],
        ["\x7E\x5F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x9B"],

        ["\xF3\xB4\xBD\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xFA"],
        ["\xD4\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x9D"],

        ["\xF3\xB4\xBD\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x60"],
        ["\x7E\x60",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x9E"],

        ["\xF3\xB4\xBD\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x61"],
        ["\x7E\x61",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\x9F"],

        ["\xF3\xB4\xBD\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xA5"],
        ["\xD5\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xA0"],

        ["\xF3\xB4\xBD\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xAA"],
        ["\xD5\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xA1"],

        ["\xF3\xB4\xBD\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x62"],
        ["\x7E\x62",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xA2"],

        ["\xF3\xB4\xBD\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x63"],
        ["\x7E\x63",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xA3"],

        ["\xF3\xB4\xBD\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xB3"],
        ["\xD5\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xA5"],

        ["\xF3\xB4\xBD\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x64"],
        ["\x7E\x64",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xA6"],

        ["\xF3\xB4\xBD\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x65"],
        ["\x7E\x65",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xA7"],

        ["\xF3\xB4\xBD\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x66"],
        ["\x7E\x66",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xA8"],

        ["\xF3\xB4\xBD\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xB9"],
        ["\xD5\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xA9"],

        ["\xF3\xB4\xBD\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xBB"],
        ["\xD5\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xAA"],

        ["\xF3\xB4\xBD\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x67"],
        ["\x7E\x67",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xAB"],

        ["\xF3\xB4\xBD\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xBF"],
        ["\xD5\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xAC"],

        ["\xF3\xB4\xBD\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xC5"],
        ["\xD5\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xAD"],

        ["\xF3\xB4\xBD\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xC4"],
        ["\xD5\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xAE"],

        ["\xF3\xB4\xBD\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xCC"],
        ["\xD5\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xAF"],

        ["\xF3\xB4\xBD\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xCA"],
        ["\xD5\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xB0"],

        ["\xF3\xB4\xBD\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x68"],
        ["\x7E\x68",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xB1"],

        ["\xF3\xB4\xBD\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x69"],
        ["\x7E\x69",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xB2"],

        ["\xF3\xB4\xBD\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xD3"],
        ["\xD5\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xB4"],

        ["\xF3\xB4\xBD\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x6A"],
        ["\x7E\x6A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xB5"],

        ["\xF3\xB4\xBD\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xD7"],
        ["\xD5\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xB6"],

        ["\xF3\xB4\xBD\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x6B"],
        ["\x7E\x6B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xB7"],

        ["\xF3\xB4\xBD\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x6C"],
        ["\x7E\x6C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xB8"],

        ["\xF3\xB4\xBD\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x6D"],
        ["\x7E\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xB9"],

        ["\xF3\xB4\xBD\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x6E"],
        ["\x7E\x6E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xBA"],

        ["\xF3\xB4\xBD\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x6F"],
        ["\x7E\x6F",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xBB"],

        ["\xF3\xB4\xBD\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x70"],
        ["\x7E\x70",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xBC"],

        ["\xF3\xB4\xBD\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x71"],
        ["\x7E\x71",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xBD"],

        ["\xF3\xB4\xBD\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x72"],
        ["\x7E\x72",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xBE"],

        ["\xF3\xB4\xBD\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x73"],
        ["\x7E\x73",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBD\xBF"],

        ["\xF3\xB4\xBE\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x74"],
        ["\x7E\x74",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x80"],

        ["\xF3\xB4\xBE\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xE4"],
        ["\xD5\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x81"],

        ["\xF3\xB4\xBE\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xE5"],
        ["\xD5\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x82"],

        ["\xF3\xB4\xBE\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x75"],
        ["\x7E\x75",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x83"],

        ["\xF3\xB4\xBE\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x39\x6D"],
        ["\x39\x6D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x84"],

        ["\xF3\xB4\xBE\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x76"],
        ["\x7E\x76",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x85"],

        ["\xF3\xB4\xBE\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x77"],
        ["\x7E\x77",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x86"],

        ["\xF3\xB4\xBE\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xEF"],
        ["\xD5\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x88"],

        ["\xF3\xB4\xBE\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xF3"],
        ["\xD5\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x89"],

        ["\xF3\xB4\xBE\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x78"],
        ["\x7E\x78",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x8A"],

        ["\xF3\xB4\xBE\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xB1"],
        ["\xBA\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x8B"],

        ["\xF3\xB4\xBE\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xF9"],
        ["\xD5\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x8C"],

        ["\xF3\xB4\xBE\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x79"],
        ["\x7E\x79",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x8D"],

        ["\xF3\xB4\xBE\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xC0"],
        ["\xB6\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x8E"],

        ["\xF3\xB4\xBE\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x7A"],
        ["\x7E\x7A",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x8F"],

        ["\xF3\xB4\xBE\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x7B"],
        ["\x7E\x7B",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x90"],

        ["\xF3\xB4\xBE\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x7C"],
        ["\x7E\x7C",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x91"],

        ["\xF3\xB4\xBE\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x7D"],
        ["\x7E\x7D",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x92"],

        ["\xF3\xB4\xBE\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\x7E\x7E"],
        ["\x7E\x7E",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x93"],

        ["\xF3\xB4\xBE\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xA1"],
        ["\xE0\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x94"],

        ["\xF3\xB4\xBE\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xA1"],
        ["\xB2\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x95"],

        ["\xF3\xB4\xBE\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xA2"],
        ["\xE0\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x96"],

        ["\xF3\xB4\xBE\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xA3"],
        ["\xE0\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x97"],

        ["\xF3\xB4\xBE\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xA4"],
        ["\xE0\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x98"],

        ["\xF3\xB4\xBE\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xAC"],
        ["\xB2\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x99"],

        ["\xF3\xB4\xBE\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xAF"],
        ["\xB2\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x9A"],

        ["\xF3\xB4\xBE\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xA5"],
        ["\xE0\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x9B"],

        ["\xF3\xB4\xBE\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xA6"],
        ["\xE0\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x9C"],

        ["\xF3\xB4\xBE\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xA7"],
        ["\xE0\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x9D"],

        ["\xF3\xB4\xBE\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xA8"],
        ["\xE0\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x9E"],

        ["\xF3\xB4\xBE\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xA9"],
        ["\xE0\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\x9F"],

        ["\xF3\xB4\xBE\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xAA"],
        ["\xE0\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xA0"],

        ["\xF3\xB4\xBE\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xAB"],
        ["\xE0\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xA1"],

        ["\xF3\xB4\xBE\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xAC"],
        ["\xE0\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xA2"],

        ["\xF3\xB4\xBE\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xAD"],
        ["\xE0\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xA3"],

        ["\xF3\xB4\xBE\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xAE"],
        ["\xE0\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xA4"],

        ["\xF3\xB4\xBE\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xAF"],
        ["\xE0\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xA5"],

        ["\xF3\xB4\xBE\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xB0"],
        ["\xE0\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xA6"],

        ["\xF3\xB4\xBE\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xBB"],
        ["\xB2\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xA7"],

        ["\xF3\xB4\xBE\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xB1"],
        ["\xE0\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xA8"],

        ["\xF3\xB4\xBE\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xB2"],
        ["\xE0\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xA9"],

        ["\xF3\xB4\xBE\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xB3"],
        ["\xE0\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xAA"],

        ["\xF3\xB4\xBE\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xB4"],
        ["\xE0\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xAB"],

        ["\xF3\xB4\xBE\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xB5"],
        ["\xE0\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xAC"],

        ["\xF3\xB4\xBE\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xBF"],
        ["\xB2\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xAD"],

        ["\xF3\xB4\xBE\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xB6"],
        ["\xE0\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xAE"],

        ["\xF3\xB4\xBE\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xB7"],
        ["\xE0\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xAF"],

        ["\xF3\xB4\xBE\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xCC"],
        ["\xB2\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xB0"],

        ["\xF3\xB4\xBE\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xD2"],
        ["\xB2\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xB1"],

        ["\xF3\xB4\xBE\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xB8"],
        ["\xE0\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xB3"],

        ["\xF3\xB4\xBE\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xB9"],
        ["\xE0\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xB4"],

        ["\xF3\xB4\xBE\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xBA"],
        ["\xE0\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xB5"],

        ["\xF3\xB4\xBE\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xD5"],
        ["\xB2\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xB6"],

        ["\xF3\xB4\xBE\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xD4"],
        ["\xB2\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xB7"],

        ["\xF3\xB4\xBE\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xBB"],
        ["\xE0\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xB8"],

        ["\xF3\xB4\xBE\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xBC"],
        ["\xE0\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xB9"],

        ["\xF3\xB4\xBE\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xBD"],
        ["\xE0\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xBA"],

        ["\xF3\xB4\xBE\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xE9"],
        ["\xB2\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xBB"],

        ["\xF3\xB4\xBE\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xBE"],
        ["\xE0\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xBC"],

        ["\xF3\xB4\xBE\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xBF"],
        ["\xE0\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xBD"],

        ["\xF3\xB4\xBE\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xC0"],
        ["\xE0\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xBE"],

        ["\xF3\xB4\xBE\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xC1"],
        ["\xE0\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBE\xBF"],

        ["\xF3\xB4\xBF\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xC2"],
        ["\xE0\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x82"],

        ["\xF3\xB4\xBF\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xF9"],
        ["\xB2\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x83"],

        ["\xF3\xB4\xBF\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xF4"],
        ["\xB2\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x84"],

        ["\xF3\xB4\xBF\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xEE"],
        ["\xB2\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x85"],

        ["\xF3\xB4\xBF\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xF2"],
        ["\xB2\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x86"],

        ["\xF3\xB4\xBF\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xF1"],
        ["\xB2\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x87"],

        ["\xF3\xB4\xBF\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xC3"],
        ["\xE0\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x88"],

        ["\xF3\xB4\xBF\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xC4"],
        ["\xE0\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x89"],

        ["\xF3\xB4\xBF\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xA7"],
        ["\xB3\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x8A"],

        ["\xF3\xB4\xBF\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xA3"],
        ["\xB3\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x8B"],

        ["\xF3\xB4\xBF\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xC5"],
        ["\xE0\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x8C"],

        ["\xF3\xB4\xBF\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xA2"],
        ["\xB3\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x8D"],

        ["\xF3\xB4\xBF\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xA4"],
        ["\xB3\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x8E"],

        ["\xF3\xB4\xBF\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xC6"],
        ["\xE0\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x91"],

        ["\xF3\xB4\xBF\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xC7"],
        ["\xE0\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x94"],

        ["\xF3\xB4\xBF\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xC8"],
        ["\xE0\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x95"],

        ["\xF3\xB4\xBF\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xBA"],
        ["\xB3\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x96"],

        ["\xF3\xB4\xBF\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xBC"],
        ["\xB3\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x97"],

        ["\xF3\xB4\xBF\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xBF"],
        ["\xB3\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x98"],

        ["\xF3\xB4\xBF\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xB5"],
        ["\xB3\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x99"],

        ["\xF3\xB4\xBF\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xC9"],
        ["\xE0\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x9B"],

        ["\xF3\xB4\xBF\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xCA"],
        ["\xE0\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x9C"],

        ["\xF3\xB4\xBF\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xCB"],
        ["\xE0\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x9D"],

        ["\xF3\xB4\xBF\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xCC"],
        ["\xE0\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x9E"],

        ["\xF3\xB4\xBF\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xCD"],
        ["\xE0\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\x9F"],

        ["\xF3\xB4\xBF\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xCE"],
        ["\xE0\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xA0"],

        ["\xF3\xB4\xBF\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xCF"],
        ["\xE0\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xA1"],

        ["\xF3\xB4\xBF\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xD0"],
        ["\xE0\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xA2"],

        ["\xF3\xB4\xBF\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xD1"],
        ["\xE0\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xA3"],

        ["\xF3\xB4\xBF\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xD2"],
        ["\xE0\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xA4"],

        ["\xF3\xB4\xBF\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xD3"],
        ["\xE0\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xA5"],

        ["\xF3\xB4\xBF\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xD4"],
        ["\xE0\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xA6"],

        ["\xF3\xB4\xBF\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xCD"],
        ["\xB3\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xA7"],

        ["\xF3\xB4\xBF\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xD5"],
        ["\xE0\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xA8"],

        ["\xF3\xB4\xBF\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xD6"],
        ["\xE0\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xA9"],

        ["\xF3\xB4\xBF\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xD7"],
        ["\xE0\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xAA"],

        ["\xF3\xB4\xBF\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xD8"],
        ["\xE0\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xAB"],

        ["\xF3\xB4\xBF\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xD9"],
        ["\xE0\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xAC"],

        ["\xF3\xB4\xBF\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xDA"],
        ["\xE0\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xAD"],

        ["\xF3\xB4\xBF\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xDB"],
        ["\xE0\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xAE"],

        ["\xF3\xB4\xBF\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xDC"],
        ["\xE0\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xAF"],

        ["\xF3\xB4\xBF\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xD1"],
        ["\xB3\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xB0"],

        ["\xF3\xB4\xBF\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xDD"],
        ["\xE0\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xB1"],

        ["\xF3\xB4\xBF\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xDE"],
        ["\xE0\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xB2"],

        ["\xF3\xB4\xBF\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xDF"],
        ["\xE0\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xB3"],

        ["\xF3\xB4\xBF\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xE0"],
        ["\xE0\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xB4"],

        ["\xF3\xB4\xBF\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xE1"],
        ["\xE0\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xB6"],

        ["\xF3\xB4\xBF\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xE2"],
        ["\xE0\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xB7"],

        ["\xF3\xB4\xBF\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xE3"],
        ["\xE0\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xB8"],

        ["\xF3\xB4\xBF\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xE4"],
        ["\xE0\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xB9"],

        ["\xF3\xB4\xBF\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xE5"],
        ["\xE0\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xBA"],

        ["\xF3\xB4\xBF\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xE6"],
        ["\xE0\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xBB"],

        ["\xF3\xB4\xBF\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xE7"],
        ["\xE0\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xBC"],

        ["\xF3\xB4\xBF\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xE8"],
        ["\xE0\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xBD"],

        ["\xF3\xB4\xBF\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xE9"],
        ["\xE0\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xBE"],

        ["\xF3\xB4\xBF\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xE5"],
        ["\xB8\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB4\xBF\xBF"],

        ["\xF3\xB5\x80\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xEA"],
        ["\xE0\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x80"],

        ["\xF3\xB5\x80\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xEB"],
        ["\xE0\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x81"],

        ["\xF3\xB5\x80\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xEC"],
        ["\xE0\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x82"],

        ["\xF3\xB5\x80\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xED"],
        ["\xE0\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x83"],

        ["\xF3\xB5\x80\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xEE"],
        ["\xE0\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x84"],

        ["\xF3\xB5\x80\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xEF"],
        ["\xE0\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x85"],

        ["\xF3\xB5\x80\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xF0"],
        ["\xE0\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x86"],

        ["\xF3\xB5\x80\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xEB"],
        ["\xB8\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x87"],

        ["\xF3\xB5\x80\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xF1"],
        ["\xE0\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x88"],

        ["\xF3\xB5\x80\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xF2"],
        ["\xE0\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x89"],

        ["\xF3\xB5\x80\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xF3"],
        ["\xE0\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x8A"],

        ["\xF3\xB5\x80\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xF4"],
        ["\xE0\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x8B"],

        ["\xF3\xB5\x80\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xF5"],
        ["\xE0\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x8C"],

        ["\xF3\xB5\x80\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xF6"],
        ["\xE0\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x8D"],

        ["\xF3\xB5\x80\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xF7"],
        ["\xE0\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x8E"],

        ["\xF3\xB5\x80\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xF8"],
        ["\xE0\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x8F"],

        ["\xF3\xB5\x80\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xF9"],
        ["\xE0\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x90"],

        ["\xF3\xB5\x80\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xFA"],
        ["\xE0\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x91"],

        ["\xF3\xB5\x80\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xFB"],
        ["\xE0\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x92"],

        ["\xF3\xB5\x80\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xFC"],
        ["\xE0\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x93"],

        ["\xF3\xB5\x80\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xFD"],
        ["\xE0\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x95"],

        ["\xF3\xB5\x80\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE0\xFE"],
        ["\xE0\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x96"],

        ["\xF3\xB5\x80\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xA1"],
        ["\xE1\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x97"],

        ["\xF3\xB5\x80\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xF5"],
        ["\xB8\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x98"],

        ["\xF3\xB5\x80\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xA2"],
        ["\xE1\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x99"],

        ["\xF3\xB5\x80\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xA5"],
        ["\xB9\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x9A"],

        ["\xF3\xB5\x80\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xA3"],
        ["\xE1\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x9B"],

        ["\xF3\xB5\x80\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xA4"],
        ["\xE1\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x9C"],

        ["\xF3\xB5\x80\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xB4"],
        ["\xB9\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x9D"],

        ["\xF3\xB5\x80\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xA5"],
        ["\xE1\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x9E"],

        ["\xF3\xB5\x80\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xB5"],
        ["\xB9\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\x9F"],

        ["\xF3\xB5\x80\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xA6"],
        ["\xE1\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xA0"],

        ["\xF3\xB5\x80\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xA7"],
        ["\xE1\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xA1"],

        ["\xF3\xB5\x80\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xA8"],
        ["\xE1\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xA2"],

        ["\xF3\xB5\x80\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xA9"],
        ["\xE1\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xA3"],

        ["\xF3\xB5\x80\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xAA"],
        ["\xE1\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xA4"],

        ["\xF3\xB5\x80\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xAB"],
        ["\xE1\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xA5"],

        ["\xF3\xB5\x80\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xAC"],
        ["\xE1\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xA7"],

        ["\xF3\xB5\x80\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xC1"],
        ["\xB9\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xA8"],

        ["\xF3\xB5\x80\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xAD"],
        ["\xE1\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xA9"],

        ["\xF3\xB5\x80\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xAE"],
        ["\xE1\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xAA"],

        ["\xF3\xB5\x80\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xAF"],
        ["\xE1\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xAB"],

        ["\xF3\xB5\x80\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xB0"],
        ["\xE1\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xAC"],

        ["\xF3\xB5\x80\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xB1"],
        ["\xE1\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xAD"],

        ["\xF3\xB5\x80\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xC6"],
        ["\xB9\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xAE"],

        ["\xF3\xB5\x80\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xB2"],
        ["\xE1\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xAF"],

        ["\xF3\xB5\x80\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xD0"],
        ["\xB9\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xB0"],

        ["\xF3\xB5\x80\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xCE"],
        ["\xB9\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xB1"],

        ["\xF3\xB5\x80\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xB3"],
        ["\xE1\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xB2"],

        ["\xF3\xB5\x80\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xB4"],
        ["\xE1\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xB3"],

        ["\xF3\xB5\x80\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xB5"],
        ["\xE1\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xB4"],

        ["\xF3\xB5\x80\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xB6"],
        ["\xE1\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xB5"],

        ["\xF3\xB5\x80\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xB7"],
        ["\xE1\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xB6"],

        ["\xF3\xB5\x80\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xB8"],
        ["\xE1\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xB7"],

        ["\xF3\xB5\x80\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xB9"],
        ["\xE1\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xB9"],

        ["\xF3\xB5\x80\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xBA"],
        ["\xE1\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xBA"],

        ["\xF3\xB5\x80\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xBB"],
        ["\xE1\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xBB"],

        ["\xF3\xB5\x80\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xDD"],
        ["\xB9\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xBC"],

        ["\xF3\xB5\x80\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xBC"],
        ["\xE1\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xBD"],

        ["\xF3\xB5\x80\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xBD"],
        ["\xE1\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xBE"],

        ["\xF3\xB5\x80\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xBE"],
        ["\xE1\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x80\xBF"],

        ["\xF3\xB5\x81\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xBF"],
        ["\xE1\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x80"],

        ["\xF3\xB5\x81\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xE3"],
        ["\xB9\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x81"],

        ["\xF3\xB5\x81\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xC0"],
        ["\xE1\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x82"],

        ["\xF3\xB5\x81\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xE9"],
        ["\xB9\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x83"],

        ["\xF3\xB5\x81\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xE7"],
        ["\xB9\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x84"],

        ["\xF3\xB5\x81\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xC1"],
        ["\xE1\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x85"],

        ["\xF3\xB5\x81\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xC2"],
        ["\xE1\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x86"],

        ["\xF3\xB5\x81\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xEB"],
        ["\xB9\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x87"],

        ["\xF3\xB5\x81\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xC3"],
        ["\xE1\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x88"],

        ["\xF3\xB5\x81\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xC4"],
        ["\xE1\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x89"],

        ["\xF3\xB5\x81\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xC5"],
        ["\xE1\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x8A"],

        ["\xF3\xB5\x81\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xC6"],
        ["\xE1\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x8B"],

        ["\xF3\xB5\x81\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xC7"],
        ["\xE1\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x8C"],

        ["\xF3\xB5\x81\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xC8"],
        ["\xE1\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x8D"],

        ["\xF3\xB5\x81\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xC9"],
        ["\xE1\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x8E"],

        ["\xF3\xB5\x81\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xCA"],
        ["\xE1\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x8F"],

        ["\xF3\xB5\x81\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xCB"],
        ["\xE1\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x90"],

        ["\xF3\xB5\x81\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xCC"],
        ["\xE1\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x91"],

        ["\xF3\xB5\x81\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xCD"],
        ["\xE1\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x92"],

        ["\xF3\xB5\x81\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xCE"],
        ["\xE1\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x93"],

        ["\xF3\xB5\x81\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xCF"],
        ["\xE1\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x94"],

        ["\xF3\xB5\x81\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xD0"],
        ["\xE1\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x95"],

        ["\xF3\xB5\x81\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xD1"],
        ["\xE1\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x96"],

        ["\xF3\xB5\x81\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xD2"],
        ["\xE1\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x97"],

        ["\xF3\xB5\x81\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xD3"],
        ["\xE1\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x98"],

        ["\xF3\xB5\x81\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xD4"],
        ["\xE1\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x99"],

        ["\xF3\xB5\x81\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xD5"],
        ["\xE1\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x9A"],

        ["\xF3\xB5\x81\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xD6"],
        ["\xE1\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x9B"],

        ["\xF3\xB5\x81\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xBD"],
        ["\xB5\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x9C"],

        ["\xF3\xB5\x81\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xD7"],
        ["\xE1\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x9D"],

        ["\xF3\xB5\x81\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xD8"],
        ["\xE1\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x9E"],

        ["\xF3\xB5\x81\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xA1"],
        ["\xB4\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\x9F"],

        ["\xF3\xB5\x81\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xD9"],
        ["\xE1\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xA0"],

        ["\xF3\xB5\x81\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xDA"],
        ["\xE1\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xA1"],

        ["\xF3\xB5\x81\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xDB"],
        ["\xE1\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xA2"],

        ["\xF3\xB5\x81\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xAC"],
        ["\xB4\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xA3"],

        ["\xF3\xB5\x81\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xAD"],
        ["\xB4\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xA4"],

        ["\xF3\xB5\x81\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xDC"],
        ["\xE1\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xA5"],

        ["\xF3\xB5\x81\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xB3"],
        ["\xB4\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xA6"],

        ["\xF3\xB5\x81\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xDD"],
        ["\xE1\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xA7"],

        ["\xF3\xB5\x81\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xDE"],
        ["\xE1\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xA8"],

        ["\xF3\xB5\x81\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xDF"],
        ["\xE1\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xA9"],

        ["\xF3\xB5\x81\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xE0"],
        ["\xE1\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xAA"],

        ["\xF3\xB5\x81\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xE1"],
        ["\xE1\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xAB"],

        ["\xF3\xB5\x81\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xE2"],
        ["\xE1\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xAC"],

        ["\xF3\xB5\x81\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xE3"],
        ["\xE1\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xAD"],

        ["\xF3\xB5\x81\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xE4"],
        ["\xE1\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xAE"],

        ["\xF3\xB5\x81\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xE5"],
        ["\xE1\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xAF"],

        ["\xF3\xB5\x81\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xE6"],
        ["\xE1\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xB0"],

        ["\xF3\xB5\x81\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xE7"],
        ["\xE1\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xB1"],

        ["\xF3\xB5\x81\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xE8"],
        ["\xE1\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xB4"],

        ["\xF3\xB5\x81\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xE9"],
        ["\xE1\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xB5"],

        ["\xF3\xB5\x81\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xEA"],
        ["\xE1\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xB6"],

        ["\xF3\xB5\x81\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xEB"],
        ["\xE1\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xB7"],

        ["\xF3\xB5\x81\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xD1"],
        ["\xB4\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xB8"],

        ["\xF3\xB5\x81\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xEC"],
        ["\xE1\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xB9"],

        ["\xF3\xB5\x81\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xED"],
        ["\xE1\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xBA"],

        ["\xF3\xB5\x81\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xED"],
        ["\xB4\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xBB"],

        ["\xF3\xB5\x81\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xDC"],
        ["\xC9\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xBC"],

        ["\xF3\xB5\x81\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xEE"],
        ["\xE1\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xBE"],

        ["\xF3\xB5\x81\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xEF"],
        ["\xE1\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x81\xBF"],

        ["\xF3\xB5\x82\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xF3"],
        ["\xB4\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x80"],

        ["\xF3\xB5\x82\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xF0"],
        ["\xE1\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x81"],

        ["\xF3\xB5\x82\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xF1"],
        ["\xE1\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x82"],

        ["\xF3\xB5\x82\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xF2"],
        ["\xE1\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x83"],

        ["\xF3\xB5\x82\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xA6"],
        ["\xB5\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x84"],

        ["\xF3\xB5\x82\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xF3"],
        ["\xE1\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x85"],

        ["\xF3\xB5\x82\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xF4"],
        ["\xE1\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x86"],

        ["\xF3\xB5\x82\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xF5"],
        ["\xE1\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x87"],

        ["\xF3\xB5\x82\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xF6"],
        ["\xE1\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x88"],

        ["\xF3\xB5\x82\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xF7"],
        ["\xE1\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x89"],

        ["\xF3\xB5\x82\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xF8"],
        ["\xE1\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x8A"],

        ["\xF3\xB5\x82\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xF9"],
        ["\xE1\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x8B"],

        ["\xF3\xB5\x82\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xFA"],
        ["\xE1\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x8C"],

        ["\xF3\xB5\x82\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xFB"],
        ["\xE1\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x8D"],

        ["\xF3\xB5\x82\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xBA"],
        ["\xB5\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x8E"],

        ["\xF3\xB5\x82\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xBB"],
        ["\xB5\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x8F"],

        ["\xF3\xB5\x82\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xFC"],
        ["\xE1\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x90"],

        ["\xF3\xB5\x82\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xFD"],
        ["\xE1\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x91"],

        ["\xF3\xB5\x82\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE1\xFE"],
        ["\xE1\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x92"],

        ["\xF3\xB5\x82\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xA1"],
        ["\xE2\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x93"],

        ["\xF3\xB5\x82\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xA2"],
        ["\xE2\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x94"],

        ["\xF3\xB5\x82\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xA3"],
        ["\xE2\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x95"],

        ["\xF3\xB5\x82\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xA4"],
        ["\xE2\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x96"],

        ["\xF3\xB5\x82\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xA5"],
        ["\xE2\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x97"],

        ["\xF3\xB5\x82\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xA6"],
        ["\xE2\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x98"],

        ["\xF3\xB5\x82\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xCE"],
        ["\xB5\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x99"],

        ["\xF3\xB5\x82\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xA7"],
        ["\xE2\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x9A"],

        ["\xF3\xB5\x82\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xA8"],
        ["\xE2\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x9C"],

        ["\xF3\xB5\x82\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xA9"],
        ["\xE2\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x9D"],

        ["\xF3\xB5\x82\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xAA"],
        ["\xE2\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x9E"],

        ["\xF3\xB5\x82\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xAB"],
        ["\xE2\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\x9F"],

        ["\xF3\xB5\x82\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xAC"],
        ["\xE2\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xA0"],

        ["\xF3\xB5\x82\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xAD"],
        ["\xE2\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xA1"],

        ["\xF3\xB5\x82\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xAE"],
        ["\xE2\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xA2"],

        ["\xF3\xB5\x82\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xAF"],
        ["\xE2\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xA3"],

        ["\xF3\xB5\x82\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xD8"],
        ["\xB5\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xA4"],

        ["\xF3\xB5\x82\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xB0"],
        ["\xE2\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xA5"],

        ["\xF3\xB5\x82\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xB1"],
        ["\xE2\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xA6"],

        ["\xF3\xB5\x82\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xB2"],
        ["\xE2\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xA7"],

        ["\xF3\xB5\x82\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xB3"],
        ["\xE2\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xA8"],

        ["\xF3\xB5\x82\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xB4"],
        ["\xE2\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xA9"],

        ["\xF3\xB5\x82\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xB5"],
        ["\xE2\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xAA"],

        ["\xF3\xB5\x82\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xB6"],
        ["\xE2\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xAB"],

        ["\xF3\xB5\x82\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xE1"],
        ["\xB5\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xAC"],

        ["\xF3\xB5\x82\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xDF"],
        ["\xB5\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xAD"],

        ["\xF3\xB5\x82\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xB7"],
        ["\xE2\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xAE"],

        ["\xF3\xB5\x82\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xB8"],
        ["\xE2\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xAF"],

        ["\xF3\xB5\x82\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xB9"],
        ["\xE2\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xB0"],

        ["\xF3\xB5\x82\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xE8"],
        ["\xB5\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xB1"],

        ["\xF3\xB5\x82\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xEC"],
        ["\xB5\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xB2"],

        ["\xF3\xB5\x82\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xBA"],
        ["\xE2\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xB3"],

        ["\xF3\xB5\x82\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xE9"],
        ["\xB5\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xB4"],

        ["\xF3\xB5\x82\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xEB"],
        ["\xB5\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xB5"],

        ["\xF3\xB5\x82\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xBB"],
        ["\xE2\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xB6"],

        ["\xF3\xB5\x82\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xBC"],
        ["\xE2\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xB7"],

        ["\xF3\xB5\x82\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xBD"],
        ["\xE2\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xB8"],

        ["\xF3\xB5\x82\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xBE"],
        ["\xE2\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xB9"],

        ["\xF3\xB5\x82\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xBF"],
        ["\xE2\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xBA"],

        ["\xF3\xB5\x82\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xF2"],
        ["\xB5\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xBB"],

        ["\xF3\xB5\x82\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xC0"],
        ["\xE2\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xBC"],

        ["\xF3\xB5\x82\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xC1"],
        ["\xE2\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xBD"],

        ["\xF3\xB5\x82\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xC2"],
        ["\xE2\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xBE"],

        ["\xF3\xB5\x82\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xC3"],
        ["\xE2\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x82\xBF"],

        ["\xF3\xB5\x83\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xC4"],
        ["\xE2\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x80"],

        ["\xF3\xB5\x83\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xC5"],
        ["\xE2\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x81"],

        ["\xF3\xB5\x83\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xC6"],
        ["\xE2\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x82"],

        ["\xF3\xB5\x83\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xC7"],
        ["\xE2\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x83"],

        ["\xF3\xB5\x83\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xC8"],
        ["\xE2\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x84"],

        ["\xF3\xB5\x83\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xC9"],
        ["\xE2\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x85"],

        ["\xF3\xB5\x83\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xCA"],
        ["\xE2\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x86"],

        ["\xF3\xB5\x83\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xCB"],
        ["\xE2\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x87"],

        ["\xF3\xB5\x83\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB5\xFB"],
        ["\xB5\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x88"],

        ["\xF3\xB5\x83\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xCC"],
        ["\xE2\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x89"],

        ["\xF3\xB5\x83\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xCD"],
        ["\xE2\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x8A"],

        ["\xF3\xB5\x83\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xCE"],
        ["\xE2\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x8B"],

        ["\xF3\xB5\x83\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xA4"],
        ["\xB6\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x8C"],

        ["\xF3\xB5\x83\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xCF"],
        ["\xE2\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x8D"],

        ["\xF3\xB5\x83\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xD0"],
        ["\xE2\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x8E"],

        ["\xF3\xB5\x83\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xD1"],
        ["\xE2\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x8F"],

        ["\xF3\xB5\x83\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xAC"],
        ["\xB6\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x90"],

        ["\xF3\xB5\x83\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xAE"],
        ["\xB6\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x91"],

        ["\xF3\xB5\x83\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xD2"],
        ["\xE2\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x92"],

        ["\xF3\xB5\x83\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xD3"],
        ["\xE2\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x93"],

        ["\xF3\xB5\x83\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xD4"],
        ["\xE2\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x94"],

        ["\xF3\xB5\x83\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xD5"],
        ["\xE2\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x95"],

        ["\xF3\xB5\x83\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xD6"],
        ["\xE2\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x96"],

        ["\xF3\xB5\x83\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xD7"],
        ["\xE2\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x97"],

        ["\xF3\xB5\x83\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xD8"],
        ["\xE2\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x98"],

        ["\xF3\xB5\x83\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xD9"],
        ["\xE2\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x99"],

        ["\xF3\xB5\x83\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xDA"],
        ["\xE2\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x9A"],

        ["\xF3\xB5\x83\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xDB"],
        ["\xE2\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x9B"],

        ["\xF3\xB5\x83\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xDC"],
        ["\xE2\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x9C"],

        ["\xF3\xB5\x83\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xDD"],
        ["\xE2\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x9D"],

        ["\xF3\xB5\x83\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xBE"],
        ["\xB6\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x9E"],

        ["\xF3\xB5\x83\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xDE"],
        ["\xE2\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\x9F"],

        ["\xF3\xB5\x83\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xDF"],
        ["\xE2\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xA0"],

        ["\xF3\xB5\x83\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xC1"],
        ["\xB6\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xA1"],

        ["\xF3\xB5\x83\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xE0"],
        ["\xE2\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xA2"],

        ["\xF3\xB5\x83\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xE1"],
        ["\xE2\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xA3"],

        ["\xF3\xB5\x83\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xE2"],
        ["\xE2\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xA4"],

        ["\xF3\xB5\x83\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xE3"],
        ["\xE2\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xA5"],

        ["\xF3\xB5\x83\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xE4"],
        ["\xE2\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xA6"],

        ["\xF3\xB5\x83\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xE5"],
        ["\xE2\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xA7"],

        ["\xF3\xB5\x83\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xE6"],
        ["\xE2\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xA8"],

        ["\xF3\xB5\x83\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xE7"],
        ["\xE2\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xA9"],

        ["\xF3\xB5\x83\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xE8"],
        ["\xE2\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xAA"],

        ["\xF3\xB5\x83\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xE9"],
        ["\xE2\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xAB"],

        ["\xF3\xB5\x83\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xEA"],
        ["\xE2\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xAC"],

        ["\xF3\xB5\x83\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xEB"],
        ["\xE2\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xAD"],

        ["\xF3\xB5\x83\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xD3"],
        ["\xB6\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xAE"],

        ["\xF3\xB5\x83\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xEC"],
        ["\xE2\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xAF"],

        ["\xF3\xB5\x83\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xED"],
        ["\xE2\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xB0"],

        ["\xF3\xB5\x83\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xEE"],
        ["\xE2\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xB1"],

        ["\xF3\xB5\x83\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xEF"],
        ["\xE2\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xB2"],

        ["\xF3\xB5\x83\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xF0"],
        ["\xE2\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xB3"],

        ["\xF3\xB5\x83\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xF1"],
        ["\xE2\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xB4"],

        ["\xF3\xB5\x83\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xF2"],
        ["\xE2\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xB5"],

        ["\xF3\xB5\x83\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xD9"],
        ["\xB6\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xB6"],

        ["\xF3\xB5\x83\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xF3"],
        ["\xE2\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xB7"],

        ["\xF3\xB5\x83\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xF4"],
        ["\xE2\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xB8"],

        ["\xF3\xB5\x83\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xE0"],
        ["\xB6\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xBA"],

        ["\xF3\xB5\x83\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xF5"],
        ["\xE2\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xBB"],

        ["\xF3\xB5\x83\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xF6"],
        ["\xE2\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xBC"],

        ["\xF3\xB5\x83\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xF7"],
        ["\xE2\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xBD"],

        ["\xF3\xB5\x83\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xF8"],
        ["\xE2\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xBE"],

        ["\xF3\xB5\x83\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xF9"],
        ["\xE2\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x83\xBF"],

        ["\xF3\xB5\x84\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xFA"],
        ["\xE2\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x80"],

        ["\xF3\xB5\x84\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xFB"],
        ["\xE2\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x81"],

        ["\xF3\xB5\x84\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xFC"],
        ["\xE2\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x82"],

        ["\xF3\xB5\x84\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xEE"],
        ["\xB6\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x83"],

        ["\xF3\xB5\x84\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xFD"],
        ["\xE2\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x84"],

        ["\xF3\xB5\x84\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE2\xFE"],
        ["\xE2\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x85"],

        ["\xF3\xB5\x84\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xA1"],
        ["\xE3\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x86"],

        ["\xF3\xB5\x84\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xE9"],
        ["\xB6\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x87"],

        ["\xF3\xB5\x84\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xA2"],
        ["\xE3\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x88"],

        ["\xF3\xB5\x84\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xA3"],
        ["\xE3\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x89"],

        ["\xF3\xB5\x84\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xA4"],
        ["\xE3\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x8A"],

        ["\xF3\xB5\x84\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xF3"],
        ["\xB6\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x8B"],

        ["\xF3\xB5\x84\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xF2"],
        ["\xB6\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x8C"],

        ["\xF3\xB5\x84\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xA5"],
        ["\xE3\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x8D"],

        ["\xF3\xB5\x84\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xA6"],
        ["\xE3\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x8E"],

        ["\xF3\xB5\x84\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xF8"],
        ["\xB6\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x8F"],

        ["\xF3\xB5\x84\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xA7"],
        ["\xE3\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x90"],

        ["\xF3\xB5\x84\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xA8"],
        ["\xE3\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x91"],

        ["\xF3\xB5\x84\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xA9"],
        ["\xE3\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x92"],

        ["\xF3\xB5\x84\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xAA"],
        ["\xE3\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x93"],

        ["\xF3\xB5\x84\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xAB"],
        ["\xE3\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x94"],

        ["\xF3\xB5\x84\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xAC"],
        ["\xE3\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x95"],

        ["\xF3\xB5\x84\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xAD"],
        ["\xE3\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x96"],

        ["\xF3\xB5\x84\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xA6"],
        ["\xB7\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x97"],

        ["\xF3\xB5\x84\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xFD"],
        ["\xB6\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x98"],

        ["\xF3\xB5\x84\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xAE"],
        ["\xE3\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x99"],

        ["\xF3\xB5\x84\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xAF"],
        ["\xE3\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x9A"],

        ["\xF3\xB5\x84\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xB0"],
        ["\xE3\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x9B"],

        ["\xF3\xB5\x84\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xAF"],
        ["\xB7\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x9C"],

        ["\xF3\xB5\x84\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xB1"],
        ["\xE3\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x9D"],

        ["\xF3\xB5\x84\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xB2"],
        ["\xE3\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x9E"],

        ["\xF3\xB5\x84\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xB3"],
        ["\xE3\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\x9F"],

        ["\xF3\xB5\x84\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xB4"],
        ["\xE3\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xA0"],

        ["\xF3\xB5\x84\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xB5"],
        ["\xE3\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xA1"],

        ["\xF3\xB5\x84\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xB6"],
        ["\xE3\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xA2"],

        ["\xF3\xB5\x84\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xB7"],
        ["\xE3\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xA3"],

        ["\xF3\xB5\x84\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xB7"],
        ["\xB7\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xA4"],

        ["\xF3\xB5\x84\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xB8"],
        ["\xE3\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xA6"],

        ["\xF3\xB5\x84\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xB9"],
        ["\xE3\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xA7"],

        ["\xF3\xB5\x84\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xC4"],
        ["\xB7\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xA8"],

        ["\xF3\xB5\x84\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xBA"],
        ["\xE3\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xA9"],

        ["\xF3\xB5\x84\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xBB"],
        ["\xE3\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xAA"],

        ["\xF3\xB5\x84\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xBC"],
        ["\xE3\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xAB"],

        ["\xF3\xB5\x84\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xBD"],
        ["\xE3\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xAC"],

        ["\xF3\xB5\x84\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xBE"],
        ["\xE3\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xAD"],

        ["\xF3\xB5\x84\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xBF"],
        ["\xE3\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xAE"],

        ["\xF3\xB5\x84\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xC0"],
        ["\xE3\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xAF"],

        ["\xF3\xB5\x84\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xC1"],
        ["\xE3\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xB1"],

        ["\xF3\xB5\x84\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xC2"],
        ["\xE3\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xB2"],

        ["\xF3\xB5\x84\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xD8"],
        ["\xB7\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xB3"],

        ["\xF3\xB5\x84\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xC3"],
        ["\xE3\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xB4"],

        ["\xF3\xB5\x84\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xC4"],
        ["\xE3\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xB5"],

        ["\xF3\xB5\x84\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xDF"],
        ["\xB7\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xB6"],

        ["\xF3\xB5\x84\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xC5"],
        ["\xE3\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xB7"],

        ["\xF3\xB5\x84\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xC6"],
        ["\xE3\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xB8"],

        ["\xF3\xB5\x84\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xE6"],
        ["\xB7\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xB9"],

        ["\xF3\xB5\x84\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xC7"],
        ["\xE3\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xBA"],

        ["\xF3\xB5\x84\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xEC"],
        ["\xB7\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xBB"],

        ["\xF3\xB5\x84\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xC8"],
        ["\xE3\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xBC"],

        ["\xF3\xB5\x84\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xE9"],
        ["\xB7\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xBD"],

        ["\xF3\xB5\x84\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xC9"],
        ["\xE3\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xBE"],

        ["\xF3\xB5\x84\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xEA"],
        ["\xB7\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x84\xBF"],

        ["\xF3\xB5\x85\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xCA"],
        ["\xE3\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x80"],

        ["\xF3\xB5\x85\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xCB"],
        ["\xE3\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x81"],

        ["\xF3\xB5\x85\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xCC"],
        ["\xE3\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x82"],

        ["\xF3\xB5\x85\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xCD"],
        ["\xE3\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x83"],

        ["\xF3\xB5\x85\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xCE"],
        ["\xE3\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x84"],

        ["\xF3\xB5\x85\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xCF"],
        ["\xE3\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x85"],

        ["\xF3\xB5\x85\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xD0"],
        ["\xE3\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x86"],

        ["\xF3\xB5\x85\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xD1"],
        ["\xE3\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x87"],

        ["\xF3\xB5\x85\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xF3"],
        ["\xB7\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x88"],

        ["\xF3\xB5\x85\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xF2"],
        ["\xB7\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x89"],

        ["\xF3\xB5\x85\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xD2"],
        ["\xE3\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x8A"],

        ["\xF3\xB5\x85\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xD3"],
        ["\xE3\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x8B"],

        ["\xF3\xB5\x85\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xFE"],
        ["\xB7\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x8C"],

        ["\xF3\xB5\x85\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB7\xF7"],
        ["\xB7\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x8D"],

        ["\xF3\xB5\x85\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xD4"],
        ["\xE3\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x8E"],

        ["\xF3\xB5\x85\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xD5"],
        ["\xE3\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x8F"],

        ["\xF3\xB5\x85\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xD6"],
        ["\xE3\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x90"],

        ["\xF3\xB5\x85\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xD7"],
        ["\xE3\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x91"],

        ["\xF3\xB5\x85\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xD8"],
        ["\xE3\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x92"],

        ["\xF3\xB5\x85\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xA4"],
        ["\xB8\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x93"],

        ["\xF3\xB5\x85\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xD9"],
        ["\xE3\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x94"],

        ["\xF3\xB5\x85\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xDA"],
        ["\xE3\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x95"],

        ["\xF3\xB5\x85\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xDB"],
        ["\xE3\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x96"],

        ["\xF3\xB5\x85\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xDC"],
        ["\xE3\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x97"],

        ["\xF3\xB5\x85\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xDD"],
        ["\xE3\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x98"],

        ["\xF3\xB5\x85\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xDE"],
        ["\xE3\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x99"],

        ["\xF3\xB5\x85\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xDF"],
        ["\xE3\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x9A"],

        ["\xF3\xB5\x85\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xAD"],
        ["\xB8\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x9B"],

        ["\xF3\xB5\x85\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xE0"],
        ["\xE3\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x9C"],

        ["\xF3\xB5\x85\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xAC"],
        ["\xB8\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x9D"],

        ["\xF3\xB5\x85\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xE1"],
        ["\xE3\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x9E"],

        ["\xF3\xB5\x85\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xAE"],
        ["\xB8\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\x9F"],

        ["\xF3\xB5\x85\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xE2"],
        ["\xE3\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xA0"],

        ["\xF3\xB5\x85\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xB3"],
        ["\xB8\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xA1"],

        ["\xF3\xB5\x85\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xE3"],
        ["\xE3\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xA2"],

        ["\xF3\xB5\x85\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xE4"],
        ["\xE3\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xA3"],

        ["\xF3\xB5\x85\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xE5"],
        ["\xE3\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xA4"],

        ["\xF3\xB5\x85\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xE6"],
        ["\xE3\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xA5"],

        ["\xF3\xB5\x85\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xBC"],
        ["\xB8\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xA6"],

        ["\xF3\xB5\x85\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB8\xBD"],
        ["\xB8\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xA7"],

        ["\xF3\xB5\x85\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xE7"],
        ["\xE3\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xA8"],

        ["\xF3\xB5\x85\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xE8"],
        ["\xE3\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xA9"],

        ["\xF3\xB5\x85\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xE9"],
        ["\xE3\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xAA"],

        ["\xF3\xB5\x85\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xEA"],
        ["\xE3\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xAB"],

        ["\xF3\xB5\x85\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xEB"],
        ["\xE3\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xAC"],

        ["\xF3\xB5\x85\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xEC"],
        ["\xE3\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xAD"],

        ["\xF3\xB5\x85\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xED"],
        ["\xE3\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xAE"],

        ["\xF3\xB5\x85\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xEE"],
        ["\xE3\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xAF"],

        ["\xF3\xB5\x85\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xEF"],
        ["\xE3\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xB0"],

        ["\xF3\xB5\x85\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xF0"],
        ["\xE3\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xB1"],

        ["\xF3\xB5\x85\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xF1"],
        ["\xE3\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xB2"],

        ["\xF3\xB5\x85\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xF2"],
        ["\xE3\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xB3"],

        ["\xF3\xB5\x85\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xF3"],
        ["\xE3\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xB4"],

        ["\xF3\xB5\x85\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xF4"],
        ["\xE3\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xB5"],

        ["\xF3\xB5\x85\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xB9"],
        ["\xBA\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xB6"],

        ["\xF3\xB5\x85\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xA7"],
        ["\xB2\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xB7"],

        ["\xF3\xB5\x85\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xBE"],
        ["\xBA\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xB8"],

        ["\xF3\xB5\x85\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xF5"],
        ["\xE3\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xB9"],

        ["\xF3\xB5\x85\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xF6"],
        ["\xE3\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xBA"],

        ["\xF3\xB5\x85\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xF7"],
        ["\xE3\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xBB"],

        ["\xF3\xB5\x85\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xF8"],
        ["\xE3\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xBC"],

        ["\xF3\xB5\x85\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xF9"],
        ["\xE3\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xBD"],

        ["\xF3\xB5\x85\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xFA"],
        ["\xE3\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xBE"],

        ["\xF3\xB5\x85\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xFB"],
        ["\xE3\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x85\xBF"],

        ["\xF3\xB5\x86\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xFC"],
        ["\xE3\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x80"],

        ["\xF3\xB5\x86\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xFD"],
        ["\xE3\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x81"],

        ["\xF3\xB5\x86\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE3\xFE"],
        ["\xE3\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x82"],

        ["\xF3\xB5\x86\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xEE"],
        ["\xBA\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x83"],

        ["\xF3\xB5\x86\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xA1"],
        ["\xE4\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x84"],

        ["\xF3\xB5\x86\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xA2"],
        ["\xE4\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x85"],

        ["\xF3\xB5\x86\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xA3"],
        ["\xE4\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x86"],

        ["\xF3\xB5\x86\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xF3"],
        ["\xBA\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x87"],

        ["\xF3\xB5\x86\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xA4"],
        ["\xE4\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x88"],

        ["\xF3\xB5\x86\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xF1"],
        ["\xBA\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x89"],

        ["\xF3\xB5\x86\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xF8"],
        ["\xBA\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x8A"],

        ["\xF3\xB5\x86\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xF4"],
        ["\xBA\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x8B"],

        ["\xF3\xB5\x86\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xF7"],
        ["\xBA\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x8C"],

        ["\xF3\xB5\x86\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xA5"],
        ["\xE4\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x8D"],

        ["\xF3\xB5\x86\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xA6"],
        ["\xE4\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x8E"],

        ["\xF3\xB5\x86\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xA7"],
        ["\xE4\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x8F"],

        ["\xF3\xB5\x86\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xA4"],
        ["\xBB\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x90"],

        ["\xF3\xB5\x86\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xA8"],
        ["\xE4\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x91"],

        ["\xF3\xB5\x86\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xA9"],
        ["\xE4\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x92"],

        ["\xF3\xB5\x86\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xAA"],
        ["\xE4\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x93"],

        ["\xF3\xB5\x86\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xAB"],
        ["\xE4\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x94"],

        ["\xF3\xB5\x86\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xD5"],
        ["\xB4\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x95"],

        ["\xF3\xB5\x86\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xAC"],
        ["\xE4\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x97"],

        ["\xF3\xB5\x86\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xAD"],
        ["\xE4\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x98"],

        ["\xF3\xB5\x86\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xAE"],
        ["\xE4\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x99"],

        ["\xF3\xB5\x86\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xC2"],
        ["\xBB\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x9A"],

        ["\xF3\xB5\x86\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xBE"],
        ["\xBB\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x9B"],

        ["\xF3\xB5\x86\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xAF"],
        ["\xE4\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x9C"],

        ["\xF3\xB5\x86\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xB0"],
        ["\xE4\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x9D"],

        ["\xF3\xB5\x86\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xB1"],
        ["\xE4\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x9E"],

        ["\xF3\xB5\x86\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xB2"],
        ["\xE4\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\x9F"],

        ["\xF3\xB5\x86\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xB3"],
        ["\xE4\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xA0"],

        ["\xF3\xB5\x86\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xB4"],
        ["\xE4\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xA2"],

        ["\xF3\xB5\x86\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xB5"],
        ["\xE4\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xA3"],

        ["\xF3\xB5\x86\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xCB"],
        ["\xBB\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xA4"],

        ["\xF3\xB5\x86\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xCC"],
        ["\xBB\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xA5"],

        ["\xF3\xB5\x86\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xB6"],
        ["\xE4\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xA6"],

        ["\xF3\xB5\x86\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xCD"],
        ["\xBB\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xA7"],

        ["\xF3\xB5\x86\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xB7"],
        ["\xE4\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xA8"],

        ["\xF3\xB5\x86\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xB8"],
        ["\xE4\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xA9"],

        ["\xF3\xB5\x86\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xB9"],
        ["\xE4\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xAA"],

        ["\xF3\xB5\x86\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xBA"],
        ["\xE4\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xAB"],

        ["\xF3\xB5\x86\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xBB"],
        ["\xE4\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xAC"],

        ["\xF3\xB5\x86\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xDF"],
        ["\xBB\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xAD"],

        ["\xF3\xB5\x86\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xBC"],
        ["\xE4\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xAE"],

        ["\xF3\xB5\x86\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xBD"],
        ["\xE4\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xAF"],

        ["\xF3\xB5\x86\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xE9"],
        ["\xBB\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xB0"],

        ["\xF3\xB5\x86\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xE7"],
        ["\xBB\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xB1"],

        ["\xF3\xB5\x86\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xBE"],
        ["\xE4\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xB3"],

        ["\xF3\xB5\x86\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xE6"],
        ["\xBB\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xB4"],

        ["\xF3\xB5\x86\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xE8"],
        ["\xBB\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xB5"],

        ["\xF3\xB5\x86\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xBF"],
        ["\xE4\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xB6"],

        ["\xF3\xB5\x86\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xF0"],
        ["\xBB\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xB7"],

        ["\xF3\xB5\x86\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xC0"],
        ["\xE4\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xB8"],

        ["\xF3\xB5\x86\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xF1"],
        ["\xBB\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xB9"],

        ["\xF3\xB5\x86\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xC1"],
        ["\xE4\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xBA"],

        ["\xF3\xB5\x86\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xC2"],
        ["\xE4\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xBB"],

        ["\xF3\xB5\x86\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xC3"],
        ["\xE4\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xBC"],

        ["\xF3\xB5\x86\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xC4"],
        ["\xE4\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xBD"],

        ["\xF3\xB5\x86\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBB\xFD"],
        ["\xBB\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xBE"],

        ["\xF3\xB5\x86\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xC5"],
        ["\xE4\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x86\xBF"],

        ["\xF3\xB5\x87\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xA5"],
        ["\xBC\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x80"],

        ["\xF3\xB5\x87\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xA6"],
        ["\xBC\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x81"],

        ["\xF3\xB5\x87\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xC6"],
        ["\xE4\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x82"],

        ["\xF3\xB5\x87\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xC7"],
        ["\xE4\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x83"],

        ["\xF3\xB5\x87\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xC8"],
        ["\xE4\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x84"],

        ["\xF3\xB5\x87\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xC9"],
        ["\xE4\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x85"],

        ["\xF3\xB5\x87\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xCA"],
        ["\xE4\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x86"],

        ["\xF3\xB5\x87\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xCB"],
        ["\xE4\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x87"],

        ["\xF3\xB5\x87\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xCC"],
        ["\xE4\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x88"],

        ["\xF3\xB5\x87\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xAC"],
        ["\xBC\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x8A"],

        ["\xF3\xB5\x87\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xCD"],
        ["\xE4\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x8B"],

        ["\xF3\xB5\x87\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xB7"],
        ["\xBE\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x8C"],

        ["\xF3\xB5\x87\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xCE"],
        ["\xE4\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x8D"],

        ["\xF3\xB5\x87\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xCF"],
        ["\xE4\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x8E"],

        ["\xF3\xB5\x87\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xD0"],
        ["\xE4\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x8F"],

        ["\xF3\xB5\x87\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xD1"],
        ["\xE4\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x90"],

        ["\xF3\xB5\x87\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xD2"],
        ["\xE4\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x91"],

        ["\xF3\xB5\x87\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xD3"],
        ["\xE4\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x92"],

        ["\xF3\xB5\x87\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xBB"],
        ["\xBA\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x93"],

        ["\xF3\xB5\x87\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xD4"],
        ["\xE4\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x94"],

        ["\xF3\xB5\x87\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xD5"],
        ["\xE4\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x95"],

        ["\xF3\xB5\x87\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xD6"],
        ["\xE4\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x96"],

        ["\xF3\xB5\x87\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xB9"],
        ["\xBC\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x97"],

        ["\xF3\xB5\x87\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xBD"],
        ["\xBC\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x98"],

        ["\xF3\xB5\x87\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xD7"],
        ["\xE4\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x99"],

        ["\xF3\xB5\x87\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xD8"],
        ["\xE4\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x9A"],

        ["\xF3\xB5\x87\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xD9"],
        ["\xE4\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x9B"],

        ["\xF3\xB5\x87\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xDA"],
        ["\xE4\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x9C"],

        ["\xF3\xB5\x87\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xDB"],
        ["\xE4\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x9D"],

        ["\xF3\xB5\x87\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xC4"],
        ["\xBC\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x9E"],

        ["\xF3\xB5\x87\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xDC"],
        ["\xE4\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\x9F"],

        ["\xF3\xB5\x87\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xDD"],
        ["\xE4\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xA0"],

        ["\xF3\xB5\x87\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xDE"],
        ["\xE4\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xA1"],

        ["\xF3\xB5\x87\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xDF"],
        ["\xE4\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xA2"],

        ["\xF3\xB5\x87\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xE0"],
        ["\xE4\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xA3"],

        ["\xF3\xB5\x87\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xE1"],
        ["\xE4\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xA4"],

        ["\xF3\xB5\x87\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xE2"],
        ["\xE4\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xA5"],

        ["\xF3\xB5\x87\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBA\xBC"],
        ["\xBA\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xA6"],

        ["\xF3\xB5\x87\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xE3"],
        ["\xE4\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xA7"],

        ["\xF3\xB5\x87\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xE4"],
        ["\xE4\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xA8"],

        ["\xF3\xB5\x87\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xE5"],
        ["\xE4\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xA9"],

        ["\xF3\xB5\x87\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xE6"],
        ["\xE4\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xAA"],

        ["\xF3\xB5\x87\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xD3"],
        ["\xBC\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xAB"],

        ["\xF3\xB5\x87\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xE7"],
        ["\xE4\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xAC"],

        ["\xF3\xB5\x87\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xD5"],
        ["\xBC\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xAD"],

        ["\xF3\xB5\x87\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xE8"],
        ["\xE4\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xAE"],

        ["\xF3\xB5\x87\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xE9"],
        ["\xE4\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xAF"],

        ["\xF3\xB5\x87\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xEA"],
        ["\xE4\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xB0"],

        ["\xF3\xB5\x87\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xEB"],
        ["\xE4\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xB1"],

        ["\xF3\xB5\x87\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xEC"],
        ["\xE4\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xB2"],

        ["\xF3\xB5\x87\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xD8"],
        ["\xBC\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xB3"],

        ["\xF3\xB5\x87\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xED"],
        ["\xE4\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xB4"],

        ["\xF3\xB5\x87\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xEE"],
        ["\xE4\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xB5"],

        ["\xF3\xB5\x87\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xEF"],
        ["\xE4\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xB6"],

        ["\xF3\xB5\x87\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xF0"],
        ["\xE4\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xB8"],

        ["\xF3\xB5\x87\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xF1"],
        ["\xE4\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xB9"],

        ["\xF3\xB5\x87\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xF2"],
        ["\xE4\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xBA"],

        ["\xF3\xB5\x87\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xF3"],
        ["\xE4\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xBB"],

        ["\xF3\xB5\x87\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xE1"],
        ["\xBC\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xBC"],

        ["\xF3\xB5\x87\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xF4"],
        ["\xE4\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xBD"],

        ["\xF3\xB5\x87\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xF5"],
        ["\xE4\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xBE"],

        ["\xF3\xB5\x87\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xF6"],
        ["\xE4\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x87\xBF"],

        ["\xF3\xB5\x88\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xF7"],
        ["\xE4\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x80"],

        ["\xF3\xB5\x88\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xE8"],
        ["\xBC\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x81"],

        ["\xF3\xB5\x88\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xF8"],
        ["\xE4\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x82"],

        ["\xF3\xB5\x88\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xF9"],
        ["\xE4\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x83"],

        ["\xF3\xB5\x88\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xEA"],
        ["\xBC\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x84"],

        ["\xF3\xB5\x88\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xFA"],
        ["\xE4\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x85"],

        ["\xF3\xB5\x88\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xFB"],
        ["\xE4\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x86"],

        ["\xF3\xB5\x88\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xFC"],
        ["\xE4\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x87"],

        ["\xF3\xB5\x88\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xFD"],
        ["\xE4\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x88"],

        ["\xF3\xB5\x88\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE4\xFE"],
        ["\xE4\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x89"],

        ["\xF3\xB5\x88\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xA1"],
        ["\xE5\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x8A"],

        ["\xF3\xB5\x88\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xA2"],
        ["\xE5\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x8B"],

        ["\xF3\xB5\x88\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xA3"],
        ["\xE5\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x8C"],

        ["\xF3\xB5\x88\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xF9"],
        ["\xBC\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x8D"],

        ["\xF3\xB5\x88\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xA4"],
        ["\xE5\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x8E"],

        ["\xF3\xB5\x88\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xA5"],
        ["\xE5\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x8F"],

        ["\xF3\xB5\x88\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xA6"],
        ["\xE5\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x90"],

        ["\xF3\xB5\x88\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xA7"],
        ["\xE5\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x91"],

        ["\xF3\xB5\x88\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xA8"],
        ["\xE5\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x92"],

        ["\xF3\xB5\x88\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xA9"],
        ["\xE5\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x93"],

        ["\xF3\xB5\x88\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xAA"],
        ["\xBD\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x94"],

        ["\xF3\xB5\x88\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xAC"],
        ["\xBD\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x95"],

        ["\xF3\xB5\x88\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xAA"],
        ["\xE5\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x96"],

        ["\xF3\xB5\x88\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xAB"],
        ["\xE5\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x97"],

        ["\xF3\xB5\x88\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xAC"],
        ["\xE5\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x98"],

        ["\xF3\xB5\x88\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xB3"],
        ["\xBD\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x99"],

        ["\xF3\xB5\x88\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xB8"],
        ["\xBD\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x9A"],

        ["\xF3\xB5\x88\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xAD"],
        ["\xE5\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x9B"],

        ["\xF3\xB5\x88\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xB9"],
        ["\xBD\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x9C"],

        ["\xF3\xB5\x88\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xBB"],
        ["\xBD\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x9D"],

        ["\xF3\xB5\x88\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xC6"],
        ["\xBD\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x9E"],

        ["\xF3\xB5\x88\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xAE"],
        ["\xE5\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\x9F"],

        ["\xF3\xB5\x88\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xCD"],
        ["\xBD\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xA0"],

        ["\xF3\xB5\x88\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xCE"],
        ["\xBD\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xA1"],

        ["\xF3\xB5\x88\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xAF"],
        ["\xE5\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xA2"],

        ["\xF3\xB5\x88\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xB0"],
        ["\xE5\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xA3"],

        ["\xF3\xB5\x88\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xB1"],
        ["\xE5\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xA4"],

        ["\xF3\xB5\x88\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xDD"],
        ["\xBD\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xA6"],

        ["\xF3\xB5\x88\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xB2"],
        ["\xE5\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xA7"],

        ["\xF3\xB5\x88\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xB3"],
        ["\xE5\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xA8"],

        ["\xF3\xB5\x88\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xB4"],
        ["\xE5\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xA9"],

        ["\xF3\xB5\x88\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xE9"],
        ["\xBD\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xAA"],

        ["\xF3\xB5\x88\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xEA"],
        ["\xBD\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xAB"],

        ["\xF3\xB5\x88\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xB5"],
        ["\xE5\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xAC"],

        ["\xF3\xB5\x88\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xB6"],
        ["\xE5\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xAD"],

        ["\xF3\xB5\x88\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xB7"],
        ["\xE5\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xAE"],

        ["\xF3\xB5\x88\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xB8"],
        ["\xE5\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xAF"],

        ["\xF3\xB5\x88\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xB9"],
        ["\xE5\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xB0"],

        ["\xF3\xB5\x88\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xF1"],
        ["\xBD\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xB1"],

        ["\xF3\xB5\x88\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xBA"],
        ["\xE5\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xB3"],

        ["\xF3\xB5\x88\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xBB"],
        ["\xE5\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xB4"],

        ["\xF3\xB5\x88\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xFE"],
        ["\xBD\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xB5"],

        ["\xF3\xB5\x88\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xA3"],
        ["\xBE\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xB6"],

        ["\xF3\xB5\x88\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xBC"],
        ["\xE5\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xB7"],

        ["\xF3\xB5\x88\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xBD"],
        ["\xE5\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xB9"],

        ["\xF3\xB5\x88\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xBE"],
        ["\xE5\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xBA"],

        ["\xF3\xB5\x88\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xBF"],
        ["\xE5\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xBB"],

        ["\xF3\xB5\x88\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xC0"],
        ["\xE5\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xBC"],

        ["\xF3\xB5\x88\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xB9"],
        ["\xBE\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xBD"],

        ["\xF3\xB5\x88\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xC1"],
        ["\xE5\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xBE"],

        ["\xF3\xB5\x88\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xC2"],
        ["\xE5\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x88\xBF"],

        ["\xF3\xB5\x89\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xC3"],
        ["\xE5\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x80"],

        ["\xF3\xB5\x89\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xC4"],
        ["\xE5\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x81"],

        ["\xF3\xB5\x89\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xC5"],
        ["\xE5\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x82"],

        ["\xF3\xB5\x89\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xC3"],
        ["\xBE\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x83"],

        ["\xF3\xB5\x89\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xC6"],
        ["\xE5\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x84"],

        ["\xF3\xB5\x89\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xC7"],
        ["\xE5\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x85"],

        ["\xF3\xB5\x89\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xC7"],
        ["\xBE\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x86"],

        ["\xF3\xB5\x89\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xC8"],
        ["\xE5\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x87"],

        ["\xF3\xB5\x89\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xC9"],
        ["\xE5\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x88"],

        ["\xF3\xB5\x89\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xCA"],
        ["\xE5\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x89"],

        ["\xF3\xB5\x89\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xCB"],
        ["\xE5\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x8A"],

        ["\xF3\xB5\x89\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xD7"],
        ["\xBE\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x8B"],

        ["\xF3\xB5\x89\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xCC"],
        ["\xE5\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x8C"],

        ["\xF3\xB5\x89\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xCD"],
        ["\xE5\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x8D"],

        ["\xF3\xB5\x89\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xCE"],
        ["\xE5\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x8E"],

        ["\xF3\xB5\x89\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xCF"],
        ["\xE5\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x8F"],

        ["\xF3\xB5\x89\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xD0"],
        ["\xE5\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x90"],

        ["\xF3\xB5\x89\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xD1"],
        ["\xE5\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x91"],

        ["\xF3\xB5\x89\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xD2"],
        ["\xE5\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x92"],

        ["\xF3\xB5\x89\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xD3"],
        ["\xE5\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x93"],

        ["\xF3\xB5\x89\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xD4"],
        ["\xE5\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x94"],

        ["\xF3\xB5\x89\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xD5"],
        ["\xE5\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x95"],

        ["\xF3\xB5\x89\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xDB"],
        ["\xBE\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x96"],

        ["\xF3\xB5\x89\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xD6"],
        ["\xE5\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x97"],

        ["\xF3\xB5\x89\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xD7"],
        ["\xE5\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x98"],

        ["\xF3\xB5\x89\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xE0"],
        ["\xBE\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x99"],

        ["\xF3\xB5\x89\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xD8"],
        ["\xE5\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x9A"],

        ["\xF3\xB5\x89\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xD9"],
        ["\xE5\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x9B"],

        ["\xF3\xB5\x89\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xDA"],
        ["\xE5\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x9C"],

        ["\xF3\xB5\x89\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xDB"],
        ["\xE5\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x9D"],

        ["\xF3\xB5\x89\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xDC"],
        ["\xE5\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x9E"],

        ["\xF3\xB5\x89\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xDD"],
        ["\xE5\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\x9F"],

        ["\xF3\xB5\x89\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xDE"],
        ["\xE5\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xA0"],

        ["\xF3\xB5\x89\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xDF"],
        ["\xE5\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xA1"],

        ["\xF3\xB5\x89\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xED"],
        ["\xBE\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xA2"],

        ["\xF3\xB5\x89\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xE0"],
        ["\xE5\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xA3"],

        ["\xF3\xB5\x89\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xE1"],
        ["\xE5\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xA5"],

        ["\xF3\xB5\x89\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xE2"],
        ["\xE5\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xA6"],

        ["\xF3\xB5\x89\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB4\xF9"],
        ["\xB4\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xA7"],

        ["\xF3\xB5\x89\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xE3"],
        ["\xE5\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xA8"],

        ["\xF3\xB5\x89\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xE4"],
        ["\xE5\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xA9"],

        ["\xF3\xB5\x89\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xE5"],
        ["\xE5\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xAA"],

        ["\xF3\xB5\x89\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xE6"],
        ["\xE5\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xAB"],

        ["\xF3\xB5\x89\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xE7"],
        ["\xE5\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xAC"],

        ["\xF3\xB5\x89\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xE8"],
        ["\xE5\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xAD"],

        ["\xF3\xB5\x89\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xE9"],
        ["\xE5\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xAE"],

        ["\xF3\xB5\x89\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xEA"],
        ["\xE5\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xAF"],

        ["\xF3\xB5\x89\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xEB"],
        ["\xE5\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xB0"],

        ["\xF3\xB5\x89\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xFB"],
        ["\xBE\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xB1"],

        ["\xF3\xB5\x89\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xEC"],
        ["\xE5\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xB2"],

        ["\xF3\xB5\x89\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xED"],
        ["\xE5\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xB3"],

        ["\xF3\xB5\x89\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xEE"],
        ["\xE5\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xB4"],

        ["\xF3\xB5\x89\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xA5"],
        ["\xBF\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xB5"],

        ["\xF3\xB5\x89\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xEF"],
        ["\xE5\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xB6"],

        ["\xF3\xB5\x89\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xA3"],
        ["\xBF\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xB7"],

        ["\xF3\xB5\x89\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xF0"],
        ["\xE5\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xB8"],

        ["\xF3\xB5\x89\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xF1"],
        ["\xE5\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xB9"],

        ["\xF3\xB5\x89\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xF2"],
        ["\xE5\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xBA"],

        ["\xF3\xB5\x89\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xF3"],
        ["\xE5\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xBB"],

        ["\xF3\xB5\x89\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xF4"],
        ["\xE5\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xBC"],

        ["\xF3\xB5\x89\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xF5"],
        ["\xE5\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xBD"],

        ["\xF3\xB5\x89\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xF6"],
        ["\xE5\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x89\xBF"],

        ["\xF3\xB5\x8A\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xF7"],
        ["\xE5\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x80"],

        ["\xF3\xB5\x8A\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xF8"],
        ["\xE5\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x81"],

        ["\xF3\xB5\x8A\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xAC"],
        ["\xBF\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x83"],

        ["\xF3\xB5\x8A\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xB1"],
        ["\xBF\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x84"],

        ["\xF3\xB5\x8A\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xF9"],
        ["\xE5\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x85"],

        ["\xF3\xB5\x8A\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xFA"],
        ["\xE5\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x86"],

        ["\xF3\xB5\x8A\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xAA"],
        ["\xBF\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x87"],

        ["\xF3\xB5\x8A\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xFB"],
        ["\xE5\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x88"],

        ["\xF3\xB5\x8A\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xFC"],
        ["\xE5\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x89"],

        ["\xF3\xB5\x8A\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xFD"],
        ["\xE5\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x8A"],

        ["\xF3\xB5\x8A\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE5\xFE"],
        ["\xE5\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x8B"],

        ["\xF3\xB5\x8A\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xA1"],
        ["\xE6\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x8C"],

        ["\xF3\xB5\x8A\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xA2"],
        ["\xE6\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x8D"],

        ["\xF3\xB5\x8A\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xC5"],
        ["\xBF\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x8E"],

        ["\xF3\xB5\x8A\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xA3"],
        ["\xE6\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x8F"],

        ["\xF3\xB5\x8A\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xA4"],
        ["\xE6\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x90"],

        ["\xF3\xB5\x8A\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xA5"],
        ["\xE6\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x91"],

        ["\xF3\xB5\x8A\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xA6"],
        ["\xE6\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x92"],

        ["\xF3\xB5\x8A\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xA7"],
        ["\xE6\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x93"],

        ["\xF3\xB5\x8A\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xA8"],
        ["\xE6\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x94"],

        ["\xF3\xB5\x8A\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xA9"],
        ["\xE6\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x95"],

        ["\xF3\xB5\x8A\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xAA"],
        ["\xE6\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x96"],

        ["\xF3\xB5\x8A\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xAB"],
        ["\xE6\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x97"],

        ["\xF3\xB5\x8A\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xCC"],
        ["\xBF\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x98"],

        ["\xF3\xB5\x8A\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB9\xFA"],
        ["\xB9\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x9A"],

        ["\xF3\xB5\x8A\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xAC"],
        ["\xE6\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x9B"],

        ["\xF3\xB5\x8A\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xCA"],
        ["\xBF\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x9C"],

        ["\xF3\xB5\x8A\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xAD"],
        ["\xE6\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x9D"],

        ["\xF3\xB5\x8A\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xAE"],
        ["\xE6\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x9E"],

        ["\xF3\xB5\x8A\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xAF"],
        ["\xE6\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\x9F"],

        ["\xF3\xB5\x8A\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xB0"],
        ["\xE6\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xA0"],

        ["\xF3\xB5\x8A\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xD2"],
        ["\xBF\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xA1"],

        ["\xF3\xB5\x8A\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xB1"],
        ["\xE6\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xA2"],

        ["\xF3\xB5\x8A\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xB2"],
        ["\xE6\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xA3"],

        ["\xF3\xB5\x8A\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xB3"],
        ["\xE6\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xA5"],

        ["\xF3\xB5\x8A\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xB4"],
        ["\xE6\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xA6"],

        ["\xF3\xB5\x8A\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xB5"],
        ["\xE6\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xA7"],

        ["\xF3\xB5\x8A\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xB6"],
        ["\xE6\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xA8"],

        ["\xF3\xB5\x8A\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xB7"],
        ["\xE6\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xA9"],

        ["\xF3\xB5\x8A\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xDB"],
        ["\xBF\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xAA"],

        ["\xF3\xB5\x8A\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xB8"],
        ["\xE6\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xAB"],

        ["\xF3\xB5\x8A\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xB9"],
        ["\xE6\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xAC"],

        ["\xF3\xB5\x8A\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xBA"],
        ["\xE6\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xAD"],

        ["\xF3\xB5\x8A\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xDF"],
        ["\xBF\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xAE"],

        ["\xF3\xB5\x8A\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xBB"],
        ["\xE6\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xAF"],

        ["\xF3\xB5\x8A\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xBC"],
        ["\xE6\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xB0"],

        ["\xF3\xB5\x8A\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xBD"],
        ["\xE6\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xB1"],

        ["\xF3\xB5\x8A\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xE8"],
        ["\xBF\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xB2"],

        ["\xF3\xB5\x8A\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xBE"],
        ["\xE6\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xB3"],

        ["\xF3\xB5\x8A\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xBF"],
        ["\xE6\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xB4"],

        ["\xF3\xB5\x8A\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xC0"],
        ["\xE6\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xB5"],

        ["\xF3\xB5\x8A\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xC1"],
        ["\xE6\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xB7"],

        ["\xF3\xB5\x8A\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xC2"],
        ["\xE6\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xB8"],

        ["\xF3\xB5\x8A\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xC3"],
        ["\xE6\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xB9"],

        ["\xF3\xB5\x8A\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xC4"],
        ["\xE6\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xBA"],

        ["\xF3\xB5\x8A\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xE9"],
        ["\xBF\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xBB"],

        ["\xF3\xB5\x8A\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xC5"],
        ["\xE6\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xBC"],

        ["\xF3\xB5\x8A\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xC6"],
        ["\xE6\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xBE"],

        ["\xF3\xB5\x8A\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xC7"],
        ["\xE6\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8A\xBF"],

        ["\xF3\xB5\x8B\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xC8"],
        ["\xE6\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x80"],

        ["\xF3\xB5\x8B\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xFA"],
        ["\xBF\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x81"],

        ["\xF3\xB5\x8B\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBF\xF2"],
        ["\xBF\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x82"],

        ["\xF3\xB5\x8B\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xC9"],
        ["\xE6\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x83"],

        ["\xF3\xB5\x8B\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xCA"],
        ["\xE6\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x84"],

        ["\xF3\xB5\x8B\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xCB"],
        ["\xE6\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x85"],

        ["\xF3\xB5\x8B\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xCC"],
        ["\xE6\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x86"],

        ["\xF3\xB5\x8B\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xCD"],
        ["\xE6\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x87"],

        ["\xF3\xB5\x8B\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xCE"],
        ["\xE6\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x88"],

        ["\xF3\xB5\x8B\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xA7"],
        ["\xC0\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x89"],

        ["\xF3\xB5\x8B\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xCF"],
        ["\xE6\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x8A"],

        ["\xF3\xB5\x8B\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xD0"],
        ["\xE6\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x8B"],

        ["\xF3\xB5\x8B\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xD1"],
        ["\xE6\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x8C"],

        ["\xF3\xB5\x8B\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xD2"],
        ["\xE6\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x8D"],

        ["\xF3\xB5\x8B\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xAB"],
        ["\xC0\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x8E"],

        ["\xF3\xB5\x8B\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xA9"],
        ["\xC0\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x8F"],

        ["\xF3\xB5\x8B\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xD3"],
        ["\xE6\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x90"],

        ["\xF3\xB5\x8B\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xD4"],
        ["\xE6\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x91"],

        ["\xF3\xB5\x8B\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xD5"],
        ["\xE6\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x92"],

        ["\xF3\xB5\x8B\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xD6"],
        ["\xE6\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x93"],

        ["\xF3\xB5\x8B\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xD7"],
        ["\xE6\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x94"],

        ["\xF3\xB5\x8B\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xD8"],
        ["\xE6\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x95"],

        ["\xF3\xB5\x8B\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xB2"],
        ["\xC0\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x96"],

        ["\xF3\xB5\x8B\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xB1"],
        ["\xC0\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x97"],

        ["\xF3\xB5\x8B\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xD9"],
        ["\xE6\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x98"],

        ["\xF3\xB5\x8B\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xDA"],
        ["\xE6\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x99"],

        ["\xF3\xB5\x8B\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xDB"],
        ["\xE6\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x9A"],

        ["\xF3\xB5\x8B\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xB5"],
        ["\xC0\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x9B"],

        ["\xF3\xB5\x8B\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xBB"],
        ["\xC0\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x9C"],

        ["\xF3\xB5\x8B\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xBE"],
        ["\xC0\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x9D"],

        ["\xF3\xB5\x8B\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xDC"],
        ["\xE6\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x9E"],

        ["\xF3\xB5\x8B\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xDD"],
        ["\xE6\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\x9F"],

        ["\xF3\xB5\x8B\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xDE"],
        ["\xE6\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xA0"],

        ["\xF3\xB5\x8B\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xDF"],
        ["\xE6\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xA1"],

        ["\xF3\xB5\x8B\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xE0"],
        ["\xE6\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xA2"],

        ["\xF3\xB5\x8B\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xE1"],
        ["\xE6\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xA3"],

        ["\xF3\xB5\x8B\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xE2"],
        ["\xE6\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xA4"],

        ["\xF3\xB5\x8B\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xE3"],
        ["\xE6\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xA5"],

        ["\xF3\xB5\x8B\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xE4"],
        ["\xE6\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xA6"],

        ["\xF3\xB5\x8B\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xE5"],
        ["\xE6\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xA7"],

        ["\xF3\xB5\x8B\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xE6"],
        ["\xE6\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xA8"],

        ["\xF3\xB5\x8B\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xB0"],
        ["\xD1\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xA9"],

        ["\xF3\xB5\x8B\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xE7"],
        ["\xE6\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xAA"],

        ["\xF3\xB5\x8B\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xE8"],
        ["\xE6\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xAB"],

        ["\xF3\xB5\x8B\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xD2"],
        ["\xC0\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xAC"],

        ["\xF3\xB5\x8B\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBC\xC9"],
        ["\xBC\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xAD"],

        ["\xF3\xB5\x8B\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xE2"],
        ["\xD3\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xAE"],

        ["\xF3\xB5\x8B\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xE9"],
        ["\xE6\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xAF"],

        ["\xF3\xB5\x8B\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xEA"],
        ["\xE6\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xB0"],

        ["\xF3\xB5\x8B\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xEB"],
        ["\xE6\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xB1"],

        ["\xF3\xB5\x8B\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xD6"],
        ["\xC0\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xB2"],

        ["\xF3\xB5\x8B\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xEC"],
        ["\xE6\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xB3"],

        ["\xF3\xB5\x8B\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xED"],
        ["\xE6\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xB4"],

        ["\xF3\xB5\x8B\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xEE"],
        ["\xE6\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xB5"],

        ["\xF3\xB5\x8B\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xDD"],
        ["\xC0\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xB7"],

        ["\xF3\xB5\x8B\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xEF"],
        ["\xE6\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xB8"],

        ["\xF3\xB5\x8B\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xF0"],
        ["\xE6\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xB9"],

        ["\xF3\xB5\x8B\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xF1"],
        ["\xE6\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xBA"],

        ["\xF3\xB5\x8B\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xE7"],
        ["\xC0\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xBB"],

        ["\xF3\xB5\x8B\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xF2"],
        ["\xE6\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xBC"],

        ["\xF3\xB5\x8B\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xEA"],
        ["\xC0\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xBD"],

        ["\xF3\xB5\x8B\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xF3"],
        ["\xE6\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xBE"],

        ["\xF3\xB5\x8B\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xF0"],
        ["\xC0\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8B\xBF"],

        ["\xF3\xB5\x8C\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xF4"],
        ["\xE6\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x80"],

        ["\xF3\xB5\x8C\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xF5"],
        ["\xE6\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x81"],

        ["\xF3\xB5\x8C\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xF6"],
        ["\xE6\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x82"],

        ["\xF3\xB5\x8C\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xF7"],
        ["\xE6\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x83"],

        ["\xF3\xB5\x8C\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xFB"],
        ["\xC0\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x84"],

        ["\xF3\xB5\x8C\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xF8"],
        ["\xE6\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x86"],

        ["\xF3\xB5\x8C\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC0\xFA"],
        ["\xC0\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x87"],

        ["\xF3\xB5\x8C\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xA2"],
        ["\xC1\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x88"],

        ["\xF3\xB5\x8C\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xF9"],
        ["\xE6\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x89"],

        ["\xF3\xB5\x8C\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xFA"],
        ["\xE6\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x8A"],

        ["\xF3\xB5\x8C\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xB2"],
        ["\xC1\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x8B"],

        ["\xF3\xB5\x8C\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xA9"],
        ["\xC1\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x8C"],

        ["\xF3\xB5\x8C\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xFB"],
        ["\xE6\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x8D"],

        ["\xF3\xB5\x8C\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xFC"],
        ["\xE6\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x8E"],

        ["\xF3\xB5\x8C\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xAE"],
        ["\xC1\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x8F"],

        ["\xF3\xB5\x8C\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xFD"],
        ["\xE6\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x90"],

        ["\xF3\xB5\x8C\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE6\xFE"],
        ["\xE6\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x91"],

        ["\xF3\xB5\x8C\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xAB"],
        ["\xC1\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x92"],

        ["\xF3\xB5\x8C\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xA1"],
        ["\xE7\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x93"],

        ["\xF3\xB5\x8C\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xA2"],
        ["\xE7\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x94"],

        ["\xF3\xB5\x8C\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xA3"],
        ["\xE7\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x95"],

        ["\xF3\xB5\x8C\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xC4"],
        ["\xC1\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x96"],

        ["\xF3\xB5\x8C\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xA4"],
        ["\xE7\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x97"],

        ["\xF3\xB5\x8C\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xA5"],
        ["\xE7\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x98"],

        ["\xF3\xB5\x8C\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xA6"],
        ["\xE7\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x99"],

        ["\xF3\xB5\x8C\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xA7"],
        ["\xE7\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x9A"],

        ["\xF3\xB5\x8C\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xA8"],
        ["\xE7\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x9B"],

        ["\xF3\xB5\x8C\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xA9"],
        ["\xE7\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x9C"],

        ["\xF3\xB5\x8C\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xAA"],
        ["\xE7\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x9D"],

        ["\xF3\xB5\x8C\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xAB"],
        ["\xE7\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x9E"],

        ["\xF3\xB5\x8C\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xAC"],
        ["\xE7\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\x9F"],

        ["\xF3\xB5\x8C\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xAD"],
        ["\xE7\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xA0"],

        ["\xF3\xB5\x8C\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xAE"],
        ["\xE7\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xA1"],

        ["\xF3\xB5\x8C\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xAF"],
        ["\xE7\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xA2"],

        ["\xF3\xB5\x8C\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xB0"],
        ["\xE7\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xA3"],

        ["\xF3\xB5\x8C\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xB1"],
        ["\xE7\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xA4"],

        ["\xF3\xB5\x8C\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xB2"],
        ["\xE7\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xA5"],

        ["\xF3\xB5\x8C\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xB3"],
        ["\xE7\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xA6"],

        ["\xF3\xB5\x8C\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xCB"],
        ["\xC1\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xA7"],

        ["\xF3\xB5\x8C\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xDB"],
        ["\xC1\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xA8"],

        ["\xF3\xB5\x8C\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xB4"],
        ["\xE7\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xAA"],

        ["\xF3\xB5\x8C\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xCF"],
        ["\xC1\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xAB"],

        ["\xF3\xB5\x8C\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xD3"],
        ["\xC1\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xAC"],

        ["\xF3\xB5\x8C\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xB5"],
        ["\xE7\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xAD"],

        ["\xF3\xB5\x8C\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xE1"],
        ["\xC1\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xAE"],

        ["\xF3\xB5\x8C\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xB6"],
        ["\xE7\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xAF"],

        ["\xF3\xB5\x8C\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xB7"],
        ["\xE7\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xB0"],

        ["\xF3\xB5\x8C\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xB8"],
        ["\xE7\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xB2"],

        ["\xF3\xB5\x8C\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xB9"],
        ["\xE7\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xB3"],

        ["\xF3\xB5\x8C\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xBA"],
        ["\xE7\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xB5"],

        ["\xF3\xB5\x8C\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xBB"],
        ["\xE7\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xB6"],

        ["\xF3\xB5\x8C\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xBC"],
        ["\xE7\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xB7"],

        ["\xF3\xB5\x8C\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xBD"],
        ["\xE7\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xB8"],

        ["\xF3\xB5\x8C\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xBE"],
        ["\xE7\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xB9"],

        ["\xF3\xB5\x8C\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xE8"],
        ["\xC1\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xBA"],

        ["\xF3\xB5\x8C\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xEA"],
        ["\xC1\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xBB"],

        ["\xF3\xB5\x8C\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xBF"],
        ["\xE7\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xBC"],

        ["\xF3\xB5\x8C\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xEF"],
        ["\xC1\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xBD"],

        ["\xF3\xB5\x8C\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xE6"],
        ["\xC1\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xBE"],

        ["\xF3\xB5\x8C\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xC0"],
        ["\xE7\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8C\xBF"],

        ["\xF3\xB5\x8D\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xC1"],
        ["\xE7\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x80"],

        ["\xF3\xB5\x8D\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xC2"],
        ["\xE7\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x81"],

        ["\xF3\xB5\x8D\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xC3"],
        ["\xE7\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x82"],

        ["\xF3\xB5\x8D\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC1\xFE"],
        ["\xC1\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x84"],

        ["\xF3\xB5\x8D\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xC4"],
        ["\xE7\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x85"],

        ["\xF3\xB5\x8D\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xC5"],
        ["\xE7\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x86"],

        ["\xF3\xB5\x8D\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xC6"],
        ["\xE7\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x87"],

        ["\xF3\xB5\x8D\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xC7"],
        ["\xE7\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x88"],

        ["\xF3\xB5\x8D\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xB6"],
        ["\xC2\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x89"],

        ["\xF3\xB5\x8D\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xC8"],
        ["\xE7\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x8A"],

        ["\xF3\xB5\x8D\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xC9"],
        ["\xE7\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x8B"],

        ["\xF3\xB5\x8D\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xCA"],
        ["\xE7\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x8C"],

        ["\xF3\xB5\x8D\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xCB"],
        ["\xE7\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x8D"],

        ["\xF3\xB5\x8D\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xCC"],
        ["\xE7\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x8E"],

        ["\xF3\xB5\x8D\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xCD"],
        ["\xE7\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x8F"],

        ["\xF3\xB5\x8D\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xB7"],
        ["\xC2\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x90"],

        ["\xF3\xB5\x8D\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xCE"],
        ["\xE7\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x91"],

        ["\xF3\xB5\x8D\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xCF"],
        ["\xE7\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x92"],

        ["\xF3\xB5\x8D\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xD0"],
        ["\xE7\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x93"],

        ["\xF3\xB5\x8D\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xD1"],
        ["\xE7\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x94"],

        ["\xF3\xB5\x8D\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xD2"],
        ["\xE7\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x95"],

        ["\xF3\xB5\x8D\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xD3"],
        ["\xE7\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x96"],

        ["\xF3\xB5\x8D\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xD4"],
        ["\xE7\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x97"],

        ["\xF3\xB5\x8D\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xD4"],
        ["\xC2\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x98"],

        ["\xF3\xB5\x8D\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xC3"],
        ["\xC2\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x99"],

        ["\xF3\xB5\x8D\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xD0"],
        ["\xC2\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x9A"],

        ["\xF3\xB5\x8D\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xD5"],
        ["\xE7\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x9B"],

        ["\xF3\xB5\x8D\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xD6"],
        ["\xE7\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x9C"],

        ["\xF3\xB5\x8D\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xD7"],
        ["\xE7\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x9D"],

        ["\xF3\xB5\x8D\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xE0"],
        ["\xC2\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x9E"],

        ["\xF3\xB5\x8D\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xD8"],
        ["\xE7\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\x9F"],

        ["\xF3\xB5\x8D\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xD9"],
        ["\xE7\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xA1"],

        ["\xF3\xB5\x8D\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xDA"],
        ["\xE7\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xA2"],

        ["\xF3\xB5\x8D\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xE8"],
        ["\xC2\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xA3"],

        ["\xF3\xB5\x8D\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xDB"],
        ["\xE7\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xA4"],

        ["\xF3\xB5\x8D\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xDC"],
        ["\xE7\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xA5"],

        ["\xF3\xB5\x8D\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xDD"],
        ["\xE7\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xA6"],

        ["\xF3\xB5\x8D\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xDE"],
        ["\xE7\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xA7"],

        ["\xF3\xB5\x8D\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xDF"],
        ["\xE7\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xA8"],

        ["\xF3\xB5\x8D\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xE0"],
        ["\xE7\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xAA"],

        ["\xF3\xB5\x8D\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xE1"],
        ["\xE7\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xAB"],

        ["\xF3\xB5\x8D\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xE2"],
        ["\xE7\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xAC"],

        ["\xF3\xB5\x8D\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xE3"],
        ["\xE7\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xAD"],

        ["\xF3\xB5\x8D\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xE4"],
        ["\xE7\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xAE"],

        ["\xF3\xB5\x8D\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xF4"],
        ["\xC2\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xAF"],

        ["\xF3\xB5\x8D\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xE5"],
        ["\xE7\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xB0"],

        ["\xF3\xB5\x8D\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xE6"],
        ["\xE7\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xB1"],

        ["\xF3\xB5\x8D\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xE7"],
        ["\xE7\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xB2"],

        ["\xF3\xB5\x8D\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xE8"],
        ["\xE7\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xB3"],

        ["\xF3\xB5\x8D\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xE9"],
        ["\xE7\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xB4"],

        ["\xF3\xB5\x8D\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xEA"],
        ["\xE7\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xB5"],

        ["\xF3\xB5\x8D\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xEB"],
        ["\xE7\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xB6"],

        ["\xF3\xB5\x8D\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xF7"],
        ["\xC2\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xB7"],

        ["\xF3\xB5\x8D\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xF8"],
        ["\xC2\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xB8"],

        ["\xF3\xB5\x8D\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xE0"],
        ["\xC7\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xB9"],

        ["\xF3\xB5\x8D\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xEC"],
        ["\xE7\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xBA"],

        ["\xF3\xB5\x8D\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xED"],
        ["\xE7\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xBB"],

        ["\xF3\xB5\x8D\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xEE"],
        ["\xE7\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xBC"],

        ["\xF3\xB5\x8D\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xFA"],
        ["\xC2\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xBD"],

        ["\xF3\xB5\x8D\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB3\xEB"],
        ["\xB3\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8D\xBE"],

        ["\xF3\xB5\x8E\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xEF"],
        ["\xE7\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x80"],

        ["\xF3\xB5\x8E\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xF0"],
        ["\xE7\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x81"],

        ["\xF3\xB5\x8E\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xF1"],
        ["\xE7\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x82"],

        ["\xF3\xB5\x8E\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xF2"],
        ["\xE7\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x83"],

        ["\xF3\xB5\x8E\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xF3"],
        ["\xE7\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x84"],

        ["\xF3\xB5\x8E\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xF4"],
        ["\xE7\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x85"],

        ["\xF3\xB5\x8E\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xF5"],
        ["\xE7\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x86"],

        ["\xF3\xB5\x8E\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xA3"],
        ["\xC3\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x87"],

        ["\xF3\xB5\x8E\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xA1"],
        ["\xC3\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x88"],

        ["\xF3\xB5\x8E\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xF6"],
        ["\xE7\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x89"],

        ["\xF3\xB5\x8E\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xF7"],
        ["\xE7\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x8B"],

        ["\xF3\xB5\x8E\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xAC"],
        ["\xC3\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x8C"],

        ["\xF3\xB5\x8E\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xF8"],
        ["\xE7\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x8D"],

        ["\xF3\xB5\x8E\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xF9"],
        ["\xE7\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x8E"],

        ["\xF3\xB5\x8E\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xFA"],
        ["\xE7\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x8F"],

        ["\xF3\xB5\x8E\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xB2"],
        ["\xC3\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x90"],

        ["\xF3\xB5\x8E\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xAE"],
        ["\xC3\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x91"],

        ["\xF3\xB5\x8E\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xFB"],
        ["\xE7\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x92"],

        ["\xF3\xB5\x8E\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBD\xF3"],
        ["\xBD\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x93"],

        ["\xF3\xB5\x8E\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xFC"],
        ["\xE7\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x94"],

        ["\xF3\xB5\x8E\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xFD"],
        ["\xE7\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x95"],

        ["\xF3\xB5\x8E\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE7\xFE"],
        ["\xE7\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x96"],

        ["\xF3\xB5\x8E\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xA1"],
        ["\xE8\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x97"],

        ["\xF3\xB5\x8E\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xC8"],
        ["\xC3\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x98"],

        ["\xF3\xB5\x8E\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xA2"],
        ["\xE8\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x99"],

        ["\xF3\xB5\x8E\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xCA"],
        ["\xC3\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x9A"],

        ["\xF3\xB5\x8E\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xA3"],
        ["\xE8\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x9B"],

        ["\xF3\xB5\x8E\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xA4"],
        ["\xE8\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x9C"],

        ["\xF3\xB5\x8E\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xA5"],
        ["\xE8\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x9D"],

        ["\xF3\xB5\x8E\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xA6"],
        ["\xE8\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x9E"],

        ["\xF3\xB5\x8E\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xA7"],
        ["\xE8\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\x9F"],

        ["\xF3\xB5\x8E\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xA8"],
        ["\xE8\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xA0"],

        ["\xF3\xB5\x8E\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xA9"],
        ["\xE8\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xA1"],

        ["\xF3\xB5\x8E\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xAA"],
        ["\xE8\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xA2"],

        ["\xF3\xB5\x8E\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xAB"],
        ["\xE8\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xA3"],

        ["\xF3\xB5\x8E\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xAC"],
        ["\xE8\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xA4"],

        ["\xF3\xB5\x8E\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xAD"],
        ["\xE8\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xA5"],

        ["\xF3\xB5\x8E\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xAE"],
        ["\xE8\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xA6"],

        ["\xF3\xB5\x8E\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xAF"],
        ["\xE8\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xA7"],

        ["\xF3\xB5\x8E\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xB0"],
        ["\xE8\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xA8"],

        ["\xF3\xB5\x8E\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xB1"],
        ["\xE8\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xA9"],

        ["\xF3\xB5\x8E\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xB2"],
        ["\xE8\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xAA"],

        ["\xF3\xB5\x8E\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xB3"],
        ["\xE8\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xAB"],

        ["\xF3\xB5\x8E\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xF0"],
        ["\xC9\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xAC"],

        ["\xF3\xB5\x8E\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xB4"],
        ["\xE8\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xAD"],

        ["\xF3\xB5\x8E\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xB5"],
        ["\xE8\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xAE"],

        ["\xF3\xB5\x8E\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xE3"],
        ["\xC3\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xAF"],

        ["\xF3\xB5\x8E\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xB6"],
        ["\xE8\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xB0"],

        ["\xF3\xB5\x8E\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xB7"],
        ["\xE8\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xB1"],

        ["\xF3\xB5\x8E\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xB8"],
        ["\xE8\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xB2"],

        ["\xF3\xB5\x8E\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xE4"],
        ["\xC3\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xB3"],

        ["\xF3\xB5\x8E\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xE5"],
        ["\xC3\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xB4"],

        ["\xF3\xB5\x8E\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xB9"],
        ["\xE8\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xB5"],

        ["\xF3\xB5\x8E\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xBA"],
        ["\xE8\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xB6"],

        ["\xF3\xB5\x8E\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xE7"],
        ["\xC3\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xB7"],

        ["\xF3\xB5\x8E\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xE8"],
        ["\xC3\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xB8"],

        ["\xF3\xB5\x8E\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xBB"],
        ["\xE8\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xB9"],

        ["\xF3\xB5\x8E\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xBC"],
        ["\xE8\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xBB"],

        ["\xF3\xB5\x8E\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xBD"],
        ["\xE8\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xBC"],

        ["\xF3\xB5\x8E\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xEF"],
        ["\xC3\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xBD"],

        ["\xF3\xB5\x8E\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xBE"],
        ["\xE8\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xBE"],

        ["\xF3\xB5\x8E\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xBF"],
        ["\xE8\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8E\xBF"],

        ["\xF3\xB5\x8F\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xC0"],
        ["\xE8\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x80"],

        ["\xF3\xB5\x8F\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xC1"],
        ["\xE8\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x81"],

        ["\xF3\xB5\x8F\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xC2"],
        ["\xE8\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x82"],

        ["\xF3\xB5\x8F\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xC3"],
        ["\xE8\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x83"],

        ["\xF3\xB5\x8F\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xC4"],
        ["\xE8\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x84"],

        ["\xF3\xB5\x8F\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xF3"],
        ["\xC3\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x85"],

        ["\xF3\xB5\x8F\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xC5"],
        ["\xE8\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x86"],

        ["\xF3\xB5\x8F\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xC6"],
        ["\xE8\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x87"],

        ["\xF3\xB5\x8F\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xD4"],
        ["\xCD\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x88"],

        ["\xF3\xB5\x8F\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xF9"],
        ["\xC3\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x89"],

        ["\xF3\xB5\x8F\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xC7"],
        ["\xE8\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x8A"],

        ["\xF3\xB5\x8F\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC3\xFC"],
        ["\xC3\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x8B"],

        ["\xF3\xB5\x8F\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xC8"],
        ["\xE8\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x8C"],

        ["\xF3\xB5\x8F\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xC9"],
        ["\xE8\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x8D"],

        ["\xF3\xB5\x8F\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xA4"],
        ["\xC4\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x8E"],

        ["\xF3\xB5\x8F\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xCA"],
        ["\xE8\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x8F"],

        ["\xF3\xB5\x8F\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xCB"],
        ["\xE8\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x90"],

        ["\xF3\xB5\x8F\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xCC"],
        ["\xE8\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x91"],

        ["\xF3\xB5\x8F\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xCD"],
        ["\xE8\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x92"],

        ["\xF3\xB5\x8F\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xCE"],
        ["\xE8\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x93"],

        ["\xF3\xB5\x8F\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xA7"],
        ["\xC4\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x95"],

        ["\xF3\xB5\x8F\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xA8"],
        ["\xC4\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x96"],

        ["\xF3\xB5\x8F\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xCF"],
        ["\xE8\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x97"],

        ["\xF3\xB5\x8F\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xD0"],
        ["\xE8\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x98"],

        ["\xF3\xB5\x8F\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xB0"],
        ["\xC4\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x99"],

        ["\xF3\xB5\x8F\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xB3"],
        ["\xC4\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x9A"],

        ["\xF3\xB5\x8F\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xB2"],
        ["\xC4\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x9B"],

        ["\xF3\xB5\x8F\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xD1"],
        ["\xE8\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x9C"],

        ["\xF3\xB5\x8F\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xD2"],
        ["\xE8\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x9D"],

        ["\xF3\xB5\x8F\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xD3"],
        ["\xE8\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x9E"],

        ["\xF3\xB5\x8F\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xD4"],
        ["\xE8\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\x9F"],

        ["\xF3\xB5\x8F\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xBB"],
        ["\xC4\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xA0"],

        ["\xF3\xB5\x8F\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xD5"],
        ["\xE8\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xA1"],

        ["\xF3\xB5\x8F\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xD6"],
        ["\xE8\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xA2"],

        ["\xF3\xB5\x8F\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xBD"],
        ["\xC4\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xA3"],

        ["\xF3\xB5\x8F\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xB9"],
        ["\xC4\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xA4"],

        ["\xF3\xB5\x8F\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xD7"],
        ["\xE8\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xA5"],

        ["\xF3\xB5\x8F\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xD8"],
        ["\xE8\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xA6"],

        ["\xF3\xB5\x8F\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xC4"],
        ["\xC4\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xA7"],

        ["\xF3\xB5\x8F\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xD9"],
        ["\xE8\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xA8"],

        ["\xF3\xB5\x8F\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xCA"],
        ["\xC4\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xA9"],

        ["\xF3\xB5\x8F\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xCD"],
        ["\xC4\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xAA"],

        ["\xF3\xB5\x8F\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xD6"],
        ["\xC4\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xAB"],

        ["\xF3\xB5\x8F\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xDA"],
        ["\xE8\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xAC"],

        ["\xF3\xB5\x8F\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xD4"],
        ["\xC4\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xAD"],

        ["\xF3\xB5\x8F\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xDB"],
        ["\xE8\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xAE"],

        ["\xF3\xB5\x8F\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xDC"],
        ["\xE8\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xAF"],

        ["\xF3\xB5\x8F\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xDD"],
        ["\xE8\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xB0"],

        ["\xF3\xB5\x8F\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xDE"],
        ["\xE8\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xB1"],

        ["\xF3\xB5\x8F\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xE7"],
        ["\xC4\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xB2"],

        ["\xF3\xB5\x8F\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xDF"],
        ["\xE8\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xB3"],

        ["\xF3\xB5\x8F\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xEB"],
        ["\xC4\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xB4"],

        ["\xF3\xB5\x8F\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xE0"],
        ["\xE8\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xB5"],

        ["\xF3\xB5\x8F\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xE1"],
        ["\xE8\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xB6"],

        ["\xF3\xB5\x8F\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xE2"],
        ["\xE8\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xB7"],

        ["\xF3\xB5\x8F\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xE3"],
        ["\xE8\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xB8"],

        ["\xF3\xB5\x8F\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xE4"],
        ["\xE8\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xB9"],

        ["\xF3\xB5\x8F\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xE5"],
        ["\xE8\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xBA"],

        ["\xF3\xB5\x8F\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xFA"],
        ["\xC4\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xBB"],

        ["\xF3\xB5\x8F\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xE6"],
        ["\xE8\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xBC"],

        ["\xF3\xB5\x8F\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xE7"],
        ["\xE8\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xBD"],

        ["\xF3\xB5\x8F\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xE8"],
        ["\xE8\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xBE"],

        ["\xF3\xB5\x8F\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xE9"],
        ["\xE8\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x8F\xBF"],

        ["\xF3\xB5\x90\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC4\xFD"],
        ["\xC4\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x80"],

        ["\xF3\xB5\x90\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xA5"],
        ["\xC5\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x81"],

        ["\xF3\xB5\x90\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xEA"],
        ["\xE8\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x82"],

        ["\xF3\xB5\x90\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xEB"],
        ["\xE8\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x83"],

        ["\xF3\xB5\x90\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xEC"],
        ["\xE8\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x84"],

        ["\xF3\xB5\x90\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xED"],
        ["\xE8\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x85"],

        ["\xF3\xB5\x90\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xEE"],
        ["\xE8\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x86"],

        ["\xF3\xB5\x90\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xEF"],
        ["\xE8\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x87"],

        ["\xF3\xB5\x90\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xF0"],
        ["\xE8\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x88"],

        ["\xF3\xB5\x90\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xF1"],
        ["\xE8\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x89"],

        ["\xF3\xB5\x90\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xF2"],
        ["\xE8\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x8A"],

        ["\xF3\xB5\x90\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xF3"],
        ["\xE8\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x8B"],

        ["\xF3\xB5\x90\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xF4"],
        ["\xE8\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x8C"],

        ["\xF3\xB5\x90\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xF5"],
        ["\xE8\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x8D"],

        ["\xF3\xB5\x90\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xF6"],
        ["\xE8\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x8E"],

        ["\xF3\xB5\x90\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xF7"],
        ["\xE8\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x8F"],

        ["\xF3\xB5\x90\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xF8"],
        ["\xE8\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x90"],

        ["\xF3\xB5\x90\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xF9"],
        ["\xE8\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x91"],

        ["\xF3\xB5\x90\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xFA"],
        ["\xE8\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x92"],

        ["\xF3\xB5\x90\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xAF"],
        ["\xC5\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x93"],

        ["\xF3\xB5\x90\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xFB"],
        ["\xE8\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x94"],

        ["\xF3\xB5\x90\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xFC"],
        ["\xE8\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x95"],

        ["\xF3\xB5\x90\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xB0"],
        ["\xC5\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x96"],

        ["\xF3\xB5\x90\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xFD"],
        ["\xE8\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x97"],

        ["\xF3\xB5\x90\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE8\xFE"],
        ["\xE8\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x98"],

        ["\xF3\xB5\x90\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xA1"],
        ["\xE9\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x99"],

        ["\xF3\xB5\x90\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xB3"],
        ["\xC5\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x9A"],

        ["\xF3\xB5\x90\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xA2"],
        ["\xE9\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x9B"],

        ["\xF3\xB5\x90\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xA3"],
        ["\xE9\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x9C"],

        ["\xF3\xB5\x90\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xB8"],
        ["\xC5\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x9D"],

        ["\xF3\xB5\x90\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xB9"],
        ["\xC5\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x9E"],

        ["\xF3\xB5\x90\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xA4"],
        ["\xE9\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\x9F"],

        ["\xF3\xB5\x90\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xA5"],
        ["\xE9\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xA0"],

        ["\xF3\xB5\x90\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xA6"],
        ["\xE9\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xA1"],

        ["\xF3\xB5\x90\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xA7"],
        ["\xE9\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xA2"],

        ["\xF3\xB5\x90\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xA8"],
        ["\xE9\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xA3"],

        ["\xF3\xB5\x90\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xA9"],
        ["\xE9\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xA4"],

        ["\xF3\xB5\x90\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xAA"],
        ["\xE9\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xA5"],

        ["\xF3\xB5\x90\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xAB"],
        ["\xE9\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xA6"],

        ["\xF3\xB5\x90\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xBF"],
        ["\xC5\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xA7"],

        ["\xF3\xB5\x90\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xAC"],
        ["\xE9\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xA8"],

        ["\xF3\xB5\x90\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xAD"],
        ["\xE9\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xA9"],

        ["\xF3\xB5\x90\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xAE"],
        ["\xE9\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xAA"],

        ["\xF3\xB5\x90\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xAF"],
        ["\xE9\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xAB"],

        ["\xF3\xB5\x90\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xB0"],
        ["\xE9\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xAC"],

        ["\xF3\xB5\x90\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xB1"],
        ["\xE9\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xAD"],

        ["\xF3\xB5\x90\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xB2"],
        ["\xE9\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xAE"],

        ["\xF3\xB5\x90\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xB3"],
        ["\xE9\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xAF"],

        ["\xF3\xB5\x90\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xB4"],
        ["\xE9\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xB0"],

        ["\xF3\xB5\x90\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xB5"],
        ["\xE9\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xB1"],

        ["\xF3\xB5\x90\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xC5"],
        ["\xC5\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xB2"],

        ["\xF3\xB5\x90\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xB6"],
        ["\xE9\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xB3"],

        ["\xF3\xB5\x90\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xB7"],
        ["\xE9\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xB4"],

        ["\xF3\xB5\x90\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xB8"],
        ["\xE9\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xB5"],

        ["\xF3\xB5\x90\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xB9"],
        ["\xE9\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xB6"],

        ["\xF3\xB5\x90\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xBA"],
        ["\xE9\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xB7"],

        ["\xF3\xB5\x90\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xBB"],
        ["\xE9\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xB8"],

        ["\xF3\xB5\x90\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xC7"],
        ["\xC5\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xB9"],

        ["\xF3\xB5\x90\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xBC"],
        ["\xE9\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xBA"],

        ["\xF3\xB5\x90\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xBD"],
        ["\xE9\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xBB"],

        ["\xF3\xB5\x90\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xBE"],
        ["\xE9\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xBC"],

        ["\xF3\xB5\x90\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xC9"],
        ["\xC5\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xBD"],

        ["\xF3\xB5\x90\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xBF"],
        ["\xE9\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xBE"],

        ["\xF3\xB5\x90\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xC0"],
        ["\xE9\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x90\xBF"],

        ["\xF3\xB5\x91\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xCB"],
        ["\xC5\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x80"],

        ["\xF3\xB5\x91\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xC1"],
        ["\xE9\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x81"],

        ["\xF3\xB5\x91\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xC2"],
        ["\xE9\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x82"],

        ["\xF3\xB5\x91\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xC3"],
        ["\xE9\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x83"],

        ["\xF3\xB5\x91\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xC4"],
        ["\xE9\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x84"],

        ["\xF3\xB5\x91\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xC5"],
        ["\xE9\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x85"],

        ["\xF3\xB5\x91\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xC6"],
        ["\xE9\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x86"],

        ["\xF3\xB5\x91\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xC7"],
        ["\xE9\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x87"],

        ["\xF3\xB5\x91\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xC8"],
        ["\xE9\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x88"],

        ["\xF3\xB5\x91\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xC9"],
        ["\xE9\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x89"],

        ["\xF3\xB5\x91\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xCA"],
        ["\xE9\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x8B"],

        ["\xF3\xB5\x91\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xCB"],
        ["\xE9\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x8C"],

        ["\xF3\xB5\x91\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xE0"],
        ["\xC5\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x8D"],

        ["\xF3\xB5\x91\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xCC"],
        ["\xE9\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x8E"],

        ["\xF3\xB5\x91\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xCD"],
        ["\xE9\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x8F"],

        ["\xF3\xB5\x91\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xCE"],
        ["\xE9\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x90"],

        ["\xF3\xB5\x91\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xCF"],
        ["\xE9\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x91"],

        ["\xF3\xB5\x91\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xD0"],
        ["\xE9\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x92"],

        ["\xF3\xB5\x91\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xD1"],
        ["\xE9\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x93"],

        ["\xF3\xB5\x91\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xD2"],
        ["\xE9\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x94"],

        ["\xF3\xB5\x91\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xD3"],
        ["\xE9\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x95"],

        ["\xF3\xB5\x91\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xD4"],
        ["\xE9\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x96"],

        ["\xF3\xB5\x91\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xD5"],
        ["\xE9\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x97"],

        ["\xF3\xB5\x91\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xD6"],
        ["\xE9\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x98"],

        ["\xF3\xB5\x91\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xD7"],
        ["\xE9\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x99"],

        ["\xF3\xB5\x91\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xD8"],
        ["\xE9\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x9A"],

        ["\xF3\xB5\x91\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xD9"],
        ["\xE9\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x9B"],

        ["\xF3\xB5\x91\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xDA"],
        ["\xE9\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x9C"],

        ["\xF3\xB5\x91\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xDB"],
        ["\xE9\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x9D"],

        ["\xF3\xB5\x91\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xDC"],
        ["\xE9\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x9E"],

        ["\xF3\xB5\x91\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xDD"],
        ["\xE9\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\x9F"],

        ["\xF3\xB5\x91\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xF5"],
        ["\xC5\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xA0"],

        ["\xF3\xB5\x91\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xDE"],
        ["\xE9\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xA1"],

        ["\xF3\xB5\x91\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xFB"],
        ["\xC5\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xA2"],

        ["\xF3\xB5\x91\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xDF"],
        ["\xE9\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xA3"],

        ["\xF3\xB5\x91\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xE0"],
        ["\xE9\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xA4"],

        ["\xF3\xB5\x91\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xE1"],
        ["\xE9\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xA5"],

        ["\xF3\xB5\x91\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xE2"],
        ["\xE9\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xA6"],

        ["\xF3\xB5\x91\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xFE"],
        ["\xC5\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xA7"],

        ["\xF3\xB5\x91\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xE3"],
        ["\xE9\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xA8"],

        ["\xF3\xB5\x91\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xFD"],
        ["\xC5\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xA9"],

        ["\xF3\xB5\x91\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xE4"],
        ["\xE9\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xAA"],

        ["\xF3\xB5\x91\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xE5"],
        ["\xE9\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xAB"],

        ["\xF3\xB5\x91\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xA5"],
        ["\xC6\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xAC"],

        ["\xF3\xB5\x91\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xE6"],
        ["\xE9\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xAD"],

        ["\xF3\xB5\x91\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xA7"],
        ["\xC6\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xAE"],

        ["\xF3\xB5\x91\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB2\xF0"],
        ["\xB2\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xAF"],

        ["\xF3\xB5\x91\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xE7"],
        ["\xE9\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xB0"],

        ["\xF3\xB5\x91\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xE8"],
        ["\xE9\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xB1"],

        ["\xF3\xB5\x91\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xE9"],
        ["\xE9\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xB2"],

        ["\xF3\xB5\x91\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xEA"],
        ["\xE9\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xB3"],

        ["\xF3\xB5\x91\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xAB"],
        ["\xC6\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xB4"],

        ["\xF3\xB5\x91\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xAC"],
        ["\xC6\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xB5"],

        ["\xF3\xB5\x91\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xEB"],
        ["\xE9\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xB6"],

        ["\xF3\xB5\x91\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xEC"],
        ["\xE9\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xB7"],

        ["\xF3\xB5\x91\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xAE"],
        ["\xC6\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xB8"],

        ["\xF3\xB5\x91\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xED"],
        ["\xE9\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xB9"],

        ["\xF3\xB5\x91\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xEE"],
        ["\xE9\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xBA"],

        ["\xF3\xB5\x91\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xEF"],
        ["\xE9\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xBB"],

        ["\xF3\xB5\x91\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xF0"],
        ["\xE9\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xBD"],

        ["\xF3\xB5\x91\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xF1"],
        ["\xE9\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x91\xBE"],

        ["\xF3\xB5\x92\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xF2"],
        ["\xE9\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x80"],

        ["\xF3\xB5\x92\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xF3"],
        ["\xE9\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x81"],

        ["\xF3\xB5\x92\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xF4"],
        ["\xE9\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x82"],

        ["\xF3\xB5\x92\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xF5"],
        ["\xE9\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x83"],

        ["\xF3\xB5\x92\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xC5"],
        ["\xC6\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x84"],

        ["\xF3\xB5\x92\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xF6"],
        ["\xE9\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x85"],

        ["\xF3\xB5\x92\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xC6"],
        ["\xC6\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x86"],

        ["\xF3\xB5\x92\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xF7"],
        ["\xE9\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x87"],

        ["\xF3\xB5\x92\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xF8"],
        ["\xE9\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x88"],

        ["\xF3\xB5\x92\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xC9"],
        ["\xC6\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x89"],

        ["\xF3\xB5\x92\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xF9"],
        ["\xE9\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x8A"],

        ["\xF3\xB5\x92\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xFA"],
        ["\xE9\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x8B"],

        ["\xF3\xB5\x92\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xFB"],
        ["\xE9\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x8C"],

        ["\xF3\xB5\x92\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xCF"],
        ["\xC6\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x8D"],

        ["\xF3\xB5\x92\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xCC"],
        ["\xC6\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x8E"],

        ["\xF3\xB5\x92\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xFC"],
        ["\xE9\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x8F"],

        ["\xF3\xB5\x92\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xFD"],
        ["\xE9\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x90"],

        ["\xF3\xB5\x92\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD2\xB8"],
        ["\xD2\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x91"],

        ["\xF3\xB5\x92\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xD0"],
        ["\xC6\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x92"],

        ["\xF3\xB5\x92\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xE9\xFE"],
        ["\xE9\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x93"],

        ["\xF3\xB5\x92\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xA1"],
        ["\xEA\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x94"],

        ["\xF3\xB5\x92\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xA2"],
        ["\xEA\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x95"],

        ["\xF3\xB5\x92\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xA3"],
        ["\xEA\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x96"],

        ["\xF3\xB5\x92\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xA4"],
        ["\xEA\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x98"],

        ["\xF3\xB5\x92\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xDC"],
        ["\xC6\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x99"],

        ["\xF3\xB5\x92\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xA5"],
        ["\xEA\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x9A"],

        ["\xF3\xB5\x92\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xA6"],
        ["\xEA\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x9B"],

        ["\xF3\xB5\x92\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xE7"],
        ["\xC6\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x9C"],

        ["\xF3\xB5\x92\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xA7"],
        ["\xEA\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x9D"],

        ["\xF3\xB5\x92\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xF8"],
        ["\xC6\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x9E"],

        ["\xF3\xB5\x92\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC6\xFA"],
        ["\xC6\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\x9F"],

        ["\xF3\xB5\x92\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xA8"],
        ["\xEA\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xA1"],

        ["\xF3\xB5\x92\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xA5"],
        ["\xC7\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xA2"],

        ["\xF3\xB5\x92\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xA9"],
        ["\xEA\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xA4"],

        ["\xF3\xB5\x92\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xAA"],
        ["\xEA\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xA5"],

        ["\xF3\xB5\x92\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xAB"],
        ["\xEA\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xA6"],

        ["\xF3\xB5\x92\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xAC"],
        ["\xEA\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xA7"],

        ["\xF3\xB5\x92\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xB3"],
        ["\xC7\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xA8"],

        ["\xF3\xB5\x92\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xAD"],
        ["\xEA\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xA9"],

        ["\xF3\xB5\x92\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xAE"],
        ["\xEA\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xAA"],

        ["\xF3\xB5\x92\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xAF"],
        ["\xEA\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xAB"],

        ["\xF3\xB5\x92\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xBA"],
        ["\xC7\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xAC"],

        ["\xF3\xB5\x92\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xB0"],
        ["\xEA\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xAD"],

        ["\xF3\xB5\x92\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xB1"],
        ["\xEA\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xAE"],

        ["\xF3\xB5\x92\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xB2"],
        ["\xEA\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xAF"],

        ["\xF3\xB5\x92\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xB3"],
        ["\xEA\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xB0"],

        ["\xF3\xB5\x92\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xC4"],
        ["\xC7\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xB1"],

        ["\xF3\xB5\x92\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xCA"],
        ["\xC7\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xB2"],

        ["\xF3\xB5\x92\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xB4"],
        ["\xEA\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xB3"],

        ["\xF3\xB5\x92\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xC9"],
        ["\xC7\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xB4"],

        ["\xF3\xB5\x92\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xCB"],
        ["\xC7\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xB5"],

        ["\xF3\xB5\x92\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xB5"],
        ["\xEA\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xB6"],

        ["\xF3\xB5\x92\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xB6"],
        ["\xEA\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xB7"],

        ["\xF3\xB5\x92\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xD2"],
        ["\xC7\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xB8"],

        ["\xF3\xB5\x92\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xB7"],
        ["\xEA\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xB9"],

        ["\xF3\xB5\x92\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xD6"],
        ["\xC7\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xBA"],

        ["\xF3\xB5\x92\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xB8"],
        ["\xEA\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xBB"],

        ["\xF3\xB5\x92\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xB9"],
        ["\xEA\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xBC"],

        ["\xF3\xB5\x92\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xBA"],
        ["\xEA\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xBD"],

        ["\xF3\xB5\x92\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xDB"],
        ["\xC7\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xBE"],

        ["\xF3\xB5\x92\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xBB"],
        ["\xEA\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x92\xBF"],

        ["\xF3\xB5\x93\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xBC"],
        ["\xEA\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x80"],

        ["\xF3\xB5\x93\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xDE"],
        ["\xC7\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x81"],

        ["\xF3\xB5\x93\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xBD"],
        ["\xEA\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x82"],

        ["\xF3\xB5\x93\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xBE"],
        ["\xEA\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x83"],

        ["\xF3\xB5\x93\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xBF"],
        ["\xEA\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x84"],

        ["\xF3\xB5\x93\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xC0"],
        ["\xEA\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x85"],

        ["\xF3\xB5\x93\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xC1"],
        ["\xEA\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x86"],

        ["\xF3\xB5\x93\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xC2"],
        ["\xEA\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x87"],

        ["\xF3\xB5\x93\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xE8"],
        ["\xC7\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x88"],

        ["\xF3\xB5\x93\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xC3"],
        ["\xEA\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x89"],

        ["\xF3\xB5\x93\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xC4"],
        ["\xEA\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x8A"],

        ["\xF3\xB5\x93\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xC5"],
        ["\xEA\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x8B"],

        ["\xF3\xB5\x93\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC7\xEE"],
        ["\xC7\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x8C"],

        ["\xF3\xB5\x93\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xC6"],
        ["\xEA\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x8D"],

        ["\xF3\xB5\x93\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xC7"],
        ["\xEA\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x8E"],

        ["\xF3\xB5\x93\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xC8"],
        ["\xEA\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x8F"],

        ["\xF3\xB5\x93\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xC9"],
        ["\xEA\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x92"],

        ["\xF3\xB5\x93\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xCA"],
        ["\xEA\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x93"],

        ["\xF3\xB5\x93\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xCB"],
        ["\xEA\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x94"],

        ["\xF3\xB5\x93\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xCC"],
        ["\xEA\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x95"],

        ["\xF3\xB5\x93\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xCD"],
        ["\xEA\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x96"],

        ["\xF3\xB5\x93\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xCE"],
        ["\xEA\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x97"],

        ["\xF3\xB5\x93\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xA9"],
        ["\xC8\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x98"],

        ["\xF3\xB5\x93\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xCF"],
        ["\xEA\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x99"],

        ["\xF3\xB5\x93\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xD0"],
        ["\xEA\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x9A"],

        ["\xF3\xB5\x93\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xA5"],
        ["\xC8\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x9B"],

        ["\xF3\xB5\x93\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xD1"],
        ["\xEA\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x9C"],

        ["\xF3\xB5\x93\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xA4"],
        ["\xC8\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x9D"],

        ["\xF3\xB5\x93\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xD2"],
        ["\xEA\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x9E"],

        ["\xF3\xB5\x93\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xD3"],
        ["\xEA\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\x9F"],

        ["\xF3\xB5\x93\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xD4"],
        ["\xEA\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xA0"],

        ["\xF3\xB5\x93\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xD5"],
        ["\xEA\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xA1"],

        ["\xF3\xB5\x93\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xD6"],
        ["\xEA\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xA2"],

        ["\xF3\xB5\x93\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xD7"],
        ["\xEA\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xA3"],

        ["\xF3\xB5\x93\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xD8"],
        ["\xEA\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xA4"],

        ["\xF3\xB5\x93\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xB4"],
        ["\xC8\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xA5"],

        ["\xF3\xB5\x93\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xB5"],
        ["\xC8\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xA6"],

        ["\xF3\xB5\x93\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xAF"],
        ["\xC8\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xA7"],

        ["\xF3\xB5\x93\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xD9"],
        ["\xEA\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xA8"],

        ["\xF3\xB5\x93\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xDA"],
        ["\xEA\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xA9"],

        ["\xF3\xB5\x93\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xDB"],
        ["\xEA\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xAA"],

        ["\xF3\xB5\x93\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xDC"],
        ["\xEA\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xAB"],

        ["\xF3\xB5\x93\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xB9"],
        ["\xC8\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xAC"],

        ["\xF3\xB5\x93\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xBC"],
        ["\xC8\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xAD"],

        ["\xF3\xB5\x93\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xDD"],
        ["\xEA\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xAE"],

        ["\xF3\xB5\x93\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xDE"],
        ["\xEA\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xAF"],

        ["\xF3\xB5\x93\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xDF"],
        ["\xEA\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xB0"],

        ["\xF3\xB5\x93\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xC6"],
        ["\xC8\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xB1"],

        ["\xF3\xB5\x93\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xE0"],
        ["\xEA\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xB2"],

        ["\xF3\xB5\x93\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xE1"],
        ["\xEA\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xB3"],

        ["\xF3\xB5\x93\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xE2"],
        ["\xEA\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xB4"],

        ["\xF3\xB5\x93\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xE3"],
        ["\xEA\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xB5"],

        ["\xF3\xB5\x93\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xCD"],
        ["\xC8\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xB6"],

        ["\xF3\xB5\x93\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xE4"],
        ["\xEA\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xB7"],

        ["\xF3\xB5\x93\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xC9"],
        ["\xC8\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xB8"],

        ["\xF3\xB5\x93\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xE5"],
        ["\xEA\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xB9"],

        ["\xF3\xB5\x93\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xE6"],
        ["\xEA\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xBA"],

        ["\xF3\xB5\x93\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xE7"],
        ["\xEA\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xBB"],

        ["\xF3\xB5\x93\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC5\xE9"],
        ["\xC5\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xBC"],

        ["\xF3\xB5\x93\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xE8"],
        ["\xEA\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xBD"],

        ["\xF3\xB5\x93\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xCF"],
        ["\xC8\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xBE"],

        ["\xF3\xB5\x93\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xE9"],
        ["\xEA\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x93\xBF"],

        ["\xF3\xB5\x94\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xEA"],
        ["\xEA\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x80"],

        ["\xF3\xB5\x94\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xEB"],
        ["\xEA\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x81"],

        ["\xF3\xB5\x94\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xEC"],
        ["\xEA\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x82"],

        ["\xF3\xB5\x94\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xED"],
        ["\xEA\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x83"],

        ["\xF3\xB5\x94\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xEE"],
        ["\xEA\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x84"],

        ["\xF3\xB5\x94\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xEF"],
        ["\xEA\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x85"],

        ["\xF3\xB5\x94\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xF0"],
        ["\xEA\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x86"],

        ["\xF3\xB5\x94\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xDD"],
        ["\xC8\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x87"],

        ["\xF3\xB5\x94\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xF1"],
        ["\xEA\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x88"],

        ["\xF3\xB5\x94\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xF2"],
        ["\xEA\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x89"],

        ["\xF3\xB5\x94\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xF3"],
        ["\xEA\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x8A"],

        ["\xF3\xB5\x94\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xF4"],
        ["\xEA\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x8B"],

        ["\xF3\xB5\x94\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xF5"],
        ["\xEA\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x8C"],

        ["\xF3\xB5\x94\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xF6"],
        ["\xEA\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x8D"],

        ["\xF3\xB5\x94\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xF7"],
        ["\xEA\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x8E"],

        ["\xF3\xB5\x94\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xF8"],
        ["\xEA\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x8F"],

        ["\xF3\xB5\x94\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xE9"],
        ["\xC8\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x90"],

        ["\xF3\xB5\x94\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xF9"],
        ["\xEA\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x91"],

        ["\xF3\xB5\x94\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xFA"],
        ["\xEA\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x92"],

        ["\xF3\xB5\x94\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xFB"],
        ["\xEA\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x93"],

        ["\xF3\xB5\x94\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xFC"],
        ["\xEA\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x94"],

        ["\xF3\xB5\x94\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xEC"],
        ["\xC8\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x95"],

        ["\xF3\xB5\x94\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xFD"],
        ["\xEA\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x96"],

        ["\xF3\xB5\x94\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEA\xFE"],
        ["\xEA\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x97"],

        ["\xF3\xB5\x94\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xA1"],
        ["\xEB\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x98"],

        ["\xF3\xB5\x94\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xA2"],
        ["\xEB\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x99"],

        ["\xF3\xB5\x94\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xBA"],
        ["\xD4\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x9A"],

        ["\xF3\xB5\x94\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xA3"],
        ["\xEB\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x9B"],

        ["\xF3\xB5\x94\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xA4"],
        ["\xEB\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x9C"],

        ["\xF3\xB5\x94\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xA5"],
        ["\xEB\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x9D"],

        ["\xF3\xB5\x94\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xF7"],
        ["\xC8\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x9E"],

        ["\xF3\xB5\x94\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC8\xF8"],
        ["\xC8\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\x9F"],

        ["\xF3\xB5\x94\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xA6"],
        ["\xEB\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xA0"],

        ["\xF3\xB5\x94\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xA7"],
        ["\xEB\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xA1"],

        ["\xF3\xB5\x94\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xA8"],
        ["\xEB\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xA2"],

        ["\xF3\xB5\x94\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xA9"],
        ["\xEB\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xA3"],

        ["\xF3\xB5\x94\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xAA"],
        ["\xEB\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xA4"],

        ["\xF3\xB5\x94\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xAB"],
        ["\xEB\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xA5"],

        ["\xF3\xB5\x94\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xA5"],
        ["\xC9\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xA6"],

        ["\xF3\xB5\x94\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xAC"],
        ["\xEB\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xA7"],

        ["\xF3\xB5\x94\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xA3"],
        ["\xC9\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xA8"],

        ["\xF3\xB5\x94\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xAD"],
        ["\xEB\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xA9"],

        ["\xF3\xB5\x94\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xAE"],
        ["\xEB\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xAA"],

        ["\xF3\xB5\x94\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xAF"],
        ["\xEB\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xAB"],

        ["\xF3\xB5\x94\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xB0"],
        ["\xEB\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xAC"],

        ["\xF3\xB5\x94\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xB1"],
        ["\xEB\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xAD"],

        ["\xF3\xB5\x94\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xAA"],
        ["\xC9\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xAE"],

        ["\xF3\xB5\x94\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xB2"],
        ["\xEB\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xAF"],

        ["\xF3\xB5\x94\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xB3"],
        ["\xEB\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xB0"],

        ["\xF3\xB5\x94\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xB4"],
        ["\xEB\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xB1"],

        ["\xF3\xB5\x94\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xB5"],
        ["\xEB\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xB2"],

        ["\xF3\xB5\x94\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xB6"],
        ["\xEB\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xB3"],

        ["\xF3\xB5\x94\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xB0"],
        ["\xC9\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xB4"],

        ["\xF3\xB5\x94\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xAE"],
        ["\xC9\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xB5"],

        ["\xF3\xB5\x94\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xB7"],
        ["\xEB\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xB6"],

        ["\xF3\xB5\x94\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xB8"],
        ["\xEB\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xB7"],

        ["\xF3\xB5\x94\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xB9"],
        ["\xEB\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xB8"],

        ["\xF3\xB5\x94\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xBA"],
        ["\xEB\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xB9"],

        ["\xF3\xB5\x94\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xBB"],
        ["\xEB\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xBA"],

        ["\xF3\xB5\x94\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xBC"],
        ["\xEB\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xBB"],

        ["\xF3\xB5\x94\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xBD"],
        ["\xEB\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xBD"],

        ["\xF3\xB5\x94\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xC0"],
        ["\xC9\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xBE"],

        ["\xF3\xB5\x94\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xBE"],
        ["\xEB\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x94\xBF"],

        ["\xF3\xB5\x95\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xBF"],
        ["\xEB\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x80"],

        ["\xF3\xB5\x95\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xC2"],
        ["\xC9\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x81"],

        ["\xF3\xB5\x95\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xC0"],
        ["\xEB\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x82"],

        ["\xF3\xB5\x95\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xC1"],
        ["\xEB\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x83"],

        ["\xF3\xB5\x95\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xC2"],
        ["\xEB\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x84"],

        ["\xF3\xB5\x95\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xC3"],
        ["\xEB\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x85"],

        ["\xF3\xB5\x95\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xC4"],
        ["\xEB\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x86"],

        ["\xF3\xB5\x95\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xC5"],
        ["\xEB\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x87"],

        ["\xF3\xB5\x95\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xC8"],
        ["\xC9\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x88"],

        ["\xF3\xB5\x95\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xC6"],
        ["\xC9\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x89"],

        ["\xF3\xB5\x95\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xCD"],
        ["\xC9\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x8A"],

        ["\xF3\xB5\x95\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xC6"],
        ["\xEB\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x8B"],

        ["\xF3\xB5\x95\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xC7"],
        ["\xEB\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x8C"],

        ["\xF3\xB5\x95\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xC8"],
        ["\xEB\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x8D"],

        ["\xF3\xB5\x95\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xC9"],
        ["\xEB\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x8E"],

        ["\xF3\xB5\x95\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xD7"],
        ["\xC9\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x8F"],

        ["\xF3\xB5\x95\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xD9"],
        ["\xC9\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x90"],

        ["\xF3\xB5\x95\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xCA"],
        ["\xEB\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x91"],

        ["\xF3\xB5\x95\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xCB"],
        ["\xEB\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x92"],

        ["\xF3\xB5\x95\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xDB"],
        ["\xC9\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x93"],

        ["\xF3\xB5\x95\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xCC"],
        ["\xEB\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x94"],

        ["\xF3\xB5\x95\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xCD"],
        ["\xEB\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x95"],

        ["\xF3\xB5\x95\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xCE"],
        ["\xEB\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x96"],

        ["\xF3\xB5\x95\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xCF"],
        ["\xEB\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x97"],

        ["\xF3\xB5\x95\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xD0"],
        ["\xEB\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x98"],

        ["\xF3\xB5\x95\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xD1"],
        ["\xEB\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x99"],

        ["\xF3\xB5\x95\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xDE"],
        ["\xC9\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x9A"],

        ["\xF3\xB5\x95\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xDF"],
        ["\xC9\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x9B"],

        ["\xF3\xB5\x95\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xD2"],
        ["\xEB\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x9C"],

        ["\xF3\xB5\x95\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xD3"],
        ["\xEB\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x9D"],

        ["\xF3\xB5\x95\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xD4"],
        ["\xEB\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x9E"],

        ["\xF3\xB5\x95\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xE3"],
        ["\xC9\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\x9F"],

        ["\xF3\xB5\x95\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xD5"],
        ["\xEB\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xA0"],

        ["\xF3\xB5\x95\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xE7"],
        ["\xC9\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xA1"],

        ["\xF3\xB5\x95\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xE8"],
        ["\xC9\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xA2"],

        ["\xF3\xB5\x95\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xD6"],
        ["\xEB\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xA3"],

        ["\xF3\xB5\x95\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xD7"],
        ["\xEB\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xA4"],

        ["\xF3\xB5\x95\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xD8"],
        ["\xEB\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xA5"],

        ["\xF3\xB5\x95\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xD9"],
        ["\xEB\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xA6"],

        ["\xF3\xB5\x95\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xDA"],
        ["\xEB\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xA7"],

        ["\xF3\xB5\x95\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xDB"],
        ["\xEB\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xA8"],

        ["\xF3\xB5\x95\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xDC"],
        ["\xEB\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xA9"],

        ["\xF3\xB5\x95\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xDD"],
        ["\xEB\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xAA"],

        ["\xF3\xB5\x95\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xDE"],
        ["\xEB\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xAB"],

        ["\xF3\xB5\x95\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xDF"],
        ["\xEB\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xAC"],

        ["\xF3\xB5\x95\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xF4"],
        ["\xC9\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xAD"],

        ["\xF3\xB5\x95\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xE0"],
        ["\xEB\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xAE"],

        ["\xF3\xB5\x95\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xE1"],
        ["\xEB\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xAF"],

        ["\xF3\xB5\x95\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xF8"],
        ["\xC9\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xB0"],

        ["\xF3\xB5\x95\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xE2"],
        ["\xEB\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xB1"],

        ["\xF3\xB5\x95\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xFE"],
        ["\xC9\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xB2"],

        ["\xF3\xB5\x95\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCA\xA1"],
        ["\xCA\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xB3"],

        ["\xF3\xB5\x95\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xE3"],
        ["\xEB\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xB4"],

        ["\xF3\xB5\x95\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xE4"],
        ["\xEB\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xB5"],

        ["\xF3\xB5\x95\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCA\xA5"],
        ["\xCA\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xB6"],

        ["\xF3\xB5\x95\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xE5"],
        ["\xEB\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xB7"],

        ["\xF3\xB5\x95\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xE6"],
        ["\xEB\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xB8"],

        ["\xF3\xB5\x95\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xE7"],
        ["\xEB\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xB9"],

        ["\xF3\xB5\x95\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xE8"],
        ["\xEB\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xBA"],

        ["\xF3\xB5\x95\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCA\xA8"],
        ["\xCA\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xBB"],

        ["\xF3\xB5\x95\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xE9"],
        ["\xEB\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xBC"],

        ["\xF3\xB5\x95\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCA\xAB"],
        ["\xCA\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xBD"],

        ["\xF3\xB5\x95\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xEA"],
        ["\xEB\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xBE"],

        ["\xF3\xB5\x95\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xEB"],
        ["\xEB\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x95\xBF"],

        ["\xF3\xB5\x96\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xEC"],
        ["\xEB\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x80"],

        ["\xF3\xB5\x96\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCA\xB0"],
        ["\xCA\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x81"],

        ["\xF3\xB5\x96\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xED"],
        ["\xEB\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x82"],

        ["\xF3\xB5\x96\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xEE"],
        ["\xEB\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x83"],

        ["\xF3\xB5\x96\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xEF"],
        ["\xEB\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x84"],

        ["\xF3\xB5\x96\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xF0"],
        ["\xEB\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x85"],

        ["\xF3\xB5\x96\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xF1"],
        ["\xEB\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x86"],

        ["\xF3\xB5\x96\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xF2"],
        ["\xEB\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x87"],

        ["\xF3\xB5\x96\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xF3"],
        ["\xEB\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x88"],

        ["\xF3\xB5\x96\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xF4"],
        ["\xEB\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x89"],

        ["\xF3\xB5\x96\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xF5"],
        ["\xEB\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x8A"],

        ["\xF3\xB5\x96\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCA\xB7"],
        ["\xCA\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x8B"],

        ["\xF3\xB5\x96\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xF6"],
        ["\xEB\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x8C"],

        ["\xF3\xB5\x96\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xF7"],
        ["\xEB\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x8D"],

        ["\xF3\xB5\x96\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xF8"],
        ["\xEB\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x8E"],

        ["\xF3\xB5\x96\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xF9"],
        ["\xEB\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x8F"],

        ["\xF3\xB5\x96\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xFA"],
        ["\xEB\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x90"],

        ["\xF3\xB5\x96\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xFB"],
        ["\xEB\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x91"],

        ["\xF3\xB5\x96\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xFC"],
        ["\xEB\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x92"],

        ["\xF3\xB5\x96\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCA\xC0"],
        ["\xCA\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x93"],

        ["\xF3\xB5\x96\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xFD"],
        ["\xEB\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x94"],

        ["\xF3\xB5\x96\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEB\xFE"],
        ["\xEB\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x95"],

        ["\xF3\xB5\x96\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xA1"],
        ["\xEC\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x96"],

        ["\xF3\xB5\x96\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xA2"],
        ["\xEC\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x97"],

        ["\xF3\xB5\x96\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xA3"],
        ["\xEC\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x98"],

        ["\xF3\xB5\x96\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xA4"],
        ["\xEC\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x99"],

        ["\xF3\xB5\x96\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xA5"],
        ["\xEC\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x9A"],

        ["\xF3\xB5\x96\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xA6"],
        ["\xEC\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x9B"],

        ["\xF3\xB5\x96\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xA7"],
        ["\xEC\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x9C"],

        ["\xF3\xB5\x96\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xA8"],
        ["\xEC\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x9D"],

        ["\xF3\xB5\x96\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xA9"],
        ["\xEC\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x9E"],

        ["\xF3\xB5\x96\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xAA"],
        ["\xEC\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\x9F"],

        ["\xF3\xB5\x96\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xAB"],
        ["\xEC\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xA0"],

        ["\xF3\xB5\x96\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xAC"],
        ["\xEC\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xA1"],

        ["\xF3\xB5\x96\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xAD"],
        ["\xEC\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xA2"],

        ["\xF3\xB5\x96\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xAE"],
        ["\xEC\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xA3"],

        ["\xF3\xB5\x96\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xAF"],
        ["\xEC\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xA4"],

        ["\xF3\xB5\x96\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xB0"],
        ["\xEC\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xA5"],

        ["\xF3\xB5\x96\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xB1"],
        ["\xEC\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xA6"],

        ["\xF3\xB5\x96\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xB2"],
        ["\xEC\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xA7"],

        ["\xF3\xB5\x96\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xB3"],
        ["\xEC\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xA8"],

        ["\xF3\xB5\x96\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xB4"],
        ["\xEC\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xA9"],

        ["\xF3\xB5\x96\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCA\xCE"],
        ["\xCA\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xAA"],

        ["\xF3\xB5\x96\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xB5"],
        ["\xEC\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xAB"],

        ["\xF3\xB5\x96\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xBE\xEB"],
        ["\xBE\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xAC"],

        ["\xF3\xB5\x96\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xB6"],
        ["\xEC\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xAD"],

        ["\xF3\xB5\x96\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xB7"],
        ["\xEC\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xAE"],

        ["\xF3\xB5\x96\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xB8"],
        ["\xEC\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xAF"],

        ["\xF3\xB5\x96\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xB9"],
        ["\xEC\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xB0"],

        ["\xF3\xB5\x96\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xBA"],
        ["\xEC\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xB1"],

        ["\xF3\xB5\x96\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xBB"],
        ["\xEC\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xB2"],

        ["\xF3\xB5\x96\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xBC"],
        ["\xEC\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xB3"],

        ["\xF3\xB5\x96\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCA\xDA"],
        ["\xCA\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xB4"],

        ["\xF3\xB5\x96\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCA\xDB"],
        ["\xCA\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xB5"],

        ["\xF3\xB5\x96\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xBD"],
        ["\xEC\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xB6"],

        ["\xF3\xB5\x96\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xBE"],
        ["\xEC\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xB7"],

        ["\xF3\xB5\x96\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCA\xDD"],
        ["\xCA\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xB8"],

        ["\xF3\xB5\x96\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xBF"],
        ["\xEC\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xB9"],

        ["\xF3\xB5\x96\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCA\xDF"],
        ["\xCA\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xBA"],

        ["\xF3\xB5\x96\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xC0"],
        ["\xEC\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xBB"],

        ["\xF3\xB5\x96\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xC1"],
        ["\xEC\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xBC"],

        ["\xF3\xB5\x96\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xC2"],
        ["\xEC\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xBD"],

        ["\xF3\xB5\x96\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xC3"],
        ["\xEC\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xBE"],

        ["\xF3\xB5\x96\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xC4"],
        ["\xEC\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x96\xBF"],

        ["\xF3\xB5\x97\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xC5"],
        ["\xEC\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x80"],

        ["\xF3\xB5\x97\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xC6"],
        ["\xEC\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x81"],

        ["\xF3\xB5\x97\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xC7"],
        ["\xEC\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x82"],

        ["\xF3\xB5\x97\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xC8"],
        ["\xEC\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x83"],

        ["\xF3\xB5\x97\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xC9"],
        ["\xEC\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x84"],

        ["\xF3\xB5\x97\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xCA"],
        ["\xEC\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x85"],

        ["\xF3\xB5\x97\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xCB"],
        ["\xEC\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x86"],

        ["\xF3\xB5\x97\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xCC"],
        ["\xEC\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x87"],

        ["\xF3\xB5\x97\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xCD"],
        ["\xEC\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x88"],

        ["\xF3\xB5\x97\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCA\xE6"],
        ["\xCA\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x89"],

        ["\xF3\xB5\x97\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xCE"],
        ["\xEC\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x8A"],

        ["\xF3\xB5\x97\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xCF"],
        ["\xEC\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x8B"],

        ["\xF3\xB5\x97\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xD0"],
        ["\xEC\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x8C"],

        ["\xF3\xB5\x97\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xD1"],
        ["\xEC\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x8D"],

        ["\xF3\xB5\x97\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xD2"],
        ["\xEC\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x8E"],

        ["\xF3\xB5\x97\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xD3"],
        ["\xEC\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x8F"],

        ["\xF3\xB5\x97\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xD4"],
        ["\xEC\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x90"],

        ["\xF3\xB5\x97\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xD5"],
        ["\xEC\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x91"],

        ["\xF3\xB5\x97\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xD6"],
        ["\xEC\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x92"],

        ["\xF3\xB5\x97\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xD7"],
        ["\xEC\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x93"],

        ["\xF3\xB5\x97\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCB\xA8"],
        ["\xCB\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x94"],

        ["\xF3\xB5\x97\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xD8"],
        ["\xEC\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x95"],

        ["\xF3\xB5\x97\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xD9"],
        ["\xEC\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x96"],

        ["\xF3\xB5\x97\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xDA"],
        ["\xEC\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x97"],

        ["\xF3\xB5\x97\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xDB"],
        ["\xEC\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x98"],

        ["\xF3\xB5\x97\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xDC"],
        ["\xEC\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x99"],

        ["\xF3\xB5\x97\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xDD"],
        ["\xEC\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x9A"],

        ["\xF3\xB5\x97\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xDE"],
        ["\xEC\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x9B"],

        ["\xF3\xB5\x97\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xDF"],
        ["\xEC\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x9C"],

        ["\xF3\xB5\x97\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xE0"],
        ["\xEC\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x9D"],

        ["\xF3\xB5\x97\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xE1"],
        ["\xEC\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x9E"],

        ["\xF3\xB5\x97\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xE2"],
        ["\xEC\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\x9F"],

        ["\xF3\xB5\x97\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xE3"],
        ["\xEC\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xA0"],

        ["\xF3\xB5\x97\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xE4"],
        ["\xEC\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xA1"],

        ["\xF3\xB5\x97\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xE5"],
        ["\xEC\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xA2"],

        ["\xF3\xB5\x97\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xE6"],
        ["\xEC\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xA3"],

        ["\xF3\xB5\x97\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xE7"],
        ["\xEC\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xA5"],

        ["\xF3\xB5\x97\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xE8"],
        ["\xEC\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xA6"],

        ["\xF3\xB5\x97\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCB\xE4"],
        ["\xCB\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xA7"],

        ["\xF3\xB5\x97\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xE9"],
        ["\xEC\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xA8"],

        ["\xF3\xB5\x97\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xEA"],
        ["\xEC\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xA9"],

        ["\xF3\xB5\x97\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xEB"],
        ["\xEC\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xAA"],

        ["\xF3\xB5\x97\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xEC"],
        ["\xEC\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xAB"],

        ["\xF3\xB5\x97\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xED"],
        ["\xEC\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xAC"],

        ["\xF3\xB5\x97\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xEE"],
        ["\xEC\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xAD"],

        ["\xF3\xB5\x97\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xEF"],
        ["\xEC\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xAE"],

        ["\xF3\xB5\x97\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xF0"],
        ["\xEC\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xAF"],

        ["\xF3\xB5\x97\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xF1"],
        ["\xEC\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xB0"],

        ["\xF3\xB5\x97\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xF2"],
        ["\xEC\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xB1"],

        ["\xF3\xB5\x97\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xF3"],
        ["\xEC\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xB2"],

        ["\xF3\xB5\x97\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCB\xF9"],
        ["\xCB\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xB3"],

        ["\xF3\xB5\x97\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xF4"],
        ["\xEC\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xB4"],

        ["\xF3\xB5\x97\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xF5"],
        ["\xEC\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xB5"],

        ["\xF3\xB5\x97\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xF6"],
        ["\xEC\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xB6"],

        ["\xF3\xB5\x97\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xF7"],
        ["\xEC\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xB7"],

        ["\xF3\xB5\x97\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCC\xB4"],
        ["\xCC\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xB8"],

        ["\xF3\xB5\x97\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCC\xB6"],
        ["\xCC\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xB9"],

        ["\xF3\xB5\x97\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xF8"],
        ["\xEC\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xBA"],

        ["\xF3\xB5\x97\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xF9"],
        ["\xEC\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xBB"],

        ["\xF3\xB5\x97\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xFA"],
        ["\xEC\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xBC"],

        ["\xF3\xB5\x97\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCC\xB7"],
        ["\xCC\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xBD"],

        ["\xF3\xB5\x97\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xFB"],
        ["\xEC\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xBE"],

        ["\xF3\xB5\x97\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xFC"],
        ["\xEC\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x97\xBF"],

        ["\xF3\xB5\x98\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xFD"],
        ["\xEC\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x80"],

        ["\xF3\xB5\x98\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEC\xFE"],
        ["\xEC\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x81"],

        ["\xF3\xB5\x98\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xA1"],
        ["\xED\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x82"],

        ["\xF3\xB5\x98\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xA2"],
        ["\xED\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x83"],

        ["\xF3\xB5\x98\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xA3"],
        ["\xED\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x84"],

        ["\xF3\xB5\x98\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xA4"],
        ["\xED\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x85"],

        ["\xF3\xB5\x98\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xA5"],
        ["\xED\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x87"],

        ["\xF3\xB5\x98\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCC\xC9"],
        ["\xCC\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x88"],

        ["\xF3\xB5\x98\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xA6"],
        ["\xED\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x89"],

        ["\xF3\xB5\x98\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xA7"],
        ["\xED\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x8A"],

        ["\xF3\xB5\x98\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xA8"],
        ["\xED\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x8B"],

        ["\xF3\xB5\x98\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xA9"],
        ["\xED\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x8C"],

        ["\xF3\xB5\x98\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xAA"],
        ["\xED\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x8D"],

        ["\xF3\xB5\x98\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xAB"],
        ["\xED\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x8E"],

        ["\xF3\xB5\x98\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xAC"],
        ["\xED\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x8F"],

        ["\xF3\xB5\x98\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xAD"],
        ["\xED\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x90"],

        ["\xF3\xB5\x98\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xAE"],
        ["\xED\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x91"],

        ["\xF3\xB5\x98\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCC\xD9"],
        ["\xCC\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x92"],

        ["\xF3\xB5\x98\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xAF"],
        ["\xED\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x93"],

        ["\xF3\xB5\x98\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xB0"],
        ["\xED\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x94"],

        ["\xF3\xB5\x98\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xB1"],
        ["\xED\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x95"],

        ["\xF3\xB5\x98\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xB2"],
        ["\xED\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x96"],

        ["\xF3\xB5\x98\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xB3"],
        ["\xED\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x97"],

        ["\xF3\xB5\x98\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xB4"],
        ["\xED\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x98"],

        ["\xF3\xB5\x98\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xB5"],
        ["\xED\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x99"],

        ["\xF3\xB5\x98\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xB6"],
        ["\xED\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x9A"],

        ["\xF3\xB5\x98\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xB7"],
        ["\xED\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x9B"],

        ["\xF3\xB5\x98\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xB8"],
        ["\xED\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x9C"],

        ["\xF3\xB5\x98\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xB9"],
        ["\xED\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x9D"],

        ["\xF3\xB5\x98\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xBA"],
        ["\xED\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x9E"],

        ["\xF3\xB5\x98\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xBB"],
        ["\xED\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\x9F"],

        ["\xF3\xB5\x98\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xBC"],
        ["\xED\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xA0"],

        ["\xF3\xB5\x98\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xBD"],
        ["\xED\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xA1"],

        ["\xF3\xB5\x98\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xBE"],
        ["\xED\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xA3"],

        ["\xF3\xB5\x98\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xBF"],
        ["\xED\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xA4"],

        ["\xF3\xB5\x98\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCC\xE9"],
        ["\xCC\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xA5"],

        ["\xF3\xB5\x98\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xC0"],
        ["\xED\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xA6"],

        ["\xF3\xB5\x98\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xC1"],
        ["\xED\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xA7"],

        ["\xF3\xB5\x98\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xC2"],
        ["\xED\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xA8"],

        ["\xF3\xB5\x98\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xC3"],
        ["\xED\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xA9"],

        ["\xF3\xB5\x98\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xC4"],
        ["\xED\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xAA"],

        ["\xF3\xB5\x98\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xC5"],
        ["\xED\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xAB"],

        ["\xF3\xB5\x98\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xC6"],
        ["\xED\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xAC"],

        ["\xF3\xB5\x98\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xC7"],
        ["\xED\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xAD"],

        ["\xF3\xB5\x98\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xC8"],
        ["\xED\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xAE"],

        ["\xF3\xB5\x98\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xC9"],
        ["\xED\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xAF"],

        ["\xF3\xB5\x98\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xCA"],
        ["\xED\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xB0"],

        ["\xF3\xB5\x98\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xCB"],
        ["\xED\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xB1"],

        ["\xF3\xB5\x98\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xCC"],
        ["\xED\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xB2"],

        ["\xF3\xB5\x98\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xCD"],
        ["\xED\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xB3"],

        ["\xF3\xB5\x98\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xCE"],
        ["\xED\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xB4"],

        ["\xF3\xB5\x98\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xCF"],
        ["\xED\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xB5"],

        ["\xF3\xB5\x98\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xD0"],
        ["\xED\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xB6"],

        ["\xF3\xB5\x98\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xD1"],
        ["\xED\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xB7"],

        ["\xF3\xB5\x98\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xD2"],
        ["\xED\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xB8"],

        ["\xF3\xB5\x98\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xD3"],
        ["\xED\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xB9"],

        ["\xF3\xB5\x98\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xD4"],
        ["\xED\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xBA"],

        ["\xF3\xB5\x98\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xD5"],
        ["\xED\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xBB"],

        ["\xF3\xB5\x98\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xD6"],
        ["\xED\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xBC"],

        ["\xF3\xB5\x98\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xD7"],
        ["\xED\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xBD"],

        ["\xF3\xB5\x98\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xD8"],
        ["\xED\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xBE"],

        ["\xF3\xB5\x98\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xD9"],
        ["\xED\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x98\xBF"],

        ["\xF3\xB5\x99\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xDA"],
        ["\xED\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x80"],

        ["\xF3\xB5\x99\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xDB"],
        ["\xED\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x81"],

        ["\xF3\xB5\x99\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xDC"],
        ["\xED\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x82"],

        ["\xF3\xB5\x99\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xDD"],
        ["\xED\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x83"],

        ["\xF3\xB5\x99\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xDE"],
        ["\xED\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x84"],

        ["\xF3\xB5\x99\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xDF"],
        ["\xED\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x85"],

        ["\xF3\xB5\x99\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xE0"],
        ["\xED\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x86"],

        ["\xF3\xB5\x99\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xE1"],
        ["\xED\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x88"],

        ["\xF3\xB5\x99\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xC8"],
        ["\xCD\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x89"],

        ["\xF3\xB5\x99\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xE2"],
        ["\xED\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x8A"],

        ["\xF3\xB5\x99\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xCD"],
        ["\xCD\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x8B"],

        ["\xF3\xB5\x99\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xCE"],
        ["\xCD\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x8C"],

        ["\xF3\xB5\x99\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xE3"],
        ["\xED\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x8D"],

        ["\xF3\xB5\x99\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xE4"],
        ["\xED\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x8E"],

        ["\xF3\xB5\x99\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xE5"],
        ["\xED\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x8F"],

        ["\xF3\xB5\x99\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xE6"],
        ["\xED\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x90"],

        ["\xF3\xB5\x99\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xE7"],
        ["\xED\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x91"],

        ["\xF3\xB5\x99\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xE8"],
        ["\xED\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x92"],

        ["\xF3\xB5\x99\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xE9"],
        ["\xED\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x93"],

        ["\xF3\xB5\x99\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xD2"],
        ["\xCD\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x95"],

        ["\xF3\xB5\x99\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xEA"],
        ["\xED\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x96"],

        ["\xF3\xB5\x99\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xEB"],
        ["\xED\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x97"],

        ["\xF3\xB5\x99\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xEC"],
        ["\xED\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x98"],

        ["\xF3\xB5\x99\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xED"],
        ["\xED\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x99"],

        ["\xF3\xB5\x99\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xEE"],
        ["\xED\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x9A"],

        ["\xF3\xB5\x99\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xEF"],
        ["\xED\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x9B"],

        ["\xF3\xB5\x99\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xF0"],
        ["\xED\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x9C"],

        ["\xF3\xB5\x99\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xF1"],
        ["\xED\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x9D"],

        ["\xF3\xB5\x99\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xF2"],
        ["\xED\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x9E"],

        ["\xF3\xB5\x99\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xF3"],
        ["\xED\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\x9F"],

        ["\xF3\xB5\x99\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xF4"],
        ["\xED\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xA0"],

        ["\xF3\xB5\x99\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xF5"],
        ["\xED\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xA1"],

        ["\xF3\xB5\x99\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xF6"],
        ["\xED\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xA2"],

        ["\xF3\xB5\x99\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xF7"],
        ["\xED\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xA3"],

        ["\xF3\xB5\x99\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xD9"],
        ["\xCD\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xA4"],

        ["\xF3\xB5\x99\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xF8"],
        ["\xED\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xA5"],

        ["\xF3\xB5\x99\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xF9"],
        ["\xED\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xA6"],

        ["\xF3\xB5\x99\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xFA"],
        ["\xED\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xA7"],

        ["\xF3\xB5\x99\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xFB"],
        ["\xED\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xA8"],

        ["\xF3\xB5\x99\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xFC"],
        ["\xED\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xA9"],

        ["\xF3\xB5\x99\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xFD"],
        ["\xED\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xAA"],

        ["\xF3\xB5\x99\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xED\xFE"],
        ["\xED\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xAB"],

        ["\xF3\xB5\x99\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xA1"],
        ["\xEE\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xAC"],

        ["\xF3\xB5\x99\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xA2"],
        ["\xEE\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xAD"],

        ["\xF3\xB5\x99\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xDA"],
        ["\xCD\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xAE"],

        ["\xF3\xB5\x99\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xA3"],
        ["\xEE\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xAF"],

        ["\xF3\xB5\x99\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xA4"],
        ["\xEE\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xB0"],

        ["\xF3\xB5\x99\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xA5"],
        ["\xEE\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xB1"],

        ["\xF3\xB5\x99\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xA6"],
        ["\xEE\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xB2"],

        ["\xF3\xB5\x99\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xA7"],
        ["\xEE\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xB3"],

        ["\xF3\xB5\x99\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xA8"],
        ["\xEE\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xB4"],

        ["\xF3\xB5\x99\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xA9"],
        ["\xEE\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xB5"],

        ["\xF3\xB5\x99\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xAA"],
        ["\xEE\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xB6"],

        ["\xF3\xB5\x99\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xAB"],
        ["\xEE\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xB7"],

        ["\xF3\xB5\x99\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xAC"],
        ["\xEE\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xB8"],

        ["\xF3\xB5\x99\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xDD"],
        ["\xCD\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xB9"],

        ["\xF3\xB5\x99\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xAD"],
        ["\xEE\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xBA"],

        ["\xF3\xB5\x99\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xAE"],
        ["\xEE\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xBB"],

        ["\xF3\xB5\x99\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xAF"],
        ["\xEE\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xBC"],

        ["\xF3\xB5\x99\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xB0"],
        ["\xEE\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xBD"],

        ["\xF3\xB5\x99\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xB1"],
        ["\xEE\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xBE"],

        ["\xF3\xB5\x99\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xB2"],
        ["\xEE\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x99\xBF"],

        ["\xF3\xB5\x9A\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xB3"],
        ["\xEE\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x80"],

        ["\xF3\xB5\x9A\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xB4"],
        ["\xEE\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x81"],

        ["\xF3\xB5\x9A\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xB5"],
        ["\xEE\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x82"],

        ["\xF3\xB5\x9A\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xB6"],
        ["\xEE\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x83"],

        ["\xF3\xB5\x9A\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xB7"],
        ["\xEE\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x84"],

        ["\xF3\xB5\x9A\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xB8"],
        ["\xEE\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x85"],

        ["\xF3\xB5\x9A\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xB9"],
        ["\xEE\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x86"],

        ["\xF3\xB5\x9A\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xBA"],
        ["\xEE\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x87"],

        ["\xF3\xB5\x9A\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xBB"],
        ["\xEE\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x88"],

        ["\xF3\xB5\x9A\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xE5"],
        ["\xCD\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x89"],

        ["\xF3\xB5\x9A\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xBC"],
        ["\xEE\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x8A"],

        ["\xF3\xB5\x9A\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xE3"],
        ["\xCD\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x8B"],

        ["\xF3\xB5\x9A\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xBD"],
        ["\xEE\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x8C"],

        ["\xF3\xB5\x9A\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xE6"],
        ["\xCD\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x8D"],

        ["\xF3\xB5\x9A\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xBE"],
        ["\xEE\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x8E"],

        ["\xF3\xB5\x9A\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xE7"],
        ["\xCD\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x8F"],

        ["\xF3\xB5\x9A\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xBF"],
        ["\xEE\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x90"],

        ["\xF3\xB5\x9A\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xC0"],
        ["\xEE\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x91"],

        ["\xF3\xB5\x9A\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xC1"],
        ["\xEE\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x92"],

        ["\xF3\xB5\x9A\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xC2"],
        ["\xEE\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x93"],

        ["\xF3\xB5\x9A\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xD4"],
        ["\xD0\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x94"],

        ["\xF3\xB5\x9A\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xEC"],
        ["\xCD\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x95"],

        ["\xF3\xB5\x9A\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xC3"],
        ["\xEE\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x96"],

        ["\xF3\xB5\x9A\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xC4"],
        ["\xEE\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x97"],

        ["\xF3\xB5\x9A\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xC5"],
        ["\xEE\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x98"],

        ["\xF3\xB5\x9A\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xC6"],
        ["\xEE\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x99"],

        ["\xF3\xB5\x9A\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xC7"],
        ["\xEE\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x9A"],

        ["\xF3\xB5\x9A\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xC8"],
        ["\xEE\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x9B"],

        ["\xF3\xB5\x9A\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xC9"],
        ["\xEE\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x9C"],

        ["\xF3\xB5\x9A\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xCA"],
        ["\xEE\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x9D"],

        ["\xF3\xB5\x9A\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xCB"],
        ["\xEE\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x9E"],

        ["\xF3\xB5\x9A\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCD\xF8"],
        ["\xCD\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\x9F"],

        ["\xF3\xB5\x9A\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xCC"],
        ["\xEE\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xA0"],

        ["\xF3\xB5\x9A\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xCD"],
        ["\xEE\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xA1"],

        ["\xF3\xB5\x9A\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xCE"],
        ["\xEE\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xA2"],

        ["\xF3\xB5\x9A\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xCF"],
        ["\xEE\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xA3"],

        ["\xF3\xB5\x9A\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xA1"],
        ["\xCE\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xA4"],

        ["\xF3\xB5\x9A\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xD0"],
        ["\xEE\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xA5"],

        ["\xF3\xB5\x9A\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xA3"],
        ["\xCE\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xA6"],

        ["\xF3\xB5\x9A\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xD1"],
        ["\xEE\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xA7"],

        ["\xF3\xB5\x9A\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xD2"],
        ["\xEE\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xA8"],

        ["\xF3\xB5\x9A\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xD3"],
        ["\xEE\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xA9"],

        ["\xF3\xB5\x9A\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xD4"],
        ["\xEE\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xAA"],

        ["\xF3\xB5\x9A\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xD5"],
        ["\xEE\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xAB"],

        ["\xF3\xB5\x9A\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xD6"],
        ["\xEE\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xAC"],

        ["\xF3\xB5\x9A\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xD7"],
        ["\xEE\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xAD"],

        ["\xF3\xB5\x9A\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xD8"],
        ["\xEE\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xAE"],

        ["\xF3\xB5\x9A\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xD9"],
        ["\xEE\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xAF"],

        ["\xF3\xB5\x9A\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xDA"],
        ["\xEE\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xB0"],

        ["\xF3\xB5\x9A\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xDB"],
        ["\xEE\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xB1"],

        ["\xF3\xB5\x9A\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xDC"],
        ["\xEE\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xB2"],

        ["\xF3\xB5\x9A\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC9\xEB"],
        ["\xC9\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xB3"],

        ["\xF3\xB5\x9A\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xDD"],
        ["\xEE\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xB4"],

        ["\xF3\xB5\x9A\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xDE"],
        ["\xEE\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xB5"],

        ["\xF3\xB5\x9A\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xBF"],
        ["\xCE\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xB6"],

        ["\xF3\xB5\x9A\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xDF"],
        ["\xEE\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xB7"],

        ["\xF3\xB5\x9A\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xE0"],
        ["\xEE\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xB8"],

        ["\xF3\xB5\x9A\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xE1"],
        ["\xEE\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xB9"],

        ["\xF3\xB5\x9A\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xE2"],
        ["\xEE\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xBA"],

        ["\xF3\xB5\x9A\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xE3"],
        ["\xEE\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xBB"],

        ["\xF3\xB5\x9A\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xE4"],
        ["\xEE\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xBC"],

        ["\xF3\xB5\x9A\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xE5"],
        ["\xEE\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xBD"],

        ["\xF3\xB5\x9A\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xE6"],
        ["\xEE\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xBE"],

        ["\xF3\xB5\x9A\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xE7"],
        ["\xEE\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9A\xBF"],

        ["\xF3\xB5\x9B\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xE8"],
        ["\xEE\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x80"],

        ["\xF3\xB5\x9B\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xCB"],
        ["\xCE\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x81"],

        ["\xF3\xB5\x9B\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xE9"],
        ["\xEE\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x82"],

        ["\xF3\xB5\x9B\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xEA"],
        ["\xEE\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x83"],

        ["\xF3\xB5\x9B\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xEB"],
        ["\xEE\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x84"],

        ["\xF3\xB5\x9B\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xEC"],
        ["\xEE\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x85"],

        ["\xF3\xB5\x9B\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xED"],
        ["\xEE\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x86"],

        ["\xF3\xB5\x9B\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xD7"],
        ["\xCE\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x87"],

        ["\xF3\xB5\x9B\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xD1"],
        ["\xCE\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x88"],

        ["\xF3\xB5\x9B\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xD3"],
        ["\xCE\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x89"],

        ["\xF3\xB5\x9B\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xEE"],
        ["\xEE\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x8A"],

        ["\xF3\xB5\x9B\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xEF"],
        ["\xEE\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x8B"],

        ["\xF3\xB5\x9B\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xF0"],
        ["\xEE\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x8C"],

        ["\xF3\xB5\x9B\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xE4"],
        ["\xCE\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x8E"],

        ["\xF3\xB5\x9B\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xEB"],
        ["\xCE\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x8F"],

        ["\xF3\xB5\x9B\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xF1"],
        ["\xEE\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x90"],

        ["\xF3\xB5\x9B\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xF2"],
        ["\xEE\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x91"],

        ["\xF3\xB5\x9B\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xF3"],
        ["\xEE\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x92"],

        ["\xF3\xB5\x9B\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xF4"],
        ["\xEE\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x93"],

        ["\xF3\xB5\x9B\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xF5"],
        ["\xEE\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x94"],

        ["\xF3\xB5\x9B\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xF6"],
        ["\xEE\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x95"],

        ["\xF3\xB5\x9B\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xF7"],
        ["\xEE\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x96"],

        ["\xF3\xB5\x9B\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCE\xF5"],
        ["\xCE\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x97"],

        ["\xF3\xB5\x9B\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xF8"],
        ["\xEE\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x98"],

        ["\xF3\xB5\x9B\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xF9"],
        ["\xEE\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x99"],

        ["\xF3\xB5\x9B\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xFA"],
        ["\xEE\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x9A"],

        ["\xF3\xB5\x9B\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xFB"],
        ["\xEE\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x9B"],

        ["\xF3\xB5\x9B\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xFC"],
        ["\xEE\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x9D"],

        ["\xF3\xB5\x9B\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xFD"],
        ["\xEE\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x9E"],

        ["\xF3\xB5\x9B\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEE\xFE"],
        ["\xEE\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\x9F"],

        ["\xF3\xB5\x9B\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xA1"],
        ["\xEF\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\xA0"],

        ["\xF3\xB5\x9B\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xA2"],
        ["\xEF\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\xA1"],

        ["\xF3\xB5\x9B\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xA3"],
        ["\xEF\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\xA2"],

        ["\xF3\xB5\x9B\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xA3"],
        ["\xCF\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\xA3"],

        ["\xF3\xB5\x9B\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xA4"],
        ["\xEF\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\xA4"],

        ["\xF3\xB5\x9B\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xA5"],
        ["\xEF\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\xA5"],

        ["\xF3\xB5\x9B\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xA6"],
        ["\xEF\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\xA6"],

        ["\xF3\xB5\x9B\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xA7"],
        ["\xEF\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\xA7"],

        ["\xF3\xB5\x9B\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xA5"],
        ["\xCF\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\xA8"],

        ["\xF3\xB5\x9B\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xA6"],
        ["\xCF\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\xA9"],

        ["\xF3\xB5\x9B\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xA8"],
        ["\xEF\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\xAA"],

        ["\xF3\xB5\x9B\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCA\xE5"],
        ["\xCA\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\xAB"],

        ["\xF3\xB5\x9B\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xA9"],
        ["\xEF\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\xB6"],

        ["\xF3\xB5\x9B\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xB5"],
        ["\xCF\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\xB7"],

        ["\xF3\xB5\x9B\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xAA"],
        ["\xEF\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\xB8"],

        ["\xF3\xB5\x9B\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xB9"],
        ["\xCF\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\xB9"],

        ["\xF3\xB5\x9B\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xAB"],
        ["\xEF\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\xBA"],

        ["\xF3\xB5\x9B\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xAC"],
        ["\xEF\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\xBC"],

        ["\xF3\xB5\x9B\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xAD"],
        ["\xEF\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\xBD"],

        ["\xF3\xB5\x9B\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xAE"],
        ["\xEF\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\xBE"],

        ["\xF3\xB5\x9B\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xAF"],
        ["\xEF\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9B\xBF"],

        ["\xF3\xB5\x9C\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xB0"],
        ["\xEF\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9C\x80"],

        ["\xF3\xB5\x9C\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xC8"],
        ["\xCF\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9C\x81"],

        ["\xF3\xB5\x9C\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xB1"],
        ["\xEF\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9C\x82"],

        ["\xF3\xB5\x9C\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xB2"],
        ["\xEF\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9C\x83"],

        ["\xF3\xB5\x9C\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xB3"],
        ["\xEF\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9C\x84"],

        ["\xF3\xB5\x9C\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xB4"],
        ["\xEF\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9C\x85"],

        ["\xF3\xB5\x9C\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xB5"],
        ["\xEF\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9C\x86"],

        ["\xF3\xB5\x9C\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xB6"],
        ["\xEF\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9C\x87"],

        ["\xF3\xB5\x9C\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xB7"],
        ["\xEF\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9C\x8A"],

        ["\xF3\xB5\x9C\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xB8"],
        ["\xEF\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9C\x8B"],

        ["\xF3\xB5\x9C\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xB9"],
        ["\xEF\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9C\x91"],

        ["\xF3\xB5\x9C\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xBA"],
        ["\xEF\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9C\x94"],

        ["\xF3\xB5\x9C\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xBB"],
        ["\xEF\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9C\xA7"],

        ["\xF3\xB5\x9C\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xCF\xFB"],
        ["\xCF\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9C\xBB"],

        ["\xF3\xB5\x9D\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xBC"],
        ["\xEF\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9D\x86"],

        ["\xF3\xB5\x9D\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD0\xBE"],
        ["\xD0\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9D\x87"],

        ["\xF3\xB5\x9D\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xBD"],
        ["\xEF\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9D\x90"],

        ["\xF3\xB5\x9D\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xBE"],
        ["\xEF\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9D\x9C"],

        ["\xF3\xB5\x9E\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xBF"],
        ["\xEF\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9E\x83"],

        ["\xF3\xB5\x9E\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xE2"],
        ["\xD1\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9E\x8B"],

        ["\xF3\xB5\x9E\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD1\xEB"],
        ["\xD1\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9E\x93"],

        ["\xF3\xB5\x9E\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xC0"],
        ["\xEF\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9E\x95"],

        ["\xF3\xB5\x9F\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xC1"],
        ["\xEF\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9F\x80"],

        ["\xF3\xB5\x9F\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xC2"],
        ["\xEF\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9F\x86"],

        ["\xF3\xB5\x9F\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xA1"],
        ["\xD3\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9F\x9D"],

        ["\xF3\xB5\x9F\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xB6\xD2"],
        ["\xB6\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9F\xA5"],

        ["\xF3\xB5\x9F\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xC3"],
        ["\xEF\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9F\xA6"],

        ["\xF3\xB5\x9F\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xC4"],
        ["\xEF\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9F\xA7"],

        ["\xF3\xB5\x9F\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xC5"],
        ["\xEF\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9F\xA9"],

        ["\xF3\xB5\x9F\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xB8"],
        ["\xD3\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9F\xAD"],

        ["\xF3\xB5\x9F\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xC6"],
        ["\xEF\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9F\xB1"],

        ["\xF3\xB5\x9F\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xC7"],
        ["\xEF\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9F\xB7"],

        ["\xF3\xB5\x9F\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xC8"],
        ["\xEF\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9F\xB9"],

        ["\xF3\xB5\x9F\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xC9"],
        ["\xEF\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9F\xBC"],

        ["\xF3\xB5\x9F\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xCA"],
        ["\xEF\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\x9F\xBF"],

        ["\xF3\xB5\xA0\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xCB"],
        ["\xEF\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA0\x84"],

        ["\xF3\xB5\xA0\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xCC"],
        ["\xEF\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA0\x86"],

        ["\xF3\xB5\xA0\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xE1"],
        ["\xD3\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA0\x90"],

        ["\xF3\xB5\xA0\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xF2"],
        ["\xD3\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA0\x98"],

        ["\xF3\xB5\xA0\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xCD"],
        ["\xEF\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA0\x9A"],

        ["\xF3\xB5\xA0\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xC2\xB0"],
        ["\xC2\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA0\x9B"],

        ["\xF3\xB5\xA0\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xCE"],
        ["\xEF\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA0\x9C"],

        ["\xF3\xB5\xA0\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xCF"],
        ["\xEF\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA0\x9E"],

        ["\xF3\xB5\xA0\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xD0"],
        ["\xEF\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA0\xBA"],

        ["\xF3\xB5\xA1\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xD1"],
        ["\xEF\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\x81"],

        ["\xF3\xB5\xA1\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xD2"],
        ["\xEF\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\x90"],

        ["\xF3\xB5\xA1\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xD3"],
        ["\xEF\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\x91"],

        ["\xF3\xB5\xA1\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xD4"],
        ["\xEF\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\x9D"],

        ["\xF3\xB5\xA1\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xD5"],
        ["\xEF\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\x9E"],

        ["\xF3\xB5\xA1\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xD6"],
        ["\xEF\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xA0"],

        ["\xF3\xB5\xA1\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xD7"],
        ["\xEF\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xA2"],

        ["\xF3\xB5\xA1\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xD8"],
        ["\xEF\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xA3"],

        ["\xF3\xB5\xA1\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xD9"],
        ["\xEF\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xA4"],

        ["\xF3\xB5\xA1\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xDA"],
        ["\xEF\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xA5"],

        ["\xF3\xB5\xA1\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xDB"],
        ["\xEF\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xA6"],

        ["\xF3\xB5\xA1\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xDC"],
        ["\xEF\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xA7"],

        ["\xF3\xB5\xA1\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xDD"],
        ["\xEF\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xA8"],

        ["\xF3\xB5\xA1\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xDE"],
        ["\xEF\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xA9"],

        ["\xF3\xB5\xA1\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xDA"],
        ["\xD4\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xAA"],

        ["\xF3\xB5\xA1\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xDF"],
        ["\xEF\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xAB"],

        ["\xF3\xB5\xA1\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xE0"],
        ["\xEF\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xAC"],

        ["\xF3\xB5\xA1\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xE1"],
        ["\xEF\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xAD"],

        ["\xF3\xB5\xA1\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xE2"],
        ["\xEF\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xAE"],

        ["\xF3\xB5\xA1\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xE3"],
        ["\xEF\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xB0"],

        ["\xF3\xB5\xA1\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xE4"],
        ["\xEF\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xB1"],

        ["\xF3\xB5\xA1\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xE5"],
        ["\xEF\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xB2"],

        ["\xF3\xB5\xA1\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xE6"],
        ["\xEF\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xB3"],

        ["\xF3\xB5\xA1\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xE7"],
        ["\xEF\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xB4"],

        ["\xF3\xB5\xA1\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xE8"],
        ["\xEF\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xB6"],

        ["\xF3\xB5\xA1\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xE9"],
        ["\xEF\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xB7"],

        ["\xF3\xB5\xA1\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xE1"],
        ["\xD4\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xB8"],

        ["\xF3\xB5\xA1\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xEA"],
        ["\xEF\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xB9"],

        ["\xF3\xB5\xA1\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xEB"],
        ["\xEF\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xBA"],

        ["\xF3\xB5\xA1\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xEC"],
        ["\xEF\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xBB"],

        ["\xF3\xB5\xA1\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xE5"],
        ["\xD4\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xBC"],

        ["\xF3\xB5\xA1\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xED"],
        ["\xEF\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xBD"],

        ["\xF3\xB5\xA1\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xEE"],
        ["\xEF\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xBE"],

        ["\xF3\xB5\xA1\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xEF"],
        ["\xEF\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA1\xBF"],

        ["\xF3\xB5\xA2\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xF0"],
        ["\xEF\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x80"],

        ["\xF3\xB5\xA2\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xF1"],
        ["\xEF\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x81"],

        ["\xF3\xB5\xA2\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xF2"],
        ["\xEF\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x82"],

        ["\xF3\xB5\xA2\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xF3"],
        ["\xEF\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x83"],

        ["\xF3\xB5\xA2\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xF4"],
        ["\xEF\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x84"],

        ["\xF3\xB5\xA2\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xF5"],
        ["\xEF\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x85"],

        ["\xF3\xB5\xA2\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xF6"],
        ["\xEF\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x86"],

        ["\xF3\xB5\xA2\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xF7"],
        ["\xEF\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x87"],

        ["\xF3\xB5\xA2\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xEE"],
        ["\xD4\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x88"],

        ["\xF3\xB5\xA2\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xF8"],
        ["\xEF\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x89"],

        ["\xF3\xB5\xA2\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xF9"],
        ["\xEF\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x8A"],

        ["\xF3\xB5\xA2\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xFA"],
        ["\xEF\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x8B"],

        ["\xF3\xB5\xA2\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xFB"],
        ["\xEF\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x8C"],

        ["\xF3\xB5\xA2\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xFC"],
        ["\xEF\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x8E"],

        ["\xF3\xB5\xA2\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xFD"],
        ["\xEF\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x8F"],

        ["\xF3\xB5\xA2\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD4\xFC"],
        ["\xD4\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x90"],

        ["\xF3\xB5\xA2\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xEF\xFE"],
        ["\xEF\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x91"],

        ["\xF3\xB5\xA2\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xA1"],
        ["\xF0\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x92"],

        ["\xF3\xB5\xA2\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xA1"],
        ["\xD5\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x93"],

        ["\xF3\xB5\xA2\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xA2"],
        ["\xF0\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x94"],

        ["\xF3\xB5\xA2\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xA3"],
        ["\xF0\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x95"],

        ["\xF3\xB5\xA2\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xA4"],
        ["\xF0\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x96"],

        ["\xF3\xB5\xA2\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xA5"],
        ["\xF0\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x97"],

        ["\xF3\xB5\xA2\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xAD"],
        ["\xD5\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x98"],

        ["\xF3\xB5\xA2\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xA9"],
        ["\xD5\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x99"],

        ["\xF3\xB5\xA2\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xA6"],
        ["\xF0\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x9A"],

        ["\xF3\xB5\xA2\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xA7"],
        ["\xF0\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x9B"],

        ["\xF3\xB5\xA2\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xA8"],
        ["\xF0\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x9C"],

        ["\xF3\xB5\xA2\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xB1"],
        ["\xD5\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x9D"],

        ["\xF3\xB5\xA2\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xA9"],
        ["\xF0\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x9E"],

        ["\xF3\xB5\xA2\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xAA"],
        ["\xF0\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\x9F"],

        ["\xF3\xB5\xA2\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xAB"],
        ["\xF0\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xA0"],

        ["\xF3\xB5\xA2\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xAC"],
        ["\xF0\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xA1"],

        ["\xF3\xB5\xA2\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xAD"],
        ["\xF0\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xA2"],

        ["\xF3\xB5\xA2\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xAE"],
        ["\xF0\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xA3"],

        ["\xF3\xB5\xA2\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xAF"],
        ["\xF0\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xA4"],

        ["\xF3\xB5\xA2\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xB0"],
        ["\xF0\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xA5"],

        ["\xF3\xB5\xA2\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xB1"],
        ["\xF0\xB1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xA6"],

        ["\xF3\xB5\xA2\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xB2"],
        ["\xF0\xB2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xA7"],

        ["\xF3\xB5\xA2\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xB4"],
        ["\xD5\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xA8"],

        ["\xF3\xB5\xA2\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xB6"],
        ["\xD5\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xA9"],

        ["\xF3\xB5\xA2\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xB3"],
        ["\xF0\xB3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xAA"],

        ["\xF3\xB5\xA2\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xB7"],
        ["\xD5\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xAB"],

        ["\xF3\xB5\xA2\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xB4"],
        ["\xF0\xB4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xAC"],

        ["\xF3\xB5\xA2\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xB5"],
        ["\xF0\xB5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xAD"],

        ["\xF3\xB5\xA2\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xB6"],
        ["\xF0\xB6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xAE"],

        ["\xF3\xB5\xA2\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xB7"],
        ["\xF0\xB7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xAF"],

        ["\xF3\xB5\xA2\xB0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xB8"],
        ["\xF0\xB8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xB0"],

        ["\xF3\xB5\xA2\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xB9"],
        ["\xF0\xB9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xB1"],

        ["\xF3\xB5\xA2\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xBA"],
        ["\xF0\xBA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xB2"],

        ["\xF3\xB5\xA2\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xBB"],
        ["\xF0\xBB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xB3"],

        ["\xF3\xB5\xA2\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xBC"],
        ["\xF0\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xB4"],

        ["\xF3\xB5\xA2\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xBD"],
        ["\xF0\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xB5"],

        ["\xF3\xB5\xA2\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xBE"],
        ["\xF0\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xB6"],

        ["\xF3\xB5\xA2\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xBF"],
        ["\xF0\xBF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xB7"],

        ["\xF3\xB5\xA2\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xC0"],
        ["\xF0\xC0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xB8"],

        ["\xF3\xB5\xA2\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xBC"],
        ["\xD5\xBC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xB9"],

        ["\xF3\xB5\xA2\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xC1"],
        ["\xF0\xC1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xBA"],

        ["\xF3\xB5\xA2\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xC2"],
        ["\xF0\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xBB"],

        ["\xF3\xB5\xA2\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xC3"],
        ["\xF0\xC3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xBC"],

        ["\xF3\xB5\xA2\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xBD"],
        ["\xD5\xBD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xBD"],

        ["\xF3\xB5\xA2\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xBE"],
        ["\xD5\xBE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xBE"],

        ["\xF3\xB5\xA2\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xC4"],
        ["\xF0\xC4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA2\xBF"],

        ["\xF3\xB5\xA3\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xC5"],
        ["\xF0\xC5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x80"],

        ["\xF3\xB5\xA3\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xC6"],
        ["\xF0\xC6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x81"],

        ["\xF3\xB5\xA3\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xC7"],
        ["\xF0\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x82"],

        ["\xF3\xB5\xA3\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xC8"],
        ["\xF0\xC8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x83"],

        ["\xF3\xB5\xA3\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xC2"],
        ["\xD5\xC2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x84"],

        ["\xF3\xB5\xA3\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xC9"],
        ["\xF0\xC9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x85"],

        ["\xF3\xB5\xA3\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xCA"],
        ["\xF0\xCA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x86"],

        ["\xF3\xB5\xA3\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xCB"],
        ["\xF0\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x87"],

        ["\xF3\xB5\xA3\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xCC"],
        ["\xF0\xCC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x88"],

        ["\xF3\xB5\xA3\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xC7"],
        ["\xD5\xC7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x89"],

        ["\xF3\xB5\xA3\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xCD"],
        ["\xF0\xCD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x8A"],

        ["\xF3\xB5\xA3\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xCE"],
        ["\xF0\xCE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x8B"],

        ["\xF3\xB5\xA3\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xCF"],
        ["\xF0\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x8C"],

        ["\xF3\xB5\xA3\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xD0"],
        ["\xF0\xD0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x8D"],

        ["\xF3\xB5\xA3\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xD1"],
        ["\xF0\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x8E"],

        ["\xF3\xB5\xA3\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xD2"],
        ["\xF0\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x8F"],

        ["\xF3\xB5\xA3\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xD3"],
        ["\xF0\xD3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x90"],

        ["\xF3\xB5\xA3\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xD4"],
        ["\xF0\xD4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x91"],

        ["\xF3\xB5\xA3\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xCF"],
        ["\xD5\xCF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x92"],

        ["\xF3\xB5\xA3\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xD5"],
        ["\xF0\xD5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x93"],

        ["\xF3\xB5\xA3\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xD6"],
        ["\xF0\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x94"],

        ["\xF3\xB5\xA3\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xD7"],
        ["\xF0\xD7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x96"],

        ["\xF3\xB5\xA3\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xD8"],
        ["\xF0\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x97"],

        ["\xF3\xB5\xA3\x98",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xD9"],
        ["\xF0\xD9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x98"],

        ["\xF3\xB5\xA3\x99",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xD1"],
        ["\xD5\xD1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x99"],

        ["\xF3\xB5\xA3\x9A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xDA"],
        ["\xF0\xDA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x9A"],

        ["\xF3\xB5\xA3\x9B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xDB"],
        ["\xF0\xDB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x9B"],

        ["\xF3\xB5\xA3\x9C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xD2"],
        ["\xD5\xD2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x9C"],

        ["\xF3\xB5\xA3\x9D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xDC"],
        ["\xF0\xDC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x9D"],

        ["\xF3\xB5\xA3\x9E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xD6"],
        ["\xD5\xD6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x9E"],

        ["\xF3\xB5\xA3\x9F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xDD"],
        ["\xF0\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\x9F"],

        ["\xF3\xB5\xA3\xA0",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD3\xCB"],
        ["\xD3\xCB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xA0"],

        ["\xF3\xB5\xA3\xA1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xDE"],
        ["\xF0\xDE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xA1"],

        ["\xF3\xB5\xA3\xA2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xDF"],
        ["\xF0\xDF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xA2"],

        ["\xF3\xB5\xA3\xA3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xD8"],
        ["\xD5\xD8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xA3"],

        ["\xF3\xB5\xA3\xA4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xE0"],
        ["\xF0\xE0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xA4"],

        ["\xF3\xB5\xA3\xA5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xE1"],
        ["\xF0\xE1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xA5"],

        ["\xF3\xB5\xA3\xA6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xE2"],
        ["\xF0\xE2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xA6"],

        ["\xF3\xB5\xA3\xA7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xE3"],
        ["\xF0\xE3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xA7"],

        ["\xF3\xB5\xA3\xA8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xE4"],
        ["\xF0\xE4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xA8"],

        ["\xF3\xB5\xA3\xA9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xE5"],
        ["\xF0\xE5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xA9"],

        ["\xF3\xB5\xA3\xAA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xE6"],
        ["\xF0\xE6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xAA"],

        ["\xF3\xB5\xA3\xAB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xE7"],
        ["\xF0\xE7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xAB"],

        ["\xF3\xB5\xA3\xAC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xE8"],
        ["\xF0\xE8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xAC"],

        ["\xF3\xB5\xA3\xAD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xE9"],
        ["\xF0\xE9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xAD"],

        ["\xF3\xB5\xA3\xAE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xEA"],
        ["\xF0\xEA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xAE"],

        ["\xF3\xB5\xA3\xAF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xEB"],
        ["\xF0\xEB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xAF"],

        ["\xF3\xB5\xA3\xB1",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xDD"],
        ["\xD5\xDD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xB1"],

        ["\xF3\xB5\xA3\xB2",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xEC"],
        ["\xF0\xEC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xB2"],

        ["\xF3\xB5\xA3\xB3",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xED"],
        ["\xF0\xED",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xB3"],

        ["\xF3\xB5\xA3\xB4",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xEE"],
        ["\xF0\xEE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xB4"],

        ["\xF3\xB5\xA3\xB5",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xEF"],
        ["\xF0\xEF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xB5"],

        ["\xF3\xB5\xA3\xB6",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xF0"],
        ["\xF0\xF0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xB6"],

        ["\xF3\xB5\xA3\xB7",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xF1"],
        ["\xF0\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xB7"],

        ["\xF3\xB5\xA3\xB8",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xF2"],
        ["\xF0\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xB8"],

        ["\xF3\xB5\xA3\xB9",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xF3"],
        ["\xF0\xF3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xB9"],

        ["\xF3\xB5\xA3\xBA",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xF4"],
        ["\xF0\xF4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xBA"],

        ["\xF3\xB5\xA3\xBB",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xF5"],
        ["\xF0\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xBB"],

        ["\xF3\xB5\xA3\xBC",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xF6"],
        ["\xF0\xF6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xBC"],

        ["\xF3\xB5\xA3\xBD",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xF7"],
        ["\xF0\xF7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xBD"],

        ["\xF3\xB5\xA3\xBE",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xF8"],
        ["\xF0\xF8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xBE"],

        ["\xF3\xB5\xA3\xBF",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xF9"],
        ["\xF0\xF9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA3\xBF"],

        ["\xF3\xB5\xA4\x80",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xFA"],
        ["\xF0\xFA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x80"],

        ["\xF3\xB5\xA4\x81",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xFB"],
        ["\xF0\xFB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x81"],

        ["\xF3\xB5\xA4\x82",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xFC"],
        ["\xF0\xFC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x82"],

        ["\xF3\xB5\xA4\x83",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xFD"],
        ["\xF0\xFD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x83"],

        ["\xF3\xB5\xA4\x84",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xF1"],
        ["\xD5\xF1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x84"],

        ["\xF3\xB5\xA4\x85",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF0\xFE"],
        ["\xF0\xFE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x85"],

        ["\xF3\xB5\xA4\x86",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xF2"],
        ["\xD5\xF2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x86"],

        ["\xF3\xB5\xA4\x87",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF1\xA1"],
        ["\xF1\xA1",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x87"],

        ["\xF3\xB5\xA4\x88",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF1\xA2"],
        ["\xF1\xA2",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x88"],

        ["\xF3\xB5\xA4\x89",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xD5\xF5"],
        ["\xD5\xF5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x89"],

        ["\xF3\xB5\xA4\x8A",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF1\xA3"],
        ["\xF1\xA3",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x8A"],

        ["\xF3\xB5\xA4\x8B",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF1\xA4"],
        ["\xF1\xA4",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x8B"],

        ["\xF3\xB5\xA4\x8C",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF1\xA5"],
        ["\xF1\xA5",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x8C"],

        ["\xF3\xB5\xA4\x8D",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF1\xA6"],
        ["\xF1\xA6",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x8D"],

        ["\xF3\xB5\xA4\x8E",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF1\xA7"],
        ["\xF1\xA7",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x8E"],

        ["\xF3\xB5\xA4\x8F",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF1\xA8"],
        ["\xF1\xA8",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x8F"],

        ["\xF3\xB5\xA4\x90",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF1\xA9"],
        ["\xF1\xA9",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x90"],

        ["\xF3\xB5\xA4\x91",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF1\xAA"],
        ["\xF1\xAA",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x91"],

        ["\xF3\xB5\xA4\x92",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF1\xAB"],
        ["\xF1\xAB",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x92"],

        ["\xF3\xB5\xA4\x93",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF1\xAC"],
        ["\xF1\xAC",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x93"],

        ["\xF3\xB5\xA4\x94",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF1\xAD"],
        ["\xF1\xAD",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x94"],

        ["\xF3\xB5\xA4\x95",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF1\xAE"],
        ["\xF1\xAE",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x95"],

        ["\xF3\xB5\xA4\x96",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF1\xAF"],
        ["\xF1\xAF",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x96"],

        ["\xF3\xB5\xA4\x97",'jipsj','utf8jp',{'INPUT_LAYOUT'=>'D'},"\xF1\xB0"],
        ["\xF1\xB0",'utf8jp','jipsj',{'INPUT_LAYOUT'=>'D'},"\xF3\xB5\xA4\x97"],

    );
    $|=1; print "1..",scalar(@test),"\n"; my $testno=1; sub ok { print $_[0]?'ok ':'not ok ',$testno++,$_[1]?" - $_[1]\n":"\n" }
}

use Jacode4e::RoundTrip;

for my $test (@test) {
    my($give,$OUTPUT_encoding,$INPUT_encoding,$option,$want) = @{$test};
    my $got = $give;
    my $return = Jacode4e::RoundTrip::convert(\$got,$OUTPUT_encoding,$INPUT_encoding,$option);

    my $option_content = '';
    if (defined $option) {
        $option_content .= qq{INPUT_LAYOUT=>$option->{'INPUT_LAYOUT'}}        if exists $option->{'INPUT_LAYOUT'};
        $option_content .= qq{OUTPUT_SHIFTING=>$option->{'OUTPUT_SHIFTING'}}  if exists $option->{'OUTPUT_SHIFTING'};
        $option_content .= qq{SPACE=>@{[uc unpack('H*',$option->{'SPACE'})]}} if exists $option->{'SPACE'};
        $option_content .= qq{GETA=>@{[uc unpack('H*',$option->{'GETA'})]}}   if exists $option->{'GETA'};
        $option_content = "{$option_content}";
    }

    ok(($return > 0) and ($got eq $want),
        sprintf(qq{$INPUT_encoding(%s) to $OUTPUT_encoding(%s), $option_content => return=$return,got=(%s)},
            uc unpack('H*',$give),
            uc unpack('H*',$want),
            uc unpack('H*',$got),
        )
    );
}

__END__
